#!/bin/sh

TNOW=$(date -u "+%Y%m%dT%H%M")
filename="backup-$TNOW.tar.gz"
GXSERVE="gxserve"
HIAWATHA="hiawatha"
ETC="etc"
TDIR="/tmp/backupConfig"
TGXSRVDIR="${TDIR}/${GXSERVE}"
TSYSARCNAME="system.tar"
whitelist="/etc/keep-configfiles"

appendwhitelistedFiles() {
   while read p; do
      file=$(echo "${p}" | awk '{split($0,a," "); print a[2]}')
      cp -f "${file}" "${TGXSRVDIR}${file}"
   done <$whitelist
   return 0
}

# save system relevant files
mkdir -p "${TGXSRVDIR}/${ETC}/${HIAWATHA}"
cp -f "/${ETC}/passwd" "${TGXSRVDIR}/${ETC}/passwd"
cp -f "/${ETC}/shadow" "${TGXSRVDIR}/${ETC}/shadow"
cp -f "/${ETC}/group" "${TGXSRVDIR}/${ETC}/group"
cp -f "/${ETC}/hiawatha/.password" "${TGXSRVDIR}/${ETC}/hiawatha/.password"
cp -f "/${ETC}/hiawatha/hosts.conf" "${TGXSRVDIR}/${ETC}/hiawatha/hosts.conf"
mkdir -p "${TGXSRVDIR}/${ETC}/${GXSERVE}"
appendwhitelistedFiles
#cp -rf "/${ETC}/${GXSERVE}" "${TGXSRVDIR}/${ETC}"
tar -c -C "${TGXSRVDIR}" "${ETC}" -f "${TGXSRVDIR}/${TSYSARCNAME}"
# remove unarchived tmp files
rm -rf "${TGXSRVDIR}/${ETC}"

olddir=$(pwd)
cd "${TGXSRVDIR}"
md5sum "$TSYSARCNAME" > "${TSYSARCNAME}.md5"
cd ..
tar -c ./gxserve | gzip > $filename
chown -R www-data:www-data "${TDIR}"
