#!/bin/sh

source /etc/platform || true

CS141_ADDR=`/sbin/ifconfig eth0 | grep "inet addr" | awk -F: '{print $2}' | awk '{print $1}'`
net_ipv4_type=user

# Check if hardware switch is in factory position (factory ip 10.10.10.10)
if [ "${platform_feature_ext_dip_switch}" = "yes" ]; then
   if   [ "$(cat /sys/class/gpio/gpio56/value)" -eq 0 -a "$(cat /sys/class/gpio/gpio57/value)" -eq 0 ]; then
      net_ipv4_type=factory
   fi
else
   if   [ "$(cat /sys/class/gpio/gpio58/value)" -eq 0 -a "$(cat /sys/class/gpio/gpio59/value)" -eq 0 ]; then
      net_ipv4_type=factory
   fi
fi

echo Content-type: application/json
echo ""

# Allow upload in case hardware switch is factory position
if [ "${net_ipv4_type}" = "factory" ]; then

RES="success"
ACTION="cleanup"
export ACTION
/usr/bin/gxserve-update
RET=$?
if [ "0" -ne "$RET" ]; then
   RES="failure"
fi

/bin/cat << EOM
{
   "result" : "$RES"
}
EOM

else

/bin/cat << EOM
{
   "result" : "failure"
}
EOM

fi
