<?xml version="1.0"?>
<!--
   common.xsl - XSL-template for application specific elements.
   Copyright (c) 2008, Generex GmbH. All rights reserved.
   hr
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:import href="./../app/panel2.xsl"/>
  <xsl:import href="./../js_iepixelbug.xsl"/>
  <xsl:import href="./../app/js_popup.xsl"/>
  <xsl:import href="./../js_refresh.xsl"/>
  <xsl:import href="./../js_selection.xsl"/>
  <xsl:import href="./../js_tooltips.xsl"/>
  <xsl:import href="./../js_mouseover.xsl"/>
  <xsl:import href="./../js_overlay.xsl"/>
  <xsl:import href="./../app/js_app.xsl"/>

  <!-- Appliction specific header -->
  <xsl:template name="app-header" >
    <xsl:param name="top" select="3"/>
    <xsl:param name="left" select="0"/>
    <xsl:param name="servicename" select="//service/values/value[@name='LOCATION']/@val"/>
  </xsl:template>

  <xsl:template name="app-popup" >
  </xsl:template>
  <xsl:template name="app-notifier" >
  </xsl:template>

  <!-- Appliction specific footer -->
  <xsl:template name="app-footer">
    <xsl:param name="top" select="428"/>
    <xsl:param name="left" select="0"/>
    <xsl:param name="width" select="0"/>
    <xsl:param name="height" select="0"/>
    <xsl:param name="class" select="'XBold_black'"/>
    <xsl:param name="language" select="'en'"/>
  </xsl:template>

  <!-- Appliction specific menu -->
  <xsl:template name="app-menu">
    <xsl:param name="top" select="428"/>
    <xsl:param name="left" select="0"/>
    <xsl:param name="width" select="0"/>
    <xsl:param name="height" select="0"/>
    <xsl:param name="class" select="'XBold_black'"/>
    <!-- update menu panel -->
    <script type="text/javascript">
      function update_menu(data)
      {
        var menu_iframe = window.top.window.document.getElementById('id_ups_view_menu_iframe');//window.top.id_ups_view_menu_iframe;
        if(menu_iframe != null)
        {
          if(menu_iframe.contentWindow != null)
            menu_iframe.contentWindow.menu_api.update(data);
          else
            menu_iframe.menu_api.update(data);
        }
      }

      var data =
      {
        report:{},
        ups:
        {
          valtable:
          {
            SERVER:'<xsl:value-of select="//values/value[@name='SERVER']/@val"/>',
            LOCATION:'<xsl:value-of select="//values/value[@name='LOCATION']/@val"/>',
            _platform:'<xsl:value-of select="//values/value[@name='_platform']/@val"/>',
            _oemViewName:'<xsl:value-of select="//values/value[@name='_oemViewName']/@val"/>',
            _OS:'<xsl:value-of select="//host/@_OS"/>',
            TEMPDEG:parseFloat('<xsl:value-of select="//values/value[@name='TEMPDEG']/@val"/>'),
            COM2MODE:'<xsl:value-of select="//values/value[@name='COM2MODE']/@val"/>',
            TEMP1:parseFloat('<xsl:value-of select="//values/value[@name='TEMP1']/@val"/>'),
            TEMP2:parseFloat('<xsl:value-of select="//values/value[@name='TEMP2']/@val"/>')
          }
        }
      };
      
      try {
        if(get_plattform() == "ups_view")
          update_menu(data);
      } catch (error) {
      }
      
    </script>
  </xsl:template>

  <!-- Misc. -->
  <xsl:template name="set_css" >
  </xsl:template>

</xsl:stylesheet>
