<?xml version="1.0"?>
<!--
   panel2.xsl - Lower panel for UPS screens (UNMS-II)
   Language: English, German
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
   last update:said 2010
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

  <!--Said extention 06/2008-->
  <xsl:template name="footer_panel">
    <xsl:param name="top" select="448"/>
    <xsl:param name="left" select="0"/>
    <xsl:param name="width" select="660"/>
    <xsl:param name="height" select="60"/>
    <xsl:param name="class" select="'XBold_black'"/>
    <xsl:param name="language" select="'en'"/>

    <xsl:call-template name="on-mouse-over"/>
    <xsl:call-template name="ups_cmd"/>

    <!--aux_sensor-->
    <xsl:variable name="aux_sensor_x">
      <xsl:choose>
        <xsl:when test="//host/@_OS = 'WINDOWS'">
          <xsl:value-of select="'268'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'146'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--  oem View Name-->
    <xsl:variable name="oem_view_name" select="//values/value[@name='_oemViewName']/@val"/>

    <xsl:variable name="location">
      <xsl:choose>
        <xsl:when test="string-length(//values/value[@name='LOCATION']/@val)!=0" >
          <xsl:value-of select="//values/value[@name='LOCATION']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'Unknown'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="footer_panel" class="$class" style="position:absolute; top:{$top}px;left:{$left}px;width:{$width}px;height:{$height}px;border:1px solid #3F5987;">
      <!--border:1px solid #3F5987 overflow:hidden;-->
      <table  class="{$class}" border="0" cellpadding="3" cellspacing="0" style="position:absolute;height:20px;top:2px;left:{$left + 6}px;text-align:center;">
        <tr>
          <td>
            <xsl:value-of select="concat(concat($lang-Location,':&#160;&#160;&#160;'),$location)"/>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="' '"/>
          </td>
        </tr>
      </table>
      <!--<div id="footer_panel_2" class="$class" style="position:absolute; top:22px;left:{$left}px;width:{$width - 20}px;height:1px;background-color:#3F5987;overflow:hidden;">
     	</div>-->
      <table border="0" cellpadding="9" cellspacing="0" style="position:absolute;top:24px;left:{$left}px;text-align:right;float:right;">
        <tbody>
          <tr>
            <td>
              <a href="javascript:openLogWin(920,720,'./lib/ups/datalogchart.html')" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="$lang-DataLog-Chart"/>
                  </span>
                </span>
              </a>
            </td>
            <td>
              <a href="javascript:openLogWin(300,135,'logfile.html')" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="$lang-Logfile"/>
                  </span>
                </span>
              </a>
            </td>
            <td>
              <xsl:choose>
                <xsl:when test="string($oem_view_name)='PRT0F48' or string($oem_view_name)='prtof48' or string($oem_view_name)='PRT0F12' 
					      	or string($oem_view_name)='prtof12' or string($oem_view_name)='PRT0F96' or string($oem_view_name)='prtof96'">
                  <a href="javascript:openFuncWin(370,320,'-logon aeg_prtof_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:when test="string($oem_view_name)='ATSER36' or string($oem_view_name)='atser36' 
					      	or string($oem_view_name)='ATSER96' or string($oem_view_name)='atser96'  
					      	or string($oem_view_name)='ATSER240' or string($oem_view_name)='atser240'">
                  <a href="javascript:openFuncWin(706,534,'-logon aeg_atser_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:when test="string($oem_view_name)='PRT31' or string($oem_view_name)='prt31' or string($oem_view_name)='PRT33' or string($oem_view_name)='prt33'">
                  <a href="javascript:openFuncWin(706,534,'-logon aeg_cbsr_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:when test="string($oem_view_name)='AESER240' or string($oem_view_name)='aeser240'">
                  <a href="javascript:openFuncWin(706,534,'-logon aeg_aeser_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:when test="string($oem_view_name)='GRISER240' or string($oem_view_name)='griser240'">
                  <a href="javascript:openFuncWin(706,534,'-logon aeg_gripow_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:when test="string($oem_view_name)='PROTD' or string($oem_view_name)='protd'">
                  <a href="javascript:openFuncWin(706,534,'-logon aeg_protd_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:when test="string($oem_view_name)='MDELTA' or string($oem_view_name)='mdelta'">
                  <a href="javascript:openFuncWin(706,534,'-logon aeg_mdelta_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>

                <xsl:when test="string($oem_view_name)='GEML' or string($oem_view_name)='geml'
					      	or string($oem_view_name)='GEMATCH' or string($oem_view_name)='gematch'
					      	or string($oem_view_name)='VH' or string($oem_view_name)='vh'
					      	or string($oem_view_name)='DELTA' or string($oem_view_name)='delta'
					      	or string($oem_view_name)='CP4' or string($oem_view_name)='cp4'">
                  <a href="javascript:openFuncWin(500,470,'-logon getUPSTest_data no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>

                <xsl:otherwise>
                  <a href="javascript:openFuncWin(416,420,'-logon def_test no pw')" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="$lang-functions-button"/>
                      </span>
                    </span>
                  </a>
                </xsl:otherwise>
              </xsl:choose>
            </td>
            <td>
              <a href="javascript:openSchedulerWin('UPS View Scheduler',570,420,'-logon copy_appointment no pw')" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'Scheduler'"/>
                  </span>
                </span>
              </a>
            </td>
            <xsl:if test="//host/@_OS != 'WINDOWS'">
              <td>
                <a href="javascript:openConfigurationWin('UPS Configuration',570,520,'jupscfg.html')" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'Configuration'"/>
                    </span>
                  </span>
                </a>
              </td>
            </xsl:if>
            <xsl:if test="//values/value[@name='_oemViewName']/@val = 'abler2'">
              <td>
                <a href="javascript:openExtCmdWin('Extended&#160;Commands',570,520,'-logon ext_ups_cmds no pw')" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'Extended&#160;Cmds'"/>
                    </span>
                  </span>
                </a>
              </td>
            </xsl:if>
          </tr>
        </tbody>
      </table>
      <!--     </div>-->
    </div>
  </xsl:template>

  <xsl:template name="ups_cmd">
    <script type="text/javascript">
      <xsl:comment>
        <![CDATA[
   	
	 	var funct_win = null;
	 	var win_scheduler = null; 
	 	var log_win = null;
	 	var conf_win = null;
	 	var aux_sensor_win = null;
	 	var ext_upscmd_win = null; 
		function openLogWin(w,h,site) 
		{
			
			 x=screen.availWidth/2 -w/2;
			 y=screen.availHeight/2 -h/2;
			 index = location.href.indexOf("cgi-bin");
			if (index != -1) 
			{
				href =location.href.substring(0, index );
				href = href.concat(site);	
				if(log_win!=null && !log_win.closed)
					log_win.close();
				var size = 'width='+w+',height='+h;
				var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
				log_win = window.open(href,'UPS_Log_Files',size+pos);
				log_win.focus();
			}
		}
		function openFuncWin(w,h,args) 
		{
			 x=screen.availWidth/2-w/2;
			 y=screen.availHeight/2-h/2;
			 index = location.href.indexOf("?");
			if (index != -1) 
			{
				href =location.href.substring(0, index+1 );
				href = href.concat(args);	
				if(funct_win!=null && !funct_win.closed)
					funct_win.close();
				var size = 'width='+w+',height='+h;
				var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
				funct_win = window.open(href,'UPS_Test_Functions',size+pos);
				funct_win.focus();	
			}
		}	
		
		function openSchedulerWin(titel,w,h,args) 
		{
			var x=screen.availWidth/2-w/2;
			var y=screen.availHeight/2-h/2; 
			var index = location.href.indexOf("?");
			if(index != -1) 
			{
				href =location.href.substring(0, index+1 );
				href = href.concat(args);
				if(win_scheduler!=null && !win_scheduler.closed)
					win_scheduler.close();
				var size = 'width='+w+',height='+h;
				var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
				win_scheduler = window.open(href,'titel',size+pos);
				win_scheduler.focus();
			}
		}

		function openConfigurationWin(titel,w,h,args) 
		{
			var x=screen.availWidth/2 -w/2;
			var y=screen.availHeight/2 -h/2; 
			var index = location.href.indexOf("cgi-bin");
			if(index != -1) 
			{
				href =location.href.substring(0, index );
				href = href.concat(args);
				if(conf_win!=null && !conf_win.closed)
					conf_win.close();
				var size = 'width='+w+',height='+h;
				var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
				conf_win = window.open(href,'titel',size+pos);
				conf_win.focus();
			}
		}	
		
		function openExtCmdWin(titel,w,h,args) 
		{
			var x=screen.availWidth/2-w/2;
			var y=screen.availHeight/2-h/2; 
			var index = location.href.indexOf("?");
			if(index != -1) 
			{
				href =location.href.substring(0, index+1 );
				href = href.concat(args);
				if(ext_upscmd_win!=null && !ext_upscmd_win.closed)
					ext_upscmd_win.close();
				var size = 'width='+w+',height='+h;
				var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
				ext_upscmd_win = window.open(href,'titel',size+pos);
				ext_upscmd_win.focus();
			}
		}
			
   		]]>
      </xsl:comment>
    </script>
  </xsl:template>
</xsl:stylesheet>