<?xml version="1.0"?>
<!--
   js_selection.xsl - XSL-templates for Javascript-helpers needed for some UPS screens (UNMS-II)
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

  <xsl:template name="js_selection">
    <xsl:param name="pageCount" select="1"/>
    <xsl:param name="name-space" select="''"/>

    <script type="text/javascript">
      var pageCount = parseInt('<xsl:value-of select="$pageCount"/>');
      var nms = '<xsl:value-of select="$name-space"/>';
      <!--<xsl:comment>-->
      <![CDATA[
      function getSelectionValue(cookie)
      {
        var selection = 0;

        data = cookie.split(";");
        for(var i = 0; i<data.length;++i){
           start = data[i].indexOf(nms+"selection");
           if(start != -1){
              vals = data[i].split("=");
              selection = vals[1];
          }
         }
         return selection;
      }
    function getSelection()
    {
        var selection = 0;
        if(document.cookie){
           selection = getSelectionValue(document.cookie);
           if(selection>=pageCount)
           {
              selection = 0;
           }

        }
        else{
           document.cookie = nms+"selection=0";
           selection = 0;
        }
        return selection;
     }
     function setSelection(newSelection)
     {
        selection = newSelection;
        onChangeSelection(selection);
     }
     function onChangeSelection(selection)
     {
        document.cookie = nms+"selection="+selection;
        setVisibilities(selection);
     }
     function onChangeSelectionUp()
     {
      selection++;
      selection = selection % pageCount;
      onChangeSelection(selection)
    }

    function onChangeSelectionDown()
    {
      selection -= 1;
      if(selection<0) selection += pageCount;
      selection = selection % pageCount;
      onChangeSelection(selection);

    }
    function setVisibilities(selection)
    {
      for(i = 0; ;++i){
        layer = document.getElementsByTagName("div")[i];
        if(!layer) break;
        id = layer.getAttribute("id");

        if(!id) continue;
        for(j= 0; j<pageCount; ++j){
          layerBaseName = "page"+j;
          if(id.indexOf(layerBaseName) == -1){
            continue;
          }
          if(j == selection){
           //alert("Found layer Id="+id+ " layerBaseName = " + layerBaseName + " " + selection + " " + j + " "+ layer.style.visibility);
            layer.style.visibility = "visible";
          }
          else{
            layer.style.visibility = "hidden";
          }
        }
      }
    }
    var selection = getSelection();
    function init()
    {
      setVisibilities(selection);
    }
  ]]>
    <!--</xsl:comment>-->
    </script>

  </xsl:template>

  <xsl:template name="js_selection_add">
    <xsl:param name="panel-id" select="'panel0'"/>
    <xsl:param name="page-count" select="1"/>
    <script type="text/javascript">
      if(panelArray){
      panelArray.push(new Panel('<xsl:value-of select="$panel-id"/>', '<xsl:value-of select="$page-count"/>'));
      panelCount = panelArray.length;
      }
    </script>
  </xsl:template>

  <xsl:template name="js_selection_definition">

    <script type="text/javascript">
      <!--<xsl:comment>-->
        <![CDATA[
        var panelCount = 0;
        var panelArray = new Array();

        function Panel(panelId, pageCount)
        {
          this.panelId = panelId;
          this.pageCount = pageCount>0 ? pageCount : 0;
          this.selection = 0;
        }

        Panel.prototype.up = up;
        Panel.prototype.down = down;
        function up()
        {
          this.selection++;
          this.selection = this.selection % this.pageCount;
        }

        function down()
        {
          this.selection -= 1;
          if(this.selection == -1)
          {
            this.selection = this.pageCount - 1;
          }
        }

        function getPanelIdx(panelId)
        {
          for(var i = 0; i<panelCount;i++){
            if(panelArray[i].panelId == panelId)
                  return i;
          }
          return -1;
        }
        function getSelectionValue(cookie, panelIdx)
        {
          var bFound = false;
          if(panelIdx == -1 || panelCount == 0) return false;
          var selection = 0;
          data = cookie.split(";");
          var panelId = panelArray[panelIdx].panelId;
          for(var i = 0; i<data.length;++i){
             start = data[i].indexOf("selection" + panelId);
             if(start != -1){
                  vals = data[i].split("=");
                  panelArray[panelIdx].selection = vals[1];
                  if(panelArray[panelIdx].selection >panelArray[panelIdx].pageCount) panelArray[panelIdx].selection = 0;
                  return true;
              }
           }
           return false;
        }
        function getSelection(panelIdx)
        {
          var bFound = false;
          if(document.cookie){
            bFound = getSelectionValue(document.cookie, panelIdx);
          }
          if(!bFound){
            document.cookie = "selection" + panelArray[panelIdx].panelId + "=0";
            panelArray[panelIdx].selection = 0;
          }
         }

        function getSelections()
        {
          for(var i = 0; i<panelCount; i++){
            getSelection(i);
            //alert("Panel " +i +" :" + panelArray[i].selection);
          }
         }

       function setSelection(newSelection, panelId)
       {
          var selection = newSelection;
          //alert("New selection = " + selection);
          onChangeSelection(selection, panelId);

       }
       function onChangeSelection(selection,panelIdx)
       {
          if(panelIdx == -1) return;
          document.cookie = "selection"+ panelArray[panelIdx].panelId +"="+selection;
          setVisibility(panelIdx);
       }
       function onChangeSelectionUp(panelId)
       {
        var idx = getPanelIdx(panelId);
        if (idx==-1) return;
        panelArray[idx].up();
        onChangeSelection(panelArray[idx].selection, idx)
      }

      function onChangeSelectionDown(panelId)
      {
        var idx = getPanelIdx(panelId);
        if (idx==-1) return;
        panelArray[idx].down();
        onChangeSelection(panelArray[idx].selection, idx);

      }
      function setVisibility(panelIdx)
      {
        if (panelIdx==-1) return;
        for(i = 0; ;++i){
          layer = document.getElementsByTagName("div")[i];
          if(!layer) break;
          id = layer.getAttribute("id");

          if(!id) continue;

          for(j= 0; j<panelArray[panelIdx].pageCount; ++j){
            layerBaseName = panelArray[panelIdx].panelId+"page"+j;
            if(id.indexOf(layerBaseName) == -1){
              continue;
            }
            if(j == panelArray[panelIdx].selection){
             //alert("Found layer Id="+id+ " layerBaseName = " + layerBaseName + " " + selection + " " + j + " "+ layer.style.visibility);
              layer.style.visibility = "visible";
            }
            else{
              layer.style.visibility = "hidden";
            }
          }
        }
      }
  ]]>
      <!--</xsl:comment>-->
    </script>
  </xsl:template>

  <xsl:template name="js_selection_init">

    <script type="text/javascript">
      <!--<xsl:comment>-->
        <![CDATA[
    var selection = getSelections();

    function init()
    {
      for(var i = 0; i < panelCount ; i++)
      {
        setVisibility(i);
      }
    }
  ]]>
      <!--</xsl:comment>-->
    </script>

  </xsl:template>



</xsl:stylesheet>
