<?xml version="1.0"?>
<!--
   loadbar.xsl - XSL-templates for standard load bars(UNMS-II)
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>

  <xsl:template name="Loadbar">
    <xsl:param name="x" select="'0'" />
    <xsl:param name="y" select="'0'" />
    <xsl:param name="load" select="0" />
    <xsl:param name="imagepath" select ="'./lib/img/'"/>
    <xsl:param name="scale" select ="'0'"/>
    <xsl:param name="title" select ="0"/>
    <xsl:param name="border" select ="'0'"/>
    <xsl:param name="yOffset" select ="'6'"/>
    <xsl:param name="textcolor" select="'#ffffff'"/>

    <!-- margin scales-->
    <xsl:if test="$scale=1">
      <xsl:element name="div">
        <xsl:attribute name="style">
          position:absolute;left:<xsl:value-of select="($x)-30"/>px;top:<xsl:value-of select="$y+2*$yOffset"/>px;width:25px;color:<xsl:value-of select="$textcolor"/>; text-align:right;
        </xsl:attribute>
        <xsl:text>100%</xsl:text>
      </xsl:element>
      <xsl:element name="div">
        <xsl:attribute name="style">
          position:absolute;left:<xsl:value-of select="($x)-30"/>px;top:<xsl:value-of select="$y+7*$yOffset"/>px;width:25px;color:<xsl:value-of select="$textcolor"/>; text-align:right;
        </xsl:attribute>
        <xsl:text>50%</xsl:text>
      </xsl:element>
    </xsl:if>

    <!-- titel-->
    <xsl:if test="$title!=0">
      <xsl:element name="div">
        <xsl:attribute name="style">
          position:absolute;left:<xsl:value-of select="($x)-1"/>px;top:<xsl:value-of select="$y+12*$yOffset+6"/>px;width:20px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;
        </xsl:attribute>
        <xsl:value-of select="$title"/>
      </xsl:element>
    </xsl:if>

    <!-- LOAD1 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>110">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4red.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD2 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>100">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4red.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD3 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+2*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>90">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4red.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD4 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+3*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>80">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gelb.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD5 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+4*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>70">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD6 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+5*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>60">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD7 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+6*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>50">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD8 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+7*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>40">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD9 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+8*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>30">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD10 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+9*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>20">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD11 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+10*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>10">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

    <!-- LOAD12 -->
    <xsl:element name="div">
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y+11*$yOffset"/>px;width:20px;height:4px
      </xsl:attribute>
      <xsl:choose>
        <xsl:when test="$load>1">
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4gr.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:when>
        <xsl:otherwise>
          <xsl:element name="img">
            <xsl:attribute name="src">
              <xsl:value-of select="concat($imagepath, 'led20x4trans.gif')"/>
            </xsl:attribute>
            <xsl:attribute name="border">
              <xsl:value-of select="$border"/>
            </xsl:attribute>
          </xsl:element>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>

  </xsl:template>
  <!-- LOAD BAR 3 phases (Said  extention 05/2008)-->
  <xsl:template name="Loadbar1">
    <xsl:param name="load1" select="0"/>
    <xsl:param name="load2" select="0"/>
    <xsl:param name="load3" select="0"/>
    <xsl:param name="x1" select="0"/>
    <xsl:param name="x2" select="0"/>
    <xsl:param name="x3" select="0"/>
    <xsl:param name="y" select="0"/>
    <xsl:param name="yOffset" select="0"/>
    <xsl:param name="border" select="0"/>
    <xsl:param name="scale" select="0"/>
    <xsl:param name="outphases" select="3"/>
    <xsl:param name="title" select="''"/>
    <xsl:param name="title_bar1" select="''"/>
    <xsl:param name="title_bar2" select="''"/>
    <xsl:param name="title_bar3" select="''"/>
    <xsl:param name="output_txt1" select="''"/>
    <xsl:param name="output_txt2" select="''"/>
    <xsl:param name="output_txt3" select="''"/>

    <xsl:param name="textcolor" select="'#3341AA'"/>

    <!-- LOAD BAR 1-->
    <xsl:call-template name="Loadbar">
      <xsl:with-param name="load" select="$load1"/>
      <xsl:with-param name="x" select="$x1"/>
      <xsl:with-param name="y" select="$y"/>
      <xsl:with-param name="yOffset" select="$yOffset"/>
      <xsl:with-param name="border" select="$border"/>
      <xsl:with-param name="scale" select="$scale"/>
      <xsl:with-param name="title" select="$title_bar1"/>
      <xsl:with-param name="textcolor" select="$textcolor"/>
    </xsl:call-template>
    <!-- LOAD BAR 2-->
    <xsl:if test="$outphases &gt; 1 and $load2 != -9999.00">
      <xsl:call-template name="Loadbar">
        <xsl:with-param name="load" select="$load2"/>
        <xsl:with-param name="x" select="$x2"/>
        <xsl:with-param name="y" select="$y"/>
        <xsl:with-param name="yOffset" select="$yOffset"/>
        <xsl:with-param name="border" select="$border"/>
        <xsl:with-param name="title" select="$title_bar2"/>
        <xsl:with-param name="textcolor" select="$textcolor"/>
      </xsl:call-template>
    </xsl:if>
    <!-- LOAD BAR 3-->
    <xsl:if test="$outphases &gt; 2 and $load3 != -9999.00">
      <xsl:call-template name="Loadbar">
        <xsl:with-param name="load" select="$load3"/>
        <xsl:with-param name="x" select="$x3"/>
        <xsl:with-param name="y" select="$y"/>
        <xsl:with-param name="yOffset" select="$yOffset"/>
        <xsl:with-param name="border" select="$border"/>
        <xsl:with-param name="title" select="$title_bar3"/>
        <xsl:with-param name="textcolor" select="$textcolor"/>
      </xsl:call-template>
    </xsl:if>
    <!-- titel-->
    <xsl:if test="string-length($title) !=0">
      <xsl:element name="div">
        <xsl:attribute name="style">
          position:absolute;left:<xsl:value-of select="($x1)-1"/>px;top:<xsl:value-of select="($y)-35"/>px;width:20px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
        </xsl:attribute>
        <xsl:value-of select="$title"/>
      </xsl:element>
    </xsl:if>
    <!-- L1 -->
    <xsl:element name="div">
      <xsl:choose>
        <xsl:when test="string-length($output_txt1) =0">
          <xsl:attribute name="style">
            position:absolute;left:<xsl:value-of select="($x1 +4)"/>px;top:<xsl:value-of select="($y)-17"/>px;width:20px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
          </xsl:attribute>
          <xsl:value-of select="'L1'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:attribute name="style">
            position:absolute;left:<xsl:value-of select="($x1 -6)"/>px;top:<xsl:value-of select="($y)-17"/>px;width:35px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
          </xsl:attribute>
          <xsl:value-of select="$output_txt1"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:element>
    <!-- L2 -->
    <xsl:if test="$outphases &gt; 1 and $load2 != -9999.00">
      <xsl:element name="div">
        <xsl:choose>
          <xsl:when test="string-length($output_txt1) =0">
            <xsl:attribute name="style">
              position:absolute;left:<xsl:value-of select="($x2 +4)"/>px;top:<xsl:value-of select="($y)-17"/>px;width:20px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
            </xsl:attribute>
            <xsl:value-of select="'L2'"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="style">
              position:absolute;left:<xsl:value-of select="($x2 -6)"/>px;top:<xsl:value-of select="($y)-17"/>px;width:35px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
            </xsl:attribute>
            <xsl:value-of select="$output_txt2"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:element>
    </xsl:if>
    <!-- L3 -->
    <xsl:if test="$outphases &gt; 2 and $load3 != -9999.00">
      <xsl:element name="div">
        <xsl:choose>
          <xsl:when test="string-length($output_txt1) =0">
            <xsl:attribute name="style">
              position:absolute;left:<xsl:value-of select="($x3 +4)"/>px;top:<xsl:value-of select="($y)-17"/>px;width:20px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
            </xsl:attribute>
            <xsl:value-of select="'L3'"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:attribute name="style">
              position:absolute;left:<xsl:value-of select="($x3 -6)"/>px;top:<xsl:value-of select="($y)-17"/>px;width:35px;color:<xsl:value-of select="$textcolor"/>; text-align:center;font-weight:bold;font-size:9pt
            </xsl:attribute>
            <xsl:value-of select="$output_txt3"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:element>
    </xsl:if>
  </xsl:template>


  <!--draw bar -->
  <xsl:template name="draw_bar">
    <xsl:param name="left" select="'100'" />
    <xsl:param name="top" select="'180'" />
    <xsl:param name="width" select="'30'" />
    <xsl:param name="height" select="'200'" />
    <xsl:param name="percent" select="'100'" />
    <xsl:param name="d-o-e" select="'no'" />
    <xsl:param name="over_title" select ="'Phase1'"/>
    <xsl:param name="under_title" select ="'test'"/>
    <xsl:param name="class" select ="'LargeBold'"/>
    <xsl:param name="border" select ="'1'"/>

    <script type="text/javascript" >
      <xsl:comment>
        <![CDATA[
      function drawBar(left, top, width, height,percent) 
      { 
         newdiv=document.createElement("div"); 
         newdiv.style.position="absolute"; 
         newdiv.style.left = left-1+"px"; 
         newdiv.style.top  = top-1+"px"; 
         newdiv.style.width = width+2+"px"; 
         newdiv.style.height = height+2+"px";  
         newdiv.style.backgroundColor = 'silver'; 
         newdiv.style.border = 1;
         newdiv.style.visibility = 'visible';  
         newdiv.id = 'newdiv'; 
         document.body.appendChild(newdiv);
         
         newdiv2=document.createElement("div"); 
         newdiv2.style.position="absolute"; 
         newdiv2.style.left = left+"px"; 
         newdiv2.style.width = width+"px";  
         newdiv2.style.backgroundColor = '52B245'; 
         newdiv2.style.border = 1;
         newdiv2.style.visibility = 'visible';  
         newdiv2.id = 'newdiv2'; 
         
         if(percent >= 100)
            percent_x = height;  		
         else if(percent <= 0)
            return;
         else 
            percent_x = (height*percent)/100;
         
         newdiv2.style.top  = top+(height-percent_x)+"px"; 
         newdiv2.style.height = percent_x+"px"; 
         document.body.appendChild(newdiv2);
      }
      ]]>
      </xsl:comment>
    </script>
    <script type="text/javascript" >
      drawBar(parseInt(<xsl:value-of select="$left"/>), parseInt(<xsl:value-of select="$top"/>),
      parseInt(<xsl:value-of select="$width"/>), parseInt(<xsl:value-of select="$height"/>),
      parseInt('<xsl:value-of select="$percent"/>')) ;
    </script>
    <div id="over_title" class='{$class}' style="position:absolute; top:{$top - 22}px;left:{$left - 8}px;width:62px;">
      <xsl:choose>
        <xsl:when test="$d-o-e = 'yes'">
          <xsl:value-of disable-output-escaping="yes" select="$over_title"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of disable-output-escaping="no" select="$over_title"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="under_title" class='{$class}' style="position:absolute; top:{$height + $top + 10}px;left:{$left - 10}px;width:62px;text-align:left;">
      <xsl:choose>
        <xsl:when test="$d-o-e = 'yes'">
          <xsl:value-of disable-output-escaping="yes" select="$under_title"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of disable-output-escaping="no" select="$under_title"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
  </xsl:template>

</xsl:stylesheet>