<?xml version="1.0"?>
<!--
   abbp_panel.xsl - UPS screen for ABB models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="abbp_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="5"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="abbp_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="24"/>
      <xsl:with-param name="top" select="440"/>
      <xsl:with-param name="width" select="750"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="abbp_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="abbp_panel-body">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/abbp/backu.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'789'"/>
      <xsl:with-param name="h" select="'487'"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>
    <xsl:apply-templates />
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!-- LOCATION -->
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 559px; top: 361px; width: 163px; height: 17px">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- LOAD BAR -->
    <xsl:call-template name="Loadbar">
      <xsl:with-param name="load" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="x" select="'659'"/>
      <xsl:with-param name="y" select="'150'"/>
      <xsl:with-param name="yOffset" select="'5'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="scale" select="'1'"/>
      <xsl:with-param name="textcolor" select="'#000000'"/>
      <xsl:with-param name="title" select="'Last'"/>
    </xsl:call-template>

    <!-- SOLASTATUS -->
    <xsl:variable name="sstate">
      <xsl:call-template name="hexquad2dec">
        <xsl:with-param name="value">
          <xsl:value-of select="value[@name='SOLASTATUS']/@val"/>
        </xsl:with-param>
      </xsl:call-template>
    </xsl:variable>
    <!-- Bits masked -->
    <xsl:variable name="sstateBit0">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit8">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit9">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit10">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit11">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit12">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit13">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit14">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="sstateBit15">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sstate"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- LEFT ANIMATION -->
    <div style="position: absolute; left: 228px; top: 233px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit4">
          <img src="./lib/ups/image/abbp/grgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/grge.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- RIGHT ANIMATION -->
    <div style="position: absolute; left: 371px; top: 233px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit12">
          <img src="./lib/ups/image/abbp/wrgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/wrge.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- INVOLT -->

    <xsl:call-template name="paneTab3r1c">
      <xsl:with-param name="xT" select="169"/>
      <xsl:with-param name="yT" select="157"/>
      <xsl:with-param name="wT" select="25"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="text" select="'L'" />
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="33"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="value" select="value[@name='INVOLT']" />
      <xsl:with-param name="precision"  select="0" />
      <xsl:with-param name="unit" select="'V'"/>
    </xsl:call-template>

    <!-- PHASEREC -->
    <xsl:call-template name="paneTab3r1c">
      <xsl:with-param name="xT" select="132"/>
      <xsl:with-param name="yT" select="270"/>
      <xsl:with-param name="wT" select="25"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="text" select="'L'" />
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="33"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="value" select="value[@name='PHASEREC']" />
      <xsl:with-param name="precision"  select="0" />
      <xsl:with-param name="unit" select="'V'"/>
    </xsl:call-template>

    <!-- BATTVOLT -->
    <xsl:call-template name="paneTab2r2c">
      <xsl:with-param name="xT" select="224"/>
      <xsl:with-param name="yT" select="312"/>
      <xsl:with-param name="wT" select="29"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="32"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="text" select="'UBatt'" />
      <xsl:with-param name="value"  select="value[@name='BATTVOLT']" />
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="precision"  select="0" />
      <xsl:with-param name="text2" select="'IBatt'" />
      <xsl:with-param name="value2" select="value[@name='SOLABATTC']" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2"  select="1" />
    </xsl:call-template>

    <!-- TEMPDEG -->
    <xsl:variable name="temp">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="value[@name='TEMPDEG']" />
        <xsl:with-param name="precision" select="0"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:call-template name="paneTab2r2c">
      <xsl:with-param name="xT" select="359"/>
      <xsl:with-param name="yT" select="312"/>
      <xsl:with-param name="wT" select="28"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="40"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="text" select="'Temp.'" />
      <xsl:with-param name="value"  select="$temp" />
      <xsl:with-param name="text2" select="'Time'" />
      <xsl:with-param name="unit" select="''"/>
      <xsl:with-param name="precision"  select="0" />
      <xsl:with-param name="value2" select="value[@name='AUTONOMTIME']" />
      <xsl:with-param name="unit2" select="'min'"/>
      <xsl:with-param name="precision2"  select="0" />
    </xsl:call-template>

    <!-- SOLAWRIV -->
    <xsl:call-template name="paneTab3r2c">
      <xsl:with-param name="xT" select="446"/>
      <xsl:with-param name="yT" select="273"/>
      <xsl:with-param name="wT" select="15"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="xOff2" select="5"/>
      <xsl:with-param name="w" select="40"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="text" select="'L'" />
      <xsl:with-param name="value"  select="value[@name='SOLAWRIV']" />
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="precision"  select="0" />
      <xsl:with-param name="value2" select="value[@name='INFREQ']" />
      <xsl:with-param name="unit2" select="'Hz'"/>
      <xsl:with-param name="precision2" select="1"/>
    </xsl:call-template>

    <!-- SOLAWROV -->
    <xsl:call-template name="paneTab3r2c">
      <xsl:with-param name="xT" select="573"/>
      <xsl:with-param name="yT" select="271"/>
      <xsl:with-param name="wT" select="15"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="xOff2" select="0"/>
      <xsl:with-param name="w" select="38"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="text" select="'L'" />
      <xsl:with-param name="value"  select="value[@name='SOLAWROV']" />
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="precision"  select="0" />
      <xsl:with-param name="value2" select="value[@name='SOLAWROC']" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2"  select="1" />
    </xsl:call-template>

    <!-- Line LEDs, from top-bottom, left-right -->
    <!-- LineLED#1.1 -->
    <div style="position: absolute; left: 430px; top: 157px; width: 22px; height: 10px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit9">
          <img src="./lib/ups/image/abbp/ledgelb.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- LineLED#2.1 -->
    <div style="position: absolute; left: 190px; top: 205px; width: 22px; height: 10px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit7">
          <img src="./lib/ups/image/abbp/ledgruen.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- LineLED#2.2 -->
    <div style="position: absolute; left: 460px; top: 205px; width: 22px; height: 10px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit6 and not(1=$sstateBit9 or 1=$sstateBit15)">
          <img src="./lib/ups/image/abbp/ledgruen.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- LineLED#3.1 -->
    <div style="position: absolute; left: 160px; top: 250px; width: 22px; height: 10px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit8">
          <img src="./lib/ups/image/abbp/ledgruen.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- LineLED#3.2 -->
    <div style="position: absolute; left: 460px; top: 250px; width: 22px; height: 10px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit12 and not(1=$sstateBit6 or 1=$sstateBit9 or 1=$sstateBit15)">
          <img src="./lib/ups/image/abbp/ledgruen.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- LineLED#3.3 -->
    <div style="position: absolute; left: 611px; top: 250px; width: 22px; height: 10px">
      <xsl:choose>
        <xsl:when test="not(1=$sstateBit15) and not(1=$sstateBit9)">
          <img src="./lib/ups/image/abbp/ledgruen.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- LineLED#4.1 -->
    <div style="position: absolute; left: 318px; top: 279px; width: 10px; height: 22px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit2">
          <img src="./lib/ups/image/abbp/ledgelbv.gif" />
        </xsl:when>
        <xsl:when test="1=$sstateBit1">
          <img src="./lib/ups/image/abbp/ledgruenv.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrauv.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- Alarm -->
    <div class="MediumBold">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="479" />
        <xsl:with-param name="y" select="322" />
        <xsl:with-param name="w" select="80" />
        <xsl:with-param name="h" select="20" />
        <xsl:with-param name="value" select="'Alarm'" />
      </xsl:call-template>
    </div>
    <div style="position: absolute; left: 488px; top: 340px; width: 27px; height: 11px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit3">
          <img src="./lib/ups/image/abbp/ledgelb.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- Service -->
    <div class="MediumBold">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="538"/>
        <xsl:with-param name="y" select="322" />
        <xsl:with-param name="w" select="80" />
        <xsl:with-param name="h" select="20" />
        <xsl:with-param name="value" select="'Service'" />
      </xsl:call-template>
    </div>

    <div style="position: absolute; left: 550px; top: 340px; width: 27px; height: 11px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit9">
          <img src="./lib/ups/image/abbp/ledgelb.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- Stop -->
    <div class="MediumBold">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="606" />
        <xsl:with-param name="y" select="322" />
        <xsl:with-param name="w" select="80" />
        <xsl:with-param name="h" select="20" />
        <xsl:with-param name="value" select="'Stop'" />
      </xsl:call-template>
    </div>

    <div style="position: absolute; left: 610px; top: 340px; width: 27px; height: 11px">
      <xsl:choose>
        <xsl:when test="1=$sstateBit5">
          <img src="./lib/ups/image/abbp/ledrot.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/abbp/ledgrau.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- EOT -->
  </xsl:template>


  <!-- EOS -->
</xsl:stylesheet>