<?xml version="1.0"?>
<!--
   aeg_atser_cmd_panel.xsl - AETSER commands UPS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Body-->
  <xsl:template name="aeg_atser_cmd_panel-body">
    <script type="text/javascript">
      window.resizeTo(706,554);
    </script>
    <xsl:apply-templates />
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!--title-->
    <div class="XLargeBold" style="position:absolute; top:13px;left:148px;width:300px;height:100px;text-align:center;">
      <xsl:value-of select="'UPS&#160;Configuration&#160;/&#160;Test&#160;/&#160;Control&#160;Functions'"/>
    </div>

    <!-- ATSER UPS configuration, buzzer action and fault log panel-->
    <xsl:call-template name="atser-ups-conf-buzzer-action-log-panel">
      <xsl:with-param name="v_audible_alarm" select="value[@name='V_AUDIBLE_ALARM']/@val"/>
      <xsl:with-param name="top" select="58"/>
      <xsl:with-param name="left" select="'40'"/>
      <xsl:with-param name="w" select="'304'"/>
      <xsl:with-param name="h" select="'240'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="id" select="'atser-ups-buzzer-action-log-panel-id'"/>
    </xsl:call-template>

    <!--ATSER custom test time variable-->
    <xsl:variable name="custom_test_time" >
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_custom_test_time']/@val) !=0">
          <xsl:value-of select="value[@name='_custom_test_time']/@val"/>
        </xsl:when>
        <xsl:when test="string-length(value[@name='POWERDOWNTIME']/@val) !=0">
          <xsl:value-of select="value[@name='POWERDOWNTIME']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'3'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--ATSER battery test panel-->
    <xsl:call-template name="atser-battery-test-panel">
      <xsl:with-param name="custom_test_time" select="$custom_test_time"/>
      <xsl:with-param name="top" select="58"/>
      <xsl:with-param name="left" select="'350'"/>
      <xsl:with-param name="w" select="'310'"/>
      <xsl:with-param name="h" select="'440'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="id" select="'atser-battery-test-panel-id'"/>
    </xsl:call-template>

    <!--infos variable-->
    <xsl:variable name="infos">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='infos']/@val)!=0">
          <xsl:value-of select="value[@name='infos']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="string-length($infos)!=0">
      <xsl:call-template name="extcmd_infos">
        <xsl:with-param name="infos" select="value[@name='infos']/@val"/>
        <xsl:with-param name="color" select="value[@name='color']/@val"/>
        <xsl:with-param name="top" select="'422'"/>
        <xsl:with-param name="left" select="'40'"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>