<?xml version="1.0"?>
<!--
   aeg_def_cmd_panel.xsl - AEG commands UPS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Body-->
  <xsl:template name="aeg_def_cmd_panel-body">
    <xsl:apply-templates />
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!--title-->
    <div class="XLargeBold" style="position:absolute; top:13px;left:52px;width:300px;text-align:center;">
      <xsl:value-of select="'UPS&#160;Remote&#160;Control'"/>
    </div>
    <!--def battery test panel-->

    <xsl:call-template name="def-aeg-test-panel">
      <xsl:with-param name="top" select="'42'"/>
      <xsl:with-param name="left" select="'14'"/>
      <xsl:with-param name="w" select="'380'"/>
      <xsl:with-param name="h" select="'260'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="class" select="'tdSmall9_black'"/>
      <xsl:with-param name="id" select="'def-aeg-test-panel-id'"/>
      <xsl:with-param name="outlet_exist_mask" select="value[@name='OUTLET_EXISTMASK']/@val"/>
      <xsl:with-param name="outlet_on_off_mask" select="value[@name='OUTLET_ONOFFMASK']/@val"/>
      <xsl:with-param name="oemViewName" select="value[@name='_oemViewName']/@val"/>
      <xsl:with-param name="audsettings" select="value[@name='XONL_MISCAUDSETTINGS']/@val"/>
      <xsl:with-param name="hemode" select="value[@name='XONL_MISCHEMODE']/@val"/>


    </xsl:call-template>

    <!--infos variable-->

    <xsl:variable name="infos_top">
      <xsl:choose>
        <xsl:when test="value[@name='_oemViewName']/@val !='xonl'">
          <xsl:value-of select="'310'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'422'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="infos">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='infos']/@val)!=0">
          <xsl:value-of select="value[@name='infos']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="string-length($infos)!=0">
      <xsl:call-template name="extcmd_infos">
        <xsl:with-param name="infos" select="value[@name='infos']/@val"/>
        <xsl:with-param name="color" select="value[@name='color']/@val"/>
        <xsl:with-param name="top" select="$infos_top"/>
        <xsl:with-param name="left" select="'16'"/>
      </xsl:call-template>

      <script type="text/javascript">

        <xsl:comment>
          <![CDATA[	
								
				 function testHideNav() 
				 {
				    //alert('testHideNav');
				    var aTags = document.getElementsByTagName('a'),
				        atl = aTags.length,
				        i;

				    for (i = 0; i < atl; i++) 
				    {
	 					aTags[i].href = "javascript:void(0)";
	 					aTags[i].style.color = '#ACA899';
	 					//aTags[i].removeAttribute("class"); 
				    }
				    document.body.style.cursor = 'wait';
				}

				testHideNav();
	   		]]>
        </xsl:comment>

      </script>



    </xsl:if>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>