<?xml version="1.0"?>
<!--
   aeg_mdelta_cmd_panel.xsl - AEESER commands UPS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Body-->
  <xsl:template name="aeg_mdelta_cmd_panel-body">
    <xsl:apply-templates />
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!--title-->
    <div class="XLargeBold" style="position:absolute; top:13px;left:148px;width:300px;height:100px;text-align:center;">
      <xsl:value-of select="'UPS&#160;Configuration&#160;/&#160;Test&#160;/&#160;Control&#160;Functions'"/>
    </div>

    <!--Mdelta custom test time variable-->
    <xsl:variable name="cbser_time" >
      <xsl:choose>
        <xsl:when test="string-length(value[@name='CBSER_TIME']/@val) !=0 and string-length(value[@name='CBSER_TIME']/@val2)!=0 ">
          <xsl:value-of select="concat(concat(value[@name='CBSER_TIME']/@val, ':'),value[@name='CBSER_TIME']/@val2)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'&#160;'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- MDELtA time panel-->

    <xsl:call-template name="mdelta-time-panel">
      <xsl:with-param name="sync_ups_time" select="value[@name='_sync_ups_time']/@val"/>
      <xsl:with-param name="local_date" select="substring-before(//report/@time, ' ')"/>
      <xsl:with-param name="local_time" select="substring-after(//report/@time, ' ')"/>
      <xsl:with-param name="cbser_date" select="value[@name='CBSER_DATE']/@val"/>
      <xsl:with-param name="cbser_time" select="$cbser_time"/>
      <xsl:with-param name="top" select="58"/>
      <xsl:with-param name="left" select="'15'"/>
      <xsl:with-param name="w" select="'300'"/>
      <xsl:with-param name="h" select="'130'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="id" select="'cbsr-time-panel-id'"/>
    </xsl:call-template>

    <xsl:variable name="fault_log_panel_top" >
      <xsl:choose>
        <xsl:when test="value[@name='_sync_ups_time']/@val =1 ">
          <xsl:value-of select="'210'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'110'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- UPS fault log panel-->
    <xsl:call-template name="ups-fault-log-panel">
      <xsl:with-param name="top" select="210"/>
      <xsl:with-param name="left" select="'15'"/>
      <xsl:with-param name="w" select="'300'"/>
      <xsl:with-param name="h" select="'140'"/>
      <xsl:with-param name="border" select="'1'"/>
    </xsl:call-template>

    <!--Mdelta custom test time variable-->
    <xsl:variable name="custom_test_time" >
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_custom_test_time']/@val) !=0">
          <xsl:value-of select="value[@name='_custom_test_time']/@val"/>
        </xsl:when>
        <xsl:when test="string-length(value[@name='POWERDOWNTIME']/@val) !=0">
          <xsl:value-of select="value[@name='POWERDOWNTIME']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'3'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Mdelta battery test panel-->
    <xsl:call-template name="mdelta-battery-test-panel">
      <xsl:with-param name="custom_test_time" select="$custom_test_time"/>
      <xsl:with-param name="top" select="58"/>
      <xsl:with-param name="left" select="'350'"/>
      <xsl:with-param name="w" select="'310'"/>
      <xsl:with-param name="h" select="'100'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="id" select="'mdelta-battery-test-panel-id'"/>
    </xsl:call-template>

    <!--infos variable-->
    <xsl:variable name="infos">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='infos']/@val)!=0">
          <xsl:value-of select="value[@name='infos']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="string-length($infos)!=0">
      <xsl:call-template name="extcmd_infos">
        <xsl:with-param name="infos" select="value[@name='infos']/@val"/>
        <xsl:with-param name="color" select="value[@name='color']/@val"/>
        <xsl:with-param name="top" select="'270'"/>
        <xsl:with-param name="left" select="'20'"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>