<?xml version="1.0"?>
<!--
   aeg_protd_cmd_panel.xsl - AETSER commands UPS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Body-->
  <xsl:template name="aeg_protd_cmd_panel-body">
    <xsl:apply-templates />
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!--title-->
    <div class="XLargeBold" style="position:absolute; top:13px;left:148px;width:300px;height:100px;text-align:center;">
      <xsl:value-of select="'UPS&#160;Configuration&#160;/&#160;Test&#160;/&#160;Control&#160;Functions'"/>
    </div>


    <xsl:variable name="ups_protocol">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_upsProtocol']/@val) !=0">
          <xsl:value-of select="value[@name='_upsProtocol']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='CONNECT']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="is_6000_10000_va_usv">
      <xsl:choose>
        <xsl:when test="$ups_protocol = '80E2' or $ups_protocol = '32994'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- PROTD UPS configuration and segments panel-->
    <xsl:call-template name="protd-ups-conf-segments-panel">
      <xsl:with-param name="aeg_functs_alarm" select="value[@name='AEG_FUNCS']/@val"/>
      <xsl:with-param name="sel_batt_charge_volt" select="value[@name='_sel_batt_charge_volt']/@val"/>
      <xsl:with-param name="is_6000_10000_va_usv" select="$is_6000_10000_va_usv"/>
      <xsl:with-param name="top" select="48"/>
      <xsl:with-param name="left" select="'40'"/>
      <xsl:with-param name="w" select="'304'"/>
      <xsl:with-param name="h" select="'240'"/>
      <xsl:with-param name="border" select="'1'"/>
    </xsl:call-template>

    <!--ATSER custom test time variable-->
    <xsl:variable name="custom_test_time" >
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_custom_test_time']/@val) !=0 and string(number(value[@name='_custom_test_time']/@val)) != 'NaN'">
          <xsl:value-of select="value[@name='_custom_test_time']/@val"/>
        </xsl:when>
        <xsl:when test="string-length(value[@name='POWERDOWNTIME']/@val) !=0">
          <xsl:value-of select="value[@name='POWERDOWNTIME']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'3'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="$is_6000_10000_va_usv = 0">
      <!--protd battery test fault log panel -->
      <xsl:call-template name="protd-battery-test-fault-log-panel">
        <xsl:with-param name="custom_test_time" select="$custom_test_time"/>
        <xsl:with-param name="top" select="48"/>
        <xsl:with-param name="left" select="'350'"/>
        <xsl:with-param name="w" select="'310'"/>
        <xsl:with-param name="h" select="'440'"/>
        <xsl:with-param name="border" select="'1'"/>
        <xsl:with-param name="id" select="'protd-battery-test-panel-id'"/>
      </xsl:call-template>
    </xsl:if>

    <!--PROTD 6000-10000 battery test panel-->
    <xsl:if test="$is_6000_10000_va_usv = 1">
      <xsl:call-template name="protd-6000-10000-batt-test-fault-log-panel">
        <xsl:with-param name="custom_test_time" select="$custom_test_time"/>
        <xsl:with-param name="top" select="48"/>
        <xsl:with-param name="left" select="'350'"/>
        <xsl:with-param name="w" select="'310'"/>
        <xsl:with-param name="h" select="'440'"/>
        <xsl:with-param name="border" select="'1'"/>
        <xsl:with-param name="id" select="'protd-battery-test-panel-id'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:variable name="protd-time-panel-top" >
      <xsl:choose>
        <xsl:when test="$is_6000_10000_va_usv=0">
          <xsl:value-of select="210"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="280"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="protd-time-panel-left" >
      <xsl:choose>
        <xsl:when test="$is_6000_10000_va_usv=0">
          <xsl:value-of select="350"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'40'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="protd-time-panel-w" >
      <xsl:choose>
        <xsl:when test="$is_6000_10000_va_usv=0">
          <xsl:value-of select="310"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="304"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- PROTD time panel-->
    <xsl:call-template name="protd-time-panel">
      <xsl:with-param name="local_date" select="substring-before(//report/@time, ' ')"/>
      <xsl:with-param name="local_time" select="substring-after(//report/@time, ' ')"/>
      <xsl:with-param name="cbser_date" select="value[@name='CBSER_DATE']/@val"/>
      <xsl:with-param name="cbser_time" select="concat(concat(value[@name='CBSER_TIME']/@val, ':'),value[@name='CBSER_TIME']/@val2)"/>
      <xsl:with-param name="top" select="$protd-time-panel-top"/>
      <xsl:with-param name="left" select="$protd-time-panel-left"/>
      <xsl:with-param name="w" select="$protd-time-panel-w"/>
      <xsl:with-param name="h" select="'120'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="id" select="'protd-time-panel-id'"/>
    </xsl:call-template>

    <!--infos variable-->
    <xsl:variable name="infos">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='infos']/@val)!=0">
          <xsl:value-of select="value[@name='infos']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:if test="string-length($infos)!=0">
      <xsl:call-template name="extcmd_infos">
        <xsl:with-param name="infos" select="value[@name='infos']/@val"/>
        <xsl:with-param name="color" select="value[@name='color']/@val"/>
        <xsl:with-param name="top" select="'446'"/>
        <xsl:with-param name="left" select="'40'"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>