<?xml version="1.0"?>
<!--
   aeg_sts_panel.xsl -  screen for @UNMS-II.
   Language: English
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="aeg_sts_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="aeg_sts_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="24"/>
      <xsl:with-param name="top" select="490"/>
      <xsl:with-param name="width" select="752"/>
      <xsl:with-param name="height" select="62"/>
      <xsl:with-param name="language" select="$installation-language"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="aeg_sts_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="aeg_sts_panel-body">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/img/backhost.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="0"/>
      <xsl:with-param name="w" select="'792'"/>
      <xsl:with-param name="h" select="'485'"/>
      <xsl:with-param name="border" select="0"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>
    <xsl:apply-templates />

    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>

  </xsl:template>

  <xsl:template match="values">
    <!-- Implementation -->
    <xsl:variable name="info-text">
      <xsl:choose>
        <xsl:when test="//zone/host/service/@evoid = -1">
          <xsl:value-of select="$lang-Not-reachable"/>
        </xsl:when>
        <xsl:when test="//zone/host/service/@evoid = -2">
          <xsl:value-of select="$lang-Disabled"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="//zone/host/service/@alarm"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <div class="XLargeBold" style="position: absolute; left:10px; top:75px; width:792px; height:265px; text-align:center;font-size:30px;">
      <xsl:element name='a'>
        <xsl:attribute name='href'>
          http://<xsl:value-of select='//host/@address'/>
        </xsl:attribute>
        <xsl:attribute name='target'>_blank</xsl:attribute>
        <!--<xsl:value-of select="$info-text"/>-->
        <img src="./lib/ups/image/aeg/sts.gif" border="0" alt=""/>
      </xsl:element>
    </div>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>