<?xml version="1.0"?>
<!--
   auxdev_panel.xsl - AUX-Device (former DIESEL) UPS screen @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="auxdev_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
      <xsl:with-param name="width" select="785"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="auxdev_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param	 name="top" select="568"/>
      <xsl:with-param	 name="width" select="785"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="auxdev_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>
  <!--Body-->
  <xsl:template name="auxdev_panel-body">
    <div id="master" style="position:absolute; top:60px;left:20px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/auxdev/backaux.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <!-- MODEL -->
      <div id="head" class="XLargeBold" style="position:absolute; top:40px; left:0px;width:788px;text-align:center; font-size:24px;" >
        <xsl:value-of select="//value[@name='MODEL']/@val" />
      </div>
      <xsl:apply-templates />
      <xsl:apply-templates />
    </div>
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">

    <!-- STATUS -->
    <xsl:variable name="state" select="value[@name='STATUS']/@val"/>


    <!-- Bits masked -->
    <xsl:variable name="aux1cfg" select="value[@name='AUX1CFG']/@val"/>
    <xsl:variable name="aux2cfg" select="value[@name='AUX2CFG']/@val"/>
    <xsl:variable name="aux3cfg" select="value[@name='AUX3CFG']/@val"/>
    <xsl:variable name="aux4cfg" select="value[@name='AUX4CFG']/@val"/>

    <xsl:variable name="auxcfg" select="concat(concat($aux1cfg, $aux2cfg), concat($aux3cfg, $aux4cfg)) "/>

    <xsl:variable name="aux1state" select="value[@name='AUX1STATE']/@val"/>
    <xsl:variable name="aux2state" select="value[@name='AUX2STATE']/@val"/>
    <xsl:variable name="aux3state" select="value[@name='AUX3STATE']/@val"/>
    <xsl:variable name="aux4state" select="value[@name='AUX4STATE']/@val"/>

    <xsl:variable name="aux1text" select="value[@name='AUX1TEXT']/@val"/>
    <xsl:variable name="aux2text" select="value[@name='AUX2TEXT']/@val"/>
    <xsl:variable name="aux3text" select="value[@name='AUX3TEXT']/@val"/>
    <xsl:variable name="aux4text" select="value[@name='AUX4TEXT']/@val"/>

    <xsl:variable name="custom1text" select="value[@name='CUSTOM1TEXT']/@val"/>
    <xsl:variable name="custom2text" select="value[@name='CUSTOM2TEXT']/@val"/>
    <xsl:variable name="custom3text" select="value[@name='CUSTOM3TEXT']/@val"/>
    <xsl:variable name="type" select="value[@name='_oemViewType']/@val"/>

    <xsl:variable name="custom1logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'gray,red'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'red,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="custom2logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'gray,red'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'gray,yellow'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="custom3logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'red,green'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'gray,red'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aux1logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'yellow,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'gray,red'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aux2logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'red,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'green,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aux3logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'gray,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'green,red'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aux4logic">
      <xsl:choose>
        <xsl:when test="$type = 1">
          <xsl:value-of select="'gray,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 2">
          <xsl:value-of select="'green,gray'"/>
        </xsl:when>
        <xsl:when test="$type = 3">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:when test="$type = 4">
          <xsl:value-of select="'gray,green'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'gray,gray'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div style="position:absolute; left:294px; top:100px;width:200px">
      <table align="center" width="200" cellspacing="1" cellpadding="1" border="0">
        <tr>
          <th colspan="2" class="LargeBold" style="color:#ffffff;background-color:#3f5987;" align="center">Status</th>
        </tr>
        <xsl:if test="$type != 4">
          <tr>
            <td width="20" align="center" style="background-color:#ffffff;">
              <xsl:call-template name="auxdev-led">
                <xsl:with-param name="color-scheme" select="$custom1logic"/>
                <xsl:with-param name="state" select="$state"/>
                <xsl:with-param name="start-bit" select="0"/>
                <xsl:with-param name="count-bits" select="1"/>
              </xsl:call-template>
            </td>
            <td class="MediumBold" style="background-color:#ffffff;">
              <xsl:value-of select="$custom1text"/>
            </td>
          </tr>
          <tr>
            <td width="20" align="center" style="background-color:#ffffff;">
              <xsl:call-template name="auxdev-led">
                <xsl:with-param name="color-scheme" select="$custom2logic"/>
                <xsl:with-param name="state" select="$state"/>
                <xsl:with-param name="start-bit" select="3"/>
                <xsl:with-param name="count-bits" select="1"/>
              </xsl:call-template>
            </td>
            <td class="MediumBold" style="background-color:#ffffff;">
              <xsl:value-of select="$custom2text"/>
            </td>
          </tr>
          <tr>
            <td width="20" align="center" style="background-color:#ffffff;">
              <xsl:call-template name="auxdev-led">
                <xsl:with-param name="color-scheme" select="$custom3logic"/>
                <xsl:with-param name="state" select="$state"/>
                <xsl:with-param name="start-bit" select="4"/>
                <xsl:with-param name="count-bits" select="1"/>
              </xsl:call-template>
            </td>
            <td class="MediumBold" style="background-color:#ffffff;">
              <xsl:value-of select="$custom3text"/>
            </td>
          </tr>
        </xsl:if>
        <tr>
          <td width="20" align="center" style="background-color:#ffffff;">
            <xsl:call-template name="auxdev-led">
              <xsl:with-param name="color-scheme" select="$aux1logic"/>
              <xsl:with-param name="state" select="$aux1state"/>
              <xsl:with-param name="start-bit" select="0"/>
              <xsl:with-param name="count-bits" select="1"/>
            </xsl:call-template>
          </td>
          <td class="MediumBold" style="background-color:#ffffff;">
            <xsl:value-of select="$aux1text"/>
          </td>
        </tr>
        <tr>
          <td width="20" align="center" style="background-color:#ffffff;">
            <xsl:call-template name="auxdev-led">
              <xsl:with-param name="color-scheme" select="$aux2logic"/>
              <xsl:with-param name="state" select="$aux2state"/>
              <xsl:with-param name="start-bit" select="0"/>
              <xsl:with-param name="count-bits" select="1"/>
            </xsl:call-template>
          </td>
          <td class="MediumBold" style="background-color:#ffffff;">
            <xsl:value-of select="$aux2text"/>
          </td>
        </tr>
        <tr>
          <td width="20" align="center" style="background-color:#ffffff;">
            <xsl:call-template name="auxdev-led">
              <xsl:with-param name="color-scheme" select="$aux3logic"/>
              <xsl:with-param name="state" select="$aux3state"/>
              <xsl:with-param name="start-bit" select="0"/>
              <xsl:with-param name="count-bits" select="1"/>
            </xsl:call-template>
          </td>
          <td class="MediumBold" style="background-color:#ffffff;">
            <xsl:value-of select="$aux3text"/>
          </td>
        </tr>
        <tr>
          <td width="20" align="center" style="background-color:#ffffff;">
            <xsl:call-template name="auxdev-led">
              <xsl:with-param name="color-scheme" select="$aux4logic"/>
              <xsl:with-param name="state" select="$aux4state"/>
              <xsl:with-param name="start-bit" select="0"/>
              <xsl:with-param name="count-bits" select="1"/>
            </xsl:call-template>
          </td>
          <td class="MediumBold" style="background-color:#ffffff;">
            <xsl:value-of select="$aux4text"/>
          </td>
        </tr>

      </table>
    </div>


  </xsl:template>


  <xsl:template name="auxdev-led">
    <xsl:param name="state" select="0"/>
    <xsl:param name="start-bit" select="1"/>
    <xsl:param name="count-bits" select="1"/>
    <xsl:param name="color-scheme" select="'gray,gray'"/>
    <xsl:call-template name="generic-led">
      <xsl:with-param name="color-scheme" select="$color-scheme"/>
      <xsl:with-param name="state" select="$state"/>
      <xsl:with-param name="start-bit" select="$start-bit"/>
      <xsl:with-param name="count-bits" select="$count-bits"/>
      <xsl:with-param name="path" select="'./lib/img/'"/>
      <xsl:with-param name="prefix" select="'status_'"/>
      <xsl:with-param name="extension" select="'.gif'"/>
      <xsl:with-param name="width" select="16"/>
      <xsl:with-param name="height" select="16"/>
    </xsl:call-template>

  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>