<?xml version="1.0"?>
<!--
   bacs_panel.xsl - Standard BACS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="bacs_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="3"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="bacs_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="24"/>
      <xsl:with-param name="top" select="440"/>
      <xsl:with-param name="width" select="706"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="bacs_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="temp" select="0"/>
      <xsl:with-param name="sm_h" select="0"/>
      <xsl:with-param name="sm_t" select="0"/>
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="bacs_panel-body">
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
    <xsl:apply-templates />
  </xsl:template>

  <!-- Implementation -->

  <xsl:template match="values">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/ups/empty.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'748'"/>
      <xsl:with-param name="h" select="'427'"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>
    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 0px; top: 80px; width: 263px; height: 17px; text-align:center">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <!--BACS module alarm variables-->
    <xsl:variable name="bacs_alarm" select="value[@name='BACS_ALARMS']/@val"/>

    <xsl:variable name="bacs_general_alarm">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_com_lost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_volt_high">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_volt_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_temp_high">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_temp_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_restor_high">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_restor_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_equalizing_err">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="bacs_alarm_vol_warn_high">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_vol_warn_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_temp_warn_high">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_temp_warn_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_restor_warn_high">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bacs_alarm_restor_warn_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$bacs_alarm"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="bat_img">
      <xsl:choose>
        <xsl:when test="$bacs_alarm= '0'" >
          <!-- no alarm-->
          <xsl:value-of select="'./lib/ups/image/bacs/bat_green.gif'" />
        </xsl:when>
        <!-- bacs alarms-->
        <xsl:when test="$bacs_general_alarm= '1' or $bacs_alarm_com_lost= '1' or $bacs_alarm_volt_high= '1' or $bacs_alarm_volt_low= '1' or $bacs_alarm_temp_high= '1' or $bacs_alarm_temp_low= '1' or $bacs_alarm_restor_high= '1' or $bacs_alarm_restor_low= '1' or $bacs_alarm_equalizing_err= '1' " >
          <xsl:value-of select="'./lib/ups/image/bacs/bat_red.gif'" />
        </xsl:when>
        <xsl:otherwise>
          <!-- bacs warning-->
          <xsl:value-of select="'./lib/ups/image/bacs/bat_yellow.gif'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- Draw battery image-->
    <div style="position: absolute; left: 280px; top: 140px; width: 180px; height: 180px">
      <img border="0" src="{$bat_img}" width="180" height="180" />
    </div>


  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>