var _bowser = (function ($) {
  return {
    check_bowser: check_bowser
  };


  function check_bowser() {
    var os_br_ver = [{
        os_name: 'Windows',
        browsers: [
          { name: 'chrome', min_ver: 25 },
          { name: 'firefox', min_ver: 15 },
          { name: 'opera', min_ver: 12 },
          { name: 'safari', min_ver: 5.1 },
          { name: 'msie', min_ver: 8 }
        ]
      },
      {
        os_name: 'MacOs',
        browsers: [
          { name: 'chrome', min_ver: 25 },
          { name: 'firefox', min_ver: 20 },
          { name: 'opera', min_ver: 12 },
          { name: 'safari', min_ver: 5.1 }
        ]
      },
      {
        os_name: 'UNIX',
        browsers: []
      },
      {
        os_name: 'Linux',
        browsers: []
      }
    ],
    os_name = get_os_name(),
    browser = get_browser(),
    result = true;

    $.each(os_br_ver, function (index, br_obj) {
      if (os_name === br_obj.os_name) {
        $.each(br_obj.browsers, function (i, br) {
          if (br.name === browser.name) {
            if (br.min_ver < browser.version)
            result = false;
            return false;
          }

        });
      }
    });
    return result;
  }

  function get_os_name() {
    var n_app_v = navigator.appVersion;

    if (n_app_v.indexOf('Win') != -1)
    return 'Windows';
    if (n_app_v.indexOf('Mac') != -1)
    return 'MacOS';
    if (n_app_v.indexOf('X11') != -1)
    return 'UNIX';
    if (n_app_v.indexOf('Linux') != -1)
    return 'Linux';
    return '';
  }

  function get_browser() {
    var ua = navigator.userAgent;,
    ie = /(msie|trident)/i.test(ua),
    chrome = /chrome/i.test(ua),
    safari = /safari/i.test(ua) && !chrome && !phantom,
    opera = /opera/i.test(ua) || /opr/i.test(ua),
    firefox = /firefox/i.test(ua),
    gecko = /gecko\//i.test(ua),
    webkitVersion = /version\/(\d+(\.\d+)?)/i,
    firefoxVersion = /firefox\/(\d+(\.\d+)?)/i;

    if (ie)
    return { name: 'msie', version: ua.match(/(msie |rv:)(\d+(\.\d+)?)/i)[2] };
    if (opera)
    return { name: 'opera', version: ua.match(webkitVersion) ? ua.match(webkitVersion)[1] : ua.match(/opr\/(\d+(\.\d+)?)/i)[1] };
    if (chrome)
    return { name: 'chrome', version: ua.match(/chrome\/(\d+(\.\d+)?)/i)[1] };
    if (safari)
    return { name: 'safari', version: ua.match(webkitVersion)[1] };
    if (firefox)
    return { name: 'firefox', version: ua.match(firefoxVersion)[1] };
    if (gecko)
    return { name: 'gecko', version: ua.match(firefoxVersion)[1] };
    return { name: '', version: '' };
  }
}(jQuery));