<?xml version="1.0"?>
<!--
   conce.xsl - Standard UPS screen.
   Copyright (c) 2009, Generex GmbH. All rights reserved.
   said
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../loadbar.xsl"/>
  <xsl:import href="./../app/common.xsl"/>
  <xsl:import href="./conce_panel.xsl"/>
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>

  <xsl:template match="/">

    <html>
      <head>
        <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
        <meta http-equiv="expires" content="0" />
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX Network Management System" />
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <script type="text/javascript" src="./lib/jqmodule.js"></script>
        <script type="text/javascript" src="./lib/periodic_req.js"></script>
        <script type="text/javascript" src="./lib/app/app_utils.js"></script>
        <script type="text/javascript" src="./lib/utils.js"></script>
        <title>NMS Web Client</title>
        <xsl:call-template name="set_css"/>
        <xsl:call-template name="popup"/>

        <script type="text/javascript">

        <![CDATA[        
          if(get_plattform() == utils_api.plattform_cs141)
          {
            xsl_ajax_api.init();
          }

          var conce_api =(function(xsl_ajax_api)
          {
            var ups_id = [-1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1];

              return{
                switch_to_ups:switch_to_ups,
                get_ups_id:get_ups_id,
                set_ups_id:set_ups_id,
                set_line1_source:set_line1_source,
                set_auxinp_font:set_auxinp_font,
                set_auxinp_phases:set_auxinp_phases,
                set_selected_ups_id:set_selected_ups_id,
                set_ups_background_color:set_ups_background_color
            }

            function create_waiting_div()
            {
              var div = document.createElement("div");
              div.style.width = "900px";
              div.style.height = "900px";
              div.style.background = "white";//#D3D3D3
              div.style.opacity = 0.7;
              div.style.cursor = 'wait';
              div.style.display = 'block';
              document.body.style["z-index"] = 400;

              document.body.appendChild(div);
              document.body.style.cursor='wait';

              var spans = document.getElementsByTagName("span");
              for (var i = 0; i < spans.length; i++)
              {
                spans[i].disabled = true;
                spans[i].style.cursor='wait';
              }
            }

            function switch_to_ups(ups_id)
            {
              var is_multi_ups = '1',
                plattform = get_plattform(),
                oid = get_oid_from_url();

              if(plattform == utils_api.plattform_cs141)
              {
                xsl_ajax_api.set_active_ups_id(ups_id);
              }
              else
              {
                create_waiting_div();
                multi_ups_switch(ups_id, is_multi_ups, oid);
              }
            }

            function set_ups_id(num_units, upsid_mask_startup)
            {
              var i = 1;
              for(var j = 0; j < 32; ++j)
              {
                if((upsid_mask_startup & (1<< j))== (1 << j))
                    ups_id[j] = i++;
              }
            }

            function get_ups_id(index)
            {
              if((0 <= index) & (index < 32))
              {
                return ups_id[index];
              }
              return 0;
            }

            function set_line1_source(selected_ups_id, auxmask)
            {
              var inpline1_div = document.getElementById("inpline1_id");

              selected_ups_id = parseInt(selected_ups_id);
              auxmask = parseInt(auxmask);

              for(var index = 0; index < 32; ++index)
              {
                if((ups_id[index] == selected_ups_id) && (auxmask & (1 << index)))
                {
                    inpline1_div.innerHTML = "Line 1 AUX";
                    return true;
                }
              }

              inpline1_div.innerHTML = "Line 1";
              return true;
            }

            function set_auxinp_font(auxmask)
            {
              auxmask = parseInt(auxmask);

              for(var index = 0; index < 30; ++index)
              {
                var id = "a_ups_"+(index + 1);
                var a = document.getElementById(id);
                if((a != null) && (auxmask & (1 << index)))
                {
                    a.style.textDecoration = 'underline';
                }
              }
              return true;
            }

            function set_auxinp_phases(selected_ups_id, auxmask, auxinphases)
            {
              var tr_inp_phase2 = document.getElementById("tr_inp_phase2");
              var tr_inp_phase3 = document.getElementById("tr_inp_phase3");

              selected_ups_id = parseInt(selected_ups_id);
              auxmask = parseInt(auxmask);
              auxinphases = parseInt(auxinphases);

              for(var index = 0; index < 32; ++index)
              {
                if((ups_id[index] == selected_ups_id) && (auxmask & (1 << index)))
                {
                    if (auxinphases == 2)
                    {
                      tr_inp_phase3.style.display = 'none';
                    }
                    else if (auxinphases == 1)
                    {
                      tr_inp_phase2.style.display = 'none';
                      tr_inp_phase3.style.display = 'none';
                    }
                    return true;
                }
              }
              return true;
            }

            function set_selected_ups_id(uid)
            {
              uid = parseInt(uid);

              for(var j = 0; j < 32; ++j)
              {
                if(ups_id[j] == uid)
                {
                  var id = "a_ups_"+(j+1);
                  var a = document.getElementById(id);
                  if(a!=null)
                  {
                    a.style.fontSize = '12pt';
                    a.style.fontWeight = 'bold';
                  }
                  return ++j;
                }
              }
              return 0;
            }

            function set_ups_background_color(upsid_mask, rawstatee, rawstatef)
            {
              var s, s_id, background_color;
              var bug_ups_id  = -1;

              upsid_mask = parseInt(upsid_mask);
              rawstatee = parseInt(rawstatee);
              rawstatef = parseInt(rawstatef);

              for(var j = 0; j < 32; ++j)
              {
                background_color = "#DDDDDD";
                if((upsid_mask & (1<< j))== (1 << j))
                {
                  s_id = "s_ups_" + (j+1);
                  s = document.getElementById(s_id);
                  if(s == null)
                    continue;
                  bug_ups_id = get_ups_id(j) - 1;
                  if((rawstatef & (1<< bug_ups_id))== (1 << bug_ups_id))
                    background_color = "#FF00FF";
                  else if((rawstatee & (1<< bug_ups_id))== (1 << bug_ups_id))
                    background_color = "#FFFF00";
                  s.style.background = background_color;
                }
              }
            }

          })(xsl_ajax_api);
        ]]>
      
        </script>

      </head>

      <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0">
        <xsl:if test="//report/@_platform = 'cs141'">
          <div id="loading_id" style="position:absolute;top: 20px;left:26px;width: 30px; height:30px; z-index:120;display:none">
            <img src="./lib/ups/image/ups/ajax.gif" alt="Test" width="16" height="16" />
          </div>
        </xsl:if>
        <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
          <xsl:call-template name="js_refresh_def"/>
        </xsl:if>
        <xsl:call-template name="app-notifier"/>
        <xsl:call-template name="window-title"/>
        <xsl:call-template name="conce_panel-body"/>
        <xsl:call-template name="conce_panel-header"/>
        <xsl:call-template name="conce_panel-footer"/>
        <xsl:call-template name="conce_panel-menu"/>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
