<?xml version="1.0"?>
<!--
   conce_panel.xsl
   Generex GmbH. All rights reserved.
   said/uw
-->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:exsl="http://exslt.org/common"
	xmlns:msxsl="urn:schemas-microsoft-com:xslt"
	exclude-result-prefixes="exsl msxsl">

  <!-- Workaround for Internet Explorer (MSXML) to support exsl:node-set -->
  <msxsl:script language="JScript" implements-prefix="exsl">
    this['node-set'] = function (x) { return x; }
  </msxsl:script>

  <!-- Methods -->

  <xsl:template name="input_values">
    <xsl:param name="volt" select="-9999" />
    <xsl:param name="freq" select="-9999" />

    <xsl:choose>
      <xsl:when test="$volt &lt; 0">
        <td >
          <xsl:value-of select="'n/a'"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td >
          <xsl:value-of select="concat(substring-before($volt,'.'),'&#160;V')"/>
        </td>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:choose>
      <xsl:when test="$freq &lt; 0">
        <td >
          <xsl:value-of select="'n/a'"/>
        </td>
      </xsl:when>
      <xsl:otherwise>
        <td >
          <xsl:value-of select="concat(substring($freq, 1, string-length($freq) - 1),'&#160;Hz')"/>
        </td>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="aux-mains-input-failure">
    <xsl:param name="rawstateb" select="0" />
    <xsl:param name="bit" select="$bit7" />

    <xsl:variable name="aux_m_input_fail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$rawstateb"/>
        <xsl:with-param name="bit" select="$bit"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="0=$aux_m_input_fail">
      <div id="aux_m_input_fail_id" style="position: absolute; left: 60px; top: 294px; width: 200px; height: 40px; color:red; font-family: arial; font-size: 12px; font-weight: bold;">
      </div>
      <script type="text/javascript"> translate_text('aux_m_input_fail_id', '<xsl:value-of select="$lang-Aux-Mains-Input-Failure"/>');</script>
    </xsl:if>
  </xsl:template>
  <!--Header-->
  <xsl:template name="conce_panel-header">
  </xsl:template>

  <!--Footer-->
  <xsl:template name="conce_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="700"/>
      <xsl:with-param name="left" select="20"/>
      <xsl:with-param name="width" select="760"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="conce_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="conce_panel-body">
    <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
      <xsl:call-template name="js_refresh_call">
        <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:apply-templates />
  </xsl:template>

  <xsl:variable name="service_oid" select="//service/@oid"/>
  <!-- Log events pane -->
  <xsl:template name="events-pane">
    <xsl:param name="x" select="255" />
    <xsl:param name="y" select="28" />
    <xsl:param name="w" select="529" />
    <xsl:param name="h" select="106" />
    <xsl:param name="name" select="events_pane" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'tdMediumWhite'" />


    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>

      <div style="overflow-x:scroll; overflow-y:scroll;width:{$w}px;height:{$h}px ;">

        <table class="{$class}" align="{$align}" cellpadding="0"  cellspacing="0" style="text-align:{$align};">
          <tr width="100%" class="tdMediumWhiteBold2" style="background-color:#405080;color:white">
            <td id="evt_date_id" align="{$align}" >
              <script type="text/javascript"> translate_text('evt_date_id', ['&#160;&#160;&#160;&#160;&#160;', '<xsl:value-of select="$lang-Date"/>']);</script>
            </td>
            <td id="evt_time_id" align="{$align}">
              <script type="text/javascript"> translate_text('evt_time_id', ['&#160;&#160;&#160;&#160;&#160;&#160;', '<xsl:value-of select="$lang-Time"/>']);</script>
            </td>
            <td id="evt_id" align="{$align}">
             <script type="text/javascript"> translate_text('evt_id', ['&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;', '<xsl:value-of select="$lang-Event"/>']);</script>
            </td>
            <td width="200%" align="{$align}">&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;</td>
          </tr>

          <xsl:for-each select="value[@name='event']">
            <xsl:sort select="position()" data-type="number" order="descending"/>
            <tr>
              <td align="left">
                &#160;<xsl:value-of select="concat(concat(substring-before(substring-after(@date,'/'),'/'),'.'), concat(substring-before(@date,'/'),concat('.',substring-after(substring-after(@date,'/'),'/'))))" />
              </td>
              <td align="left">
                &#160;&#160;&#160;<xsl:value-of select="@time" />
              </td>
              <td id="{concat('conce_evt_txt_', position())}" nowrap="yes" align="left" style="padding-left: 16px">
                <xsl:value-of select="text()" />
              </td>
              <script type="text/javascript">utils_api.rem_category_from_evt('<xsl:value-of select="concat('conce_evt_txt_', position())" />');</script>
            </tr>
          </xsl:for-each>
        </table>
      </div>
    </xsl:element>

  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">

    <!-- selected ups id -->
    <xsl:variable name="selected_ups_id">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_selected_ups_id']/@val) != 0">
          <xsl:value-of select="value[@name='_selected_ups_id']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="active_path">
      <xsl:choose>
        <xsl:when test="//report/@_platform = 'cs141'">
          <xsl:choose>
            <xsl:when test="$selected_ups_id = 0">
              <xsl:copy-of select="//values/*"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:copy-of select="//modules/module[position()= $selected_ups_id]/*"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:copy-of select="//values/*"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="path" select="exsl:node-set($active_path)"/>


    <div style="position: absolute; left: 20px; top:10px; width: 786px; height: 660px; border: 1px solid #3F5987" />
    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 40px; top: 46px; width: 380px; height: 17px; text-align:left">
      <xsl:value-of select="$path/value[@name='MODEL']/@val" />
    </div>

    <xsl:variable name="service_oid" select="//service/@oid"/>

    <!--##############################(line color)#####################################-->
    <!--MB line 1-->

    <xsl:variable name="auxidmask">
      <xsl:choose>
        <xsl:when test="string-length($path/value[@name='AUXIDMASK']/@val)!=0 and $path/value[@name='AUXIDMASK']/@val !=0">
          <xsl:value-of select="$path/value[@name='AUXIDMASK']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="u_rawstateb">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEB']/@val"/>
        <xsl:with-param name="bits" select="32"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="mb1_line_cond">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="mb1_line_color">
      <xsl:choose>
        <xsl:when test="1=$mb1_line_cond">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="180"/>
      <xsl:with-param name="y" select="256"/>
      <xsl:with-param name="w" select="192"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$mb1_line_color"/>
    </xsl:call-template>

    <!--MB line 2-->
    <xsl:variable name="mb2_line_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit21"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="mb2_line_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="mb2_line_cond3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="mb2_line_color">
      <xsl:choose>
        <xsl:when test="0=$mb2_line_cond1 and 1=$mb2_line_cond2 and 1=$mb2_line_cond3">
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FFFFFF'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="400"/>
      <xsl:with-param name="y" select="256"/>
      <xsl:with-param name="w" select="143"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$mb2_line_color"/>
    </xsl:call-template>
    <!--MB line 3-->
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="539"/>
      <xsl:with-param name="y" select="260"/>
      <xsl:with-param name="w" select="4"/>
      <xsl:with-param name="h" select="74"/>
      <xsl:with-param name="color" select="$mb2_line_color"/>
      <xsl:with-param name="border_top" select="'0'"/>
      <xsl:with-param name="border_bottom" select="'0'"/>
    </xsl:call-template>

    <!--MR line-->
    <xsl:variable name="mr_line_cond">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="mr_aux_cond">
      <xsl:choose>
        <xsl:when test="$auxidmask != 0">
          <xsl:call-template name="bit">
            <xsl:with-param name="val" select="$u_rawstateb"/>
            <xsl:with-param name="bit" select="$bit3"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="1"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
<!--
      <script type="text/javascript">
        alert('<xsl:value-of select="$mr_line_cond"/>');
      </script>
-->

    <xsl:variable name="mr_line_color">
      <xsl:choose>
        <xsl:when test="(1=$mr_line_cond and 1=$mr_aux_cond) or ($auxidmask != 0 and $selected_ups_id = 0 and (1=$mr_line_cond or 1=$mr_aux_cond))">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="180"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$mr_line_color"/>
    </xsl:call-template>

    <!--inv1 line-->
    <xsl:variable name="inv1_line_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv1_line_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv1_line_color">
      <xsl:choose>
        <xsl:when test="(1=$inv1_line_cond1 and 1=$inv1_line_cond2 and 1=$mr_aux_cond)  or ($auxidmask != 0 and $selected_ups_id = 0 and (1=$inv1_line_cond2 or 1=$mr_aux_cond))">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="300"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$inv1_line_color"/>
      <xsl:with-param name="border_right" select="'0'"/>
    </xsl:call-template>

    <!--inv2 line-->
    <xsl:variable name="inv2_line_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv2_line_color">
      <xsl:choose>
        <xsl:when test="1=$inv2_line_cond1">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="398"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$inv2_line_color"/>
      <xsl:with-param name="border_left" select="'0'"/>
    </xsl:call-template>
    <!--ob1 line-->
    <xsl:variable name="ob1_line_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob1_line_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob1_line_cond3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob1_line_cond4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEC']/@val"/>
        <xsl:with-param name="bit" select="$bit25"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob1_line_cond5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob1_line_color">
      <xsl:choose>
        <xsl:when test="((1=$ob1_line_cond1 and 1=$ob1_line_cond2) or (0=$ob1_line_cond3 or 0=$ob1_line_cond4)) and 1= $ob1_line_cond5">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="520"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="20"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$ob1_line_color"/>
      <xsl:with-param name="border_right" select="'0'"/>
      <xsl:with-param name="border_left" select="'0'"/>
    </xsl:call-template>

    <!--ob2 line-->
    <xsl:variable name="ob2_line_cond6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit21"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob2_line_cond7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob2_line_cond8">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob2_line_color">
      <xsl:choose>
        <xsl:when test="0= $ob2_line_cond6 and 1 = $ob2_line_cond7 and 1 = $ob2_line_cond8">
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:when>
        <xsl:when test="((1=$ob1_line_cond1 and 1=$ob1_line_cond2) or (0=$ob1_line_cond3 or 0=$ob1_line_cond4)) and 1= $ob1_line_cond5">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="540"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="26"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$ob2_line_color"/>
      <xsl:with-param name="border_left" select="'0'"/>
      <xsl:with-param name="border_right" select="'0'"/>
    </xsl:call-template>

    <!--ob3 line-->
    <xsl:variable name="ob3_line_cond9">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="ob3_line_color">
      <xsl:choose>
        <xsl:when test="1= $ob3_line_cond9">
          <xsl:value-of select="'#FFFFFF'"/>
        </xsl:when>
        <xsl:when test="0=$ob2_line_cond6 and 1=$ob2_line_cond7 and 1=$ob2_line_cond8">
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:when>
        <xsl:when test="((1=$ob1_line_cond1 and 1=$ob1_line_cond2) or (0=$ob1_line_cond3 or 0=$ob1_line_cond4)) and 1= $ob1_line_cond5">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="588"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="28"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$ob3_line_color"/>
      <xsl:with-param name="border_right" select="'0'"/>
      <xsl:with-param name="border_left" select="'0'"/>
    </xsl:call-template>

    <!--ob4 line -->
    <xsl:variable name="ob4_line_cond10">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit17"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ob4_line_color">
      <xsl:choose>
        <xsl:when test="0= $ob4_line_cond10">
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:when>
        <xsl:when test="1= $ob3_line_cond9">
          <xsl:value-of select="'#FFFFFF'"/>
        </xsl:when>
        <xsl:when test="0= $ob2_line_cond6 and 1 = $ob2_line_cond7 and 1 = $ob2_line_cond8">
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:when>
        <xsl:when test="((1=$ob1_line_cond1 and 1=$ob1_line_cond2) or not(1=$ob1_line_cond3 or 1=$ob1_line_cond4)) and 1=$ob1_line_cond5">
          <xsl:value-of select="'#00B400'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FF0000'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="614"/>
      <xsl:with-param name="y" select="334"/>
      <xsl:with-param name="w" select="30"/>
      <xsl:with-param name="h" select="4"/>
      <xsl:with-param name="color" select="$ob4_line_color"/>
      <xsl:with-param name="border_right" select="'0'"/>
      <xsl:with-param name="border_left" select="'0'"/>
    </xsl:call-template>

    <!--Out img -->
    <div style="position: absolute; left: 633px; top: 325px; width: 36px; height: 36px">
      <xsl:choose>
        <xsl:when test="0= $ob4_line_cond10">
          <img src="./lib/ups/image/ups/pf_yelow.gif" />
        </xsl:when>
        <xsl:when test="1= $ob3_line_cond9">
          <img src="./lib/ups/image/ups/pf_white.gif" />
        </xsl:when>
        <xsl:when test="0= $ob2_line_cond6 and 1 = $ob2_line_cond7 and 1 = $ob2_line_cond8">
          <img src="./lib/ups/image/ups/pf_yelow.gif" />
        </xsl:when>
        <xsl:when test="((1=$ob1_line_cond1 and 1=$ob1_line_cond2) or (0=$ob1_line_cond3 or 0=$ob1_line_cond4)) and 1= $ob1_line_cond5">
          <img src="./lib/ups/image/ups/pf_gr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/pf_red.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!--btt line-->
    <xsl:variable name="btt_line_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="btt_line_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="btt_line_cond3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEC']/@val"/>
        <xsl:with-param name="bit" select="$bit24"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="btt_line_cond4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="btt_line_cond5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEC']/@val"/>
        <xsl:with-param name="bit" select="$bit25"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="btt_line_color">
      <xsl:choose>
        <xsl:when test="(1=$btt_line_cond4) or (1=$btt_line_cond5)">
          <xsl:value-of select="'#FF0000'"/>
        </xsl:when>
        <xsl:when test="(0=$btt_line_cond1 and 0=$btt_line_cond2) or 1=$btt_line_cond3">
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#00B400'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="draw_line">
      <xsl:with-param name="x" select="395"/>
      <xsl:with-param name="y" select="338"/>
      <xsl:with-param name="w" select="4"/>
      <xsl:with-param name="h" select="60"/>
      <xsl:with-param name="color" select="$btt_line_color"/>
      <xsl:with-param name="border_top" select="'0'"/>
    </xsl:call-template>

    <!--##############################End (line color)#####################################-->

    <!--Maintenance Bypass Breaker-->
    <xsl:variable name="byp_breaker_cond">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit17"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="0=$byp_breaker_cond">
      <div style="position: absolute; left: 64px; top: 173px; width: 568px; height: 166px">
        <img src="./lib/ups/image/ups/byp_breaker.gif" />
      </div>
    </xsl:if>

    <!-- BATTERY-->
    <xsl:variable name="batt_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEC']/@val"/>
        <xsl:with-param name="bit" select="$bit25"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_cond3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_cond4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_cond5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEC']/@val"/>
        <xsl:with-param name="bit" select="$bit24"/>
      </xsl:call-template>
    </xsl:variable>


    <div style="position: absolute; left: 371Px; top: 393px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$batt_cond1 or 1=$batt_cond2">
          <img src="./lib/ups/image/ups/Batrv.gif" />
        </xsl:when>
        <xsl:when test="(0=$batt_cond3 and 0=$batt_cond4) or 1=$batt_cond5">
          <img src="./lib/ups/image/ups/Batgev.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/Batgrv.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- RECTIFIER-->
    <xsl:variable name="rec_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="rec_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="rec_cond3">
      <xsl:choose>
        <xsl:when test="$auxidmask != 0">
          <xsl:call-template name="bit">
            <xsl:with-param name="val" select="$u_rawstateb"/>
            <xsl:with-param name="bit" select="$bit3"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="1"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div style="position: absolute; left: 277px; top: 317px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="(1=$rec_cond1 and 1=$rec_cond2 and 1=$rec_cond3) or ($auxidmask != 0 and $selected_ups_id = 0 and (1=$rec_cond2 or 1=$rec_cond3))">
          <img src="./lib/ups/image/ups/grgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/grr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- INVERTER-->
    <xsl:variable name="inv_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv_cond3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv_cond4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$path/value[@name='RAWSTATEC']/@val"/>
        <xsl:with-param name="bit" select="$bit25"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inv_cond5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>

    <div style="position: absolute; left: 470px; top: 317px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="((1=$inv_cond1 and 1=$inv_cond2) or (0=$inv_cond3 or 0=$inv_cond4)) and 1=$inv_cond5">
          <img src="./lib/ups/image/ups/wrgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/wrr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- Bypass-->
    <xsl:variable name="byp_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit21"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="byp_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="byp_cond3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>

    <div style="position: absolute; left: 371px; top: 239px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="0=$byp_cond1 and 1=$byp_cond2 and 1=$byp_cond3">
          <img src="./lib/ups/image/ups/sswge.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/ssww.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- IBY -->
    <xsl:variable name="iby_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$u_rawstateb"/>
        <xsl:with-param name="bit" select="$bit16"/>
      </xsl:call-template>
    </xsl:variable>

    <div style="position: absolute; left: 565px; top: 332px; width: 38px; height: 20px">
      <xsl:choose>
        <xsl:when test="1=$iby_cond1">
          <!--<img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>-->
          <img src="./lib/ups/image/ups/ob_red.gif" width="38" height="20"/>
        </xsl:when>
        <xsl:otherwise>
          <!--<img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>-->
          <img src="./lib/ups/image/ups/ob_gr.gif" width="38" height="20"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!--line 2-->
    <div id="inpline2_id" class="LargeBold" style="position: absolute; left: 174px; top: 242px; width: 60px; height: 17px; text-align:center">
    </div>
    <script type="text/javascript"> translate_text('inpline2_id', ['Line', ' ', '2']);</script>
    <!--line 1-->
    <div id="inpline1_id" class="LargeBold" style="position: absolute; left: 182px; top: 320px; width: 94px; height: 17px; text-align:left">
      <!--<xsl:value-of select="'Line 1'"/>-->
    </div>

    <!--load-->
    <div id="load_txt_id" class="LargeBold" style="position: absolute; left: 610px; top: 314px; width: 60px; height: 17px; text-align:center">
    </div>
    <script type="text/javascript">translate_text('load_txt_id', 'Load');</script>

    <!-- Log events pane -->
    <div style="position: absolute; left: 254px; top: 39px; width: 532px; height: 108px;border: 1px solid #405080;"/>
    <xsl:call-template name="events-pane">
      <xsl:with-param name="x" select="255" />
      <xsl:with-param name="y" select="40" />
      <xsl:with-param name="w" select="530" />
    </xsl:call-template>

    <!-- phases -->
    <xsl:variable name="phases" select="$path/value[@name='PHASES']/@val"/>
    <!-- Out phases -->
    <xsl:variable name="outphases">
      <xsl:choose>
        <xsl:when test="string-length($path/value[@name='OUTPHASES']/@val)!=0">
          <xsl:value-of select="$path/value[@name='OUTPHASES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$phases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- In phases -->
    <xsl:variable name="inphases">
      <xsl:choose>
        <xsl:when test="string-length($path/value[@name='INPHASES']/@val)!=0">
          <xsl:value-of select="$path/value[@name='INPHASES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$phases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="auxinphases">
      <xsl:choose>
        <xsl:when test="string-length($path/value[@name='AUXINPNUMLINES']/@val)!=0 and $path/value[@name='AUXINPNUMLINES']/@val !=0">
          <xsl:value-of select="$path/value[@name='AUXINPNUMLINES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$inphases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- src_aux_measures_id-->
    <xsl:if test="$selected_ups_id = 0 and $auxidmask != 0">
      <div id="src_aux_measures_id" class="LargeBold" style="position: absolute; left: 172px; top: 461px; width: 122px; height: 80px; text-align:center; background-color:transparent;display:block">
        <!-- Line desc. -->
        <div id="src_aux_measures_txt_id" class="LargeBold" style="position: relative; left: 2px; top: 2px; width: 94px; height: 17px; text-align:center">
        </div>
        <script type="text/javascript"> translate_text('src_aux_measures_txt_id', 'Line 1 AUX');</script>

        <!--AUX Input -->
        <div class = "XBold_black" style="position: relative; left: 8px; top: 6px; width: 120px; height: 62px; align:center;background-color:#9BC3B4;">
          <table width ="100%" height="100%" class = "XBold_black" align="center" cellpadding="2"  cellspacing="1" style="border: 3px solid #405080;text-align:center">
            <tr >
              <td>
                <xsl:value-of select="concat('L1', ':')"/>
              </td>
              <xsl:call-template name="input_values">
                <xsl:with-param name="volt" select="$path/value[@name='AUXINPVOLT']/@val" />
                <xsl:with-param name="freq" select="$path/value[@name='AUXINPFREQ']/@val" />
              </xsl:call-template>
            </tr>
            <xsl:if test="$auxinphases &gt; 1">
              <tr >
                <td>
                  <xsl:value-of select="concat('L2', ':')"/>
                </td>
                <xsl:call-template name="input_values">
                  <xsl:with-param name="volt" select="$path/value[@name='AUXINPVOLT']/@val2" />
                  <xsl:with-param name="freq" select="$path/value[@name='AUXINPFREQ']/@val2" />
                </xsl:call-template>
              </tr>
            </xsl:if>
            <xsl:if test="$auxinphases &gt; 2">
              <tr >
                <td>
                  <xsl:value-of select="concat('L3', ':')"/>
                </td>
                <xsl:call-template name="input_values">
                  <xsl:with-param name="volt" select="$path/value[@name='AUXINPVOLT']/@val3" />
                  <xsl:with-param name="freq" select="$path/value[@name='AUXINPFREQ']/@val3" />
                </xsl:call-template>
              </tr>
            </xsl:if>
          </table>
        </div>
      </div>
    </xsl:if>

    <!--Available UPS'S Panel-->
    <xsl:call-template name="available_ups_panel">
      <xsl:with-param name="upsid_mask" select="$path/value[@name='UPSIDMASK']/@val" />
      <xsl:with-param name="num_units" select="$path/value[@name='NUM_UNITS']/@val" />
      <xsl:with-param name="is_multi" select="$path/value[@name='IS_MULTI']/@val" />
      <xsl:with-param name="act_ups_id" select="$path/value[@name='ACT_UPSID']/@val" />
      <xsl:with-param name="selected_ups_id" select="$selected_ups_id" />
      <xsl:with-param name="rawstatee" select="$path/value[@name='RAWSTATEE']/@val" />
      <xsl:with-param name="rawstatef" select="$path/value[@name='RAWSTATEF']/@val" />
      <xsl:with-param name="rawstateg" select="$path/value[@name='RAWSTATEG']/@val" />
      <xsl:with-param name="top" select="'560'" />
      <xsl:with-param name="left" select="'40'" />
      <xsl:with-param name="auxidmask" select="$path/value[@name='AUXIDMASK']/@val" />
      <xsl:with-param name="upsid_mask_startup" select="$path/value[@name='UPSIDMASKSTART']/@val" />
      <xsl:with-param name="newprotocol" select="$path/value[@name='CONCE_EXT_PROT']/@val"/>
    </xsl:call-template>

    <!-- Input -->
    <div class = "XBold_black" style="position: absolute; left: 180px; top: 380px; width: 120px; height: 62px; align:center;background-color:#9BC3B4;">
      <table width ="100%" height="100%" class = "XBold_black" align="center" cellpadding="2"  cellspacing="1" style="border: 3px solid #405080;text-align:center">
        <tr id="tr_inp_phase1">
          <td>
            <xsl:value-of select="concat('L1', ':')"/>
          </td>
          <xsl:call-template name="input_values">
            <xsl:with-param name="volt" select="$path/value[@name='INVOLT']/@val" />
            <xsl:with-param name="freq" select="$path/value[@name='INFREQ']/@val" />
          </xsl:call-template>
        </tr>
        <xsl:if test="$inphases &gt; 1 or $auxinphases &gt; 1">
          <tr id="tr_inp_phase2">
            <td>
              <xsl:value-of select="concat('L2', ':')"/>
            </td>
            <xsl:call-template name="input_values">
              <xsl:with-param name="volt" select="$path/value[@name='INVOLT']/@val2" />
              <xsl:with-param name="freq" select="$path/value[@name='INFREQ']/@val2" />
            </xsl:call-template>
          </tr>
        </xsl:if>
        <xsl:if test="$inphases &gt; 2 or $auxinphases &gt; 2">
          <tr id="tr_inp_phase3">
            <td>
              <xsl:value-of select="concat('L3', ':')"/>
            </td>
            <xsl:call-template name="input_values">
              <xsl:with-param name="volt" select="$path/value[@name='INVOLT']/@val3" />
              <xsl:with-param name="freq" select="$path/value[@name='INFREQ']/@val3" />
            </xsl:call-template>
          </tr>
        </xsl:if>
      </table>
    </div>

    <!-- hide rows depending on if it's an AUX line and on number of aux input lines -->
    <script type="text/javascript">
      conce_api.set_auxinp_phases('<xsl:value-of select="$selected_ups_id"/>', '<xsl:value-of select="$auxidmask"/>', '<xsl:value-of select="$auxinphases"/>');
    </script>

    <!--Output -->
    <div class = "XBold_black" style="position: absolute; left: 552px; top: 380px; width: 140px; height: 62px; align:center;background-color:#9BC3B4;">
      <table width ="100%" height="100%" class = "XBold_black" align="center" cellpadding="2"  cellspacing="1" style="border: 3px solid #405080;text-align:center">
        <tr >
          <td>
            <xsl:value-of select="concat('L1', ':')"/>
          </td>
          <td >
            <xsl:value-of select="concat(substring-before($path/value[@name='OUTPUT_VOLT']/@val,'.'),'&#160;V')"/>
          </td>
          <td >
            <xsl:value-of select="concat(substring-before($path/value[@name='OUTPOWER']/@val,'.'),'&#160;%')"/>
          </td>
          <xsl:if test="string-length($path/value[@name='OUTPUTCURRENT']/@val) &gt; 0">
            <td >
              <xsl:value-of select="concat(substring-before($path/value[@name='OUTPUTCURRENT']/@val,'.'),'&#160;A')"/>
            </td>
          </xsl:if>

        </tr>
        <xsl:if test="$outphases &gt; 1">
          <tr >
            <td>
              <xsl:value-of select="concat('L2', ':')"/>
            </td>
            <td >
              <xsl:value-of select="concat(substring-before($path/value[@name='OUTPUT_VOLT']/@val2,'.'),'&#160;V')"/>
            </td>
            <td >
              <xsl:value-of select="concat(substring-before($path/value[@name='OUTPOWER']/@val2,'.'),'&#160;%')"/>
            </td>
            <xsl:if test="string-length($path/value[@name='OUTPUTCURRENT']/@val2) &gt; 0">
              <td >
                <xsl:value-of select="concat(substring-before($path/value[@name='OUTPUTCURRENT']/@val2,'.'),'&#160;A')"/>
              </td>
            </xsl:if>

          </tr>
        </xsl:if>
        <xsl:if test="$outphases &gt; 2">
          <tr >
            <td>
              <xsl:value-of select="concat('L3', ':')"/>
            </td>
            <td >
              <xsl:value-of select="concat(substring-before($path/value[@name='OUTPUT_VOLT']/@val3,'.'),'&#160;V')"/>
            </td>
            <td >
              <xsl:value-of select="concat(substring-before($path/value[@name='OUTPOWER']/@val3,'.'),'&#160;%')"/>
            </td>
            <xsl:if test="string-length($path/value[@name='OUTPUTCURRENT']/@val3) &gt; 0">
              <td >
                <xsl:value-of select="concat(substring-before($path/value[@name='OUTPUTCURRENT']/@val3,'.'),'&#160;A')"/>
              </td>
            </xsl:if>
          </tr>
        </xsl:if>
      </table>
    </div>

    <!--Battery -->
    <div class = "XBold_black" style="position: absolute; left: 380px; top: 456px; width: 130px; height: 90px; align:center;background-color:#9BC3B4;">
      <table width ="100%" height="100%" class = "XBold_black" align="center" cellpadding="2"  cellspacing="1" style="border: 3px solid #405080;text-align:center">
        <tr >
          <td id="ubatt_id" align="right">
            <script type="text/javascript"> translate_text('ubatt_id', ['Ubatt', ':']);</script>
          </td>
          <td align="left">
            <xsl:value-of select="concat(substring-before($path/value[@name='BATTVOLT']/@val,'.'),'&#160;V')"/>
          </td>
        </tr>
        <tr >
          <td align="right" id="temp_id">
            <script type="text/javascript"> translate_text('temp_id', ['Temp', ':']);</script>
          </td>
          <td align="left">
            <xsl:call-template name="getTemperature">
              <xsl:with-param name="value" select="$path/value[@name='TEMPDEG']/@val"/>
              <xsl:with-param name="precision" select="0"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr >
          <td id="time_id" align="right">
            <script type="text/javascript"> translate_text('time_id', ['Time', ':']);</script>
          </td>
          <td align="left">
            <xsl:value-of select="concat(substring-before($path/value[@name='AUTONOMTIME']/@val,'.'),'&#160;Min')"/>
          </td>
        </tr>
        <tr >
          <td id="capacity_id" align="right">
            <script type="text/javascript"> translate_text('capacity_id', ['Capacity', ':']);</script>
          </td>
          <td align="left">
            <xsl:value-of select="concat(substring-before($path/value[@name='BATTCAP']/@val,'.'),'&#160;%')"/>
          </td>
        </tr>
        <xsl:if test="string-length($path/value[@name='SECONBAT']/@val) &gt; 0">
          <tr >
            <td align="right">
              <xsl:value-of select="concat('On Batt.', ':')"/>
            </td>
            <td align="left">
              <xsl:value-of select="concat($path/value[@name='SECONBAT']/@val, '&#160;Sec')"/>
            </td>
          </tr>
        </xsl:if>
      </table>
    </div>

    <!--UPS serial number -->
    <div id="serialnm_id" class="LargeBold" style="position: absolute; left: 40px; top: 70px; width: 380px; height: 17px; text-align:left">
      <xsl:value-of select="concat('Serial number: ',$path/value[@name='CONCE_IDENT']/@val)" />
    </div>
    <script type="text/javascript"> translate_text('serialnm_id', ['Serial number', ':', '<xsl:value-of select="$path/value[@name='CONCE_IDENT']/@val" />']);</script>


    <!--aux mains input failure -->
    <!--
		<xsl:call-template name="aux-mains-input-failure">
			<xsl:with-param name="rawstateb" select="$u_rawstateb"/>
		</xsl:call-template>
-->
    <!-- ups-history -->
    <xsl:call-template name="ups-history">
      <xsl:with-param name="service_oid" select="$service_oid"/>
      <xsl:with-param name="type" select="//service/@type"/>
    </xsl:call-template>

  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
