<?xml version="1.0"?>
<!--
   cp4_panel.xsl - UPS screen for General Electric (GE CP4 model).
   Copyright (c) 2008, Generex GmbH. All rights reserved.
   Said Raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="cp4_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="13"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="cp4_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="30"/>
      <xsl:with-param name="top" select="550"/>
      <xsl:with-param name="width" select="806"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="cp4_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="cp4_panel-body">
    <div id="master" style="position:absolute;top:10px;left:10px;">
      <xsl:apply-templates />
    </div>
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/ge/Standard_pro.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'900'"/>
      <xsl:with-param name="h" select="'600'"/>
      <xsl:with-param name="border" select="0"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>

    <div style="color:black; font-weight:bold; font-size:9pt">
      <!-- Manufacturer -->
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="60" />
        <xsl:with-param name="y" select="54" />
        <xsl:with-param name="w" select="900" />
        <xsl:with-param name="h" select="30" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="value" select="concat('Manufacturer:&#160;&#160;&#160;&#160;',value[@name='CP4_MANUFACTURER']/@val)" />
      </xsl:call-template>
      <!-- Power rating -->
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="60" />
        <xsl:with-param name="y" select="70" />
        <xsl:with-param name="w" select="900" />
        <xsl:with-param name="h" select="17" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="unit" select="'VA'" />
        <xsl:with-param name="value" select="concat('Power rating:&#160;&#160;&#160;&#160;&#160;',substring-before(value[@name='CP4_NOMPOWER']/@val,'.'))" />
      </xsl:call-template>
      <!-- Model -->
      <xsl:variable name="model" select="value[@name='CP4_MODEL']/@val"/>
      <xsl:if test="string-length($model) !=0">
        <xsl:call-template name="paneText">
          <xsl:with-param name="x" select="60" />
          <xsl:with-param name="y" select="86" />
          <xsl:with-param name="w" select="900" />
          <xsl:with-param name="h" select="17" />
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="value" select="concat('Model:&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;',$model)" />
        </xsl:call-template>
      </xsl:if>
      <!-- Firmware -->
      <xsl:variable name="firmware" select="value[@name='CP4_SERIALNO']/@val"/>
      <xsl:if test="string-length($firmware) !=0">
        <xsl:call-template name="paneText">
          <xsl:with-param name="x" select="60" />
          <xsl:with-param name="y" select="102" />
          <xsl:with-param name="w" select="900" />
          <xsl:with-param name="h" select="17" />
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="value" select="concat('Serial number:&#160;&#160;',$firmware)" />
        </xsl:call-template>
      </xsl:if>
    </div>

    <!-- Bypass Volt(L1 L2 L3)-->
    <div style="position: absolute; left: 140px; top: 138px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Bypass</div>
    <div style="color:black; font-weight:bold; font-size:9pt">
      <!-- Bypass Frequence -->
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="142"/>
        <xsl:with-param name="yT" select="162"/>
        <xsl:with-param name="wT" select="18"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="h" select="21"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'f'" />
        <xsl:with-param name="value"  select="value[@name='BP_FREQ']/@val" />
        <xsl:with-param name="unit" select="'Hz'"/>
        <xsl:with-param name="precision"  select="1"/>
      </xsl:call-template>
      <!-- BP_VOLT L1-->
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="142"/>
        <xsl:with-param name="yT" select="177"/>
        <xsl:with-param name="wT" select="18"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="h" select="60"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'L1'" />
        <xsl:with-param name="value"  select="value[@name='BP_VOLT']/@val" />
        <xsl:with-param name="unit" select="'V'"/>
        <xsl:with-param name="precision"  select="-1"/>
      </xsl:call-template>
      <!-- BP_VOLT L2"-->
      <xsl:variable name="bypass_phases" select="value[@name='CP4_BYPPHASES']/@val"/>
      <xsl:if test="$bypass_phases &gt; 1">
        <xsl:call-template name="paneRow1_ge">
          <xsl:with-param name="xT" select="142"/>
          <xsl:with-param name="yT" select="192"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="20"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="60"/>
          <xsl:with-param name="h" select="60"/>
          <xsl:with-param name="alignT" select="'left'"/>
          <xsl:with-param name="text" select="'L2'" />
          <xsl:with-param name="value"  select="value[@name='BP_VOLT']/@val2" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision"  select="-1"/>
        </xsl:call-template>
      </xsl:if>
      <!-- BP_VOLT L3"-->
      <xsl:if test="$bypass_phases &gt; 2">
        <xsl:call-template name="paneRow1_ge">
          <xsl:with-param name="xT" select="142"/>
          <xsl:with-param name="yT" select="207"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="20"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="60"/>
          <xsl:with-param name="h" select="60"/>
          <xsl:with-param name="alignT" select="'left'"/>
          <xsl:with-param name="text" select="'L3'" />
          <xsl:with-param name="value"  select="value[@name='BP_VOLT']/@val3" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision"  select="-1"/>
        </xsl:call-template>
      </xsl:if>
    </div>


    <!-- STATUS (Alarm Condition) -->
    <xsl:variable name="alarm" >
      <xsl:call-template name="get_alarm_condition"/>
    </xsl:variable>
    <!-- COMMON ALARM -->
    <div style="position: absolute; left: 534px; top: 385px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Alarm</div>
    <div style="position: absolute; left: 534px; top: 370px; width: 33px; height: 12px">
      <xsl:choose>
        <xsl:when test="0!=$alarm">
          <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led33x12gr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <xsl:variable name="out_phases" select="value[@name='OUTPHASES']/@val"/>
    <!-- Output Power Load BAR 1,2 and 3 -->
    <xsl:call-template name="Loadbar1">
      <xsl:with-param name="load1" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="load2" select="value[@name='OUTPOWER']/@val2"/>
      <xsl:with-param name="load3" select="value[@name='OUTPOWER']/@val3"/>
      <xsl:with-param name="x1" select="'670'"/>
      <xsl:with-param name="x2" select="'705'"/>
      <xsl:with-param name="x3" select="'740'"/>
      <xsl:with-param name="y" select="92"/>
      <xsl:with-param name="yOffset" select="5"/>
      <xsl:with-param name="border" select="1"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="outphases" select="$out_phases"/>
      <xsl:with-param name="title" select="$lang-Load"/>
      <xsl:with-param name="title_bar1" select="concat(substring-before(value[@name='OUTPOWER']/@val,'.'),'%')"/>
      <xsl:with-param name="title_bar2" select="concat(substring-before(value[@name='OUTPOWER']/@val2,'.'),'%')"/>
      <xsl:with-param name="title_bar3" select="concat(substring-before(value[@name='OUTPOWER']/@val3,'.'),'%')"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
    </xsl:call-template>
    <!-- OUTPUT_VOLT Output Volt -->
    <div style="position: absolute; left: 600px; top: 242px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Output</div>
    <div style="color:black; font-weight:bold; font-size:9pt">
      <!-- OUTPUT_POW variables delcration-->
      <xsl:variable name="output_pow_val1">
        <xsl:call-template name="power_val">
          <xsl:with-param name="value" select="value[@name='OUTPUT_POW']/@val" />
        </xsl:call-template>
      </xsl:variable>
      <!--output power unit (OUTPUT_POW)-->
      <xsl:variable name="output_pow_unit1">
        <xsl:call-template name="power_unit">
          <xsl:with-param name="value" select="value[@name='OUTPUT_POW']/@val" />
        </xsl:call-template>
      </xsl:variable>

      <xsl:variable name="output_pow_val2">
        <xsl:call-template name="power_val">
          <xsl:with-param name="value" select="value[@name='OUTPUT_POW']/@val2" />
        </xsl:call-template>
      </xsl:variable>
      <!--output power unit (OUTPUT_POW)-->
      <xsl:variable name="output_pow_unit2">
        <xsl:call-template name="power_unit">
          <xsl:with-param name="value" select="value[@name='OUTPUT_POW']/@val2" />
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="output_pow_val3">
        <xsl:call-template name="power_val">
          <xsl:with-param name="value" select="value[@name='OUTPUT_POW']/@val3" />
        </xsl:call-template>
      </xsl:variable>
      <!--output power unit (OUTPUT_POW)-->
      <xsl:variable name="output_pow_unit3">
        <xsl:call-template name="power_unit">
          <xsl:with-param name="value" select="value[@name='OUTPUT_POW']/@val3" />
        </xsl:call-template>
      </xsl:variable>
      <!-- OUTFREQ Out Frequence -->
      <xsl:variable name="out_freq" select="value[@name='OUTFREQ']/@val"/>
      <xsl:call-template name="paneRow">
        <xsl:with-param name="xT" select="575"/>
        <xsl:with-param name="yT" select="265"/>
        <xsl:with-param name="wT" select="13"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="52"/>
        <xsl:with-param name="h" select="21"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'f'" />
        <xsl:with-param name="value"  select="$out_freq" />
        <xsl:with-param name="unit" select="'Hz'"/>
        <xsl:with-param name="precision"  select="1"/>
        <xsl:with-param name="visibility" select="'visible'"/>
      </xsl:call-template>
      <!-- L1 -->
      <xsl:call-template name="paneRow1Col3_vh">
        <xsl:with-param name="x" select="575" />
        <xsl:with-param name="y" select="295" />
        <xsl:with-param name="w" select="190" />
        <xsl:with-param name="h" select="40" />
        <xsl:with-param name="title" select="'L1'"/>
        <xsl:with-param name="value1" select="substring-before(value[@name='OUTPUT_VOLT']/@val,'.')"/>
        <xsl:with-param name="value2" select="value[@name='SOLAWROC']/@val"/>
        <xsl:with-param name="value3" select="$output_pow_val1"/>
        <xsl:with-param name="unit1" select="'V'"/>
        <xsl:with-param name="unit2" select="'A'"/>
        <xsl:with-param name="unit3" select="$output_pow_unit1"/>
        <xsl:with-param name="precision1" select="-1"/>
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="precision3" select="1"/>
        <xsl:with-param  name="spaces" select="'&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;'" />
        <xsl:with-param  name="fs" select="9" />
      </xsl:call-template>
      <!-- L2 -->
      <xsl:if test="$out_phases &gt; 1">
        <xsl:call-template name="paneRow1Col3_vh">
          <xsl:with-param name="x" select="575" />
          <xsl:with-param name="y" select="310" />
          <xsl:with-param name="w" select="190" />
          <xsl:with-param name="h" select="40" />
          <xsl:with-param name="title" select="'L2'"/>
          <xsl:with-param name="value1" select="substring-before(value[@name='OUTPUT_VOLT']/@val2,'.')"/>
          <xsl:with-param name="value2" select="value[@name='SOLAWROC']/@val2"/>
          <xsl:with-param name="value3" select="$output_pow_val2"/>
          <xsl:with-param name="unit1" select="'V'"/>
          <xsl:with-param name="unit2" select="'A'"/>
          <xsl:with-param name="unit3" select="$output_pow_unit2"/>
          <xsl:with-param name="precision1" select="-1"/>
          <xsl:with-param name="precision2" select="1"/>
          <xsl:with-param name="precision3" select="1"/>
          <xsl:with-param  name="spaces" select="'&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;'" />
        </xsl:call-template>
      </xsl:if>
      <!-- L3 -->
      <xsl:if test="$out_phases &gt; 2">
        <xsl:call-template name="paneRow1Col3_vh">
          <xsl:with-param name="x" select="575" />
          <xsl:with-param name="y" select="325" />
          <xsl:with-param name="w" select="190" />
          <xsl:with-param name="h" select="40" />
          <xsl:with-param name="title" select="'L3'"/>
          <xsl:with-param name="value1" select="substring-before(value[@name='OUTPUT_VOLT']/@val3,'.')"/>
          <xsl:with-param name="value2" select="value[@name='SOLAWROC']/@val3"/>
          <xsl:with-param name="value3" select="$output_pow_val3"/>
          <xsl:with-param name="unit1" select="'V'"/>
          <xsl:with-param name="unit2" select="'A'"/>
          <xsl:with-param name="unit3" select="$output_pow_unit3"/>
          <xsl:with-param name="precision1" select="-1"/>
          <xsl:with-param name="precision2" select="1"/>
          <xsl:with-param name="precision3" select="1"/>
          <xsl:with-param  name="spaces" select="'&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;'" />
        </xsl:call-template>
      </xsl:if>
      <!-- Service -->
      <xsl:variable name="service">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="value[@name='STATUS']/@val"/>
          <xsl:with-param name="bit" select="$bit10"/>
        </xsl:call-template>
      </xsl:variable>
      <div style="position: absolute; left: 584px; top: 385px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Service</div>
      <div style="position: absolute; left: 584px; top: 370px; width: 33px; height: 12px">
        <xsl:choose>
          <xsl:when test="1=$service">
            <img border="1" src="./lib/ups/image/ups/led33x12yellow.gif" />
          </xsl:when>
          <xsl:otherwise>
            <img border="1" src="./lib/ups/image/ups/led33x12gr.gif" />
          </xsl:otherwise>
        </xsl:choose>
      </div>
      <!-- CP4_OPSOURCE (Output source) -->
      <xsl:variable name="outsource" select="value[@name='CP4_OPSOURCE']/@val"/>
      <!-- Output -->
      <div style="position: absolute; left: 635px; top: 385px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Output</div>
      <div style="position: absolute; left: 635px; top: 370px; width: 33px; height: 12px">
        <xsl:choose>
          <xsl:when test="2=$outsource">
            <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
          </xsl:when>
          <xsl:when test="1=$outsource or 4=$outsource">
            <img border="1" src="./lib/ups/image/ups/led33x12yellow.gif" />
          </xsl:when>
          <xsl:otherwise>
            <img border="1" src="./lib/ups/image/ups/led33x12gr.gif" />
          </xsl:otherwise>
        </xsl:choose>
      </div>
      <!--output source values -->
      <xsl:variable name="op_source_val">
        <xsl:choose>
          <xsl:when test="1=$outsource">Other </xsl:when>
          <xsl:when test="2=$outsource">None </xsl:when>
          <xsl:when test="3=$outsource">Normal </xsl:when>
          <xsl:when test="4=$outsource">Bypass </xsl:when>
          <xsl:when test="5=$outsource">Battery </xsl:when>
          <xsl:when test="6=$outsource">Booster </xsl:when>
          <xsl:when test="7=$outsource">Reducer </xsl:when>
          <xsl:otherwise>None</xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <!--output source  -->
      <xsl:call-template name="paneRow">
        <xsl:with-param name="xT" select="575"/>
        <xsl:with-param name="yT" select="280"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="20"/>
        <xsl:with-param name="h" select="21"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="$lang-Source" />
        <xsl:with-param name="value"  select="$op_source_val" />
      </xsl:call-template>
    </div>

    <!-- Battery Volt-->
    <div style="position: absolute; left: 286px; top: 320px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Battery</div>
    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="286"/>
        <xsl:with-param name="yT" select="335"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="h" select="20"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'Ubatt'" />
        <xsl:with-param name="value"  select="value[@name='BATTVOLT']/@val" />
        <xsl:with-param name="unit" select="'V'"/>
        <xsl:with-param name="precision"  select="1"/>
      </xsl:call-template>
      <!-- Power fail -->
      <xsl:variable name="power_fail">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="value[@name='STATUS']/@val"/>
          <xsl:with-param name="bit" select="$bit3"/>
        </xsl:call-template>
      </xsl:variable>

      <xsl:variable name="batt_curr" select="value[@name='BATTERYCURRENT']/@val"/>

      <xsl:variable name="ibatt_power_fail_value">
        <xsl:choose>
          <xsl:when test="-1=$batt_curr">
            <xsl:value-of select="'0'"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="$power_fail"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

      <!-- Battery current-->
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="286"/>
        <xsl:with-param name="yT" select="350"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="h" select="20"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'Ibatt'" />
        <xsl:with-param name="value"  select="$batt_curr" />
        <xsl:with-param name="unit" select="'A'"/>
        <xsl:with-param name="precision"  select="1"/>
        <xsl:with-param name="power_fail"  select="$ibatt_power_fail_value"/>
      </xsl:call-template>
      <!-- Temperature-->
      <xsl:variable name="temp" select="value[@name='TEMPDEG']/@val"/>
      <xsl:if test="value[@name='_tempUnit']/@val=0 or string-length(value[@name='_tempUnit']/@val)=0">
        <xsl:call-template name="paneRow1_ge">
          <xsl:with-param name="xT" select="286"/>
          <xsl:with-param name="yT" select="365"/>
          <xsl:with-param name="wT" select="50"/>
          <xsl:with-param name="hT" select="20"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="60"/>
          <xsl:with-param name="h" select="20"/>
          <xsl:with-param name="alignT" select="'left'"/>
          <xsl:with-param name="text" select="$lang-Temperature-short" />
          <xsl:with-param name="value"  select="$temp" />
          <xsl:with-param name="unit" select="'&#176;C'"/>
          <xsl:with-param name="precision"  select="-1"/>
        </xsl:call-template>
      </xsl:if>
      <xsl:if test="value[@name='_tempUnit']/@val=1">
        <xsl:call-template name="paneRow1_ge">
          <xsl:with-param name="xT" select="286"/>
          <xsl:with-param name="yT" select="365"/>
          <xsl:with-param name="wT" select="50"/>
          <xsl:with-param name="hT" select="20"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="60"/>
          <xsl:with-param name="h" select="20"/>
          <xsl:with-param name="alignT" select="'left'"/>
          <xsl:with-param name="text" select="$lang-Temperature-short" />
          <xsl:with-param name="value"  select="($temp*1.8) + 32.0" />
          <xsl:with-param name="unit" select="'&#176;F'"/>
          <xsl:with-param name="precision"  select="-1"/>
        </xsl:call-template>
      </xsl:if>
      <!--Battery capacity -->
      <xsl:variable name="battcap" select="value[@name='BATTCAP']/@val"/>
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="286"/>
        <xsl:with-param name="yT" select="380"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="h" select="20"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'Charge'" />
        <xsl:with-param name="value"  select="$battcap" />
        <xsl:with-param name="unit" select="'&#160;%'"/>
        <xsl:with-param name="precision"  select="-1"/>
      </xsl:call-template>
      <!--Runtime -->
      <xsl:variable name="autonomtime" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="286"/>
        <xsl:with-param name="yT" select="395"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="h" select="20"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'Runtime'" />
        <xsl:with-param name="value"  select="$autonomtime" />
        <xsl:with-param name="unit" select="'Min'"/>
        <xsl:with-param name="precision"  select="-1"/>
      </xsl:call-template>
    </div>
    <div style="position: absolute; left: 138px; top: 242px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Mains</div>
    <div style="color:black; font-weight:bold; font-size:9pt">
      <!-- In Frequence -->
      <xsl:variable name="in_freq">
        <xsl:choose>
          <xsl:when test="value[@name='INFREQ']/@val &gt; -1">
            <xsl:value-of select="value[@name='INFREQ']/@val"/>
          </xsl:when>
          <xsl:when test="value[@name='INFREQ']/@val2 &gt; -1">
            <xsl:value-of select="value[@name='INFREQ']/@val2"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="value[@name='INFREQ']/@val3"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:call-template name="paneRow1_ge">
        <xsl:with-param name="xT" select="136"/>
        <xsl:with-param name="yT" select="265"/>
        <xsl:with-param name="wT" select="15"/>
        <xsl:with-param name="hT" select="20"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="50"/>
        <xsl:with-param name="h" select="21"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'f'" />
        <xsl:with-param name="value"  select="$in_freq" />
        <xsl:with-param name="unit" select="'Hz'"/>
        <xsl:with-param name="precision"  select="1"/>
      </xsl:call-template>
    </div>

    <!-- Input Volt and current L1" -->
    <xsl:call-template name="paneRow1Col3_vh">
      <xsl:with-param name="x" select="135" />
      <xsl:with-param name="y" select="280" />
      <xsl:with-param name="w" select="140" />
      <xsl:with-param name="h" select="40" />
      <xsl:with-param name="title" select="'L1'"/>
      <xsl:with-param name="value1" select="substring-before(value[@name='INVOLT']/@val,'.')"/>
      <!-- Input Volt -->
      <xsl:with-param name="value2" select="value[@name='INPUTCURRENT']/@val"/>
      <!-- Input current" -->
      <xsl:with-param name="value3" select="' '"/>
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision1" select="-1"/>
      <xsl:with-param name="precision2" select="1"/>
      <xsl:with-param name="precision3" select="0"/>
    </xsl:call-template>
    <!-- Input Volt and current L2" -->
    <xsl:variable name="in_phases" select="value[@name='INPHASES']/@val"/>
    <xsl:if test="$in_phases &gt; 1">
      <xsl:call-template name="paneRow1Col3_vh">
        <xsl:with-param name="x" select="135" />
        <xsl:with-param name="y" select="295" />
        <xsl:with-param name="w" select="140" />
        <xsl:with-param name="h" select="40" />
        <xsl:with-param name="title" select="'L2'"/>
        <xsl:with-param name="value1" select="substring-before(value[@name='INVOLT']/@val2,'.')"/>
        <!-- Input Volt -->
        <xsl:with-param name="value2" select="value[@name='INPUTCURRENT']/@val2"/>
        <!-- Input current" -->
        <xsl:with-param name="value3" select="' '"/>
        <xsl:with-param name="unit1" select="'V'"/>
        <xsl:with-param name="unit2" select="'A'"/>
        <xsl:with-param name="precision1" select="-1"/>
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="precision3" select="0"/>
      </xsl:call-template>
    </xsl:if >
    <!-- Input Volt and current L3" -->
    <xsl:if test="$in_phases &gt; 2">
      <xsl:call-template name="paneRow1Col3_vh">
        <xsl:with-param name="x" select="135" />
        <xsl:with-param name="y" select="310" />
        <xsl:with-param name="w" select="140" />
        <xsl:with-param name="h" select="40" />
        <xsl:with-param name="title" select="'L3'"/>
        <xsl:with-param name="value1" select="substring-before(value[@name='INVOLT']/@val3,'.')"/>
        <!-- Input Volt -->
        <xsl:with-param name="value2" select="value[@name='INPUTCURRENT']/@val3"/>
        <!-- Input current" -->
        <xsl:with-param name="value3" select="' '"/>
        <xsl:with-param name="unit1" select="'V'"/>
        <xsl:with-param name="unit2" select="'A'"/>
        <xsl:with-param name="precision1" select="-1"/>
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="precision3" select="0"/>
      </xsl:call-template>
    </xsl:if >


    <!-- Alarm condition -->
    <!--upsAlarmBatteryBad-->
    <xsl:variable name="upsAlarmBatteryBad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <!--OnBattery-->
    <xsl:variable name="upsAlarmOnBattery">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <!--LowBattery-->
    <xsl:variable name="upsAlarmLowBattery">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <!--DepletedBattery-->
    <xsl:variable name="upsAlarmDepletedBattery">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <!--TempBad-->
    <xsl:variable name="upsAlarmTempBad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <!--InputBad-->
    <xsl:variable name="upsAlarmInputBad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <!--OutputBad-->
    <xsl:variable name="upsAlarmOutputBad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <!--OutputOverload-->
    <xsl:variable name="upsAlarmOutputOverload">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <!--OnBypass-->
    <xsl:variable name="upsAlarmOnBypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <!--BypassBad-->
    <xsl:variable name="upsAlarmBypassBad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <!--OutputOffAsRequested -->
    <xsl:variable name="upsAlarmOutputOffAsRequested">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <!--UpsOffAsRequested -->
    <xsl:variable name="upsAlarmUpsOffAsRequested">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <!--ChargerFailed  -->
    <xsl:variable name="upsAlarmChargerFailed">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <!--UpsOutputOff -->
    <xsl:variable name="upsAlarmUpsOutputOff">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <!--UpsSystemOff-->
    <xsl:variable name="upsAlarmUpsSystemOff">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <!--FanFailure -->
    <xsl:variable name="upsAlarmFanFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>
    <!--FuseFailure -->
    <xsl:variable name="upsAlarmFuseFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit16"/>
      </xsl:call-template>
    </xsl:variable>
    <!--GeneralFault  -->
    <xsl:variable name="upsAlarmGeneralFault">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit17"/>
      </xsl:call-template>
    </xsl:variable>
    <!--DiagnosticTestFailed -->
    <xsl:variable name="upsAlarmDiagnosticTestFailed">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit18"/>
      </xsl:call-template>
    </xsl:variable>
    <!--CommunicationsLost -->
    <xsl:variable name="upsAlarmCommunicationsLost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit19"/>
      </xsl:call-template>
    </xsl:variable>
    <!--AwaitingPower-->
    <xsl:variable name="upsAlarmAwaitingPower">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit20"/>
      </xsl:call-template>
    </xsl:variable>
    <!--ShutdownPending-->
    <xsl:variable name="upsAlarmShutdownPending">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit21"/>
      </xsl:call-template>
    </xsl:variable>
    <!--ShutdownImminent-->
    <xsl:variable name="upsAlarmShutdownImminent">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit22"/>
      </xsl:call-template>
    </xsl:variable>
    <!--TestInProgress-->
    <xsl:variable name="upsAlarmTestInProgress">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit23"/>
      </xsl:call-template>
    </xsl:variable>
    <!--ReceptacleOff-->
    <xsl:variable name="upsAlarmReceptacleOff">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit24"/>
      </xsl:call-template>
    </xsl:variable>



    <!--HighspeedBusFailure-->
    <xsl:variable name="upsAlarmHighspeedBusFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit25"/>
      </xsl:call-template>
    </xsl:variable>
    <!--HighspeedBusCRCFailureA-->
    <xsl:variable name="upsAlarmHighspeedBusCRCFailureA">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit26"/>
      </xsl:call-template>
    </xsl:variable>
    <!--ConnectivityBusFailure-->
    <xsl:variable name="upsAlarmConnectivityBusFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit27"/>
      </xsl:call-template>
    </xsl:variable>
    <!--HighspeedBusCRCFailureB-->
    <xsl:variable name="upsAlarmHighspeedBusCRCFailureB">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit28"/>
      </xsl:call-template>
    </xsl:variable>
    <!--HighCurrentSharing-->
    <xsl:variable name="upsAlarmHighCurrentSharing">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit29"/>
      </xsl:call-template>
    </xsl:variable>
    <!--HighDCRipple-->
    <xsl:variable name="upsAlarmHighDCRipple">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$alarm"/>
        <xsl:with-param name="bit" select="$bit30"/>
      </xsl:call-template>
    </xsl:variable>

    <!--Alarm Panel -->
    <xsl:if test="$alarm &gt; 0">
      <xsl:call-template name="alarm_panel">
        <xsl:with-param name="upsAlarmBatteryBad" select="$upsAlarmBatteryBad" />
        <xsl:with-param name="upsAlarmOnBattery" select="$upsAlarmOnBattery" />
        <xsl:with-param name="upsAlarmLowBattery" select="$upsAlarmLowBattery" />
        <xsl:with-param name="upsAlarmDepletedBattery" select="$upsAlarmDepletedBattery" />
        <xsl:with-param name="upsAlarmTempBad" select="$upsAlarmTempBad" />
        <xsl:with-param name="upsAlarmInputBad" select="$upsAlarmInputBad" />
        <xsl:with-param name="upsAlarmOutputBad" select="$upsAlarmOutputBad" />
        <xsl:with-param name="upsAlarmOutputOverload" select="$upsAlarmOutputOverload" />
        <xsl:with-param name="upsAlarmOnBypass" select="$upsAlarmOnBypass" />
        <xsl:with-param name="upsAlarmBypassBad" select="$upsAlarmBypassBad" />
        <xsl:with-param name="upsAlarmOutputOffAsRequested" select="$upsAlarmOutputOffAsRequested" />
        <xsl:with-param name="upsAlarmUpsOffAsRequested" select="$upsAlarmUpsOffAsRequested" />
        <xsl:with-param name="upsAlarmChargerFailed" select="$upsAlarmChargerFailed" />
        <xsl:with-param name="upsAlarmUpsOutputOff" select="$upsAlarmUpsOutputOff" />
        <xsl:with-param name="upsAlarmUpsSystemOff" select="$upsAlarmUpsSystemOff" />
        <xsl:with-param name="upsAlarmFanFailure" select="$upsAlarmFanFailure" />
        <xsl:with-param name="upsAlarmFuseFailure" select="$upsAlarmFuseFailure" />
        <xsl:with-param name="upsAlarmGeneralFault" select="$upsAlarmGeneralFault" />
        <xsl:with-param name="upsAlarmDiagnosticTestFailed" select="$upsAlarmDiagnosticTestFailed" />
        <xsl:with-param name="upsAlarmCommunicationsLost" select="$upsAlarmCommunicationsLost" />
        <xsl:with-param name="upsAlarmAwaitingPower" select="$upsAlarmAwaitingPower" />
        <xsl:with-param name="upsAlarmShutdownPending" select="$upsAlarmShutdownPending" />
        <xsl:with-param name="upsAlarmShutdownImminent" select="$upsAlarmShutdownImminent" />
        <xsl:with-param name="upsAlarmTestInProgress" select="$upsAlarmTestInProgress" />
        <xsl:with-param name="upsAlarmReceptacleOff" select="$upsAlarmReceptacleOff" />
        <xsl:with-param name="upsAlarmHighspeedBusFailure" select="$upsAlarmHighspeedBusFailure" />
        <xsl:with-param name="upsAlarmHighspeedBusCRCFailureA" select="$upsAlarmHighspeedBusCRCFailureA" />
        <xsl:with-param name="upsAlarmConnectivityBusFailure" select="$upsAlarmConnectivityBusFailure" />
        <xsl:with-param name="upsAlarmHighspeedBusCRCFailureB" select="$upsAlarmHighspeedBusCRCFailureB" />
        <xsl:with-param name="upsAlarmHighCurrentSharing" select="$upsAlarmHighCurrentSharing" />
        <xsl:with-param name="upsAlarmHighDCRipple" select="$upsAlarmHighDCRipple" />
      </xsl:call-template>
    </xsl:if>



  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
