<?xml version="1.0"?>
<!--
   cpusa4_panel.xsl - cpusa ups screen #1 (UNMS-II).
   Copyright (c) 2008, Generex GmbH. All rights reserved.
   Authors: hr
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="cpusa4_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="3"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="cpusa4_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="436"/>
      <xsl:with-param name="left" select="20"/>
      <xsl:with-param name="width" select="756"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="cpusa4_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>
  <!--Body-->
  <xsl:template name="cpusa4_panel-body">
    <xsl:variable name="phases" select="value[@name='PHASES']/@val"/>
    <xsl:choose>
      <xsl:when test="$phases=3">
        <xsl:call-template name="background">
          <xsl:with-param name="imagepath" select="'./lib/ups/image/cpusa/cpusa4_d.png'"/>
          <xsl:with-param name="x" select="'0'"/>
          <xsl:with-param name="y" select="'0'"/>
          <xsl:with-param name="w" select="'788'"/>
          <xsl:with-param name="h" select="'487'"/>
          <xsl:with-param name="border" select="'0'"/>
          <xsl:with-param name="id" select="'background'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="background">
          <xsl:with-param name="imagepath" select="'./lib/ups/image/cpusa/cpusa4_e.png'"/>
          <xsl:with-param name="x" select="'0'"/>
          <xsl:with-param name="y" select="'0'"/>
          <xsl:with-param name="w" select="'788'"/>
          <xsl:with-param name="h" select="'487'"/>
          <xsl:with-param name="border" select="0"/>
          <xsl:with-param name="id" select="'background'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:apply-templates />
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <!-- Implementation -->

  <xsl:template match="values">
    <xsl:variable name="phases" select="value[@name='PHASES']/@val"/>
    <xsl:choose>
      <xsl:when test="$phases=3">
        <xsl:call-template name="background">
          <xsl:with-param name="imagepath" select="'./lib/ups/image/cpusa/cpusa4_d.png'"/>
          <xsl:with-param name="x" select="'0'"/>
          <xsl:with-param name="y" select="'0'"/>
          <xsl:with-param name="w" select="'788'"/>
          <xsl:with-param name="h" select="'487'"/>
          <xsl:with-param name="border" select="'0'"/>
          <xsl:with-param name="id" select="'background'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="background">
          <xsl:with-param name="imagepath" select="'./lib/ups/image/cpusa/cpusa4_e.png'"/>
          <xsl:with-param name="x" select="'0'"/>
          <xsl:with-param name="y" select="'0'"/>
          <xsl:with-param name="w" select="'788'"/>
          <xsl:with-param name="h" select="'487'"/>
          <xsl:with-param name="border" select="0"/>
          <xsl:with-param name="id" select="'background'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 60px; top: 110px; width: 163px; height: 17px; text-align:center">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <!-- STATUS -->
    <xsl:variable name="state" select="value[@name='STATUS']/@val"/>


    <!-- Bits masked -->
    <xsl:variable name="bypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="shutdown">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="active">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="powerfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterylow">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="overtemp">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="testact">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterybad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ecomode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterwarn">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="upsfailed">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="commlost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="dvgalarm">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- BATTERY-->
    <div style="position: absolute; left: 371Px; top: 293px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/Batgrv.gif" />
        </xsl:when>
        <xsl:when test="1=$batterylow or 1=$batterybad">
          <img src="./lib/ups/image/ups/Batrv.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/Batgev.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- RECTIFIER-->
    <div style="position: absolute; left: 277px; top: 217px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/grw.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/grgr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <xsl:variable name="outpower" select="value[@name='OUTPOWER']/@val"/>

    <xsl:variable name="overload">
      <xsl:choose>
        <xsl:when test="$phases=3">
          <xsl:variable name="outpower0" select="value[@name='OUTPOWER']/@val"/>
          <xsl:variable name="outpower1" select="value[@name='OUTPOWER']/@val2"/>
          <xsl:variable name="outpower2" select="value[@name='OUTPOWER']/@val3"/>
          <xsl:choose>
            <xsl:when test="$outpower0>100 or $outpower1>100 or $outpower2>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="$outpower>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg">
      <xsl:choose>
        <xsl:when test="value[@name='TEMPDEG']/@val != -9999">
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='TEMPDEG']/@val"/>
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          N/A
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="battvolt">
      <xsl:choose>
        <xsl:when test="value[@name='BATTVOLT']/@val &lt;= 0.0"></xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='BATTVOLT']/@val"/>
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="battvolt-unit">
      <xsl:choose>
        <xsl:when test="value[@name='BATTVOLT']/@val &lt;= 0.0"></xsl:when>
        <xsl:otherwise>V</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>&#176;C </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempmax" select="value[@name='TMPMAX']/@val"/>
    <xsl:variable name="overtemp1">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val != 0 and $tempdeg>$tempmax">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="frequency">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <xsl:choose>
            <xsl:when test="value[@name='OUTFREQ']/@val &lt;= 0.0"></xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="round-decimal">
                <xsl:with-param  name="value" select="value[@name='OUTFREQ']/@val"/>
                <xsl:with-param name="precision" select="1"/>
              </xsl:call-template>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="value[@name='INFREQ']/@val &lt;= 0.0"></xsl:when>
            <xsl:otherwise>
              <xsl:call-template name="round-decimal">
                <xsl:with-param  name="value" select="value[@name='INFREQ']/@val"/>
                <xsl:with-param name="precision" select="1"/>
              </xsl:call-template>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- INVERTER-->
    <div style="position: absolute; left: 470px; top: 217px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$inverterfail or 1=$inverterwarn or 1=$outputhigh or 1=$overload or 1=$overtemp or 1=$overtemp1">
          <img src="./lib/ups/image/ups/wrr.gif" />
        </xsl:when>
        <xsl:when test="1=$bypass ">
          <img src="./lib/ups/image/ups/wrge.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/wrgr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- SSI-->
    <div style="position: absolute; left: 371px; top: 139px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/ssww.gif" />
        </xsl:when>
        <xsl:when test="1=$bypass">
          <img src="./lib/ups/image/ups/sswgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/sswge.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>


    <!-- IRE -->
    <div style="position: absolute; left: 205px; top: 236px; width: 22px; height: 8px">
      <xsl:choose>
        <xsl:when test="1=$powerfail or 1=$inputhigh">
          <img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- IBY -->
    <div style="position: absolute; left: 565px; top: 236px; width: 22px; height: 8px">
      <xsl:choose>
        <xsl:when test="1!=$active  and 1!=$commlost">
          <img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>


    <!-- COMMON ALARM -->
    <div style="position: absolute; left: 610px; top: 110px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Alarm</div>
    <div style="position: absolute; left: 610px; top: 130px; width: 33px; height: 12px">
      <xsl:choose>
        <xsl:when test="4!=$state and 1!=$testact">
          <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led33x12gr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <xsl:choose>
      <xsl:when test="$phases=3">
        <!-- LOAD BAR 1-->
        <xsl:call-template name="Loadbar">
          <xsl:with-param name="load" select="value[@name='OUTPOWER']/@val"/>
          <xsl:with-param name="x" select="'640'"/>
          <xsl:with-param name="y" select="'293'"/>
          <xsl:with-param name="yOffset" select="'5'"/>
          <xsl:with-param name="border" select="'1'"/>
          <xsl:with-param name="scale" select="'1'"/>
          <xsl:with-param name="textcolor" select="'#3341AA'"/>
        </xsl:call-template>

        <!-- LOAD BAR 2-->
        <xsl:call-template name="Loadbar">
          <xsl:with-param name="load" select="value[@name='OUTPOWER']/@val2"/>
          <xsl:with-param name="x" select="'665'"/>
          <xsl:with-param name="y" select="'293'"/>
          <xsl:with-param name="yOffset" select="'5'"/>
          <xsl:with-param name="border" select="'1'"/>
          <xsl:with-param name="title" select="$lang-Load"/>
          <xsl:with-param name="textcolor" select="'#3341AA'"/>
        </xsl:call-template>

        <!-- LOAD BAR -->
        <xsl:call-template name="Loadbar">
          <xsl:with-param name="load" select="value[@name='OUTPOWER']/@val3"/>
          <xsl:with-param name="x" select="'690'"/>
          <xsl:with-param name="y" select="'293'"/>
          <xsl:with-param name="yOffset" select="'5'"/>
          <xsl:with-param name="border" select="'1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <!-- LOAD BAR 1-->
        <xsl:call-template name="Loadbar">
          <xsl:with-param name="load" select="value[@name='OUTPOWER']/@val"/>
          <xsl:with-param name="x" select="'665'"/>
          <xsl:with-param name="y" select="'293'"/>
          <xsl:with-param name="yOffset" select="'5'"/>
          <xsl:with-param name="border" select="'1'"/>
          <xsl:with-param name="scale" select="'1'"/>
          <xsl:with-param name="title" select="$lang-Load"/>
          <xsl:with-param name="textcolor" select="'#3341AA'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <!-- INPUT-->
    <xsl:choose>
      <xsl:when test="$phases=3">
        <xsl:call-template name="paneTab3r1c">
          <xsl:with-param name="xT" select="102"/>
          <xsl:with-param name="yT" select="222"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="40"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L'" />
          <xsl:with-param name="value"  select="value[@name='INVOLT']" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="102"/>
          <xsl:with-param name="yT" select="232"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="40"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='INVOLT']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <!-- OUTPUT-->
    <xsl:choose>
      <xsl:when test="$phases=3">
        <xsl:call-template name="paneTab3r1c">
          <xsl:with-param name="xT" select="628"/>
          <xsl:with-param name="yT" select="222"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="40"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L'" />
          <xsl:with-param name="value"  select="value[@name='OUTPUT_VOLT']" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision"  select="0" />
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="628"/>
          <xsl:with-param name="yT" select="235"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="40"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='OUTPUT_VOLT']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision"  select="0" />
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <!-- BATTERY-->
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="260"/>
      <xsl:with-param name="yT" select="314"/>
      <xsl:with-param name="wT" select="40"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="40"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="$lang-Battery" />
      <xsl:with-param name="value"  select="value[@name='BATTCAP']/@val" />
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="precision"  select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="260"/>
      <xsl:with-param name="yT" select="326"/>
      <xsl:with-param name="wT" select="30"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="50"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="'BVolt'" />
      <xsl:with-param name="value"  select="$battvolt" />
      <xsl:with-param name="unit" select="$battvolt-unit"/>
      <xsl:with-param name="precision"  select="1"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="260"/>
      <xsl:with-param name="yT" select="338"/>
      <xsl:with-param name="wT" select="40"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="40"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="$lang-Frequency-short" />
      <xsl:with-param name="value"  select="$frequency" />
      <xsl:with-param name="unit" select="'Hz'"/>
      <xsl:with-param name="precision"  select="1"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <!--
	<xsl:call-template name="paneRow">
		<xsl:with-param name="xT" select="260"/>
		<xsl:with-param name="yT" select="350"/>
		<xsl:with-param name="wT" select="40"/>
		<xsl:with-param name="hT" select="11"/>
		<xsl:with-param name="xOff" select="0"/>
		<xsl:with-param name="w" select="40"/>
		<xsl:with-param name="h" select="11"/>
		<xsl:with-param name="alignT" select="'left'"/>
		<xsl:with-param name="text" select="$lang-Temperature-short" />
		<xsl:with-param name="value"  select="$tempdeg" />
		<xsl:with-param name="unit" select="$tempdeg-unit"/>
		<xsl:with-param name="precision"  select="1"/>
		<xsl:with-param name="visibility" select="'visible'"/>
	  <xsl:with-param name="name" select="'page3'"/>
	</xsl:call-template>
	-->
  </xsl:template>
</xsl:stylesheet>
