<?xml version="1.0"?>
<!--
   cpusa5_panel.xsl - cpusa5a und cpusa5b ups screen #1 (UNMS-II).
   Copyright (c) 2012, Generex GmbH. All rights reserved.
   Authors: said
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="cpusa5_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="3"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="cpusa5_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="436"/>
      <xsl:with-param name="left" select="20"/>
      <xsl:with-param name="width" select="756"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="cpusa5_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>
  <!--Body-->
  <xsl:template name="cpusa5_panel-body">
    <xsl:variable name="phases" select="value[@name='PHASES']/@val"/>
    <xsl:apply-templates />
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param    name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <!-- Implementation -->

  <xsl:template match="values">
    <xsl:variable name="phases" select="value[@name='PHASES']/@val"/>
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/ups/bg.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'682'"/>
      <xsl:with-param name="h" select="'347'"/>
      <xsl:with-param name="border" select="0"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>
    <div style="position: absolute; left:5px; top: 10px; width:800px; height: 347px; ;border:1px solid black" />

    <!-- STATUS -->
    <xsl:variable name="state" select="value[@name='STATUS']/@val"/>

    <!-- Bits masked -->
    <xsl:variable name="bypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="shutdown">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="active">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="powerfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterylow">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="overtemp">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="testact">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterybad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ecomode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterwarn">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="upsfailed">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="commlost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="dvgalarm">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="oem_view_name" select="value[@name='_oemViewName']/@val"/>
    <!--
      <xsl:variable name="tempdeg">
         <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='TEMPDEG']/@val"/>
            <xsl:with-param name="precision" select="1"/>
         </xsl:call-template>
      </xsl:variable>
-->
    <xsl:variable name="tempdeg">
      <xsl:choose>
        <xsl:when test="value[@name='TEMPDEG']/@val != -9999">
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='TEMPDEG']/@val"/>
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          N/A
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="overload">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val>100">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 20px; top: 30px; width: 260px; height: 17px; text-align:left">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <!-- COMMON ALARM -->
    <div style="position: absolute; left: 500px; top: 20px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Alarm</div>
    <div style="position: absolute; left: 500px; top: 40px; width: 33px; height: 12px">
      <xsl:choose>
        <xsl:when test="4!=$state and 1!=$testact">
          <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led33x12gr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- IRE -->
    <div style="position: absolute; left: 140px; top: 159px; width: 22px; height: 8px">
      <xsl:choose>
        <xsl:when test="1=$powerfail or 1=$inputhigh">
          <img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- IBY -->
    <div style="position: absolute; left: 510px; top: 159px; width: 22px; height: 8px">
      <xsl:choose>
        <xsl:when test="1!=$active  and 1!=$commlost">
          <img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- RECTIFIER-->
    <div style="position: absolute; left: 236px; top: 140px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/grw.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/grgr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- INVERTER-->
    <div style="position: absolute; left: 380px; top: 140px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$inverterfail or 1=$inverterwarn or 1=$outputhigh or 1=$overload or 1=$overtemp">
          <img src="./lib/ups/image/ups/wrr.gif" />
        </xsl:when>
        <xsl:when test="1=$bypass ">
          <img src="./lib/ups/image/ups/wrge.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/wrgr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- SSI-->
    <div style="position: absolute; left: 310px; top: 60px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/ssww.gif" />
        </xsl:when>
        <xsl:when test="1=$bypass">
          <img src="./lib/ups/image/ups/sswgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/sswge.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- BATTERY-->
    <div style="position: absolute; left: 310px; top: 230px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/Batgrv.gif" />
        </xsl:when>
        <xsl:when test="1=$batterylow or 1=$batterybad">
          <img src="./lib/ups/image/ups/Batrv.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/Batgev.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <div class="MediumBold" style="position: absolute; left: 556px; top: 60px; width: 230px; height: 270px;border:1px solid #3F5987;text-align:center;">
      <xsl:value-of select="'Output'" />
    </div>

    <!-- Output voltage-->
    <div class="MediumBold" style="position: absolute; left: 560px; top: 90px; width: 100px; height: 66px;">
      <!--border:1px solid #3F5987 text-decoration:underline-->
      <xsl:value-of select="'Voltage'" />
      <table width="100%"  height="80%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>
            <xsl:value-of select="'L1-N'" />
          </td>
          <td >
            <xsl:value-of select="concat(value[@name='OUTPUT_VOLT']/@val, ' V')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L2-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='OUTPUT_VOLT']/@val2, ' V')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L3-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='OUTPUT_VOLT']/@val3, ' V')" />
          </td>
        </tr>
      </table>
    </div>

    <!-- Output current-->
    <div class="MediumBold" style="position: absolute; left: 560px; top: 170px; width: 100px; height: 66px; ">
      <xsl:value-of select="'Current'" />
      <table width="100%"  height="80%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>
            <xsl:value-of select="'L1-N'" />
          </td>
          <td >
            <xsl:value-of select="concat(value[@name='EX_OUT_CURR']/@val, ' A')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L2-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='EX_OUT_CURR']/@val2, ' A')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L3-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='EX_OUT_CURR']/@val3, ' A')" />
          </td>
        </tr>
      </table>
    </div>

    <!-- Output Watts-->
    <div class="MediumBold" style="position: absolute; left: 560px; top: 250px; width: 100px; height: 76px;">
      <xsl:value-of select="'Watts'" />
      <table width="100%"  height="80%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>
            <xsl:value-of select="'L1-N'" />
          </td>
          <td >
            <xsl:value-of select="concat(value[@name='EX_OUT_WATT']/@val, ' W')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L2-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='EX_OUT_WATT']/@val2, ' W')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L3-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='EX_OUT_WATT']/@val3, ' W')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'Total'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='CP_WOUTSUM']/@val, ' W')" />
          </td>
        </tr>
      </table>
    </div>

    <!-- Output VA-->
    <div class="MediumBold" style="position: absolute; left: 680px; top: 90px; width: 100px; height: 86px;">
      <xsl:value-of select="'VA'" />
      <table width="100%"  height="80%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0" style="margin-left:2px">
        <tr>
          <td>
            <xsl:value-of select="'L1-N'" />
          </td>
          <td >
            <xsl:value-of select="concat(value[@name='EX_OUT_VA']/@val, ' VA')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L2-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='EX_OUT_VA']/@val2, ' VA')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'L3-N'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='EX_OUT_VA']/@val3, ' VA')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'Total'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='CP_VAOUTSUM']/@val, ' VA')" />
          </td>
        </tr>
      </table>
    </div>

    <!-- Output Load/Frequency-->
    <div class="MediumBold" style="position: absolute; left: 680px; top: 186px; width: 100px; height: 50px;">
      <!--border:1px solid #3F5987-->
      <xsl:value-of select="'Load/Frequency'" />
      <table width="100%"  height="70%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td>
            <xsl:value-of select="'Load'" />
          </td>
          <td >
            <xsl:value-of select="concat(value[@name='OUTPOWER']/@val, ' %')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'Freq'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='OUTFREQ']/@val, ' Hz')" />
          </td>
        </tr>
      </table>
    </div>

    <!-- Battery -->
    <div class="MediumBold" style="position: absolute; left: 106px; top: 210px; width: 186px; height: 126px;border:1px solid #3F5987;text-align:center;">
      <xsl:value-of select="'Battery'" />
    </div>
    <div class="MediumSmallBold" style="position: absolute; left: 110px; top: 230px; width: 190px; height: 116px;">

      <table width="100%"  height="90%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0" style="margin-left:2px">
        <xsl:if test="value[@name='EX_BATT_VOLTPOS']/@val != -9999">
          <tr>
            <td>
              <xsl:value-of select="'Positive DC voltage'" />
            </td>
            <td >
              <xsl:value-of select="concat(value[@name='EX_BATT_VOLTPOS']/@val, ' V')" />
            </td>
          </tr>
        </xsl:if>
        <xsl:if test="value[@name='EX_BATT_VOLTNEG']/@val != -9999">
          <tr>
            <td>
              <xsl:value-of select="'Negative DC voltage'" />
            </td>
            <td>
              <xsl:value-of select="concat(value[@name='EX_BATT_VOLTNEG']/@val, ' V')" />
            </td>
          </tr>
        </xsl:if>
        <tr>
          <td>
            <xsl:value-of select="'Battery voltage'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='BATTVOLT']/@val, ' V')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'Percentage battery'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='BATTCAP']/@val, ' %')" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="'DC charging current'" />
          </td>
          <td>
            <xsl:value-of select="concat(value[@name='CP_DCCHRGCURR']/@val, ' A')" />
          </td>
        </tr>
        <!--
            <tr>
               <td><xsl:value-of select="'Temp'" /></td>
               <td><xsl:value-of select="concat($tempdeg, ' &#176;C')" /></td>
            </tr>
            -->
      </table>
    </div>

    <xsl:variable name="input_voltage_txt">
      <xsl:choose>
        <xsl:when test="$oem_view_name='CPUSA5A' or $oem_view_name='cpusa5a'">
          <xsl:value-of select="'L1-N'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L1-L2'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div class="MediumSmallBold" style="position: absolute; left: 14; top: 146px; width: 100px; height: 34px;border:1px solid #3F5987;text-align:center;">
      <table width="96%"  height="100%" class="MediumSmall" border="0" cellspacing="0" cellpadding="0" style="margin-left:2px">
        <tr>
          <td class="MediumBold" colspan="2" align="center">
            <xsl:value-of select="'Input'" />
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="$input_voltage_txt" />
          </td>
          <td >
            <xsl:value-of select="concat(value[@name='INVOLT']/@val, ' V')" />
          </td>
        </tr>
      </table>
    </div>
    <!-- LOAD BAR -->
    <xsl:call-template name="Loadbar">
      <xsl:with-param name="load" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="x" select="'440'"/>
      <xsl:with-param name="y" select="'240'"/>
      <xsl:with-param name="yOffset" select="'5'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="scale" select="'1'"/>
      <xsl:with-param name="title" select="'Total Load'"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
    </xsl:call-template>

  </xsl:template>
</xsl:stylesheet>
