<?xml version="1.0"?>
<!--
   dummy.xsl - Error screen for @UNMS-II.
   Language: English
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../loadbar.xsl"/>
  <xsl:import href="./../app/common.xsl"/>


  <xsl:output method="xml" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>
  <xsl:template match="/">

    <html>
      <head>
        <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
        <meta http-equiv="expires" content="0" />
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX Network Management System" />
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <script type="text/javascript" src="./lib/app/app_utils.js"></script>
        <title>NMS Web Client</title>
        <xsl:call-template name="set_css"/>

        <xsl:call-template name="IEpixelBugfixDef">
          <xsl:with-param name="pixels" select="0"/>
        </xsl:call-template>
        <xsl:call-template name="js_refresh_def"/>
        <xsl:call-template name="popup"/>

      </head>
      <xsl:element name="body">
        <xsl:call-template name="app-notifier">
          <xsl:with-param name="popup" select="//popup"/>
        </xsl:call-template>


        <xsl:call-template name="background">
          <xsl:with-param name="imagepath" select="'./../img/backhost.png'"/>
          <xsl:with-param name="x" select="'20'"/>
          <xsl:with-param name="y" select="60"/>
          <xsl:with-param name="w" select="'792'"/>
          <xsl:with-param name="h" select="'485'"/>
          <xsl:with-param name="border" select="0"/>
          <xsl:with-param name="id" select="'background'"/>
        </xsl:call-template>

        <xsl:call-template name="headline">
          <xsl:with-param name="top" select="10"/>
          <xsl:with-param name="left" select="20"/>
          <xsl:with-param name="zonename" select="//zone/@name"/>
          <xsl:with-param name="servicename" select="//service/@name"/>
          <xsl:with-param name="ip-address" select="//host/@address"/>
        </xsl:call-template>

        <xsl:variable name="info-text">
          <xsl:choose>
            <xsl:when test="//zone/host/service/@evoid = -1">
              <xsl:value-of select="$lang-Not-reachable"/>
            </xsl:when>
            <xsl:when test="//zone/host/service/@evoid = -2">
              <xsl:value-of select="$lang-Disabled"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="//zone/host/service/@alarm"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>
        <div class="XLargeBold" style="position: absolute; left:20px; top:260px; width:792px; height:265px; text-align:center;font-size:30px;">
          <xsl:element name='a'>
            <xsl:attribute name='href'>
              http://<xsl:value-of select='//host/@address'/>
            </xsl:attribute>
            <xsl:attribute name='target'>_blank</xsl:attribute>
            <xsl:value-of select="$info-text"/>
          </xsl:element>
        </div>

        <xsl:call-template name="app-footer">
          <xsl:with-param	 name="top" select="568"/>
          <xsl:with-param	 name="left" select="20"/>
          <xsl:with-param name="language" select="$installation-language"/>
        </xsl:call-template>

        <xsl:call-template name="IEpixelBugfixCall"/>
        <xsl:call-template name="js_refresh_call">
          <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
        </xsl:call-template>

      </xsl:element>
    </html>
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>