<?xml version="1.0"?>
<!--
   extcmd_panel.xsl - extended commands UPS screen.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   said raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Body-->
  <xsl:template name="extcmd_panel-body">
    <xsl:apply-templates />
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!--title-->
    <div id="panel3" class="XLargeBold" style="position:absolute; top:10px;left:16px;width:530px;height:35px;background-color:#428BCA;text-align:center; line-height:35px;border: 1px solid black;color:white">
      <xsl:value-of select="'Extended&#160;UPS&#160;Commands'"/>
    </div>

    <!--infos variable-->
    <xsl:variable name="infos">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='infos']/@val)!=0">
          <xsl:value-of select="value[@name='infos']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="ups_remote_controle">
      <xsl:with-param name="top" select="'80'"/>
      <xsl:with-param name="left" select="'40'"/>
      <xsl:with-param name="w" select="'480'"/>
      <xsl:with-param name="h" select="'160'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="class" select="'XLarge'"/>
      <xsl:with-param name="id" select="'u_r_c'"/>
    </xsl:call-template>

    <xsl:call-template name="manual_outlet_switches">
      <xsl:with-param name="top" select="'270'"/>
      <xsl:with-param name="left" select="'40'"/>
      <xsl:with-param name="w" select="'480'"/>
      <xsl:with-param name="h" select="'70'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="class" select="'XLarge'"/>
      <xsl:with-param name="id" select="'m_o_s'"/>
    </xsl:call-template>

    <xsl:call-template name="special_features">
      <xsl:with-param name="top" select="'370'"/>
      <xsl:with-param name="left" select="'40'"/>
      <xsl:with-param name="w" select="'480'"/>
      <xsl:with-param name="h" select="'120'"/>
      <xsl:with-param name="border" select="'1'"/>
      <xsl:with-param name="class" select="'XLarge'"/>
      <xsl:with-param name="id" select="'s_f'"/>
    </xsl:call-template>

    <xsl:if test="string-length($infos)!=0">
      <xsl:call-template name="extcmd_infos">
        <xsl:with-param name="top" select="'520'"/>
        <xsl:with-param name="infos" select="$infos"/>
      </xsl:call-template>
    </xsl:if>


  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>