<?xml version="1.0"?>
<!--
   cet2event.xsl - CET T3S Event logfile stylesheet.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1" indent="yes"/>

<!-- Root -->
<xsl:template match="/">
   <html>
      <head>
         <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
         <title>Device History</title>
      </head>
      <body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">
         <xsl:apply-templates />
      </body>
   </html>
</xsl:template>

<!-- UpsSettings -->
<xsl:template match="UpsSettings">
   <!-- Device History -->
   <div style="background-color:darkred;color:white;padding:8px; width:800px; height:20px">
      <span style="font-weight:bold;color:white;font-size:14pt;">Device History</span>
   </div>
   <span style="font-size:8pt">generated <xsl:value-of select="FileDate"/>, <xsl:value-of select="FileTime"/></span>
   <br/><br/>
   <div style="background-color:darkred;color:white;padding:4px;width:800px">
      <span style="font-weight:bold;color:white">Device Type<br/></span>
   </div>
   <!-- Device Type -->
   <table border="0">
   	<tr>
   		<td style="font-size:10pt">Model:</td>
   		<td style="font-size:10pt"><xsl:value-of select="Type" /></td>
   	</tr>
   	<tr>
   		<td style="font-size:10pt">Location: </td>
   		<td style="font-size:10pt"><xsl:value-of select="Location" /></td>
   	</tr>
   </table>
   <br/>
   <!-- Explicit skip other nodes -->
   <xsl:apply-templates select="UpsLog" />
</xsl:template>

<!-- UpsLog -->
<xsl:template match="UpsLog">
   <div style="background-color:darkred;color:white;padding:4px;width:800px">
      <span style="font-weight:bold;color:white">Device Events<br/></span>
   </div>
   <div style="font-size:10pt">
      <table border="1" cellspacing="0" cellpadding="2" width="800">
         <tr>
         	<th style="font-size:8pt">No.</th>
         	<th style="font-size:8pt">Type</th>
         	<th style="font-size:8pt">Source</th>
         	<th style="font-size:8pt">Time</th>
         	<th style="font-size:8pt">Description</th>
         </tr>
         <xsl:apply-templates>
            <xsl:sort select="SortDateTime" order="descending" />
   		</xsl:apply-templates>
      </table>
   </div>
</xsl:template>

<!-- UpsData -->
<xsl:template match="UpsData">
   <tr>
   	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="position()" /></td>

 		<td style="font-size:8pt" align="center" valign="top">
			<xsl:call-template name="Type">
				<xsl:with-param name="Type" select='Type'/>
			</xsl:call-template>
		</td>
		
 		<td style="font-size:8pt" align="left" valign="top">
 		
 		<xsl:if test="MainSource != 0">
			<xsl:call-template name="MainSource">
				<xsl:with-param name="MainSource" select='MainSource'/>
			</xsl:call-template>
		</xsl:if>
		&#160;
		
 		<xsl:if test="MainReference != 0">
   		<xsl:value-of select="MainReference" />
		</xsl:if>
		&#160;

 		<xsl:if test="SecondarySource != 0">
			<xsl:call-template name="SecondarySource">
				<xsl:with-param name="SecondarySource" select='SecondarySource'/>
			</xsl:call-template>
		</xsl:if>
		&#160;

 		<xsl:if test="SecondaryReference != 0">
   		<xsl:value-of select="SecondaryReference" />
		</xsl:if>
		&#160;

		</td>
		
   	<xsl:choose>
   		<xsl:when test="string-length(Time) != 0">
		   	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="Time" /></td>
			</xsl:when>
			<xsl:otherwise>
		   	<td style="font-size:8pt" align="center" valign="top">&#160;</td>
			</xsl:otherwise>
		</xsl:choose>

   	<xsl:choose>
   		<xsl:when test="string-length(Description) != 0">
		   	<td style="font-size:8pt" align="left" valign="top"><xsl:value-of select="Description" /></td>
			</xsl:when>
			<xsl:otherwise>
		   	<td style="font-size:8pt" align="left" valign="top">&#160;</td>
			</xsl:otherwise>
		</xsl:choose>
   	
   </tr>  
</xsl:template>

<xsl:template name="MainSource">
	<xsl:param name="MainSource" select="'0'"/>	
	<xsl:choose>
		<xsl:when test="$MainSource = '1'"><xsl:text>T3S</xsl:text></xsl:when>
		<xsl:when test="$MainSource = '2'"><xsl:text>SYSTEM</xsl:text></xsl:when>
		<xsl:when test="$MainSource = '3'"><xsl:text>GROUP</xsl:text></xsl:when>
		<xsl:when test="$MainSource = '4'"><xsl:text>MODULE</xsl:text></xsl:when>
		<xsl:when test="$MainSource = '5'"><xsl:text>BATTERY</xsl:text></xsl:when>
		<xsl:when test="$MainSource = '6'"><xsl:text>TSIO</xsl:text></xsl:when>
		<xsl:otherwise><xsl:text>&#160;</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="SecondarySource">
	<xsl:param name="SecondarySource" select="'0'"/>	
	<xsl:choose>
		<xsl:when test="$SecondarySource = '1'"><xsl:text>ACIN</xsl:text></xsl:when>
		<xsl:when test="$SecondarySource = '2'"><xsl:text>DC</xsl:text></xsl:when>
		<xsl:when test="$SecondarySource = '3'"><xsl:text>ACOUT</xsl:text></xsl:when>
		<xsl:when test="$SecondarySource = '4'"><xsl:text>INVERTER</xsl:text></xsl:when>
		<xsl:otherwise><xsl:text>&#160;</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<xsl:template name="Type">
	<xsl:param name="Type" select="'0'"/>	
	<xsl:choose>
		<xsl:when test="$Type = '0'"><xsl:text>NO ALARM</xsl:text></xsl:when>
		<xsl:when test="$Type = '1'"><xsl:text>MINOR</xsl:text></xsl:when>
		<xsl:when test="$Type = '2'"><xsl:text>MAJOR</xsl:text></xsl:when>
		<xsl:otherwise><xsl:text>&#160;</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>


<!-- EOS -->
</xsl:stylesheet>
