<?xml version="1.0" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:output method="html" encoding="ISO-8859-1" indent="yes"/>

  <xsl:template match="/">
    <html>
      <head>
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX GmbH" />
        <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
        <style type="text/css">
          .tdLargeBold { font-family: verdana,arial,serif; font-size: 10pt; font-weight: bold; color:#ffffff;text-align:center; background-color:#405080;}
          .tdMedium { font-family: verdana,arial,serif; font-size: 8pt; background-color:#f1f1f1; color:#405080;text-align:center;}
        </style>
        <title>UPS Alert History</title>
      </head>
      <body>
        <xsl:apply-templates />
      </body>
    </html>
  </xsl:template>

  <xsl:template match="eventlog">
    <center>
      <h2 style="color:#405080;font-size:15pt; font-weight:bold; font-family: verdana,arial,serif; ">UPS Alert History</h2>
      <table cellspacing="2" cellpadding="1" border="0" borderColor="#000000">
        <tbody>
          <tr>
            <th class="tdLargeBold" width="200" align="center">Time</th>
            <th class="tdLargeBold" width="20" align="center">UpsID</th>
            <th class="tdLargeBold" width="20" align="center">Code</th>
            <th class="tdLargeBold" width="200" align="center">Event</th>
            <th class="tdLargeBold" width="20" align="center">State</th>
          </tr>
          <xsl:for-each select="event">
            <tr>
              <td align="center" width="200" class="tdMedium" >
                <xsl:value-of select='@time'/>
              </td>
              <td align="center" width="20" class="tdMedium">
                <xsl:value-of select='@upsid'/>
              </td>
              <td align="center" width="20" class="tdMedium">
                <xsl:value-of select='@code'/>
              </td>
              <td align="center" width="200"  class="tdMedium" style="text-align:center">
                <xsl:call-template name="text">
                  <xsl:with-param name="code" select='@code'/>
                </xsl:call-template>
              </td>
              <td align="center" width="20"  class="tdMedium" >
                <xsl:value-of select='@status'/>
              </td>
            </tr>
          </xsl:for-each>

        </tbody>
      </table>
      <br/>
    </center>
  </xsl:template>

  <xsl:template name="text">
    <xsl:param name="code" select="'0'"/>
    <xsl:choose>
      <xsl:when test="$code = '1201'">
        <xsl:text>MAINS RCT CTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1202'">
        <xsl:text>MAINS RECT. FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1203'">
        <xsl:text>MAINS RECTIFIER OK (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1204'">
        <xsl:text>START MAINS FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1205'">
        <xsl:text>MAINS RECTIFIER MAX</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1301'">
        <xsl:text>INP. PHASES SPINED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1401'">
        <xsl:text>MAINS BYP FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1402'">
        <xsl:text>MAINS BYPASS ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1403'">
        <xsl:text>UPS OFF MNS FAILURE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1501'">
        <xsl:text>GENERATOR OPER ON (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '1502'">
        <xsl:text>GENERATOR OPER OFF (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2101'">
        <xsl:text>BOOSTER ALARM ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2102'">
        <xsl:text>BOOSTER SHORT FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2103'">
        <xsl:text>BOOSTER START FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2104'">
        <xsl:text>BST NEG OUT OF RANGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2105'">
        <xsl:text>BST POS OUT OF RANGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2106'">
        <xsl:text>NEG. BOOSTER FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2107'">
        <xsl:text>POS. BOOSTER FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2108'">
        <xsl:text>REG BOOST NEG ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2109'">
        <xsl:text>REG BOOST POS ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2110'">
        <xsl:text>REG TYPE ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2111'">
        <xsl:text>THY IGBT ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2112'">
        <xsl:text>OVERBOOST NOT HIT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2201'">
        <xsl:text>GENERAL DC FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2202'">
        <xsl:text>MEASURE U DC ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2203'">
        <xsl:text>U ELKO CAPACITOR MAX</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2204'">
        <xsl:text>MEAS PROCEDURE ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2401'">
        <xsl:text>K INPUT CNTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2402'">
        <xsl:text>RCT FUSES BLOWN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2403'">
        <xsl:text>SYNC PLL BOOSTER OK</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2404'">
        <xsl:text>PLL BOOSTER NOT SYNC</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2405'">
        <xsl:text>K BST. DO NOT OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2407'">
        <xsl:text>C INPUT NOT CHARGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '2408'">
        <xsl:text>THY INPUT LONG OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4101'">
        <xsl:text>BYP CNTRL CURR. FAIL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4102'">
        <xsl:text>BYPASS IS OK  (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4103'">
        <xsl:text>BYP LOCKED CAUSE GEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4104'">
        <xsl:text>BYP NOT AVAILABLE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4105'">
        <xsl:text>BYP NOT OK</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4106'">
        <xsl:text>BYP THY IS OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4107'">
        <xsl:text>BYP THY SHORTCRCUIT1</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4108'">
        <xsl:text>BYP THY SHORTCRCUIT2</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4109'">
        <xsl:text>BYPASS CNTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4110'">
        <xsl:text>BYPASS RED ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4111'">
        <xsl:text>OFF FOR BYP THY OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4201'">
        <xsl:text>BYP FREQ. NOT OK</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4301'">
        <xsl:text>SYNC CONTROL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4302'">
        <xsl:text>SYNC FAULT MODEL/OUT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4303'">
        <xsl:text>SYNCHRON. FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '4304'">
        <xsl:text>SYNCHRONIZATION OK (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5101'">
        <xsl:text>BATT. START TEST OK (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5102'">
        <xsl:text>BAT. TEST START FAULT (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5103'">
        <xsl:text>BAT TEST RUNNING (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5104'">
        <xsl:text>BATTERY TEST IS OK (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5105'">
        <xsl:text>BATT. TEST HAS FAILED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5106'">
        <xsl:text>BATTERY IN DISCHARGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5107'">
        <xsl:text>BATTERY DISCHARGED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5108'">
        <xsl:text>BATTERY VOLTAGE HIGH</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5109'">
        <xsl:text>CHECK BATT. BLOCKS</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5110'">
        <xsl:text>CHECK BATT. VOLTAGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5111'">
        <xsl:text>SAVED BATT. REG. PAR (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5112'">
        <xsl:text>HIGH BATT. TEMPERATURE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5120'">
        <xsl:text>UPS OFF BATT DISCH</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5201'">
        <xsl:text>BATT. CHARGER FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5202'">
        <xsl:text>CHG OFF CAUSE GENSET</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5203'">
        <xsl:text>CMND BATTERY CHG OFF</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5301'">
        <xsl:text>BATT. CONNECT FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5302'">
        <xsl:text>BATT. NOT CONNECTED (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5303'">
        <xsl:text>BATTERY SWITCH OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5304'">
        <xsl:text>PLEASE CLOSE BATT SW</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '5305'">
        <xsl:text>BAT. THY DO NOT OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6101'">
        <xsl:text>INV. L1 OUT OF RANGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6102'">
        <xsl:text>INV. L2 OUT OF RANGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6103'">
        <xsl:text>INV. L3 OUT OF RANGE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6104'">
        <xsl:text>INV. PHASE L1 FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6105'">
        <xsl:text>INV. PHASE L2 FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6106'">
        <xsl:text>INV. PHASE L3 FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6201'">
        <xsl:text>INV OFF FOR OVERLOAD</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6202'">
        <xsl:text>INVERTER RED ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6203'">
        <xsl:text>MODEL FREQ. NOT OK</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6204'">
        <xsl:text>MODEL VOLTAGE NOT OK</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6205'">
        <xsl:text>OSCILLATOR ALARM</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6206'">
        <xsl:text>OSCILLATOR WATCHDOG</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6401'">
        <xsl:text>K INV CNTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6402'">
        <xsl:text>K INV DON'T CLOSE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6403'">
        <xsl:text>K INV DON'T OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6404'">
        <xsl:text>STANDBY MODE DEACT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '6405'">
        <xsl:text>STANDBY MODE ACT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8101'">
        <xsl:text>COM. CONTROL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8102'">
        <xsl:text>COMM. FOR BYP NOT OK (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8103'">
        <xsl:text>LOCAL LOAD TO BYP (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8104'">
        <xsl:text>LOCAL LOAD TO INV (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8105'">
        <xsl:text>OUTPUT FREQ. NOT OK</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8106'">
        <xsl:text>OUTPUT SHORT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8107'">
        <xsl:text>TEMPERATURE HIGH</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8108'">
        <xsl:text>SYSTEM LOAD TO BYP (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8109'">
        <xsl:text>SYSTEM LOAD TO INV (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8201'">
        <xsl:text>EMERGENCY POWER OFF</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8202'">
        <xsl:text>LOAD OFF CNTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8204'">
        <xsl:text>MODULE NOT READY (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8205'">
        <xsl:text>MODULE READY (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8301'">
        <xsl:text>FRQ LOAD CNTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8302'">
        <xsl:text>FRQ MODEL CTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8303'">
        <xsl:text>LOAD COMMAND ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8304'">
        <xsl:text>LOAD CONTROL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8305'">
        <xsl:text>P INV FAIL CNTRL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8306'">
        <xsl:text>P SHORT CNTRL ERR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8307'">
        <xsl:text>PHASE MOD-BYP ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8308'">
        <xsl:text>PHASE MOD-LOAD ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8401'">
        <xsl:text>LACK OF BYP. POWER (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8402'">
        <xsl:text>LACK OF INV. POWER1 (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8403'">
        <xsl:text>LACK OF INV. POWER2</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8404'">
        <xsl:text>OVERLOAD</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8405'">
        <xsl:text>REDUNDANCY AVAILABLE (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8406'">
        <xsl:text>REDUNDANCY LOSS</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8501'">
        <xsl:text>COMMUNICATION ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8502'">
        <xsl:text>MASTER-SLAVE ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8503'">
        <xsl:text>PAR. CABLING INTERR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8504'">
        <xsl:text>PARALLEL SW CLOSE  (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8505'">
        <xsl:text>PARALLEL SW OPEN (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8506'">
        <xsl:text>SLAVE NOT SYNC</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8521'">
        <xsl:text>SYSTEM COM. ERR. 1</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8522'">
        <xsl:text>SYSTEM COM. ERR. 2</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8523'">
        <xsl:text>SYSTEM COM. ERR. 3</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8524'">
        <xsl:text>SYSTEM COM. ERR. 4</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8525'">
        <xsl:text>SYSTEM COM. ERR. 5</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8526'">
        <xsl:text>SYSTEM COM. ERR. 6</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8527'">
        <xsl:text>SYSTEM COM. ERR. 7</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8528'">
        <xsl:text>SYSTEM COM. ERR. 8</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8601'">
        <xsl:text>MANUAL BYP IS CLOSED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8602'">
        <xsl:text>MANUAL BYP IS OPEN</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8701'">
        <xsl:text>OUT DC PROC. ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8702'">
        <xsl:text>U DC L1 ADC HIGH AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8703'">
        <xsl:text>U DC L1 COMP HIGH AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8704'">
        <xsl:text>U DC L2 ADC HIGH AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8705'">
        <xsl:text>U DC L2 COMP HIGH AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8706'">
        <xsl:text>U DC L3 ADC HIGH AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8707'">
        <xsl:text>U DC L3 COMP HIGH AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8708'">
        <xsl:text>UPS OFF FOR DC FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8801'">
        <xsl:text>Q2 CONTROL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '8802'">
        <xsl:text>Q2 SWITCH CTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9101'">
        <xsl:text>ALARMS CLEARED (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9102'">
        <xsl:text>LOCAL UPS START-UP (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9103'">
        <xsl:text>LOCAL LOAD OFF (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9104'">
        <xsl:text>PARAMETERS SAVED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9105'">
        <xsl:text>EEPROM PAR. SAVED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9201'">
        <xsl:text>DOUBLE OF MODULE NR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9202'">
        <xsl:text>UPS NOW IS MASTER  (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9203'">
        <xsl:text>UPS NOW IS SLAVE (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9205'">
        <xsl:text>UPS MAINTENANCE!</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9301'">
        <xsl:text>EEPROM FAILURE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9302'">
        <xsl:text>CONF. PARAMETERS ERR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9303'">
        <xsl:text>CONFIGURATION FAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9304'">
        <xsl:text>FAULT UPS TYPE CONF</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9305'">
        <xsl:text>INIT CNTRL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9306'">
        <xsl:text>PLEASE CHECK UPSTYPE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9308'">
        <xsl:text>RTC FAILURE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9401'">
        <xsl:text>REMOTE LOAD TO BYP. (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9402'">
        <xsl:text>REMOTE LOAD TO INV. (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9403'">
        <xsl:text>REMOTE RESTART UPS (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9404'">
        <xsl:text>REMOTE SHUTDOWN (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = '9405'">
        <xsl:text>RETURN LOAD TO INV (M)</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a101'">
        <xsl:text>FAILURE ON THE 4008</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a102'">
        <xsl:text>FM CONTROL ERROR</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a103'">
        <xsl:text>WATCHDOG 1s ALARM</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a104'">
        <xsl:text>WATCHDOG 200ms ALARM</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a105'">
        <xsl:text>WATCHDOG 25ms ALARM</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a106'">
        <xsl:text>WATCHDOG ALARM</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a107'">
        <xsl:text>WATCHDOG TIMER 0 AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a108'">
        <xsl:text>WATCHDOG TIMER 1 AL</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a109'">
        <xsl:text>WATCHDOG UART1</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a110'">
        <xsl:text>PCA WATCHDOG</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a111'">
        <xsl:text>MIXED MEASURES OUT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a112'">
        <xsl:text>PROT. ENGINE DEFAULT</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a113'">
        <xsl:text>WATCHDOG ADC ALARM</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a201'">
        <xsl:text>ADJ. DC INV IN PROG</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a202'">
        <xsl:text>FINAL TEST PAR SAVED</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a203'">
        <xsl:text>REACTIVE POWER ADJ.</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a212'">
        <xsl:text>SERVICE MODE ACTIVE</xsl:text>
      </xsl:when>
      <xsl:when test="$code = 'a213'">
        <xsl:text>SERVICE MODE DEACT.</xsl:text>
      </xsl:when>
      <xsl:otherwise>
        <xsl:text>UNKNOWN CODE</xsl:text>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
