<?xml version="1.0"?>
<!--
   prot3mevent.xsl - Protect 3M V2 Event logfile stylesheet.
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1" indent="yes"/>

<!-- Root -->
<xsl:template match="/">
   <html>
      <head>
         <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
         <title>Device History</title>
      </head>
      <body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">
         <xsl:apply-templates />
      </body>
   </html>
</xsl:template>

<!-- UpsSettings -->
<xsl:template match="UpsSettings">
   <!-- Device History -->
   <div style="background-color:teal;color:white;padding:8px; width:800px; height:20px">
      <span style="font-weight:bold;color:white;font-size:14pt;">Device History</span>
   </div>
   <span style="font-size:8pt">generated <xsl:value-of select="FileDate"/>, <xsl:value-of select="FileTime"/></span>
   <br/><br/>
   <div style="background-color:gold;color:white;padding:4px;width:800px">
      <span style="font-weight:bold;color:white">Device Type<br/></span>
   </div>
   <br/>
   <!-- Device Type -->
   <table border="0">
   	<tr>
   		<td style="font-size:10pt">Model:</td>
   		<td style="font-size:10pt"><xsl:value-of select="Type" /></td>
   	</tr>
   	<tr>
   		<td style="font-size:10pt">Location: </td>
   		<td style="font-size:10pt"><xsl:value-of select="Location" /></td>
   	</tr>
   </table>
   <br/>
   <!-- Explicit skip other nodes -->
   <xsl:apply-templates select="UpsLog" />
</xsl:template>

<!-- UpsLog -->
<xsl:template match="UpsLog">
   <div style="background-color:gold;color:white;padding:4px;width:800px">
      <span style="font-weight:bold;color:white">Device Events<br/></span>
   </div>
   <br/>
   <div style="font-size:10pt">
      <table border="1" cellspacing="0" cellpadding="2" width="800">
         <tr>
         	<th style="font-size:8pt">No.</th>
         	<th style="font-size:8pt">Event-Id</th>
         	<th style="font-size:8pt">State</th>
         	<th style="font-size:8pt">Time</th>
         	<th style="font-size:8pt">Description</th>
         </tr>
         <xsl:apply-templates>
            <xsl:sort data-type="number" select="@id" order="ascending" />
   		</xsl:apply-templates>
      </table>
   </div>
</xsl:template>

<!-- UpsData -->
<xsl:template match="UpsData">
   <tr>
   	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="@id" /></td>
   	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="EventCode" /></td>
   	<td style="font-size:8pt" align="center" valign="top">
			<xsl:call-template name="EventState">
				<xsl:with-param name="EventState" select='Active'/>
			</xsl:call-template>
		</td>
   	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="Time" /></td>
   	<td style="font-size:8pt" align="left" valign="top">&#160;<xsl:value-of select="EventText" /></td>
   </tr>  
</xsl:template>

<xsl:template name="EventState">
	<xsl:param name="EventState" select="'0'"/>	
	<xsl:choose>
		<xsl:when test="$EventState = '0'"><xsl:text>Event end</xsl:text></xsl:when>
		<xsl:when test="$EventState = '1'"><xsl:text>Event start</xsl:text></xsl:when>
		<xsl:otherwise><xsl:text>Unknown</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- EOS -->
</xsl:stylesheet>
