<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method = "html" encoding="UTF-8" indent="yes"/>

<!-- name template -->
<xsl:template name="statuslist">
<xsl:param name="sName"/>
	<td style="font-size:8pt" valign="top">
	<xsl:choose >
		<xsl:when test="count($sName)">
			<xsl:for-each select="$sName">
				<xsl:value-of select="."/><br/>
			</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>OK</xsl:otherwise>
	</xsl:choose>
	</td>
</xsl:template>

<xsl:template match="/">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<head>
	<script type="text/javascript" src="./jqmodule.js" />
	<script type="text/javascript" src="./app/app_utils.js" />
	<title>Device History</title>
		<script type="text/javascript">
			var evt_ack_api =(function()
			{
            var evt_ack_option =
            {
               data:{},
               data_type:'text',
               success: evt_ack_update,
               error: evt_ack_err
            },
            evt_ack_settings = {methode:"POST", xhttp_methode_override:'PUT', req_payload_json:true},
            ctl_url = get_url("api/devices/ups/control");

            /*public functions*/
            return {
               send_evt_ack:send_evt_ack
            };

            function send_evt_ack(eventCode)
            {
               evt_ack_option.data = {code:'upsExeCommand', params:{cmdId:2003, params:'' + eventCode}};
               jqmodule.ajax(ctl_url, evt_ack_option, evt_ack_settings);
            }
 
            function evt_ack_update(response)
            {
            	location.replace(location.href);
            }

            function evt_ack_err(response)
            {
            	alert("Acknowledge Event failed!");
            }

			})();

		</script>
</head>

<body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">
<xsl:for-each select="UpsHistory/UpsSettings">

<div style="background-color:teal;color:white;padding:8px; width:800px; height:20px">
<span style="font-weight:bold;color:white;font-size:14pt;">
Device History
</span>
</div>
<span style="font-size:8pt">generated <xsl:value-of select="FileDate"/>, <xsl:value-of select="FileTime"/></span>
<br/>
<br/>
<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
Device Type<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Model:</td>
		<td style="font-size:10pt"><xsl:value-of select="Type" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Location: </td>
		<td style="font-size:10pt"><xsl:value-of select="Location" /></td>
	</tr>
</table>
</xsl:for-each>
<br/>
<xsl:for-each select ="UpsHistory/UpsContact">
<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
Device Contact<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Company:</td>
		<td style="font-size:10pt"><xsl:value-of select="Company" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Department: </td>
		<td style="font-size:10pt"><xsl:value-of select="Department" /></td>
	</tr>
<tr>
	<td><span style="font-size:10pt">Contact Person: </span></td>
	<td><span style="font-size:10pt"><xsl:value-of select="Contact" /></span></td>
</tr>
	<tr>
		<td style="font-size:10pt">City: </td>
		<td style="font-size:10pt"><xsl:value-of select="City" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Street: </td>
		<td style="font-size:10pt"><xsl:value-of select="Street" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Phone: </td>
		<td style="font-size:10pt"><xsl:value-of select="Phone" /></td>
	</tr>
</table>

<br/>
</xsl:for-each>

<div style="background-color:gold;color:white;padding:4px;width:800px">
<span style="font-weight:bold;color:white">
Device Events<br/>
</span>
</div>
<br/>
<div style="font-size:10pt">
<table border="1" cellspacing="0" cellpadding="2" width="800">
<tr>
	<th style="font-size:8pt">No.</th>
	<th style="font-size:8pt">Date</th>
	<th style="font-size:8pt">Time</th>
	<th style="font-size:8pt">Status</th>
	<th style="font-size:8pt">Code</th>
	<th style="font-size:8pt">Event</th>
	<th style="font-size:8pt">Execute</th>
</tr>
<xsl:for-each select="UpsHistory/UpsData">
<xsl:sort select="concat(substring(Date,7,4),substring(Date,4,2),substring(Date,1,2))" order="descending" />
<xsl:sort select="Time" order="descending" />
<tr>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="position()" /></td>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="Date" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="Time" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="EventState" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="EventCode" /></td>
	<td style="font-size:8pt" align="left" valign="top">&#160;<xsl:value-of select="EventText" /></td>
	<td style="font-size:8pt" align="center" valign="top">
		<xsl:choose>
			<xsl:when test="EventState='*'"><a href="{EventAction}">Acknowledge Event</a></xsl:when>
			<xsl:otherwise>&#160;</xsl:otherwise>
		</xsl:choose>
	</td>
</tr>
</xsl:for-each>
</table>
</div>

<br/>

</body>
</html>
</xsl:template>
</xsl:stylesheet>