<?xml version="1.0"?>
<!--
   psqpevent.xsl - Powertronix UPS Event logfile stylesheet.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   Heiko Rogge / U.Witte
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="ISO-8859-1" indent="yes"/>

<!-- Root -->
<xsl:template match="/">
   <html>
      <head>
         <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
         <title>Device History</title>
      </head>
      <body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">
         <xsl:apply-templates />
      </body>
   </html>
</xsl:template>

<!-- UpsSettings -->
<xsl:template match="UpsSettings">
   <!-- Device History -->
   <div style="background-color:teal;color:white;padding:8px; width:800px; height:20px">
      <span style="font-weight:bold;color:white;font-size:14pt;">Device History</span>
   </div>
   <span style="font-size:8pt">generated <xsl:value-of select="FileDate"/>, <xsl:value-of select="FileTime"/></span>
   <br/><br/>
   <div style="background-color:gold;color:white;padding:4px;width:800px">
      <span style="font-weight:bold;color:white">Device Type<br/></span>
   </div>
   <br/>
   <!-- Device Type -->
   <table border="0">
   	<tr>
   		<td style="font-size:10pt">Model:</td>
   		<td style="font-size:10pt"><xsl:value-of select="Type" /></td>
   	</tr>
   	<tr>
   		<td style="font-size:10pt">Location: </td>
   		<td style="font-size:10pt"><xsl:value-of select="Location" /></td>
   	</tr>
   </table>
   <br/>
   <!-- Explicit skip other nodes -->
   <xsl:apply-templates select="UpsLog" />
</xsl:template>

<!-- UpsLog -->
<xsl:template match="UpsLog">
   <div style="background-color:gold;color:white;padding:4px;width:800px">
      <span style="font-weight:bold;color:white">Device Events<br/></span>
   </div>
   <br/>
   <div style="font-size:10pt">
      <table border="1" cellspacing="0" cellpadding="2" width="800">
         <tr>
         	<th style="font-size:8pt">No.</th>
         	<th style="font-size:8pt">Date</th>
         	<th style="font-size:8pt">Time</th>
         	<th style="font-size:8pt">Code</th>
         	<th style="font-size:8pt">Event</th>
         </tr>
         <xsl:apply-templates>
            <xsl:sort select="concat(substring(Date,7,4),substring(Date,4,2),substring(Date,1,2))" order="ascending" />
            <xsl:sort select="Time" order="ascending" />
   		</xsl:apply-templates>
      </table>
   </div>
</xsl:template>

<!-- UpsData -->
<xsl:template match="UpsData">
   <tr>
   	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="position()" /></td>
   	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="Date" /></td>
   	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="Time" /></td>
   	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="EventCode" /></td>
   	<td style="font-size:8pt" align="left" valign="top">&#160;<xsl:value-of select="EventText" />
			<xsl:call-template name="EventText">
				<xsl:with-param name="EventCode" select='EventCode'/>
			</xsl:call-template>
		</td>
   </tr>  
</xsl:template>

<xsl:template name="EventText">
	<xsl:param name="EventCode" select="'0'"/>	
	<xsl:choose>
		<xsl:when test="$EventCode = '0'"><xsl:text>Mains not available</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '1'"><xsl:text>Rectifier overtemperature</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '2'"><xsl:text>Battery charger fault</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '3'"><xsl:text>Battery boost charge</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '4'"><xsl:text>Battery float charge</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '5'"><xsl:text>Battery test failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '6'"><xsl:text>Battery test running</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '7'"><xsl:text>Discharged battery</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '8'"><xsl:text>Battery prealarm</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '9'"><xsl:text>Battery overvoltage</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '10'"><xsl:text>Battery earth leakage</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '11'"><xsl:text>Inverter turned off</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '12'"><xsl:text>Inverter overload</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '13'"><xsl:text>Inverter overtemperature</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '14'"><xsl:text>Inverter-reserve syncronized</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '15'"><xsl:text>Synch Tolerance 4%</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '16'"><xsl:text>Cabinet overtemperature</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '17'"><xsl:text>Summary alarm On</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '18'"><xsl:text>Emergency UPS turned off</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '19'"><xsl:text>ECONOMY mode enabled</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '20'"><xsl:text>Output breaker I4 open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '21'"><xsl:text>Battery breaker open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '22'"><xsl:text>Reserve breaker I2 open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '23'"><xsl:text>Mains breaker I1 open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '24'"><xsl:text>Manual bypass I3 open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '25'"><xsl:text>Cooling liquid pump failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '26'"><xsl:text>Water overtemperature</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '27'"><xsl:text>Water pressure low</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '28'"><xsl:text>Fan system failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '29'"><xsl:text>Static switch overtemperature</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '30'"><xsl:text>Wrong reserve phase sequence</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '31'"><xsl:text>Reserve mains not available</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '32'"><xsl:text>Static switch failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '33'"><xsl:text>Static switch locked</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '34'"><xsl:text>Load on reserve</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '35'"><xsl:text>Load on inverter</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '36'"><xsl:text>Battery fault</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '37'"><xsl:text>UPS Master</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '38'"><xsl:text>UPS Slave</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '39'"><xsl:text>Parallel data exchange failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '40'"><xsl:text>Battery charger on</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '41'"><xsl:text>Load not fed</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '42'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '43'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '44'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '45'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '46'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '47'"><xsl:text>Unknown</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '48'"><xsl:text>Rectifier failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '49'"><xsl:text>Step-up converter failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '50'"><xsl:text>Low cooling liquid level</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '51'"><xsl:text>Cabinet temperature higher than 50 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '52'"><xsl:text>Battery temperature higher than 40 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '53'"><xsl:text>Battery temperature higher than 26 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '54'"><xsl:text>IGBTs temperature higher than 85 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '55'"><xsl:text>IGBTs temperature higher than 65 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '56'"><xsl:text>IGBTs temperature less than 0 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '57'"><xsl:text>IGBTs temperature less than 10 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '58'"><xsl:text>IGBTs overtemperature protection on</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '59'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '60'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '61'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '62'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '63'"><xsl:text>Unknown</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '-128'"><xsl:text>Mains OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-127'"><xsl:text>Rectifier temperature OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-126'"><xsl:text>Battery charger OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-125'"><xsl:text>No battery boost charge</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-124'"><xsl:text>No Battery float charge</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-123'"><xsl:text>Battery test OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-122'"><xsl:text>Battery test not running</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-121'"><xsl:text>Charged battery</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-120'"><xsl:text>No battery prealarm</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-119'"><xsl:text>Battery voltage OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-118'"><xsl:text>No Battery earth leakage</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-117'"><xsl:text>Inverter turned on</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-116'"><xsl:text>Inverter not overloaded</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-115'"><xsl:text>Inverter temperature OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-114'"><xsl:text>Inverter-reserve not syncronized</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-113'"><xsl:text>Synch Tolerance not 4%</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '-112'"><xsl:text>Cabinet temperature OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-111'"><xsl:text>Summary alarm Off</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-110'"><xsl:text>No Emergency UPS turned off</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-109'"><xsl:text>ECONOMY mode disabled</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-108'"><xsl:text>Output breaker I4 not open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-107'"><xsl:text>Battery breaker not open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-106'"><xsl:text>Reserve breaker I2 not open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-105'"><xsl:text>Mains breaker I1 not open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-104'"><xsl:text>Manual bypass I3 not open</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-103'"><xsl:text>No cooling liquid pump failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-102'"><xsl:text>Water temperature OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-101'"><xsl:text>Water pressure OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-100'"><xsl:text>No fan system failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-99'"><xsl:text>Static switch temperature OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-98'"><xsl:text>Right reserve phase sequence</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-97'"><xsl:text>Reserve mains available</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '-96'"><xsl:text>No static switch failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-95'"><xsl:text>Static switch not locked</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-94'"><xsl:text>Load not on reserve</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-93'"><xsl:text>Load not on inverter</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-92'"><xsl:text>No battery fault</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-91'"><xsl:text>Not UPS Master</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-90'"><xsl:text>Not UPS Slave</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-89'"><xsl:text>No parallel data exchange failure</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-88'"><xsl:text>Battery charger off</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-87'"><xsl:text>Load fed</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-86'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-85'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-84'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-83'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-82'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-81'"><xsl:text>Unknown</xsl:text></xsl:when>
		
		<xsl:when test="$EventCode = '-80'"><xsl:text>Rectifier OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-79'"><xsl:text>Step-up converter OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-78'"><xsl:text>Cooling liquid level OK</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-77'"><xsl:text>Cabinet temperature less than 50 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-76'"><xsl:text>Battery temperature less than 40 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-75'"><xsl:text>Battery temperature less than 26 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-74'"><xsl:text>IGBTs temperature less than 85 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-73'"><xsl:text>IGBTs temperature less than 65 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-72'"><xsl:text>IGBTs temperature higher than 0 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-71'"><xsl:text>IGBTs temperature higher than 10 C</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-70'"><xsl:text>IGBTs overtemperature protection off</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-69'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-68'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-67'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-66'"><xsl:text>Unknown</xsl:text></xsl:when>
		<xsl:when test="$EventCode = '-65'"><xsl:text>Unknown</xsl:text></xsl:when>
		
		<xsl:otherwise><xsl:text>UNKNOWN CODE</xsl:text></xsl:otherwise>
	</xsl:choose>
</xsl:template>

<!-- EOS -->
</xsl:stylesheet>
