<?xml version="1.0"?>
<!--
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method = "html" encoding="ISO-8859-1" indent="yes"/>
<!-- name template -->
<xsl:template name="phases">
<xsl:param name="sName"/>
	<tr>
	<xsl:for-each select="$sName">
	<td align="right" width="34%" style="font-size:8pt;">
		<xsl:value-of select="."/><xsl:value-of select="@units"/>&#160;
	</td>
	</xsl:for-each>
	</tr>
</xsl:template>

<xsl:template name="statuslist">
<xsl:param name="sName"/>
	<td style="font-size:8pt" valign="top">
	<xsl:choose >
		<xsl:when test="count($sName)">
		<xsl:for-each select="$sName/text">
		<xsl:value-of select="."/><br/>
		</xsl:for-each>
		</xsl:when>
		<xsl:otherwise>
		OK
		</xsl:otherwise>
	</xsl:choose>
	</td>
</xsl:template>

<xsl:template name='idrefVal'>
   <xsl:param name='sAttValue' select='a' />
   <xsl:param name='sRef' select='a' />
   <a> 
         <xsl:attribute name='href'>#Status<xsl:value-of select='$sAttValue' /></xsl:attribute>
		 <xsl:value-of select='$sRef' />
	</a>
</xsl:template>

<xsl:template name='idrefStat'>
   <xsl:param name='sAttValue' select='a' />
   <xsl:param name='sRef' select='a' />
   <a> 
         <xsl:attribute name='href'>#Value<xsl:value-of select='$sAttValue' /></xsl:attribute>
		 <xsl:value-of select='$sRef' />
	</a>
</xsl:template>

<xsl:template name='idanchorStat'>
	<xsl:param name='sAttValue' select='a' />
	<a> 
		<xsl:attribute name='name'>Status<xsl:value-of select='$sAttValue' /></xsl:attribute>
	</a>
</xsl:template>
<xsl:template name='idanchorVal'>
	<xsl:param name='sAttValue' select='a' />
	<a> 
         <xsl:attribute name='name'>Value<xsl:value-of select='$sAttValue' /></xsl:attribute>
	</a>
</xsl:template>

<xsl:template match="/">
<html>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"/>
<title>Ups History</title>
<body style="font-family:Arial,helvetica,sans-serif;font-size:12pt; background-color:#EEEEEE">

<xsl:for-each select="UpsHistory/UpsSettings">
<div style="background-color:teal;color:white;padding:8px; width:1500px; height:20px">
<span style="font-weight:bold;color:white;font-size:14pt;">
UPS History
</span>
</div>
<span style="font-size:8pt">generated <xsl:value-of select="FileDate"/>, <xsl:value-of select="FileTime"/></span>
<br/>
<br/>

<div style="background-color:gold;color:white;padding:4px;width:1500px">
<span style="font-weight:bold;color:white">
UPS Type<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Model:</td>
		<td style="font-size:10pt"><xsl:value-of select="Type" /> (<xsl:value-of select="Model" /> kVA)</td>
	</tr>
	<tr>
		<td style="font-size:10pt">Version: </td>
		<td style="font-size:10pt"><xsl:value-of select="Version" /></td>
	</tr>
<tr>
	<td><span style="font-size:10pt">Phases: </span></td>
	<td><span style="font-size:10pt"><xsl:value-of select="Phases" /></span></td>
</tr>
	<tr>
		<td style="font-size:10pt">Location: </td>
		<td style="font-size:10pt"><xsl:value-of select="Location" /></td>
	</tr>
</table>

<br/>
<xsl:for-each select ="UpsContact">
<div style="background-color:gold;color:white;padding:4px;width:1500px">
<span style="font-weight:bold;color:white">
UPS Contact<br/>
</span>
</div>
<br/>
<table border="0">
	<tr>
		<td style="font-size:10pt">Company:</td>
		<td style="font-size:10pt"><xsl:value-of select="Company" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Department: </td>
		<td style="font-size:10pt"><xsl:value-of select="Department" /></td>
	</tr>
<tr>
	<td><span style="font-size:10pt">Contact Person: </span></td>
	<td><span style="font-size:10pt"><xsl:value-of select="Contact" /></span></td>
</tr>
	<tr>
		<td style="font-size:10pt">City: </td>
		<td style="font-size:10pt"><xsl:value-of select="City" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Street: </td>
		<td style="font-size:10pt"><xsl:value-of select="Street" /></td>
	</tr>
	<tr>
		<td style="font-size:10pt">Phone: </td>
		<td style="font-size:10pt"><xsl:value-of select="Phone" /></td>
	</tr>
</table>

<br/>
</xsl:for-each>
<div style="background-color:gold;color:white;padding:4px;width:1500px">
<span style="font-weight:bold;color:white">
UPS Settings<br/>
</span>
</div>
<br/>
<table border="0" cellspacing="1" cellpadding="0">
<tr><td>
<table border="0" cellspacing="1" cellpadding="0">
<tr>
	<td style="font-size:10pt">Nominal output voltage</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="NomOutputVolt" /> V</td>
</tr>
<tr>
	<td style="font-size:10pt">Battery Type:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="BatteryType" /></td>
</tr>
<tr>
	<td style="font-size:10pt">Battery capacity</td>
	<td align ="right" style="font-size:10pt"> <xsl:value-of select="BattCap" /> Ah</td>
</tr>
<tr>
	<td style="font-size:10pt">Bypass voltage range:</td>
	<td align ="right" style="font-size:10pt"> <xsl:value-of select="BypassVoltRange" />%</td>
</tr>
<tr>
	<td style="font-size:10pt">Bypass frequency range:</td>
	<td  align ="right" style="font-size:10pt"><xsl:value-of select="BypassFreqRange" />%</td>
</tr>
<tr>
	<td style="font-size:10pt">Prealarm:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="Prealarm" /> min</td>
</tr>
<tr>
	<td style="font-size:10pt">Times on battery:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="TimesOnBatt" /></td>
</tr>
</table>
</td>
<td>
<table border="0" cellspacing="10" cellpadding="10">
<tr><td></td></tr>
</table>
</td>
<td>
<table border="0" cellspacing="1" cellpadding="0">
<tr>
	<td style="font-size:10pt">Full Discharges:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="TimesOnBatt" /></td>
</tr>
<tr>
	<td style="font-size:10pt">Auto OFF:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="AutoOff" /> %VA</td>
</tr>
<tr>
	<td style="font-size:10pt">Timer OFF:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="TimerOff" /></td>
</tr>
<tr>
	<td style="font-size:10pt">Timer ON:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="TimerOn" /></td>
</tr>
<tr>
	<td style="font-size:10pt">Time on battery:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="OnBattery" /> h</td>
</tr>
<tr>
	<td style="font-size:10pt">Time on output:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="OnOutput" /> h</td>
</tr>
<tr>
	<td style="font-size:10pt">Date of machine activation:</td>
	<td align ="right" style="font-size:10pt"><xsl:value-of select="MachineActivationStart" /></td>
</tr>
</table> 
</td>
</tr>
</table>

</xsl:for-each>
<br/>
<div style="background-color:gold;color:white;padding:4px;width:1500px">
<span style="font-weight:bold;color:white">
UPS Values<br/>
</span>
</div>
<br/>
<div style="font-size:8pt">
<table border="1" cellspacing="0" cellpadding="2" width="1500">
<tr>
	<th style="font-size:8pt;text-align:center;">No.</th>
	<th style="font-size:8pt;text-align:center;">Date</th>
	<th style="font-size:8pt;">Time</th>
	<th style="font-size:8pt;">Autonomy Time</th>
	<th style="font-size:8pt;">Input Voltage</th>
	<th style="font-size:8pt;">Input Current</th>
	<th style="font-size:8pt;">Input Frequency</th>
	<th style="font-size:8pt;">Bypass Voltage</th>
	<th style="font-size:8pt;">Bypass Frequency</th>
	<th style="font-size:8pt;">Battery Voltage</th>
	<th style="font-size:8pt;">Battery Current</th>
	<th style="font-size:8pt;">Output Voltage</th>
	<th style="font-size:8pt;" width = "50">Load</th>
	<th style="font-size:8pt;">Output peak current</th>
	<th style="font-size:8pt;">Output frequency</th>
	<th style="font-size:8pt;">System temperature</th>
	<th style="font-size:8pt;">Rectifier temperature</th>
	<th style="font-size:8pt;">Inverter temperature</th>

</tr>

<xsl:for-each select="UpsHistory/UpsData">

<tr>
	<td style="font-size:8pt;" align="center">
		<xsl:call-template name="idrefVal">
		<xsl:with-param name="sAttValue" select="./@id"/>
		<xsl:with-param name="sRef" select="./@id"/>
		</xsl:call-template>
		<xsl:call-template name="idanchorVal">
		<xsl:with-param name="sAttValue" select="./@id"/>
		</xsl:call-template>
	</td>
	<td style="font-size:8pt;" align="center"><xsl:value-of select="Date"/></td>
	<td style="font-size:8pt;" align="center"><xsl:value-of select="Time"/></td>
	<td style="font-size:8pt;" align = "right">
		<xsl:value-of select="AutonomyTime"/>
		<xsl:value-of select="AutonomyTime/@units"/>
	</td>
	<td style="font-size:8pt;">
	<table cellspacing="1" border="0">
		<xsl:call-template name="phases">
		<xsl:with-param name="sName" select="InputVoltage/fValue"/>
		</xsl:call-template>
	</table>
	</td>
	<td style="font-size:8pt;">
	<table cellspacing="1" border="0">
		<xsl:call-template name="phases">
		<xsl:with-param name="sName" select="InputCurrent/fValue"/>
		</xsl:call-template>
	</table>
	</td>
	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="InputFrequency"/><xsl:value-of select="InputFrequency/@units"/>
	</td>
	<td style="font-size:8pt;">
	<table cellspacing="1" border="0">
		<xsl:call-template name="phases">
		<xsl:with-param name="sName" select="BypassVoltage/fValue"/>
		</xsl:call-template>
	</table>
	</td>
	<td style="font-size:8pt;" align="right">
		<xsl:value-of select="BypassFrequency"/><xsl:value-of select="BypassFrequency/@units"/>
	</td>

	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="BatteryVoltage"/><xsl:value-of select="BatteryVoltage/@units"/>
	</td>
	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="BatteryCurrent"/><xsl:value-of select="BatteryCurrent/@units"/>
	</td>

	<td style="font-size:8pt;">
	<table cellspacing="1" border="0">
		<xsl:call-template name="phases">
		<xsl:with-param name="sName" select="OutputVoltage/fValue"/>
		</xsl:call-template>
	</table>
	</td>
	<td style="font-size:8pt;"  >
	<table cellspacing="1" border="0">
		<xsl:call-template name="phases">
		<xsl:with-param name="sName" select="OutputRMScurrent/fValue"/>
		</xsl:call-template>
	</table>
	</td>
	<td style="font-size:8pt;">
		<table cellpadding="1" border="0">
		<xsl:call-template name="phases">
		<xsl:with-param name="sName" select="OutputPeakCurrent/fValue"/>
		</xsl:call-template>
		</table>
	</td>
	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="OutputFrequency"/><xsl:value-of select="OutputFrequency/@units"/>
	</td>
	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="SystemTemperature"/> 
		<xsl:value-of select="SystemTemperature/@units"/>
	</td>
	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="RectifierTemperature"/> 
		<xsl:value-of select="RectifierTemperature/@units"/>
	</td>
	<td style="font-size:8pt;" align ="right">
		<xsl:value-of select="InverterTemperature"/> 
		<xsl:value-of select="InverterTemperature/@units"/>
	</td>
</tr>
</xsl:for-each>
</table>
</div>
<br/>
<div style="background-color:gold;color:white;padding:4px;width:1500px">
<span style="font-weight:bold;color:white">
UPS Status<br/>
</span>
</div>
<br/>
<div style="font-size:10pt">
<table border="1" cellspacing="0" cellpadding="2" width="1500">
<tr>
	<th style="font-size:8pt">No.</th>
	<th style="font-size:8pt">Date</th>
	<th style="font-size:8pt">Time</th>
	<th style="font-size:8pt">Extended Status</th>
	<th style="font-size:8pt">Load Status</th>
	<th style="font-size:8pt">Bypass Status</th>
	<th style="font-size:8pt">Rectifier Status</th>
	<th style="font-size:8pt">Inverter Status</th>
	<th style="font-size:8pt">Alarm Status</th>
</tr>
<xsl:for-each select="UpsHistory/UpsData">
<tr>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top">
		<xsl:call-template name="idanchorStat">
		<xsl:with-param name="sAttValue" select="./@id"/>
		</xsl:call-template>
		<xsl:call-template name="idrefStat">
		<xsl:with-param name="sAttValue" select="./@id"/>
		<xsl:with-param name="sRef" select="./@id"/>
		</xsl:call-template>
	</td>
	<td style="font-size:8pt;text-align:center;" align="center" valign="top"><xsl:value-of select="Date" /></td>
	<td style="font-size:8pt" align="center" valign="top"><xsl:value-of select="Time" /></td>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "ExtendedStatus"/>
	</xsl:call-template>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "LoadStatus"/>
	</xsl:call-template>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "BypassStatus"/>
	</xsl:call-template>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "RectifierStatus"/>
	</xsl:call-template>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "InverterStatus"/>
	</xsl:call-template>
	<xsl:call-template name = "statuslist">
	<xsl:with-param name="sName" select = "Alarm"/>
	</xsl:call-template>
</tr>  
</xsl:for-each>
</table>
</div>

<br/>

</body>
</html>
</xsl:template>
</xsl:stylesheet>
