<?xml version="1.0"?>
<!--
   mdelta_panel.xsl - UPS screen for AEG.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   Said Raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="mdelta_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="13"/>
      <xsl:with-param name="left" select="36"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="mdelta_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="570"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="754"/>
      <xsl:with-param name="height" select="66"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="mdelta_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="mdelta_panel-body">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/aeg/backab1.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'785'"/>
      <xsl:with-param name="h" select="'546'"/>
      <xsl:with-param name="border" select="0"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>

    <xsl:apply-templates />
    <script type="text/javascript">
      init();
    </script>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="values">
    <!-- Implementation -->
    <!-- Model -->
    <xsl:variable name="model">
      <xsl:choose>
        <xsl:when test="string-length(//upsview)&gt;0">
          <xsl:value-of select="value[@name='MODEL']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="' '"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:if test="string-length($model) !=0">
        <xsl:call-template name="paneText">
          <xsl:with-param name="x" select="16" />
          <xsl:with-param name="y" select="10" />
          <xsl:with-param name="w" select="200" />
          <xsl:with-param name="h" select="17" />
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="color" select="'white'" />
          <xsl:with-param name="value" select="concat('Identification&#160;&#160;',$model)" />
          <xsl:with-param name="name" select="'ident_id'" />
        </xsl:call-template>
        <script type="text/javascript"> translate_text('ident_id', 
         ['Identification', '  ', '<xsl:value-of select="'Identification'" />', '  ', 
         '<xsl:value-of select="$model" />');</script>
      </xsl:if>
    </div>

    <!-- UPS Chart Text -->
    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="480" />
        <xsl:with-param name="y" select="148" />
        <xsl:with-param name="w" select="200" />
        <xsl:with-param name="h" select="17" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="color" select="'white'" />
        <xsl:with-param name="value" select="$lang-UPS-Chart" />
        <xsl:with-param name="name" select="'ups_chart_id'" />
      </xsl:call-template>
      <script type="text/javascript"> translate_text('ups_chart_id', '<xsl:value-of select="$lang-UPS-Chart" />');</script>
    </div>

    <!-- UPS Events Text -->
    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="460" />
        <xsl:with-param name="y" select="12" />
        <xsl:with-param name="w" select="200" />
        <xsl:with-param name="h" select="17" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="color" select="'white'" />
        <xsl:with-param name="value" select="$lang-UPS-Events" />
        <xsl:with-param name="name" select="'ups_evt_id'" />
      </xsl:call-template>
      <script type="text/javascript"> translate_text('ups_evt_id', '<xsl:value-of select="$lang-UPS-Events" />');</script>
    </div>

    <!-- mdelta status pane -->
    <xsl:variable name="batt_cap">
      <xsl:call-template name="min">
        <xsl:with-param name="val1" select="value[@name='BATTCAP']/@val"/>
        <xsl:with-param name="val2" select="value[@name='EX_BATT_CAPNEG']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:call-template name="mdelta-status-pane">
      <xsl:with-param name="state" select="value[@name='CP4_OPSOURCE']/@val" />
      <xsl:with-param name="in_phases" select="value[@name='INPHASES']/@val" />
      <xsl:with-param name="out_phases" select="value[@name='OUTPHASES']/@val" />
      <xsl:with-param name="in_volt" select="value[@name='INVOLT']" />
      <xsl:with-param name="in_freq" select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="batt_autonomy_time" select="value[@name='AUTONOMTIME']/@val" />
      <xsl:with-param name="batt_status" select="value[@name='EX_EXTSTATUS']/@val" />
      <xsl:with-param name="batt_capacity" select="$batt_cap" />
      <xsl:with-param name="batt_volt" select="value[@name='BATTVOLT']/@val + value[@name='EX_BATT_VOLTNEG']/@val" />
      <xsl:with-param name="batt_temp" select="value[@name='TEMPDEG']/@val" />
      <xsl:with-param name="batt_current" select="(value[@name='BATTERYCURRENT']/@val+value[@name='EX_BATT_CURRNEG']/@val) div 2" />
      <xsl:with-param name="out_volt" select="value[@name='OUTPUT_VOLT']" />
      <xsl:with-param name="out_power" select="value[@name='OUTPUT_POW']" />
      <xsl:with-param name="out_current" select="value[@name='SOLAWROC']" />
      <xsl:with-param name="out_current2" select="value[@name='OUTPUTCURRENT']" />
      <xsl:with-param name="out_freq" select="value[@name='OUTFREQ']/@val" />
      <xsl:with-param name="total_compl_power" select="value[@name='MD_TOTALKVA']/@val" />
      <xsl:with-param name="total_power" select="value[@name='MD_TOTALKW']/@val" />
      <xsl:with-param name="in_current" select="value[@name='INPUTCURRENT']" />
      <xsl:with-param name="load" select="value[@name='OUTPOWER']" />
      <xsl:with-param name="amb_temp" select="value[@name='AMBTEMP']/@val" />
      <xsl:with-param name="status_txt" select="$lang-Modul-Status" />
    </xsl:call-template>

    <!--  oem View Name-->
    <xsl:variable name="oem_view_name" select="value[@name='_oemViewName']/@val"/>
    <!-- Battery Voltage Load bar variables-->
    <xsl:variable name="batt_volt_startval">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='mdelta' or string($oem_view_name)='MDELTA'">
          <xsl:value-of select="'90'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="batt_volt_endval">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='mdelta' or string($oem_view_name)='MDELTA'">
          <xsl:value-of select="'630'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="batt_volt_step">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='mdelta' or string($oem_view_name)='MDELTA'">
          <xsl:value-of select="'60'"/>
        </xsl:when>
        <xsl:otherwise></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <!-- Load bars page0 -->
    <div id="page0"  class="SmallBold" style="position:absolute; top:224px; left:330px; width:20px; height:10px; text-align:center; font-size:11px;visibility:visible">
      <xsl:value-of select="'L1'"/>
    </div>
    <div id="page0"  class="SmallBold" style="position:absolute; top:224px; left:370px; width:20px; height:10px; text-align:center; font-size:11px;visibility:visible">
      <xsl:value-of select="'L2'"/>
    </div>
    <div id="page0"  class="SmallBold" style="position:absolute; top:224px; left:410px; width:20px; height:10px; text-align:center; font-size:11px;visibility:visible">
      <xsl:value-of select="'L3'"/>
    </div>


    <div id="page01"  class="SmallBold" style="position:absolute; top:224px; left:500px; width:20px; height:10px; text-align:center; font-size:11px;visibility:visible">
      <xsl:value-of select="'L1'"/>
    </div>
    <div id="page01"  class="SmallBold" style="position:absolute; top:224px; left:540px; width:20px; height:10px; text-align:center; font-size:11px;visibility:visible">
      <xsl:value-of select="'L2'"/>
    </div>
    <div id="page01"  class="SmallBold" style="position:absolute; top:224px; left:580px; width:20px; height:10px; text-align:center; font-size:11px;visibility:visible">
      <xsl:value-of select="'L3'"/>
    </div>



    <!-- Input voltage -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INVOLT']/@val"/>
      <!---->
      <xsl:with-param name="headline" select="concat('&#160;&#160;&#160;&#160;&#160;',$lang-Input-Voltage)"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="280"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <!--<xsl:with-param name="thresh-red-hi" select="110"/>
    <xsl:with-param name="thresh-yellow-hi" select="90"/>-->
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'input1_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INVOLT']/@val2"/>
      <!---->
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="318"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <!--<xsl:with-param name="thresh-red-hi" select="110"/>
    <xsl:with-param name="thresh-yellow-hi" select="90"/>-->
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'input2_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INVOLT']/@val3"/>
      <!---->
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="356"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <!--<xsl:with-param name="thresh-red-hi" select="110"/>
    <xsl:with-param name="thresh-yellow-hi" select="90"/>-->
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'input3_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>

    <!-- Load -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="headline" select="concat('&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;',$lang-Load)"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="450"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="25"/>
      <xsl:with-param name="skip" select="25"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="100"/>
      <xsl:with-param name="thresh-yellow-hi" select="80"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'load1_scaler_id'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val2"/>
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="488"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="25"/>
      <xsl:with-param name="skip" select="25"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="100"/>
      <xsl:with-param name="thresh-yellow-hi" select="80"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'load2_scaler_id'"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val3"/>
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="526"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="25"/>
      <xsl:with-param name="skip" select="25"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="100"/>
      <xsl:with-param name="thresh-yellow-hi" select="80"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'load3_scaler_id'"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Autonomy Time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="632"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="0"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="4"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>


    <!-- Load bars page1-->
    <!-- Input Voltage -->
    <!--<xsl:call-template name="valuebar">		
    <xsl:with-param name="value" select="value[@name='INVOLT']/@val"/>
    <xsl:with-param name="headline" select="$lang-Input-Voltage"/>
    <xsl:with-param name="font-size" select="11"/>
    <xsl:with-param name="unit" select="'V'"/>
    <xsl:with-param name="x" select="330"/>
    <xsl:with-param name="y" select="200"/>
    <xsl:with-param name="h" select="80"/>
    <xsl:with-param name="barx" select="'48'"/>
    <xsl:with-param name="bary" select="90"/>
    <xsl:with-param name="barw" select="50"/>
    <xsl:with-param name="suby" select="240"/>
    <xsl:with-param name="startval" select="90"/>
    <xsl:with-param name="endval" select="270"/>
    <xsl:with-param name="decimal-places" select="0"/>
    <xsl:with-param name="step" select="45"/>
    <xsl:with-param name="skip" select="45"/>
    <xsl:with-param name="id" select="'page1'"/>
    <xsl:with-param name="shadowoffset" select="5"/>    
    <xsl:with-param name="thresh-red-hi" select="''"/>
    <xsl:with-param name="thresh-yellow-hi" select="''"/>
		<xsl:with-param name="start-visibility" select="'visible'"/>
		<xsl:with-param name="bright" select="0"/>
		<xsl:with-param name="sel_page" select="1"/>
  </xsl:call-template>	-->

    <!-- Output voltage -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPUT_VOLT']/@val"/>
      <!---->
      <xsl:with-param name="headline" select="$lang-Output-Voltage"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="280"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <!--<xsl:with-param name="thresh-red-hi" select="110"/>
    <xsl:with-param name="thresh-yellow-hi" select="90"/>-->
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'outpower1_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPUT_VOLT']/@val2"/>
      <!---->
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="318"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <!--<xsl:with-param name="thresh-red-hi" select="110"/>
    <xsl:with-param name="thresh-yellow-hi" select="90"/>-->
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'outpower2_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPUT_VOLT']/@val3"/>
      <!---->
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="356"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <!--<xsl:with-param name="thresh-red-hi" select="110"/>
    <xsl:with-param name="thresh-yellow-hi" select="90"/>-->
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'outpower3_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>

    <!-- Input Frequency -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INFREQ']/@val"/>
      <xsl:with-param name="headline" select="$lang-Input-Frequency"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Hz'"/>
      <xsl:with-param name="x" select="460"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="40"/>
      <xsl:with-param name="endval" select="70"/>
      <xsl:with-param name="decimal-places" select="1"/>
      <xsl:with-param name="step" select="5"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="''"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Autonomy Time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="590"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="20"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="4"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>


    <!-- Load bars page2-->
    <!-- Battery Voltage -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='BATTVOLT']/@val + value[@name='EX_BATT_VOLTNEG']/@val"/>
      <xsl:with-param name="headline" select="$lang-Battery-Voltage"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="330"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="$batt_volt_startval"/>
      <xsl:with-param name="endval" select="$batt_volt_endval"/>
      <xsl:with-param name="decimal-places" select="1"/>
      <xsl:with-param name="step" select="$batt_volt_step"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page2'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="''"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Battery Capacity -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="$batt_cap"/>
      <xsl:with-param name="headline" select="$lang-Battery-Capacity"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="460"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="20"/>
      <xsl:with-param name="id" select="'page2'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="50"/>
      <xsl:with-param name="thresh-yellow-lo" select="80"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Autonomy Time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="590"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="20"/>
      <xsl:with-param name="id" select="'page2'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="4"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>

    <!-- Log events pane -->
    <xsl:call-template name="events-pane">
    </xsl:call-template>
    <!--select pages -->
    <xsl:call-template name="select-page">
    </xsl:call-template>

    <!-- selected modules id -->
    <xsl:variable name="selected_ups_id">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_selected_ups_id']/@val) != 0">
          <xsl:value-of select="value[@name='_selected_ups_id']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- power modules exist -->
    <xsl:variable name="power_modules_exist" select="value[@name='MD_PMEXIST']"/>
    <!-- mdelta select modules pane-->
    <xsl:call-template name="mdelta-select-modules">
      <xsl:with-param name="state" select="value[@name='CP4_OPSOURCE']/@val" />
      <xsl:with-param name="batt_status" select="value[@name='EX_EXTSTATUS']/@val" />
      <xsl:with-param name="num_units" select="value[@name='NUM_UNITS']/@val" />
      <xsl:with-param name="is_multi" select="'1'" />
      <!--value[@name='IS_MULTI']/@val-->
      <xsl:with-param name="act_ups_id" select="value[@name='ACT_UPSID']/@val" />
      <xsl:with-param name="power_modules_exist" select="$power_modules_exist" />
      <xsl:with-param name="selected_ups_id" select="$selected_ups_id" />
      <!--<xsl:with-param name="left" select="'100'" />-->
    </xsl:call-template>

    <!-- Module values pane-->
    <!-- Module 1 values pane
	<xsl:if test="$power_modules_exist/@val = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module1_id'" />
			<xsl:with-param name="title" select="'Module&#160;1'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 2 values pane
	<xsl:if test="$power_modules_exist/@val2 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="208" />
		  <xsl:with-param name="y" select="90" />
		  <xsl:with-param name="visibility" select="'hidden'" />
			<xsl:with-param name="id" select="'module2_id'" />
			<xsl:with-param name="title" select="'Module&#160;2'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val2" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val2" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val2" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val2" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val2" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val2" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val2" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val2" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val2" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val2" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val2" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val2" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val2" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 3 values pane
	<xsl:if test="$power_modules_exist/@val3 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module3_id'" />
			<xsl:with-param name="title" select="'Module&#160;3'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val3" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val3" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val3" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val3" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val3" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val3" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val3" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val3" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val3" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val3" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val3" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val3" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val3" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 4 values pane
	<xsl:if test="$power_modules_exist/@val4 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module4_id'" />
			<xsl:with-param name="title" select="'Module&#160;4'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val4" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val4" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val4" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val4" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val4" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val4" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val4" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val4" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val4" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val4" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val4" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val4" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val4" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 5 values pane
	<xsl:if test="$power_modules_exist/@val5 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module5_id'" />
			<xsl:with-param name="title" select="'Module&#160;5'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val5" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val5" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val5" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val5" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val5" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val5" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val5" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val5" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val5" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val5" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val5" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val5" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val5" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 6 values pane
	<xsl:if test="$power_modules_exist/@val6 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module6_id'" />
			<xsl:with-param name="title" select="'Module&#160;6'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val6" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val6" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val6" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val6" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val6" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val6" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val6" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val6" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val6" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val6" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val6" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val6" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val6" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 7 values pane
	<xsl:if test="$power_modules_exist/@val7 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module7_id'" />
			<xsl:with-param name="title" select="'Module&#160;7'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val7" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val7" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val7" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val7" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val7" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val7" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val7" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val7" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val7" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val7" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val7" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val7" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val7" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 8 values pane
	<xsl:if test="$power_modules_exist/@val8 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module8_id'" />
			<xsl:with-param name="title" select="'Module&#160;8'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val8" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val8" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val8" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val8" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val8" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val8" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val8" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val8" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val8" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val8" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val8" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val8" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val8" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 9 values pane
	<xsl:if test="$power_modules_exist/@val9 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module9_id'" />
			<xsl:with-param name="title" select="'Module&#160;9'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val9" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val9" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val9" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val9" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val9" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val9" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val9" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val9" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val9" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val9" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val9" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val9" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val9" />
		</xsl:call-template>
	</xsl:if>-->
    <!-- Module 10 values pane
	<xsl:if test="$power_modules_exist/@val10 = 1">
		<xsl:call-template name="module-values-pane">
			<xsl:with-param name="x" select="160" />
		  <xsl:with-param name="y" select="90" />
			<xsl:with-param name="id" select="'module10_id'" />
			<xsl:with-param name="title" select="'Module&#160;10'" />
			<xsl:with-param name="attributes" select="value[@name='MD_ATTRIB']/@val10" />
			<xsl:with-param name="pfc_status" select="value[@name='MD_PFCSTATE']/@val10" />
			<xsl:with-param name="pis_status" select="value[@name='MD_INVSTATE']/@val10" />
			<xsl:with-param name="pcs_status" select="value[@name='MD_CHRGSTATE']/@val10" />
			<xsl:with-param name="temperature_pfc" select="value[@name='MD_TMPPFC']/@val10" />
			<xsl:with-param name="temperature_tbd" select="value[@name='MD_TMPTBD']/@val10" />
			<xsl:with-param name="temperature_inv" select="value[@name='MD_TMPINV']/@val10" />
			<xsl:with-param name="temperature_inv_r" select="value[@name='MD_TMPINVR']/@val10" />
			<xsl:with-param name="temperature_inv_s" select="value[@name='MD_TMPINVS']/@val10" />
			<xsl:with-param name="temperature_inv_t" select="value[@name='MD_TMPINVT']/@val10" />
			<xsl:with-param name="volt_inv_r" select="value[@name='MD_INVVOLTR']/@val10" />
			<xsl:with-param name="volt_inv_s" select="value[@name='MD_INVVOLTS']/@val10" />
			<xsl:with-param name="volt_inv_t" select="value[@name='MD_INVVOLTT']/@val10" />
		</xsl:call-template>
	</xsl:if>-->


  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>