<?xml version="1.0"?>
<!--
   mega5_panel.xsl - EAST Modbus screen.
   Copyright (c) 2012, Generex GmbH. All rights reserved.
  said
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="mega_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="3"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="mega_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="24"/>
      <xsl:with-param name="top" select="510"/>
      <xsl:with-param name="width" select="752"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="mega_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="mega_panel-body">
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
    <xsl:apply-templates />
  </xsl:template>

  <!-- Implementation -->

  <xsl:template match="values">
    <xsl:variable name="phases" select="value[@name='PHASES']/@val"/>
    <!-- Out phases -->
    <xsl:variable name="outphases">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='OUTPHASES']/@val)!=0">
          <xsl:value-of select="value[@name='OUTPHASES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$phases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- In phases -->
    <xsl:variable name="inphases">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='INPHASES']/@val)!=0">
          <xsl:value-of select="value[@name='INPHASES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$phases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- extented Bypass number lines -->
    <xsl:variable name="ex_byp_numlines" select="value[@name='EX_BYP_NUMLINES']/@val"/>

    <!-- STATUS -->
    <xsl:variable name="state" select="value[@name='STATUS']/@val"/>
    <!---->

    <!-- Bits masked -->
    <xsl:variable name="bypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="shutdown">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="powerfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="testact">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="mega5_ext_bypassbetrieb">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='MBSTATUSA']/@val"/>
        <xsl:with-param name="bit" select="$bit24"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="bg_img">
      <xsl:choose>
        <xsl:when test="$powerfail=1" >
          <xsl:value-of select="'./lib/ups/image/mega/mega5_bb.png'" />
        </xsl:when>
        <xsl:when test="$bypass=1" >
          <xsl:value-of select="'./lib/ups/image/mega/mega5_byb.png'" />
        </xsl:when>
        <xsl:when test="$mega5_ext_bypassbetrieb=1" >
          <xsl:value-of select="'./lib/ups/image/mega/mega5_extbyb.png'" />
        </xsl:when>
        <xsl:when test="$testact=1" >
          <xsl:value-of select="'./lib/ups/image/mega/mega5_tb.png'" />
        </xsl:when>
        <xsl:when test="$state=4" >
          <xsl:value-of select="'./lib/ups/image/mega/mega5_nb.png'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/mega/mega5.png'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="$bg_img"/>
      <xsl:with-param name="x" select="'10'"/>
      <xsl:with-param name="y" select="'10'"/>
      <xsl:with-param name="w" select="'792'"/>
      <xsl:with-param name="h" select="'490'"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>


    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 10px; top: 100px; width: 263px; height: 17px; text-align:center">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <xsl:variable name="outpower" select="value[@name='OUTPOWER']/@val"/>

    <xsl:variable name="overload">
      <xsl:choose>
        <xsl:when test="$outphases=3">
          <xsl:variable name="outpower0" select="value[@name='OUTPOWER']/@val"/>
          <xsl:variable name="outpower1" select="value[@name='OUTPOWER']/@val2"/>
          <xsl:variable name="outpower2" select="value[@name='OUTPOWER']/@val3"/>
          <xsl:choose>
            <xsl:when test="$outpower0>100 or $outpower1>100 or $outpower2>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="$outpower>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0 or value[@name='TEMPDEG'] = -1">
          <xsl:value-of select="'N/A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='TEMPDEG']/@val"/>
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="battvolt">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0">
          <xsl:value-of select="'N/A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='BATTVOLT']/@val"/>
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>&#176;C </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="battvolt-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>V </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempmax" select="value[@name='TMPMAX']/@val"/>
    <xsl:variable name="overtemp1">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val != 0 and $tempdeg>$tempmax">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- COMMON ALARM -->
    <xsl:if test="4!=$state and 1!=$testact">
      <div id="alarm_id" style="position: absolute; left: 660px; top: 110px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">
         <script type="text/javascript"> translate_text('alarm_id', 'Alarm');</script>
      </div>
      <div style="position: absolute; left: 660px; top: 130px; width: 33px; height: 12px">
        <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
      </div>
    </xsl:if>


    <!-- Ext Bypass Voltage -->
    <xsl:choose>
      <xsl:when test="$ex_byp_numlines=3">
        <xsl:call-template name="paneTab3r1c">
          <xsl:with-param name="xT" select="40" />
          <xsl:with-param name="yT" select="154" />
          <xsl:with-param name="wT" select="18" />
          <xsl:with-param name="hT" select="11" />
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L'" />
          <xsl:with-param name="value" select="value[@name='EX_BYP_VOLT']" />
          <xsl:with-param name="unit" select="'V'" />
          <xsl:with-param name="precision" select="0" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$ex_byp_numlines=2">
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="40"/>
          <xsl:with-param name="yT" select="160"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='EX_BYP_VOLT']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="40"/>
          <xsl:with-param name="yT" select="174"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L2'" />
          <xsl:with-param name="value"  select="value[@name='EX_BYP_VOLT']/@val2" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="40"/>
          <xsl:with-param name="yT" select="168"/>
          <xsl:with-param name="wT" select="14"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="14"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='EX_BYP_VOLT']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <!-- Input -->
    <xsl:choose>
      <xsl:when test="$inphases=3">
        <xsl:call-template name="paneTab3r1c">
          <xsl:with-param name="xT" select="40" />
          <!--86-->
          <xsl:with-param name="yT" select="220" />
          <!--286-->
          <xsl:with-param name="wT" select="18" />
          <xsl:with-param name="hT" select="11" />
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L'" />
          <xsl:with-param name="value" select="value[@name='INVOLT']" />
          <xsl:with-param name="unit" select="'V'" />
          <xsl:with-param name="precision" select="0" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$inphases=2">
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="40"/>
          <xsl:with-param name="yT" select="224"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='INVOLT']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="40"/>
          <xsl:with-param name="yT" select="242"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L2'" />
          <xsl:with-param name="value"  select="value[@name='INVOLT']/@val2" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="40"/>
          <xsl:with-param name="yT" select="234"/>
          <xsl:with-param name="wT" select="14"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="14"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='INVOLT']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>

    <!-- Output Power Load BAR 1,2 and 3 -->
    <xsl:variable name="title_bar1">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='OUTPOWER']/@val,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar2">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='OUTPOWER']/@val2,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar3">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='OUTPOWER']/@val3,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div class="tdSmallBold9" style="position: absolute; left: 520px; top: 336px; width: 263px; height: 17px; text-align:center">
      <xsl:value-of select="'Load'" />
    </div>

    <xsl:call-template name="Loadbar1">
      <xsl:with-param name="load1" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="load2" select="value[@name='OUTPOWER']/@val2"/>
      <xsl:with-param name="load3" select="value[@name='OUTPOWER']/@val3"/>
      <xsl:with-param name="x1" select="'616'"/>
      <xsl:with-param name="x2" select="'655'"/>
      <xsl:with-param name="x3" select="'690'"/>
      <xsl:with-param name="y" select="370"/>
      <xsl:with-param name="yOffset" select="5"/>
      <xsl:with-param name="border" select="1"/>
      <xsl:with-param name="scale" select="0"/>
      <xsl:with-param name="outphases" select="$outphases"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
      <xsl:with-param  name="title_bar1" select="$title_bar1"/>
      <xsl:with-param  name="title_bar2" select="$title_bar2"/>
      <xsl:with-param  name="title_bar3" select="$title_bar3"/>
    </xsl:call-template>

    <!-- Output Parallel Power Load BAR 1,2 and 3 -->
    <xsl:variable name="title_bar4">
      <xsl:choose>
        <xsl:when test="value[@name='MBOUTPARLOAD']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='MBOUTPARLOAD']/@val,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar5">
      <xsl:choose>
        <xsl:when test="value[@name='MBOUTPARLOAD']/@val2 &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='MBOUTPARLOAD']/@val2,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar6">
      <xsl:choose>
        <xsl:when test="value[@name='MBOUTPARLOAD']/@val3 &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='MBOUTPARLOAD']/@val3,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div class="tdSmallBold9" style="position: absolute; left: 320px; top: 336px; width: 263px; height: 17px; text-align:center">
      <xsl:value-of select="'Parallel Load'" />
    </div>

    <xsl:call-template name="Loadbar1">
      <xsl:with-param name="load1" select="value[@name='MBOUTPARLOAD']/@val"/>
      <xsl:with-param name="load2" select="value[@name='MBOUTPARLOAD']/@val2"/>
      <xsl:with-param name="load3" select="value[@name='MBOUTPARLOAD']/@val3"/>
      <xsl:with-param name="x1" select="'406'"/>
      <xsl:with-param name="x2" select="'445'"/>
      <xsl:with-param name="x3" select="'480'"/>
      <xsl:with-param name="y" select="370"/>
      <xsl:with-param name="yOffset" select="5"/>
      <xsl:with-param name="border" select="1"/>
      <xsl:with-param name="scale" select="0"/>
      <xsl:with-param name="outphases" select="$outphases"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
      <xsl:with-param  name="title_bar1" select="$title_bar4"/>
      <xsl:with-param  name="title_bar2" select="$title_bar5"/>
      <xsl:with-param  name="title_bar3" select="$title_bar6"/>
    </xsl:call-template>

    <!-- Batt Capacity Load BAR 1 -->
    <xsl:variable name="title_bar7">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='BATTCAP']/@val,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="capacity_id" class="tdSmallBold9" style="position: absolute; left: 426px; top: 336px; width: 263px; height: 17px; text-align:center">
      <script type="text/javascript"> translate_text('capacity_id', 'Capacity');</script>
    </div>

    <xsl:call-template name="Loadbar1">
      <xsl:with-param name="load1" select="value[@name='BATTCAP']/@val"/>
      <xsl:with-param name="x1" select="'546'"/>
      <xsl:with-param name="x2" select="'445'"/>
      <xsl:with-param name="x3" select="'480'"/>
      <xsl:with-param name="y" select="370"/>
      <xsl:with-param name="yOffset" select="5"/>
      <xsl:with-param name="border" select="1"/>
      <xsl:with-param name="scale" select="0"/>
      <xsl:with-param name="outphases" select="'1'"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
      <xsl:with-param  name="title_bar1" select="$title_bar7"/>
    </xsl:call-template>


    <!-- OUTPUT-->
    <xsl:variable name="output_volt">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='OUTPUT_VOLT']/@val)!=0">
          <xsl:value-of select="value[@name='OUTPUT_VOLT']" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_VOLT']" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:choose>
      <xsl:when test="$outphases =3">
        <xsl:if test="string-length(value[@name='OUTPUT_VOLT']/@val)!=0">
          <xsl:call-template name="paneTab3r1c">
            <xsl:with-param name="xT" select="512" />
            <xsl:with-param name="yT" select="282" />
            <xsl:with-param name="wT" select="18" />
            <xsl:with-param name="hT" select="11" />
            <xsl:with-param name="xOff" select="0"/>
            <xsl:with-param name="w" select="36"/>
            <xsl:with-param name="h" select="11"/>
            <xsl:with-param name="text" select="'L'" />
            <xsl:with-param name="value" select="value[@name='OUTPUT_VOLT']" />
            <xsl:with-param name="unit" select="'V'" />
            <xsl:with-param name="precision" select="'0'" />
            <xsl:with-param name="visibility" select="'visible'" />
            <xsl:with-param name="name" select="'page1'"/>
          </xsl:call-template>
        </xsl:if>
        <xsl:if test="string-length(value[@name='OUTPUT_VOLT']/@val)=0">
          <xsl:call-template name="paneTab3r1c">
            <xsl:with-param name="xT" select="512" />
            <xsl:with-param name="yT" select="282" />
            <xsl:with-param name="wT" select="18" />
            <xsl:with-param name="hT" select="11" />
            <xsl:with-param name="xOff" select="0"/>
            <xsl:with-param name="w" select="36"/>
            <xsl:with-param name="h" select="11"/>
            <xsl:with-param name="text" select="'L'" />
            <xsl:with-param name="value" select="value[@name='OUTPUT_VOLT']" />
            <xsl:with-param name="unit" select="'V'" />
            <xsl:with-param name="precision" select="'0'" />
            <xsl:with-param name="visibility" select="'visible'" />
            <xsl:with-param name="name" select="'page1'"/>
          </xsl:call-template>
        </xsl:if>
      </xsl:when>
      <xsl:when test="$outphases=2">
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="512"/>
          <xsl:with-param name="yT" select="222"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="$output_volt/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="512"/>
          <xsl:with-param name="yT" select="242"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L2'" />
          <xsl:with-param name="value"  select="$output_volt/@val2" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:when>

      <xsl:otherwise>
        <xsl:call-template name="paneRow2">
          <xsl:with-param name="xT" select="512"/>
          <xsl:with-param name="yT" select="284"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="14"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="$output_volt/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <!-- BATTERY-->
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="210"/>
      <xsl:with-param name="yT" select="364"/>
      <!--311-->
      <xsl:with-param name="wT" select="50"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="$lang-Battery" />
      <xsl:with-param name="value"  select="$battvolt" />
      <xsl:with-param name="unit" select="$battvolt-unit"/>
      <xsl:with-param name="precision"  select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_10', [' <xsl:value-of select="'$lang-Battery'"/>', ':']);</script>

    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="210"/>
      <xsl:with-param name="yT" select="377"/>
      <xsl:with-param name="wT" select="50"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="$lang-Time" />
      <xsl:with-param name="value"  select="value[@name='AUTONOMTIME']/@val" />
      <xsl:with-param name="unit" select="'min'"/>
      <xsl:with-param name="precision"  select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_20', [' <xsl:value-of select="'$lang-Time'"/>', ':']);</script>

    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="210"/>
      <xsl:with-param name="yT" select="389"/>
      <xsl:with-param name="wT" select="50"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="'Capacity'" />
      <xsl:with-param name="value"  select="value[@name='BATTCAP']/@val" />
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="precision"  select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_30', [' <xsl:value-of select="'$lang-Capacity'"/>', ':']);</script>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>
