<?xml version="1.0"?>
<!--
   mega_panel.xsl 
   Copyright (c) 2009, Generex GmbH. All rights reserved.
  said
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="mega_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="3"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="mega_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="24"/>
      <xsl:with-param name="top" select="510"/>
      <xsl:with-param name="width" select="752"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="mega_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="mega_panel-body">
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
    <xsl:apply-templates />
  </xsl:template>



  <!-- Implementation -->

  <xsl:template match="values">
    <xsl:variable name="phases" select="value[@name='PHASES']/@val"/>
    <!-- Out phases -->
    <xsl:variable name="outphases">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='OUTPHASES']/@val)!=0">
          <xsl:value-of select="value[@name='OUTPHASES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$phases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- In phases -->
    <xsl:variable name="inphases">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='INPHASES']/@val)!=0">
          <xsl:value-of select="value[@name='INPHASES']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$phases" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- STATUS -->
    <xsl:variable name="state" select="value[@name='STATUS']/@val"/>
    <!-- OEM View Name -->
    <xsl:variable name="oemViewName" select="value[@name='_oemViewName']/@val"/>


    <!-- Bits masked -->
    <xsl:variable name="bypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="shutdown">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="active">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="powerfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterylow">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="overtemp">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="testact">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterybad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ecomode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterwarn">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="upsfailed">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="commlost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="dvgalarm">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="mega3_ext_bypassbetrieb">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='MEGA3_UPS_STATE']/@val"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="bg_img">
      <xsl:choose>
        <xsl:when test="$oemViewName = 'MEGA3' or $oemViewName = 'mega3'">
          <!--MEGA3-->
          <xsl:choose>
            <xsl:when test="$powerfail=1" >
              <xsl:value-of select="'./lib/ups/image/mega/mega_bb.png'" />
            </xsl:when>
            <xsl:when test="$bypass=1" >
              <xsl:value-of select="'./lib/ups/image/mega/mega_byb.png'" />
            </xsl:when>
            <!--<xsl:when test="$mega3_ext_bypassbetrieb=1" >
						<xsl:value-of select="'./lib/ups/image/mega/mega_byb.png'" />
					</xsl:when>-->
            <xsl:when test="$testact=1" >
              <!--value[@name='ISTEST']/@val-->
              <xsl:value-of select="'./lib/ups/image/mega/mega_tb.png'" />
            </xsl:when>
            <xsl:when test="$state=4" >
              <xsl:value-of select="'./lib/ups/image/mega/mega_nb.png'" />
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="'./lib/ups/image/mega/mega_3_4.png'" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <!--MEGA3-->

        <xsl:when test="$oemViewName = 'MEGA4' or $oemViewName = 'mega4'">
          <!--MEGA4-->
          <xsl:choose>
            <xsl:when test="$powerfail=1" >
              <xsl:value-of select="'./lib/ups/image/mega/mega4_bb.png'" />
            </xsl:when>
            <xsl:when test="$bypass=1" >
              <xsl:value-of select="'./lib/ups/image/mega/mega4_byb.png'" />
            </xsl:when>
            <xsl:when test="$mega3_ext_bypassbetrieb=1" >
              <xsl:value-of select="'./lib/ups/image/mega/mega4_extbyb.png'" />
            </xsl:when>
            <xsl:when test="$testact=1" >
              <!--value[@name='ISTEST']/@val-->
              <xsl:value-of select="'./lib/ups/image/mega/mega4_tb.png'" />
            </xsl:when>
            <xsl:when test="$state=4" >
              <xsl:value-of select="'./lib/ups/image/mega/mega4_nb.png'" />
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="'./lib/ups/image/mega/mega_3_4.png'" />
            </xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <!--MEGA4-->
        <xsl:otherwise>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="$bg_img"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'10'"/>
      <xsl:with-param name="w" select="'792'"/>
      <xsl:with-param name="h" select="'490'"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>

    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 30px; top: 100px; width: 263px; height: 17px; text-align:center">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <xsl:variable name="outpower" select="value[@name='OUTPOWER']/@val"/>

    <!-- UPS Protocol -->
    <xsl:variable name="upsProtocol">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_upsProtocol']/@val)!=0">
          <xsl:value-of select="value[@name='_upsProtocol']/@val" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='CONNECT']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
          <!--<xsl:value-of select="value[@name='CONNECT']/@val" />-->
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Is Salisec-->
    <xsl:variable name="is_salisec">
      <xsl:choose>
        <xsl:when test="$upsProtocol='80A4' or $upsProtocol='32932'">
          <xsl:value-of select="'1'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:variable name="overload">
      <xsl:choose>
        <xsl:when test="$outphases=3">
          <xsl:variable name="outpower0" select="value[@name='OUTPOWER']/@val"/>
          <xsl:variable name="outpower1" select="value[@name='OUTPOWER']/@val2"/>
          <xsl:variable name="outpower2" select="value[@name='OUTPOWER']/@val3"/>
          <xsl:choose>
            <xsl:when test="$outpower0>100 or $outpower1>100 or $outpower2>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="$outpower>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0 or value[@name='TEMPDEG'] = -1">
          <xsl:value-of select="'N/A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='TEMPDEG']/@val"/>
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="battvolt">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0">
          <xsl:value-of select="'N/A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='BATTVOLT']/@val"/>
            <xsl:with-param name="precision" select="2"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>&#176;C </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="battvolt-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>V </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempmax" select="value[@name='TMPMAX']/@val"/>
    <xsl:variable name="overtemp1">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val != 0 and $tempdeg>$tempmax">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- COMMON ALARM -->
    <xsl:if test="4!=$state and 1!=$testact">
      <div style="position: absolute; left: 660px; top: 110px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">Alarm</div>
      <div style="position: absolute; left: 660px; top: 130px; width: 33px; height: 12px">
        <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
      </div>
    </xsl:if>

    <!-- Input -->
    <xsl:variable name="inp_div_w">
      <xsl:choose>
        <xsl:when test="value[@name='EX_BYP_NUMLINES']/@val&gt; 2">
          <xsl:value-of select="176" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="120" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="inp_volt1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INVOLT']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inp_volt2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INVOLT']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inp_volt3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INVOLT']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="ext_inp_linebads">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_INP_LINEBADS']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="inp_curr1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INCURR']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inp_curr2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INCURR']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inp_curr3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INCURR']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="inp_pow1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_INP_WATT']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inp_pow2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_INP_WATT']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inp_pow3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_INP_WATT']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="inp_freq">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='INFREQ']/@val"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>


    <xsl:if test="$is_salisec=0">
      <div style="position:absolute;left:78px;top:282px;width:114px;height:42px;border: 1px solid #405080;text-align:center;">
      </div>
    </xsl:if>
    <xsl:choose>
      <xsl:when test="$is_salisec=0">
        <xsl:choose>
          <xsl:when test="$inphases=3">
            <xsl:call-template name="paneTab3r1c">
              <xsl:with-param name="xT" select="86" />
              <xsl:with-param name="yT" select="286" />
              <xsl:with-param name="wT" select="18" />
              <xsl:with-param name="hT" select="11" />
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L'" />
              <xsl:with-param name="value" select="value[@name='INVOLT']" />
              <xsl:with-param name="unit" select="'V'" />
              <xsl:with-param name="precision" select="0" />
              <xsl:with-param name="visibility" select="'visible'" />
            </xsl:call-template>
            <!-- Input Freq-->
            <xsl:call-template name="paneValue">
              <xsl:with-param name="x" select="146"/>
              <xsl:with-param name="y" select="286"/>
              <xsl:with-param name="w" select="18"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="align" select="'left'" />
              <xsl:with-param name="value" select="value[@name='INFREQ']/@val" />
              <xsl:with-param name="unit" select="'Hz'" />
              <xsl:with-param name="precision" select="1" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'div_Text'" />
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$inphases=2">
            <xsl:call-template name="paneRow">
              <xsl:with-param name="xT" select="60"/>
              <xsl:with-param name="yT" select="224"/>
              <xsl:with-param name="wT" select="18"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="2"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L1'" />
              <xsl:with-param name="value"  select="value[@name='INVOLT']/@val" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="visibility" select="'visible'"/>
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
            <xsl:call-template name="paneRow">
              <xsl:with-param name="xT" select="60"/>
              <xsl:with-param name="yT" select="242"/>
              <xsl:with-param name="wT" select="18"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="2"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L2'" />
              <xsl:with-param name="value"  select="value[@name='INVOLT']/@val2" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="visibility" select="'visible'"/>
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
            <!-- Input Freq-->
            <xsl:call-template name="paneValue">
              <xsl:with-param name="x" select="130"/>
              <xsl:with-param name="y" select="224"/>
              <xsl:with-param name="w" select="18"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="align" select="'left'" />
              <xsl:with-param name="value" select="value[@name='INFREQ']/@val" />
              <xsl:with-param name="unit" select="'Hz'" />
              <xsl:with-param name="precision" select="1" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'div_Text'" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="paneRow2">
              <xsl:with-param name="xT" select="62"/>
              <xsl:with-param name="yT" select="234"/>
              <xsl:with-param name="wT" select="14"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="14"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L1'" />
              <xsl:with-param name="value"  select="value[@name='INVOLT']/@val" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="value2" select="value[@name='INFREQ']/@val" />
              <xsl:with-param name="unit2" select="'Hz'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="precision2" select="1"/>
              <xsl:with-param name="visibility" select="'visible'"/>
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <!--is_salisec=0-->
      <xsl:otherwise>
        <!--is_salisec=1-->
        <div style="position:absolute;left:78px;top:276px;width:{$inp_div_w}px;height:68;border: 1px solid #405080;align:center;">
          <table cellpadding="0"  width="92%" cellspacing="0" style="color:black;font-family: arial;font-size: 10px;margin-left:6">
            <tr>
              <td align="left">
                <xsl:value-of select="'Inp&#160;freq:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($inp_freq,'&#160;Hz')" />
              </td>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Inp&#160;volt:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($inp_volt1,'&#160;V')" />
              </td>
              <xsl:if test="value[@name='EX_INP_NUMLINES']/@val &gt; 1">
                <td align = "right" >
                  <xsl:value-of select="concat($inp_volt2,'&#160;V')" />
                </td>
              </xsl:if>
              <xsl:if test="value[@name='EX_INP_NUMLINES']/@val &gt; 2">
                <td align = "right">
                  <xsl:value-of select="concat($inp_volt3,'&#160;V')" />
                </td>
              </xsl:if>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Inp&#160;curr:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($inp_curr1,'&#160;A')" />
              </td>
              <xsl:if test="value[@name='EX_INP_NUMLINES']/@val &gt; 1">
                <td align = "right" >
                  <xsl:value-of select="concat($inp_curr2,'&#160;A')" />
                </td>
              </xsl:if>
              <xsl:if test="value[@name='EX_INP_NUMLINES']/@val &gt; 2">
                <td align = "right">
                  <xsl:value-of select="concat($inp_curr3,'&#160;A')" />
                </td>
              </xsl:if>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Inp&#160;power:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($inp_pow1,'&#160;W')" />
              </td>
              <xsl:if test="value[@name='EX_INP_NUMLINES']/@val &gt; 1">
                <td align = "right" >
                  <xsl:value-of select="concat($inp_pow2,'&#160;W')" />
                </td>
              </xsl:if>
              <xsl:if test="value[@name='EX_INP_NUMLINES']/@val &gt; 2">
                <td align = "right">
                  <xsl:value-of select="concat($inp_pow3,'&#160;W')" />
                </td>
              </xsl:if>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Inp&#160;bads:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($ext_inp_linebads,'&#160;')" />
              </td>
            </tr>
          </table>
        </div>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:variable name="title_bar1">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='OUTPOWER']/@val,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar2">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='OUTPOWER']/@val2,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar3">
      <xsl:choose>
        <xsl:when test="value[@name='OUTPOWER']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='OUTPOWER']/@val3,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Output Power Load BAR 1,2 and 3 -->
    <xsl:call-template name="Loadbar1">
      <xsl:with-param name="load1" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="load2" select="value[@name='OUTPOWER']/@val2"/>
      <xsl:with-param name="load3" select="value[@name='OUTPOWER']/@val3"/>
      <xsl:with-param name="x1" select="'640'"/>
      <xsl:with-param name="x2" select="'675'"/>
      <xsl:with-param name="x3" select="'710'"/>
      <xsl:with-param name="y" select="360"/>
      <xsl:with-param name="yOffset" select="5"/>
      <xsl:with-param name="border" select="1"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="outphases" select="$outphases"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
      <xsl:with-param  name="title_bar1" select="$title_bar1"/>
      <xsl:with-param  name="title_bar2" select="$title_bar2"/>
      <xsl:with-param  name="title_bar3" select="$title_bar3"/>
    </xsl:call-template>

    <!-- OUTPUT-->
    <xsl:variable name="output_volt">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='OUTPUT_VOLT']/@val)!=0">
          <xsl:value-of select="value[@name='OUTPUT_VOLT']" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='SOLAWROV']" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="outp_freq">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='OUTFREQ']/@val"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="outp_volt1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='SOLAWROV']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outp_volt2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='SOLAWROV']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outp_volt3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='SOLAWROV']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="outp_curr1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_OUT_CURR']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outp_curr2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_OUT_CURR']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outp_curr3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_OUT_CURR']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="outp_pow1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_OUT_WATT']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outp_pow2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_OUT_WATT']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outp_pow3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_OUT_WATT']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="$is_salisec=0">
      <div style="position:absolute;left:528px;top:280px;width:114px;height:42px;border: 1px solid #405080;text-align:center;">
      </div>
    </xsl:if>

    <xsl:choose>
      <xsl:when test="$is_salisec=0">
        <xsl:choose>
          <xsl:when test="$outphases=3">
            <xsl:if test="string-length(value[@name='OUTPUT_VOLT']/@val)!=0">
              <xsl:call-template name="paneTab3r1c">
                <xsl:with-param name="xT" select="536" />
                <xsl:with-param name="yT" select="284" />
                <xsl:with-param name="wT" select="18" />
                <xsl:with-param name="hT" select="11" />
                <xsl:with-param name="xOff" select="0"/>
                <xsl:with-param name="w" select="36"/>
                <xsl:with-param name="h" select="11"/>
                <xsl:with-param name="text" select="'L'" />
                <xsl:with-param name="value" select="value[@name='OUTPUT_VOLT']" />
                <xsl:with-param name="unit" select="'V'" />
                <xsl:with-param name="precision" select="'0'" />
                <xsl:with-param name="visibility" select="'visible'" />
                <xsl:with-param name="name" select="'page1'"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:if test="string-length(value[@name='OUTPUT_VOLT']/@val)=0">
              <xsl:call-template name="paneTab3r1c">
                <xsl:with-param name="xT" select="536" />
                <xsl:with-param name="yT" select="284" />
                <xsl:with-param name="wT" select="18" />
                <xsl:with-param name="hT" select="11" />
                <xsl:with-param name="xOff" select="0"/>
                <xsl:with-param name="w" select="36"/>
                <xsl:with-param name="h" select="11"/>
                <xsl:with-param name="text" select="'L'" />
                <xsl:with-param name="value" select="value[@name='SOLAWROV']" />
                <xsl:with-param name="unit" select="'V'" />
                <xsl:with-param name="precision" select="'0'" />
                <xsl:with-param name="visibility" select="'visible'" />
                <xsl:with-param name="name" select="'page1'"/>
              </xsl:call-template>
            </xsl:if>
            <!-- Output Freq-->
            <xsl:call-template name="paneValue">
              <xsl:with-param name="x" select="600"/>
              <xsl:with-param name="y" select="284"/>
              <xsl:with-param name="w" select="18"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="align" select="'left'" />
              <xsl:with-param name="value" select="value[@name='OUTFREQ']/@val" />
              <xsl:with-param name="unit" select="'Hz'" />
              <xsl:with-param name="precision" select="1" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'div_Text'" />
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$outphases=2">
            <xsl:call-template name="paneRow">
              <xsl:with-param name="xT" select="626"/>
              <xsl:with-param name="yT" select="222"/>
              <xsl:with-param name="wT" select="18"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="2"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L1'" />
              <xsl:with-param name="value"  select="$output_volt/@val" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="visibility" select="'visible'"/>
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
            <xsl:call-template name="paneRow">
              <xsl:with-param name="xT" select="626"/>
              <xsl:with-param name="yT" select="242"/>
              <xsl:with-param name="wT" select="18"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="2"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L2'" />
              <xsl:with-param name="value"  select="$output_volt/@val2" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="visibility" select="'visible'"/>
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
            <!-- Output Freq-->
            <xsl:call-template name="paneValue">
              <xsl:with-param name="x" select="692"/>
              <xsl:with-param name="y" select="222"/>
              <xsl:with-param name="w" select="18"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="align" select="'left'" />
              <xsl:with-param name="value" select="value[@name='OUTFREQ']/@val" />
              <xsl:with-param name="unit" select="'Hz'" />
              <xsl:with-param name="precision" select="1" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'div_Text'" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="paneRow2">
              <xsl:with-param name="xT" select="534"/>
              <xsl:with-param name="yT" select="284"/>
              <xsl:with-param name="wT" select="18"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="14"/>
              <xsl:with-param name="w" select="36"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L1'" />
              <xsl:with-param name="value"  select="$output_volt/@val" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="value2" select="value[@name='OUTFREQ']/@val" />
              <xsl:with-param name="unit2" select="'Hz'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="precision2" select="1"/>
              <xsl:with-param name="visibility" select="'visible'"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <div style="position:absolute;left:528px;top:276px;width:{$inp_div_w}px;height:56;border: 1px solid #405080;align:center;">
          <table cellpadding="0"  width="92%" cellspacing="0" style="color:black;font-family: arial;font-size: 10px;margin-left:6">
            <tr>
              <td align="left">
                <xsl:value-of select="'Outp&#160;freq:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($outp_freq,'&#160;Hz')" />
              </td>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Outp&#160;volt:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($outp_volt1,'&#160;V')" />
              </td>
              <xsl:if test="value[@name='EX_OUT_NUMLINES']/@val &gt; 1">
                <td align = "right" >
                  <xsl:value-of select="concat($outp_volt2,'&#160;V')" />
                </td>
              </xsl:if>
              <xsl:if test="value[@name='EX_OUT_NUMLINES']/@val &gt; 2">
                <td align = "right">
                  <xsl:value-of select="concat($outp_volt3,'&#160;V')" />
                </td>
              </xsl:if>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Outp&#160;curr:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($outp_curr1,'&#160;A')" />
              </td>
              <xsl:if test="value[@name='EX_OUT_NUMLINES']/@val &gt; 1">
                <td align = "right" >
                  <xsl:value-of select="concat($outp_curr2,'&#160;A')" />
                </td>
              </xsl:if>
              <xsl:if test="value[@name='EX_OUT_NUMLINES']/@val &gt; 2">
                <td align = "right">
                  <xsl:value-of select="concat($outp_curr3,'&#160;A')" />
                </td>
              </xsl:if>
            </tr>
            <tr>
              <td align="left">
                <xsl:value-of select="'Outp&#160;power:'" />
              </td>
              <td align = "right">
                <xsl:value-of select="concat($outp_pow1,'&#160;W')" />
              </td>
              <xsl:if test="value[@name='EX_OUT_NUMLINES']/@val &gt; 1">
                <td align = "right" >
                  <xsl:value-of select="concat($outp_pow2,'&#160;W')" />
                </td>
              </xsl:if>
              <xsl:if test="value[@name='EX_OUT_NUMLINES']/@val &gt; 2">
                <td align = "right">
                  <xsl:value-of select="concat($outp_pow3,'&#160;W')" />
                </td>
              </xsl:if>
            </tr>

          </table>
        </div>

      </xsl:otherwise>
    </xsl:choose>

    <xsl:variable name="batt_div_h">
      <xsl:choose>
        <xsl:when test="$is_salisec=1">
          <xsl:value-of select="66" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="44" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div style="position:absolute;left:220px;top:362px;width:116px;height:{$batt_div_h}px;border: 1px solid #405080;text-align:center;">
    </div>
    <!-- BATTERY-->
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="224"/>
      <xsl:with-param name="yT" select="366"/>
      <!--311-->
      <xsl:with-param name="wT" select="50"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="$lang-Battery" />
      <xsl:with-param name="value"  select="$battvolt" />
      <xsl:with-param name="unit" select="$battvolt-unit"/>
      <xsl:with-param name="precision"  select="2"/>
      <xsl:with-param name="visibility" select="'visible'"/>
    </xsl:call-template>
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="224"/>
      <xsl:with-param name="yT" select="377"/>
      <xsl:with-param name="wT" select="50"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="$lang-Time" />
      <xsl:with-param name="value"  select="value[@name='AUTONOMTIME']/@val" />
      <xsl:with-param name="unit" select="'min'"/>
      <xsl:with-param name="precision"  select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
    </xsl:call-template>
    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="224"/>
      <xsl:with-param name="yT" select="389"/>
      <xsl:with-param name="wT" select="50"/>
      <xsl:with-param name="hT" select="11"/>
      <xsl:with-param name="xOff" select="0"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="alignT" select="'left'"/>
      <xsl:with-param name="text" select="'Capacity'" />
      <xsl:with-param name="value"  select="value[@name='BATTCAP']/@val" />
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="precision"  select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
    </xsl:call-template>
    <xsl:if test="$is_salisec=1">
      <xsl:call-template name="paneRow">
        <xsl:with-param name="xT" select="224"/>
        <xsl:with-param name="yT" select="401"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="11"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="54"/>
        <xsl:with-param name="h" select="11"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'Batt Time'" />
        <xsl:with-param name="value"  select="value[@name='EX_BATT_SECONBATT']/@val" />
        <xsl:with-param name="unit" select="'Sec'"/>
        <xsl:with-param name="precision"  select="0"/>
        <xsl:with-param name="visibility" select="'visible'"/>
      </xsl:call-template>
      <xsl:call-template name="paneRow">
        <xsl:with-param name="xT" select="224"/>
        <xsl:with-param name="yT" select="413"/>
        <xsl:with-param name="wT" select="50"/>
        <xsl:with-param name="hT" select="11"/>
        <xsl:with-param name="xOff" select="0"/>
        <xsl:with-param name="w" select="54"/>
        <xsl:with-param name="h" select="11"/>
        <xsl:with-param name="alignT" select="'left'"/>
        <xsl:with-param name="text" select="'Batt Curr'" />
        <xsl:with-param name="value"  select="value[@name='EX_BATT_CURRPOS']/@val" />
        <xsl:with-param name="unit" select="'A'"/>
        <xsl:with-param name="precision"  select="0"/>
        <xsl:with-param name="visibility" select="'visible'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:variable name="byp_div_w">
      <xsl:choose>
        <xsl:when test="value[@name='EX_BYP_NUMLINES']/@val&gt; 2">
          <xsl:value-of select="176" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="120" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="ext_byp_freq">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_FREQ']/@val"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="ext_byp_volt1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_VOLT']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ext_byp_volt2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_VOLT']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ext_byp_volt3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_VOLT']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="ext_byp_curr1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_CURR']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ext_byp_curr2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_CURR']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ext_byp_curr3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_CURR']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="ext_byp_watt1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_WATT']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ext_byp_watt2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_WATT']/@val2"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ext_byp_watt3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='EX_BYP_WATT']/@val3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="$is_salisec=1">
      <div style="position:absolute;left:300px;top:100px;width:{$byp_div_w}px;height:56;border: 1px solid #405080;text-align:center;">
        <table cellpadding="0"  width="94%" cellspacing="0" style="color:black;font-family: arial;font-size: 10px;">
          <tr>
            <td align="center">
              <xsl:value-of select="'Byp&#160;freq:'" />
            </td>
            <td align = "right">
              <xsl:value-of select="concat($ext_byp_freq,'&#160;Hz')" />
            </td>
          </tr>
          <tr>
            <td align="center">
              <xsl:value-of select="'Byp&#160;volt:'" />
            </td>
            <td align = "right">
              <xsl:value-of select="concat($ext_byp_volt1,'&#160;V')" />
            </td>
            <xsl:if test="value[@name='EX_BYP_NUMLINES']/@val &gt; 1">
              <td align = "right" >
                <xsl:value-of select="concat($ext_byp_volt2,'&#160;V')" />
              </td>
            </xsl:if>
            <xsl:if test="value[@name='EX_BYP_NUMLINES']/@val &gt; 2">
              <td align = "right">
                <xsl:value-of select="concat($ext_byp_volt3,'&#160;V')" />
              </td>
            </xsl:if>
          </tr>
          <tr>
            <td align="center">
              <xsl:value-of select="'Byp&#160;curr:'" />
            </td>
            <td align = "right">
              <xsl:value-of select="concat($ext_byp_curr1,'&#160;A')" />
            </td>
            <xsl:if test="value[@name='EX_BYP_NUMLINES']/@val &gt; 1">
              <td align = "right">
                <xsl:value-of select="concat($ext_byp_curr2,'&#160;A')" />
              </td>
            </xsl:if>
            <xsl:if test="value[@name='EX_BYP_NUMLINES']/@val &gt; 2">
              <td align = "right">
                <xsl:value-of select="concat($ext_byp_curr3,'&#160;A')" />
              </td>
            </xsl:if>
          </tr>
          <tr>
            <td align="center">
              <xsl:value-of select="'Byp&#160;pow:'" />
            </td>
            <td align = "right">
              <xsl:value-of select="concat($ext_byp_watt1,'&#160;W')" />
            </td>
            <xsl:if test="value[@name='EX_BYP_NUMLINES']/@val &gt; 1">
              <td align = "right">
                <xsl:value-of select="concat($ext_byp_watt2,'&#160;W')" />
              </td>
            </xsl:if>
            <xsl:if test="value[@name='EX_BYP_NUMLINES']/@val &gt; 2">
              <td align = "right">
                <xsl:value-of select="concat($ext_byp_watt3,'&#160;W')" />
              </td>
            </xsl:if>
          </tr>
        </table>
      </div>
    </xsl:if>
    <!-- ROM TEMP -->
    <xsl:call-template name="rom_temp">
      <xsl:with-param name="x" select="386" />
      <xsl:with-param name="y" select="352" />
      <xsl:with-param name="temp" select="$tempdeg"/>
      <xsl:with-param name="temp_text" select="$lang-Temperature-short" />
      <xsl:with-param name="temp_unit" select="'&#176;C'"/>
    </xsl:call-template>

  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>