<?xml version="1.0"?>
<!--
   modajr_panel.xsl - UPS screen for Piller APOJET R models @UNMS-II.
   Copyright (c) 2006, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modajr_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="10"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modajr_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="530"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="782"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modajr_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modajr_panel-body">
    <div id="master" style="position:absolute;top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backaj1.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'503'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <!--<div id="head" class="XLargeBold" style="position:absolute; top:74px; left:350px;font-size:24px;" >USV <xsl:value-of select="//values/value[@name='USVID']/@val"/></div>-->

      <div style="position: absolute; left:525px; top:281px; width:40px; height:40px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectUp.jpg" width="40" height="40"/>
        </a>
      </div>
      <div style="position: absolute; left:569px; top:281px; width:40px; height:40px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectDown.jpg" width="40" height="40"/>
        </a>
      </div>
      <xsl:apply-templates />
    </div>
    <script type="text/javascript">
      init();
    </script>
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">
    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 40px; width: 785px;  font-size:24px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 460px; top: 361px; width: 214px; height: 17px; color:#ffffff; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev'and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 435px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 442px; width: 100px; height: 17px; text-align:center;  ">
        <a class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text('evt_rec', 'Eventrecorder');</script>
       </a>
      </div>
    </xsl:if>

    <xsl:variable name="adrd6">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD6']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd7">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD7']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd8">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD8']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdb">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDB']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdc">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDC']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- TEXTE -->
    <div id="bypass2" class="MediumBold" align="right" style="position: absolute; left: 357px; top: 334px; color:#ffffff;">
      <script type="text/javascript"> translate_text('bypass2', 'BYPASS');</script>
    </div>
    <div id="ub" 			class="MediumBold" align="right" style="position: absolute; left: 132px; top: 334px; color:#ffffff;">AJ</div>
    <div id="res" 			class="MediumBold" align="right" style="position: absolute; left: 250px; top: 358px; color:#000000;font-size:11px">
      <script type="text/javascript"> translate_text('res', 'RES');</script>
    </div>

    <!-- LOAD BAR -->
    <xsl:call-template name="PillerLoadbar">
      <xsl:with-param name="adrstr" select="$adrd6"/>
      <xsl:with-param name="x" select="'418'"/>
      <xsl:with-param name="y" select="'183'"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="title" select="'Load'"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'"/>
    </xsl:call-template>

    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="10"/>
    <xsl:variable name="led-y" select="247"/>

    <!--mains-->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="124"/>
      <xsl:with-param name="y" select="$led-y"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>

    <!--rectifier-->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="167"/>
      <xsl:with-param name="y" select="$led-y + 10"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="5"/>
    </xsl:call-template>

    <!--inverter-->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="264"/>
      <xsl:with-param name="y" select="$led-y + 10"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="11"/>
    </xsl:call-template>

    <!--output-->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="356"/>
      <xsl:with-param name="y" select="$led-y"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>

    <xsl:variable name="pane-x" select="500"/>
    <xsl:variable name="pane-x-1" select="$pane-x + 25"/>
    <xsl:variable name="pane-x-2" select="$pane-x-1 + 50"/>
    <xsl:variable name="pane-x-3" select="$pane-x-1 + 58"/>
    <xsl:variable name="pane-y" select="210"/>
    <xsl:variable name="pane-y-1" select="$pane-y + 15"/>

    <!-- IN1 -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN1:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x-1"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="value1" select="value[@name='ADR63']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR65']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR66']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR67']/@val" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x-3"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="value1" select="value[@name='ADR64']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR68']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR69']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6A']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>

    </xsl:call-template>

    <!-- DEFAULT_UB -->
    <xsl:variable name ="output">
      <xsl:value-of select="value[@name='ADR8D']/@val"/>
      <xsl:text> kW</xsl:text>
    </xsl:variable>
    <xsl:variable name="datetime" select="//report/@time"/>
    <xsl:variable name="date" select="concat(' ', substring-before($datetime, ' '))"/>
    <xsl:variable name="time" select="concat(' ', substring-after($datetime, ' '))"/>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="$date" />
      <xsl:with-param name="text2"  select="'Hours:'" />
      <xsl:with-param name="text3" select="'Counter:'" />
      <xsl:with-param name="text4" select="'Output:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page1_12', ['Hours', ':']);</script>
    <script type="text/javascript"> translate_text('page1_13', ['Counter', ':']);</script>
    <script type="text/javascript"> translate_text('page1_14', ['Output', ':']);</script>


    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x-2"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="54"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="value1"  select="$time" />
      <xsl:with-param name="unit1" select="' '"/>
      <xsl:with-param name="precision1" select="-1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR8A']/@val*10000 + value[@name='ADR8B']/@val" />
      <xsl:with-param name="unit2" select="'h'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR8C']/@val" />
      <xsl:with-param name="unit3" select="' '"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4"  select="$output" />
      <xsl:with-param name="unit4" select="' '"/>
      <xsl:with-param name="precision4" select="-1"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <!-- OUT-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'OUT:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page2_11', ['OUT', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x-3"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="value1" select="value[@name='ADR78']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR7C']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7D']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR7E']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pane-x-1"/>
      <xsl:with-param name="y" select="$pane-y"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="14"/>
      <xsl:with-param name="value1" select="value[@name='ADR77']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR79']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7A']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR7B']/@val" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
