<?xml version="1.0"?>
<!--
   modapp_panel.xsl - UPS screen for Piller Ap Premium models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modapp_panel-header">
    <xsl:call-template name="app-header">
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modapp_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="530"/>
      <xsl:with-param name="left" select="30"/>
      <xsl:with-param name="width" select="680"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modapp_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>
  <!--Body-->
  <xsl:template name="modapp_panel-body">
    <div id="master" style="position:absolute;top:0px;left:0px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backap.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'793'"/>
        <xsl:with-param name="h" select="'511'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <div style="position: absolute; left:612px; top:115px; width:39px; height:39px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()" id="selction_up_id">
          <img border="0" alt="" src="./lib/ups/image/piller/app_scroll_up.gif" width="39" height="39"/>
        </a>
      </div>
      <div style="position: absolute; left:612px; top:166px; width:39px; height:39px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()" id="selction_down_id">
          <img border="0" alt="" src="./lib/ups/image/piller/app_scroll_down.gif" width="39" height="39"/>
        </a>
      </div>
      <xsl:apply-templates />

      <script type="text/javascript">
        init();
      </script>
      <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
         <xsl:call-template name="js_refresh_call">
         <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
         </xsl:call-template>
      </xsl:if>
    </div>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">
    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 40px; width: 785px;  font-size:24px; text-align:center; color:#dfdfdf ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 520px; top: 461px; width: 214px; height: 17px; color:#dfdfdf; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 102px; top: 452px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 102px; top: 459px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text('evt_rec', 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>

    <xsl:variable name="adr144">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR144']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr145">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR145']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr146">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR146']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr147">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR147']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr148">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR148']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr149">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR149']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="10"/>
    <!--service-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="113"/>
      <xsl:with-param name="y" select="117"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR144']/@val" />
      <xsl:with-param name="img_id" select="'service_img_id'" />
    </xsl:call-template>
    <!--reset-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="164"/>
      <xsl:with-param name="y" select="117"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR144']/@val" />
      <xsl:with-param name="img_id" select="'reset_img_id'" />
    </xsl:call-template>

    <!--bypass input-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="217"/>
      <xsl:with-param name="y" select="324"/>
      <xsl:with-param name="w" select="$leddim+4"/>
      <xsl:with-param name="h" select="$leddim+4"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR145']/@val" />
      <xsl:with-param name="img_id" select="'bypass_input_img_id'" />
    </xsl:call-template>
    <!--input-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="217"/>
      <xsl:with-param name="y" select="375"/>
      <xsl:with-param name="w" select="$leddim+4"/>
      <xsl:with-param name="h" select="$leddim+4"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR145']/@val" />
      <xsl:with-param name="img_id" select="'input_img_id'" />
    </xsl:call-template>

    <!--rectifier-->
    <xsl:call-template name="modbusled-flash-freq">
      <!--test gray-->
      <xsl:with-param name="x" select="325"/>
      <xsl:with-param name="y" select="366"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR146']/@val" />
      <xsl:with-param name="img_id" select="'rectifier_img_id'" />
    </xsl:call-template>
    <!--inverter-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="470"/>
      <xsl:with-param name="y" select="366"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR146']/@val" />
      <xsl:with-param name="img_id" select="'inverter_img_id'" />
    </xsl:call-template>

    <!--charge-->
    <xsl:call-template name="modbusled-flash-freq">
      <!-- rot blinki blinki -->
      <xsl:with-param name="x" select="375"/>
      <xsl:with-param name="y" select="403"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR147']/@val" />
      <xsl:with-param name="img_id" select="'charge_img_id'" />
    </xsl:call-template>
    <!--battery-->
    <xsl:call-template name="modbusled-flash-freq">
      <!-- rot blinki blinki -->
      <xsl:with-param name="x" select="401"/>
      <xsl:with-param name="y" select="430"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR147']/@val" />
      <xsl:with-param name="img_id" select="'battery_img_id'" />
    </xsl:call-template>

    <!--bypass-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="470"/>
      <xsl:with-param name="y" select="315"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR148']/@val" />
      <xsl:with-param name="img_id" select="'bypass_img_id'" />
    </xsl:call-template>
    <!--discharge-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="405"/>
      <xsl:with-param name="y" select="400"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR148']/@val" />
      <xsl:with-param name="img_id" select="'discharge_img_id'" />
    </xsl:call-template>

    <!--output breaker-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="506"/>
      <xsl:with-param name="y" select="375"/>
      <xsl:with-param name="w" select="$leddim+4"/>
      <xsl:with-param name="h" select="$leddim+4"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR149']/@val" />
      <xsl:with-param name="img_id" select="'output_breaker_img_id'" />
    </xsl:call-template>
    <!--output-->
    <xsl:call-template name="modbusled-flash-freq">
      <xsl:with-param name="x" select="568"/>
      <xsl:with-param name="y" select="375"/>
      <xsl:with-param name="w" select="$leddim+4"/>
      <xsl:with-param name="h" select="$leddim+4"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
      <xsl:with-param name="use_flash_freq" select="1"/>
      <xsl:with-param name="adrs_dec" select="value[@name='ADR149']/@val" />
      <xsl:with-param name="img_id" select="'output_img_id'" />
    </xsl:call-template>

    <!-- *** PANES ***-->
    <xsl:variable name="panel-left" select="317"/>
    <xsl:variable name="panel-top" select="115"/>
    <xsl:variable name="panel-y-offset" select="8"/>
    <xsl:variable name="panel-width" select="138"/>
    <xsl:variable name="panel-height" select="89"/>
    <xsl:variable name="line-height" select="14"/>

    <xsl:variable name="l1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADRA2']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="l2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADRA3']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="l3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADRA4']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="u1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR8A']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="u2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR8B']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="u3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR8C']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <!-- UPS temp  ADR9A-->
    <xsl:variable name="temp1">
      <xsl:choose>
        <xsl:when test="value[@name='ADR9A']/@val = 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="getTemperature">
            <xsl:with-param name="value" select="value[@name='ADR9A']/@val" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Battery temp  ADR134-->
    <xsl:variable name="temp2">
      <xsl:choose>
        <xsl:when test="value[@name='ADR134']/@val = 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="getTemperature">
            <xsl:with-param name="value" select="value[@name='ADR134']/@val" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Input voltage switch-->
    <xsl:variable name="switch"	select="value[@name='ADRF5']/@val"/>

    <xsl:variable name="mains1_l1">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:value-of select="value[@name='ADR66']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR63']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains1_l2">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:value-of select="value[@name='ADR67']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR64']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains1_l3">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:value-of select="value[@name='ADR68']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR65']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Bypass voltage switch-->
    <xsl:variable name="switch1"	select="value[@name='ADRF7']/@val"/>

    <xsl:variable name="mains2_l1">
      <xsl:choose>
        <xsl:when test="$switch1 = 1">
          <xsl:value-of select="value[@name='ADR73']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR70']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains2_l2">
      <xsl:choose>
        <xsl:when test="$switch1 = 1">
          <xsl:value-of select="value[@name='ADR74']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR71']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains2_l3">
      <xsl:choose>
        <xsl:when test="$switch1 = 1">
          <xsl:value-of select="value[@name='ADR75']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR72']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Inverter voltage switch-->
    <xsl:variable name="switch2"	select="value[@name='ADRF6']/@val"/>

    <xsl:variable name="inv_l1">
      <xsl:choose>
        <xsl:when test="$switch2 = 1">
          <xsl:value-of select="value[@name='ADR80']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR7D']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="inv_l2">
      <xsl:choose>
        <xsl:when test="$switch2 = 1">
          <xsl:value-of select="value[@name='ADR81']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR7E']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="inv_l3">
      <xsl:choose>
        <xsl:when test="$switch2 = 1">
          <xsl:value-of select="value[@name='ADR82']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR7F']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <!-- Output voltage switch-->
    <xsl:variable name="switch3"	select="value[@name='ADRF8']/@val"/>

    <xsl:variable name="out_l1">
      <xsl:choose>
        <xsl:when test="$switch3 = 1">
          <xsl:value-of select="value[@name='ADR8D']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR8A']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="out_l2">
      <xsl:choose>
        <xsl:when test="$switch3 = 1">
          <xsl:value-of select="value[@name='ADR8E']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR8B']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="out_l3">
      <xsl:choose>
        <xsl:when test="$switch3 = 1">
          <xsl:value-of select="value[@name='ADR8F']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR8C']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Default-->
    <xsl:variable name="panel-default-offset" select="5"/>
    <xsl:variable name="def-header-text">
      <xsl:choose>
        <xsl:when test="value[@name='ADRC4']/@val = 1">
          <xsl:value-of select="'Normal operation'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRC4']/@val = 2">
          <xsl:value-of select="'Bypass operation'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRC4']/@val = 3">
          <xsl:value-of select="'Battery operation'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRC4']/@val = 4">
          <xsl:value-of select="'ECO Mode'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <div id="page001" style="position:absolute; left:{$panel-left}px; top:{$panel-top + $panel-default-offset}px; width:{$panel-width}px; height:{$line-height}px; visibility:visible;text-align:left; ">
      <xsl:value-of select="$def-header-text"/>
    </div>
    <script type="text/javascript"> translate_text('page001', '<xsl:value-of select="$def-header-text"/>');</script>

    <xsl:if test="value[@name='ADRC4']/@val = 3">
      <div id="page002" style="position:absolute; left:{$panel-left}px; top:{$panel-top + $panel-default-offset}px; width:{$panel-width}px; height:{$line-height}px; visibility:visible;text-align:right; ">
        <xsl:value-of select="value[@name='ADR9C']/@val"/> min
      </div>
    </xsl:if>
    <xsl:call-template name="mini-load-bar">
      <xsl:with-param name="x" select="$panel-left"/>
      <xsl:with-param name="y" select="$panel-top + $panel-default-offset + $line-height"/>
      <xsl:with-param name="w1" select="($panel-width div 7)"/>
      <xsl:with-param name="bar-w" select="2*($panel-width div 3)"/>
      <xsl:with-param name="w2" select="($panel-width div 7)"/>
      <xsl:with-param name="bar-h" select="3*($line-height div 4)"/>
      <xsl:with-param name="lh" select="$line-height"/>
      <xsl:with-param name="l1" select="$l1"/>
      <xsl:with-param name="l2" select="$l2"/>
      <xsl:with-param name="l3" select="$l3"/>
      <xsl:with-param name="style" select="'color:#ff0000; font-size:8px; font-weight:bold'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="id" select="'page0_1'"/>
    </xsl:call-template>
    <div id="page0_2" style="position:absolute; left:{$panel-left}px; top:{$panel-top + $panel-default-offset + 4*$line-height}px; width:{$panel-width + 10}px; height:{$line-height}px; visibility:visible;text-align:left;">
      U1=<xsl:value-of select="$u1"/>V&#160;U2=<xsl:value-of select="$u2"/>V&#160;U3=<xsl:value-of select="$u3"/>V
    </div>
    <xsl:variable name="curr-hour">
      <xsl:call-template name="tokenize">
        <xsl:with-param name="token-string" select="//report/@time"/>
        <xsl:with-param name="which" select="1"/>
        <xsl:with-param name="delim" select="':'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="curr-min">
      <xsl:call-template name="tokenize">
        <xsl:with-param name="token-string" select="//report/@time"/>
        <xsl:with-param name="which" select="2"/>
        <xsl:with-param name="delim" select="':'"/>
      </xsl:call-template>
    </xsl:variable>
    <div id="page0_3" style="position:absolute; left:{$panel-left + 2}px; top:{$panel-top + $panel-default-offset + 5*$line-height}px; width:{$panel-width}px; height:{$line-height}px; visibility:visible;text-align:center; ">
      <xsl:value-of select="$temp1"/>&#160;&#160;&#160;&#160;<xsl:value-of select="concat($curr-hour, concat(':', $curr-min))"/>
    </div>

    <!--OUTPUT-->
    <xsl:variable name="cosp_l1">
      <xsl:choose>
        <xsl:when test="value[@name='ADRDF']/@val = 1">
          <xsl:value-of select="'lead'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRDF']/@val= 2">
          <xsl:value-of select="'lag'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="cosp_l2">
      <xsl:choose>
        <xsl:when test="value[@name='ADRE0']/@val = 1">
          <xsl:value-of select="'lead'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRE0']/@val = 2">
          <xsl:value-of select="'lag'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="cosp_l3">
      <xsl:choose>
        <xsl:when test="value[@name='ADRE1']/@val = 1">
          <xsl:value-of select="'lead'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRE1']/@val = 2">
          <xsl:value-of select="'lag'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 3)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1" select="'Output'" />
      <xsl:with-param name="text2" select="''" />
      <xsl:with-param name="text3" select="''" />
      <xsl:with-param name="text4" select="'L1'" />
      <xsl:with-param name="text5" select="'L2'" />
      <xsl:with-param name="text6" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page1_11', 'Output');</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 10"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="$panel-width div 3"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR94']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$out_l1" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$out_l2" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="$out_l3" />
      <xsl:with-param name="unit5" select="'V'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1_2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 58"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="$panel-width div 4"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="''" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="''"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="value[@name='ADR90']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR91']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADR92']/@val" />
      <xsl:with-param name="unit5" select="'A'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1_3'"/>
    </xsl:call-template>

    <xsl:variable name="adr_220_signed">
      <!-- ushor to short -->
      <xsl:call-template name="ushor_to_short">
        <xsl:with-param name="val" select="value[@name='ADRDC']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 66"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="($panel-width div 4) + 20"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR93']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="'1'"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$adr_220_signed div 100.0" />
      <xsl:with-param name="unit3" select="''"/>
      <xsl:with-param name="precision3" select="2"/>
      <xsl:with-param name="value4" select="value[@name='ADRDD']/@val div 100.0" />
      <xsl:with-param name="unit4" select="''"/>
      <xsl:with-param name="precision4" select="2"/>
      <xsl:with-param name="value5" select="value[@name='ADRDE']/@val div 100.0" />
      <xsl:with-param name="unit5" select="''"/>
      <xsl:with-param name="precision5" select="2"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1_4'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$panel-left + 126"/>
      <xsl:with-param name="y" select="$panel-top + 46"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1" select="$cosp_l1" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="''"/>
      <xsl:with-param name="value2" select="$cosp_l2" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$cosp_l3" />
      <xsl:with-param name="unit3" select="''"/>
      <xsl:with-param name="precision3" select="''"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_5'"/>
    </xsl:call-template>

    <!--INPUT-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1" select="'Input'" />
      <xsl:with-param name="text2" select="''" />
      <xsl:with-param name="text3" select="''" />
      <xsl:with-param name="text4" select="'L1'" />
      <xsl:with-param name="text5" select="'L2'" />
      <xsl:with-param name="text6" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page2_11', 'Input');</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 30"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="$panel-width div 3"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR6D']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$mains1_l1" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$mains1_l2" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="$mains1_l3" />
      <xsl:with-param name="unit5" select="'V'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2_2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 78"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="($panel-width div 4) +20"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR6C']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="value[@name='ADR69']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6A']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADR6B']/@val" />
      <xsl:with-param name="unit5" select="'A'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2_3'"/>
    </xsl:call-template>

    <!--INPUT BYPASS-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Bypass Input'" />
      <xsl:with-param name="text2"  select="''" />
      <xsl:with-param name="text3" select="''" />
      <xsl:with-param name="text4" select="'L1'" />
      <xsl:with-param name="text5" select="'L2'" />
      <xsl:with-param name="text6" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_11', 'Bypass Input');</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 30"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="$panel-width div 3"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR7A']/@val" />
      <!---->
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$mains2_l1" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$mains2_l2" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="$mains2_l3" />
      <xsl:with-param name="unit5" select="'V'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3_2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 78"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="($panel-width div 4) + 20"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR79']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="value[@name='ADR76']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR77']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADR78']/@val" />
      <xsl:with-param name="unit5" select="'A'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3_4'"/>
    </xsl:call-template>

    <!--INVERTER-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 3"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Inverter'" />
      <xsl:with-param name="text2"  select="''" />
      <xsl:with-param name="text3" select="''" />
      <xsl:with-param name="text4" select="'L1'" />
      <xsl:with-param name="text5" select="'L2'" />
      <xsl:with-param name="text6" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page4_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page4_11', 'Inverter');</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 30"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="$panel-width div 3"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR87']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$inv_l1" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$inv_l2" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="$inv_l3" />
      <xsl:with-param name="unit5" select="'V'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page4_2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 78"/>
      <xsl:with-param name="y" select="$panel-top + 18"/>
      <xsl:with-param name="w" select="($panel-width div 4) +20"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR86']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="value[@name='ADR83']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR84']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADR85']/@val" />
      <xsl:with-param name="unit5" select="'A'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page4_3'"/>
    </xsl:call-template>

    <!-- PHASE -->
    <xsl:variable name="ph1">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA5']/@val = 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADRA5']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="ph2">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA6']/@val = 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADRA6']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="ph3">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA7']/@val = 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADRA7']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="ph4">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA8']/@val = 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADRA8']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="sync_source">
      <xsl:choose>
        <xsl:when test="value[@name='ADR13A']/@val = 1">
          <xsl:value-of select="'Bypass'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADR13A']/@val = 2">
          <xsl:value-of select="'Bus'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADR13A']/@val = 3">
          <xsl:value-of select="'Extern'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'None'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 2"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 4) + 6"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Phase'" />
      <!--<xsl:with-param name="text2"  select="''" />-->
      <xsl:with-param name="text2" select="'Output-Bypass:'" />
      <xsl:with-param name="text3" select="'Inverter-Bypass:'" />
      <xsl:with-param name="text4" select="'Inverter-extern:'" />
      <xsl:with-param name="text5" select="'Inverter-Bus:'" />
      <xsl:with-param name="text6" select="'Sync source:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page5_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page5_11', 'Phase');</script>
    <script type="text/javascript"> translate_text('page5_12', ['Output-Bypass', ':']);</script>
    <script type="text/javascript"> translate_text('page5_13', ['Inverter-Bypass', ':']);</script>
    <script type="text/javascript"> translate_text('page5_14', ['Inverter-extern', ':']);</script>
    <script type="text/javascript"> translate_text('page5_15', ['Inverter-Bus', ':']);</script>
    <script type="text/javascript"> translate_text('page5_16', ['Sync source', ':']);</script>


    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 96"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="$panel-width div 3"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="''" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="''"/>
      <xsl:with-param name="value2" select="$ph1" />
      <xsl:with-param name="unit2" select="'&#176;'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$ph2" />
      <xsl:with-param name="unit3" select="'&#176;'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$ph3" />
      <xsl:with-param name="unit4" select="'&#176;'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="$ph4" />
      <xsl:with-param name="unit5" select="'&#176;'"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="value6" select="$sync_source" />
      <xsl:with-param name="unit6" select="''"/>
      <xsl:with-param name="precision6" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page5_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page5_26', '<xsl:value-of select="$sync_source"/>');</script>

    <!-- BATTERY -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Battery'" />
      <xsl:with-param name="text2"  select="''" />
      <xsl:with-param name="text3" select="'Battery voltage:'" />
      <xsl:with-param name="text4" select="'Battery current:'" />
      <xsl:with-param name="text5" select="'Battery temperature:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page6_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page6_11', 'Battery');</script>
    <script type="text/javascript"> translate_text('page6_13', ['Battery voltage', ':']);</script>
    <script type="text/javascript"> translate_text('page6_14', ['Battery current', ':']);</script>
    <script type="text/javascript"> translate_text('page6_15', ['Battery temperature', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$panel-left + 102"/>
      <xsl:with-param name="y" select="$panel-top + 32"/>
      <xsl:with-param name="w" select="$panel-width div 4"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR97']/@val" />
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="precision1" select="'0'"/>
      <xsl:with-param name="value2" select="value[@name='ADR98']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$temp2" />
      <xsl:with-param name="unit3" select="''"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page6_2'"/>
    </xsl:call-template>

    <!-- BATTERY PARAMETERS-->
    <xsl:variable name="equalize-text">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA1']/@val = 0">
          <xsl:value-of select="'off'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRA1']/@val = 1">
          <xsl:value-of select="'stopped'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'running'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Battery Parameters'" />
      <xsl:with-param name="text2" select="''" />
      <xsl:with-param name="text3" select="'Switch off at:'" />
      <xsl:with-param name="text4" select="'Final Charge:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page7_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page7_11', 'Battery Parameters');</script>
    <script type="text/javascript"> translate_text('page7_13', ['Switch off at', ':']);</script>
    <script type="text/javascript"> translate_text('page7_14', ['Final Charge', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$panel-left + 98"/>
      <xsl:with-param name="y" select="$panel-top + 32"/>
      <xsl:with-param name="w" select="$panel-width div 4"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="value[@name='ADR99']/@val" />
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADRB2']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page7_2'"/>
    </xsl:call-template>

    <div id="page76" style="position:absolute; left:{$panel-left + 6}px; top:{$panel-top + 60}px; width:{$panel-width}px; height:{$line-height}px;visibility:hidden">
      Equalize <xsl:value-of select="$equalize-text"/>
    </div>
    <script type="text/javascript"> translate_text('page76', ['Equalize', ' ', '<xsl:value-of select="$equalize-text"/>']);</script>

    <xsl:if test="value[@name='ADRA1']/@val != 0">
      <div id="'page77'" style="position:absolute; left:{$panel-left + 86}px; top:{$panel-top + 60}px; width:{$panel-width div 3}px; height:{$line-height}px;visibility:hidden;text-align:right">
        <xsl:value-of select="value[@name='ADR9F']/@val"/> min
      </div>
    </xsl:if>


    <!-- BATTERY MONITOR-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$panel-left + 6"/>
      <xsl:with-param name="y" select="$panel-top + 4"/>
      <xsl:with-param name="w" select="3*($panel-width div 4)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Battery Monitor'" />
      <xsl:with-param name="text2" select="''" />
      <xsl:with-param name="text3" select="'Remaining time:'" />
      <xsl:with-param name="text4" select="'Absolute cap:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page8_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page8_11', 'Battery Monitor');</script>
    <script type="text/javascript"> translate_text('page8_13', ['Remaining time', ':']);</script>
    <script type="text/javascript"> translate_text('page8_14', ['Absolute cap', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$panel-left + 3*($panel-width div 5) + 10"/>
      <xsl:with-param name="y" select="($panel-top + $panel-y-offset div 2)"/>
      <xsl:with-param name="w" select="$panel-width div 3"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="''" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="''"/>
      <xsl:with-param name="value2" select="''" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="value[@name='ADR9C']/@val" />
      <xsl:with-param name="unit3" select="'min'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR9D']/@val" />
      <xsl:with-param name="unit4" select="'%'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADRC6']/@val div 10.0" />
      <xsl:with-param name="unit5" select="'Ah'"/>
      <xsl:with-param name="precision5" select="1"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page8_2'"/>
    </xsl:call-template>

    <!-- STATISTICS-->
    <xsl:variable name="serial-no-1">
      <xsl:choose>
        <xsl:when test="value[@name='ADR178']/@val = 0">
          <xsl:value-of select="''"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR178']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="serial-no-1-hex">
      <xsl:call-template name="toHex">
        <xsl:with-param name="decimalNumber"  select="$serial-no-1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-1-hex-0">
      <xsl:call-template name="prefix-string">
        <xsl:with-param name="string" select="$serial-no-1-hex"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no-2">
      <xsl:choose>
        <xsl:when test="value[@name='ADR179']/@val = 0">
          <xsl:value-of select="''"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR179']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="serial-no-2-hex">
      <xsl:call-template name="toHex">
        <xsl:with-param name="decimalNumber"  select="$serial-no-2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-2-hex-0">
      <xsl:call-template name="prefix-string">
        <xsl:with-param name="string" select="$serial-no-2-hex"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no-3">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR17A']/@val"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-3-low-byte">
      <xsl:call-template name="bit-and">
        <xsl:with-param name="val1" select="$serial-no-3"/>
        <xsl:with-param name="val2" select="255"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no-3-hex">
      <xsl:call-template name="toHex">
        <xsl:with-param name="decimalNumber"  select="$serial-no-3-low-byte"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-3-hex-0">
      <xsl:call-template name="prefix-string">
        <xsl:with-param name="len" select="2"/>
        <xsl:with-param name="string" select="$serial-no-3-hex"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no">
      <xsl:value-of select="concat($serial-no-1-hex-0, concat($serial-no-2-hex-0, $serial-no-3-hex-0))"/>
    </xsl:variable>

    <xsl:variable name="date">
      <xsl:choose>
        <xsl:when test="value[@name='ADRFB']/@val &lt; 10">
          <xsl:value-of select="concat('0',value[@name='ADRFB']/@val)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADRFB']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="month">
      <xsl:choose>
        <xsl:when test="value[@name='ADRFC']/@val &lt; 10">
          <xsl:value-of select="concat('0',value[@name='ADRFC']/@val)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADRFC']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="since">
      <xsl:value-of select="concat($date, concat('.', concat($month, concat('.', value[@name='ADRFD']/@val))))"/>
    </xsl:variable>


    <xsl:variable name="main_failure">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRE7']/@val"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="ups_operation_l">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR13D']/@val"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ups_operation_h">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR13E']/@val*65536"/>
        <xsl:with-param name="bits" select="32"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ups_operation">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="$ups_operation_h + $ups_operation_l"/>
        <xsl:with-param name="bits" select="32"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="operation_hours_l">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRE5']/@val"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="operation_hours_h">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRE6']/@val*65536"/>
        <xsl:with-param name="bits" select="32"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="operation_hours">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="$operation_hours_h + $operation_hours_l"/>
        <xsl:with-param name="bits" select="32"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left"/>
      <xsl:with-param name="y" select="$panel-top+ $panel-y-offset div 6"/>
      <xsl:with-param name="w" select="5*($panel-width div 8)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Statistics'" />
      <xsl:with-param name="text2" select="'Serial No.:'" />
      <xsl:with-param name="text3" select="'Operating hours:'" />
      <xsl:with-param name="text4" select="'UPS operation:'" />
      <xsl:with-param name="text5" select="'Mains failure:'" />
      <xsl:with-param name="text6" select="'since:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page9_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page9_11', 'Statistics');</script>
    <script type="text/javascript"> translate_text('page9_12', ['Serial No.', ':']);</script>
    <script type="text/javascript"> translate_text('page9_13', ['Operating hours', ':']);</script>
    <script type="text/javascript"> translate_text('page9_14', ['UPS operation', ':']);</script>
    <script type="text/javascript"> translate_text('page9_15', ['Mains failure', ':']);</script>
    <script type="text/javascript"> translate_text('page9_16', ['since', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="6"/>
      <xsl:with-param name="x" select="$panel-left + 5*($panel-width div 8)"/>
      <xsl:with-param name="y" select="$panel-top + $panel-y-offset div 6"/>
      <xsl:with-param name="w" select="3*($panel-width div 8)"/>
      <xsl:with-param name="h" select="$line-height"/>
      <xsl:with-param name="value1" select="''" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="''"/>
      <xsl:with-param name="value2" select="$serial-no" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="''"/>
      <xsl:with-param name="value3" select="$operation_hours" />
      <xsl:with-param name="unit3" select="'h'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$ups_operation" />
      <xsl:with-param name="unit4" select="'h'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="$main_failure" />
      <!--value[@name='ADRE7']/@val-->
      <xsl:with-param name="unit5" select="''"/>
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="value6" select="$since" />
      <xsl:with-param name="unit6" select="''"/>
      <xsl:with-param name="precision6" select="''"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page9_2'"/>
    </xsl:call-template>

    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>




