<?xml version="1.0"?>
<!--
   modas2_panel.xsl - UPS screen for Piller APOSTAR models@UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modas2_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>
  <!--Footer-->
  <xsl:template name="modas2_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="510"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="785"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <xsl:template name="modas2_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modas2_panel-body">
    <div id ="master" style="position:absolute;top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backas2.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <div style="position: absolute; left:525px; top:281px; width:40px; height:40px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectUp.jpg" width="40" height="40"/>
        </a>
      </div>
      <div style="position: absolute; left:569px; top:281px; width:40px; height:40px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectDown.jpg" width="40" height="40"/>
        </a>
      </div>
      <xsl:apply-templates />
      <xsl:call-template name="IEpixelBugfixCall"/>
      <script type="text/javascript">
        init();
      </script>
      <xsl:call-template name="js_refresh_call">
        <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
      </xsl:call-template>
    </div>
  </xsl:template>


  <!-- Implementation -->
  <xsl:template match="values">
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 462px; top: 341px; width: 214px; height: 17px; color:#ffffff; text-align:center">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 423px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 430px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text('evt_rec', 'Eventrecorder');</script>
         </a>
      </div>
    </xsl:if>

    <xsl:variable name="adrd6">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD6']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd7">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD7']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd8">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD8']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrab">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRAB']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- TEST -->
    <!--
	<div id="Debug" class="LargeBold" align="right" style="position: absolute; top: 0px; left: 0px; width: 163px; height: 17px; font-size:18px;">
		<xsl:value-of select="$adrd6" /><br/>
		<xsl:value-of select="$adrd7" /><br/>
		<xsl:value-of select="$adrd8" /><br/>
	</div>
	-->
    <!-- TEXTE -->
    <!--<div id="bypass1" class="Small" align="right" style="position: absolute; left: 244px; top: 127 px; color:#ffffff;">BYPASS</div>-->
    <div id="bypass2" class="MediumBold" align="right" style="position: absolute; left: 354px; top: 325px; color:#ffffff;">BYPASS</div>
    <div id="ub" 			class="MediumBold" align="right" style="position: absolute; left: 130px; top: 325px; color:#ffffff;">AS</div>
    <div id="reset" style="position: absolute; left: 243px; top: 339px;">
      <xsl:element name="img">
        <xsl:attribute name="src">
          <xsl:choose>
            <xsl:when test="substring($adrab,10,1) = 1">./lib/ups/image/piller/Reset1.gif</xsl:when>
            <xsl:otherwise>./lib/ups/image/piller/Reset2.gif</xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
        <xsl:attribute name="width">33</xsl:attribute>
        <xsl:attribute name="height">33</xsl:attribute>
        <xsl:attribute name="alt"></xsl:attribute>
        <xsl:attribute name="border">0</xsl:attribute>
      </xsl:element>
    </div>
    <div id="res"  class="MediumBold" align="right" style="position: absolute; left: 249px; top: 349px; color:#000000;font-size:12px">
      <script type="text/javascript"> translate_text('res', 'RES');</script>
    </div>

    <!-- LOAD BAR -->
    <xsl:call-template name="PillerLoadbar">
      <xsl:with-param name="adrstr" select="$adrd6"/>
      <xsl:with-param name="x" select="'418'"/>
      <xsl:with-param name="y" select="'183'"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="title" select="'Load'"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'"/>
      <xsl:with-param name="id" select="'Loadbar'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('LoadbarLoad', 'Load');</script>

    <!-- Line LEDs-->
    <div id="P002P002" style="position:absolute; left:205px; top:259px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd8,9,1) = '1' and substring($adrd8,10,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd8,10,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd8,9,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P003P003" style="position:absolute; left:121Px; top:241px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,1,1) = '1' and substring($adrd7,2,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,2,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,1,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P004P004" style="position:absolute; left:166px; top:250px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,5,1) = '1' and substring($adrd7,6,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,6,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,5,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P005P005" style="position:absolute; left:214Px; top:296px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd8,11,1) = '1' and substring($adrd8,12,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd8,12,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd8,10,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P006P006" style="position:absolute; left:263px; top:250px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,11,1) = '1' and substring($adrd7,12,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,12,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,11,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P007P007" style="position:absolute; left:358px; top:241px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,15,1) = '1' and substring($adrd7,16,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,16,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,15,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P008P008" style="position:absolute; left:263px; top:188px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,9,1) = '1' and substring($adrd7,10,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,10,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,9,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P009P009" style="position:absolute; left:256px; top:148px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,7,1) = '1' and substring($adrd7,8,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,8,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,7,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="P033P033" style="position:absolute; left:158px; top:179px; width:9px; height:9px">
      <xsl:choose>
        <xsl:when test="substring($adrd7,3,1) = '1' and substring($adrd7,4,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgelb10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,4,1) = '1'">
          <img  src="./lib/ups/image/piller/ledgruen10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:when test="substring($adrd7,3,1) = '1'">
          <img  src="./lib/ups/image/piller/ledrot10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:when>
        <xsl:otherwise>
          <img  src="./lib/ups/image/piller/ledgrau10x10.gif" width="10" height="10" alt="" border="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- MAINS1_2-->
    <xsl:variable name="pageX1" select="492"/>
    <xsl:variable name="pageX2" select="517"/>
    <xsl:variable name="pageX3" select="579"/>

    <xsl:call-template name="paneRow2">
      <xsl:with-param name="xT" select="$pageX1" />
      <xsl:with-param name="yT" select="203" />
      <xsl:with-param name="wT" select="25" />
      <xsl:with-param name="hT" select="11" />
      <xsl:with-param name="alignT" select="'left'" />
      <xsl:with-param name="text" select="'IN1'" />
      <xsl:with-param name="xOff" select="0" />
      <xsl:with-param name="xOff2" select="10" />
      <xsl:with-param name="w" select="48" />
      <xsl:with-param name="h" select="11" />
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value" select="value[@name='ADR63']/@val" />
      <xsl:with-param name="value2" select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="unit" select="'kVA'" />
      <xsl:with-param name="unit2" select="'Hz'" />
      <xsl:with-param name="precision" select="0" />
      <xsl:with-param name="precision2" select="1" />
      <xsl:with-param name="visibility" select="'visible'" />
      <xsl:with-param name="name" select="'page0'" />
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'L1:'" />
      <xsl:with-param name="text2" select="'L2:'" />
      <xsl:with-param name="text3" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='INVOLT']/@val" />
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='INVOLT']/@val2" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='INVOLT']/@val3" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>

    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR68']/@val" />
      <xsl:with-param name="unit1" select="'A'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR69']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR6A']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>

    </xsl:call-template>

    <!-- MAINS 2_2 -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="203"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN2:'" />
      <xsl:with-param name="text2" select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="203"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR6B']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR6D']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR6E']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6F']/@val" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="203"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR6C']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="value[@name='ADR70']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR71']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR72']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <!-- BATTERY_2 -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="203"/>
      <xsl:with-param name="w" select="100"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Battery:'" />
      <xsl:with-param name="text2" select="'Temperature:'" />
      <xsl:with-param name="text3" select="'Remaining time:'" />
      <xsl:with-param name="text4" select="'Remaining capacity:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page2_11', ['Battery', ':']);</script>
    <script type="text/javascript"> translate_text('page2_12', ['Temperature', ':']);</script>
    <script type="text/javascript"> translate_text('page2_13', ['Remaining time', ':']);</script>
    <script type="text/javascript"> translate_text('page2_14', ['Remaining capacity', ':']);</script>

    <xsl:variable name ="remtime">
      <xsl:if test="value[@name='ADR76']/@val &gt; 99">
        <xsl:text>99</xsl:text>
      </xsl:if>
      <xsl:if test="value[@name='ADR76']/@val &lt; 100">
        <xsl:value-of select="value[@name='ADR76']/@val"/>
      </xsl:if>
    </xsl:variable>
    <xsl:if test="value[@name='_tempUnit']/@val=0 or string-length(value[@name='_tempUnit']/@val)=0">
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3 +2"/>
        <xsl:with-param name="y" select="203"/>
        <xsl:with-param name="w" select="48"/>
        <xsl:with-param name="h" select="13"/>
        <xsl:with-param name="value1"  select="value[@name='ADR73']/@val" />
        <xsl:with-param name="unit1" select="'A'"/>
        <xsl:with-param name="precision1" select="0"/>
        <xsl:with-param name="value2" select="value[@name='ADRA9']/@val div 10.0" />
        <xsl:with-param name="unit2" select="'&#176;C'"/>
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="value3" select="$remtime" />
        <xsl:with-param name="unit3" select="'min'"/>
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="value[@name='ADR92']/@val" />
        <xsl:with-param name="unit4" select="'Ah'"/>
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'hidden'"/>
        <xsl:with-param name="name" select="'page2'"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="value[@name='_tempUnit']/@val=1">
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3 +2"/>
        <xsl:with-param name="y" select="203"/>
        <xsl:with-param name="w" select="48"/>
        <xsl:with-param name="h" select="13"/>
        <xsl:with-param name="value1"  select="value[@name='ADR73']/@val" />
        <xsl:with-param name="unit1" select="'A'"/>
        <xsl:with-param name="precision1" select="0"/>
        <xsl:with-param name="value2" select="(value[@name='ADRA9']/@val div 10.0*1.8) + 32.0" />
        <xsl:with-param name="unit2" select="'&#176;F'"/>
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="value3" select="$remtime" />
        <xsl:with-param name="unit3" select="'min'"/>
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="value[@name='ADR92']/@val" />
        <xsl:with-param name="unit4" select="'Ah'"/>
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'hidden'"/>
        <xsl:with-param name="name" select="'page2'"/>
      </xsl:call-template>
    </xsl:if>
    <!-- DC_LINK_2 -->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1 - 20 "/>
      <xsl:with-param name="y" select="203"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'center'" />
      <xsl:with-param name="value"  select="'*** DC LINK ***'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page3_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_0', ['*** ', 'DC LINK', ' ***']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="214"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'DC-Link:'" />
      <xsl:with-param name="value2" select="'Switch off at:'" />
      <xsl:with-param name="unit1" select="' '"/>
      <xsl:with-param name="unit2" select="' '"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_11', ['DC-Link', ':']);</script>
    <script type="text/javascript"> translate_text('page3_12', ['Switch off at', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX3 +2"/>
      <xsl:with-param name="y" select="214"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR74']/@val" />
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR75']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <xsl:choose>
      <xsl:when test="value[@name='ADRAE']/@val &gt; 0">
        <xsl:call-template name="paneRow2">
          <xsl:with-param name="xT" select="$pageX1" />
          <xsl:with-param name="yT" select="240" />
          <xsl:with-param name="wT" select="42" />
          <xsl:with-param name="hT" select="13" />
          <xsl:with-param name="alignT" select="'left'" />
          <xsl:with-param name="text" select="'Equalize:'" />
          <xsl:with-param name="xOff" select="0" />
          <xsl:with-param name="xOff2" select="10" />
          <xsl:with-param name="w" select="48" />
          <xsl:with-param name="h" select="11" />
          <xsl:with-param name="align" select="'right'" />
          <xsl:with-param name="value" select="'On'" />
          <xsl:with-param name="value2" select="value[@name='ADRAD']/@val" />
          <xsl:with-param name="unit" select="' '" />
          <xsl:with-param name="unit2" select="'min'" />
          <xsl:with-param name="precision" select="-1" />
          <xsl:with-param name="precision2" select="0" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page3_2'" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="paneRow2">
          <xsl:with-param name="xT" select="$pageX1" />
          <xsl:with-param name="yT" select="240" />
          <xsl:with-param name="wT" select="42" />
          <xsl:with-param name="hT" select="13" />
          <xsl:with-param name="alignT" select="'left'" />
          <xsl:with-param name="text" select="'Equalize:'" />
          <xsl:with-param name="xOff" select="0" />
          <xsl:with-param name="xOff2" select="10" />
          <xsl:with-param name="w" select="48" />
          <xsl:with-param name="h" select="11" />
          <xsl:with-param name="align" select="'center'" />
          <xsl:with-param name="value" select="''" />
          <xsl:with-param name="value2" select="' Off'" />
          <xsl:with-param name="unit" select="' '" />
          <xsl:with-param name="unit2" select="''" />
          <xsl:with-param name="precision" select="-1" />
          <xsl:with-param name="precision2" select="-1" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page3_2'" />
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>
    <script type="text/javascript"> translate_text('page3_20', ['Equalize', ':']);</script>

    <!-- INVERTER_2-->
    <xsl:call-template name="paneRow2">
      <xsl:with-param name="xT" select="$pageX1" />
      <xsl:with-param name="yT" select="203" />
      <xsl:with-param name="wT" select="25" />
      <xsl:with-param name="hT" select="13" />
      <xsl:with-param name="alignT" select="'left'" />
      <xsl:with-param name="text" select="'INV'" />
      <xsl:with-param name="xOff" select="0" />
      <xsl:with-param name="xOff2" select="10" />
      <xsl:with-param name="w" select="48" />
      <xsl:with-param name="h" select="11" />
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value" select="value[@name='ADR77']/@val" />
      <xsl:with-param name="value2" select="value[@name='ADR78']/@val div 10.0" />
      <xsl:with-param name="unit" select="'kVA'" />
      <xsl:with-param name="unit2" select="'Hz'" />
      <xsl:with-param name="precision" select="0" />
      <xsl:with-param name="precision2" select="1" />
      <xsl:with-param name="visibility" select="'visible'" />
      <xsl:with-param name="name" select="'page4'" />
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'L1:'" />
      <xsl:with-param name="text2" select="'L2:'" />
      <xsl:with-param name="text3" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR79']/@val" />
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR7A']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7B']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR7C']/@val" />
      <xsl:with-param name="unit1" select="'A'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR7D']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7E']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>
    <!--
	<xsl:call-template name="pane-standard-unit">
		<xsl:with-param name="title" select="'INV'" />
		<xsl:with-param name="x" select="$pageX1" />
	  <xsl:with-param name="y" select="198" />
	  <xsl:with-param name="w" select="120" />
	  <xsl:with-param name="h" select="13" />
	  <xsl:with-param name="power"  select="value[@name='ADR77']/@val" />
	  <xsl:with-param name="freq"   select="value[@name='ADR78']/@val div 10.0" />
		<xsl:with-param name="volt1"  select="value[@name='ADR79']/@val" />
		<xsl:with-param name="volt2"  select="value[@name='ADR7A']/@val" />
		<xsl:with-param name="volt3"  select="value[@name='ADR7B']/@val" />
		<xsl:with-param name="curr1"  select="value[@name='ADR7C']/@val" />
		<xsl:with-param name="curr2"  select="value[@name='ADR7D']/@val" />
		<xsl:with-param name="curr3"  select="value[@name='ADR7E']/@val" />
		<xsl:with-param name="class" select="'small'"/>
		<xsl:with-param name="visibility" select="'visible'"/>
    <xsl:with-param name="id" select="'page4'"/>

	</xsl:call-template>
-->
    <!-- PHASE_2 -->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1 - 20"/>
      <xsl:with-param name="y" select="203"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'center'" />
      <xsl:with-param name="value"  select="'*** Phase ***'" />
      <xsl:with-param name="name" select="'page5_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page5_0', ['*** ', 'Phase', ' ***']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="218"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'Mains Inverter:'" />
      <xsl:with-param name="value2" select="'Inverter Bus:'" />
      <xsl:with-param name="unit1" select="' '"/>
      <xsl:with-param name="unit2" select="' '"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page5_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page5_11', ['Mains Inverter', ':']);</script>
    <script type="text/javascript"> translate_text('page5_12', ['Inverter Bus', ':']);</script>

    <xsl:variable name="phaseas1">
      <xsl:choose>
        <xsl:when test="value[@name='ADR7F']/@val = 240">
          <xsl:text>---</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR7F']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="phaseas2">
      <xsl:choose>
        <xsl:when test="value[@name='ADR81']/@val = 240">
          <xsl:text>---</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR81']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX3 + 2"/>
      <xsl:with-param name="y" select="218"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="$phaseas1" />
      <xsl:with-param name="unit1" select="'DGR'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$phaseas2" />
      <xsl:with-param name="unit2" select="'DGR'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page5'"/>
    </xsl:call-template>

    <!-- DEFAULT_AS -->
    <xsl:variable name ="output">
      <xsl:value-of select="value[@name='ADR8D']/@val"/>
      <xsl:text>kW/</xsl:text>
      <xsl:value-of select="value[@name='ADR8E']/@val div 100"/>
    </xsl:variable>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1 - 20"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'center'" />
      <xsl:with-param name="value"  select="'*** Default ***'" />
      <xsl:with-param name="name" select="'page6_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page6_0', ['*** ', 'Default', ' ***']);</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="218"/>
      <xsl:with-param name="w" select="98"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hours:'" />
      <xsl:with-param name="text2" select="'Counter:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page6_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page6_11', ['Hours', ':']);</script>
    <script type="text/javascript"> translate_text('page6_12', ['Counter', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX2 + 30"/>
      <xsl:with-param name="y" select="218"/>
      <xsl:with-param name="w" select="52"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR8A']/@val*10000 + value[@name='ADR8B']/@val" />
      <xsl:with-param name="unit1" select="'h'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR8C']/@val" />
      <xsl:with-param name="unit2" select="' '"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page6'"/>
    </xsl:call-template>
    <!-- BUS2_2-->
    <xsl:call-template name="paneRow2">
      <xsl:with-param name="xT" select="$pageX1" />
      <xsl:with-param name="yT" select="203" />
      <xsl:with-param name="wT" select="25" />
      <xsl:with-param name="hT" select="13" />
      <xsl:with-param name="alignT" select="'left'" />
      <xsl:with-param name="text" select="'BUS'" />
      <xsl:with-param name="xOff" select="0" />
      <xsl:with-param name="xOff2" select="10" />
      <xsl:with-param name="w" select="48" />
      <xsl:with-param name="h" select="11" />
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value" select="value[@name='ADR82']/@val" />
      <xsl:with-param name="value2" select="value[@name='ADR83']/@val div 10.0" />
      <xsl:with-param name="unit" select="'kVA'" />
      <xsl:with-param name="unit2" select="'Hz'" />
      <xsl:with-param name="precision" select="0" />
      <xsl:with-param name="precision2" select="1" />
      <xsl:with-param name="visibility" select="'hidden'" />
      <xsl:with-param name="name" select="'page7_1'" />
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page7_10', ['BUS', ':']);</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'L1:'" />
      <xsl:with-param name="text2" select="'L2:'" />
      <xsl:with-param name="text3" select="'L3:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page7'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR84']/@val" />
      <xsl:with-param name="unit1" select="'V'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR85']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR86']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page7'"/>

    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="216"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR87']/@val" />
      <xsl:with-param name="unit1" select="'A'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR88']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR89']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page7'"/>

    </xsl:call-template>

    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
