<?xml version="1.0"?>
<!--
   modat2_panel.xsl - UPS screen for Piller APOTRANS II models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modat2_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modat2_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="520"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="784"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modat2_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modat2_panel-body">
    <xsl:call-template name="IEpixelBugfixCall"/>

    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>

    <div id="master" style="position:absolute; top:10px;left:10px">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backat.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <xsl:apply-templates />
      <script type="text/javascript">
        init();
      </script>
    </div>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">
    <div style="position: absolute; left:444px; top:137px; width:28px; height:28px; z-index:1;">
      <a href="javascript:onChangeSelectionUp()">
        <img border="0" alt="" src="./lib/ups/image/piller/selectUpAt2.jpg" width="28" height="28"/>
      </a>
    </div>
    <div style="position: absolute; left:443px; top:180px; width:28px; height:28px; z-index:1;">
      <a href="javascript:onChangeSelectionDown()">
        <img border="0" alt="" src="./lib/ups/image/piller/selectDownAt2.jpg" width="28" height="28"/>
      </a>
    </div>

    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 425px; top: 281px; width: 200px; height: 17px; color:#004C8B; text-align:center">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 395px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 402px; width: 100px; height: 17px; text-align:center;  ">
        <a id="event_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text("event_rec", 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>

    <xsl:variable name="adr154">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR154']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr155">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR155']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr156">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR156']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="384"/>
      <xsl:with-param name="y" select="376"/>
      <xsl:with-param name="w" select="10"/>
      <xsl:with-param name="h" select="10"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr155"/>
      <xsl:with-param name="high" select="0"/>
    </xsl:call-template>
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="384"/>
      <xsl:with-param name="y" select="320"/>
      <xsl:with-param name="w" select="10"/>
      <xsl:with-param name="h" select="10"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr154"/>
      <xsl:with-param name="high" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="301"/>
      <xsl:with-param name="y" select="304"/>
      <xsl:with-param name="w" select="10"/>
      <xsl:with-param name="h" select="10"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr156"/>
      <xsl:with-param name="high" select="0"/>
    </xsl:call-template>
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="301"/>
      <xsl:with-param name="y" select="360"/>
      <xsl:with-param name="w" select="10"/>
      <xsl:with-param name="h" select="10"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr155"/>
      <xsl:with-param name="high" select="1"/>
    </xsl:call-template>
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="384"/>
      <xsl:with-param name="y" select="263"/>
      <xsl:with-param name="w" select="10"/>
      <xsl:with-param name="h" select="10"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr154"/>
      <xsl:with-param name="high" select="0"/>
    </xsl:call-template>

    <xsl:variable name="switch" 	select="value[@name='ADR8F']/@val"/>


    <xsl:variable name="volt1-text">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:value-of select="'L1-L2:'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L1-N:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt2-text">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:value-of select="'L2-L3:'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L2-N:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt3-text">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:value-of select="'L3-L1:'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L3-N:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt1mains1">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR65']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR68']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt2mains1">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR66']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR69']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3mains1">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR67']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR6A']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt1mains2">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR70']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR73']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2mains2">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR71']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR74']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3mains2">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR72']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR75']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt1out">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR7B']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR7E']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2out">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR7C']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR7F']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3out">
      <xsl:choose>
        <xsl:when test="$switch = 1">
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR7D']/@val"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR80']/@val"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="cur1mains1">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR6B']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="cur2mains1">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR6C']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="cur3mains1">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR6D']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="cur1mains2">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR76']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="cur2mains2">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR77']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="cur3mains2">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR78']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="pageX1"   select="247"/>
    <xsl:variable name="pageX2"   select="$pageX1+ 30"/>
    <xsl:variable name="pageX3"   select="$pageX2+ 55"/>
    <xsl:variable name="pageX3u"   select="645"/>
    <xsl:variable name="pageY"    select="146"/>
    <xsl:variable name="lineheight"   select="12"/>
    <xsl:variable name="columnwidth"    select="48"/>
    <xsl:variable name="smallcolumnwidth"    select="25"/>
    <xsl:variable name="bigcolumnwidth"    select="100"/>

    <!-- MAINS1_AT-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN1:'" />
      <xsl:with-param name="text2"  select="$volt1-text" />
      <xsl:with-param name="text3" select="$volt2-text" />
      <xsl:with-param name="text4" select="$volt3-text" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1" select="value[@name='ADR63']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="$volt1mains1" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$volt2mains1" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$volt3mains1" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1" select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="$cur1mains1" />
      <!--value[@name='ADR6B']/@val-->
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$cur2mains1" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$cur3mains1" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <!-- MAINS2_AT -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN2:'" />
      <xsl:with-param name="text2" select="$volt1-text" />
      <xsl:with-param name="text3" select="$volt2-text" />
      <xsl:with-param name="text4" select="$volt3-text" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR6E']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$volt1mains2" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$volt2mains2" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$volt3mains2" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR6F']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="$cur1mains2" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$cur2mains2" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$cur3mains2" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <xsl:variable name="cur1output">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR81']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="cur2output">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR82']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="cur3output">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR83']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- OUTPUT -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'OUT:'" />
      <xsl:with-param name="text2" select="$volt1-text" />
      <xsl:with-param name="text3" select="$volt2-text" />
      <xsl:with-param name="text4" select="$volt3-text" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page21", ['OUT', ':']);</script>
    
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR79']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$volt1out" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$volt2out" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$volt3out" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value1"  select="value[@name='ADR7A']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="$cur1output" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$cur2output" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$cur3output" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <xsl:variable name="datetime" select="//report/@time"/>
    <xsl:variable name="date" select="concat('', substring-before($datetime, ' '))"/>
    <xsl:variable name="time" select="concat('', substring-after($datetime, ' '))"/>

    <!-- DEFAULT -->

    <xsl:variable name="adraaflag">
      <xsl:choose>
        <xsl:when test="value[@name='ADRAA']/@val = 1">
          <xsl:value-of select="'c'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'i'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="actualtime">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR87']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="actualtime_txt">
      <xsl:choose>
        <xsl:when test="$actualtime=65535">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat($actualtime, ' S')"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="output_power">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRA7']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="output_power_factor">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRA8']/@val"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="output_power_factor_txt">
      <xsl:choose>
        <xsl:when test="$output_power_factor=32768 ">
          <xsl:value-of select="'-.-'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat($output_power_factor div 10.0, concat(' ',$adraaflag))"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="60"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="$date" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="60"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="$time" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY + 15"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="'RETRANSFER'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page3_retransfer'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_retransfer", 'RETRANSFER');</script>

    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="$pageX1"/>
      <xsl:with-param name="yT" select="$pageY + 27"/>
      <xsl:with-param name="wT" select="66"/>
      <xsl:with-param name="hT" select="13"/>
      <xsl:with-param name="alignT" select="'left'" />
      <xsl:with-param name="text"  select="'ACTUALTIME'" />
      <xsl:with-param name="w" select="80"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value" select="$actualtime_txt" />
      <xsl:with-param name="unit" select="''"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3_0_'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_0_0", ['ACTUALTIME', ':']);</script>

    <xsl:call-template name="paneRow">
      <xsl:with-param name="xT" select="$pageX1"/>
      <xsl:with-param name="yT" select="$pageY + 39"/>
      <xsl:with-param name="wT" select="60"/>
      <xsl:with-param name="hT" select="13"/>
      <xsl:with-param name="alignT" select="'left'" />
      <xsl:with-param name="text"  select="'OUTPUT'" />
      <xsl:with-param name="w" select="60"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value" select="$output_power" />
      <xsl:with-param name="unit" select="'kW/'"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3_1_'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_1_0", ['OUTPUT', ':']);</script>

    <xsl:call-template name="paneValue">
      <xsl:with-param name="x" select="$pageX1 + 122"/>
      <xsl:with-param name="y" select="$pageY + 39"/>
      <xsl:with-param name="alignT" select="'right'" />
      <xsl:with-param name="text"  select="''" />
      <xsl:with-param name="w" select="68"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="value" select="$output_power_factor_txt" />
      <xsl:with-param name="unit" select="''"/>
      <xsl:with-param name="precision" select="1"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>


    <xsl:variable name="mains1cur">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR84']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="mains2cur">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR85']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- CURRENT -->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY + 1"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="'NEUTRAL CURRENT'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page4", 'NEUTRAL CURRENT');</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY + 14"/>
      <xsl:with-param name="w" select="48"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'MAINS1'" />
      <xsl:with-param name="text2" select="'MAINS2'" />
      <xsl:with-param name="text3" select="'PHASE'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page41", ['MAINS', '1']);</script>
    <script type="text/javascript"> translate_text("page42", ['MAINS', '2']);</script>
    <script type="text/javascript"> translate_text("page43", 'PHASE');</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY + 15"/>
      <xsl:with-param name="w" select="80"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="$mains1cur" />
      <xsl:with-param name="unit1" select="'A'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$mains2cur" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR86']/@val" />
      <xsl:with-param name="unit3" select="'DGR'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>

    <!-- TRANSFER -->
    <xsl:variable name="adr90flag">
      <xsl:choose>
        <xsl:when test="value[@name='ADR90']/@val = 1">
          <xsl:value-of select="'*'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="' '"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="adr91flag">
      <xsl:choose>
        <xsl:when test="value[@name='ADR91']/@val = 1">
          <xsl:value-of select="'*'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="' '"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="transfer1_2">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR88']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="transfer2_1">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR89']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY + 1"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="'TRANSFER AUTOMATIC'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page5_0_'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page5_0_", 'TRANSFER AUTOMATIC');</script>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1 + 2"/>
      <xsl:with-param name="y" select="$pageY + 12"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="'COUNT'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page5_1_'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page5_1_", 'COUNT');</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY + 26"/>
      <xsl:with-param name="w" select="15"/>
      <xsl:with-param name="h" select="11"/>
      <xsl:with-param name="align" select="'center'" />
      <xsl:with-param name="text1"  select="$adr90flag" />
      <xsl:with-param name="text2" select="$adr91flag" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page5_2_'"/>
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1 + 10"/>
      <xsl:with-param name="y" select="$pageY + 26"/>
      <xsl:with-param name="w" select="85"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'center'" />
      <xsl:with-param name="text1"  select="'TRANSFER 1->2'" />
      <xsl:with-param name="text2" select="'TRANSFER 2->1'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page5_3_'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page5_3_1", ['TRANSFER', ' 1->2']);</script>
    <script type="text/javascript"> translate_text("page5_3_2", ['TRANSFER', ' 2->1']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX3 + 21"/>
      <xsl:with-param name="y" select="$pageY + 26"/>
      <xsl:with-param name="w" select="80"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="$transfer1_2" />
      <xsl:with-param name="unit1" select="' '"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$transfer2_1" />
      <xsl:with-param name="unit2" select="' '"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page5'"/>
    </xsl:call-template>

    <!-- HOURS -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="73"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'SCR-STACK 1:'" />
      <xsl:with-param name="text2"  select="'SCR-STACK 2:'" />
      <xsl:with-param name="text3"  select="'FAN 1:'" />
      <xsl:with-param name="text4"  select="'FAN 2:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page6'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page61", ['SCR-STACK', ' 1:']);</script>
    <script type="text/javascript"> translate_text("page62", ['SCR-STACK', ' 2:']);</script>
    <script type="text/javascript"> translate_text("page63", ['FAN', ' 1:']);</script>
    <script type="text/javascript"> translate_text("page624", ['FAN', ' 2:']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3 - 8"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="72"/>
      <xsl:with-param name="h" select="13"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR8C']/@val*10000 + value[@name='ADR8D']/@val" />
      <xsl:with-param name="unit1" select="'H'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADRA5']/@val*10000 + value[@name='ADRA6']/@val" />
      <xsl:with-param name="unit2" select="'H'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='ADR95']/@val*10000 + value[@name='ADR96']/@val" />
      <xsl:with-param name="unit3" select="'H'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4"  select="value[@name='ADR99']/@val*10000 + value[@name='ADR9A']/@val" />
      <xsl:with-param name="unit4" select="'H'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page6'"/>
    </xsl:call-template>

    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
