<?xml version="1.0"?>
<!--
   modat3.xsl - UPS screen for Piller AT III.
   Copyright (c) 2009, Generex GmbH. All rights reserved.
   said
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../ups/modbuscommon.xsl"/>
  <xsl:import href="./../app/common.xsl"/>
  <xsl:import href="./modat3_panel.xsl"/>
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>


  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="content-type" content="text/html; charset=ISO-8859-1" />
        <meta http-equiv="expires" content="0" />
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX Network Management System" />
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <script type="text/javascript" src="./lib/jqmodule.js"></script>
        <script type="text/javascript" src="./lib/periodic_req.js"></script>
        <script type="text/javascript" src="./lib/app/app_utils.js"></script>
        <script type="text/javascript" src="./lib/utils.js"></script>
        <title>NMS Web Client</title>
        <xsl:call-template name="set_css"/>

        <xsl:call-template name="IEpixelBugfixDef">
          <xsl:with-param name="pixels" select="0"/>
        </xsl:call-template>

        <xsl:call-template name="popup"/>
        <xsl:call-template name="js_refresh_def"/>

        <xsl:variable name="page-count">
          <xsl:choose>
            <xsl:when test="//value[@name='ADR9E']/@val = 1 and //value[@name='ADRD1']/@val=1">
              <xsl:value-of select="9"/>
            </xsl:when>
            <xsl:when test="//value[@name='ADR9E']/@val = 1 or //value[@name='ADRD1']/@val=1">
              <xsl:value-of select="8"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="7"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:variable>

        <xsl:call-template name="js_selection">
          <xsl:with-param name="pageCount" select="$page-count"/>
        </xsl:call-template>

         <script type="text/javascript">
         if(get_plattform() == utils_api.plattform_cs141)
         {
            xsl_ajax_api.init();
         }
         </script>

		</head>

      <body style="background-color:#ffffff; color: #000000; font-family: arial; font-size: 10px; font-weight: bold;">
        <xsl:if test="//report/@_platform = 'cs141'">
          <div id="loading_id" style="position:absolute;top: 60px;left:100px;width: 30px; height:30px; z-index:120;display:none">
            <img src="./lib/ups/image/ups/ajax.gif" alt="Test" width="16" height="16" />
          </div>
        </xsl:if>
        <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
          <xsl:call-template name="js_refresh_def"/>
        </xsl:if>
        <xsl:call-template name="popup"/>
        <xsl:call-template name="app-notifier"/>
        <xsl:call-template name="window-title"/>
        <xsl:call-template name="modat3_panel-body"/>
        <xsl:call-template name="modat3_panel-header"/>
        <xsl:call-template name="modat3_panel-footer"/>
        <xsl:call-template name="modat3_panel-menu"/>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>