<?xml version="1.0"?>
<!--
   modat3_panel.xsl - UPS screen for Piller Ap III.
   Copyright (c) 2009, Generex GmbH. All rights reserved.
   said
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->

  <xsl:template name="get-time">
    <xsl:param 		name="val" select="'0'"/>
    <xsl:variable name="prefix">
      <xsl:choose>
        <xsl:when test=" 2 &gt; string-length($val)">
          <xsl:value-of select="'0'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:value-of select="concat($prefix, $val)"/>
  </xsl:template>

  <!--Header-->
  <xsl:template name="modat3_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modat3_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="540"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="790"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modat3_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>
  <!--Body-->
  <xsl:template name="modat3_panel-body">
    <div id="master" style="position:absolute;top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backat3.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'792'"/>
        <xsl:with-param name="h" select="'511'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <div style="position: absolute; left:612px; top:115px; width:39px; height:39px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()">
          <img border="0" alt="" src="./lib/ups/image/piller/app_scroll_up.gif" width="39" height="39"/>
        </a>
      </div>
      <div style="position: absolute; left:612px; top:166px; width:39px; height:39px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()">
          <img border="0" alt="" src="./lib/ups/image/piller/app_scroll_down.gif" width="39" height="39"/>
        </a>
      </div>
      <xsl:apply-templates />
      <script type="text/javascript">
        init();
      </script>

      <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
         <xsl:call-template name="js_refresh_call">
         <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
         </xsl:call-template>
      </xsl:if>


    </div>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">

    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 102px; top: 452px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 102px; top: 459px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text('evt_rec', 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>

    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 40px; width: 785px;  font-size:24px; text-align:center; color:#dfdfdf ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 520px; top: 461px; width: 214px; height: 17px; color:#dfdfdf; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <xsl:variable name="adrB4">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRB4']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrB5">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRB5']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrB6">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRB6']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrB7">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRB7']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrB8">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRB8']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrB9">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRB9']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrBA">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRBA']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrBB">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRBB']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrBC">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRBC']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="10"/>

    <!--Source 2 Available -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="189"/>
      <xsl:with-param name="y" select="379"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB4"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB4']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>
    <!--Isolation 2 Closed   -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="294"/>
      <xsl:with-param name="y" select="379"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB4"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB4']/@val"/>
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!--Output Energized -->
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="555"/>
      <xsl:with-param name="y" select="352"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB5"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB5']/@val"/>
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!-- Sources in Sync -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="189"/>
      <xsl:with-param name="y" select="352"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB6"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB6']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>
    <!--Isolation 1 Closed -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="294"/>
      <xsl:with-param name="y" select="324"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB6"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB6']/@val"/>
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!--Output Isolation Closed  -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="452"/>
      <xsl:with-param name="y" select="351"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB7"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB7']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!--reset-->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="165"/>
      <xsl:with-param name="y" select="118"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB8"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB8']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>
    <!--Static Switch 2 On-->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="359"/>
      <xsl:with-param name="y" select="368"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrB8"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRB8']/@val"/>
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!--service-->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="114"/>
      <xsl:with-param name="y" select="119"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrBA"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRBA']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>
    <!--Static Switch 1 On -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="358"/>
      <xsl:with-param name="y" select="313"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrBA"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRBA']/@val"/>
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!--Bypass 1 On -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="455"/>
      <xsl:with-param name="y" select="270"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrBB"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRBB']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!--Source 1 Available -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="189"/>
      <xsl:with-param name="y" select="324"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrBC"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRBC']/@val"/>
      <xsl:with-param name="high" select="0"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>
    <!--Bypass 2 On  -->
    <xsl:call-template name="modbuslednew_apt3">
      <xsl:with-param name="x" select="452"/>
      <xsl:with-param name="y" select="432"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adrBC"/>
      <xsl:with-param name="adrs_val_dec" select="value[@name='ADRBC']/@val"/>
      <xsl:with-param name="high" select="1"/>
      <xsl:with-param name="swap-red-green" select="1"/>
    </xsl:call-template>

    <!-- *** PANES ***-->
    <xsl:variable name="panel-left" select="324"/>
    <xsl:variable name="panel-top" select="115"/>
    <xsl:variable name="panel-y-offset" select="8"/>
    <xsl:variable name="panel-width" select="138"/>
    <xsl:variable name="panel-height" select="89"/>
    <xsl:variable name="line-height" select="14"/>

    <!-- Page DEFAULT -->
    <xsl:variable name="panel-default-offset" select="5"/>

    <xsl:variable name="adr90" select="value[@name='ADR90']/@val"/>
    <xsl:variable name="adr91" select="value[@name='ADR91']/@val"/>
    <xsl:variable name="adr86" select="value[@name='ADR86']/@val"/>
    <xsl:variable name="adrC6" select="value[@name='ADRC6']/@val"/>
    <xsl:variable name="adr87" select="value[@name='ADR87']/@val"/>


    <xsl:variable name="adrC3" select="value[@name='ADRC3']/@val"/>
    <xsl:variable name="adrC4" select="value[@name='ADRC4']/@val"/>
    <xsl:variable name="adrC5" select="value[@name='ADRC5']/@val"/>

    <xsl:variable name="inv1_txt">
      <xsl:choose>
        <xsl:when test="$adr90 &gt; 0">
          <xsl:value-of select="'&lt;--'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'--'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="inv2_txt">
      <xsl:choose>
        <xsl:when test="$adr91 &gt; 0">
          <xsl:value-of select="'--&gt;'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'--'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!--phase mains1-->
    <xsl:variable name="unsigned_phase_mains1">
      <xsl:call-template name="unsigner">
         <xsl:with-param name="val" select="$adr86"/>
         <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
   </xsl:variable>

    <xsl:variable name="phase_mains1">
      <xsl:choose>
        <xsl:when test="$unsigned_phase_mains1 &gt; 999">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat($unsigned_phase_mains1,'&#176;')"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>    

    <xsl:variable name="l1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="$adrC3"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="l2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="$adrC4"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="l3">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="$adrC5"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="def-header-text">
      <xsl:choose>
        <xsl:when test="$adrC6= 1">
          <xsl:value-of select="'Static&#160;switch&#160;1&#160;is&#160;on'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 2">
          <xsl:value-of select="'Static switch&#160;2&#160;is&#160;on'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 3">
          <xsl:value-of select="'Normal&#160;operation&#160;(automatic)'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 4">
          <xsl:value-of select="'Bypass&#160;1&#160;is&#160;on'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 5">
          <xsl:value-of select="'Bypass&#160;2&#160;is&#160;on'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 6">
          <xsl:value-of select="'Bypass&#160;operation'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 7">
          <xsl:value-of select="'Overload&#160;operation'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 8">
          <xsl:value-of select="'F9A6.7'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 9">
          <xsl:value-of select="'Transfer&#160;mode&#160;manually'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 10">
          <xsl:value-of select="'Autostart&#160;is&#160;running'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 11">
          <xsl:value-of select="'Waiting&#160;for&#160;retransfer'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 12">
          <xsl:value-of select="'Retransfertimer&#160;running:'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 13">
          <xsl:value-of select="'Transfer&#160;inhibit(sync)'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 14">
          <xsl:value-of select="'Switching&#160;operations&#160;blocked'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 15">
          <xsl:value-of select="'Emergency&#160;off&#160;is&#160;active'"/>
        </xsl:when>
        <xsl:when test="$adrC6 = 16">
          <xsl:value-of select="'F9A6.15'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="' '"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <div id="page001" style="position:absolute; left:{$panel-left}px; top:{$panel-top + $panel-default-offset - 1}px; width:{$panel-width}px; height:{$line-height -1}px; visibility:visible;text-align:left;">
      <xsl:value-of select="'&#160;IN1'"/>
      <xsl:value-of select="'&#160;&#160;'"/>
      <xsl:value-of select="$inv1_txt"/>
      <xsl:value-of select="'&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;'"/>
      <xsl:value-of select="$phase_mains1"/>
      <xsl:value-of select="'&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;'"/>
      <xsl:value-of select="$inv2_txt"/>
      <xsl:value-of select="'&#160;&#160;'"/>
      <xsl:value-of select="'IN2'"/>
    </div>

    <div id="page002" style="position:absolute; left:{$panel-left}px; top:{$panel-top + $panel-default-offset+ $line-height}px; width:{$panel-width}px; height:{$line-height}px; visibility:visible;text-align:left;">
      <script type="text/javascript"> translate_text('page002', '<xsl:value-of select="$def-header-text"/>');</script>   
      <xsl:if test="$adrC6= 12">
        <xsl:value-of select="$adr87"/>
        <xsl:value-of select="'S'"/>
      </xsl:if>
    </div>

    <xsl:call-template name="mini-load-bar">
      <xsl:with-param name="x" select="$panel-left"/>
      <xsl:with-param name="y" select="$panel-top + $panel-default-offset + $line-height *2"/>
      <xsl:with-param name="w1" select="($panel-width div 6)"/>
      <xsl:with-param name="bar-w" select="2*($panel-width div 3)"/>
      <xsl:with-param name="w2" select="($panel-width div 5)"/>
      <xsl:with-param name="bar-h" select="3*($line-height div 4)"/>
      <xsl:with-param name="lh" select="$line-height"/>
      <xsl:with-param name="l1" select="$l1"/>
      <xsl:with-param name="l2" select="$l2"/>
      <xsl:with-param name="l3" select="$l3"/>
      <xsl:with-param name="style" select="'color:#ff0000; font-size:8px; font-weight:bold'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="id" select="'page0'"/>
    </xsl:call-template>

    <xsl:variable name="curr-hour">
      <xsl:call-template name="tokenize">
        <xsl:with-param name="token-string" select="//report/@time"/>
        <xsl:with-param name="which" select="1"/>
        <xsl:with-param name="delim" select="':'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="curr-min">
      <xsl:call-template name="tokenize">
        <xsl:with-param name="token-string" select="//report/@time"/>
        <xsl:with-param name="which" select="2"/>
        <xsl:with-param name="delim" select="':'"/>
      </xsl:call-template>
    </xsl:variable>
    <div id="page003" style="position:absolute; left:{$panel-left + 2}px; top:{$panel-top + $panel-default-offset + 5*$line-height}px; width:{$panel-width}px; height:{$line-height}px; visibility:visible;text-align:center; ">
      <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
      <xsl:value-of select="concat($curr-hour, concat(':', $curr-min))"/>
    </div>

    <!--Mains 1-->
    <xsl:variable name="phase-neutral">
      <xsl:choose>
        <xsl:when test="value[@name='ADR8F']/@val = 0">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="adr63" select="value[@name='ADR63']/@val"/>
    <xsl:variable name="adr64" select="value[@name='ADR64']/@val"/>

    <xsl:variable name="adr65" select="value[@name='ADR65']/@val"/>
    <xsl:variable name="adr66" select="value[@name='ADR66']/@val"/>
    <xsl:variable name="adr67" select="value[@name='ADR67']/@val"/>

    <xsl:variable name="adr68" select="value[@name='ADR68']/@val"/>
    <xsl:variable name="adr69" select="value[@name='ADR69']/@val"/>
    <xsl:variable name="adr6A" select="value[@name='ADR6A']/@val"/>
    <!-- 4-pole      4211  /  210  U  0 = 3-pole,    1 = 4-pole -->
    <xsl:variable name="adrD2" select="value[@name='ADRD2']/@val"/>
    <!--<xsl:variable name="adrD2" select="'1'"/>-->
    <xsl:variable name="adr84" select="value[@name='ADR84']/@val"/>
    <xsl:variable name="adr6B" select="value[@name='ADR6B']/@val"/>
    <xsl:variable name="adr6C" select="value[@name='ADR6C']/@val"/>
    <xsl:variable name="adr6D" select="value[@name='ADR6D']/@val"/>

    <div id="page100" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:visible;text-align:center;">

      <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
        <tr>
          <td id="main_1" align="left" colspan="3">
            <script type="text/javascript"> translate_text('main_1', 'Mains 1');</script>
          </td>
        </tr>
        <tr>
          <!--mains 1 apparent power-->
          <td align="right" colspan="2">
            <xsl:value-of select="concat($adr63, '&#160;kVA')" />
          </td>
          <!--mains 1  frequency -->
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" select="$adr64 div 10"/>
              <xsl:with-param name="unit" select="'Hz'"/>
              <xsl:with-param name="precision" select="1"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <xsl:choose>
            <xsl:when test="$phase-neutral = 1">
              <td align="left">
                <xsl:value-of select="'L1&#8722;N:'"/>
              </td>
              <td align="right">
                <xsl:value-of select="concat($adr68, '&#160;V')" />
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td align="left">
                <xsl:value-of select="'L1&#8722;L2:'"/>
              </td>
              <td align="right">
                <xsl:value-of select="concat($adr65, '&#160;V')" />
              </td>
            </xsl:otherwise>
          </xsl:choose>

          <td align="right">
            <xsl:value-of select="concat($adr6B, '&#160;A')" />
          </td>
        </tr>

        <tr>
          <xsl:choose>
            <xsl:when test="$phase-neutral = 1">
              <td align="left">
                <xsl:value-of select="'L2&#8722;N:'"/>
              </td>
              <td align="right">
                <xsl:value-of select="concat($adr69, '&#160;V')" />
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td align="left">
                <xsl:value-of select="'L2&#8722;L3:'"/>
              </td>
              <td align="right">
                <xsl:value-of select="concat($adr66, '&#160;V')" />
              </td>
            </xsl:otherwise>
          </xsl:choose>
          <td align="right">
            <xsl:value-of select="concat($adr6C, '&#160;A')" />
          </td>
        </tr>

        <tr>
          <xsl:choose>
            <xsl:when test="$phase-neutral = 1">
              <td align="left">
                <xsl:value-of select="'L3&#8722;N:'"/>
              </td>
              <td align="right">
                <xsl:value-of select="concat($adr6A, '&#160;V')" />
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td align="left">
                <xsl:value-of select="'L3&#8722;L1:'"/>
              </td>
              <td align="right">
                <xsl:value-of select="concat($adr67, '&#160;V')" />
              </td>
            </xsl:otherwise>
          </xsl:choose>
          <td align="right">
            <xsl:value-of select="concat($adr6D, '&#160;A')" />
          </td>
        </tr>
        <!--mains 1 load neutral current-->
        <xsl:if test="$adrD2= 0">
          <tr>
            <td align="right" colspan="3">
              <xsl:value-of select="concat('N:&#160;', concat($adr84,'&#160;A'))" />
            </td>
          </tr>
        </xsl:if>
      </table>
    </div>

    <!--Page MAINS 2 -->
    <xsl:variable name="adr6E" select="value[@name='ADR6E']/@val"/>
    <xsl:variable name="adr6F" select="value[@name='ADR6F']/@val"/>
    <xsl:variable name="adr73" select="value[@name='ADR73']/@val"/>
    <xsl:variable name="adr74" select="value[@name='ADR74']/@val"/>
    <xsl:variable name="adr75" select="value[@name='ADR75']/@val"/>

    <xsl:variable name="adr70" select="value[@name='ADR70']/@val"/>
    <xsl:variable name="adr71" select="value[@name='ADR71']/@val"/>
    <xsl:variable name="adr72" select="value[@name='ADR72']/@val"/>

    <xsl:variable name="adr76" select="value[@name='ADR76']/@val"/>
    <xsl:variable name="adr77" select="value[@name='ADR77']/@val"/>
    <xsl:variable name="adr78" select="value[@name='ADR78']/@val"/>
    <xsl:variable name="adr85" select="value[@name='ADR85']/@val"/>


    <xsl:variable name="mains-2-phase-text-1">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="'L1&#8722;N:'"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="'L1&#8722;L2:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains-2-phase-text-2">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="'L2&#8722;N:'"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="'L2&#8722;L3:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains-2-phase-text-3">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="'L3&#8722;N:'"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="'L3&#8722;L1:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains-2-phase-volt-1">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="$adr73"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="$adr70"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains-2-phase-volt-2">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="$adr74"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="$adr71"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="mains-2-phase-volt-3">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="$adr75"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="$adr72"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="page200" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:visible;text-align:center;">
      <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
        <tr>
          <td id="main_2" align="left" colspan="3">
            <script type="text/javascript"> translate_text('main_2', 'Mains 2');</script>
          </td>
        </tr>
        <tr>
          <!--mains 2 apparent power-->
          <td align="right" colspan="2">
            <xsl:value-of select="concat($adr6E, '&#160;kVA')" />
          </td>
          <!--mains 2 frequency -->
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" select="$adr6F div 10"/>
              <xsl:with-param name="unit" select="'Hz'"/>
              <xsl:with-param name="precision" select="1"/>
            </xsl:call-template>
          </td>
        </tr>

        <tr>
          <td align="left">
            <xsl:value-of select="$mains-2-phase-text-1"/>
          </td>
          <td align="right">
            <xsl:value-of select="concat($mains-2-phase-volt-1, '&#160;V')" />
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr76, '&#160;A')" />
          </td>
        </tr>
        <tr>
          <td align="left">
            <xsl:value-of select="$mains-2-phase-text-2"/>
          </td>
          <td align="right">
            <xsl:value-of select="concat($mains-2-phase-volt-2, '&#160;V')" />
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr77, '&#160;A')" />
          </td>
        </tr>
        <tr>
          <td align="left">
            <xsl:value-of select="$mains-2-phase-text-3"/>
          </td>
          <td align="right">
            <xsl:value-of select="concat($mains-2-phase-volt-3, '&#160;V')" />
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr78, '&#160;A')" />
          </td>
        </tr>

        <!--mains 2 load neutral current-->
        <xsl:if test="$adrD2= 0">
          <tr>
            <td align="right" colspan="3">
              <xsl:value-of select="concat('N:&#160;', concat($adr85,'&#160;A'))" />
            </td>
          </tr>
        </xsl:if>
      </table>
    </div>

    <!--Page LOAD -->
    <xsl:variable name="adr79" select="value[@name='ADR79']/@val"/>
    <xsl:variable name="adr7A" select="value[@name='ADR7A']/@val"/>
    <xsl:variable name="adr7B" select="value[@name='ADR7B']/@val"/>
    <xsl:variable name="adr7C" select="value[@name='ADR7C']/@val"/>
    <xsl:variable name="adr7D" select="value[@name='ADR7D']/@val"/>
    <xsl:variable name="adr7E" select="value[@name='ADR7E']/@val"/>
    <xsl:variable name="adr7F" select="value[@name='ADR7F']/@val"/>
    <xsl:variable name="adr80" select="value[@name='ADR80']/@val"/>

    <xsl:variable name="adr81" select="value[@name='ADR81']/@val"/>
    <xsl:variable name="adr82" select="value[@name='ADR82']/@val"/>
    <xsl:variable name="adr83" select="value[@name='ADR83']/@val"/>
    <xsl:variable name="adr8A" select="value[@name='ADR8A']/@val"/>

      <xsl:variable name="load-phase-text-1">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="'L1&#8722;N:'"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="'L1&#8722;L2:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="load-phase-text-2">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="'L2&#8722;N:'"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="'L2&#8722;L3:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="load-phase-text-3">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="'L3&#8722;N:'"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="'L3&#8722;L1:'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="load-phase-volt-1">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="$adr7E"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="$adr7B"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="load-phase-volt-2">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="$adr7F"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="$adr7C"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="load-phase-volt-3">
      <xsl:choose>
        <xsl:when test="$phase-neutral=1">
          <xsl:value-of select="$adr80"/>
        </xsl:when>
        <xsl:otherwise>
         <xsl:value-of select="$adr7D"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="page300" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:visible;text-align:center;">
      <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
        <tr>
          <td id="load_1" align="left" colspan="3">
            <script type="text/javascript"> translate_text('load_1', 'Load');</script>
          </td>
        </tr>
        <tr>
          <!--output apparent power -->
          <td align="right" colspan="2">
            <xsl:value-of select="concat($adr79, '&#160;kVA')" />
          </td>
          <!--output  frequency -->
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" select="$adr7A div 10"/>
              <xsl:with-param name="unit" select="'Hz'"/>
              <xsl:with-param name="precision" select="1"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td align="left">
            <xsl:value-of select="$load-phase-text-1"/>
          </td>
          <td align="right">
            <xsl:value-of select="concat($load-phase-volt-1, '&#160;V')" />
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr81, '&#160;A')" />
          </td>
        </tr>
        <tr>
          <td align="left">
            <xsl:value-of select="$load-phase-text-2"/>
          </td>
          <td align="right">
            <xsl:value-of select="concat($load-phase-volt-2, '&#160;V')" />
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr82, '&#160;A')" />
          </td>
        </tr>
        <tr>
          <td align="left">
            <xsl:value-of select="$load-phase-text-3"/>
          </td>
          <td align="right">
            <xsl:value-of select="concat($load-phase-volt-3, '&#160;V')" />
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr83, '&#160;A')" />
          </td>
        </tr>
        <!--load neutral current-->
        <xsl:if test="$adrD2= 0">
          <tr>
            <td align="right" colspan="3">
              <xsl:value-of select="concat('N:&#160;', concat($adr8A,'&#160;A'))" />
            </td>
          </tr>
        </xsl:if>
      </table>
    </div>
    <!--Page Operation Hours-->
    <xsl:variable name="adr8C" select="value[@name='ADR8C']/@val"/>
    <xsl:variable name="adr8D" select="value[@name='ADR8D']/@val"/>
    <xsl:variable name="adrA5" select="value[@name='ADRA5']/@val"/>
    <xsl:variable name="adrA6" select="value[@name='ADRA6']/@val"/>

    <xsl:variable name="adr95" select="value[@name='ADR95']/@val"/>
    <xsl:variable name="adr96" select="value[@name='ADR96']/@val"/>

    <xsl:variable name="adr99" select="value[@name='ADR99']/@val"/>
    <xsl:variable name="adr9A" select="value[@name='ADR9A']/@val"/>

    <div id="page4" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:hidden;text-align:center;">
      <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
        <tr>
          <td id="op_hours_1" align="left" colspan="2">
            <script type="text/javascript"> translate_text('op_hours_1', 'Operating Hours');</script>
          </td>
        </tr>
        <tr>
          <td id="static_switch_1" align="left">
            <script type="text/javascript"> translate_text('static_switch_1', ['Static switch', ' 1:']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="concat(($adr8C*10000)+$adr8D, '&#160;H')" />
          </td>
        </tr>
        <tr>
          <td id="static_switch_2" align="left">
            <script type="text/javascript"> translate_text('static_switch_2', ['Static switch', ' 2:']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="concat(($adrA5*10000)+$adrA6, '&#160;H')" />
          </td>
        </tr>
        <tr>
          <td id="fan_1" align="left">
            <script type="text/javascript"> translate_text('fan_1', ['Fan', ' 1:']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="concat(($adr95*10000)+$adr96, '&#160;H')" />
          </td>
        </tr>
        <tr>
          <td id="fan_2" align="left">
            <script type="text/javascript"> translate_text('fan_2', ['Fan', ' 2:']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="concat(($adr99*10000)+$adr9A, '&#160;H')" />
          </td>
        </tr>
      </table>
    </div>

    <!--Page Transfer Counter -->
    <xsl:variable name="adr88" select="value[@name='ADR88']/@val"/>
    <xsl:variable name="adr89" select="value[@name='ADR89']/@val"/>

    <xsl:variable name="adrFB" select="value[@name='ADRFB']/@val"/>
    <xsl:variable name="adrFC" select="value[@name='ADRFC']/@val"/>
    <xsl:variable name="adrFD" select="value[@name='ADRFD']/@val"/>


    <xsl:variable name="transfer-day">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRFB']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="transfer-month">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRFC']/@val"/>
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="transfer-date">
      <xsl:value-of select="concat(concat($transfer-day, '.'),concat(concat($transfer-month, '.'),value[@name='ADRFD']/@val))" />
    </xsl:variable>


    <div id="page5" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:hidden;text-align:center;">
      <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
        <tr>
          <td id="trans_counter_1" align="left" colspan="2">
            <script type="text/javascript"> translate_text('trans_counter_1', 'Transfer counter');</script>
          </td>
        </tr>
        <tr>
          <td id="automatic_1" align="left" colspan="2">
            <script type="text/javascript"> translate_text('automatic_1', 'Automatic');</script>
          </td>
        </tr>
        <tr>
          <td id="transfers_1_2" align="right" >
            <script type="text/javascript"> translate_text('transfers_1_2', ['transfers', ' 1->2']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="$adr88" />
          </td>
        </tr>
        <tr>
          <td id="transfers_2_1" align="right" >
            <script type="text/javascript"> translate_text('transfers_2_1', ['transfers', ' 2->1']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="$adr89" />
          </td>
        </tr>
        <tr>
          <td id="transfers_since_1" align="center" >
            <script type="text/javascript"> translate_text('transfers_since_1', ['Transfers since', ':']);</script>
          </td>
          <td align="left">
            <xsl:value-of select="$transfer-date"/>
          </td>
        </tr>
      </table>
    </div>

    <!--Page Info-Type-->
    <xsl:variable name="serial-no-1">
      <xsl:choose>
        <xsl:when test="value[@name='ADR178']/@val = 0">
          <xsl:value-of select="''"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR178']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="serial-no-1-hex">
      <xsl:call-template name="toHex">
        <xsl:with-param name="decimalNumber"  select="$serial-no-1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-1-hex-0">
      <xsl:call-template name="prefix-string">
        <xsl:with-param name="string" select="$serial-no-1-hex"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no-2">
      <xsl:choose>
        <xsl:when test="value[@name='ADR179']/@val = 0">
          <xsl:value-of select="''"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='ADR179']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="serial-no-2-hex">
      <xsl:call-template name="toHex">
        <xsl:with-param name="decimalNumber"  select="$serial-no-2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-2-hex-0">
      <xsl:call-template name="prefix-string">
        <xsl:with-param name="string" select="$serial-no-2-hex"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no-3">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADR17A']/@val"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-3-low-byte">
      <xsl:call-template name="bit-and">
        <xsl:with-param name="val1" select="$serial-no-3"/>
        <xsl:with-param name="val2" select="255"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no-3-hex">
      <xsl:call-template name="toHex">
        <xsl:with-param name="decimalNumber"  select="$serial-no-3-low-byte"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="serial-no-3-hex-0">
      <xsl:call-template name="prefix-string">
        <xsl:with-param name="len" select="2"/>
        <xsl:with-param name="string" select="$serial-no-3-hex"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="serial-no">
      <xsl:value-of select="concat($serial-no-1-hex-0, concat($serial-no-2-hex-0, ''))"/>
    </xsl:variable>

    <xsl:variable name="adr173" select="value[@name='ADR173']/@val"/>
    <xsl:variable name="adr177" select="value[@name='ADR177']/@val"/>
    <xsl:variable name="adr175" select="value[@name='ADR175']/@val"/>

    <xsl:variable name="pole_txt">
      <xsl:choose>
        <xsl:when test="$adrD2 = 1">
          <xsl:value-of select="'3&#8722;Pole'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'4&#8722;Pole'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="page6" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:hidden;text-align:center;">
      <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
        <tr>
          <td id="type_1" align="left" colspan="2">
            <script type="text/javascript"> translate_text('type_1', 'Type');</script>
          </td>
        </tr>
        <tr>
          <td align="left" >
            <xsl:value-of select="'APOTRANS'"/>
          </td>
          <td align="right">
            <xsl:value-of select="$pole_txt" />
          </td>
        </tr>
        <tr>
          <td id="nom_current_1" align="left" >
            <script type="text/javascript"> translate_text('nom_current_1', ['Nominal current', ':']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr173, '&#160;A')" />
          </td>
        </tr>
        <tr>
          <td id="nom_voltage_1" align="left" >
            <script type="text/javascript"> translate_text('nom_voltage_1', ['Nominal voltage', ':']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="concat($adr177, '&#160;V')" />
          </td>
        </tr>
        <tr>
          <td id="nom_frequency_1" align="left" >
            <script type="text/javascript"> translate_text('nom_frequency_1', ['Nominal frequency', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" select="$adr175 div 10"/>
              <xsl:with-param name="unit" select="'Hz'"/>
              <xsl:with-param name="precision" select="1"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="serial_number" align="left" >
            <script type="text/javascript"> translate_text('serial_number', ['Serial number', ':']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="$serial-no" />
          </td>
        </tr>
      </table>
    </div>

    <!--Page POWER-->
    <xsl:variable name="power-available">
      <xsl:choose>
        <xsl:when test="value[@name='ADR9E']/@val = 1">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="power-factor-available">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA8']/@val = -32768 or value[@name='ADRA8']/@val = 32768">
          <xsl:value-of select="0"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="1"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="power-factor-txt">
      <xsl:choose>
        <xsl:when test="value[@name='ADRAA']/@val = 1">
          <xsl:value-of select="'&#160;&#160;&#160;cap.'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADRAA']/@val = 2">
          <xsl:value-of select="'&#160;&#160;&#160;ind.'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="power-factor">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRA8']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="$power-available = 1">
      <div id="page7" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:hidden;text-align:center;">
        <table align="left" width="98%" height="100%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
          <tr>
            <td id="power_1" align="left" colspan="2">
              <script type="text/javascript"> translate_text('power_1', 'Power');</script>
            </td>
          </tr>
          <xsl:if test="$power-factor-available = 1">
            <tr>
              <td id="powerfactor_1" align="left" >
                <script type="text/javascript"> translate_text('powerfactor_1', ['Powerfactor', ':']);</script>
              </td>
              <td align="right">
                <xsl:value-of select="concat($power-factor, $power-factor-txt)" />
              </td>
            </tr>
          </xsl:if>

          <xsl:if test="$power-factor-available = 0">
            <tr>
              <td id="powerfactor_1" align="left" >
                <script type="text/javascript"> translate_text('powerfactor_1', ['Powerfactor', ':']);</script>
              </td>
              <td align="right">
                <xsl:value-of select="'-.-'" />
              </td>
            </tr>
          </xsl:if>
          <tr>
            <td align="left" >
              <xsl:value-of select="'Active power:'"/>
            </td>
            <td align="right">
              <xsl:value-of select="concat(value[@name='ADRA7']/@val, '&#160;&#160;&#160;kW')" />
            </td>
          </tr>

          <tr>
            <td id="apparent_power_1" align="left" >
              <script type="text/javascript"> translate_text('apparent_power_1', ['Apparent power', ':']);</script>
            </td>
            <td align="right">
              <xsl:value-of select="concat(value[@name='ADR79']/@val, '&#160;&#160;&#160;kVA')" />
            </td>
          </tr>
        </table>
      </div>
    </xsl:if>

    <!--Page Energie meter-->
    <xsl:variable name="eneregie-meter-page-id">
      <xsl:choose>
        <xsl:when test="$power-available = 1">
          <xsl:value-of select="'page8'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'page7'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:variable name="eneregie-meter-available">
      <xsl:choose>
        <xsl:when test="value[@name='ADRD1']/@val = 1">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="eneregie-meter-low-value">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRC9']/@val"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="eneregie-meter-high-value">
      <xsl:call-template name="unsigner">
        <xsl:with-param name="val" select="value[@name='ADRCA']/@val * 65536"/>
        <xsl:with-param name="bits" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="eneregie-day">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRCB']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="eneregie-month">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRCC']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="eneregie-hour">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRCE']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="eneregie-minute">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRCF']/@val"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="eneregie-second">
      <xsl:call-template name="get-time">
        <xsl:with-param name="val" select="value[@name='ADRD0']/@val"/>
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="eneregie-date">
      <xsl:value-of select="concat(concat($eneregie-day, '.'),concat(concat($eneregie-month, '.'),value[@name='ADRCD']/@val))" />
    </xsl:variable>

    <xsl:variable name="eneregie-time">
      <xsl:value-of select="concat(concat($eneregie-hour, ':'),concat(concat($eneregie-minute, ':'),$eneregie-second))" />
    </xsl:variable>

    <xsl:if test="$eneregie-meter-available = 1">
      <div id="{$eneregie-meter-page-id}" style="position:absolute; left:316px; top:116px; width:166px; height:88px;visibility:hidden;text-align:center;">
        <table align="left" width="98%" height="70%" cellspacing="0" cellpadding="0" style="margin-left:2px;display: table;font-family: arial; font-size: 10px;font-weight: bold">
          <tr>
            <td id="energy_meter" align="left" colspan="2">
              <script type="text/javascript"> translate_text('energy_meter', 'Energy Meter');</script>
            </td>
          </tr>
          <tr>
            <td align="center" colspan="2">
              <xsl:value-of select="concat($eneregie-meter-low-value + $eneregie-meter-high-value, '&#160;kWh')" />
            </td>
          </tr>
          <tr>
            <td id="eneregie_date" align="center" colspan="2">
               <script type="text/javascript"> translate_text('eneregie_date', ['since', ' ', 
               '<xsl:value-of select="$eneregie-date" />', '  ', '<xsl:value-of select="$eneregie-time" />']);
               </script>
            </td>
          </tr>
        </table>
      </div>
    </xsl:if>

    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>




