<?xml version="1.0"?>
<!--
   modat_panel.xsl - UPS screen for Piller APOJET models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modat_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modat_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="520"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="782"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modat_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modat_panel-body">
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>

    <div id="master" style="position:absolute; top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backat1.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <div style="position: absolute; left:561px; top:301px; width:22px; height:2px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectUpAT1.gif" width="22" height="22"/>
        </a>
      </div>
      <div style="position: absolute; left:609px; top:302px; width:22px; height:22px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectDownAT1.gif" width="22" height="22" />
        </a>
      </div>
      <xsl:apply-templates />
    </div>
    <script type="text/javascript">
      init();
    </script>
  </xsl:template>

  <!-- Implementation -->

  <xsl:template match="values">
    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 45px; width: 785px;  font-size:24px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 503px; top: 353px; width: 190px; height: 17px; text-align:center; color:#ffffff; ">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 428px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 332px; top: 435px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text('evt_rec', 'Eventrecorder');</script>
       </a>
      </div>
    </xsl:if>

    <xsl:variable name="adrd6">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD6']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd7">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD7']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd8">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD8']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="adrdb">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDB']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdc">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDC']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- LOAD BAR -->
    <xsl:call-template name="PillerLoadbar">
      <xsl:with-param name="adrstr" select="$adrd6"/>
      <xsl:with-param name="x" select="'435'"/>
      <xsl:with-param name="y" select="'190'"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="title" select="'Load'"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'"/>
    </xsl:call-template>

    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="10"/>
    <!-- SOURCE 1 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="93"/>
      <xsl:with-param name="y" select="251"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>
    <!-- SOURCE 2 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="134"/>
      <xsl:with-param name="y" select="179"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="3"/>
    </xsl:call-template>
    <!-- BYPASS 1 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="198"/>
      <xsl:with-param name="y" select="314"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="11"/>
    </xsl:call-template>
    <!-- BYPASS 2 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="242"/>
      <xsl:with-param name="y" select="143"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>
    <!-- INVERTER 1 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="253"/>
      <xsl:with-param name="y" select="261"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="11"/>
    </xsl:call-template>
    <!--INVERTER 2 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="253"/>
      <xsl:with-param name="y" select="190"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="9"/>
    </xsl:call-template>
    <!--OUTPUT -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="361"/>
      <xsl:with-param name="y" select="251 "/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>

    <xsl:variable name="pageX1"   select="516"/>
    <xsl:variable name="pageX2a"   select="546"/>
    <xsl:variable name="pageX2"   select="566"/>
    <xsl:variable name="pageX3"   select="616"/>
    <xsl:variable name="pageX3a"   select="616"/>
    <xsl:variable name="pageY"    select="212"/>
    <xsl:variable name="lineheight"   select="14"/>
    <xsl:variable name="columnwidth"    select="48"/>

    <!-- MAINS1_1 -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN1:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2a"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth+10"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1" select="value[@name='ADR6E']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='INVOLT']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='INVOLT']/@val2" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='INVOLT']/@val3" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3a"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1" select="value[@name='ADRA5']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR70']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR71']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR72']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <!-- MAINS 2-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN2:'" />
      <xsl:with-param name="text2" select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2a"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth+10"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR6F']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADRA2']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADRA3']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADRA4']/@val" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3a"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADRA6']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="value[@name='ADR73']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR74']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR75']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <!-- OUTPUT 1-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'OUT:'" />
      <xsl:with-param name="text2" select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page2_11', 'OUT');</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2a"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth+10"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR7A']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR76']/@val" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR77']/@val" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR78']/@val" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3a"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR79']/@val div 10.0" />
      <xsl:with-param name="unit1" select="'Hz'"/>
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="value[@name='ADR86']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR87']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR88']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <!-- MAINS FAILURE-->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="'Transfer Automatic'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page3_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_0', 'Transfer Automatic');</script>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="'Mains Failure Count'" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page3_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_1', 'Mains Failure Count');</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+2*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth+10"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Source 1:'" />
      <xsl:with-param name="text2" select="'Source 2:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page3_21', ['Source', ' 1:']);</script>
    <script type="text/javascript"> translate_text('page3_22', ['Source', ' 2:']);</script>
    
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX2+30"/>
      <xsl:with-param name="y" select="$pageY+2*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth+10"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR8C']/@val" />
      <xsl:with-param name="unit1" select="' '"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR9E']/@val" />
      <xsl:with-param name="unit2" select="' '"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <!-- DEFAULT -->
    <xsl:variable name ="input">
      <xsl:value-of select="value[@name='ADR6B']/@val"/>
      <xsl:text>kW/</xsl:text>
      <xsl:value-of select="value[@name='ADR92']/@val div 100"/>
    </xsl:variable>
    <xsl:variable name ="output">
      <xsl:value-of select="value[@name='ADR7C']/@val"/>
      <xsl:text>kW/</xsl:text>
      <xsl:value-of select="value[@name='ADR93']/@val div 100"/>
    </xsl:variable>
    <!-- TEST -->

    <!-- TEXTE -->
    <div id="bypass2" class="Small" align="right" style="position: absolute; left: 226px; top: 127px; color:#ffffff;">
      <script type="text/javascript"> translate_text('bypass2', ['BYPASS', ' 2']);</script>
    </div>
    <div id="bypass1" class="Small" align="right" style="position: absolute; left: 183px; top: 297px; color:#ffffff;">
      <script type="text/javascript"> translate_text('bypass1', ['BYPASS', ' 1']);</script>
    </div>
    <div id="ss1" class="MediumBold" align="right" style="position: absolute; left: 100px; top: 347px; color:#ffffff;">SS1</div>
    <div id="ss2" class="MediumBold" align="right" style="position: absolute; left: 372px; top: 347px; color:#ffffff;">SS2</div>
    <div id="Source2" class="Small" align="right" style="position: absolute; left: 60px; top: 195px; color:#ffffff;">
      <script type="text/javascript"> translate_text('Source2', ['SOURCE', ' 1']);</script>
    </div>
    <div id="Source1" class="Small" align="right" style="position: absolute; left: 60px; top: 233px; color:#ffffff;">
      <script type="text/javascript"> translate_text('Source1', ['SOURCE', ' 1']);</script>
   </div>
    <div id="Reset1" class="Small" align="right" style="position: absolute; left: 232px; top: 377px; color:#000000;">
      <script type="text/javascript"> translate_text('Reset1', 'RESET');</script>
    </div>
    <!--
	<div id="Debug" class="LargeBold" align="right" style="position: absolute; top: 50px; left: 50px; width: 163px; height: 17px; font-size:18px;">
		<xsl:value-of select="$input"  /><br/>
		<xsl:value-of select="$output" /><br/>
      <xsl:value-of select="$adrd8"  /><br/>
	</div>
-->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="value[@name='LOCALTIME']/@val" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="2*$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value"  select="value[@name='LOCALDATE']/@val" />
      <xsl:with-param name="unit" select="' '"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>
    
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="2*$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hours.:'" />
      <xsl:with-param name="text2" select="'Retransfer Timer'" />
      <xsl:with-param name="text3" select="'Actual Time:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page4_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page4_31', ['Hours', ':']);</script>
    <script type="text/javascript"> translate_text('page4_32', 'Retransfer Timer');</script>
    <script type="text/javascript"> translate_text('page4_33', ['Actual Time', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="2*$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR8A']/@val*10000 + value[@name='ADR8B']/@val" />
      <xsl:with-param name="unit1" select="'h'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="' '" />
      <xsl:with-param name="unit2" select="' '"/>
      <xsl:with-param name="precision2" select="-1"/>
      <xsl:with-param name="value3"  select="value[@name='ADRAD']/@val" />
      <xsl:with-param name="unit3" select="'s'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page4'"/>
    </xsl:call-template>


    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
