<?xml version="1.0"?>
<!--
   modlvr_panel.xsl - UPS screen for Piller APOJET LVR model @UNMS-II.
   Copyright (c) 2017, Generex GmbH. All rights reserved.
   klaus/said
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modlvr_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modlvr_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="520"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="786"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modlvr_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modlvr_panel-body">
    <xsl:param name="imagepath" select="'./lib/ups/image/piller/ajt_II.png'"/>
    <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
      <xsl:call-template name="js_refresh_call">
        <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
      </xsl:call-template>
    </xsl:if>
    <div id="master" style="position:absolute; top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="$imagepath"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <div style="position: absolute; left:377px; top:373px; width:31px; height:22px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectUpAJR2.gif" width="31" height="22"/>
        </a>
      </div>
      <div style="position: absolute; left:443px; top:373px; width:31px; height:22px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectDownAJR2.gif" width="31" height="22"/>
        </a>
      </div>
      <xsl:apply-templates />
      <script type="text/javascript">
        init();
      </script>
    </div>
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">

    <xsl:variable name="out2_avail">
      <xsl:choose>
        <xsl:when test="value[@name='ADR99']/@val=1">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>    

    <xsl:variable name="page_count">
      <xsl:choose>
        <xsl:when test="$out2_avail=1">
          <xsl:value-of select="4"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="3"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>       

    <xsl:call-template name="js_selection">
      <xsl:with-param name="pageCount" select="$page_count"/>
      <xsl:with-param name="name-space" select="'page'"/>
    </xsl:call-template>

    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 30px; width: 785px;  font-size:24px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 252px; top: 300px; width: 200px; height: 17px; text-align:center; ">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 302px; top: 440px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 302px; top: 447px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text('evt_rec', 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>
    <xsl:variable name="adr154">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR154']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr155">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR155']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr156">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR156']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="datetime" select="//report/@time"/>
    <xsl:variable name="date" select="concat('', substring-before($datetime, ' '))"/>
    <xsl:variable name="time" select="concat('', substring-after($datetime, ' '))"/>


    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="14"/>
    <xsl:variable name="leddelta" select="5"/>
    <xsl:variable name="led-x" select="531"/>
    <xsl:variable name="led-y" select="106"/>
    <xsl:variable name="led-y-offset" select="53"/>
    <!-- MAINS -->
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="$led-x "/>
      <xsl:with-param name="y" select="$led-y"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="dw" select="$leddelta"/>
      <xsl:with-param name="dh" select="$leddelta"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr154"/>
      <xsl:with-param name="high" select="0"/>
    </xsl:call-template>
    <!-- MOTOR -->
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="$led-x"/>
      <xsl:with-param name="y" select="$led-y + $led-y-offset"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="dw" select="$leddelta"/>
      <xsl:with-param name="dh" select="$leddelta"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr154"/>
      <xsl:with-param name="high" select="1"/>
    </xsl:call-template>
    <!-- GENERATOR -->
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="$led-x"/>
      <xsl:with-param name="y" select="$led-y + 2*$led-y-offset"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="dw" select="$leddelta"/>
      <xsl:with-param name="dh" select="$leddelta"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr155"/>
      <xsl:with-param name="high" select="0"/>
    </xsl:call-template>
    <!-- OUTPUT -->
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="$led-x"/>
      <xsl:with-param name="y" select="$led-y + 3* $led-y-offset"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="dw" select="$leddelta"/>
      <xsl:with-param name="dh" select="$leddelta"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr155"/>
      <xsl:with-param name="high" select="1"/>
    </xsl:call-template>
    <!--WARNING -->
    <xsl:call-template name="modbuslednew">
      <xsl:with-param name="x" select="$led-x - 1"/>
      <xsl:with-param name="y" select="$led-y + 4*$led-y-offset"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="dw" select="$leddelta"/>
      <xsl:with-param name="dh" select="$leddelta"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrs" select="$adr156"/>
      <xsl:with-param name="high" select="0"/>
    </xsl:call-template>

    <xsl:variable name="switch" 	select="value[@name='ADR8F']/@val"/>
    <xsl:variable name="switch-in" 	select="value[@name='ADR8E']/@val"/>

    <xsl:variable name="volt1mains1">
      <xsl:choose>
        <xsl:when test="$switch-in = 0">
          <xsl:value-of select="value[@name='ADR9D']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR65']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2mains1">
      <xsl:choose>
        <xsl:when test="$switch-in = 0">
          <xsl:value-of select="value[@name='ADR9E']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR66']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3mains1">
      <xsl:choose>
        <xsl:when test="$switch-in = 0">
          <xsl:value-of select="value[@name='ADR9F']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR67']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt1maintxt">
      <xsl:choose>
        <xsl:when test="$switch-in = 0">
          <xsl:value-of select="'L1-N'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L1-L2'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2maintxt">
      <xsl:choose>
        <xsl:when test="$switch-in = 0">
          <xsl:value-of select="'L2-N'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L2-L3'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3maintxt">
      <xsl:choose>
        <xsl:when test="$switch-in = 0">
          <xsl:value-of select="'L3-N'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L3-L1'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable> 

    <!-- OUTPUT 1-->
    <xsl:variable name="freqmain">
      <xsl:choose>
        <xsl:when test="value[@name='ADR175']/@val &lt; 100">
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR64']/@val div 10"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR64']/@val"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>    

    <xsl:variable name="volt1out2">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA3']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR76']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2out2">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA4']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR77']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3out2">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA5']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR78']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt1txt">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="'L1-N'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L1-L2'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2txt">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="'L2-N'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L2-L3'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3txt">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="'L3-N'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'L3-L1'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>    

    <xsl:variable name="volt1out">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA0']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR6E']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2out">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA1']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR6F']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3out">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA2']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR70']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="volt1generator">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA6']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR80']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt2generator">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA7']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR81']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="volt3generator">
      <xsl:choose>
        <xsl:when test="$switch = 0">
          <xsl:value-of select="value[@name='ADRA8']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR82']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="pageX1"   select="242"/>
    <xsl:variable name="pageX2"   select="292"/>
    <xsl:variable name="pageX3"   select="382"/>
    <xsl:variable name="pageY"    select="187"/>
    <xsl:variable name="lineheight"   select="18"/>
    <xsl:variable name="columnwidth"    select="78"/>

    <!-- MAINS1_AT 
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN:'" />
      <xsl:with-param name="text2"  select="concat($volt1maintxt, ':')" />
      <xsl:with-param name="text3" select="concat($volt2maintxt, ':')" />
      <xsl:with-param name="text4" select="concat($volt3maintxt, ':')" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth+15"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1" select="value[@name='ADR63']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="$volt1mains1" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$volt2mains1" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$volt3mains1" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1" select="$freqmain" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR68']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR69']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6A']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>-->

    <!-- OUTPUT 1-->
    <xsl:variable name="freqout1">
      <xsl:choose>
        <xsl:when test="value[@name='ADR176']/@val &lt; 100">
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR6D']/@val div 10"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR6D']/@val"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="out1_txt">
      <xsl:choose>
        <xsl:when test="$out2_avail=1">
          <xsl:value-of select="'OUT1'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'OUT'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>    

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="concat($out1_txt, ':')" />
      <xsl:with-param name="text2" select="concat($volt1txt, ':')" />
      <xsl:with-param name="text3" select="concat($volt2txt, ':')" />
      <xsl:with-param name="text4" select="concat($volt3txt, ':')" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page0_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page0_11', ['<xsl:value-of select="$out1_txt"/>', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth+15"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR6C']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$volt1out" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$volt2out" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$volt3out" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="$freqout1" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR71']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR72']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR73']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <!-- GENERATOR-->freqout1
    <xsl:variable name="freqgen">
      <xsl:choose>
        <xsl:when test="value[@name='ADR176']/@val &lt; 100">
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR86']/@val div 10"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR86']/@val"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'LVR:'" />
      <xsl:with-param name="text2" select="concat($volt1txt, ':')" />
      <xsl:with-param name="text3" select="concat($volt2txt, ':')" />
      <xsl:with-param name="text4" select="concat($volt3txt, ':')" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page1_11', ['LVR', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth+10"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR87']/@val" />
      <xsl:with-param name="unit1" select="'kVA'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$volt1generator" />
      <xsl:with-param name="unit2" select="'V'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="$volt2generator" />
      <xsl:with-param name="unit3" select="'V'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$volt3generator" />
      <xsl:with-param name="unit4" select="'V'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="$freqgen" />
      <xsl:with-param name="unit1" select="''"/>
      <xsl:with-param name="precision1" select="-1"/>
      <xsl:with-param name="value2" select="value[@name='ADR83']/@val" />
      <xsl:with-param name="unit2" select="'A'"/>
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR84']/@val" />
      <xsl:with-param name="unit3" select="'A'"/>
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR85']/@val" />
      <xsl:with-param name="unit4" select="'A'"/>
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <!-- DEFAULT -->

    <xsl:variable name="indikator_inp">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA9']/@val = 0">
          <xsl:value-of select="'I'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'C'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="indikator_outp">
      <xsl:choose>
        <xsl:when test="value[@name='ADRAA']/@val = 0">
          <xsl:value-of select="'I'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'C'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>    

    <xsl:variable name ="output">
      <xsl:choose>
        <xsl:when test="value[@name='ADR94']/@val = 1">
          <xsl:value-of select="value[@name='ADR7C']/@val"/>
          <xsl:value-of select="concat(' kW / ', $indikator_outp)"/>
          <!--<xsl:value-of select="value[@name='ADR93']/@val div 100"/>-->
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR93']/@val div 100"/>
            <xsl:with-param name="unit" select="''" />
            <xsl:with-param name="precision" select="2"/>
          </xsl:call-template> 
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat(value[@name='ADR7C']/@val, ' kW')"/>
        </xsl:otherwise>
      </xsl:choose>               
    </xsl:variable>
    <!-- TEST -->
    <!--
	<div id="Debug" class="LargeBold" align="right" style="position: absolute; top: 50px; left: 50px; width: 163px; height: 17px; font-size:18px;">
		<xsl:value-of select="$input"  /><br/>
		<xsl:value-of select="$output" /><br/>
      <xsl:value-of select="$adrd8"  /><br/>
	</div>
-->
    <xsl:variable name ="input">
      <xsl:choose>
        <xsl:when test="value[@name='ADR94']/@val = 1">
          <xsl:value-of select="value[@name='ADR6B']/@val"/>
          <xsl:value-of select="concat(' kW / ', $indikator_inp)"/>
          <!--<xsl:value-of select="value[@name='ADR92']/@val div 100"/>-->
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR92']/@val div 100"/>
            <xsl:with-param name="unit" select="''" />
            <xsl:with-param name="precision" select="2"/>
          </xsl:call-template> 
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name ="def_input_txt">
      <xsl:choose>
        <xsl:when test="value[@name='ADR94']/@val = 1">
          <xsl:value-of select="'INPUT'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="2 * $columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value"  select="$date" />
      <xsl:with-param name="unit" select="''"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="2 * $columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value"  select="$time" />
      <xsl:with-param name="unit" select="''"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'OPERATION:'" />
      <xsl:with-param name="text2" select="$def_input_txt" />
      <xsl:with-param name="text3" select="'OUTPUT:'" />
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text('page2_31', ['OPERATION', ':']);</script>
    <xsl:if test ="$def_input_txt='INPUT'">
      <script type="text/javascript"> translate_text('page2_32', ['<xsl:value-of select="$def_input_txt"/>', ':']);</script>
    </xsl:if>  
    <script type="text/javascript"> translate_text('page2_33', ['OUTPUT', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="2*$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="value1"  select="value[@name='ADR9B']/@val*10000 + value[@name='ADR9C']/@val" />
      <xsl:with-param name="unit1" select="'h'"/>
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="$input" />
      <xsl:with-param name="unit2" select="''"/>
      <xsl:with-param name="precision2" select="-1"/>
      <xsl:with-param name="value3"  select="$output" />
      <xsl:with-param name="unit3" select="''"/>
      <xsl:with-param name="precision3" select="-1"/>
      <xsl:with-param name="visibility" select="'hidden'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>

    <!-- OUTPUT 2-->
    <xsl:variable name="freqout2">
      <xsl:choose>
        <xsl:when test="value[@name='ADR176']/@val &lt; 100">
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR75']/@val div 10"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="get-value">
            <xsl:with-param name="value" select="value[@name='ADR75']/@val"/>
            <xsl:with-param name="unit" select="'Hz'" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:if test="$out2_avail = 1">
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX1"/>
        <xsl:with-param name="y" select="$pageY"/>
        <xsl:with-param name="w" select="$columnwidth"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="value1"  select="'OUT2:'" />
        <xsl:with-param name="unit1" select="' '"/>
        <xsl:with-param name="precision1" select="1"/>
        <xsl:with-param name="value2" select="concat($volt1txt, ':')" />
        <xsl:with-param name="unit2" select="' '"/>
        <xsl:with-param name="precision2" select="0"/>
        <xsl:with-param name="value3" select="concat($volt2txt, ':')" />
        <xsl:with-param name="unit3" select="' '"/>
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="concat($volt3txt, ':')" />
        <xsl:with-param name="unit4" select="' '"/>
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'hidden'"/>
        <xsl:with-param name="name" select="'page3_1'"/>
      </xsl:call-template>
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX2"/>
        <xsl:with-param name="y" select="$pageY"/>
        <xsl:with-param name="w" select="$columnwidth+10"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="value1"  select="value[@name='ADR74']/@val" />
        <xsl:with-param name="unit1" select="'kVA'"/>
        <xsl:with-param name="precision1" select="0"/>
        <xsl:with-param name="value2" select="$volt1out2" />
        <xsl:with-param name="unit2" select="'V'"/>
        <xsl:with-param name="precision2" select="0"/>
        <xsl:with-param name="value3" select="$volt2out2" />
        <xsl:with-param name="unit3" select="'V'"/>
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="$volt3out2" />
        <xsl:with-param name="unit4" select="'V'"/>
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'hidden'"/>
        <xsl:with-param name="name" select="'page3'"/>
      </xsl:call-template>
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3"/>
        <xsl:with-param name="y" select="$pageY"/>
        <xsl:with-param name="w" select="$columnwidth"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="value1"  select="$freqout2" />
        <xsl:with-param name="unit1" select="''"/>
        <xsl:with-param name="precision1" select="0"/>
        <xsl:with-param name="value2" select="value[@name='ADR79']/@val" />
        <xsl:with-param name="unit2" select="'A'"/>
        <xsl:with-param name="precision2" select="0"/>
        <xsl:with-param name="value3" select="value[@name='ADR7A']/@val" />
        <xsl:with-param name="unit3" select="'A'"/>
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="value[@name='ADR7B']/@val" />
        <xsl:with-param name="unit4" select="'A'"/>
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'hidden'"/>
        <xsl:with-param name="name" select="'page3'"/>
      </xsl:call-template>
      <script type="text/javascript"> translate_text('page3_11', ['OUT', '2:']);</script>
    </xsl:if>

    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
