<?xml version="1.0"?>
<!--
   modub3n_panel.xsl - UPS screen for Piller UNIBLOCK UB III models @UNMS-II.
   Copyright (c) 2009, Generex GmbH. All rights reserved.
	 said
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modub3n_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modub3n_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="510"/>
      <xsl:with-param name="left" select="34"/>
      <xsl:with-param name="width" select="752"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modub3n_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modub3n_panel-body">
    <!--<div id="master" style="position:absolute;top:0px;left:0px;">-->
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backub3.png'"/>
      <xsl:with-param name="x" select="10"/>
      <xsl:with-param name="y" select="10"/>
      <xsl:with-param name="w" select="792"/>
      <xsl:with-param name="h" select="485"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>
    <xsl:apply-templates />
    <!--</div>-->
    <xsl:call-template name="IEpixelBugfixCall"/>
    <script type="text/javascript">
      init();
      function toggleText()
      {

      var currSel= getSelection();
      var text="1";
      if(currSel == 0) text="Select page 2";
      else text="Select page 1";
      var layer = document.getElementById('toggle');
      if(layer){
      layer.innerHTML = text;
      }
      }
      toggleText();
    </script>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">

    <xsl:variable name="x-off" select="50"/>
    <xsl:variable name="y-off" select="95"/>

    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 561px; top: 90px; width: 214px;  font-size:17px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 33px; top: 90px; width: 214px; font-size:17px; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:call-template name="on-mouse-over"/>

    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 521}px; top: 428px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 521}px; top: 435px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text("evt_rec", 'Eventrecorder');</script>
        </a>
      </div>

    </xsl:if>
    <!-- PANEL SWITCH-->
    <xsl:call-template name="on-mouse-over"/>

    <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 655}px; top: 372px; width: 32px; height: 12px; text-align:center;  ">
      <a class="MediumBoldLink" href="javascript:onChangeSelectionUp();" border="0"  >
        <img id="switch" src="./lib/ups/image/piller/selectSmallUp24x12.gif" width="24" height="12" border="0"/>
      </a>
    </div>
    <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 655}px; top: 386px; width: 32px; height: 12px; text-align:center;  ">
      <a class="MediumBoldLink" href="javascript:onChangeSelectionDown();" border="0"  >
        <img id="switch" src="./lib/ups/image/piller/selectSmallDown24x12.gif" width="24" height="12" border="0"/>
      </a>
    </div>

    <!--###################Lines Addr########################-->
    <xsl:variable name="adr333">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR333']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr334">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR334']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr335">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR335']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr336">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR336']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr337">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR337']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr338">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR338']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr339">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR339']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr33A">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33A']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr33B">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33B']/@val"/>
        <xsl:with-param name="dir" select="1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <!--###################Lines Addr(End)########################-->
    <!--###################symbols and switches Addr########################-->
    <xsl:variable name="adr343">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR343']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr344">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR344']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr345">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR345']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr346">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR346']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr347">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR347']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr34A">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR34A']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr34B">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR34B']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <!--###################symbols and switches Addr(End)########################-->

    <xsl:variable name="adr167">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR167']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="adr163">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR163']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr164">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR164']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr165">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR165']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="adr180">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR180']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="adr126">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR126']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="with-k1">
      <xsl:choose>
        <xsl:when test="substring($adr180, 9,1) = '1'">
          <xsl:value-of select="'MK'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'OK'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="bypass-type">
      <xsl:choose>
        <xsl:when test="substring($adr180, 1,1) = '1'">
          <xsl:value-of select="'int'"/>
        </xsl:when>
        <xsl:when test="substring($adr180, 2,1) = '1'">
          <xsl:value-of select="'ext'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'no'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="dev-type">
      <xsl:choose>
        <xsl:when test="substring($adr180, 4,1) = '1' or (substring($adr180, 5,1) = '1') and substring($adr180, 3,1) = '1'">
          <xsl:value-of select="'R'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'S'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="screen-type">
      <xsl:choose>
        <xsl:when test="substring($adr180, 9,1) = '1'">
          <xsl:value-of select="'UBMK'"/>
        </xsl:when>
        <xsl:when test="substring($adr180, 4,1) = '1'">
          <xsl:value-of select="'UBOK'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADR180']/@val &lt; 8">
          <xsl:value-of select="'UBS'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'UBOK'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Line M addr 339-->
    <xsl:if test="$with-k1 = 'OK' and $dev-type='R'">
      <xsl:call-template name="horizontal-bar2">
        <xsl:with-param name="x" select="$x-off + 110"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="w" select="165"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="15"/>
      </xsl:call-template>
      <xsl:call-template name="vertical-bar2">
        <xsl:with-param name="x" select="$x-off + 110"/>
        <xsl:with-param name="y" select="$y-off + 128"/>
        <xsl:with-param name="h" select="91"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="15"/>
      </xsl:call-template>
    </xsl:if>

    <!--###################Lines################################-->
    <!-- Line A-->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 13"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="42"/>
      <xsl:with-param name="left-border" select="1"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr333"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>
    <!-- Line B-->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 90"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="24"/>
      <!--48-->
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr333"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>

    <!--Line C -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 114"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="24"/>
      <!--48-->
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr334"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>
    <!--Line D -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 188"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="67"/>
      <!--135-->
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr334"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>

    <!--Line E -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 255"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="67"/>
      <!--135-->
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr335"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>
    <!-- Line F -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 373"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="59"/>
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr335"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>

    <!--Line G  -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 482"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="41"/>
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr336"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>
    <!--Line H -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 558"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="19"/>
      <!--114-->
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr336"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>

    <!--Line I -->
    <xsl:call-template name="horizontal-bar2">
      <xsl:with-param name="x" select="$x-off + 577"/>
      <xsl:with-param name="y" select="$y-off + 218"/>
      <xsl:with-param name="w" select="95"/>
      <!--114-->
      <xsl:with-param name="left-border" select="0"/>
      <xsl:with-param name="right-border" select="1"/>
      <xsl:with-param name="adrstr" select="$adr337"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>
    <!-- Line J -->
    <xsl:call-template name="vertical-bar2">
      <xsl:with-param name="x" select="$x-off + 248"/>
      <xsl:with-param name="y" select="$y-off + 224"/>
      <xsl:with-param name="h" select="58"/>
      <xsl:with-param name="top-border" select="0"/>
      <xsl:with-param name="bottom-border" select="0"/>
      <xsl:with-param name="adrstr" select="$adr337"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>

    <xsl:if test="$with-k1 = 'MK' and $dev-type != 'S'">
      <!-- Line K -->
      <xsl:call-template name="horizontal-bar2">
        <xsl:with-param name="x" select="$x-off + 13"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="w" select="177"/>
        <!--222-->
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="15"/>
      </xsl:call-template>
      <!-- Line L -->
      <xsl:call-template name="horizontal-bar2">
        <xsl:with-param name="x" select="$x-off + 190"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="w" select="25"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="7"/>
      </xsl:call-template>

      <!-- Line M -->
      <xsl:call-template name="horizontal-bar2">
        <xsl:with-param name="x" select="$x-off + 250"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="w" select="25"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="15"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$dev-type = 'R'">
      <!-- Line N -->
      <xsl:call-template name="horizontal-bar2">
        <xsl:with-param name="x" select="$x-off + 351"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="w" select="25"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="7"/>
      </xsl:call-template>
    </xsl:if>


    <!-- Line O-->
    <xsl:if test="$dev-type = 'R'">
      <xsl:call-template name="vertical-bar2">
        <xsl:with-param name="x" select="$x-off + 454"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="h" select="74"/>
        <xsl:with-param name="top-border" select="1"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33A"/>
        <xsl:with-param name="bit" select="15"/>
      </xsl:call-template>
      <xsl:call-template name="horizontal-bar2">
        <xsl:with-param name="x" select="$x-off + 426"/>
        <xsl:with-param name="y" select="$y-off + 122"/>
        <xsl:with-param name="w" select="30"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33A"/>
        <xsl:with-param name="bit" select="15"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:choose>
      <xsl:when test="$bypass-type = 'int'">
        <!-- Line Q-->
        <xsl:call-template name="horizontal-bar2">
          <xsl:with-param name="x" select="$x-off + 364"/>
          <xsl:with-param name="y" select="$y-off + 22"/>
          <xsl:with-param name="w" select="207"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33B"/>
          <xsl:with-param name="bit" select="15"/>
          <xsl:with-param name="z-index" select="3"/>
        </xsl:call-template>
        <xsl:call-template name="vertical-bar2">
          <xsl:with-param name="x" select="$x-off + 570"/>
          <xsl:with-param name="y" select="$y-off + 22"/>
          <xsl:with-param name="h" select="197"/>
          <xsl:with-param name="top-border" select="1"/>
          <xsl:with-param name="bottom-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33B"/>
          <xsl:with-param name="bit" select="15"/>
          <xsl:with-param name="z-index" select="2"/>
        </xsl:call-template>

        <!-- Line P-->
        <xsl:choose>
          <xsl:when test="$with-k1 != 'MK'">
            <xsl:call-template name="horizontal-bar2">
              <xsl:with-param name="x" select="$x-off + 13"/>
              <xsl:with-param name="y" select="$y-off + 22"/>
              <xsl:with-param name="w" select="316"/>
              <xsl:with-param name="left-border" select="1"/>
              <xsl:with-param name="right-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33A"/>
              <xsl:with-param name="bit" select="7"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:when test="$with-k1 = 'MK' and $dev-type='R'">
            <xsl:call-template name="vertical-bar2">
              <xsl:with-param name="x" select="$x-off + 183"/>
              <xsl:with-param name="y" select="$y-off + 28"/>
              <xsl:with-param name="h" select="95"/>
              <xsl:with-param name="top-border" select="0"/>
              <xsl:with-param name="bottom-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33A"/>
              <xsl:with-param name="bit" select="7"/>
              <xsl:with-param name="z-index" select="2"/>
            </xsl:call-template>
            <xsl:call-template name="horizontal-bar2">
              <xsl:with-param name="x" select="$x-off + 183"/>
              <xsl:with-param name="y" select="$y-off + 22"/>
              <xsl:with-param name="w" select="146"/>
              <xsl:with-param name="left-border" select="1"/>
              <xsl:with-param name="right-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33A"/>
              <xsl:with-param name="bit" select="7"/>
            </xsl:call-template>

          </xsl:when>
          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:when test="$bypass-type= 'ext'">
        <div style="position:absolute;left:{$x-off + 13}px;top:{$y-off + 16}px; width:655px; height:1px; z-index:0; background-color:black">
        </div>
      </xsl:when>
      <xsl:otherwise></xsl:otherwise>
    </xsl:choose>

    <xsl:variable name="bypass-y">
      <xsl:choose>
        <xsl:when test="$bypass-type = 'ext'">
          <xsl:value-of	select="$y-off -1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of	select="$y-off + 8"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <!--################symbols and switches####################-->
    <!--Bypass  (K5/Q5)-->
    <xsl:if test="$bypass-type != 'no'">
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 329"/>
        <xsl:with-param name="y" select="$bypass-y"/>
        <xsl:with-param name="adrstr" select="$adr343"/>
        <xsl:with-param name="bit" select="9"/>
      </xsl:call-template>
    </xsl:if>
    <!--UPS Input Breaker (K1/Q1)-->
    <xsl:if test="$with-k1 = 'MK' and $dev-type='R'">
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 215"/>
        <xsl:with-param name="y" select="$y-off + 108"/>
        <xsl:with-param name="adrstr" select="$adr343"/>
        <xsl:with-param name="bit" select="1"/>
      </xsl:call-template>
    </xsl:if>
    <!--UPS Output Breaker-->
    <xsl:call-template name="ub4-switch">
      <xsl:with-param name="x" select="$x-off + 523"/>
      <xsl:with-param name="y" select="$y-off + 204"/>
      <xsl:with-param name="adrstr" select="$adr344"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>
    <!--Choke-->
    <xsl:if test="$dev-type != 'S'">
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 275"/>
        <xsl:with-param name="y" select="$y-off + 105"/>
        <xsl:with-param name="w" select="75"/>
        <xsl:with-param name="h" select="25"/>
        <xsl:with-param name="adrstr" select="$adr345"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4co'"/>
      </xsl:call-template>
    </xsl:if>
    <!--Motor/Generator-->
    <xsl:call-template name="ub4-symbols">
      <xsl:with-param name="x" select="$x-off + 432"/>
      <xsl:with-param name="y" select="$y-off + 196"/>
      <xsl:with-param name="adrstr" select="$adr346"/>
      <xsl:with-param name="bit" select="9"/>
      <xsl:with-param name="type" select="'mg'"/>
    </xsl:call-template>
    <!-- Static Switch-->
    <xsl:if test="$dev-type != 'S'">
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 376"/>
        <xsl:with-param name="y" select="$y-off + 101"/>
        <xsl:with-param name="adrstr" select="$adr346"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'ssw'"/>
      </xsl:call-template>
    </xsl:if>
    <!--Inverter-->
    <xsl:call-template name="ub4-symbols">
      <xsl:with-param name="x" select="$x-off + 323"/>
      <xsl:with-param name="y" select="$y-off + 196"/>
      <xsl:with-param name="adrstr" select="$adr347"/>
      <xsl:with-param name="bit" select="9"/>
      <xsl:with-param name="type" select="'wr'"/>
    </xsl:call-template>
    <!--Rectifier-->
    <xsl:call-template name="ub4-symbols">
      <xsl:with-param name="x" select="$x-off + 138"/>
      <xsl:with-param name="y" select="$y-off + 196"/>
      <xsl:with-param name="adrstr" select="$adr347"/>
      <xsl:with-param name="bit" select="1"/>
      <xsl:with-param name="type" select="'gr'"/>
    </xsl:call-template>
    <!--Battery-->
    <xsl:call-template name="ub4-symbols">
      <xsl:with-param name="x" select="$x-off + 227"/>
      <xsl:with-param name="y" select="$y-off + 282"/>
      <xsl:with-param name="adrstr" select="$adr34A"/>
      <xsl:with-param name="bit" select="9"/>
      <xsl:with-param name="type" select="'batt'"/>
    </xsl:call-template>
    <!--UPS Input BreakerK3/Q3-->
    <xsl:call-template name="ub4-switch">
      <xsl:with-param name="x" select="$x-off + 55"/>
      <xsl:with-param name="y" select="$y-off + 204"/>
      <xsl:with-param name="adrstr" select="$adr34B"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>

    <!--Mains fail counter and Operating hours-->
    <xsl:variable name="op_hours" select="value[@name='ADRD0']/@val*10000 + value[@name='ADRD1']/@val" />
    <xsl:variable name="failure_counter" select="value[@name='ADR99']/@val"/>

    <xsl:call-template name="mainsfail_cnt_Op_hours">
      <xsl:with-param name="x" select="456"/>
      <xsl:with-param name="y" select="140"/>
      <xsl:with-param name="w" select="156"/>
      <xsl:with-param name="h" select="30"/>
      <xsl:with-param name="op_hours" select="$op_hours"/>
      <xsl:with-param name="failure_counter" select="$failure_counter"/>
      <xsl:with-param name="border-width" select="1"/>
      <xsl:with-param name="border-color" select="'#405080'"/>
      <xsl:with-param name="text-align" select="'left'"/>
    </xsl:call-template>

    <!--serial number-->

    <!--serial number-->
    <xsl:call-template name="serial_number">
      <xsl:with-param name="x" select="$x-off + 18"/>
      <xsl:with-param name="y" select="'430'"/>
      <xsl:with-param name="w" select="'124'"/>
      <xsl:with-param name="h" select="'15'"/>
      <xsl:with-param name="addr1" select="value[@name='ADR178']/@val"/>
      <xsl:with-param name="addr2" select="value[@name='ADR179']/@val"/>
      <xsl:with-param name="addr3" select="value[@name='ADR17A']/@val"/>
      <xsl:with-param name="addr4" select="value[@name='ADR17B']/@val"/>
      <xsl:with-param name="addr5" select="value[@name='ADR17C']/@val"/>
      <xsl:with-param name="addr6" select="value[@name='ADR17D']/@val"/>
      <xsl:with-param name="addr7" select="value[@name='ADR17E']/@val"/>
      <xsl:with-param name="addr8" select="value[@name='ADR17F']/@val"/>
      <xsl:with-param name="border-width" select="1"/>
      <xsl:with-param name="text-align" select="'left'"/>
    </xsl:call-template>


    <!--<xsl:variable name="serial_nr" select="concat(concat(concat(value[@name='ADR178']/@val - 48,value[@name='ADR179']/@val - 48),
		concat(value[@name='ADR17A']/@val - 48,value[@name='ADR17B']/@val - 48)),concat(concat(value[@name='ADR17C']/@val - 48,value[@name='ADR17D']/@val - 48),concat(value[@name='ADR17E']/@val - 48,value[@name='ADR17F']/@val - 48)))"/>
	<div class="tdMediumSmallWhiteBold" style="text-align:left;position:absolute;left:{$x-off + 18}px;top:430px;height:15px;width:120px;border:1px #405080 solid">
		<xsl:value-of select="'&#160;&#160;S/N:'"/>
		<xsl:value-of select="$serial_nr"/>
	</div>	-->


    <!--Load bar variables-->

    <xsl:variable name="value-bar-x" select="$x-off + 590"/>
    <xsl:variable name="load-bar-y" select="114"/>

    <!-- Load bar mains-->
    <xsl:variable name="valuebar-font-size" select="13"/>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='ADRA9']/@val"/>
      <xsl:with-param name="footer-value" select="value[@name='ADR73']/@val"/>
      <xsl:with-param name="headline" select="'UPS'"/>
      <xsl:with-param name="font-size" select="$valuebar-font-size"/>
      <xsl:with-param name="unit" select="' %'"/>
      <xsl:with-param name="footer-unit" select="' kVA'"/>
      <xsl:with-param name="x" select="$value-bar-x"/>
      <xsl:with-param name="y" select="$load-bar-y"/>
      <xsl:with-param name="h" select="180"/>
      <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
      <xsl:with-param name="bary" select="20"/>
      <xsl:with-param name="barw" select="40"/>
      <xsl:with-param name="suby" select="150"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="150"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="50"/>
      <xsl:with-param name="skip" select="50"/>
      <xsl:with-param name="id" select="'panel1page0-'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="104"/>
      <!--<xsl:with-param name="thresh-yellow-hi" select="0"/>-->
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <!--<xsl:with-param name="with-scale-line" select="1"/>-->
      <xsl:with-param name="bright" select="1"/>
    </xsl:call-template>
    <!-- Load bar mains 2-->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='ADRA8']/@val"/>
      <xsl:with-param name="footer-value" select="value[@name='ADR7B']/@val"/>
      <xsl:with-param name="headline" select="'UPS'"/>
      <xsl:with-param name="font-size" select="$valuebar-font-size"/>
      <xsl:with-param name="footer-unit" select="' kW'"/>
      <xsl:with-param name="x" select="$value-bar-x"/>
      <xsl:with-param name="y" select="$load-bar-y"/>
      <xsl:with-param name="h" select="180"/>
      <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
      <xsl:with-param name="bary" select="20"/>
      <xsl:with-param name="barw" select="40"/>
      <xsl:with-param name="suby" select="150"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="150"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="50"/>
      <xsl:with-param name="skip" select="50"/>
      <xsl:with-param name="id" select="'panel1page1-'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="104"/>
      <!--<xsl:with-param name="thresh-yellow-hi" select="0"/>-->
      <xsl:with-param name="start-visibility" select="'hidden'"/>
      <!--<xsl:with-param name="with-scale-line" select="1"/>-->
      <xsl:with-param name="bright" select="1"/>
    </xsl:call-template>



    <!-- MAINS1_2 (BYPASS)-->
    <xsl:if test="$bypass-type != 'no'">
      <xsl:variable name="adr6d" select="value[@name='ADR6D']/@val"/>
      <xsl:variable name="adr6e" select="value[@name='ADR6E']/@val"/>
      <xsl:variable name="adr6f" select="value[@name='ADR6F']/@val"/>

      <xsl:variable name="adr85">
        <xsl:choose>
          <xsl:when test="$screen-type = 'UBMK' and substring($adr126, 9,1) = '0'">
            <xsl:value-of	select="value[@name='ADR70']/@val"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of	select="value[@name='ADR85']/@val"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name="adr86">
        <xsl:choose>
          <xsl:when test="$screen-type = 'UBMK' and substring($adr126, 9,1) = '0'">
            <xsl:value-of	select="value[@name='ADR71']/@val"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of	select="value[@name='ADR86']/@val"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

      <xsl:variable name="adr87">
        <xsl:choose>
          <xsl:when test="$screen-type = 'UBMK' and substring($adr126, 9,1) = '0'">
            <xsl:value-of	select="value[@name='ADR72']/@val"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of	select="value[@name='ADR87']/@val"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name="avg1" select="value[@name='ADR6B']/@val"/>
      <xsl:call-template name="line-pane">
        <xsl:with-param name="x" select="$x-off + 18"/>
        <xsl:with-param name="y" select="$y-off + 39"/>
        <xsl:with-param name="w" select="120"/>
        <xsl:with-param name="v1" select="$adr6d"/>
        <xsl:with-param name="v2" select="$adr6e"/>
        <xsl:with-param name="v3" select="$adr6f"/>
        <xsl:with-param name="i1" select="$adr85"/>
        <xsl:with-param name="i2" select="$adr86"/>
        <xsl:with-param name="i3" select="$adr87"/>
        <xsl:with-param name="p" select="$avg1"/>
        <xsl:with-param name="title" select="'IN2'"/>
        <xsl:with-param name="f" select="value[@name='ADR6C']/@val div 10.0"/>
        <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
      </xsl:call-template>
    </xsl:if>
    <!-- endif: NO BYPASS-->

    <!-- PANE 2 -->
    <xsl:variable name="involt1" select="value[@name='INVOLT']/@val"/>
    <xsl:variable name="involt2" select="value[@name='INVOLT']/@val2"/>
    <xsl:variable name="involt3" select="value[@name='INVOLT']/@val3"/>

    <xsl:variable name="adre5" select="value[@name='ADRE5']/@val"/>
    <xsl:variable name="adre6" select="value[@name='ADRE6']/@val"/>
    <xsl:variable name="adre7" select="value[@name='ADRE7']/@val"/>

    <xsl:variable name="avg2" select="value[@name='ADRE8']/@val"/>
    <xsl:call-template name="line-pane">
      <xsl:with-param name="x" select="$x-off + 18"/>
      <xsl:with-param name="y" select="$y-off + 258"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="v1" select="$involt1"/>
      <xsl:with-param name="v2" select="$involt2"/>
      <xsl:with-param name="v3" select="$involt3"/>
      <xsl:with-param name="i1" select="$adre5"/>
      <xsl:with-param name="i2" select="$adre6"/>
      <xsl:with-param name="i3" select="$adre7"/>
      <xsl:with-param name="p" select="$avg2"/>
      <xsl:with-param name="f" select="value[@name='INFREQ']/@val"/>
      <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
      <xsl:with-param name="title" select="'IN1'"/>
    </xsl:call-template>

    <!-- PANE 3-->
    <xsl:variable name ="remtime">
      <xsl:if test="value[@name='ADR98']/@val &gt; 99">
        <xsl:text>99</xsl:text>
      </xsl:if>
      <xsl:if test="value[@name='ADR98']/@val &lt; 100">
        <xsl:value-of select="value[@name='ADR98']/@val"/>
      </xsl:if>
    </xsl:variable>

    <xsl:call-template name="battery-pane">
      <xsl:with-param name="x" select="$x-off + 285"/>
      <xsl:with-param name="y" select="$y-off + 258"/>
      <xsl:with-param name="w" select="50"/>
      <xsl:with-param name="v1" select="value[@name='BATTVOLT']/@val"/>
      <xsl:with-param name="v2" select="value[@name='ADR95']/@val"/>
      <xsl:with-param name="v3" select="$remtime"/>
      <xsl:with-param name="v4" select="value[@name='ADRD7']/@val div 10.0"/>
      <xsl:with-param name="v5" select="value[@name='TEMPDEG']/@val"/>
      <xsl:with-param name="precision_v1" select="0"/>
      <xsl:with-param name="precision_v2" select="0"/>
      <xsl:with-param name="precision_v3" select="0"/>
      <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
    </xsl:call-template>

    <!-- PANE 4-->
    <xsl:variable name="adr75" select="value[@name='ADR75']/@val"/>
    <xsl:variable name="adr76" select="value[@name='ADR76']/@val"/>
    <xsl:variable name="adr77" select="value[@name='ADR77']/@val"/>

    <xsl:variable name="adr78" select="value[@name='ADR78']/@val"/>
    <xsl:variable name="adr79" select="value[@name='ADR79']/@val"/>
    <xsl:variable name="adr7a" select="value[@name='ADR7A']/@val"/>

    <xsl:variable name="avg3" select="value[@name='ADR73']/@val"/>
    <xsl:call-template name="line-pane">
      <xsl:with-param name="x" select="$x-off + 363"/>
      <xsl:with-param name="y" select="$y-off + 258"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="v1" select="$adr75"/>
      <xsl:with-param name="v2" select="$adr76"/>
      <xsl:with-param name="v3" select="$adr77"/>
      <xsl:with-param name="i1" select="$adr78"/>
      <xsl:with-param name="i2" select="$adr79"/>
      <xsl:with-param name="i3" select="$adr7a"/>
      <xsl:with-param name="p" select="$avg3"/>
      <xsl:with-param name="f" select="value[@name='ADR74']/@val div 10.0"/>
      <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
      <xsl:with-param name="title" select="'INV'"/>

    </xsl:call-template>

    <!-- PANE 5-->
    <xsl:variable name="adr7e" select="value[@name='ADR7E']/@val"/>
    <xsl:variable name="adr7f" select="value[@name='ADR7F']/@val"/>
    <xsl:variable name="adr80" select="value[@name='ADR80']/@val"/>

    <xsl:variable name="adr81" select="value[@name='ADR81']/@val"/>
    <xsl:variable name="adr82" select="value[@name='ADR82']/@val"/>
    <xsl:variable name="adr83" select="value[@name='ADR83']/@val"/>

    <xsl:variable name="avg4" select="value[@name='ADR7C']/@val"/>
    <xsl:call-template name="line-pane">
      <xsl:with-param name="x" select="$x-off + 508"/>
      <xsl:with-param name="y" select="$y-off + 258"/>
      <xsl:with-param name="w" select="120"/>
      <xsl:with-param name="v1" select="$adr7e"/>
      <xsl:with-param name="v2" select="$adr7f"/>
      <xsl:with-param name="v3" select="$adr80"/>
      <xsl:with-param name="i1" select="$adr81"/>
      <xsl:with-param name="i2" select="$adr82"/>
      <xsl:with-param name="i3" select="$adr83"/>
      <xsl:with-param name="p" select="$avg4"/>
      <xsl:with-param name="f" select="value[@name='ADR7D']/@val div 10.0"/>
      <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
      <xsl:with-param name="title" select="'OUT'"/>
      <xsl:with-param name="id" select="'page0_1'"/>
      <xsl:with-param name="visibility" select="'hidden'"/>

    </xsl:call-template>
    <!-- PANE 6-->
    <xsl:variable name="angle1">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR9F']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="angle2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADRA1']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="output-power">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR7B']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="power-factor">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR9D']/@val div 100"/>
        <xsl:with-param name="precision" select="2" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="angle1-display">
    </xsl:variable>


    <div id="page1_0" style="position:absolute;left:{$x-off + 508}px;top:{$y-off + 258}px;border:1px #405080 solid; visibility:hidden">
      <table cellspacing="1" cellpadding="1" border="0" width="140">
        <tr>
          <td id="page1_1" class="tdMediumSmallWhiteBold" style="text-align:left" width="90">
            <script type="text/javascript"> translate_text("page1_1", 'Phase Inp-Gen');</script>
          </td>
          <td class="tdMediumSmallWhiteBold" style="text-align:right">
            <xsl:choose>
              <xsl:when test="value[@name='ADR9F']/@val = 32767">
                <xsl:value-of select="'---'"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="$angle1"/>&#160;&#176;
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
        <tr>
          <td id="page1_2" class="tdMediumSmallWhiteBold" style="text-align:left">
            <script type="text/javascript"> translate_text("page1_2", 'Phase Inp-Bus');</script>
          </td>
          <td class="tdMediumSmallWhiteBold" style="text-align:right">
            <xsl:choose>
              <xsl:when test="value[@name='ADRA1']/@val = 32767">
                <xsl:value-of select="'---'"/>
              </xsl:when>
              <xsl:otherwise>
                <xsl:value-of select="$angle2"/>&#160;&#176;
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
        <tr>
          <td id="page1_3" class="tdMediumSmallWhiteBold" style="text-align:left">
            <script type="text/javascript"> translate_text("page1_3", 'Outpower');</script>
          </td>
          <td class="tdMediumSmallWhiteBold" style="text-align:right">
            <xsl:value-of select="$output-power"/>&#160;kW
          </td>
        </tr>
        <tr>
          <td id="page1_4" class="tdMediumSmallWhiteBold" style="text-align:left">
            <script type="text/javascript"> translate_text("page1_4", 'Power factor');</script>
          </td>
          <td class="tdMediumSmallWhiteBold" style="text-align:right">
            <xsl:value-of select="$power-factor"/>&#160;
          </td>
        </tr>
      </table>
    </div>



    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
