<?xml version="1.0"?>
<!--
   modub4_panel.xsl - UPS screen for Piller UNIBLOCK UB III models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
   last update 2010 said
   new serial number.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modub4_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="35"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modub4_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="620"/>
      <xsl:with-param name="left" select="30"/>
      <xsl:with-param name="width" select="826"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modub4_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modub4_panel-body">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backubt4.png'"/>
      <xsl:with-param name="x" select="0"/>
      <xsl:with-param name="y" select="0"/>
      <xsl:with-param name="w" select="900"/>
      <xsl:with-param name="h" select="630"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>
    <xsl:apply-templates />
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_selection_init"/>
    <script type="text/javascript">
      init();
    </script>
    <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
      <xsl:call-template name="js_refresh_call">
        <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
      </xsl:call-template>
    </xsl:if>
  </xsl:template>
  <!-- Implementation -->
  <xsl:template match="values">

    <xsl:variable name="adr180">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR180']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="intern-bypass">
      <xsl:choose>
        <xsl:when test="substring($adr180, 1,1) = 1">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="extern-bypass">
      <xsl:choose>
        <xsl:when test="substring($adr180, 2,1) = 1">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-nea">
      <xsl:choose>
        <xsl:when test="substring($adr180, 5,2) = '01'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-eb">
      <xsl:choose>
        <!--<xsl:when test="substring($adr180, 5,1) = 1"> changed-->
        <xsl:when test="substring($adr180, 5,2) = '10'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-eeb">
      <!-- new-->
      <xsl:choose>
        <xsl:when test="substring($adr180, 5,2) = '11'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-trafo">
      <!-- new symbol virtical T6-->
      <xsl:choose>
        <!--<xsl:when test="value[@name='ADR180']/@val = 64 or value[@name='ADR180']/@val = 216 or value[@name='ADR180']/@val = 13816">-->
        <xsl:when test="substring($adr180, 7,1) = '1'  and value[@name='ADR180']/@val != 17912">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-trafo2">
      <!-- new symbol horisontal T17-->
      <xsl:choose>
        <!--<xsl:when test="value[@name='ADR180']/@val = 184 or value[@name='ADR180']/@val = 216 or value[@name='ADR180']/@val = 13816 or value[@name='ADR180']/@val = 17912">-->
         <xsl:when test="substring($adr180, 4,1) = '1' and substring($adr180, 8,1) = '1' and substring($adr180, 5,2) != '00'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:variable name="has-diesel">
      <xsl:choose>
        <xsl:when test="substring($adr180, 4,1) = 1">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has_pb2">
      <!--Modbusadresse 397:  nur Bit 5  xxxx xxxx xx1x xxxx = Es sind zwei Quellen vorhanden-->
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='ADR18D']/@val"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="has-pb">
      <xsl:choose>
        <xsl:when test="substring($adr180, 9,2) = '10'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-battery">
      <xsl:choose>
        <xsl:when test="substring($adr180, 9,2) = '11'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="has-two-inv">
      <xsl:choose>
        <xsl:when test="($has-pb = 1 and substring($adr180, 11,2) = '10') or ($has-battery = 1 and substring($adr180, 11,2) = '11')">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="x-off" select="0"/>
    <xsl:variable name="y-off">
      <xsl:choose>
        <xsl:when test="$has-eb = 1 or $has-nea = 1">
          <xsl:value-of select="0"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="40"/>
        </xsl:otherwise>

      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="inv-type">
      <xsl:choose>
        <xsl:when test="$has-pb = 1">
          <xsl:value-of select="'ub4ssw'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'ub4wr'"/>
        </xsl:otherwise>

      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="pb-type">
      <xsl:choose>
        <xsl:when test="$has-pb = 1">
          <xsl:value-of select="'ub4pb'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'ub4batt'"/>
        </xsl:otherwise>

      </xsl:choose>
    </xsl:variable>


    <xsl:call-template name="js_selection_add">
      <xsl:with-param name="panel-id" select="'panel1'"/>
      <xsl:with-param name="page-count" select="3"/>
    </xsl:call-template>
    <xsl:if test="$has-diesel = 1">
      <xsl:choose>
        <xsl:when test="$has-eb = 1">
          <xsl:call-template name="js_selection_add">
            <xsl:with-param name="panel-id" select="'panel2'"/>
            <xsl:with-param name="page-count" select="3"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>
    <xsl:if test="$has-battery = 1">
      <xsl:call-template name="js_selection_add">
        <xsl:with-param name="panel-id" select="'panel3'"/>
        <xsl:with-param name="page-count" select="2"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="$has-diesel = 1">
      <xsl:call-template name="js_selection_add">
        <xsl:with-param name="panel-id" select="'panel4'"/>
        <xsl:with-param name="page-count" select="2"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="$has_pb2 = 1">
      <xsl:call-template name="js_selection_add">
        <xsl:with-param name="panel-id" select="'panel5'"/>
        <xsl:with-param name="page-count" select="2"/>
      </xsl:call-template>
    </xsl:if>


    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: {$x-off + 626}px; top: 100px; width: 214px;  font-size:17px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: {$x-off + 626}px; top: 80px; width: 214px; font-size:17px; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>

    <!-- UPS HISTORY-->
    <xsl:call-template name="on-mouse-over"/>

    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <div class="MediumBold" align="right" style="position: absolute; left: 713px; top: 544px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left:713px; top: 551px; width: 100px; height: 17px; text-align:center;  ">
        <a id="events_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"        onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <script type="text/javascript"> translate_text('events_rec', 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>

    <!-- Labeling -->
    <xsl:if test="value[@name='ADR180']/@val != 17912 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!--and  value[@name='ADR18D']/@val != 32-->
      <div id="main_1" class="MediumBold" style="position: absolute; left: {$x-off + 67}px; top: {$y-off + 170}px; ">
        <script type="text/javascript"> translate_text('main_1', 'Mains');</script>
      </div>
      <div id="ups_1" class="MediumBold" style="position: absolute; left: {$x-off + 460}px; top: {$y-off + 170}px; ">
        <script type="text/javascript"> translate_text('ups_1', 'UPS');</script>
      </div>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 657}px; top: {$y-off + 170}px; ">
        Load
      </div>
    </xsl:if>

    <xsl:choose>
      <!--new-->
      <xsl:when test="$has-pb = 1 and $has_pb2= 0 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
        <div class="MediumBold" style="position: absolute; left: {$x-off + 153}px; top: {$y-off + 292}px; ">PB</div>
      </xsl:when>
      <xsl:when test="$has-pb = 1 and $has_pb2= 1">
        <div class="MediumBold" style="position: absolute; left: {$x-off + 220}px; top: {$y-off + 314}px; ">PB1</div>
        <div class="MediumBold" style="position: absolute; left: {$x-off + 220}px; top: {$y-off + 390}px; ">PB2</div>
      </xsl:when>
      <xsl:when test="$has-battery = 1">
        <div id="battery_1" class="MediumBold" style="position: absolute; left: {$x-off + 140}px; top: {$y-off + 289}px; ">
          <script type="text/javascript"> translate_text('battery_1', 'Battery');</script>
        </div>
      </xsl:when>
      <xsl:otherwise>
        <div class="MediumBold" style="position: absolute; left: {$x-off + 69}px; top: {$y-off + 364}px; "></div>
      </xsl:otherwise>
    </xsl:choose>
    <xsl:if test="$has-diesel = 1">
      <div id="diesel_1" class="MediumBold" style="position: absolute; left: {$x-off + 569}px; top: {$y-off + 290}px; ">
        <script type="text/javascript"> translate_text('diesel_1', 'Diesel');</script>
      </div>
    </xsl:if>

    <xsl:if test="value[@name='ADR180']/@val != 17912 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <div class="MediumBold" style="position: absolute; left: {$x-off + 260}px; top: {$y-off + 170}px; ">Q1</div>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 561}px; top: {$y-off + 170}px; ">Q6</div>
    </xsl:if>

    <xsl:if test="$has-eb = 1">
      <div id="main_eb_1" class="MediumBold" style="position: absolute; left: {$x-off + 67}px; top: {$y-off + 483}px; ">
        <script type="text/javascript"> translate_text('main_eb_1', ['Mains', '&#160;EB']);</script>
      </div>
      <div id="load_eb_1" class="MediumBold" style="position: absolute; left: {$x-off + 635}px; top: {$y-off + 483}px; ">
        <script type="text/javascript"> translate_text('load_eb_1', ['Load', '&#160;EB']);</script>
      </div>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 230}px; top: {$y-off + 497}px; ">Q7</div>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 527}px; top: {$y-off + 444}px; ">Q17</div>
    </xsl:if>

    <!-- new-->
    <xsl:if test="$has-eeb = 1">
      <div class="MediumBold" style="position: absolute; left: {$x-off + 527}px; top: {$y-off + 444}px; ">Q17</div>
    </xsl:if>

    <xsl:if test="$has-nea = 1">
      <!-- Labeling -->
      <div id="nea_netz_1" class="MediumBold" style="position: absolute; left: {$x-off + 67}px; top: {$y-off + 483}px; ">
        <script id="nea_netz_1" type="text/javascript"> translate_text('nea_netz_1','Nea Netz');</script>
      </div>
      <div id="nea_last_1" class="MediumBold" style="position: absolute; left: {$x-off + 630}px; top: {$y-off + 430}px; ">
        <script type="text/javascript"> translate_text('nea_last_1','Nea Last');</script>
      </div>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 230}px; top: {$y-off + 497}px; ">Q7</div>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 527}px; top: {$y-off + 444}px; ">Q17</div>
    </xsl:if>


    <!--Mains fail counter and Operating hours-->
    <xsl:variable name="op_hours" select="value[@name='ADR97']/@val*10000 + value[@name='ADR98']/@val" />
    <xsl:variable name="failure_counter" select="value[@name='ADR93']/@val"/>

    <!--<div style="position:absolute;left:220px;top:248px;height:30px;width:150px;border:1px #405080 solid">
		<table cellspacing="1" cellpadding="1" border="0" width="140">
      <tr>
        <td class="tdMediumSmallWhiteBold" style="text-align:left"><xsl:value-of select="'Mains&#160;failure&#160;counter:&#160;'"/></td>
        <td class="tdMediumSmallWhiteBold" style="text-align:left"><xsl:value-of select="$failure_counter"/></td>
      </tr>
      <tr>
        <td class="tdMediumSmallWhiteBold" style="text-align:left"><xsl:value-of select="'Operating&#160;hours:&#160;'"/></td>
        <td class="tdMediumSmallWhiteBold" style="text-align:left"><xsl:value-of select="$op_hours"/></td>
      </tr>
	</table>
	</div>-->
    <!--serial number-->
    <xsl:call-template name="serial_number">
      <xsl:with-param name="x" select="$x-off + 640"/>
      <xsl:with-param name="y" select="'530'"/>
      <xsl:with-param name="w" select="'120'"/>
      <xsl:with-param name="h" select="'15'"/>
      <xsl:with-param name="addr1" select="value[@name='ADR178']/@val"/>
      <xsl:with-param name="addr2" select="value[@name='ADR179']/@val"/>
      <xsl:with-param name="addr3" select="value[@name='ADR17A']/@val"/>
      <xsl:with-param name="addr4" select="value[@name='ADR17B']/@val"/>
      <xsl:with-param name="addr5" select="value[@name='ADR17C']/@val"/>
      <xsl:with-param name="addr6" select="value[@name='ADR17D']/@val"/>
      <xsl:with-param name="addr7" select="value[@name='ADR17E']/@val"/>
      <xsl:with-param name="addr8" select="value[@name='ADR17F']/@val"/>
      <xsl:with-param name="border-width" select="1"/>
      <xsl:with-param name="text-align" select="'center'"/>
    </xsl:call-template>

    <!--LOADBAR SWITCH 1-->
    <xsl:variable name="switch-x" select="$x-off + 790"/>
    <xsl:variable name="switch-load-y" select="258"/>

    <xsl:if test="value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!--NEW -->
      <div class="MediumBold" align="right" style="position: absolute; left: {$switch-x}px; top: {$switch-load-y+18}px; width: 24px; height: 12px; text-align:center; z-index:2 ">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionUp('panel1');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallUp24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: {$switch-x}px; top: {$switch-load-y + 30}px; width: 24px; height: 12px; text-align:center;  ; z-index:2">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionDown('panel1');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallDown24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
    </xsl:if >

    <xsl:if test="$has-diesel = 1 and $has-eb=1">
      <div class="MediumBold" align="right" style="position: absolute; left: {$switch-x}px; top: 476px; width: 24px; height: 12px; text-align:center; ; z-index:2 ">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionUp('panel2');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallUp24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: {$switch-x}px; top: 488px; width: 24px; height: 12px; text-align:center; ; z-index:2 ">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionDown('panel2');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallDown24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
    </xsl:if>

    <xsl:if test="$has-battery = 1">
      <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 221}px; top: {$y-off + 413}px; width: 24px; height: 12px; text-align:center; ; z-index:2 ">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionUp('panel3');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallUp24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 221}px; top: {$y-off + 425}px; width: 24px; height: 12px; text-align:center;  ; z-index:2">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionDown('panel3');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallDown24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
    </xsl:if>
    <xsl:if test="$has-diesel = 1">
      <div class="MediumBold" align="right" style="position: absolute; left:{$x-off + 570}px;top:{$y-off + 375}px; width: 24px; height: 12px; text-align:center; ; z-index:2 ">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionUp('panel4');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallUp24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 570}px; top: {$y-off + 387}px; width: 24px; height: 12px; text-align:center;  ; z-index:2">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionDown('panel4');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallDown24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
    </xsl:if>
    <xsl:variable name="adr333">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR333']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr334">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR334']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr335">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR335']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr336">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR336']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr337">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR337']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr338">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR338']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr339">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR339']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr33A">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33A']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr33B">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33B']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr33C">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33C']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="adr33D">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33D']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr33E">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR33E']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr343">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR343']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr344">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR344']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr345">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR345']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr346">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR346']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr347">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR347']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr348">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR348']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adr349">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR349']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>



    <xsl:variable name="phase-mains-ups">
      <xsl:call-template name="all-or-nothing-value">
        <xsl:with-param name="value" select="value[@name='ADR88']/@val"/>
        <xsl:with-param name="precision" select="0" />
        <xsl:with-param name="unit" select="'&#176;'" />
        <xsl:with-param name="indicator" select="32767" />
        <xsl:with-param name="nothing-tag" select="'---'" />
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="phase-mains-load">
      <xsl:call-template name="all-or-nothing-value">
        <xsl:with-param name="value" select="value[@name='ADR8A']/@val"/>
        <xsl:with-param name="precision" select="0" />
        <xsl:with-param name="unit" select="'&#176;'" />
        <xsl:with-param name="indicator" select="32767" />
        <xsl:with-param name="nothing-tag" select="'---'" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="phase-load-ups">
      <xsl:call-template name="all-or-nothing-value">
        <xsl:with-param name="value" select="value[@name='ADR89']/@val"/>
        <xsl:with-param name="precision" select="0" />
        <xsl:with-param name="unit" select="'&#176;'" />
        <xsl:with-param name="indicator" select="32767" />
        <xsl:with-param name="nothing-tag" select="'---'" />
      </xsl:call-template>
    </xsl:variable>

    <!--- LED Bars -->

    <xsl:if test="value[@name='ADR180']/@val != 17912 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!-- and  value[@name='ADR18D']/@val != 32-->
      <!-- A -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 66"/>
        <xsl:with-param name="y" select="$y-off + 162"/>
        <xsl:with-param name="w" select="94"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr333"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_1'"/>
      </xsl:call-template>

      <!-- B -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 160"/>
        <xsl:with-param name="y" select="$y-off + 162"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr333"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_2'"/>
      </xsl:call-template>

      <!-- C -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 255"/>
        <xsl:with-param name="y" select="$y-off + 162"/>
        <xsl:with-param name="w" select="75"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr334"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_3'"/>
      </xsl:call-template>

      <!-- E -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 405"/>
        <xsl:with-param name="y" select="$y-off + 162"/>
        <xsl:with-param name="w" select="117"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr335"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_4'"/>
      </xsl:call-template>

      <!-- F -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 557"/>
        <xsl:with-param name="y" select="$y-off + 162"/>
        <xsl:with-param name="w" select="52"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr335"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_5'"/>
      </xsl:call-template>

      <!-- G -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 609"/>
        <xsl:with-param name="y" select="$y-off + 162"/>
        <xsl:with-param name="w" select="83"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="1"/>
        <xsl:with-param name="adrstr" select="$adr336"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_6'"/>
      </xsl:call-template>

    </xsl:if>

    <!-- H -->
    <xsl:if test="value[@name='ADR180']/@val != 17912 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!-- and  value[@name='ADR18D']/@val != 32-->
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 176"/>
        <xsl:with-param name="h" select="124"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr336"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_1'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="value[@name='ADR180']/@val = 17912 and  value[@name='ADR18D']/@val = 32">
      <!-- F new-->
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 176"/>
        <xsl:with-param name="h" select="50"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr335"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_2'"/>
      </xsl:call-template>
      <!-- H new-->
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 256"/>
        <xsl:with-param name="h" select="50"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr336"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_3'"/>
      </xsl:call-template>

      <div id="load_2" class="MediumBold" style="position: absolute; left: {$x-off + 398}px; top: {$y-off + 170}px; ">
        <script type="text/javascript"> translate_text('load_2','Load');</script>
      </div>
      <div id="output_2" class="MediumBold" style="position: absolute; left: {$x-off + 320}px; top: {$y-off + 240}px; ">
        <script type="text/javascript"> translate_text('output_2','Output');</script>
      </div>
      <div id="ups_2"  class="MediumBold" style="position: absolute; left: {$x-off + 350}px; top: {$y-off + 278}px; ">
        <script type="text/javascript"> translate_text('ups_2','UPS');</script>
      </div>
    </xsl:if>

    <!-- IV -->
    <xsl:choose>
      <xsl:when test="$intern-bypass = 1">
        <xsl:call-template name="vertical-bar3">
          <xsl:with-param name="x" select="$x-off + 153"/>
          <xsl:with-param name="y" select="$y-off + 114"/>
          <xsl:with-param name="h" select="49"/>
          <xsl:with-param name="top-border" select="0"/>
          <xsl:with-param name="bottom-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr337"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="z-index" select="2"/>
          <xsl:with-param name="id" select="'vertical-bar_4'"/>
        </xsl:call-template>
        <!-- IH -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 153"/>
          <xsl:with-param name="y" select="$y-off + 108"/>
          <xsl:with-param name="w" select="216"/>
          <xsl:with-param name="left-border" select="1"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr337"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="id" select="'horizontal-bar_8'"/>
        </xsl:call-template>
        <!-- JV -->
        <xsl:call-template name="vertical-bar3">
          <xsl:with-param name="x" select="$x-off + 609"/>
          <xsl:with-param name="y" select="$y-off + 114"/>
          <xsl:with-param name="h" select="49"/>
          <xsl:with-param name="top-border" select="0"/>
          <xsl:with-param name="bottom-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr337"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="z-index" select="2"/>
          <xsl:with-param name="id" select="'vertical-bar_5'"/>
        </xsl:call-template>
        <!-- JH -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 404"/>
          <xsl:with-param name="y" select="$y-off + 108"/>
          <xsl:with-param name="w" select="212"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="1"/>
          <xsl:with-param name="adrstr" select="$adr337"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="id" select="'horizontal-bar_9'"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$extern-bypass = 1 and $has_pb2 = 1">
        <!-- IH -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 120"/>
          <xsl:with-param name="y" select="$y-off + 108"/>
          <xsl:with-param name="w" select="250"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr337"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="id" select="'horizontal-bar_10'"/>
        </xsl:call-template>
        <!-- IH (= = =)-->
        <div style="position:absolute;left:{$x-off + 80}px;top:{$y-off+108}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 90}px;top:{$y-off+108}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 100}px;top:{$y-off+108}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 80}px;top:{$y-off+113}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 90}px;top:{$y-off+113}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 100}px;top:{$y-off+113}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <!-- JH -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 404"/>
          <xsl:with-param name="y" select="$y-off + 108"/>
          <xsl:with-param name="w" select="240"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr337"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="id" select="'horizontal-bar_11'"/>
        </xsl:call-template>
        <!-- JH (= = =)-->
        <div style="position:absolute;left:{$x-off + 660}px;top:{$y-off+108}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 670}px;top:{$y-off+108}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 680}px;top:{$y-off+108}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 660}px;top:{$y-off+113}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 670}px;top:{$y-off+113}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
        <div style="position:absolute;left:{$x-off + 680}px;top:{$y-off+113}px;width:5px;height:1px;z-index:1;border:1px solid black;overflow:hidden;">
        </div>
      </xsl:when>
      <xsl:when test="$extern-bypass = 1 and $has_pb2 = 0">
        <div style="position:absolute;left:{$x-off + 66}px;top:{$y-off+111}px;width:625px;height:1px;z-index:1;overflow:hidden; background-color:black">
        </div>
      </xsl:when>
      <xsl:otherwise>
      </xsl:otherwise>
    </xsl:choose>

    <!-- Nea -->
    <xsl:if test="$has-nea = 1">
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 354"/>
        <xsl:with-param name="h" select="69"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_6'"/>
      </xsl:call-template>

      <!-- KH -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 422"/>
        <xsl:with-param name="w" select="138"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_12'"/>
      </xsl:call-template>

      <!-- LH -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 557"/>
        <xsl:with-param name="y" select="$y-off + 422"/>
        <xsl:with-param name="w" select="134"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="1"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_13'"/>
      </xsl:call-template>

      <!-- M -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 66"/>
        <xsl:with-param name="y" select="$y-off + 475"/>
        <xsl:with-param name="w" select="154"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_14'"/>
      </xsl:call-template>

      <!-- N -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 255"/>
        <xsl:with-param name="y" select="$y-off + 475"/>
        <xsl:with-param name="w" select="355"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_15'"/>
      </xsl:call-template>

      <!-- O -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 610"/>
        <xsl:with-param name="y" select="$y-off + 475"/>
        <xsl:with-param name="w" select="81"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="1"/>
        <xsl:with-param name="adrstr" select="$adr33A"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_16'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- new-->
    <xsl:if test="$has-eeb = 1">
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 354"/>
        <xsl:with-param name="h" select="69"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_7'"/>
      </xsl:call-template>

      <!-- KH -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 422"/>
        <xsl:with-param name="w" select="138"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_18'"/>
      </xsl:call-template>

      <!-- LH -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 557"/>
        <xsl:with-param name="y" select="$y-off + 422"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="1"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_19'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- KV -->
    <xsl:if test="$has-eb = 1">
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 354"/>
        <xsl:with-param name="h" select="69"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_8'"/>
      </xsl:call-template>

      <!-- KH -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 384"/>
        <xsl:with-param name="y" select="$y-off + 422"/>
        <xsl:with-param name="w" select="138"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_20'"/>
      </xsl:call-template>
      <!-- LV -->
      <xsl:call-template name="vertical-bar3">
        <xsl:with-param name="x" select="$x-off + 610"/>
        <xsl:with-param name="y" select="$y-off + 428"/>
        <xsl:with-param name="h" select="48"/>
        <xsl:with-param name="top-border" select="0"/>
        <xsl:with-param name="bottom-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="z-index" select="2"/>
        <xsl:with-param name="id" select="'vertical-bar_9'"/>
      </xsl:call-template>

      <!-- LH -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 557"/>
        <xsl:with-param name="y" select="$y-off + 422"/>
        <xsl:with-param name="w" select="60"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="1"/>
        <xsl:with-param name="adrstr" select="$adr338"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_21'"/>
      </xsl:call-template>

      <!-- M -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 66"/>
        <xsl:with-param name="y" select="$y-off + 475"/>
        <xsl:with-param name="w" select="154"/>
        <xsl:with-param name="left-border" select="1"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_22'"/>
      </xsl:call-template>

      <!-- N -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 255"/>
        <xsl:with-param name="y" select="$y-off + 475"/>
        <xsl:with-param name="w" select="355"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr339"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_23'"/>
      </xsl:call-template>

      <!-- O -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 610"/>
        <xsl:with-param name="y" select="$y-off + 475"/>
        <xsl:with-param name="w" select="81"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="1"/>
        <xsl:with-param name="adrstr" select="$adr33A"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_24'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- P -->
    <xsl:if test="$has-diesel = 1">
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 415"/>
        <xsl:with-param name="y" select="$y-off + 325"/>
        <xsl:with-param name="w" select="58"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33A"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_25'"/>
      </xsl:call-template>
      <!-- Q -->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 508"/>
        <xsl:with-param name="y" select="$y-off + 325"/>
        <xsl:with-param name="w" select="61"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33B"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="id" select="'horizontal-bar_26'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="($has-pb = 1 or $has-battery = 1) and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!--new-->
      <!-- RV -->
      <xsl:if test="$has-pb=1 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
        <xsl:choose>
          <xsl:when test="$has-two-inv=1 and value[@name='ADR180']/@val=1280 and value[@name='ADR18D']/@val!=32">

            <!--<xsl:when test="$has-two-inv=1 and value[@name='ADR180']/@val!=1280 and value[@name='ADR180']/@val!=13816 and value[@name='ADR180']/@val!=17912">-->

            <xsl:call-template name="vertical-bar3">
              <xsl:with-param name="x" select="$x-off + 224"/>
              <xsl:with-param name="y" select="$y-off + 293"/>
              <!--<xsl:with-param name="h" select="38"/>-->
              <xsl:with-param name="top-border" select="0"/>
              <xsl:with-param name="bottom-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33B"/>
              <xsl:with-param name="bit" select="9"/>
              <xsl:with-param name="z-index" select="2"/>
              <xsl:with-param name="id" select="'vertical-bar_10'"/>
            </xsl:call-template>
            <!-- RH -->
            <xsl:call-template name="horizontal-bar3">
              <xsl:with-param name="x" select="$x-off + 224"/>
              <xsl:with-param name="y" select="$y-off + 287"/>
              <xsl:with-param name="w" select="35"/>
              <xsl:with-param name="left-border" select="1"/>
              <xsl:with-param name="right-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33B"/>
              <xsl:with-param name="bit" select="9"/>
              <xsl:with-param name="id" select="'horizontal-bar_27'"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <!-- RH -->
            <xsl:if test="$has_pb2 != 1 and $has-two-inv != 1" >
              <!--<xsl:if test="value[@name='ADR180']/@val != 1280 and value[@name='ADR180']/@val != 13816 and value[@name='ADR180']/@val!=17912 and
						value[@name='ADR180']/@val !=20736 and value[@name='ADR180']/@val != 21248 and (substring($adr180, 9,1) != 1 and substring($adr180, 13,1) != 1)">-->

              <!--and (substring($adr180, 9,1) != 1 and substring($adr180, 13,1) != 1)">-->
              <xsl:call-template name="horizontal-bar3">
                <xsl:with-param name="x" select="$x-off + 224"/>
                <xsl:with-param name="y" select="$y-off + 325"/>
                <xsl:with-param name="w" select="35"/>
                <xsl:with-param name="left-border" select="1"/>
                <xsl:with-param name="right-border" select="0"/>
                <xsl:with-param name="adrstr" select="$adr33B"/>
                <xsl:with-param name="bit" select="9"/>
                <xsl:with-param name="id" select="'horizontal-bar_28'"/>
              </xsl:call-template>
            </xsl:if>

          </xsl:otherwise>
        </xsl:choose>
        <!-- SV -->
        <xsl:choose>
          <xsl:when test="$has-two-inv = 1 and value[@name='ADR180']/@val = 1280  and value[@name='ADR18D']/@val!=32">

            <!--<xsl:when test="$has-two-inv = 1 and value[@name='ADR180']/@val == 1280 and value[@name='ADR180']/@val != 13816 and value[@name='ADR180']/@val!=17912">-->
            <xsl:call-template name="vertical-bar3">
              <xsl:with-param name="x" select="$x-off + 224"/>
              <xsl:with-param name="y" select="$y-off + 325"/>
              <xsl:with-param name="h" select="38"/>
              <xsl:with-param name="top-border" select="0"/>
              <xsl:with-param name="bottom-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33C"/>
              <xsl:with-param name="bit" select="1"/>
              <xsl:with-param name="z-index" select="2"/>
              <xsl:with-param name="id" select="'vertical-bar_11'"/>
            </xsl:call-template>
            <!-- SH -->
            <xsl:call-template name="horizontal-bar3">
              <xsl:with-param name="x" select="$x-off + 224"/>
              <xsl:with-param name="y" select="$y-off + 362"/>
              <xsl:with-param name="w" select="35"/>
              <xsl:with-param name="left-border" select="1"/>
              <xsl:with-param name="right-border" select="0"/>
              <xsl:with-param name="adrstr" select="$adr33C"/>
              <xsl:with-param name="bit" select="1"/>
              <xsl:with-param name="id" select="'horizontal-bar_29'"/>
            </xsl:call-template>
          </xsl:when>
        </xsl:choose>
      </xsl:if>

      <xsl:if	 test="$has_pb2=1">
        <!-- RH -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 250"/>
          <xsl:with-param name="y" select="$y-off + 287"/>
          <xsl:with-param name="w" select="19"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33B"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="id" select="'horizontal-bar_30'"/>
        </xsl:call-template>
        <!-- SH -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 250"/>
          <xsl:with-param name="y" select="$y-off + 362"/>
          <xsl:with-param name="w" select="19"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33C"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="id" select="'horizontal-bar_31'"/>
        </xsl:call-template>
      </xsl:if>

      <xsl:variable name ="th_uh_w">
        <xsl:choose>
          <xsl:when test="$has_pb2 = 0">
            <xsl:value-of select="35"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="25"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name ="th_uh_x">
        <xsl:choose>
          <xsl:when test="$has_pb2 = 0">
            <xsl:value-of select="294"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="304"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

      <xsl:choose>
        <xsl:when test="$has-two-inv = 1">
          <!-- TH -->
          <xsl:call-template name="horizontal-bar3">
            <xsl:with-param name="x" select="$x-off + $th_uh_x"/>
            <xsl:with-param name="y" select="$y-off + 287"/>
            <xsl:with-param name="w" select="$th_uh_w"/>
            <xsl:with-param name="left-border" select="0"/>
            <xsl:with-param name="right-border" select="1"/>
            <xsl:with-param name="adrstr" select="$adr33C"/>
            <xsl:with-param name="bit" select="9"/>
            <xsl:with-param name="id" select="'horizontal-bar_32'"/>
          </xsl:call-template>
          <!-- TV -->
          <xsl:call-template name="vertical-bar3">
            <xsl:with-param name="x" select="$x-off + 322"/>
            <xsl:with-param name="y" select="$y-off + 293"/>
            <xsl:with-param name="h" select="38"/>
            <xsl:with-param name="top-border" select="0"/>
            <xsl:with-param name="bottom-border" select="0"/>
            <xsl:with-param name="adrstr" select="$adr33C"/>
            <xsl:with-param name="bit" select="9"/>
            <xsl:with-param name="z-index" select="2"/>
            <xsl:with-param name="id" select="'vertical-bar_12'"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <!-- TH -->
          <xsl:if test="value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248 and value[@name='ADR180']/@val != 769">
            <xsl:call-template name="horizontal-bar3">
              <xsl:with-param name="x" select="$x-off + $th_uh_x"/>
              <xsl:with-param name="y" select="$y-off + 325"/>
              <xsl:with-param name="w" select="$th_uh_w"/>
              <xsl:with-param name="left-border" select="0"/>
              <xsl:with-param name="right-border" select="1"/>
              <xsl:with-param name="adrstr" select="$adr33C"/>
              <xsl:with-param name="bit" select="9"/>
              <xsl:with-param name="id" select="'horizontal-bar_33'"/>
            </xsl:call-template>
          </xsl:if>
        </xsl:otherwise>
      </xsl:choose>

      <!-- UV -->
      <xsl:choose>
        <xsl:when test="$has-two-inv = 1">
          <xsl:call-template name="vertical-bar3">
            <xsl:with-param name="x" select="$x-off + 322"/>
            <xsl:with-param name="y" select="$y-off + 327"/>
            <xsl:with-param name="h" select="38"/>
            <xsl:with-param name="top-border" select="0"/>
            <xsl:with-param name="bottom-border" select="0"/>
            <xsl:with-param name="adrstr" select="$adr33D"/>
            <xsl:with-param name="bit" select="1"/>
            <xsl:with-param name="z-index" select="2"/>
            <xsl:with-param name="id" select="'vertical-bar_13'"/>
          </xsl:call-template>
          <!-- UH -->
          <xsl:call-template name="horizontal-bar3">
            <xsl:with-param name="x" select="$x-off + $th_uh_x"/>
            <xsl:with-param name="y" select="$y-off + 362"/>
            <xsl:with-param name="w" select="$th_uh_w"/>
            <xsl:with-param name="left-border" select="0"/>
            <xsl:with-param name="right-border" select="1"/>
            <xsl:with-param name="adrstr" select="$adr33D"/>
            <xsl:with-param name="bit" select="1"/>
            <xsl:with-param name="z-index" select="1"/>
            <xsl:with-param name="id" select="'horizontal-bar_34'"/>
          </xsl:call-template>
        </xsl:when>
      </xsl:choose>

      <!-- V -->
      <xsl:if test="value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248 and value[@name='ADR180']/@val != 769">
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 323"/>
          <xsl:with-param name="y" select="$y-off + 325"/>
          <xsl:with-param name="w" select="40"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33D"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="z-index" select="3"/>
         <xsl:with-param name="Lower-border" select="0"/>
         <xsl:with-param name="Upper-border" select="0"/>
          <xsl:with-param name="id" select="'horizontal-bar_35'"/>
        </xsl:call-template>
      <!-- Lower border -->
      <div id="lower_horizontal-bar_35" style="position:absolute;left:{$x-off + 328}px;top:{$y-off + 325 + 6}px;width:35px;height:1px;z-index:3;background-color:#000000;overflow:hidden;"/>
      <!-- Upper border -->
      <div id="upper_horizontal-bar_35" style="position:absolute;left:{$x-off + 328}px;;top:{$y-off + 325}px;width:35px;height:1px;z-index:3;background-color:#000000;overflow:hidden;"/>
      </xsl:if>

      <xsl:if	 test="$has_pb2=0 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 768 and value[@name='ADR180']/@val != 21248">
        <!-- W -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 180"/>
          <xsl:with-param name="y" select="$y-off + 325"/>
          <xsl:with-param name="w" select="45"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33E"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="z-index" select="3"/>
          <xsl:with-param name="id" select="'horizontal-bar_36'"/>
        </xsl:call-template>
      </xsl:if>

    </xsl:if>

    <xsl:if test="value[@name='ADR180']/@val = 20736 and value[@name='ADR18D']/@val = 0">
      <!-- new -->
      <!-- T-->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 450"/>
        <xsl:with-param name="y" select="$y-off + 250"/>
        <xsl:with-param name="w" select="90"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33C"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_38'"/>
      </xsl:call-template>
      <!-- R-->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 220"/>
        <xsl:with-param name="y" select="$y-off + 250"/>
        <xsl:with-param name="w" select="180"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33B"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_39'"/>
      </xsl:call-template>

      <!--M/G-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 530"/>
        <xsl:with-param name="y" select="$y-off + 190"/>
        <xsl:with-param name="w" select="126"/>
        <xsl:with-param name="h" select="128"/>
        <xsl:with-param name="adrstr" select="$adr346"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4_126_128_mg'"/>
      </xsl:call-template>

      <!-- INV1 -->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 370"/>
        <xsl:with-param name="y" select="$y-off + 210"/>
        <xsl:with-param name="w" select="82"/>
        <xsl:with-param name="h" select="82"/>
        <xsl:with-param name="adrstr" select="$adr347"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'ub4_82_82_ssw'"/>
      </xsl:call-template>

      <!--PB-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 140"/>
        <xsl:with-param name="y" select="$y-off + 200"/>
        <xsl:with-param name="w" select="81"/>
        <xsl:with-param name="h" select="104"/>
        <xsl:with-param name="adrstr" select="$adr348"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'ub4_81_104_pb'"/>
      </xsl:call-template>

      <div class="MediumBold" style="position: absolute; left: {$x-off + 166}px; top: {$y-off + 180}px; ">PB</div>

    </xsl:if>

    <xsl:if test="value[@name='ADR180']/@val = 21248 and value[@name='ADR18D']/@val = 0 and value[@name='ADR180']/@val != 769">
      <!-- new -->
      <!-- T-->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 450"/>
        <xsl:with-param name="y" select="$y-off + 250"/>
        <xsl:with-param name="w" select="90"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33C"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_40'"/>
      </xsl:call-template>
      <!-- R-->
      <xsl:call-template name="horizontal-bar3">
        <xsl:with-param name="x" select="$x-off + 220"/>
        <xsl:with-param name="y" select="$y-off + 250"/>
        <xsl:with-param name="w" select="180"/>
        <xsl:with-param name="left-border" select="0"/>
        <xsl:with-param name="right-border" select="0"/>
        <xsl:with-param name="adrstr" select="$adr33B"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="id" select="'horizontal-bar_41'"/>
      </xsl:call-template>

      <!--M/G-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 530"/>
        <xsl:with-param name="y" select="$y-off + 190"/>
        <xsl:with-param name="w" select="126"/>
        <xsl:with-param name="h" select="128"/>
        <xsl:with-param name="adrstr" select="$adr346"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4_126_128_mg'"/>
      </xsl:call-template>

      <!-- INV1 -->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 370"/>
        <xsl:with-param name="y" select="$y-off + 210"/>
        <xsl:with-param name="w" select="82"/>
        <xsl:with-param name="h" select="82"/>
        <xsl:with-param name="adrstr" select="$adr347"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'ub4_82_82_wr'"/>
      </xsl:call-template>

      <!--Battery-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 140"/>
        <xsl:with-param name="y" select="$y-off + 200"/>
        <xsl:with-param name="w" select="81"/>
        <xsl:with-param name="h" select="104"/>
        <xsl:with-param name="adrstr" select="$adr348"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'batt_79_104_'"/>
      </xsl:call-template>

      <div class="MediumBold" style="position: absolute; left: {$x-off + 158}px; top: {$y-off + 180}px; ">Battery</div>
    </xsl:if>


      <xsl:if	 test="$has_pb2=0 and value[@name='ADR180']/@val = 769">   
        <!-- R -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 180"/>
          <xsl:with-param name="y" select="$y-off + 325"/>
          <xsl:with-param name="w" select="90"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33B"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="z-index" select="3"/>
          <xsl:with-param name="id" select="'horizontal-bar_43'"/>
        </xsl:call-template>
       <!-- T --> 
       <xsl:call-template name="horizontal-bar3">
         <xsl:with-param name="x" select="$x-off + 280"/>
         <xsl:with-param name="y" select="$y-off + 325"/>
         <xsl:with-param name="w" select="90"/>
         <xsl:with-param name="left-border" select="0"/>
         <xsl:with-param name="right-border" select="0"/>
         <xsl:with-param name="adrstr" select="$adr33C"/>
         <xsl:with-param name="bit" select="9"/>
         <xsl:with-param name="id" select="'horizontal-bar_44'"/>
      </xsl:call-template>           
      </xsl:if>

      <xsl:if	 test="$has_pb2=0 and (value[@name='ADR180']/@val = 768 or value[@name='ADR180']/@val = 769 or value[@name='ADR180']/@val = 770 or value[@name='ADR180']/@val = 771 or value[@name='ADR180']/@val = 772)">
        <!--new-->
        <!-- R -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 180"/>
          <xsl:with-param name="y" select="$y-off + 325"/>
          <xsl:with-param name="w" select="85"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33B"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="z-index" select="3"/>
          <xsl:with-param name="id" select="'horizontal-bar_37'"/>
        </xsl:call-template>
        <!--T -->
        <xsl:call-template name="horizontal-bar3">
          <xsl:with-param name="x" select="$x-off + 294"/>
          <xsl:with-param name="y" select="$y-off + 325"/>
          <xsl:with-param name="w" select="90"/>
          <xsl:with-param name="left-border" select="0"/>
          <xsl:with-param name="right-border" select="0"/>
          <xsl:with-param name="adrstr" select="$adr33C"/>
          <xsl:with-param name="bit" select="9"/>
          <xsl:with-param name="z-index" select="3"/>
          <xsl:with-param name="id" select="'horizontal-bar_42'"/>
        </xsl:call-template>
      </xsl:if>   

    <!--symbols and switches -->
    <!-- Q1 -->
    <xsl:if test="value[@name='ADR180']/@val != 17912 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!-- new -->
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 220"/>
        <xsl:with-param name="y" select="$y-off + 149"/>
        <xsl:with-param name="adrstr" select="$adr343"/>
        <xsl:with-param name="bit" select="1"/>
      </xsl:call-template>

      <!-- Q6 -->
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 522"/>
        <xsl:with-param name="y" select="$y-off + 149"/>
        <xsl:with-param name="adrstr" select="$adr344"/>
        <xsl:with-param name="bit" select="1"/>
      </xsl:call-template>

    </xsl:if>

    <!-- output new -->
    <xsl:if test="value[@name='ADR180']/@val = 17912 and  value[@name='ADR18D']/@val = 32">
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 371"/>
        <xsl:with-param name="y" select="$y-off + 226"/>
        <xsl:with-param name="adrstr" select="$adr344"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="prefix" select="'ub4sv'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- Q5 -->
    <xsl:if test="$intern-bypass = 1 or $extern-bypass = 1">
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 369"/>
        <xsl:with-param name="y" select="$y-off + 95"/>
        <xsl:with-param name="adrstr" select="$adr343"/>
        <xsl:with-param name="bit" select="9"/>
      </xsl:call-template>
      <div class="MediumBold" style="position: absolute; left: {$x-off + 409}px; top: {$y-off + 118}px; ">Q5</div>
      <!-- Phase angle pane-->
      <!--<div id="phases" style="position:absolute;left:{$x-off + 445}px;top:{$y-off + 121}px;width:120px;border:0px #405080 solid; visibility:visible
" class="SmallBold">
				Phase Mains-Load&#160;<xsl:value-of select="$phase-mains-load"/>
			</div>-->
      <div id="phases" class="tdMediumSmallWhiteBold" style="text-align:left;position:absolute;left:{$x-off + 445}px;top:{$y-off + 121}px;height:15px;width:120px;border:1px #405080 solid">
        <xsl:value-of select="'Phase&#160;Mains-Load&#160;:'"/>
        <xsl:value-of select="$phase-mains-load"/>
      </div>
    </xsl:if>

    <!-- Q7 -->
    <xsl:if test="$has-eb = 1 or $has-nea = 1">
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 220"/>
        <xsl:with-param name="y" select="$y-off + 461"/>
        <xsl:with-param name="adrstr" select="$adr344"/>
        <xsl:with-param name="bit" select="9"/>
      </xsl:call-template>
      <!-- Q17 -->
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 522"/>
        <xsl:with-param name="y" select="$y-off + 408"/>
        <xsl:with-param name="adrstr" select="$adr345"/>
        <xsl:with-param name="bit" select="1"/>
      </xsl:call-template>
    </xsl:if>


    <!-- new-->
    <xsl:if test="$has-eeb = 1">
      <xsl:call-template name="ub4-switch">
        <xsl:with-param name="x" select="$x-off + 522"/>
        <xsl:with-param name="y" select="$y-off + 408"/>
        <xsl:with-param name="adrstr" select="$adr345"/>
        <xsl:with-param name="bit" select="1"/>
      </xsl:call-template>
    </xsl:if>

    <!-- PB -->
    <xsl:if	 test="$has_pb2=0">
      <xsl:if test="($has-pb = 1 or $has-battery = 1) and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
        <xsl:call-template name="ub4-symbols">
          <xsl:with-param name="x" select="$x-off + 144"/>
          <xsl:with-param name="y" select="$y-off + 306"/>
          <xsl:with-param name="w" select="36"/>
          <xsl:with-param name="h" select="46"/>
          <xsl:with-param name="adrstr" select="$adr348"/>
          <xsl:with-param name="bit" select="1"/>
          <xsl:with-param name="type" select="$pb-type"/>
        </xsl:call-template>

        <xsl:choose>
          <xsl:when test="$has-two-inv = 1">
            <!-- INV1 -->
            <xsl:call-template name="ub4-symbols">
              <xsl:with-param name="x" select="$x-off + 259"/>
              <xsl:with-param name="y" select="$y-off + 272"/>
              <xsl:with-param name="w" select="35"/>
              <xsl:with-param name="h" select="35"/>
              <xsl:with-param name="adrstr" select="$adr347"/>
              <xsl:with-param name="bit" select="1"/>
              <xsl:with-param name="type" select="$inv-type"/>
            </xsl:call-template>
            <!-- INV2 -->
            <xsl:call-template name="ub4-symbols">
              <xsl:with-param name="x" select="$x-off + 259"/>
              <xsl:with-param name="y" select="$y-off + 347"/>
              <xsl:with-param name="w" select="35"/>
              <xsl:with-param name="h" select="35"/>
              <xsl:with-param name="adrstr" select="$adr347"/>
              <xsl:with-param name="bit" select="9"/>
              <xsl:with-param name="type" select="$inv-type"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <!-- INV1 -->
            <xsl:call-template name="ub4-symbols">
              <xsl:with-param name="x" select="$x-off + 259"/>
              <xsl:with-param name="y" select="$y-off + 310"/>
              <xsl:with-param name="w" select="35"/>
              <xsl:with-param name="h" select="35"/>
              <xsl:with-param name="adrstr" select="$adr347"/>
              <xsl:with-param name="bit" select="1"/>
              <xsl:with-param name="type" select="$inv-type"/>
            </xsl:call-template>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:if>
    </xsl:if>

    <xsl:if	 test="$has_pb2=1">
      <!-- PB 1 -->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 214"/>
        <xsl:with-param name="y" select="$y-off + 266"/>
        <xsl:with-param name="w" select="36"/>
        <xsl:with-param name="h" select="46"/>
        <xsl:with-param name="adrstr" select="$adr348"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="$pb-type"/>
      </xsl:call-template>
      <!-- PB 2 -->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 214"/>
        <xsl:with-param name="y" select="$y-off + 342"/>
        <xsl:with-param name="w" select="36"/>
        <xsl:with-param name="h" select="46"/>
        <xsl:with-param name="adrstr" select="$adr348"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="$pb-type"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if	test="$has_pb2=1">
      <xsl:choose>
        <xsl:when test="$has-two-inv = 1">
          <!-- INV1 -->
          <xsl:call-template name="ub4-symbols">
            <xsl:with-param name="x" select="$x-off + 269"/>
            <xsl:with-param name="y" select="$y-off + 272"/>
            <xsl:with-param name="w" select="35"/>
            <xsl:with-param name="h" select="35"/>
            <xsl:with-param name="adrstr" select="$adr347"/>
            <xsl:with-param name="bit" select="1"/>
            <xsl:with-param name="type" select="$inv-type"/>
          </xsl:call-template>
          <!-- INV2 -->
          <xsl:call-template name="ub4-symbols">
            <xsl:with-param name="x" select="$x-off + 269"/>
            <xsl:with-param name="y" select="$y-off + 347"/>
            <xsl:with-param name="w" select="35"/>
            <xsl:with-param name="h" select="35"/>
            <xsl:with-param name="adrstr" select="$adr347"/>
            <xsl:with-param name="bit" select="9"/>
            <xsl:with-param name="type" select="$inv-type"/>
          </xsl:call-template>
        </xsl:when>
        <xsl:otherwise>
          <!-- INV1 -->
          <xsl:call-template name="ub4-symbols">
            <xsl:with-param name="x" select="$x-off + 269"/>
            <xsl:with-param name="y" select="$y-off + 310"/>
            <xsl:with-param name="w" select="35"/>
            <xsl:with-param name="h" select="35"/>
            <xsl:with-param name="adrstr" select="$adr347"/>
            <xsl:with-param name="bit" select="1"/>
            <xsl:with-param name="type" select="$inv-type"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:if>


    <!-- Trafo new -->
    <xsl:if test="$has-trafo=1">
      <!-- trafo symbol virtical T6-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 374"/>
        <xsl:with-param name="y" select="$y-off + 236"/>
        <xsl:with-param name="w" select="30"/>
        <xsl:with-param name="h" select="44"/>
        <xsl:with-param name="adrstr" select="$adr346"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'ub4tr'"/>
      </xsl:call-template>
    </xsl:if>

    
    <xsl:if test="$has-trafo2=1">
      <!-- trafo symbol horisontal T17-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 436"/>
        <xsl:with-param name="y" select="$y-off + 410"/>
        <xsl:with-param name="w" select="44"/>
        <xsl:with-param name="h" select="30"/>
        <xsl:with-param name="adrstr" select="$adr346"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4htr'"/>
      </xsl:call-template>
    </xsl:if>
    <!--<script type="text/javascript"> alert("Test:" + '<xsl:value-of select="$has-trafo2"/>');</script>-->

    <!-- M/G -->
    <xsl:if test="value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 360"/>
        <xsl:with-param name="y" select="$y-off + 300"/>
        <xsl:with-param name="w" select="55"/>
        <xsl:with-param name="h" select="55"/>
        <xsl:with-param name="adrstr" select="$adr346"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4mg'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- CL -->
    <xsl:if test="$has-diesel = 1">
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 473"/>
        <xsl:with-param name="y" select="$y-off + 311"/>
        <xsl:with-param name="w" select="35"/>
        <xsl:with-param name="h" select="35"/>
        <xsl:with-param name="adrstr" select="$adr349"/>
        <xsl:with-param name="bit" select="1"/>
        <xsl:with-param name="type" select="'ub4cl'"/>
      </xsl:call-template>

      <!-- DI -->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 569"/>
        <xsl:with-param name="y" select="$y-off + 306"/>
        <xsl:with-param name="w" select="36"/>
        <xsl:with-param name="h" select="46"/>
        <xsl:with-param name="adrstr" select="$adr349"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4di'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- Choke -->
    <xsl:if test="value[@name='ADR180']/@val != 17912 and value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <!--and  value[@name='ADR18D']/@val != 32-->
      <xsl:call-template name="ub4-symbols">
        <xsl:with-param name="x" select="$x-off + 330"/>
        <xsl:with-param name="y" select="$y-off + 151"/>
        <xsl:with-param name="w" select="75"/>
        <xsl:with-param name="h" select="25"/>
        <xsl:with-param name="adrstr" select="$adr345"/>
        <xsl:with-param name="bit" select="9"/>
        <xsl:with-param name="type" select="'ub4co'"/>
      </xsl:call-template>
    </xsl:if>


    <xsl:variable name="value-bar-x" select="$x-off  + 682"/>
    <xsl:variable name="load-bar-y" select="144"/>

    <!--
	<div class="MediumBold" align="right" style="position: absolute; left: {$value-bar-x+15}px; top: {$load-bar-y - 10}px; width: 130px; height: 200px; text-align:center;  clip:rect(0 130 200 0); border:1px solid #405080; background-color:#ffffff; z-index:0"></div>
	-->
    <!-- Load bar mains-->
    <xsl:variable name="valuebar-font-size" select="13"/>
    <xsl:if test="value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">
      <xsl:call-template name="valuebar">
        <xsl:with-param name="value" select="value[@name='ADRA1']/@val"/>
        <xsl:with-param name="footer-value" select="value[@name='ADR6F']/@val"/>
        <xsl:with-param name="headline" select="'UPS'"/>
        <xsl:with-param name="font-size" select="$valuebar-font-size"/>
        <xsl:with-param name="unit" select="' %'"/>
        <xsl:with-param name="footer-unit" select="' kVA'"/>
        <xsl:with-param name="x" select="$value-bar-x"/>
        <xsl:with-param name="y" select="$load-bar-y"/>
        <xsl:with-param name="h" select="180"/>
        <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
        <xsl:with-param name="bary" select="20"/>
        <xsl:with-param name="barw" select="40"/>
        <xsl:with-param name="suby" select="150"/>
        <xsl:with-param name="startval" select="0"/>
        <xsl:with-param name="endval" select="150"/>
        <xsl:with-param name="decimal-places" select="0"/>
        <xsl:with-param name="step" select="50"/>
        <xsl:with-param name="skip" select="50"/>
        <xsl:with-param name="id" select="'panel1page0-'"/>
        <xsl:with-param name="shadowoffset" select="5"/>
        <xsl:with-param name="thresh-red-hi" select="110"/>
        <xsl:with-param name="thresh-yellow-hi" select="90"/>
        <xsl:with-param name="start-visibility" select="'visible'"/>
        <xsl:with-param name="with-scale-line" select="1"/>
        <xsl:with-param name="bright" select="1"/>
      </xsl:call-template>
      <!-- Load bar mains 2-->
      <xsl:call-template name="valuebar">
        <xsl:with-param name="value" select="value[@name='ADRA2']/@val"/>
        <xsl:with-param name="footer-value" select="value[@name='ADR70']/@val"/>
        <xsl:with-param name="headline" select="'UPS'"/>
        <xsl:with-param name="font-size" select="$valuebar-font-size"/>
        <xsl:with-param name="unit" select="' %'"/>
        <xsl:with-param name="footer-unit" select="' kW'"/>
        <xsl:with-param name="x" select="$value-bar-x"/>
        <xsl:with-param name="y" select="$load-bar-y"/>
        <xsl:with-param name="h" select="180"/>
        <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
        <xsl:with-param name="bary" select="20"/>
        <xsl:with-param name="barw" select="40"/>
        <xsl:with-param name="suby" select="150"/>
        <xsl:with-param name="startval" select="0"/>
        <xsl:with-param name="endval" select="150"/>
        <xsl:with-param name="decimal-places" select="0"/>
        <xsl:with-param name="step" select="50"/>
        <xsl:with-param name="skip" select="50"/>
        <xsl:with-param name="id" select="'panel1page1-'"/>
        <xsl:with-param name="shadowoffset" select="5"/>
        <xsl:with-param name="thresh-red-hi" select="110"/>
        <xsl:with-param name="thresh-yellow-hi" select="90"/>
        <xsl:with-param name="start-visibility" select="'hidden'"/>
        <xsl:with-param name="with-scale-line" select="1"/>
        <xsl:with-param name="bright" select="1"/>
      </xsl:call-template>

      <!-- Load bar mains 3-->
      <xsl:call-template name="valuebar">
        <xsl:with-param name="value" select="value[@name='ADR9F']/@val"/>
        <xsl:with-param name="footer-value" select="value[@name='ADR63']/@val"/>
        <xsl:with-param name="headline" select="'Mains'"/>
        <xsl:with-param name="unit" select="' %'"/>
        <xsl:with-param name="footer-unit" select="' kVA'"/>
        <xsl:with-param name="font-size" select="$valuebar-font-size"/>
        <xsl:with-param name="x" select="$value-bar-x"/>
        <xsl:with-param name="y" select="$load-bar-y"/>
        <xsl:with-param name="h" select="180"/>
        <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
        <xsl:with-param name="bary" select="20"/>
        <xsl:with-param name="barw" select="40"/>
        <xsl:with-param name="suby" select="150"/>
        <xsl:with-param name="startval" select="0"/>
        <xsl:with-param name="endval" select="150"/>
        <xsl:with-param name="decimal-places" select="0"/>
        <xsl:with-param name="step" select="50"/>
        <xsl:with-param name="skip" select="50"/>
        <xsl:with-param name="id" select="'panel1page2-'"/>
        <xsl:with-param name="shadowoffset" select="5"/>
        <xsl:with-param name="thresh-red-hi" select="110"/>
        <xsl:with-param name="thresh-yellow-hi" select="90"/>
        <xsl:with-param name="start-visibility" select="'hidden'"/>
        <xsl:with-param name="with-scale-line" select="1"/>
        <xsl:with-param name="bright" select="1"/>
      </xsl:call-template>
    </xsl:if>
    <!-- Load bar Diesel-->
    <xsl:if test="$has-diesel = 1">
      <xsl:call-template name="valuebar">
        <xsl:with-param name="value" select="value[@name='ADRE2']/@val"/>
        <xsl:with-param name="footer-value" select="value[@name='ADRD0']/@val"/>
        <xsl:with-param name="headline" select="'Diesel'"/>
        <xsl:with-param name="font-size" select="$valuebar-font-size"/>
        <xsl:with-param name="unit" select="' %'"/>
        <xsl:with-param name="footer-unit" select="' kW'"/>
        <xsl:with-param name="x" select="$value-bar-x"/>
        <xsl:with-param name="y" select="344"/>
        <xsl:with-param name="h" select="180"/>
        <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
        <xsl:with-param name="bary" select="20"/>
        <xsl:with-param name="barw" select="40"/>
        <xsl:with-param name="suby" select="150"/>
        <xsl:with-param name="startval" select="0"/>
        <xsl:with-param name="endval" select="150"/>
        <xsl:with-param name="decimal-places" select="0"/>
        <xsl:with-param name="step" select="50"/>
        <xsl:with-param name="skip" select="50"/>
        <xsl:with-param name="id" select="'panel2page0-'"/>
        <xsl:with-param name="shadowoffset" select="5"/>
        <xsl:with-param name="thresh-red-hi" select="110"/>
        <xsl:with-param name="thresh-yellow-hi" select="90"/>
        <xsl:with-param name="start-visibility" select="'visible'"/>
        <xsl:with-param name="with-scale-line" select="1"/>
        <xsl:with-param name="bright" select="1"/>
      </xsl:call-template>
      <xsl:if test="$has-eb = 1">
        <xsl:call-template name="valuebar">
          <xsl:with-param name="value" select="value[@name='ADRD2']/@val"/>
          <xsl:with-param name="footer-value" select="value[@name='ADRC4']/@val"/>
          <xsl:with-param name="headline" select="'EB'"/>
          <xsl:with-param name="font-size" select="$valuebar-font-size"/>
          <xsl:with-param name="unit" select="' %'"/>
          <xsl:with-param name="footer-unit" select="' kVA'"/>
          <xsl:with-param name="x" select="$value-bar-x"/>
          <xsl:with-param name="y" select="344"/>
          <xsl:with-param name="h" select="180"/>
          <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
          <xsl:with-param name="bary" select="20"/>
          <xsl:with-param name="barw" select="40"/>
          <xsl:with-param name="suby" select="150"/>
          <xsl:with-param name="startval" select="0"/>
          <xsl:with-param name="endval" select="150"/>
          <xsl:with-param name="decimal-places" select="0"/>
          <xsl:with-param name="step" select="50"/>
          <xsl:with-param name="skip" select="50"/>
          <xsl:with-param name="id" select="'panel2page1-'"/>
          <xsl:with-param name="shadowoffset" select="5"/>
          <xsl:with-param name="thresh-red-hi" select="110"/>
          <xsl:with-param name="thresh-yellow-hi" select="90"/>
          <xsl:with-param name="start-visibility" select="'hidden'"/>
          <xsl:with-param name="with-scale-line" select="1"/>
          <xsl:with-param name="bright" select="1"/>
        </xsl:call-template>
        <xsl:call-template name="valuebar">
          <xsl:with-param name="value" select="value[@name='ADRD3']/@val"/>
          <xsl:with-param name="footer-value" select="value[@name='ADRC5']/@val"/>
          <xsl:with-param name="headline" select="'EB'"/>
          <xsl:with-param name="font-size" select="$valuebar-font-size"/>
          <xsl:with-param name="unit" select="' %'"/>
          <xsl:with-param name="footer-unit" select="' kW'"/>
          <xsl:with-param name="x" select="$value-bar-x"/>
          <xsl:with-param name="y" select="344"/>
          <xsl:with-param name="h" select="180"/>
          <xsl:with-param name="barx" select="$scalewidth + $scalegapwidth"/>
          <xsl:with-param name="bary" select="20"/>
          <xsl:with-param name="barw" select="40"/>
          <xsl:with-param name="suby" select="150"/>
          <xsl:with-param name="startval" select="0"/>
          <xsl:with-param name="endval" select="150"/>
          <xsl:with-param name="decimal-places" select="0"/>
          <xsl:with-param name="step" select="50"/>
          <xsl:with-param name="skip" select="50"/>
          <xsl:with-param name="id" select="'panel2page2-'"/>
          <xsl:with-param name="shadowoffset" select="5"/>
          <xsl:with-param name="thresh-red-hi" select="110"/>
          <xsl:with-param name="thresh-yellow-hi" select="90"/>
          <xsl:with-param name="start-visibility" select="'hidden'"/>
          <xsl:with-param name="with-scale-line" select="1"/>
          <xsl:with-param name="bright" select="1"/>
        </xsl:call-template>
      </xsl:if>
    </xsl:if>

    <!--
	<div class="MediumBold" align="right" style="position: absolute; left: {$value-bar-x+15}px; top: {$load-bar-y + 195}px; width: 130px; height: 200px; text-align:center;  clip:rect(0 130 200 0); border:1px solid #405080; z-index:100"></div>
	-->
    <!-- TEST -->
    <!--
	<div id="Debug" class="LargeBold" align="right" style="position: absolute; top: 0px; left: 0px; width: 163px; height: 17px; font-size:18px;">
		<xsl:value-of select="$adrd6" /><br/>
		<xsl:value-of select="$adrd7" /><br/>
		<xsl:value-of select="$adrd8" /><br/>
	</div>
	-->
    <!-- TEXTE
	<div id="bypass1" class="Small" align="right" style="position: absolute; left: 237px; top: 130px; color:#ffffff;">BYPASS</div>
	<div id="bypass2" class="MediumBold" align="right" style="position: absolute; left: 357px; top: 324px; color:#ffffff;">BYPASS</div>
	<div id="ub" 			class="MediumBold" align="right" style="position: absolute; left: 129px; top: 324px; color:#ffffff;">UB</div>
	<div id="res" 			class="MediumBold" align="right" style="position: absolute; left: 249px; top: 349px; color:#000000;font-size:11px">RES</div>
	-->

    <!-- MAINS  Pane-->

    <!--MAINS variables -->
    <xsl:variable name="adr63" select="value[@name='ADR63']/@val"/>
    <xsl:variable name="adr64" select="value[@name='ADR64']/@val"/>
    <xsl:variable name="adr65" select="value[@name='ADR65']/@val"/>
    <xsl:variable name="adr66" select="value[@name='ADR66']/@val"/>
    <xsl:variable name="adr67" select="value[@name='ADR67']/@val"/>
    <xsl:variable name="adr68" select="value[@name='ADR68']/@val"/>
    <xsl:variable name="adr69" select="value[@name='ADR69']/@val"/>
    <xsl:variable name="adr6a" select="value[@name='ADR6A']/@val"/>
    <xsl:variable name="adr6b" select="value[@name='ADR6B']/@val"/>
    <xsl:variable name="adr6c" select="value[@name='ADR6C']/@val"/>
    <xsl:variable name="adr6d" select="value[@name='ADR6D']/@val"/>
    <xsl:variable name="adr6e" select="value[@name='ADR6E']/@val"/>

    <!-- UPS Pane -->
    <xsl:variable name="adr6f" select="value[@name='ADR6F']/@val"/>
    <xsl:variable name="adr70" select="value[@name='ADR70']/@val"/>
    <xsl:variable name="adr71" select="value[@name='ADR71']/@val"/>
    <xsl:variable name="adr72" select="value[@name='ADR72']/@val"/>
    <xsl:variable name="adr73" select="value[@name='ADR73']/@val"/>
    <xsl:variable name="adr74" select="value[@name='ADR74']/@val"/>
    <xsl:variable name="adr75" select="value[@name='ADR75']/@val"/>
    <xsl:variable name="adr76" select="value[@name='ADR76']/@val"/>
    <xsl:variable name="adr77" select="value[@name='ADR77']/@val"/>
    <xsl:variable name="adr78" select="value[@name='ADR78']/@val"/>
    <xsl:variable name="adr79" select="value[@name='ADR79']/@val"/>
    <xsl:variable name="adr7a" select="value[@name='ADR7A']/@val"/>
    <xsl:variable name="adr87" select="value[@name='ADR87']/@val"/>

    <!-- Load Pane -->
    <xsl:variable name="adr7c" select="value[@name='ADR7C']/@val"/>
    <xsl:variable name="adr7d" select="value[@name='ADR7D']/@val"/>
    <xsl:variable name="adr7e" select="value[@name='ADR7E']/@val"/>
    <xsl:variable name="adr7f" select="value[@name='ADR7F']/@val"/>
    <xsl:variable name="adr80" select="value[@name='ADR80']/@val"/>
    <xsl:variable name="adr81" select="value[@name='ADR81']/@val"/>
    <xsl:variable name="adr82" select="value[@name='ADR82']/@val"/>
    <xsl:variable name="adr83" select="value[@name='ADR83']/@val"/>
    <xsl:variable name="adr84" select="value[@name='ADR84']/@val"/>
    <xsl:variable name="adr85" select="value[@name='ADR85']/@val"/>
    <xsl:variable name="adr86" select="value[@name='ADR86']/@val"/>

    <xsl:if test="value[@name='ADR180']/@val != 20736 and value[@name='ADR180']/@val != 21248">

      <xsl:call-template name="line-pane2">
        <xsl:with-param name="x" select="$x-off + 66"/>
        <xsl:with-param name="y" select="$y-off + 188"/>
        <xsl:with-param name="w" select="140"/>
        <xsl:with-param name="v1" select="$adr69"/>
        <xsl:with-param name="v2" select="$adr6a"/>
        <xsl:with-param name="v3" select="$adr6b"/>
        <xsl:with-param name="i1" select="$adr6c"/>
        <xsl:with-param name="i2" select="$adr6d"/>
        <xsl:with-param name="i3" select="$adr6e"/>
        <xsl:with-param name="p1" select="$adr63"/>
        <xsl:with-param name="p2" select="''"/>
        <xsl:with-param name="f" select="$adr65 div 10.0"/>
        <xsl:with-param name="pf" select="$adr64 div 100.0"/>
        <xsl:with-param name="ph" select="$phase-mains-ups"/>
        <xsl:with-param name="phase-title" select="'Mains-UPS'"/>
        <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
        <xsl:with-param name="sub_id" select="'line_pane2_1'"/>
      </xsl:call-template>

      <xsl:call-template name="line-pane2">
        <xsl:with-param name="x" select="$x-off + 408"/>
        <xsl:with-param name="y" select="$y-off + 188"/>
        <xsl:with-param name="w" select="140"/>
        <xsl:with-param name="v1" select="$adr75"/>
        <xsl:with-param name="v2" select="$adr76"/>
        <xsl:with-param name="v3" select="$adr77"/>
        <xsl:with-param name="i1" select="$adr78"/>
        <xsl:with-param name="i2" select="$adr79"/>
        <xsl:with-param name="i3" select="$adr7a"/>
        <xsl:with-param name="p1" select="$adr6f"/>
        <xsl:with-param name="p2" select="$adr70"/>
        <xsl:with-param name="f" select="$adr71 div 10.0"/>
        <xsl:with-param name="pf" select="$adr87 div 100.0"/>
        <xsl:with-param name="ph" select="$phase-load-ups"/>
        <xsl:with-param name="phase-title" select="'UPS-Load'"/>
        <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
        <xsl:with-param name="sub_id" select="'line_pane2_2'"/>
      </xsl:call-template>

      <xsl:call-template name="mainsfail_cnt_Op_hours">
        <xsl:with-param name="x" select="214"/>
        <xsl:with-param name="y" select="226"/>
        <xsl:with-param name="w" select="156"/>
        <xsl:with-param name="h" select="30"/>
        <xsl:with-param name="op_hours" select="$op_hours"/>
        <xsl:with-param name="failure_counter" select="$failure_counter"/>
        <xsl:with-param name="border-width" select="1"/>
        <xsl:with-param name="border-color" select="'#405080'"/>
        <xsl:with-param name="text-align" select="'left'"/>
      </xsl:call-template>

      <xsl:call-template name="line-pane3">
        <xsl:with-param name="x" select="$x-off + 609"/>
        <xsl:with-param name="y" select="$y-off + 188"/>
        <xsl:with-param name="w" select="80"/>
        <xsl:with-param name="v1" select="$adr80"/>
        <xsl:with-param name="v2" select="$adr81"/>
        <xsl:with-param name="v3" select="$adr82"/>
        <xsl:with-param name="f" select="$adr7c div 10.0"/>
        <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
        <xsl:with-param name="sub-id" select="'line-pane3_1'"/>
      </xsl:call-template>
    </xsl:if>

    <!-- Mains EB Pane -->
    <xsl:variable name="adrad" select="value[@name='ADRAD']/@val"/>
    <xsl:variable name="adrae" select="value[@name='ADRAE']/@val"/>
    <xsl:variable name="adraf" select="value[@name='ADRAF']/@val"/>
    <xsl:variable name="adrb0" select="value[@name='ADRB0']/@val"/>
    <xsl:variable name="adrb1" select="value[@name='ADRB1']/@val"/>
    <xsl:variable name="adrb2" select="value[@name='ADRB2']/@val"/>
    <xsl:variable name="adrb3" select="value[@name='ADRB3']/@val"/>

    <xsl:if test="$has-eb = 1 or $has-nea = 1">
      <xsl:call-template name="line-pane3">
        <xsl:with-param name="x" select="$x-off + 67"/>
        <xsl:with-param name="y" select="$y-off + 502"/>
        <xsl:with-param name="w" select="80"/>
        <xsl:with-param name="v1" select="$adrb1"/>
        <xsl:with-param name="v2" select="$adrb2"/>
        <xsl:with-param name="v3" select="$adrb3"/>
        <xsl:with-param name="f" select="$adrad div 10.0"/>
        <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
        <xsl:with-param name="sub-id" select="'line-pane3_2'"/>
      </xsl:call-template>
    </xsl:if>
    <!-- Load EB Pane -->
    <xsl:variable name="adrc4" select="value[@name='ADRC4']/@val"/>
    <xsl:variable name="adrc5" select="value[@name='ADRC5']/@val"/>
    <xsl:variable name="adrc6" select="value[@name='ADRC6']/@val"/>
    <xsl:variable name="adrc7" select="value[@name='ADRC7']/@val"/>
    <xsl:variable name="adrc8" select="value[@name='ADRC8']/@val"/>
    <xsl:variable name="adrc9" select="value[@name='ADRC9']/@val"/>
    <xsl:variable name="adrca" select="value[@name='ADRCA']/@val"/>
    <xsl:variable name="adrcb" select="value[@name='ADRCB']/@val"/>
    <xsl:variable name="adrcc" select="value[@name='ADRCC']/@val"/>
    <xsl:variable name="adrcd" select="value[@name='ADRCD']/@val"/>
    <xsl:variable name="adrce" select="value[@name='ADRCE']/@val"/>
    <xsl:variable name="adrcf" select="value[@name='ADRCF']/@val"/>
    <xsl:variable name="adrd1" select="value[@name='ADRD1']/@val"/>

    <xsl:if test="$has-eb = 1 or $has-nea = 1">
      <xsl:call-template name="line-pane2">
        <xsl:with-param name="x" select="$x-off + 475"/>
        <xsl:with-param name="y" select="$y-off + 488"/>
        <xsl:with-param name="w" select="140"/>
        <xsl:with-param name="v1" select="$adrca"/>
        <xsl:with-param name="v2" select="$adrcb"/>
        <xsl:with-param name="v3" select="$adrcc"/>
        <xsl:with-param name="i1" select="$adrcd"/>
        <xsl:with-param name="i2" select="$adrce"/>
        <xsl:with-param name="i3" select="$adrcf"/>
        <xsl:with-param name="p1" select="$adrc4"/>
        <xsl:with-param name="p2" select="$adrc5"/>
        <xsl:with-param name="f" select="$adrc6 div 10.0"/>
        <xsl:with-param name="pf" select="$adrd1 div 100.0"/>
        <xsl:with-param name="style" select="'tdMediumSmallWhiteBold'"/>
        <xsl:with-param name="sub_id" select="'line_pane2_3'"/>
      </xsl:call-template>

    </xsl:if>

    <!-- PB pane -->
    <!-- PB 1 variables -->
    <xsl:variable name ="rem-time">
      <xsl:choose>
        <xsl:when test="value[@name='ADR90']/@val= 100 and value[@name='ADR91']/@val = 100">
          <xsl:value-of select="'--:--'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADR91']/@val &lt; 10">
          <xsl:value-of select="concat(value[@name='ADR90']/@val, concat(':', concat('0', value[@name='ADR91']/@val)))"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat(value[@name='ADR90']/@val, concat(':', value[@name='ADR91']/@val))"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="pb-freq">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR8B']/@val div 10.0"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="pb-mj">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR8D']/@val div 10.0"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>

    <!-- PB 2 variables -->
    <xsl:variable name ="rem-time2">
      <xsl:choose>
        <xsl:when test="value[@name='ADR207']/@val= 100 and value[@name='ADR208']/@val = 100">
          <xsl:value-of select="'--:--'"/>
        </xsl:when>
        <xsl:when test="value[@name='ADR208']/@val &lt; 10">
          <xsl:value-of select="concat(value[@name='ADR207']/@val, concat(':', concat('0', value[@name='ADR208']/@val)))"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="concat(value[@name='ADR207']/@val, concat(':', value[@name='ADR208']/@val))"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="pb-freq2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR202']/@val div 10.0"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="pb-mj2">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR204']/@val div 10.0"/>
        <xsl:with-param name="precision" select="1" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:if test="$has_pb2= 0">
      <xsl:if test="$has-pb = 1">
        <div id="pb" style="position:absolute;left:{$x-off + 67}px;top:{$y-off + 366}px;border:1px #405080 solid; visibility:visible">
          <table cellspacing="1" cellpadding="1" border="0" width="144">
            <tr>
              <td id="pb_1_freq1" class="tdMediumSmallWhiteBold" style="text-align:left" width="110">
                <script type="text/javascript"> translate_text('pb_1_freq1', 'Frequency');</script>
              </td>
              <td class="tdMediumSmallWhiteBold" style="text-align:right">
                <xsl:value-of select="$pb-freq"/>&#160;Hz
              </td>
            </tr>
            <tr>
              <td id="pb_1_abs_cap1" class="tdMediumSmallWhiteBold" style="text-align:left">
                <script type="text/javascript"> translate_text('pb_1_abs_cap1', 'Absolute capacity');</script>
              </td>
              <td class="tdMediumSmallWhiteBold" style="text-align:right">
                <xsl:value-of select="$pb-mj"/>MJ
              </td>
            </tr>
            <tr>
              <td id="pb_1_rel_cap1" class="tdMediumSmallWhiteBold" style="text-align:left">
                <script type="text/javascript"> translate_text('pb_1_rel_cap1', 'Relative capacity');</script>
              </td>
              <td class="tdMediumSmallWhiteBold" style="text-align:right">
                <xsl:value-of select="value[@name='ADR8E']/@val"/>%
              </td>
            </tr>
            <tr>
              <td id="pb_1_speed1" class="tdMediumSmallWhiteBold" style="text-align:left">
                <script type="text/javascript"> translate_text('pb_1_speed1', 'Speed');</script>
              </td>
              <td class="tdMediumSmallWhiteBold" style="text-align:right">
                <xsl:value-of select="value[@name='ADR8F']/@val"/>RPM
              </td>
            </tr>
            <tr>
              <td id="pb_1_volt1" class="tdMediumSmallWhiteBold" style="text-align:left">
                <script type="text/javascript"> translate_text('pb_1_volt1', 'Voltage');</script>
              </td>
              <td class="tdMediumSmallWhiteBold" style="text-align:right">
                <xsl:value-of select="value[@name='ADR8C']/@val"/>V
              </td>
            </tr>
            <tr>
              <td id="pb_1_rem_time1" class="tdMediumSmallWhiteBold" style="text-align:left">
                <script type="text/javascript"> translate_text('pb_1_rem_time1', 'Remaining time');</script>
              </td>
              <td class="tdMediumSmallWhiteBold" style="text-align:right">
                <xsl:value-of select="$rem-time"/>
              </td>
            </tr>
          </table>
        </div>
      </xsl:if>
    </xsl:if>
    <xsl:if test="$has_pb2= 1">
      <div class="MediumBold" align="right" style="position: absolute; left:{$x-off + 212}px;top:{$y-off + 418}px; width: 24px; height: 12px; text-align:center; ; z-index:2 ">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionUp('panel5');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallUp24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: {$x-off + 212}px; top: {$y-off + 428}px; width: 24px; height: 12px; text-align:center;  ; z-index:2">
        <a class="MediumBoldLink" href="javascript:onChangeSelectionDown('panel5');" border="0"  >
          <img id="switch" src="./lib/ups/image/piller/selectSmallDown24x12.gif" width="24" height="12" border="0"/>
        </a>
      </div>
      <!-- PB1  -->
      <div id="panel5page0" align="center" style="position:absolute;left:{$x-off + 60}px;top:{$y-off + 348}px;border:1px #405080 solid; visibility:visible">
        <table cellspacing="1" cellpadding="1" border="0" width="144">
          <tr class="tdMediumWhiteBold" style="text-align:center" width="110">
            <th >
              <xsl:value-of select="'PB1'"/>
            </th>
            <th>
              <xsl:value-of select="'&#160;'"/>
            </th>
          </tr>
          <tr>
            <td id="pb1_freq2" class="tdMediumSmallWhiteBold" style="text-align:left" width="110">
              <script type="text/javascript"> translate_text("pb1_freq2", 'Frequency');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$pb-freq"/>&#160;Hz
            </td>
          </tr>
          <tr>
            <td id="pb1_abs_cap2" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb1_abs_cap2", 'Absolute capacity');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$pb-mj"/>MJ
            </td>
          </tr>
          <tr>
            <td id="pb1_rel_cap2" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb1_rel_cap2", 'Relative capacity');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADR8E']/@val"/>%
            </td>
          </tr>
          <tr>
            <td id="pb1_speed2" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb1_speed2", 'Speed');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADR8F']/@val"/>RPM
            </td>
          </tr>
          <tr>
            <td id="pb1_volt2" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb1_volt2", 'Voltage');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADR8C']/@val"/>V
            </td>
          </tr>
          <tr>
            <td id="pb1_rem_time2" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb1_rem_time2", 'Remaining time');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$rem-time"/>
            </td>
          </tr>
        </table>
      </div>
      <!-- PB2  -->
      <div id="panel5page1" align="center" style="position:absolute;left:{$x-off + 60}px;top:{$y-off + 348}px;border:1px #405080 solid; visibility:hidden">
        <table cellspacing="1" cellpadding="1" border="0" width="144">
          <tr class="tdMediumWhiteBold" style="text-align:center" width="110">
            <th >
              <xsl:value-of select="'PB2'"/>
            </th>
            <th>
              <xsl:value-of select="'&#160;'"/>
            </th>
          </tr>
          <tr>
            <td id="pb2_freq" class="tdMediumSmallWhiteBold" style="text-align:left" width="110">
              <script type="text/javascript"> translate_text("pb2_freq", 'Frequency');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$pb-freq2"/>&#160;Hz
            </td>
          </tr>
          <tr>
            <td id="pb2_abs_cap" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb2_abs_cap", 'Absolute capacity');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$pb-mj2"/>MJ
            </td>
          </tr>
          <tr>
            <td id="pb2_rel_cap" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb2_rel_cap", 'Relative capacity');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADR205']/@val"/>%
            </td>
          </tr>
          <tr>
            <td id="pb2_speed" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb2_speed", 'Speed');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADR206']/@val"/>RPM
            </td>
          </tr>
          <tr>
            <td id="pb2_volt" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb2_volt", 'Voltage');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADR203']/@val"/>V
            </td>
          </tr>
          <tr>
            <td id="pb2_rem_time" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("pb2_rem_time", 'Remaining time');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$rem-time2"/>
            </td>
          </tr>
        </table>
      </div>
    </xsl:if>

    <xsl:variable name="batt-volt">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR164']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="batt-current">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR163']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="batt-cap">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR169']/@val div 10.0"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="batt-rem-time">
      <xsl:call-template name="all-or-nothing-value">
        <xsl:with-param name="value" select="value[@name='ADR166']/@val"/>
        <xsl:with-param name="precision" select="0" />
        <xsl:with-param name="unit" select="'min'" />
        <xsl:with-param name="indicator" select="32767" />
        <xsl:with-param name="nothing-tag" select="'---'" />
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="batt-switch-off-volt">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR165']/@val"/>
        <xsl:with-param name="precision" select="0" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="batt-equalize">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADR168']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="batt-equalize-str">
      <xsl:choose>
        <xsl:when test="substring($batt-equalize, 1, 1) = '1'">
          <xsl:value-of select="'On'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'Off'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="batt-equal-rem-time">
      <xsl:call-template name="all-or-nothing-value">
        <xsl:with-param name="value" select="value[@name='ADR167']/@val"/>
        <xsl:with-param name="precision" select="0" />
        <xsl:with-param name="unit" select="'min'" />
        <xsl:with-param name="indicator" select="32767" />
        <xsl:with-param name="nothing-tag" select="'---'" />
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="batt-temp">
      <xsl:choose>
        <xsl:when test="value[@name='ADR16A']/@val= 32767">
          <xsl:value-of select="'---'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="getTemperature">
            <xsl:with-param name="value" select="value[@name='ADR16A']/@val div 10" />
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Battery pane -->
    <xsl:if test="$has-battery = 1">
      <div id="panel3page0" style="position:absolute;left:{$x-off + 67}px;top:{$y-off + 374}px;border:1px #405080 solid; visibility:visible">
        <table cellspacing="1" cellpadding="1" border="0" width="144">
          <tr>
            <td id="batt_volt1" class="tdMediumSmallWhiteBold" style="text-align:left" width="110">
              <script type="text/javascript"> translate_text("batt_volt1", 'Voltage');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-volt"/>V
            </td>
          </tr>
          <tr>
            <td id="batt_cur1" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("batt_cur1", 'Current');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-current"/>A
            </td>
          </tr>
          <tr>
            <td id="batt_cap1" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("batt_cap1", 'Capacity');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-cap"/>Ah
            </td>
          </tr>
          <tr>
            <td id="batt_rem_time1" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("batt_rem_time1", 'Remaining time');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-rem-time"/>
            </td>
          </tr>
        </table>
      </div>
      <div id="panel3page1" style="position:absolute;left:{$x-off + 67}px;top:{$y-off + 374}px;border:1px #405080 solid; visibility:hidden">
        <table cellspacing="1" cellpadding="1" border="0" width="144">
          <tr>
            <td id="batt_switch_volt1" class="tdMediumSmallWhiteBold" style="text-align:left" width="110">
              <script type="text/javascript"> translate_text("batt_switch_volt1", 'Switching-off voltage');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-switch-off-volt"/>V
            </td>
          </tr>
          <tr>
            <td id="batt_equ1" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("batt_equ1", 'Equalize');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-equalize-str"/>
            </td>
          </tr>
          <tr>
            <td id="batt_eq_re_time1" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("batt_eq_re_time1", 'Equalize remain time');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-equal-rem-time"/>
            </td>
          </tr>
          <tr>
            <td id="batt_temp1" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("batt_temp1", 'Battery temperature');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$batt-temp"/>
            </td>
          </tr>
        </table>
      </div>

    </xsl:if>

    <!-- Diesel pane -->
    <xsl:if test="$has-diesel = 1">
      <xsl:variable name ="mains-transfer">
        <xsl:choose>
          <xsl:when test="value[@name='ADRE7']/@val = 32767 and value[@name='ADRE8']/@val = 32767">
            <xsl:value-of select="concat('--', concat(':', '--'))"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="concat(value[@name='ADRE7']/@val, concat(':', value[@name='ADRE8']/@val))"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

      <div id="panel4page0" style="position:absolute;left:{$x-off + 419}px;top:{$y-off + 351}px;border:1px #405080 solid; visibility:visible;">
        <table cellspacing="1" cellpadding="1" border="0" width="140">
          <tr>
            <td id="power_3" class="tdMediumSmallWhiteBold" style="text-align:left" width="100">
              <script type="text/javascript"> translate_text("power_3", 'Power');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADRD0']/@val"/>&#160;kW
            </td>
          </tr>
          <tr>
            <td id="power_ŕel_3" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("power_ŕel_3", 'Power relative');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADRE2']/@val"/>%
            </td>
          </tr>
          <tr>
            <td id="speed_3" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("speed_3", 'Speed');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADRA3']/@val"/>&#160;RPM
            </td>
          </tr>
        </table>
      </div>
      <div id="panel4page1" style="position:absolute;left:{$x-off + 419}px;top:{$y-off + 351}px;border:1px #405080 solid; visibility:hidden">
        <table cellspacing="1" cellpadding="1" border="0" width="140">
          <tr>
            <td id="mains_trans_4" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("mains_trans_4", 'Mains transfer');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="$mains-transfer"/>&#160;
            </td>
          </tr>
          <tr>
            <td id="diesel_units_4" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("diesel_units_4", 'Diesel inits');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADRA5']/@val"/>
            </td>
          </tr>
          <tr>
            <td id="op_hours_4" class="tdMediumSmallWhiteBold" style="text-align:left">
              <script type="text/javascript"> translate_text("op_hours_4", 'Operating hours');</script>
            </td>
            <td class="tdMediumSmallWhiteBold" style="text-align:right">
              <xsl:value-of select="value[@name='ADRA8']/@val*65536 + value[@name='ADRA7']/@val"/>
            </td>
          </tr>
        </table>
      </div>
    </xsl:if>


    <!-- EOT -->
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>
