<?xml version="1.0"?>
<!--
   modubrde_panel.xsl - UPS screen for Piller UNIBLOCK TD models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modubrde_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modubrde_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="520"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="786"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modubrde_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modubrde_panel-body">
    <div id="master" style="position:absolute; top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backubrde.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'785'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <!--<div id="head" class="XLargeBold" style="position:absolute; top:74px; left:350px;font-size:24px;" >USV <xsl:value-of select="//values/value[@name='USVID']/@val"/></div>-->

      <div style="position: absolute; left:540px; top:335px; width:21px; height:15px; z-index:1;">
        <a href="javascript:onChangeSelectionUp()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectUp.jpg" width="40" height="40"/>
        </a>
      </div>
      <div style="position: absolute; left:585px; top:335px; width:40px; height:40px; z-index:1;">
        <a href="javascript:onChangeSelectionDown()">
          <img border="0" alt="" src="./lib/ups/image/piller/selectDown.jpg" width="40" height="40"/>
        </a>
      </div>
      <xsl:apply-templates />
    </div>
    <xsl:call-template name="IEpixelBugfixCall"/>

    <script type="text/javascript">
      init();
    </script>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">
    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 80px; width: 785px;  font-size:24px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 485px; top: 381px; width: 185px; height: 17px; color:#ffffff; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 342px; top: 418px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', '../img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="../img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 342px; top: 425px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', '../img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text("evt_rec", 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>

    <xsl:variable name="adrd6">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD6']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd7">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD7']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd8">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD8']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdb">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDB']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdc">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDC']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- TEST -->
    <!--
	<div id="Debug" class="LargeBold" align="right" style="position: absolute; top: 0px; left: 0px; width: 163px; height: 17px; font-size:18px;">
		<xsl:value-of select="$adrd6" /><br/>
		<xsl:value-of select="$adrd7" /><br/>
		<xsl:value-of select="$adrd8" /><br/>
	</div>
	-->
    <!-- TEXTE -->
    <div id="bypass2" class="MediumBold" align="right" style="position: absolute; left: 365px; top: 346px; color:#ffffff;">
      <script type="text/javascript"> translate_text("bypass2", 'BYPASS');</script>
    </div>
    <div id="tbp" 			class="MediumBold" align="right" style="position: absolute; left: 131px; top: 346px; color:#ffffff;">
      <script type="text/javascript"> translate_text("tbp", 'UBP');</script>
    </div>
    <div id="res" 			class="SmallBold" align="right" style="position: absolute; left: 253px; top: 372px; color:#000000;">
      <script type="text/javascript"> translate_text("res", 'Reset');</script>
    </div>
    <!-- LOAD BAR -->
    <xsl:call-template name="PillerLoadbar">
      <xsl:with-param name="adrstr" select="$adrd6"/>
      <xsl:with-param name="x" select="'425'"/>
      <xsl:with-param name="y" select="'212'"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="title" select="'Load'"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'"/>
      <xsl:with-param name="id" select="'id_'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("id_Load", 'Load');</script>

    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="10"/>
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="260"/>
      <xsl:with-param name="y" select="167"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="162"/>
      <xsl:with-param name="y" select="199"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="3"/>
    </xsl:call-template>
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="270"/>
      <xsl:with-param name="y" select="208"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="9"/>
    </xsl:call-template>
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="126"/>
      <xsl:with-param name="y" select="261"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="126"/>
      <xsl:with-param name="y" select="231"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="259"/>
      <xsl:with-param name="y" select="231"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="3"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="368"/>
      <xsl:with-param name="y" select="261"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="173"/>
      <xsl:with-param name="y" select="271"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="5"/>
    </xsl:call-template>
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="271"/>
      <xsl:with-param name="y" select="271"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="11"/>
    </xsl:call-template>
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="336"/>
      <xsl:with-param name="y" select="271"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="13"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="211"/>
      <xsl:with-param name="y" select="280"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="9"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="222"/>
      <xsl:with-param name="y" select="318"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="11"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="366"/>
      <xsl:with-param name="y" select="288"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="5"/>
    </xsl:call-template>

    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="350"/>
      <xsl:with-param name="y" select="324"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>


    <xsl:variable name="pageX1"   select="495"/>
    <xsl:variable name="pageX2"   select="545"/>
    <xsl:variable name="pageX2u"  select="575"/>
    <xsl:variable name="pageX3"   select="615"/>
    <xsl:variable name="pageX3u"  select="645"/>
    <xsl:variable name="pageY"    select="181"/>
    <xsl:variable name="lineheight"   select="12"/>
    <xsl:variable name="columnwidth"  select="48"/>
    <xsl:variable name="smallcolumnwidth"  select="25"/>
    <xsl:variable name="bigcolumnwidth"    select="100"/>
    <xsl:variable name="pageX2n"  select="520"/>
    <!-- for narrow coumns -->
    <xsl:variable name="pageX2nu" select="$pageX2n +$smallcolumnwidth+5"/>
    <xsl:variable name="pageX3np" select="$pageX2nu+$smallcolumnwidth+3"/>
    <xsl:variable name="pageX3n"  select="$pageX3np+$smallcolumnwidth+12"/>
    <xsl:variable name="pageX3nu" select="$pageX3n +$smallcolumnwidth+5"/>
    <!--<xsl:variable name="pageX4np" select="$pageX3nu+$smallcolumnwidth+5"/>
   <xsl:variable name="pageX4n"  select="$pageX3nu+$smallcolumnwidth+5"/>-->

    <!-- MAINS1PBP-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN1:'" />
      <xsl:with-param name="text2"  select="'L1'" />
      <xsl:with-param name="text3" select="'L2'" />
      <xsl:with-param name="text4" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR63']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='INVOLT']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='INVOLT']/@val2" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4"  select="value[@name='INVOLT']/@val3" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'kVA'" />
      <xsl:with-param name="value2"  select="'V '" />
      <xsl:with-param name="value3" select="'V'" />
      <xsl:with-param name="value4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR68']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR69']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6A']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'Hz'" />
      <xsl:with-param name="value2"  select="'A'" />
      <xsl:with-param name="value3" select="'A'" />
      <xsl:with-param name="value4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>


    <!-- MAINS2PBP-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN2:'" />
      <xsl:with-param name="text2"  select="'L1'" />
      <xsl:with-param name="text3" select="'L2'" />
      <xsl:with-param name="text4" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR6B']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR6D']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='ADR6E']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4"  select="value[@name='ADR6F']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'kVA'" />
      <xsl:with-param name="value2"  select="'V '" />
      <xsl:with-param name="value3" select="'V'" />
      <xsl:with-param name="value4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR6C']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR70']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR71']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR72']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'Hz'" />
      <xsl:with-param name="value2"  select="'A'" />
      <xsl:with-param name="value3" select="'A'" />
      <xsl:with-param name="value4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align"  select="'left'" />
      <xsl:with-param name="value1" select="'IN3:'" />
      <xsl:with-param name="value2" select="'L1 '" />
      <xsl:with-param name="value3" select="'L2'" />
      <xsl:with-param name="value4" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" 	select="4"/>
      <xsl:with-param name="x" 		select="$pageX2n"/>
      <xsl:with-param name="y" 		select="$pageY+8*($lineheight)"/>
      <xsl:with-param name="w" 		select="$smallcolumnwidth"/>
      <xsl:with-param name="h" 		select="$lineheight"/>
      <xsl:with-param name="align"  select="'right'" />
      <xsl:with-param name="value1" select="value[@name='ADR93']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="value[@name='ADR94']/@val" />
      <xsl:with-param name="value3" select="value[@name='ADR95']/@val" />
      <xsl:with-param name="value4" select="value[@name='ADR96']/@val" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" 	select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="($pageX2nu)+$smallcolumnwidth"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-0"/>
      <xsl:with-param name="w" select="1"/>
      <xsl:with-param name="h" select="49"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" 	select="4"/>
      <xsl:with-param name="x" 		select="$pageX2nu"/>
      <xsl:with-param name="y" 		select="$pageY+8*($lineheight)"/>
      <xsl:with-param name="w" 		select="$smallcolumnwidth"/>
      <xsl:with-param name="h" 		select="$lineheight"/>
      <xsl:with-param name="align"  select="'left'" />
      <xsl:with-param name="value1" select="'Hz'" />
      <xsl:with-param name="value2" select="'V'" />
      <xsl:with-param name="value3" select="'V'" />
      <xsl:with-param name="value4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" 	select="4"/>
      <xsl:with-param name="x" 		select="$pageX3np"/>
      <xsl:with-param name="y" 		select="$pageY+8*($lineheight)"/>
      <xsl:with-param name="w" 		select="$smallcolumnwidth"/>
      <xsl:with-param name="h" 		select="$lineheight"/>
      <xsl:with-param name="align"  select="'left'" />
      <xsl:with-param name="value1" select="'MOT:'" />
      <xsl:with-param name="value2" select="'L1'" />
      <xsl:with-param name="value3" select="'L2'" />
      <xsl:with-param name="value4" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" 	select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" 	select="4"/>
      <xsl:with-param name="x" 		select="$pageX3n"/>
      <xsl:with-param name="y" 		select="$pageY+8*($lineheight)"/>
      <xsl:with-param name="w" 		select="$smallcolumnwidth"/>
      <xsl:with-param name="h" 		select="$lineheight"/>
      <xsl:with-param name="align"  select="'right'" />
      <xsl:with-param name="value1" select="value[@name='ADR97']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2" select="value[@name='ADR98']/@val" />
      <xsl:with-param name="value3" select="value[@name='ADR99']/@val" />
      <xsl:with-param name="value4" select="value[@name='ADR9A']/@val" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" 	select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" 	select="4"/>
      <xsl:with-param name="x" 		select="$pageX3nu"/>
      <xsl:with-param name="y" 		select="$pageY+8*($lineheight)"/>
      <xsl:with-param name="w" 		select="$smallcolumnwidth"/>
      <xsl:with-param name="h" 		select="$lineheight"/>
      <xsl:with-param name="align"  select="'left'" />
      <xsl:with-param name="value1" select="'Hz'" />
      <xsl:with-param name="value2" select="'V'" />
      <xsl:with-param name="value3" select="'V'" />
      <xsl:with-param name="value4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" 	select="'page0'"/>
    </xsl:call-template>

    <!-- MAINS2PBP-->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+0*$lineheight"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'center'"/>
      <xsl:with-param name="value" select="'***  DC-LINK  ***'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page1_0", ['***  ', 'DC-LINK','  ***']);</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth + 25"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1" select="'DC-LINK:'" />
      <xsl:with-param name="text2" select="'SWITCH OFF:'" />
      <xsl:with-param name="text3" select="'EQUALIZE ON'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page1_11", ['DC-LINK',':']);</script>
    <script type="text/javascript"> translate_text("page1_12", ['SWITCH OFF',':']);</script>
    <!--<script type="text/javascript"> translate_text("page1_13", 'EQUALIZE ON');</script>-->

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" 	select="2"/>
      <xsl:with-param name="x" 	 	select="$pageX3"/>
      <xsl:with-param name="y" 	 	select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" 	 	select="$smallcolumnwidth"/>
      <xsl:with-param name="h" 	 	select="$lineheight"/>
      <xsl:with-param name="align" 	select="'right'" />
      <xsl:with-param name="value1" select="value[@name='ADR74']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR75']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADRAE']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" 		select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" 	select="2"/>
      <xsl:with-param name="x" 		select="$pageX3u"/>
      <xsl:with-param name="y" 		select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" 		select="$columnwidth"/>
      <xsl:with-param name="h" 		select="$lineheight"/>
      <xsl:with-param name="align" 	select="'left'" />
      <xsl:with-param name="text1"  select="'V'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" 	select="'MIN'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" 	select="'page1'"/>
    </xsl:call-template>
    <!-- #################################################################################
	################################################################################## -->

    <xsl:choose>
      <xsl:when test="value[@name='ADRAE']/@val &gt; 0">
        <xsl:call-template name="paneRow2">
          <xsl:with-param name="xT" select="$pageX1" />
          <xsl:with-param name="yT" select="($pageY)+3*$lineheight" />
          <xsl:with-param name="wT" select="53" />
          <xsl:with-param name="hT" select="$lineheight" />
          <xsl:with-param name="alignT" select="'left'" />
          <xsl:with-param name="text" select="'EQUALIZE'" />
          <xsl:with-param name="xOff" select="4" />
          <xsl:with-param name="xOff2" select="4" />
          <xsl:with-param name="w" select="61" />
          <xsl:with-param name="h" select="$lineheight" />
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="value" select="'ON'" />
          <xsl:with-param name="value2" select="value[@name='ADRAD']/@val" />
          <xsl:with-param name="unit" select="''" />
          <xsl:with-param name="unit2" select="'MIN'" />
          <xsl:with-param name="precision" select="-1" />
          <xsl:with-param name="precision2" select="0" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page1_5'" />
        </xsl:call-template>
      </xsl:when>
      
      <!--
		<xsl:when test="value[@name='ADRAE']/@val &gt; 1">
			<xsl:call-template name="paneRow2">
			  <xsl:with-param name="xT" select="$pageX1" />
			  <xsl:with-param name="yT" select="($pageY)+3*$lineheight" />
			  <xsl:with-param name="wT" select="53" />
			  <xsl:with-param name="hT" select="$lineheight" />
			  <xsl:with-param name="alignT" select="'left'" />
			  <xsl:with-param name="text" select="'EQUALIZE'" />
			  <xsl:with-param name="xOff" select="4" />
			  <xsl:with-param name="xOff2" select="4" />
			  <xsl:with-param name="w" select="61" />
			  <xsl:with-param name="h" select="$lineheight" />
			  <xsl:with-param name="align" select="'leftt'" />
			  <xsl:with-param name="value" select="'ON, running'" />
			  <xsl:with-param name="value2" select="value[@name='ADRAD']/@val" />
			  <xsl:with-param name="unit" select="''" />
			  <xsl:with-param name="unit2" select="'MIN'" />
			  <xsl:with-param name="precision" select="-1" />
			  <xsl:with-param name="precision2" select="0" />
			  <xsl:with-param name="visibility" select="'visible'" />
			  <xsl:with-param name="name" select="'page1'" />
			</xsl:call-template>
		</xsl:when>-->
      <xsl:otherwise>
        <xsl:call-template name="paneRow2">
          <xsl:with-param name="xT" select="$pageX1" />
          <xsl:with-param name="yT" select="($pageY)+3*$lineheight" />
          <xsl:with-param name="wT" select="53" />
          <xsl:with-param name="hT" select="$lineheight" />
          <xsl:with-param name="alignT" select="'left'" />
          <xsl:with-param name="text" select="'EQUALIZE:'" />
          <xsl:with-param name="xOff" select="4" />
          <xsl:with-param name="xOff2" select="4" />
          <xsl:with-param name="w" select="61" />
          <xsl:with-param name="h" select="$lineheight" />
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="value" select="'OFF'" />
          <xsl:with-param name="value2" select="''" />
          <xsl:with-param name="unit" select="' '" />
          <xsl:with-param name="unit2" select="' '" />
          <xsl:with-param name="precision" select="-1" />
          <xsl:with-param name="precision2" select="-1" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page1'" />
        </xsl:call-template>

      </xsl:otherwise>
    </xsl:choose>

    <!-- #################################################################################
	################################################################################## -->


    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth*2.5"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'BATTERY CURRENT:'" />
      <xsl:with-param name="text2"  select="'TEMPERATURE:'" />
      <xsl:with-param name="text3" select="'REMAINING TIME:'" />
      <xsl:with-param name="text4" select="'REM. CAPACITY:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_5'"/>
    </xsl:call-template>

    <script type="text/javascript"> translate_text("page1_51", ['BATTERY CURRENT',':']);</script>
    <script type="text/javascript"> translate_text("page1_52", ['TEMPERATURE',':']);</script>
    <script type="text/javascript"> translate_text("page1_53", ['REMAINING TIME',':']);</script>
    <script type="text/javascript"> translate_text("page1_54", ['REM. CAPACITY',':']);</script>

    <xsl:if test="value[@name='_tempUnit']/@val=0 or string-length(value[@name='_tempUnit']/@val)=0">
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3"/>
        <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
        <xsl:with-param name="w" select="$smallcolumnwidth"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="align" select="'right'" />
        <xsl:with-param name="value1"  select="value[@name='ADR73']/@val" />
        <xsl:with-param name="precision1" select="0"/>
        <xsl:with-param name="value2"  select="value[@name='TEMPDEG']/@val" />
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="value3" select="value[@name='ADR76']/@val" />
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="value[@name='ADR92']/@val" />
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'visible'"/>
        <xsl:with-param name="name" select="'page1'"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="value[@name='_tempUnit']/@val=1">
      <xsl:call-template name="paneColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3"/>
        <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
        <xsl:with-param name="w" select="$smallcolumnwidth"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="align" select="'right'" />
        <xsl:with-param name="value1"  select="value[@name='ADR73']/@val" />
        <xsl:with-param name="precision1" select="0"/>
        <xsl:with-param name="value2"  select="(value[@name='TEMPDEG']/@val*1.8) + 32.0" />
        <xsl:with-param name="precision2" select="1"/>
        <xsl:with-param name="value3" select="value[@name='ADR76']/@val" />
        <xsl:with-param name="precision3" select="0"/>
        <xsl:with-param name="value4" select="value[@name='ADR92']/@val" />
        <xsl:with-param name="precision4" select="0"/>
        <xsl:with-param name="visibility" select="'visible'"/>
        <xsl:with-param name="name" select="'page1'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:if test="value[@name='_tempUnit']/@val=0 or string-length(value[@name='_tempUnit']/@val)=0">
      <xsl:call-template name="paneTextColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3u"/>
        <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
        <xsl:with-param name="w" select="$columnwidth"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="text1"  select="'A'" />
        <xsl:with-param name="text2"  select="'&#176;C'" />
        <xsl:with-param name="text3" select="'MIN'" />
        <xsl:with-param name="text4" select="'Ah'" />
        <xsl:with-param name="visibility" select="'visible'"/>
        <xsl:with-param name="name" select="'page1'"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="value[@name='_tempUnit']/@val=1">
      <xsl:call-template name="paneTextColumn">
        <xsl:with-param name="rows" select="4"/>
        <xsl:with-param name="x" select="$pageX3u"/>
        <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
        <xsl:with-param name="w" select="$columnwidth"/>
        <xsl:with-param name="h" select="$lineheight"/>
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="text1"  select="'A'" />
        <xsl:with-param name="text2"  select="'&#176;F'" />
        <xsl:with-param name="text3" select="'MIN'" />
        <xsl:with-param name="text4" select="'Ah'" />
        <xsl:with-param name="visibility" select="'visible'"/>
        <xsl:with-param name="name" select="'page1'"/>
      </xsl:call-template>
    </xsl:if>

    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <!--
   <xsl:call-template name="paneText">
		<xsl:with-param name="x" select="$pageX1"/>
		<xsl:with-param name="y" select="$pageY+8*$lineheight"/>
		<xsl:with-param name="w" select="170"/>
    <xsl:with-param name="h" select="$lineheight"/>
    <xsl:with-param name="align" select="'center'"/>
    <xsl:with-param name="value" select="'***DIESEL***'" />
    <xsl:with-param name="visibility" select="'visible'"/>
    <xsl:with-param name="name" select="'page1'"/>
   </xsl:call-template>
   -->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'center'"/>
      <xsl:with-param name="value" select="'***  DC-LINK  ***'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_6'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page1_6", ['***  ','DC-LINK', '  ***']);</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'SPEED'" />
      <xsl:with-param name="text2"  select="'HOURS'" />
      <xsl:with-param name="text3" select="'START COUNTER'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_7'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page1_71", ['SPEED', ':']);</script>
    <script type="text/javascript"> translate_text("page1_72", ['HOURS', ':']);</script>
    <script type="text/javascript"> translate_text("page1_73", ['START COUNTER', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3)-30"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR9B']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR9C']/@val*10000 + value[@name='ADR9D']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR9E']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="($pageX2u)-18"/>
      <xsl:with-param name="y" select="$pageY+10*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR9C']/@val*10000 + value[@name='ADR9D']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2" select="value[@name='ADR9E']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <!--
	<xsl:call-template name="paneColumn">
		<xsl:with-param name="rows" select="1"/>
		<xsl:with-param name="x" select="($pageX2u)-30"/>
		<xsl:with-param name="y" select="$pageY+11*$lineheight"/>
		<xsl:with-param name="w" select="$bigcolumnwidth"/>
    	<xsl:with-param name="h" select="$lineheight"/>
    	<xsl:with-param name="align" select="'right'" />
		<xsl:with-param name="value1" select="value[@name='ADR9E']/@val" />
		<xsl:with-param name="precision1" select="0"/>
		<xsl:with-param name="visibility" select="'visible'"/>
    	<xsl:with-param name="name" select="'page1'"/>
	</xsl:call-template> -->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3u)-5	"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'1/MIN'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3u)-2"/>
      <xsl:with-param name="y" select="$pageY+10*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="text1"  select="'H'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <!-- OUTPUT1PBP-->
    <xsl:variable name ="output">
      <!--<xsl:value-of select="value[@name='ADR75']/@val"/><xsl:text>kW/</xsl:text><xsl:value-of select="value[@name='ADR73']/@val div 100"/> -->
      <xsl:value-of select="value[@name='ADR8D']/@val"/>
      <xsl:text>kW/</xsl:text>
      <xsl:value-of select="value[@name='ADR8E']/@val div 100.0"/>
    </xsl:variable>
    <xsl:variable name="datetime" select="//report/@time"/>
    <xsl:variable name="date" select="concat('', substring-before($datetime, ' '))"/>
    <xsl:variable name="time" select="concat('', substring-after($datetime, ' '))"/>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="$date" />
      <xsl:with-param name="text2"  select="'HOURS'" />
      <xsl:with-param name="text3"  select="'COUNTER'" />
      <xsl:with-param name="text4" select="'OUTPUT'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page2_12", ['HOURS', ':']);</script>
    <script type="text/javascript"> translate_text("page2_13", ['COUNTER', ':']);</script>
    <script type="text/javascript"> translate_text("page2_14", ['OUTPUT', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX2)+10"/>
      <xsl:with-param name="y" select="$pageY+1*($lineheight)"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="((value[@name='ADR8A']/@val)*10000) + (value[@name='ADR8B']/@val)" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='ADR8C']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$output" />
      <xsl:with-param name="precision4" select="-1"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3u)-30"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="$time" />
      <xsl:with-param name="precision1" select="0" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3u)-30"/>
      <xsl:with-param name="y" select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="text1"  select="'H'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3u)-30"/>
      <xsl:with-param name="y" select="($pageY)+2*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR8C']/@val" />
      <xsl:with-param name="precision1" select="0" />
      <xsl:with-param name="value2"  select="$output" />
      <xsl:with-param name="precision2" select="0" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3u)-43"/>
      <xsl:with-param name="y" select="($pageY)+3*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="$output" />
      <xsl:with-param name="precision1" select="0" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'GEN:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page2_21", ['GEN', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR77']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR79']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7A']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR7B']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'kVA'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <!-- <xsl:with-param name="value1"  select="value[@name='ADR78']/@val div 10.0" /> -->
      <xsl:with-param name="value1"  select="value[@name='ADR78']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR7C']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7D']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR7E']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="'A'" />
      <xsl:with-param name="text3" select="'A'" />
      <xsl:with-param name="text4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'BUS:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page2_31", ['BUS', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR82']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR84']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR85']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR86']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'kVA'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <!-- <xsl:with-param name="value1"  select="value[@name='ADR83']/@val div 10.0" /> -->
      <xsl:with-param name="value1"  select="value[@name='ADR83']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR87']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR88']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR89']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="'A'" />
      <xsl:with-param name="text3" select="'A'" />
      <xsl:with-param name="text4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <!-- OUTPUT2PBP-->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'center'"/>
      <xsl:with-param name="value" select="'*** PHASE ***'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_0", ['*** ', 'PHASE', ' ***']);</script>
    
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'MAINS -OUTPUT:'" />
      <xsl:with-param name="text2"  select="'MAINS -BUS   :'" />
      <xsl:with-param name="text3"  select="'OUTPUT-BUS   :'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_11", ['MAINS -OUTPUT', ':']);</script>
    <script type="text/javascript"> translate_text("page3_12", ['MAINS -BUS', '   :']);</script>
    <script type="text/javascript"> translate_text("page3_13", ['OUTPUT-BUS', '   :']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR7F']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR80']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR81']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'DGR'" />
      <xsl:with-param name="text2"  select="'DGR'" />
      <xsl:with-param name="text3"  select="'DGR'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#0f0000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1" select="'EMERG:'" />
      <!-- <xsl:with-param name="text2"  select="' '" /> -->
      <xsl:with-param name="text2" select="'L1'" />
      <xsl:with-param name="text3" select="'L2'" />
      <xsl:with-param name="text4" select="'L3'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_21", ['EMERG', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR9F']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <!-- <xsl:with-param name="value2"  select="value[@name='ADR92']/@val" />
		<xsl:with-param name="precision2" select="0"/> -->
      <xsl:with-param name="value2"  select="value[@name='ADRA1']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADRA2']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADRA3']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'kVA'" />
      <!-- <xsl:with-param name="text2"  select="'kW'" /> -->
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <!-- <xsl:with-param name="value1"  select="value[@name='ADRA0']/@val div 10.0" /> -->
      <xsl:with-param name="value1"  select="value[@name='ADRA0']/@val" />
      <xsl:with-param name="precision1" select="1"/>
      <!-- <xsl:with-param name="value2"  select="' '" /> -->
      <xsl:with-param name="value2"  select="value[@name='ADRA4']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADRA5']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADRA6']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <!-- <xsl:with-param name="text2"  select="' '" /> -->
      <xsl:with-param name="text2"  select="'A'" />
      <xsl:with-param name="text3" select="'A'" />
      <xsl:with-param name="text4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'center'"/>
      <xsl:with-param name="value" select="'*** DIESEL ***'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_3", ['*** ', 'DIESEL', ' ***']);</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="($bigcolumnwidth)+5"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'MAINS -MOTOR :'" />
      <xsl:with-param name="text2"  select="'SPEED DIFFERENCE:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_4'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_41", ['MAINS -MOTOR', ' :']);</script>
    <script type="text/javascript"> translate_text("page3_42", ['SPEED DIFFERENCE', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3)"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADRA7']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="''" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='ADRA8']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="1"/>
      <xsl:with-param name="x" select="($pageX3)"/>
      <xsl:with-param name="y" select="$pageY+11*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADRA8']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'DGR'" />
      <xsl:with-param name="text2"  select="''" />
      <xsl:with-param name="text3"  select="'RPM'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <!-- EOT -->
  </xsl:template>
  <xsl:template name="ruler">
    <xsl:param  name="x" select="10"/>
    <xsl:param  name="y" select="10"/>
    <xsl:param  name="w" select="10"/>
    <xsl:param  name="h" select="10"/>
    <xsl:param  name="color" select="'#00f000'"/>
    <xsl:param  name="visibility" select="'visible'"/>
    <xsl:param  name="name" select="'div'"/>

    <div id="{$name}" style="position:absolute;left:{$x}px;top:{$y}px;width:{$w}px;height:{$h}px;visibility:{$visibility}; background-color:{$color};clip:rect(0px, {$w}px, {$h}px, 0px)">
      <img src="./lib/img/pixel.gif" width="{$w}" height="{$h}" border="0"/>
    </div>
  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>
