<?xml version="1.0"?>
<!--
   modubtd_panel.xsl - UPS screen for Piller UNIBLOCK TD models @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="modubtd_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="modubtd_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="520"/>
      <xsl:with-param name="left" select="10"/>
      <xsl:with-param name="width" select="800"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="modubtd_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="modubtd_panel-body">

    <div id="master" style="position:absolute; top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/backubtd.png'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'800'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="'0'"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>
      <xsl:apply-templates />
      <xsl:call-template name="IEpixelBugfixCall"/>

      <script type="text/javascript">
        init();
      </script>

      <xsl:call-template name="js_refresh_call">
        <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
      </xsl:call-template>

    </div>
  </xsl:template>


  <!-- Implementation -->
  <xsl:template match="values">
    <div style="position: absolute; left:560px; top:342px; width:21px; height:15px; z-index:1;">
      <a href="javascript:onChangeSelectionUp()">
        <img border="0" alt="" src="./lib/ups/image/piller/selectUpUBTD.gif" width="21" height="15"/>
      </a>
    </div>
    <div style="position: absolute; left:602px; top:343px; width:40px; height:40px; z-index:1;">
      <a href="javascript:onChangeSelectionDown()">
        <img border="0" alt="" src="./lib/ups/image/piller/selectDownUBTD.gif" width="21" height="15"/>
      </a>
    </div>

    <!-- LOCATION -->
    <div class="XLargeBold" align="right" style="position: absolute; left: 0px; top: 80px; width: 785px;  font-size:24px; text-align:center; ">
      <xsl:value-of select="value[@name='LOCATION']/@val" />
    </div>
    <!-- MODEL -->
    <div class="LargeBold" align="right" style="position: absolute; left: 485px; top: 381px; width: 185px; height: 17px; color:#ffffff; text-align:center;">
      <xsl:value-of select="value[@name='MODEL']/@val" />
    </div>
    <!-- UPS HISTORY-->
    <xsl:if test="string-length(//service/@type) !=0 and //service/@type != 'upsman' and //service/@type != 'snmpups' and //service/@type != 'maildev' and //service/@type != 'CS141'">
      <xsl:call-template name="on-mouse-over"/>
      <div class="MediumBold" align="right" style="position: absolute; left: 342px; top: 418px; width: 100px; height: 32px; text-align:center;  ">
        <a class="MediumBoldLink" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" border="0"  target="_blank" onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
          <img id="hist" src="./lib/img/button_white.gif" width="100" height="32" border="0"/>
        </a>
      </div>
      <div class="MediumBold" align="right" style="position: absolute; left: 342px; top: 425px; width: 100px; height: 17px; text-align:center;  ">
        <a id="evt_rec" class="MediumBold" href="nmsView.dll?navigate&amp;url=http://{//host/@address}/mbevents.cgi" style="text-decoration:none"  target="_blank"  onmouseover="changeImage('hist', './lib/img/button_white_over.gif')" onmouseout="restoreImage('hist')">
         <script type="text/javascript"> translate_text("evt_rec", 'Eventrecorder');</script>
        </a>
      </div>
    </xsl:if>

    <xsl:variable name="adrd6">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD6']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd7">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD7']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrd8">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRD8']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdb">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDB']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="adrdc">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="value[@name='ADRDC']/@val"/>
        <xsl:with-param name="dir" select="-1"/>
        <xsl:with-param name="places" select="16"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- TEST -->
    <!--
	<div id="Debug" class="LargeBold" align="right" style="position: absolute; top: 0px; left: 0px; width: 163px; height: 17px; font-size:18px;">
		<xsl:value-of select="$adrd6" /><br/>
		<xsl:value-of select="$adrd7" /><br/>
		<xsl:value-of select="$adrd8" /><br/>
	</div>
	-->
    <!-- TEXTE -->
    <div id="bypass2" class="MediumBold" align="right" style="position: absolute; left: 365px; top: 344px; color:#ffffff;">BYPASS</div>
    <div id="tbp" 			class="MediumBold" align="right" style="position: absolute; left: 131px; top: 344px; color:#ffffff;">TBP</div>
    <div id="res" 			class="SmallBold" align="right" style="position: absolute; left: 254px; top: 371px; color:#000000;">Reset</div>
    <!-- LOAD BAR -->
    <xsl:call-template name="PillerLoadbar">
      <xsl:with-param name="adrstr" select="$adrd6"/>
      <xsl:with-param name="x" select="'425'"/>
      <xsl:with-param name="y" select="'212'"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="title" select="'Load'"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'"/>
      <xsl:with-param name="id" select="'loadbar1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("loadbar1Load", 'Load');</script>

    <!-- Line LEDs-->
    <xsl:variable name="leddim" select="10"/>
    <!-- LED 1 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="133"/>
      <xsl:with-param name="y" select="232"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="1"/>
    </xsl:call-template>
    <!-- LED 2 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="176"/>
      <xsl:with-param name="y" select="269"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="5"/>
    </xsl:call-template>
    <!-- LED 3 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="166"/>
      <xsl:with-param name="y" select="197"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="3"/>
    </xsl:call-template>
    <!-- LED 4 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="265"/>
      <xsl:with-param name="y" select="232"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="3"/>
    </xsl:call-template>
    <!-- LED 5 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="275"/>
      <xsl:with-param name="y" select="269"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="11"/>
    </xsl:call-template>
    <!-- LED 6 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="265"/>
      <xsl:with-param name="y" select="166"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>
    <!-- LED 7 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="374"/>
      <xsl:with-param name="y" select="260"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="15"/>
    </xsl:call-template>
    <!-- LED 8 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="344"/>
      <xsl:with-param name="y" select="269"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd7"/>
      <xsl:with-param name="adrsFlash" select="$adrdb"/>
      <xsl:with-param name="bit" select="13"/>
    </xsl:call-template>
    <!-- LED 9 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="375"/>
      <xsl:with-param name="y" select="286"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="5"/>
    </xsl:call-template>
    <!-- LED 10 -->
    <xsl:call-template name="modbusledold">
      <xsl:with-param name="x" select="360"/>
      <xsl:with-param name="y" select="324"/>
      <xsl:with-param name="w" select="$leddim"/>
      <xsl:with-param name="h" select="$leddim"/>
      <xsl:with-param name="imagepath" select="'./lib/ups/image/piller/'" />
      <xsl:with-param name="adrsStatic" select="$adrd8"/>
      <xsl:with-param name="adrsFlash" select="$adrdc"/>
      <xsl:with-param name="bit" select="7"/>
    </xsl:call-template>

    <xsl:variable name="pageX1"   select="495"/>
    <xsl:variable name="pageX2"   select="545"/>
    <xsl:variable name="pageX2u"   select="575"/>
    <xsl:variable name="pageX3"   select="615"/>
    <xsl:variable name="pageX3u"   select="645"/>
    <xsl:variable name="pageY"    select="174"/>
    <xsl:variable name="lineheight"   select="12"/>
    <xsl:variable name="columnwidth"    select="48"/>
    <xsl:variable name="smallcolumnwidth"    select="25"/>
    <xsl:variable name="bigcolumnwidth"    select="100"/>

    <!-- MAINS1PBP-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'MAINS:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0_0'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page0_01", ['MAINS', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="''" />
      <xsl:with-param name="value2"  select="value[@name='INVOLT']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='INVOLT']/@val2" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='INVOLT']/@val3" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="''" />
      <xsl:with-param name="value2"  select="'V '" />
      <xsl:with-param name="value3" select="'V'" />
      <xsl:with-param name="value4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR68']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR69']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6A']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'Hz'" />
      <xsl:with-param name="value2"  select="'A'" />
      <xsl:with-param name="value3" select="'A'" />
      <xsl:with-param name="value4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <!--real power-->
    <xsl:variable name ="adr76">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR76']/@val"/>
        <xsl:with-param name="precision" select="0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name ="adr63">
      <xsl:call-template name="round-decimal">
        <xsl:with-param name="value" select="value[@name='ADR63']/@val"/>
        <xsl:with-param name="precision" select="0"/>
      </xsl:call-template>
    </xsl:variable>
    <!--
   <xsl:variable name ="doublepower">
		<xsl:value-of select="value[@name='ADR76']/@val"/><xsl:text>kW/</xsl:text><xsl:value-of select="value[@name='ADR63']/@val"/><xsl:text>kVA</xsl:text>
	</xsl:variable>
	-->
    <xsl:variable name ="doublepower">
      <xsl:value-of select="$adr76"/>
      <xsl:text>kW/</xsl:text>
      <xsl:value-of select="$adr63"/>
      <xsl:text>kVA</xsl:text>
    </xsl:variable>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY + 4 *$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Real/App Power:'" />
      <xsl:with-param name="text2"  select="'Power factor:'" />
      <xsl:with-param name="text3" select="'Mains failure:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page0_11", ['Real/App Power', ':']);</script>
    <script type="text/javascript"> translate_text("page0_12", ['Power factor', ':']);</script>
    <script type="text/javascript"> translate_text("page0_13", ['Mains failure', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3 - 25"/>
      <xsl:with-param name="y" select="$pageY+ 4 *$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth*3"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="$doublepower" />
      <xsl:with-param name="precision1" select="-1"/>
      <xsl:with-param name="value2" select="value[@name='ADR74']/@val div 100.0" />
      <xsl:with-param name="precision2" select="2"/>
      <xsl:with-param name="value3" select="value[@name='ADR8C']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+7*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+7*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth+50"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Powerbridge'" />
      <xsl:with-param name="text2"  select="'Voltage'" />
      <xsl:with-param name="text3" select="'Capacity relative'" />
      <xsl:with-param name="text4" select="'Capacity absolute'" />
      <xsl:with-param name="text5" select="'Speed'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page0_21", ['Powerbridge', ':']);</script>
    <script type="text/javascript"> translate_text("page0_22", ['Voltage', ':']);</script>
    <script type="text/javascript"> translate_text("page0_23", ['Capacity relative', ':']);</script>
    <script type="text/javascript"> translate_text("page0_24", ['Capacity absolute', ':']);</script>
    <script type="text/javascript"> translate_text("page0_25", ['Speed', ':']);</script>

    <xsl:variable name="powerbridge">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA9']/@val=1">---</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR6B']/@val div 10.0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="speed">
      <xsl:choose>
        <xsl:when test="value[@name='ADRA9']/@val=1">---</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='ADR6D']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+7*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="$powerbridge" />
      <xsl:with-param name="value2"  select="value[@name='BATTVOLT']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='BATTCAP']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR6C']/@val" />
      <xsl:with-param name="precision4" select="1"/>
      <xsl:with-param name="value5" select="$speed" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+7*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="value1"  select="'Hz'" />
      <xsl:with-param name="value2"  select="'V'" />
      <xsl:with-param name="value3" select="'%'" />
      <xsl:with-param name="value4" select="'MJ'" />
      <xsl:with-param name="value5" select="'RPM'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page0'"/>
    </xsl:call-template>
    <!-- MAINS2PBP-->
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'IN3:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR93']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR94']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR95']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR96']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'MOT:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR97']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR98']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR99']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR9A']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="2"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'center'"/>
      <xsl:with-param name="value" select="'***DIESEL***'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page1_3", ['***', 'DIESEL', '***']);</script>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Speed'" />
      <xsl:with-param name="text2"  select="'Hours'" />
      <xsl:with-param name="text3" select="'Start counter'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1_4'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page1_41", ['Speed', ':']);</script>
    <script type="text/javascript"> translate_text("page1_42", ['Hours', ':']);</script>
    <script type="text/javascript"> translate_text("page1_43", ['Start counter', ':']);</script>    
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="($pageX3)-2"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR9B']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR9C']/@val*10000 + value[@name='ADR9D']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR9E']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'RPM'" />
      <xsl:with-param name="text2"  select="'h'" />
      <xsl:with-param name="text3" select="' '" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page1'"/>
    </xsl:call-template>

    <!-- OUTPUT1PBP-->
    <xsl:variable name ="output">
      <xsl:value-of select="value[@name='ADR75']/@val"/>
      <xsl:text>kW/</xsl:text>
      <xsl:value-of select="value[@name='ADR73']/@val div 100"/>
    </xsl:variable>
    <xsl:variable name="datetime" select="//report/@time"/>
    <xsl:variable name="date" select="concat('', substring-before($datetime, ' '))"/>
    <xsl:variable name="time" select="concat('', substring-after($datetime, ' '))"/>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="$date" />
      <xsl:with-param name="text2"  select="'Hours'" />
      <xsl:with-param name="text3"  select="'Capacity pb'" />
      <xsl:with-param name="text4" select="'Output'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page2_11", ['Hours', ':']);</script>
    <script type="text/javascript"> translate_text("page2_12", ['Capacity', ' pb:']);</script>
    <script type="text/javascript"> translate_text("page2_13", ['Output', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="($pageX3)-2"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="$time" />
      <xsl:with-param name="value2"  select="value[@name='ADR8A']/@val*10000 + value[@name='ADR8B']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='BATTCAP']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="$output" />
      <xsl:with-param name="precision4" select="-1"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="''" />
      <xsl:with-param name="text2"  select="'h'" />
      <xsl:with-param name="text3"  select="'%'" />
      <xsl:with-param name="text4" select="' '" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'OUT:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page2_21", ['OUT', ':']);</script>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR77']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR79']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7A']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR7B']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'kVA'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR78']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR7C']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR7D']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR7E']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="'A'" />
      <xsl:with-param name="text3" select="'A'" />
      <xsl:with-param name="text4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'BUS:'" />
      <xsl:with-param name="text2"  select="'L1:'" />
      <xsl:with-param name="text3" select="'L2:'" />
      <xsl:with-param name="text4" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2_3'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page2_31", ['BUS', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR82']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR84']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR85']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR86']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'kVA'" />
      <xsl:with-param name="text2"  select="'V'" />
      <xsl:with-param name="text3" select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR83']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="value[@name='ADR87']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR88']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADR89']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="4"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+8*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="'A'" />
      <xsl:with-param name="text3" select="'A'" />
      <xsl:with-param name="text4" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page2'"/>
    </xsl:call-template>
    <!-- OUTPUT2PBP-->
    <xsl:call-template name="paneText">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'center'"/>
      <xsl:with-param name="value" select="'***PHASE***'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_1'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_1", ['***', 'PHASE', '***']);</script>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Mains-Output'" />
      <xsl:with-param name="text2"  select="'Mains-Bus'" />
      <xsl:with-param name="text3" select="'Output-Bus'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_2'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_21", ['Mains-Output', ':']);</script>
    <script type="text/javascript"> translate_text("page3_22", ['Mains-Bus', ':']);</script>
    <script type="text/javascript"> translate_text("page3_23", ['Output-Bus', ':']);</script>

    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+1*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR7F']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR80']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3" select="value[@name='ADR81']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="3"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'DGR'" />
      <xsl:with-param name="text2"  select="'DGR'" />
      <xsl:with-param name="text3" select="'DGR'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="1"/>
      <xsl:with-param name="color" select="'#0f0000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'EMRG:'" />
      <xsl:with-param name="text2"  select="' '" />
      <xsl:with-param name="text3"  select="'L1:'" />
      <xsl:with-param name="text4" select="'L2:'" />
      <xsl:with-param name="text5" select="'L3:'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX2"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADR9F']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADR92']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="value3"  select="value[@name='ADRA1']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADRA2']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADRA3']/@val" />
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX2u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'kVA'" />
      <xsl:with-param name="text2"  select="'kW'" />
      <xsl:with-param name="text3"  select="'V'" />
      <xsl:with-param name="text4" select="'V'" />
      <xsl:with-param name="text5" select="'V'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX3"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADRA0']/@val div 10.0" />
      <xsl:with-param name="precision1" select="1"/>
      <xsl:with-param name="value2"  select="' '" />
      <xsl:with-param name="value3"  select="value[@name='ADRA4']/@val" />
      <xsl:with-param name="precision3" select="0"/>
      <xsl:with-param name="value4" select="value[@name='ADRA5']/@val" />
      <xsl:with-param name="precision4" select="0"/>
      <xsl:with-param name="value5" select="value[@name='ADRA6']/@val" />
      <xsl:with-param name="precision5" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="5"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+4*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Hz'" />
      <xsl:with-param name="text2"  select="' '" />
      <xsl:with-param name="text3"  select="'A'" />
      <xsl:with-param name="text4" select="'A'" />
      <xsl:with-param name="text5" select="'A'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="ruler">
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+9*($lineheight)-1"/>
      <xsl:with-param name="w" select="170"/>
      <xsl:with-param name="h" select="2"/>
      <xsl:with-param name="color" select="'#000000'"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX1"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$bigcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'Mains-Motor'" />
      <xsl:with-param name="text2"  select="'Speed difference'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3_4'"/>
    </xsl:call-template>
    <script type="text/javascript"> translate_text("page3_41", ['Mains-Motor', ':']);</script>
    <script type="text/javascript"> translate_text("page3_42", ['Speed difference', ':']);</script>
    
    <xsl:call-template name="paneColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="($pageX3)"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$smallcolumnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'right'" />
      <xsl:with-param name="value1"  select="value[@name='ADRA7']/@val" />
      <xsl:with-param name="precision1" select="0"/>
      <xsl:with-param name="value2"  select="value[@name='ADRA8']/@val" />
      <xsl:with-param name="precision2" select="0"/>
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>
    <xsl:call-template name="paneTextColumn">
      <xsl:with-param name="rows" select="2"/>
      <xsl:with-param name="x" select="$pageX3u"/>
      <xsl:with-param name="y" select="$pageY+9*$lineheight"/>
      <xsl:with-param name="w" select="$columnwidth"/>
      <xsl:with-param name="h" select="$lineheight"/>
      <xsl:with-param name="align" select="'left'" />
      <xsl:with-param name="text1"  select="'DGR'" />
      <xsl:with-param name="text2"  select="'RPM'" />
      <xsl:with-param name="visibility" select="'visible'"/>
      <xsl:with-param name="name" select="'page3'"/>
    </xsl:call-template>

    <!-- EOT -->
  </xsl:template>
  <xsl:template name="ruler">
    <xsl:param  name="x" select="10"/>
    <xsl:param  name="y" select="10"/>
    <xsl:param  name="w" select="10"/>
    <xsl:param  name="h" select="10"/>
    <xsl:param  name="color" select="'#00f000'"/>
    <xsl:param  name="visibility" select="'visible'"/>
    <xsl:param  name="name" select="'div'"/>

    <div id="{$name}" style="position:absolute;left:{$x}px;top:{$y}px;width:{$w}px;height:{$h}px;visibility:{$visibility}; background-color:{$color};clip:rect(0px, {$w}px, {$h}px, 0px)">
      <img src="../img/pixel.gif" width="{$w}" height="{$h}" border="0"/>
    </div>
  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>
