<?xml version="1.0"?>
<!--
   protd_panel.xsl - UPS screen for AEG.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   Said Raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="protd_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="6"/>
      <xsl:with-param name="left" select="36"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="protd_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="550"/>
      <xsl:with-param name="left" select="12"/>
      <xsl:with-param name="width" select="755"/>
      <xsl:with-param name="height" select="70"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="protd_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="protd_panel-body">
    <!--<div id ="master" style="position:absolute;top:38px;left:10px;">-->
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/aeg/backab1.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'785'"/>
      <xsl:with-param name="h" select="'546'"/>
      <xsl:with-param name="border" select="0"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>

    <xsl:apply-templates />

      <script type="text/javascript">
        init();
      </script>
      <xsl:if test="string-length(//report/@_platform) != string-length('cs141')">
         <xsl:call-template name="js_refresh_call">
         <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
         </xsl:call-template>
      </xsl:if>
    <!--</div>-->
  </xsl:template>

  <xsl:template match="values">
    <!-- Implementation -->
    <div style="color:black; font-weight:bold; font-size:9pt">

      <!-- Model -->
      <xsl:variable name="model">
        <xsl:choose>
          <xsl:when test="string-length(//CS121)=0">
            <xsl:value-of select="value[@name='MODEL']/@val"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="' '"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>
      <xsl:variable name="model_title">
        <xsl:choose>
          <xsl:when test="value[@name='_oemViewName']/@val='protc' or value[@name='_oemViewName']/@val='PROTC'">
            <xsl:value-of select="'Model'"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of select="'Identification'"/>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:variable>

      <xsl:if test="string-length($model) !=0">
        <xsl:call-template name="paneText">
          <xsl:with-param name="x" select="16" />
          <xsl:with-param name="y" select="10" />
          <xsl:with-param name="w" select="200" />
          <xsl:with-param name="h" select="17" />
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="color" select="'white'" />
          <xsl:with-param name="value" select="concat(concat($model_title, '&#160;&#160;'),$model)" />
          <xsl:with-param  name="name" select="'model_id'" />
        </xsl:call-template>
        <script type="text/javascript"> translate_text('model_id', ['<xsl:value-of select="$model_title"/>', '  ', '<xsl:value-of select="$model"/>']);</script>
      </xsl:if>
    </div>

    <xsl:variable name="ups_protocol">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='_upsProtocol']/@val) !=0">
          <xsl:value-of select="value[@name='_upsProtocol']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="unsigner">
            <xsl:with-param name="val" select="value[@name='CONNECT']/@val"/>
            <xsl:with-param name="bits" select="16"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="is_6000_10000_va_usv">
      <xsl:choose>
        <xsl:when test="$ups_protocol = '80E2' or $ups_protocol = '32994'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="0"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- AEG LOGO 80E2-->
    <!--<xsl:call-template name="logo-pane">
	</xsl:call-template>-->
    <!-- Load segment Text
   <xsl:if test="$is_6000_10000_va_usv = 0">
   	<div style="color:black; font-weight:bold; font-size:9pt">
   		<xsl:call-template name="paneText">
   			<xsl:with-param name="x" select="20" />
   		  <xsl:with-param name="y" select="148" />
   		  <xsl:with-param name="w" select="200" />
   		  <xsl:with-param name="h" select="17" />
   		  <xsl:with-param name="align" select="'left'" />
   		  <xsl:with-param name="color" select="'white'" />
   		  <xsl:with-param name="value" select="$lang-Load-segment" />
   		</xsl:call-template>
   	</div>
   </xsl:if>
   <xsl:if test="$is_6000_10000_va_usv != 0">
      <div style="color:black; font-weight:bold; font-size:9pt">
         <xsl:call-template name="paneText">
            <xsl:with-param name="x" select="20" />
           <xsl:with-param name="y" select="148" />
           <xsl:with-param name="w" select="200" />
           <xsl:with-param name="h" select="17" />
           <xsl:with-param name="align" select="'left'" />
           <xsl:with-param name="color" select="'white'" />
           <xsl:with-param name="value" select="$lang-UPS-Status" />
         </xsl:call-template>
      </div>
   </xsl:if>-->

    <!-- UPS Chart Text -->
    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="480" />
        <xsl:with-param name="y" select="148" />
        <xsl:with-param name="w" select="200" />
        <xsl:with-param name="h" select="17" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="color" select="'white'" />
        <xsl:with-param name="value" select="$lang-UPS-Chart" />
        <xsl:with-param  name="name" select="'ups_chart_id'" />
      </xsl:call-template>
      <script type="text/javascript"> translate_text('ups_chart_id', '<xsl:value-of select="$lang-UPS-Chart"/>');</script>
    </div>
    <!-- UPS Events Text -->
    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="460" />
        <xsl:with-param name="y" select="12" />
        <xsl:with-param name="w" select="200" />
        <xsl:with-param name="h" select="17" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="color" select="'white'" />
        <xsl:with-param name="value" select="$lang-UPS-Events" />
        <xsl:with-param  name="name" select="'ups_evt_id'" />
      </xsl:call-template>
      <script type="text/javascript"> translate_text('ups_evt_id', '<xsl:value-of select="$lang-UPS-Events"/>');</script>
    </div>

    <!-- Segments status pane -->
    <xsl:call-template name="segments-status-pane">
      <xsl:with-param name="is_6000_10000_va_usv" select="$is_6000_10000_va_usv" />
      <xsl:with-param name="status_txt" select="$lang-Segment-state" />
      <xsl:with-param name="ups_off" select="value[@name='UPS_OFF']/@val" />
      <xsl:with-param name="state" select="value[@name='STATUS']/@val" />
      <xsl:with-param name="aeg_qsstate" select="value[@name='AEG_QSSTATE']/@val" />
      <xsl:with-param name="aeg_pue" select="value[@name='AEG_PUE']/@val" />
      <!--<xsl:with-param name="in_phases" select="value[@name='INPHASES']/@val" />-->
      <xsl:with-param name="in_volt" select="value[@name='INVOLT']" />
      <xsl:with-param name="in_freq" select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="batt_autonomy_time" select="value[@name='AUTONOMTIME']/@val" />
      <xsl:with-param name="batt_status" select="value[@name='BATTERY_STATE']/@val" />
      <xsl:with-param name="batt_capacity" select="value[@name='BATTCAP']/@val" />
      <xsl:with-param name="batt_volt" select="value[@name='BATTVOLT']/@val" />
      <xsl:with-param name="batt_temp" select="value[@name='TEMPDEG']/@val" />
      <xsl:with-param name="out_volt" select="value[@name='OUTPUT_VOLT']" />
      <xsl:with-param name="out_power" select="value[@name='OUTPOWER']/@val" />
      <xsl:with-param name="out_freq" select="value[@name='OUTFREQ']/@val" />
      <xsl:with-param name="power" select="value[@name='EX_OUT_WATT']" />
      <xsl:with-param name="complex_power" select="value[@name='EX_OUT_VA']" />
    </xsl:call-template>

    <!--  oem View Name-->
    <xsl:variable name="oem_view_name" select="value[@name='_oemViewName']/@val"/>
    <!-- Battery Voltage Load bar variables-->
    <xsl:variable name="batt_volt_startval">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='PROTD' or string($oem_view_name)='protd'">
          <xsl:value-of select="'20'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="batt_volt_endval">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='PROTD' or string($oem_view_name)='protd'">
          <xsl:value-of select="'50'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="batt_volt_step">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='PROTD' or string($oem_view_name)='protd'">
          <xsl:value-of select="'5'"/>
        </xsl:when>
        <xsl:otherwise></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Load bars page0-->
    <!-- Input Voltage -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INVOLT']/@val"/>
      <xsl:with-param name="headline" select="$lang-Input-Voltage"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="310"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="90"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="''"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
      <xsl:with-param name="scaler_id" select="'batt_involt_scaler_id'"/>
    </xsl:call-template>
    <!-- Load -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="headline" select="$lang-Load"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="440"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="25"/>
      <xsl:with-param name="skip" select="25"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="100"/>
      <xsl:with-param name="thresh-yellow-hi" select="80"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'batt_power_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Autonomy Time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="570"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="20"/>
      <xsl:with-param name="id" select="'page0'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="4"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'batt_auto_time_scaler_id1'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>

    <!-- Load bars page1-->
    <!-- Input Voltage -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INVOLT']/@val"/>
      <xsl:with-param name="headline" select="$lang-Input-Voltage"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'V'"/>
      <xsl:with-param name="x" select="320"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="90"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="90"/>
      <xsl:with-param name="endval" select="270"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="45"/>
      <xsl:with-param name="skip" select="45"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="''"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="sel_page" select="1"/>
      <xsl:with-param name="scaler_id" select="'batt_involt_scaler_id'"/>
    </xsl:call-template>
    <!-- Input Frequency -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='INFREQ']/@val"/>
      <xsl:with-param name="headline" select="$lang-Input-Frequency"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Hz'"/>
      <xsl:with-param name="x" select="440"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="40"/>
      <xsl:with-param name="endval" select="70"/>
      <xsl:with-param name="decimal-places" select="1"/>
      <xsl:with-param name="step" select="5"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="''"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'batt_infreq_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Autonomy Time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="570"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="20"/>
      <xsl:with-param name="id" select="'page1'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="4"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'batt_auto_time_scaler_id2'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Load bars page2-->
    <!-- Load -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val"/>
      <xsl:with-param name="headline" select="$lang-Load"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="310"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="25"/>
      <xsl:with-param name="skip" select="25"/>
      <xsl:with-param name="id" select="'page2'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-hi" select="100"/>
      <xsl:with-param name="thresh-yellow-hi" select="80"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'batt_power_scaler_id'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Autonomy Time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="440"/>
      <xsl:with-param name="y" select="200"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'49'"/>
      <xsl:with-param name="bary" select="70"/>
      <xsl:with-param name="barw" select="50"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="100"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="0"/>
      <xsl:with-param name="id" select="'page2'"/>
      <xsl:with-param name="shadowoffset" select="5"/>
      <xsl:with-param name="thresh-red-lo" select="4"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="scaler_id" select="'batt_auto_time_scaler_id3'"/>
      <xsl:with-param name="sel_page" select="1"/>
    </xsl:call-template>
    <!-- Temperature -->
    <xsl:if test="value[@name='_tempUnit']/@val=1">
      <xsl:call-template name="valuebar">
        <xsl:with-param name="value" select="(value[@name='TEMPDEG']/@val*1.8) + 32.0"/>
        <xsl:with-param name="headline" select="$lang-Temperature"/>
        <xsl:with-param name="font-size" select="11"/>
        <xsl:with-param name="unit" select="'&#176;F'"/>
        <xsl:with-param name="x" select="570"/>
        <xsl:with-param name="y" select="200"/>
        <xsl:with-param name="h" select="80"/>
        <xsl:with-param name="barx" select="'49'"/>
        <xsl:with-param name="bary" select="70"/>
        <xsl:with-param name="barw" select="50"/>
        <xsl:with-param name="suby" select="240"/>
        <xsl:with-param name="startval" select="32"/>
        <xsl:with-param name="endval" select="(60*1.8) + 32.0"/>
        <xsl:with-param name="decimal-places" select="1"/>
        <xsl:with-param name="step" select="(10*1.8) + 32.0"/>
        <xsl:with-param name="skip" select="(10*1.8) + 32.0"/>
        <xsl:with-param name="id" select="'page2'"/>
        <xsl:with-param name="shadowoffset" select="5"/>
        <xsl:with-param name="thresh-red-hi" select="''"/>
        <xsl:with-param name="thresh-yellow-hi" select="''"/>
        <xsl:with-param name="start-visibility" select="'visible'"/>
        <xsl:with-param name="bright" select="0"/>
        <xsl:with-param name="scaler_id" select="'batt_temp_scaler_id'"/>
        <xsl:with-param name="sel_page" select="1"/>
      </xsl:call-template>
    </xsl:if>
    <xsl:if test="value[@name='_tempUnit']/@val=0 or string-length(value[@name='_tempUnit']/@val)=0">
      <xsl:call-template name="valuebar">
        <xsl:with-param name="value" select="value[@name='TEMPDEG']/@val"/>
        <xsl:with-param name="headline" select="$lang-Temperature"/>
        <xsl:with-param name="font-size" select="11"/>
        <xsl:with-param name="unit" select="'&#176;C'"/>
        <xsl:with-param name="x" select="570"/>
        <xsl:with-param name="y" select="200"/>
        <xsl:with-param name="h" select="80"/>
        <xsl:with-param name="barx" select="'49'"/>
        <xsl:with-param name="bary" select="70"/>
        <xsl:with-param name="barw" select="50"/>
        <xsl:with-param name="suby" select="240"/>
        <xsl:with-param name="startval" select="0"/>
        <xsl:with-param name="endval" select="60"/>
        <xsl:with-param name="decimal-places" select="1"/>
        <xsl:with-param name="step" select="10"/>
        <xsl:with-param name="skip" select="10"/>
        <xsl:with-param name="id" select="'page2'"/>
        <xsl:with-param name="shadowoffset" select="5"/>
        <xsl:with-param name="thresh-red-hi" select="''"/>
        <xsl:with-param name="thresh-yellow-hi" select="''"/>
        <xsl:with-param name="start-visibility" select="'visible'"/>
        <xsl:with-param name="bright" select="0"/>
        <xsl:with-param name="scaler_id" select="'batt_temp_scaler_id'"/>
        <xsl:with-param name="sel_page" select="1"/>
      </xsl:call-template>
    </xsl:if>
    <!-- Log events pane -->
    <xsl:call-template name="events-pane">
    </xsl:call-template>
    <!--select pages -->
    <xsl:call-template name="select-page">
    </xsl:call-template>

    <!--Segments state -->
    <xsl:if test="$is_6000_10000_va_usv = 0">
      <xsl:call-template name="segments-state">
        <xsl:with-param name="outlet_onmaske" select ="value[@name='OUTLET_ONOFFMASK']/@val"/>
        <xsl:with-param name="outlet_existmaske" select ="value[@name='OUTLET_EXISTMASK']/@val"/>
      </xsl:call-template>
    </xsl:if>

  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>

