<?xml version="1.0"?>
<!--
   prt33_panel.xsl - UPS screen for AEG.
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   Said Raqui
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="prt33_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="13"/>
      <xsl:with-param name="left" select="36"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="prt33_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="510"/>
      <xsl:with-param name="left" select="20"/>
      <xsl:with-param name="width" select="796"/>
      <xsl:with-param name="height" select="66"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="prt33_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="prt33_panel-body">
    <div id ="master" style="position:absolute;top:10px;left:10px;">
      <xsl:call-template name="background">
        <xsl:with-param name="imagepath" select="'./lib/ups/image/aeg/backups.gif'"/>
        <xsl:with-param name="x" select="'0'"/>
        <xsl:with-param name="y" select="'0'"/>
        <xsl:with-param name="w" select="'813'"/>
        <xsl:with-param name="h" select="'488'"/>
        <xsl:with-param name="border" select="0"/>
        <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>

      <xsl:apply-templates />
      <xsl:call-template name="IEpixelBugfixCall"/>
      <script type="text/javascript">
        init();
      </script>
      <xsl:call-template name="js_refresh_call">
        <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
      </xsl:call-template>
    </div>
  </xsl:template>

  <xsl:template match="values">
    <!-- Implementation -->
    <!-- UPS Events Text -->
    <div style="color:black; font-weight:bold; font-size:9pt">
      <xsl:call-template name="paneText">
        <xsl:with-param name="x" select="420" />
        <xsl:with-param name="y" select="11" />
        <xsl:with-param name="w" select="200" />
        <xsl:with-param name="h" select="17" />
        <xsl:with-param name="align" select="'left'" />
        <xsl:with-param name="color" select="'white'" />
        <xsl:with-param name="value" select="$lang-UPS-Events" />
        <xsl:with-param name="name" select="'ups_evt_txt'" />
      </xsl:call-template>
    </div>
    <script type="text/javascript"> translate_text('ups_evt_txt', '<xsl:value-of select="$lang-UPS-Events"/>');</script>

    <!-- Identification text -->
    <div id="ident_id" class="XMedium_black" style="position:absolute; left:14px; top:12px;text-align:left;text-decoration: underline;">
      <script type="text/javascript"> translate_text('ident_id', '<xsl:value-of select="$lang-Identification"/>');</script>
    </div>
    <!-- Identification pane -->
    <xsl:call-template name="Identification-pane">
      <xsl:with-param name="ups_typ" select="value[@name='DEVICEID']/@val" />
      <xsl:with-param name="firmware" select="value[@name='FIRMWARE']/@val" />
      <xsl:with-param name="location" select="value[@name='LOCATION']/@val" />
      <xsl:with-param name="has_location" select="'0'" />
      <xsl:with-param name="y" select="32" />
    </xsl:call-template>

    <!-- Input 1 text -->
    <div id="input_1_id" class="XMedium_black" style="position:absolute; left:14px; top:128px;text-align:left;text-decoration: underline;">
      <script type="text/javascript"> translate_text('input_1_id', '<xsl:value-of select="$lang-Mains-input-1"/>');</script>
    </div>
    <!-- Input 1 pane -->
    <xsl:call-template name="input-1-pane">
      <xsl:with-param name="input_volt" select="value[@name='INVOLT']" />
      <xsl:with-param name="frequency" select="value[@name='INFREQ']/@val" />
      <xsl:with-param name="error" select="value[@name='CBSER2ILB']/@val" />
    </xsl:call-template>

    <!-- Battery text -->
    <div id="batt_id" class="XMedium_black" style="position:absolute; left:14px; top:252px;text-align:left;text-decoration: underline;">
      <xsl:value-of select="$lang-Battery"/>
      <script type="text/javascript"> translate_text('batt_id', '<xsl:value-of select="$lang-Battery"/>');</script>
    </div>

    <!-- Battery pane -->
    <xsl:call-template name="battery-pane">
      <xsl:with-param name="batt_status" select="value[@name='FKTSTATUS']/@val" />
      <xsl:with-param name="autonomy_time" select="value[@name='AUTONOMTIME']/@val" />
      <xsl:with-param name="batt_cap" select="value[@name='UPS_BATTCAP']/@val" />
      <xsl:with-param name="batt_volt" select="value[@name='BATTVOLT']/@val" />
      <xsl:with-param name="batt_curr" select="value[@name='SOLABATTC']/@val" />
      <xsl:with-param name="batt_temp" select="value[@name='TEMPDEG']/@val" />
    </xsl:call-template>
    <!-- Input 2 text -->
    <div id="main_inp2" class="XMedium_black" style="position:absolute; left:14px; top:386px;text-align:left;text-decoration: underline;">
      <script id="batt_curr" type="text/javascript"> translate_text('main_inp2', ['<xsl:value-of select="$lang-Mains-input-2"/>', ':']);</script>
    </div>

    <!-- Input 2 pane -->
    <xsl:call-template name="input-2-pane">
      <xsl:with-param name="out_phases" select="value[@name='OUTPHASES']/@val" />
      <xsl:with-param name="input_volt" select="value[@name='BP_VOLT']" />
      <xsl:with-param name="frequency" select="value[@name='BP_FREQ']/@val" />
    </xsl:call-template>

    <!-- Output pane -->
    <xsl:variable name="output_volt_base_bit">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- Output Voltage Variables -->
    <xsl:variable name="output_volt">
      <xsl:choose>
        <xsl:when test="$output_volt_base_bit = 1">
          <xsl:value-of select="value[@name='BP_VOLT']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_VOLT']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="output_volt2">
      <xsl:choose>
        <xsl:when test="$output_volt_base_bit = 1">
          <xsl:value-of select="value[@name='BP_VOLT']/@val2"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_VOLT']/@val2"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="output_volt3">
      <xsl:choose>
        <xsl:when test="$output_volt_base_bit = 1">
          <xsl:value-of select="value[@name='BP_VOLT']/@val3"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_VOLT']/@val3"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="output_curr_base_bit">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- Output Current Variables -->
    <xsl:variable name="output_curr">
      <xsl:choose>
        <xsl:when test="$output_curr_base_bit = 1">
          <xsl:value-of select="value[@name='BP_CURRENT']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_CUR']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="output_curr2">
      <xsl:choose>
        <xsl:when test="$output_curr_base_bit = 1">
          <xsl:value-of select="value[@name='BP_CURRENT']/@val2"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_CUR']/@val2"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="output_curr3">
      <xsl:choose>
        <xsl:when test="$output_curr_base_bit = 1">
          <xsl:value-of select="value[@name='BP_CURRENT']/@val3"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_CUR']/@val3"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="outpower_base_bit">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- Outpower Variables -->
    <xsl:variable name="outpower">
      <xsl:choose>
        <xsl:when test="$outpower_base_bit = 1">
          <xsl:value-of select="value[@name='BP_LOAD']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPOWER']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="outpower2">
      <xsl:choose>
        <xsl:when test="$outpower_base_bit = 1">
          <xsl:value-of select="value[@name='BP_LOAD']/@val2"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPOWER']/@val2"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="outpower3">
      <xsl:choose>
        <xsl:when test="$outpower_base_bit = 1">
          <xsl:value-of select="value[@name='BP_LOAD']/@val3"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPOWER']/@val3"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="outputpower_base_bit">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- output Power Variables -->
    <xsl:variable name="outputpower">
      <xsl:choose>
        <xsl:when test="$outputpower_base_bit = 1">
          <xsl:value-of select="value[@name='BP_POWER']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_POW']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="outputpower2">
      <xsl:choose>
        <xsl:when test="$outputpower_base_bit = 1">
          <xsl:value-of select="value[@name='BP_POWER']/@val2"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_POW']/@val2"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="outputpower3">
      <xsl:choose>
        <xsl:when test="$outputpower_base_bit = 1">
          <xsl:value-of select="value[@name='BP_POWER']/@val3"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTPUT_POW']/@val3"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="outfreq_base_bit">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outfreq_base_bit2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- Out Freq Variable -->
    <xsl:variable name="outfreq">
      <xsl:choose>
        <xsl:when test="$outfreq_base_bit2 = 1">
          <xsl:value-of select="'0.0'"/>
        </xsl:when>
        <xsl:when test="$outfreq_base_bit = 1">
          <xsl:value-of select="value[@name='BP_FREQ']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='OUTFREQ']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:call-template name="output-pane">
      <xsl:with-param name="out_phases" select="value[@name='OUTPHASES']/@val" />
      <xsl:with-param name="output_volt" select="$output_volt" />
      <xsl:with-param name="output_volt2" select="$output_volt2" />
      <xsl:with-param name="output_volt3" select="$output_volt3" />
      <xsl:with-param name="output_curr" select="$output_curr" />
      <xsl:with-param name="output_curr2" select="$output_curr2" />
      <xsl:with-param name="output_curr3" select="$output_curr3" />
      <xsl:with-param name="outpower" select="$outpower" />
      <xsl:with-param name="outpower2" select="$outpower2" />
      <xsl:with-param name="outpower3" select="$outpower3" />
      <xsl:with-param name="outputpower" select="$outputpower" />
      <xsl:with-param name="outputpower2" select="$outputpower2" />
      <xsl:with-param name="outputpower3" select="$outputpower3" />
      <xsl:with-param name="outfreq" select="$outfreq" />
    </xsl:call-template>
    <!-- Autonomy time -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='AUTONOMTIME']/@val"/>
      <xsl:with-param name="headline" select="$lang-Autonomy-Time"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'Min'"/>
      <xsl:with-param name="x" select="684"/>
      <xsl:with-param name="y" select="180"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'46'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="40"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="60"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="20"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'autonomy_time_id'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <xsl:with-param name="thresh-red-hi" select="''"/>
      <xsl:with-param name="thresh-yellow-hi" select="''"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'time_scaler_id'"/>
    </xsl:call-template>
    <!-- Out Power -->
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val"/>
      <!---->
      <xsl:with-param name="headline" select="$lang-Load"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="528"/>
      <xsl:with-param name="y" select="180"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="150"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="step" select="50"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'out_power1_id'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <xsl:with-param name="thresh-red-hi" select="110"/>
      <xsl:with-param name="thresh-yellow-hi" select="90"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'outpower1_scaler_id'"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val2"/>
      <!---->
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="566"/>
      <xsl:with-param name="y" select="180"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="150"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="step" select="50"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'out_power2_id'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <xsl:with-param name="thresh-red-hi" select="110"/>
      <xsl:with-param name="thresh-yellow-hi" select="90"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'outpower2_scaler_id'"/>
    </xsl:call-template>
    <xsl:call-template name="valuebar">
      <xsl:with-param name="value" select="value[@name='OUTPOWER']/@val3"/>
      <!---->
      <xsl:with-param name="headline" select="' '"/>
      <xsl:with-param name="font-size" select="11"/>
      <xsl:with-param name="unit" select="'%'"/>
      <xsl:with-param name="x" select="604"/>
      <xsl:with-param name="y" select="180"/>
      <xsl:with-param name="h" select="80"/>
      <xsl:with-param name="barx" select="'48'"/>
      <xsl:with-param name="bary" select="40"/>
      <xsl:with-param name="barw" select="28"/>
      <xsl:with-param name="suby" select="240"/>
      <xsl:with-param name="startval" select="0"/>
      <xsl:with-param name="endval" select="150"/>
      <xsl:with-param name="decimal-places" select="0"/>
      <xsl:with-param name="makescale" select="0"/>
      <xsl:with-param name="step" select="50"/>
      <xsl:with-param name="skip" select="5"/>
      <xsl:with-param name="id" select="'out_power3_id'"/>
      <xsl:with-param name="shadowoffset" select="4"/>
      <xsl:with-param name="thresh-red-hi" select="110"/>
      <xsl:with-param name="thresh-yellow-hi" select="90"/>
      <xsl:with-param name="bright" select="0"/>
      <xsl:with-param name="start-visibility" select="'visible'"/>
      <xsl:with-param name="scaler_id" select="'outpower3_scaler_id'"/>
    </xsl:call-template>

    <!-- Log events pane -->
    <xsl:call-template name="events-pane">
      <xsl:with-param name="x" select="194" />
      <xsl:with-param name="y" select="26" />
      <xsl:with-param name="w" select="608" />
      <xsl:with-param name="h" select="90" />
    </xsl:call-template>

    <!--Line 1 variable -->
    <xsl:variable name="line1_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line1_color">
      <xsl:choose>
        <xsl:when test="$line1_cond1=1">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 2 variable -->
    <xsl:variable name="line2_cond1_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line2_cond1_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line2_color">
      <xsl:choose>
        <xsl:when test="$line2_cond1_1=1 and $line2_cond1_2=1">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:when test="$line1_cond1=1">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 3 variable -->
    <xsl:variable name="line3_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line3_color">
      <xsl:choose>
        <xsl:when test="$line3_cond1=1 ">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 4 variable -->
    <xsl:variable name="line4_cond1_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line4_cond1_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line4_color">
      <xsl:choose>
        <xsl:when test="$line4_cond1_1=1 and $line4_cond1_2=1">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 5 variable -->
    <xsl:variable name="line5_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line5_color">
      <xsl:choose>
        <xsl:when test="$line5_cond1=1 ">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 6 variable -->
    <xsl:variable name="line6_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line6_color">
      <xsl:choose>
        <xsl:when test="$line6_cond1=1 ">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 7 variable -->
    <xsl:variable name="line7_cond1_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line7_cond1_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line7_color">
      <xsl:choose>
        <xsl:when test="$line7_cond1_1=1 or $line7_cond1_2=0">
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 8 variable -->
    <xsl:variable name="line8_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line8_color">
      <xsl:choose>
        <xsl:when test="$line8_cond1=1 ">
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 9 variable -->
    <xsl:variable name="line9_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line9_color">
      <xsl:choose>
        <xsl:when test="$line9_cond1=1 ">
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Line 10 variable -->
    <xsl:variable name="line10_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="value[@name='FKTSTATUS']/@val"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="line10_color">
      <xsl:choose>
        <xsl:when test="$line10_cond1=1">
          <xsl:value-of select="'#BEBEBE'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#5A5A5A'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- CBSER panel -->
    <xsl:call-template name="cbser-pane">
      <xsl:with-param name="fkt_status" select="value[@name='FKTSTATUS']/@val" />
      <xsl:with-param name="comlost" select="value[@name='EU_COMMLOST']/@val" />
      <xsl:with-param name="line1_color" select="$line1_color" />
      <xsl:with-param name="line2_color" select="$line2_color" />
      <xsl:with-param name="line3_color" select="$line3_color" />
      <xsl:with-param name="line4_color" select="$line4_color" />
      <xsl:with-param name="line5_color" select="$line5_color" />
      <xsl:with-param name="line6_color" select="$line6_color" />
      <xsl:with-param name="line7_color" select="$line7_color" />
      <xsl:with-param name="line8_color" select="$line8_color" />
      <xsl:with-param name="line9_color" select="$line9_color" />
      <xsl:with-param name="line10_color" select="$line10_color" />

    </xsl:call-template>


  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>