/*
   prtblue_panel.js - Protect blue screen .
   Copyright (c) 2015, Generex GmbH. All rights reserved.
   Last update:20.07.16
   Said.
*/

var prtblue_api = (function ($) {
  var oid = get_oid_from_url(),
  pannes_created = false,
  check_bowser = true,
  css_obj, attr_obj,
  ups_obj, valtable_obj, report_obj, unms_obj,
  ups_id = 0,
  plattform = get_plattform(),
  cb = null,
  a, b, c,
  inverter_div, rectifier_div, bypass_div, battery_div,
  inv_img, rec_img, byp_img, batt_img,
  settings_div, settings_date_time_div, settings_history_div, settings_history_text,
  req_params = null,
  number;

  /*public functions*/
  return {
    init: init
  };

  function init() {
    if (check_bowser && !utils_api.check_bowser()) {
      $('#loading_id').css('display', 'none');
      panes_api.create_br_check_panel(this, browser_check_ok);
      return true;
    }
    create_err_msg_panel();

    req_params = utils_api.get_req_params(utils_api.device_ups, oid);
    cb = jqmodule.subscribe(this, { update: update, error: err_funct }, req_params);
  }

  function browser_check_ok() {
    check_bowser = false;
    init();
  }

  function create_err_msg_panel() {
    css_obj = { position: 'absolute', top: 10, left: 10, width: 724, display: 'none', 'z-index': 10 };
    err_div = panes_api.create_err_panel({ id: 'error_div', 'class': 'alert alert-danger' }, css_obj);
  }

  function err_funct(response) {
    jqmodule.refresh(cb, 10 * 1000);
    panes_api.display_err({ response: response, oid: oid, err_div: err_div, err_msg_div_id: 'error_msg_div' });
  }

  function get_module_values(id) {
    ups_id = id;

    if (plattform == utils_api.plattform_cs141) {
      return get_cs141_module_values(id);
    }

    jqmodule.unsubscribe(cb);
    req_params.refresh_tm = 0;

    req_params.url = oid ? get_url("script/nmsView.dll?" + oid + "&json=ups" + "&ups_id=" + ups_id) : get_url("data.cgi"),
    req_params.data = oid ? {} : { json: "ups", ups_id: ups_id };
    cb = jqmodule.subscribe(this, { update: update, error: oid ? err_funct : null }, req_params);
  }

  function get_cs141_module_values(id) {
    if (ups_id == 0) {
      valtable_obj = ups_obj.valtable;
    } else {
      valtable_obj = ups_obj.modules[ups_id - 1] || ups_obj.valtable;
      valtable_obj.MODEL = ups_obj.valtable.MODEL;
    }
    return set_values();
  }

  function cs141_cmd_update() {
    if (err_div)
    err_div.css('display', 'none');
    cb = jqmodule.subscribe(this, { update: update, error: err_funct }, req_params);
  }

  function set_variable(data) {
    ups_obj = data.ups;
    report_obj = data.report;

    if (plattform === utils_api.plattform_cs141) {
      if (ups_id == 0) {
        valtable_obj = ups_obj.valtable;
      } else {
        valtable_obj = ups_obj.modules[ups_id - 1] || data.ups.valtable;
        valtable_obj.MODEL = ups_obj.valtable.MODEL;
      }
    } else {
      valtable_obj = ups_obj.valtable;
      //ups_id = valtable_obj._selected_ups_id;
    }

    valtable_obj._tempUnit = valtable_obj._tempUnit || 0; //0 = Celsius
    number = get_number();
  }

  function update(data) {
    if (data.ups == null) {
      return;
    }
    set_variable(data);
    set_a_b_c();

    jqmodule.refresh(cb, report_obj.refresh * 1000);
    if (err_div)
    err_div.css('display', 'none');

    if (window.menu_api != null)
    menu_api.update(data);

    unms_obj = get_unms_obj(data);
    if (unms_obj != null) {
      info_head_api.update(unms_obj);
    }

    utils_api.setTitle(plattform);

    if (!pannes_created) {
      pannes_created = true;
      create_panes(data);
      return false;
    }
    set_values();
  }

  function set_values() {
    set_deviceid();
    set_redundanz_value();
    set_date();
    set_outpower();
    set_modules();
    set_inv_img();
    set_rec_img();
    set_batt_img();
    set_byp_img();
    toggle_imgs();
    set_inverter_flowcharts();
    set_rectifier_flowcharts();
    set_bypass_flowcharts();
    set_battery_flowcharts();
    set_up_down_img();
    set_footer();
    set_inverter();
    set_rectifier();
    set_bypass();
    set_battery();
    set_settings_date_time_panel();
  }

  function create_panes() {
    panes_api.create_img_panel('background_id', './image/aeg/prtblue/bg_prtblue.png', 0, 0, 800, 480, '0'); //background
    create_deviceid_panel();
    create_redundanz_panel();
    create_date_panel();
    create_outpower_panel();
    create_rectifier_flowcharts();
    create_battery_flowcharts();
    create_inverter_flowcharts();
    create_bypass_flowcharts();
    create_byp_img();
    create_inv_img();
    create_rec_img();
    create_batt_img();
    create_up_down_panel();
    create_settings_panel();
    create_modules_panel();
    create_footer_pane();
    create_inverter_panel();
    create_rectifier_panel();
    create_bypass_panel();
    create_battery_panel();
    create_settings_date_time_panel();
    create_settings_history_panel();
  }

  function get_number() {
    if (valtable_obj.LINENUMBER > 1)
    return valtable_obj.LINENUMBER;
    return valtable_obj.PBNUMBER;
  }

  function create_deviceid_panel() {
    var device_id_div;
    css_obj = { position: 'absolute', top: 86, left: 14, width: 400, height: 30, 'text-align': 'left', overflow: 'hidden' }; //,'border':'1px solid #d4e3e5'
    attr_obj = { id: 'deviceid_div_id', 'class': 'XLargeBold_black' };
    device_id_div = panes_api.create_div(attr_obj, css_obj);

    device_id_div.html(get_deviceid());
  }

  function set_deviceid() {
    $('#deviceid_div_id').html(get_deviceid());
  }

  function get_deviceid() {
    var device_id, device_kva;
    if (number == 1 || ups_id == 0) {
      if (valtable_obj.LINENUMBER > 1) {
        device_kva = (valtable_obj.EX_NOM_VA * valtable_obj.PARNUMBER);
        device_kva += ' KVA ';
        device_id = 'UPS-System: ' + valtable_obj.DEVICEID + ' ' + device_kva + ' - ' + valtable_obj.LINENUMBER;
        if (valtable_obj.LINENUMBER == 1)
        device_id += ' Line';
        else
        device_id += ' Lines';
      } else {
        device_kva = (valtable_obj.EX_NOM_VA * valtable_obj.PBNUMBER);
        device_kva += ' KVA';
        device_id = 'UPS-System: ' + valtable_obj.DEVICEID + ' ' + device_kva;
      }
    } else {
      if (valtable_obj.LINENUMBER > 1) {
        device_id = "Line " + ups_id;
      } else {
        device_kva = valtable_obj.EX_NOM_VA;
        device_kva += ' KVA ';
        device_id = 'Powerblock ' + ups_id + ': ' + device_kva;
      }
    }
    return device_id;
  }

  function create_date_panel() {
    var date_div;
    css_obj = { position: 'absolute', top: 46, left: 610, width: 160, height: 60, overflow: 'hidden', 'text-align': 'center' }; //,'border':'1px solid #d4e3e5'
    attr_obj = { id: 'date_div_id', 'class': 'XBold_white' };
    date_div = panes_api.create_div(attr_obj, css_obj);
    date_div.append(valtable_obj.CBSER_DATE_SND + ' ' + valtable_obj.CBSER_TIME);
  }

  function set_date() {
    $('#date_div_id').html(valtable_obj.CBSER_DATE_SND + ' ' + valtable_obj.CBSER_TIME);
  }

  function create_redundanz_panel() {
    var div,
    val = (valtable_obj.GRSTATUS_HI >> 24) & 255;

    css_obj = { position: 'absolute', top: 94, left: 606, width: 220, height: 60, 'text-align': 'center', overflow: 'hidden' }; //,'border':'1px solid #d4e3e5'
    attr_obj = { id: 'redundanz_div_id', 'class': 'XBold_black' };
    div = panes_api.create_div(attr_obj, css_obj);
    div.html(get_redundanz_value());
  }

  function set_redundanz_value() {
    $('#redundanz_div_id').html(get_redundanz_value());
  }

  function get_redundanz_value() {
    if (number == 1) {
      if (((valtable_obj.WRSTATUS_LO >> 8) & 255) == 15)
      return 'EcoMode';
      return '';
    } else {
      if (((valtable_obj.WRSTATUS_LO >> 8) & 255) == 15)
      return 'EcoMode';
      if (((valtable_obj.WRSTATUS_LO >> 8) & 255) == 21)
      return 'IdleMode';
      return 'Redundanz: ' + ((valtable_obj.WRSTATUS_HI >> 24) & 255);
    }
  }

  function create_outpower_panel() {
    var fragment = document.createDocumentFragment(),
    outpower_l_div, outpower_vals_div, last_title_div, tr, td, table, tbody, img, div;

    css_obj = { position: 'absolute', top: 158, left: 440, width: 122, height: 16, overflow: 'hidden', 'text-align': 'center' }; //,'border':'1px solid #d4e3e5' , 'background-color':'white'
    attr_obj = { id: 'outpower_div_id', 'class': 'XBold_black' };
    last_title_div = $('<div/>').attr(attr_obj).css(css_obj).text(i18n('Load'));
    fragment.appendChild(last_title_div[0]);

    css_obj = { position: 'absolute', top: 172, left: 446, width: 130, height: 20, overflow: 'hidden', 'text-align': 'center' }; //,'border':'1px solid #d4e3e5' , 'background-color':'white'
    attr_obj = { id: 'outpower_div_id', 'class': 'XBold_black' };
    outpower_l_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(outpower_l_div[0]);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 4, cellspacing: 1, width: '100%', 'align': 'center' }).appendTo(outpower_l_div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('L1').appendTo(tr);
    td = $('<td />', { align: 'left' }).append('L2').appendTo(tr);
    td = $('<td />', { align: 'left' }).append('L3').appendTo(tr);

    css_obj = { position: 'absolute', top: 361, left: 441, width: 32, height: 18, overflow: 'hidden', 'text-align': 'center' };
    attr_obj.id = 'outpower_l_1_perc_id';

    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    div.append(Math.round(valtable_obj.OUTPOWER[0]));

    css_obj.left = 486;
    attr_obj.id = 'outpower_l_2_perc_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    div.append(Math.round(valtable_obj.OUTPOWER[1]));

    css_obj.left = 529;
    attr_obj.id = 'outpower_l_3_perc_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    div.append(Math.round(valtable_obj.OUTPOWER[2]));

    css_obj.left = 566;
    attr_obj.id = 'outpower_l_perc_div_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    div.append('%');

    css_obj = {
      position: 'absolute',
      top: get_load_top(valtable_obj.OUTPOWER[0]),
      left: 440,
      width: 32,
      height: get_load_height(valtable_obj.OUTPOWER[0]),
      overflow: 'hidden'
    };
    attr_obj.id = 'outpower_l_1_div_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    img = $('<img />', { id: 'outpower_l_1_img_id', src: './image/aeg/prtblue/load.png', width: 32, height: '100%' }).appendTo(div);

    css_obj = {
      position: 'absolute',
      top: get_load_top(valtable_obj.OUTPOWER[1]),
      left: 485,
      width: 32,
      height: get_load_height(valtable_obj.OUTPOWER[1]),
      overflow: 'hidden'
    };
    attr_obj.id = 'outpower_l_2_div_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    img = $('<img />', { id: 'outpower_l_2_img_id', src: './image/aeg/prtblue/load.png', width: 32, height: '100%' }).appendTo(div);

    css_obj = {
      position: 'absolute',
      top: get_load_top(valtable_obj.OUTPOWER[2]),
      left: 527,
      width: 32,
      height: get_load_height(valtable_obj.OUTPOWER[2]),
      overflow: 'hidden'
    };
    attr_obj.id = 'outpower_l_3_div_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    img = $('<img />', { id: 'outpower_l_3_img_id', src: './image/aeg/prtblue/load.png', width: 32, height: '100%' }).appendTo(div);

    css_obj = { position: 'absolute', top: 220, left: 439, width: 34, height: 9, overflow: 'hidden' };
    attr_obj.id = 'outpower_l_1_batt_red_img_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    img = $('<img />', { src: './image/aeg/prtblue/batt_red.png', width: 34, height: 9 }).appendTo(div);
    css_obj = { position: 'absolute', top: 220, left: 484, width: 34, height: 9, overflow: 'hidden' };
    attr_obj.id = 'outpower_l_2_batt_red_img_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    img = $('<img />', { src: './image/aeg/prtblue/batt_red.png', width: 34, height: 9 }).appendTo(div);
    css_obj = { position: 'absolute', top: 220, left: 526, width: 34, height: 9, overflow: 'hidden' };
    attr_obj.id = 'outpower_l_3_batt_red_img_id';
    div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(div[0]);
    img = $('<img />', { src: './image/aeg/prtblue/batt_red.png', width: 34, height: 9 }).appendTo(div);
    document.body.appendChild(fragment);
  }

  function get_load_top(outpower) {
    var top = Math.round((outpower * 164) / 125);
    return 358 - top;
  }

  function get_load_height(outpower) {
    var height = Math.round((outpower * 164) / 125);
    return height;
  }

  function set_outpower() {
    $('#outpower_l_1_perc_id').text(Math.round(valtable_obj.OUTPOWER[0]));
    $('#outpower_l_2_perc_id').text(Math.round(valtable_obj.OUTPOWER[1]));
    $('#outpower_l_3_perc_id').text(Math.round(valtable_obj.OUTPOWER[2]));

    $('#outpower_l_1_div_id').css({ top: get_load_top(valtable_obj.OUTPOWER[0]), height: get_load_height(valtable_obj.OUTPOWER[0]) });
    $('#outpower_l_2_div_id').css({ top: get_load_top(valtable_obj.OUTPOWER[1]), height: get_load_height(valtable_obj.OUTPOWER[1]) });
    $('#outpower_l_3_div_id').css({ top: get_load_top(valtable_obj.OUTPOWER[2]), height: get_load_height(valtable_obj.OUTPOWER[2]) });
  }

  function create_inverter_panel() {
    var fragment = document.createDocumentFragment(),
    inv_com_status_div, inv_sbs_status_div, inv_values_div,
    status_obj, table, tbody, td, tr;
    css_obj = {
      position: 'absolute',
      top: 68,
      left: 312,
      width: 286,
      height: 353,
      'text-align': 'center',
      'z-index': 10,
      cursor: 'pointer',
      overflow: 'hidden',
      'background-image': 'url(./image/aeg/prtblue/inverter.png)',
      display: 'none'
    };

    attr_obj = { id: 'inverter_div_id', 'class': 'XBold_black' };

    inverter_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(inverter_div[0]);

    inverter_div.click(function (event) {
      toggle_divs(inverter_div);
      toggle_imgs();
    });

    status_obj = get_inv_com_status();
    css_obj = { position: 'absolute', top: 12, left: 12, width: 227, height: 20, overflow: 'hidden' };
    attr_obj = { id: 'inv_com_status_div_id' };
    inv_com_status_div = panes_api.create_div(attr_obj, css_obj, inverter_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(inv_com_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'inv_com_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    status_obj = get_inv_bst_status();
    css_obj = { position: 'absolute', top: 315, left: 12, width: 227, height: 21, overflow: 'hidden' };
    attr_obj = { id: 'inv_sbs_status_div_id' };
    inv_sbs_status_div = panes_api.create_div(attr_obj, css_obj, inverter_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(inv_sbs_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'inv_sbs_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    css_obj = { position: 'absolute', top: 48, left: 6, width: 234, height: 262, overflow: 'hidden' };
    attr_obj = { id: 'inv_values_div_id', 'class': 'XBold_black' };
    inv_values_div = panes_api.create_div(attr_obj, css_obj, inverter_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 2, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(inv_values_div);
    tbody = $('<tbody />').appendTo(table);

    if (((valtable_obj.WRSTATUS_LO >> 8) & 255) < 20) {
      valtable_obj.OUTPUT_DELTAVOLT = [0, 0, 0];
      valtable_obj.OUTPUT_VOLT = [0, 0, 0];
      valtable_obj.EX_OUT_CURR = [0, 0, 0];
      valtable_obj.EX_OUT_VA = [0, 0, 0];
      valtable_obj.EX_OUT_WATT = [0, 0, 0];
      valtable_obj.OUTPUT_POW = [0, 0, 0];
      valtable_obj.OUTPUT_POWFAC = [0, 0, 0];
      valtable_obj.OUTPUT_COSPHI = [0, 0, 0];
      valtable_obj.OUTPUT_CRESTFAC = [0, 0, 0];
      valtable_obj.OUTPOWER = [0, 0, 0];
      valtable_obj.OUTFREQ = [0, 0, 0];
    }

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('&#x394; ' + i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'inv_delta_outvolt_1' }).append(valtable_obj.OUTPUT_DELTAVOLT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_delta_outvolt_2' }).append(valtable_obj.OUTPUT_DELTAVOLT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_delta_outvolt_3' }).append(valtable_obj.OUTPUT_DELTAVOLT[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'inv_outvolt_1' }).append(valtable_obj.OUTPUT_VOLT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_outvolt_2' }).append(valtable_obj.OUTPUT_VOLT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_outvolt_3' }).append(valtable_obj.OUTPUT_VOLT[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Current')).appendTo(tr);
    td = $('<td />', { id: 'inv_outcur_1' }).append(valtable_obj.EX_OUT_CURR[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_outcur_2' }).append(valtable_obj.EX_OUT_CURR[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_outcur_3' }).append(valtable_obj.EX_OUT_CURR[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('App. Power')).appendTo(tr);
    td = $('<td />', { id: 'inv_app_power_1' }).append(valtable_obj.EX_OUT_VA[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_app_power_2' }).append(valtable_obj.EX_OUT_VA[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_app_power_3' }).append(valtable_obj.EX_OUT_VA[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_app_power_sum' }).append((valtable_obj.EX_OUT_VA[0] + valtable_obj.EX_OUT_VA[1] + valtable_obj.EX_OUT_VA[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Real Power')).appendTo(tr);
    td = $('<td />', { id: 'inv_real_power_1' }).append(valtable_obj.EX_OUT_WATT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_real_power_2' }).append(valtable_obj.EX_OUT_WATT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_real_power_3' }).append(valtable_obj.EX_OUT_WATT[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_real_power_sum' }).append((valtable_obj.EX_OUT_WATT[0] + valtable_obj.EX_OUT_WATT[1] + valtable_obj.EX_OUT_WATT[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('React. Power')).appendTo(tr);
    td = $('<td />', { id: 'inv_react_power_1' }).append(valtable_obj.OUTPUT_POW[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_react_power_2' }).append(valtable_obj.OUTPUT_POW[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_react_power_3' }).append(valtable_obj.OUTPUT_POW[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_react_power_sum' }).append((valtable_obj.OUTPUT_POW[0] + valtable_obj.OUTPUT_POW[1] + valtable_obj.OUTPUT_POW[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Powerfaktor')).appendTo(tr);
    td = $('<td />', { id: 'inv_power_factor_1' }).append(valtable_obj.OUTPUT_POWFAC[0].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'inv_power_factor_2' }).append(valtable_obj.OUTPUT_POWFAC[1].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'inv_power_factor_3' }).append(valtable_obj.OUTPUT_POWFAC[2].toFixed(2)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('Cos &#x3c6;').appendTo(tr);
    td = $('<td />', { id: 'inv_out_cosph_1' }).append(valtable_obj.OUTPUT_COSPHI[0].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'inv_out_cosph_2' }).append(valtable_obj.OUTPUT_COSPHI[1].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'inv_out_cosph_3' }).append(valtable_obj.OUTPUT_COSPHI[2].toFixed(2)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Crestfaktor')).appendTo(tr);
    td = $('<td />', { id: 'inv_out_crest_1' }).append(valtable_obj.OUTPUT_CRESTFAC[0].toFixed(1)).appendTo(tr);
    td = $('<td />', { id: 'inv_out_crest_2' }).append(valtable_obj.OUTPUT_CRESTFAC[1].toFixed(1)).appendTo(tr);
    td = $('<td />', { id: 'inv_out_crest_3' }).append(valtable_obj.OUTPUT_CRESTFAC[2].toFixed(1)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Utilization')).appendTo(tr);
    td = $('<td />', { id: 'inv_outpower_1' }).append(valtable_obj.OUTPOWER[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_outpower_2' }).append(valtable_obj.OUTPOWER[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'inv_outpower_3' }).append(valtable_obj.OUTPOWER[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Frequency')).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />', { id: 'inv_outfreq_1' }).append(valtable_obj.OUTFREQ[0].toFixed(1)).appendTo(tr);
    document.body.appendChild(fragment);
  }

  function set_inverter() {
    var status_obj;
    status_obj = get_inv_com_status();
    $('#inv_com_status_id').html(status_obj.text).css('background-color', status_obj.color);
    status_obj = get_inv_bst_status();
    $('#inv_sbs_status_id').html(status_obj.text).css('background-color', status_obj.color);

    if (((valtable_obj.WRSTATUS_LO >> 8) & 255) < 20) {
      valtable_obj.OUTPUT_DELTAVOLT = [0, 0, 0];
      valtable_obj.OUTPUT_VOLT = [0, 0, 0];
      valtable_obj.EX_OUT_CURR = [0, 0, 0];
      valtable_obj.EX_OUT_VA = [0, 0, 0];
      valtable_obj.EX_OUT_WATT = [0, 0, 0];
      valtable_obj.OUTPUT_POW = [0, 0, 0];
      valtable_obj.OUTPUT_COSPHI = [0, 0, 0];
      valtable_obj.OUTPUT_CRESTFAC = [0, 0, 0];
      valtable_obj.OUTPOWER = [0, 0, 0];
      valtable_obj.OUTPUT_POWFAC = [0, 0, 0];
      valtable_obj.OUTFREQ = [0, 0, 0];
    }

    $('#inv_delta_outvolt_1').text(valtable_obj.OUTPUT_DELTAVOLT[0].toFixed(0));
    $('#inv_delta_outvolt_2').text(valtable_obj.OUTPUT_DELTAVOLT[1].toFixed(0));
    $('#inv_delta_outvolt_3').text(valtable_obj.OUTPUT_DELTAVOLT[2].toFixed(0));

    $('#inv_outvolt_1').text(valtable_obj.OUTPUT_VOLT[0].toFixed(0));
    $('#inv_outvolt_2').text(valtable_obj.OUTPUT_VOLT[1].toFixed(0));
    $('#inv_outvolt_3').text(valtable_obj.OUTPUT_VOLT[2].toFixed(0));

    $('#inv_outcur_1').text(valtable_obj.EX_OUT_CURR[0].toFixed(0));
    $('#inv_outcur_2').text(valtable_obj.EX_OUT_CURR[1].toFixed(0));
    $('#inv_outcur_3').text(valtable_obj.EX_OUT_CURR[2].toFixed(0));

    $('#inv_app_power_1').text(valtable_obj.EX_OUT_VA[0].toFixed(0));
    $('#inv_app_power_2').text(valtable_obj.EX_OUT_VA[1].toFixed(0));
    $('#inv_app_power_3').text(valtable_obj.EX_OUT_VA[2].toFixed(0));
    $('#inv_app_power_sum').text((valtable_obj.EX_OUT_VA[0] + valtable_obj.EX_OUT_VA[1] + valtable_obj.EX_OUT_VA[2]).toFixed(0));

    $('#inv_real_power_1').text(valtable_obj.EX_OUT_WATT[0].toFixed(0));
    $('#inv_real_power_2').text(valtable_obj.EX_OUT_WATT[1].toFixed(0));
    $('#inv_real_power_3').text(valtable_obj.EX_OUT_WATT[2].toFixed(0));
    $('#inv_real_power_sum').text((valtable_obj.EX_OUT_WATT[0] + valtable_obj.EX_OUT_WATT[1] + valtable_obj.EX_OUT_WATT[2]).toFixed(0));

    $('#inv_react_power_1').text(valtable_obj.OUTPUT_POW[0].toFixed(0));
    $('#inv_react_power_2').text(valtable_obj.OUTPUT_POW[1].toFixed(0));
    $('#inv_react_power_3').text(valtable_obj.OUTPUT_POW[2].toFixed(0));
    $('#inv_react_power_sum').text((valtable_obj.OUTPUT_POW[0] + valtable_obj.OUTPUT_POW[1] + valtable_obj.OUTPUT_POW[2]).toFixed(0));

    $('#inv_power_factor_1').text(valtable_obj.OUTPUT_POWFAC[0].toFixed(2));
    $('#inv_power_factor_2').text(valtable_obj.OUTPUT_POWFAC[1].toFixed(2));
    $('#inv_power_factor_3').text(valtable_obj.OUTPUT_POWFAC[2].toFixed(2));

    $('#inv_out_cosph_1').text(valtable_obj.OUTPUT_COSPHI[0].toFixed(2));
    $('#inv_out_cosph_2').text(valtable_obj.OUTPUT_COSPHI[1].toFixed(2));
    $('#inv_out_cosph_3').text(valtable_obj.OUTPUT_COSPHI[2].toFixed(2));

    $('#inv_out_crest_1').text(valtable_obj.OUTPUT_CRESTFAC[0].toFixed(1));
    $('#inv_out_crest_2').text(valtable_obj.OUTPUT_CRESTFAC[1].toFixed(1));
    $('#inv_out_crest_3').text(valtable_obj.OUTPUT_CRESTFAC[2].toFixed(1));

    $('#inv_outpower_1').text(valtable_obj.OUTPOWER[0].toFixed(0));
    $('#inv_outpower_2').text(valtable_obj.OUTPOWER[1].toFixed(0));
    $('#inv_outpower_3').text(valtable_obj.OUTPOWER[2].toFixed(0));

    $('#inv_outfreq_1').text(valtable_obj.OUTFREQ[0].toFixed(1));

  }

  function get_inv_com_status() {
    var color = get_general_failure_color(64, 8),
    inv_module_txt = ups_id == 0 ? "&#x2211; " + i18n("Inverter") + ": " : "PB" + ups_id + " " + i18n("Inverter") + ": ",
    inv_status_val = (valtable_obj.WRSTATUS_LO >> 8) & 255;

    //(stati (1) red)
    if (inv_status_val >= 128)
    return { color: color || '#E61D1F', text: inv_module_txt + i18n('Error') }; //red

    if (valtable_obj.WR_COMMLOST == 1)
    return { color: color || '#F8B53F', text: inv_module_txt + '???' }; //yellow

    //(stati (1) yellow)
    if (inv_status_val == 1)
    return { color: color || '#F8B53F', text: inv_module_txt + i18n('Off') };
    if (inv_status_val == 2)
    return { color: color || '#F8B53F', text: inv_module_txt + i18n('Off by remote contact') };
    if (inv_status_val == 3)
    return { color: color || '#F8B53F', text: inv_module_txt + i18n('Off by monitoring') };
    if (inv_status_val == 4)
    return { color: color || '#F8B53F', text: inv_module_txt + i18n('Off by quantity') };

    //(stati (1) green)
    inv_status_val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    if (inv_status_val == 20)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('Normal Operation') };
    if (inv_status_val == 15)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('Eco Mode') };
    if (inv_status_val == 21)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('Normal Operation (Idle)') };
    if (inv_status_val >= 10)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('Switched ON') };
    if (inv_status_val == 9)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('Standby (Idle)') };

    return { color: color || '#F8B53F', text: inv_module_txt + '???' }; //yellow
  }

  function get_inv_bst_status() {
    var color = get_general_failure_color(64, 8),
    inv_module_txt = ups_id == 0 ? "&#x2211; " + i18n("Booster") + ": " : "PB" + ups_id + " " + i18n("Booster") + ": ",
    inv_status_val = null;

    //(stati (2) red)
    if ((((valtable_obj.BOOSTERSTATUS_LO) >> 24) & 255) >= 128 ||
      ((valtable_obj.BOOSTERSTATUS_LO >> 8) & 255) >= 128)
    return { color: color || '#E61D1F', text: inv_module_txt + 'Error' };

    if (valtable_obj.WR_COMMLOST == 1)
    return { color: color || '#F8B53F', text: inv_module_txt + '???' }; //yellow

    inv_status_val = (valtable_obj.BOOSTERSTATUS_LO >> 8) & 255;
    //(stati (2) yellow)
    if (inv_status_val == 1)
    return { color: color || '#F8B53F', text: inv_module_txt + i18n('Off') }; //yellow

    //(stati (2) green)
    if (inv_status_val == 10)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('Standby') };
    if (inv_status_val == 20)
    return { color: color || '#2BA73D', text: inv_module_txt + i18n('In operation') };

    return { color: color || '#F8B53F', text: inv_module_txt + '???' }; //yellow
  }

  function create_rectifier_panel() {
    var fragment = document.createDocumentFragment(),
    rec_com_status_div,
    rec_sbs_status_div, rec_dc_value_div, rec_charger_status_div,
    status_obj, table, tbody, td, tr;
    css_obj = {
      position: 'absolute',
      top: 68,
      left: 132,
      width: 286,
      height: 336,
      'text-align': 'center',
      cursor: 'pointer',
      overflow: 'hidden',
      'background-image': 'url(./image/aeg/prtblue/rectifier.png)',
      display: 'none',
      'z-index': 10
    };

    attr_obj = { id: 'rectifier_div_id', 'class': 'XBold_black' };
    rectifier_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(rectifier_div[0]);
    rectifier_div.click(function (event) {
      toggle_divs(rectifier_div);
      toggle_imgs();
    });

    status_obj = get_rec_com_status();
    css_obj = { position: 'absolute', top: 12, left: 12, width: 227, height: 20, overflow: 'hidden' };
    attr_obj = { id: 'rec_com_status_div_id' };
    rec_com_status_div = panes_api.create_div(attr_obj, css_obj, rectifier_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(rec_com_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'rec_com_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    status_obj = get_rec_bst_status();
    css_obj = { position: 'absolute', top: 243, left: 12, width: 227, height: 21, overflow: 'hidden' };
    attr_obj = { id: 'rec_sbs_status_div_id' };
    rec_sbs_status_div = panes_api.create_div(attr_obj, css_obj, rectifier_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(rec_sbs_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'rec_sbs_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    status_obj = get_rec_charger_status();
    css_obj = { position: 'absolute', top: 297, left: 12, width: 227, height: 21, overflow: 'hidden' };
    attr_obj = { id: 'rec_charger_status_div_id' };
    rec_charger_status_div = panes_api.create_div(attr_obj, css_obj, rectifier_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(rec_charger_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'rec_charger_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    css_obj = { position: 'absolute', top: 48, left: 6, width: 234, height: 200, overflow: 'hidden' };
    attr_obj = { id: 'rec_values_div_id', 'class': 'XBold_black' };
    rec_values_div = panes_api.create_div(attr_obj, css_obj, rectifier_div);
    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 3, cellspacing: 0, width: '100%', height: '96%', align: 'center' }).appendTo(rec_values_div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('&#x394; ' + i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'rec_delta_involt_1' }).append(valtable_obj.INPUT_DELTAVOLT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_delta_involt_2' }).append(valtable_obj.INPUT_DELTAVOLT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_delta_involt_3' }).append(valtable_obj.INPUT_DELTAVOLT[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'rec_involt_1' }).append(valtable_obj.INVOLT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_involt_2' }).append(valtable_obj.INVOLT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_involt_3' }).append(valtable_obj.INVOLT[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Current')).appendTo(tr);
    td = $('<td />', { id: 'rec_incur_1' }).append(valtable_obj.INCURR[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_incur_2' }).append(valtable_obj.INCURR[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_incur_3' }).append(valtable_obj.INCURR[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('App. Power')).appendTo(tr);
    td = $('<td />', { id: 'rec_app_power_1' }).append(valtable_obj.INPUT_APPPOW[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_app_power_2' }).append(valtable_obj.INPUT_APPPOW[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_app_power_3' }).append(valtable_obj.INPUT_APPPOW[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_app_power_sum' }).append((valtable_obj.INPUT_APPPOW[0] + valtable_obj.INPUT_APPPOW[1] + valtable_obj.INPUT_APPPOW[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Real Power')).appendTo(tr);
    td = $('<td />', { id: 'rec_real_power_1' }).append(valtable_obj.EX_INP_WATT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_real_power_2' }).append(valtable_obj.EX_INP_WATT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_real_power_3' }).append(valtable_obj.EX_INP_WATT[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_real_power_sum' }).append((valtable_obj.EX_INP_WATT[0] + valtable_obj.EX_INP_WATT[1] + valtable_obj.EX_INP_WATT[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('React. Power')).appendTo(tr);
    td = $('<td />', { id: 'rec_react_power_1' }).append(valtable_obj.INPUT_REACTPOW[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_react_power_2' }).append(valtable_obj.INPUT_REACTPOW[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_react_power_3' }).append(valtable_obj.INPUT_REACTPOW[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'rec_react_power_sum' }).append((valtable_obj.INPUT_REACTPOW[0] + valtable_obj.INPUT_REACTPOW[1] + valtable_obj.INPUT_REACTPOW[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('Cos &#x3c6;').appendTo(tr);
    td = $('<td />', { id: 'rec_cosph_1' }).append(valtable_obj.INPUT_COSPHI[0].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'rec_cosph_2' }).append(valtable_obj.INPUT_COSPHI[1].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'rec_cosph_3' }).append(valtable_obj.INPUT_COSPHI[2].toFixed(2)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Frequency')).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />', { id: 'rec_infreq_1' }).append(valtable_obj.INFREQ[0].toFixed(1)).appendTo(tr);

    css_obj = { position: 'absolute', top: 270, left: 6, width: 234, height: 21, overflow: 'hidden' };
    attr_obj = { id: 'rec_dec_value_div_id', 'class': 'XBold_black' };
    rec_dc_value_div = panes_api.create_div(attr_obj, css_obj, rectifier_div);
    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 3, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(rec_dc_value_div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('DC ' + i18n('Voltage')).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />', { id: 'rec_in_dcvolt_1' }).append(valtable_obj.BATT_SYMVOLT.toFixed(0)).appendTo(tr);
    document.body.appendChild(fragment);
  }

  function set_rectifier() {
    var status_obj;
    status_obj = get_rec_com_status();
    $('#rec_com_status_id').html(status_obj.text).css('background-color', status_obj.color);

    status_obj = get_rec_bst_status();
    $('#rec_sbs_status_id').html(status_obj.text).css('background-color', status_obj.color);

    status_obj = get_rec_charger_status();
    $('#rec_charger_status_id').html(status_obj.text).css('background-color', status_obj.color);

    $('#rec_delta_involt_1').text(valtable_obj.INPUT_DELTAVOLT[0].toFixed(0));
    $('#rec_delta_involt_2').text(valtable_obj.INPUT_DELTAVOLT[1].toFixed(0));
    $('#rec_delta_involt_3').text(valtable_obj.INPUT_DELTAVOLT[2].toFixed(0));

    $('#rec_involt_1').text(valtable_obj.INVOLT[0].toFixed(0));
    $('#rec_involt_2').text(valtable_obj.INVOLT[1].toFixed(0));
    $('#rec_involt_3').text(valtable_obj.INVOLT[2].toFixed(0));

    $('#rec_incur_1').text(valtable_obj.INCURR[0].toFixed(0));
    $('#rec_incur_2').text(valtable_obj.INCURR[1].toFixed(0));
    $('#rec_incur_3').text(valtable_obj.INCURR[2].toFixed(0));

    $('#rec_app_power_1').text(valtable_obj.INPUT_APPPOW[0].toFixed(0));
    $('#rec_app_power_2').text(valtable_obj.INPUT_APPPOW[1].toFixed(0));
    $('#rec_app_power_3').text(valtable_obj.INPUT_APPPOW[2].toFixed(0));
    $('#rec_app_power_sum').text((valtable_obj.INPUT_APPPOW[0] + valtable_obj.INPUT_APPPOW[1] + valtable_obj.INPUT_APPPOW[2]).toFixed(0));

    $('#rec_real_power_1').text(valtable_obj.EX_INP_WATT[0].toFixed(0));
    $('#rec_real_power_2').text(valtable_obj.EX_INP_WATT[1].toFixed(0));
    $('#rec_real_power_3').text(valtable_obj.EX_INP_WATT[2].toFixed(0));
    $('#rec_real_power_sum').text((valtable_obj.EX_INP_WATT[0] + valtable_obj.EX_INP_WATT[1] + valtable_obj.EX_INP_WATT[2]).toFixed(0));

    $('#rec_react_power_1').text(valtable_obj.INPUT_REACTPOW[0].toFixed(0));
    $('#rec_react_power_2').text(valtable_obj.INPUT_REACTPOW[1].toFixed(0));
    $('#rec_react_power_3').text(valtable_obj.INPUT_REACTPOW[2].toFixed(0));
    $('#rec_react_power_sum').text((valtable_obj.INPUT_REACTPOW[0] + valtable_obj.INPUT_REACTPOW[1] + valtable_obj.INPUT_REACTPOW[2]).toFixed(0));

    $('#rec_cosph_1').text(valtable_obj.INPUT_COSPHI[0].toFixed(2));
    $('#rec_cosph_2').text(valtable_obj.INPUT_COSPHI[1].toFixed(2));
    $('#rec_cosph_3').text(valtable_obj.INPUT_COSPHI[2].toFixed(2));

    $('#rec_infreq_1').text(valtable_obj.INFREQ[0].toFixed(1));

    $('#rec_in_dcvolt_1').text(valtable_obj.BATT_SYMVOLT.toFixed(0));
  }

  function get_rec_com_status() {
    var color = get_general_failure_color(32, 4),
    rec_module_txt = ups_id == 0 ? "&#x2211; " + i18n("Rect. mains") + ": " : "PB" + ups_id + " " + i18n("Rect. mains") + ": ";

    if (valtable_obj.GR_COMMLOST == 1)
    return { color: color || '#F8B53F', text: rec_module_txt + '???' }; //yellow

    //(stati (1) yellow)
    if (((valtable_obj.SBSSTATUS_LO >> 8) & 255) >= 224)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Error') }; //yellow
    if (((valtable_obj.SBSSTATUS_LO & 1) == 1))
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Warning') }; //yellow

    //(stati (1) green)
    if (((valtable_obj.SBSSTATUS_LO >> 8) & 255) == 1)
    return { color: color || '#2BA73D', text: rec_module_txt + i18n('OK') }; //green

    return { color: color || '#F8B53F', text: rec_module_txt + '???' }; //yellow
  }

  function get_rec_bst_status() {
    var color = get_general_failure_color(32, 4),
    rec_module_txt = ups_id == 0 ? "&#x2211; " + i18n("Rectifier") + ": " : "PB" + ups_id + " " + i18n("Rect.") + " : ",
    rec_status_val = null;

    if (((valtable_obj.GRSTATUS_LO >> 8) & 255) >= 128) //(stati (2) red)
    return { color: color || '#E61D1F', text: rec_module_txt + i18n('Error') }; //red

    if (valtable_obj.GR_COMMLOST == 1)
    return { color: color || '#F8B53F', text: rec_module_txt + '???' }; //yellow

    //(stati (2) yellow)
    rec_status_val = ((valtable_obj.GRSTATUS_LO >> 8) & 255);
    if (rec_status_val == 5)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Off by mains fault') };
    if (rec_status_val == 4)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Off by low quantity') };
    if (rec_status_val == 3)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Off by monitoring') };
    if (rec_status_val == 2)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Off by remote contact') };
    if (rec_status_val == 1)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Off') };

    //(stati (2) green)
    rec_status_val = ((valtable_obj.GRSTATUS_LO >> 8) & 255);
    if (rec_status_val == 20)
    return { color: color || '#2BA73D', text: rec_module_txt + i18n('Normal Operation') };
    if (rec_status_val >= 10)
    return { color: color || '#2BA73D', text: rec_module_txt + i18n('Switched ON') }; //green
    if (rec_status_val == 9)
    return { color: color || '#2BA73D', text: rec_module_txt + i18n('Standby (Idle)') };

    return { color: color || '#F8B53F', text: rec_module_txt + '???' }; //yellow
  }

  function get_rec_charger_status() {
    var color = get_general_failure_color(32, 4),
    rec_module_txt = ups_id == 0 ? "&#x2211; " + i18n("Charger") + ": " : "PB" + ups_id + " " + i18n("Charger") + ": ",
    rec_status_val = null;

    if (((valtable_obj.BATTSTATUS_LO >> 8) & 255) >= 128) //(stati (3) red)
    return { color: color || '#E61D1F', text: rec_module_txt + i18n('Error') };

    if (valtable_obj.GR_COMMLOST == 1)
    return { color: color || '#F8B53F', text: rec_module_txt + '???' }; //yellow

    //(stati (3) yellow)
    rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 8) & 255));
    if (rec_status_val == 20) {
      rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 16) & 255));
      if (rec_status_val == 9)
      return { color: color || '#F8B53F', text: rec_module_txt + i18n('Capcity test') };
      if (rec_status_val == 8)
      return { color: color || '#F8B53F', text: rec_module_txt + i18n('Capcity check') };
      if (rec_status_val == 7)
      return { color: color || '#F8B53F', text: rec_module_txt + i18n('Battery circuit test') }
    }
    if (((valtable_obj.BATTSTATUS_LO >> 8) & 255) == 1)
    return { color: color || '#F8B53F', text: rec_module_txt + i18n('Off') };

    //(stati (3) green)
    rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 8) & 255));
    if (rec_status_val == 20) {
      rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 16) & 255));
      if (rec_status_val == 6)
      return { color: color || '#2BA73D', text: rec_module_txt + i18n('Diesel generator set') };
      if (rec_status_val == 5)
      return { color: color || '#2BA73D', text: rec_module_txt + i18n('Starting up charge') };
      if (rec_status_val == 4)
      return { color: color || '#2BA73D', text: rec_module_txt + i18n('Equalizing charge') };
      if (rec_status_val == 3)
      return { color: color || '#2BA73D', text: rec_module_txt + i18n('Charge') };
      if (rec_status_val == 2)
      return { color: color || '#2BA73D', text: rec_module_txt + i18n('Trickle charge') };
    }
    if (((valtable_obj.BATTSTATUS_LO >> 8) & 255) == 10)
    return { color: color || '#2BA73D', text: rec_module_txt + i18n('Standby') };

    return { color: color || '#F8B53F', text: rec_module_txt + '???' };
  }

  function create_bypass_panel() {
    var fragment, byp_com_status_div, byp_sbs_status_div, byp_values_div,
    status_obj, table, tbody, td, tr;

    css_obj = {
      position: 'absolute',
      top: 68,
      left: 312,
      width: 286,
      height: 353,
      'text-align': 'center',
      'z-index': 10,
      cursor: 'pointer',
      overflow: 'hidden',
      'background-image': 'url(./image/aeg/prtblue/bypass.png)',
      display: 'none'
    };

    attr_obj = { id: 'bypass_div_id', 'class': 'XBold_black' };
    fragment = document.createDocumentFragment();
    bypass_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(bypass_div[0]);

    bypass_div.click(function (event) {
      toggle_divs(bypass_div);
      toggle_imgs();
    });

    status_obj = get_byp_com_status();
    css_obj = { position: 'absolute', top: 12, left: 12, width: 227, height: 20, overflow: 'hidden' };
    attr_obj = { id: 'byp_com_status_div_id' };
    byp_com_status_div = panes_api.create_div(attr_obj, css_obj, bypass_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(byp_com_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'byp_com_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    status_obj = get_byp_bst_status();
    css_obj = { position: 'absolute', top: 123, left: 12, width: 227, height: 21, overflow: 'hidden' };
    attr_obj = { id: 'byp_sbs_status_div_id' };
    byp_sbs_status_div = panes_api.create_div(attr_obj, css_obj, bypass_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(byp_sbs_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'byp_sbs_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    css_obj = { position: 'absolute', top: 48, left: 6, width: 234, height: 353, overflow: 'hidden' };
    attr_obj = { id: 'byp_values_div_id', 'class': 'XBold_black' };
    byp_values_div = panes_api.create_div(attr_obj, css_obj, bypass_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 4, cellspacing: 0, width: '100%', height: '20%', align: 'center' }).appendTo(byp_values_div);
    tbody = $('<tbody />').appendTo(table);

    if (((((valtable_obj.SBS2STATUS_HI >> 8) & 255)) != 20)) {
      valtable_obj.EX_BYP_CURR = [0, 0, 0];
      valtable_obj.BYPASS_APPPOW = [0, 0, 0];
      valtable_obj.EX_BYP_WATT = [0, 0, 0];
      valtable_obj.BYPASS_REACTPOW = [0, 0, 0];
      valtable_obj.BYPASS_COSPHI = [0, 0, 0];
      valtable_obj.BYPASS_CRESTFAC = [0, 0, 0];
      valtable_obj.BP_LOAD = [0, 0, 0];
      valtable_obj.BYPASS_POWFAC = [0, 0, 0];
      valtable_obj.BYPASS_COSPHI = [0, 0, 0];
    }

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('&#x394; ' + i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'byp_delta_outvolt_1' }).append(valtable_obj.BYPASS_DELTAVOLT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_delta_outvolt_2' }).append(valtable_obj.BYPASS_DELTAVOLT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_delta_outvolt_3' }).append(valtable_obj.BYPASS_DELTAVOLT[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'byp_outvolt_1' }).append(valtable_obj.EX_BYP_VOLT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_outvolt_2' }).append(valtable_obj.EX_BYP_VOLT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_outvolt_3' }).append(valtable_obj.EX_BYP_VOLT[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Frequency')).appendTo(tr);
    td = $('<td />', { id: 'byp_outfreq_1' }).append(valtable_obj.EX_BYP_FREQ[0].toFixed(1)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    css_obj = { position: 'absolute', top: 101, left: 0, width: 234, height: 194, overflow: 'hidden' };
    attr_obj = { id: 'byp_values_div2_id', 'class': 'XBold_black' };
    byp_values_div_2 = panes_api.create_div(attr_obj, css_obj, byp_values_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(byp_values_div_2);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Current')).appendTo(tr);
    td = $('<td />', { id: 'byp_outcur_1' }).append(valtable_obj.EX_BYP_CURR[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_outcur_2' }).append(valtable_obj.EX_BYP_CURR[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_outcur_3' }).append(valtable_obj.EX_BYP_CURR[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('App. Power')).appendTo(tr);
    td = $('<td />', { id: 'byp_app_power_1' }).append(valtable_obj.BYPASS_APPPOW[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_app_power_2' }).append(valtable_obj.BYPASS_APPPOW[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_app_power_3' }).append(valtable_obj.BYPASS_APPPOW[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_app_power_sum' }).append((valtable_obj.BYPASS_APPPOW[0] + valtable_obj.BYPASS_APPPOW[1] + valtable_obj.BYPASS_APPPOW[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Real Power')).appendTo(tr);
    td = $('<td />', { id: 'byp_real_power_1' }).append(valtable_obj.EX_BYP_WATT[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_real_power_2' }).append(valtable_obj.EX_BYP_WATT[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_real_power_3' }).append(valtable_obj.EX_BYP_WATT[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_real_power_sum' }).append((valtable_obj.EX_BYP_WATT[0] + valtable_obj.EX_BYP_WATT[1] + valtable_obj.EX_BYP_WATT[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }, { align: 'left' }).append(i18n('React. Power')).appendTo(tr);
    td = $('<td />', { id: 'byp_react_power_1' }).append(valtable_obj.BYPASS_REACTPOW[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_react_power_2' }).append(valtable_obj.BYPASS_REACTPOW[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_react_power_3' }).append(valtable_obj.BYPASS_REACTPOW[2].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_react_power_sum' }).append((valtable_obj.BYPASS_REACTPOW[0] + valtable_obj.BYPASS_REACTPOW[1] + valtable_obj.BYPASS_REACTPOW[2]).toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Powerfaktor')).appendTo(tr);
    td = $('<td />', { id: 'byp_powerfactor_1' }).append(valtable_obj.BYPASS_POWFAC[0].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'byp_powerfactor_2' }).append(valtable_obj.BYPASS_POWFAC[1].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'byp_powerfactor_3' }).append(valtable_obj.BYPASS_POWFAC[2].toFixed(2)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append('Cos &#x3c6;').appendTo(tr);
    td = $('<td />', { id: 'byp_cosph_1' }).append(valtable_obj.BYPASS_COSPHI[0].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'byp_cosph_2' }).append(valtable_obj.BYPASS_COSPHI[1].toFixed(2)).appendTo(tr);
    td = $('<td />', { id: 'byp_cosph_3' }).append(valtable_obj.BYPASS_COSPHI[2].toFixed(2)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('CrestfFaktor')).appendTo(tr);
    td = $('<td />', { id: 'byp_out_crest_1' }).append(valtable_obj.BYPASS_CRESTFAC[0].toFixed(1)).appendTo(tr);
    td = $('<td />', { id: 'byp_out_crest_2' }).append(valtable_obj.BYPASS_CRESTFAC[1].toFixed(1)).appendTo(tr);
    td = $('<td />', { id: 'byp_out_crest_3' }).append(valtable_obj.BYPASS_CRESTFAC[2].toFixed(1)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Utilization')).appendTo(tr);
    td = $('<td />', { id: 'byp_outpower_1' }).append(valtable_obj.BP_LOAD[0].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_outpower_2' }).append(valtable_obj.BP_LOAD[1].toFixed(0)).appendTo(tr);
    td = $('<td />', { id: 'byp_outpower_3' }).append(valtable_obj.BP_LOAD[2].toFixed(0)).appendTo(tr);
    td = $('<td />').append('&nbsp;').appendTo(tr);
    document.body.appendChild(fragment);
  }

  function set_bypass() {
    var status_obj;
    status_obj = get_byp_com_status();
    $('#byp_com_status_id').html(status_obj.text).css('background-color', status_obj.color);
    status_obj = get_byp_bst_status();
    $('#byp_sbs_status_id').html(status_obj.text).css('background-color', status_obj.color);

    if (((((valtable_obj.SBS2STATUS_HI >> 8) & 255)) != 20)) {
      valtable_obj.EX_BYP_CURR = [0, 0, 0];
      valtable_obj.BYPASS_APPPOW = [0, 0, 0];
      valtable_obj.EX_BYP_WATT = [0, 0, 0];
      valtable_obj.BYPASS_REACTPOW = [0, 0, 0];
      valtable_obj.BYPASS_COSPHI = [0, 0, 0];
      valtable_obj.BYPASS_CRESTFAC = [0, 0, 0];
      valtable_obj.BP_LOAD = [0, 0, 0];
      valtable_obj.BYPASS_POWFAC = [0, 0, 0];
      valtable_obj.BYPASS_COSPHI = [0, 0, 0];
    }

    $('#byp_delta_outvolt_1').text(valtable_obj.BYPASS_DELTAVOLT[0].toFixed(0));
    $('#byp_delta_outvolt_2').text(valtable_obj.BYPASS_DELTAVOLT[1].toFixed(0));
    $('#byp_delta_outvolt_3').text(valtable_obj.BYPASS_DELTAVOLT[2].toFixed(0));

    $('#byp_outvolt_1').text(valtable_obj.EX_BYP_VOLT[0].toFixed(0));
    $('#byp_outvolt_2').text(valtable_obj.EX_BYP_VOLT[1].toFixed(0));
    $('#byp_outvolt_3').text(valtable_obj.EX_BYP_VOLT[2].toFixed(0));

    $('#byp_outfreq_1').text(valtable_obj.EX_BYP_FREQ[0].toFixed(1));

    $('#byp_outcur_1').text(valtable_obj.EX_BYP_CURR[0].toFixed(0));
    $('#byp_outcur_2').text(valtable_obj.EX_BYP_CURR[1].toFixed(0));
    $('#byp_outcur_3').text(valtable_obj.EX_BYP_CURR[2].toFixed(0));

    $('#byp_app_power_1').text(valtable_obj.BYPASS_APPPOW[0].toFixed(0));
    $('#byp_app_power_2').text(valtable_obj.BYPASS_APPPOW[1].toFixed(0));
    $('#byp_app_power_3').text(valtable_obj.BYPASS_APPPOW[2].toFixed(0));
    $('#byp_app_power_sum').text((valtable_obj.BYPASS_APPPOW[0] + valtable_obj.BYPASS_APPPOW[1] + valtable_obj.BYPASS_APPPOW[2]).toFixed(0));

    $('#byp_real_power_1').text(valtable_obj.EX_BYP_WATT[0].toFixed(0));
    $('#byp_real_power_2').text(valtable_obj.EX_BYP_WATT[1].toFixed(0));
    $('#byp_real_power_3').text(valtable_obj.EX_BYP_WATT[2].toFixed(0));
    $('#byp_real_power_sum').text((valtable_obj.EX_BYP_WATT[0] + valtable_obj.EX_BYP_WATT[1] + valtable_obj.EX_BYP_WATT[2]).toFixed(0));

    $('#byp_react_power_1').text(valtable_obj.BYPASS_REACTPOW[0].toFixed(0));
    $('#byp_react_power_2').text(valtable_obj.BYPASS_REACTPOW[1].toFixed(0));
    $('#byp_react_power_3').text(valtable_obj.BYPASS_REACTPOW[2].toFixed(0));
    $('#byp_react_power_sum').text((valtable_obj.BYPASS_REACTPOW[0] + valtable_obj.BYPASS_REACTPOW[1] + valtable_obj.BYPASS_REACTPOW[2]).toFixed(0));

    $('#byp_powerfactor_1').text(valtable_obj.BYPASS_POWFAC[0].toFixed(2));
    $('#byp_powerfactor_2').text(valtable_obj.BYPASS_POWFAC[1].toFixed(2));
    $('#byp_powerfactor_3').text(valtable_obj.BYPASS_POWFAC[2].toFixed(2));

    $('#byp_cosph_1').text(valtable_obj.BYPASS_COSPHI[0].toFixed(2));
    $('#byp_cosph_2').text(valtable_obj.BYPASS_COSPHI[1].toFixed(2));
    $('#byp_cosph_3').text(valtable_obj.BYPASS_COSPHI[2].toFixed(2));

    $('#byp_out_crest_1').text(valtable_obj.BYPASS_CRESTFAC[0].toFixed(1));
    $('#byp_out_crest_2').text(valtable_obj.BYPASS_CRESTFAC[1].toFixed(1));
    $('#byp_out_crest_3').text(valtable_obj.BYPASS_CRESTFAC[2].toFixed(1));

    $('#byp_outpower_1').text(valtable_obj.BP_LOAD[0].toFixed(0));
    $('#byp_outpower_2').text(valtable_obj.BP_LOAD[1].toFixed(0));
    $('#byp_outpower_3').text(valtable_obj.BP_LOAD[2].toFixed(0));
  }

  function get_byp_com_status() {
    var color = get_general_failure_color(128, 16),
    byp_module_txt = ups_id == 0 ? "&#x2211; SBS " + i18n("mains") + ": " : "PB" + ups_id + " SBS " + i18n("mains") + ": ";

    if ((valtable_obj.WR_COMMLOST == 1) && (valtable_obj.GR_COMMLOST == 1))
    return { color: color || '#F8B53F', text: byp_module_txt + '???' };

    //(stati (1) yellow)
    if ((((valtable_obj.SBS2STATUS_LO) >> 24) & 255) >= 224)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Error') };
    if (((((valtable_obj.SBS2STATUS_LO) >> 16) & 255) & 1) == 1)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Warning') };

    //(stati (1) green)
    if ((((valtable_obj.SBS2STATUS_LO) >> 24) & 255) == 1)
    return { color: color || '#2BA73D', text: byp_module_txt + i18n('OK') };

    return { color: color || '#F8B53F', text: byp_module_txt + '???' };
  }

  function get_byp_bst_status() {
    var color = get_general_failure_color(128, 16),
    byp_module_txt = ups_id == 0 ? "&#x2211; SBS: " : "PB" + ups_id + " SBS: ",
    byp_status_val = null;

    //(stati (2) red)
    if (((valtable_obj.SBS2STATUS_HI >> 8) & 255) >= 128)
    return { color: color || '#E61D1F', text: byp_module_txt + i18n('Error') };

    if ((valtable_obj.WR_COMMLOST == 1) && (valtable_obj.GR_COMMLOST == 1))
    return { color: color || '#F8B53F', text: byp_module_txt + '???' };

    //(stati (2) yellow)
    byp_status_val = (valtable_obj.SBS2STATUS_HI >> 8) & 255;
    if (byp_status_val == 1)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Off') };
    if (byp_status_val == 2)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Off by monitoring') };
    if (byp_status_val == 3)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Off by low quantity') };
    if (byp_status_val == 4)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Blocked') };
    if (byp_status_val == 5)
    return { color: color || '#F8B53F', text: byp_module_txt + i18n('Off by mains fault') };

    //(stati (2) green)
    byp_status_val = (valtable_obj.SBS2STATUS_HI >> 8) & 255;
    if (byp_status_val == 10)
    return { color: color || '#2BA73D', text: byp_module_txt + i18n('Standby') };
    if (byp_status_val == 20)
    return { color: color || '#2BA73D', text: byp_module_txt + i18n('Mains Operation') };

    return { color: color || '#F8B53F', text: byp_module_txt + '???' }; //yellow
  }

  function create_battery_panel() {
    var fragment = document.createDocumentFragment(),
    batt_com_status_div, batt_values_div, batt_room_tmp,
    status_obj, table, tbody, td, tr;
    css_obj = {
      position: 'absolute',
      top: 171,
      left: 228,
      width: 280,
      height: 159,
      'text-align': 'center',
      cursor: 'pointer',
      overflow: 'hidden',
      'background-image': 'url(./image/aeg/prtblue/battery.png)',
      display: 'none',
      'z-index': 10
    };

    attr_obj = { id: 'battery_div_id', 'class': 'XBold_black' };
    battery_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(battery_div[0]);

    battery_div.click(function (event) {
      toggle_divs(battery_div);
      toggle_imgs();
    });

    status_obj = get_batt_com_status();
    css_obj = { position: 'absolute', top: 12, left: 12, width: 220, height: 20, overflow: 'hidden' };
    attr_obj = { id: 'batt_com_status_div_id' };
    batt_com_status_div = panes_api.create_div(attr_obj, css_obj, battery_div);
    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 4, cellspacing: 0, width: '100%', height: '100%', align: 'center' }).appendTo(batt_com_status_div);
    tbody = $('<tbody />').appendTo(table);
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'batt_com_status_id', align: 'left' }).append(status_obj.text).appendTo(tr);
    td.css('background-color', status_obj.color);

    css_obj = { position: 'absolute', top: 42, left: 6, width: 228, height: 120, overflow: 'hidden' };
    attr_obj = { id: 'batt_values_div_id', 'class': 'XBold_black' };
    batt_values_div = panes_api.create_div(attr_obj, css_obj, battery_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 2, cellspacing: 0, width: '100%', height: '98%', align: 'center' }).appendTo(batt_values_div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Voltage')).appendTo(tr);
    td = $('<td />', { id: 'batt_volt' }).append(valtable_obj.BATTVOLT.toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Current')).appendTo(tr);
    td = $('<td />', { id: 'batt_cur' }).append(valtable_obj.EX_BATT_CURRPOS.toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Autonomy')).appendTo(tr);
    td = $('<td />', { id: 'batt_time' }).append(valtable_obj.AUTONOMTIME.toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('State of Charge')).appendTo(tr);
    td = $('<td />', { id: 'batt_cap' }).append(valtable_obj.BATTCAP.toFixed(0)).appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Battery room temperature')).appendTo(tr);

    if (valtable_obj.TEMPDEG == 32768)
    batt_room_tmp = '???';
    else if (valtable_obj.TEMPDEG == 32767)
    batt_room_tmp = '---';
    else
    batt_room_tmp = panes_api.get_temperature(valtable_obj.TEMPDEG, valtable_obj._tempUnit, 1);

    td = $('<td />', { id: 'batt_temp' }).append(batt_room_tmp).appendTo(tr);
    document.body.appendChild(fragment);
  }

  function set_battery() {
    var status_obj, batt_room_tmp;
    status_obj = get_batt_com_status();
    $('#batt_com_status_id').html(status_obj.text).css('background-color', status_obj.color);
    $('#batt_volt').text(valtable_obj.BATTVOLT.toFixed(0));
    $('#batt_cur').text(valtable_obj.EX_BATT_CURRPOS.toFixed(0));
    $('#batt_time').text(valtable_obj.AUTONOMTIME.toFixed(0));
    $('#batt_cap').text(valtable_obj.BATTCAP.toFixed(0));

    if (valtable_obj.TEMPDEG == 32768)
    batt_room_tmp = '???';
    else if (valtable_obj.TEMPDEG == 32767)
    batt_room_tmp = '---';
    else
    batt_room_tmp = panes_api.get_temperature(valtable_obj.TEMPDEG, valtable_obj._tempUnit, 1);

    $('#batt_temp').html(batt_room_tmp);
  }

  function get_batt_com_status() {
    var batt_module_txt = ups_id == 0 ? "&#x2211; " + i18n("Batterie") + ": " : "PB" + ups_id + " " + i18n("Batterie") + ": ",
    batt_status_val = valtable_obj.BATTSTATUS_HI;

    if (valtable_obj.GR_COMMLOST == 1)
    return { color: '#F8B53F', text: batt_module_txt + '???' }; //yellow

    if ((batt_status_val & 255) > 0)
    return { color: '#F8B53F', text: batt_module_txt + i18n('Warning') }; //yellow

    if (((batt_status_val >> 8) & 255) > 0)
    return { color: '#F8B53F', text: batt_module_txt + i18n('Warning') }; //yellow

    batt_status_val = (valtable_obj.WRSTATUS_LO >> 16) & 255;
    if ((batt_status_val & 64) == 64)
    return { color: '#F8B53F', text: batt_module_txt + i18n('Battery low') }; //yellow

    batt_status_val = (valtable_obj.BATTSTATUS_LO >> 16) & 255;
    if ((batt_status_val == 1) && ((valtable_obj.BOOSTERSTATUS_LO >> 8) & 255) == 20)
    return { color: '#F8B53F', text: batt_module_txt + i18n('Discharging') }; //yellow
    if (batt_status_val == 0)
    return { color: '#F8B53F', text: batt_module_txt + i18n('NO Battery') }; //yellow
    if (batt_status_val == 1)
    return { color: '#F8B53F', text: batt_module_txt + i18n('NO Charge') }; //yellow

    if ((batt_status_val >= 7) && (batt_status_val <= 10))
    return { color: '#F8B53F', text: batt_module_txt + i18n('Test is running') }; //yellow

    return { color: '#2BA73D', text: batt_module_txt + i18n('OK') }; //green
  }

  function create_inv_img() {
    var inv_img_div;
    css_obj = { position: 'absolute', top: 122, left: 236, width: 80, height: 80, overflow: 'hidden', 'z-index': 3 };
    attr_obj = { id: 'inv_img_div_id' };
    inv_img_div = panes_api.create_div(attr_obj, css_obj);
    inv_img = $('<img />', { id: 'inv_img_id', src: get_inv_img(), width: 80, height: 80 }).css('cursor', 'pointer').appendTo(inv_img_div);
    inv_img.click(function (event) {
      toggle_divs(inverter_div);
      toggle_imgs();
    });
  }

  function set_inv_img() {
    inv_img.attr({ src: get_inv_img() });
  }

  function get_inv_img() {
    var inv_status_val = null,
    value, id = 0;
    if (get_general_failure_color(64))
    return './image/aeg/prtblue/inverter_error_off.png';

    if (((valtable_obj.WRSTATUS_LO >> 8) & 255) >= 128 //(stati (1) red)
      ||
      (((valtable_obj.BOOSTERSTATUS_LO) >> 24) & 255) >= 128 //(stati (2) red)
      ||
      ((valtable_obj.BOOSTERSTATUS_LO >> 8) & 255) >= 128) //(stati (2) red)
    return './image/aeg/prtblue/inverter_error_off.png';

    if (valtable_obj.WR_COMMLOST == 1)
    return './image/aeg/prtblue/inverter_warn_off.png'; //yellow

    if (number == 1 || ups_id == 0) {
      for (; id <= 7; ++id) {
        value = (id > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * id)) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * id)) & 255);
        if (value & 8)
        return './image/aeg/prtblue/inverter_warn_off.png'; //yellow
      }
    } else {
      value = ((ups_id - 1) > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * (ups_id - 1))) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * (ups_id - 1))) & 255);
      if (value & 8)
      return './image/aeg/prtblue/inverter_warn_off.png'; //yellow
    }


    //(stati (1) yellow)
    inv_status_val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    if (inv_status_val == 1 ||
      inv_status_val == 2 ||
      inv_status_val == 3 ||
      inv_status_val == 4)
    return './image/aeg/prtblue/inverter_warn_off.png';

    //(stati (2) yellow)
    if (((valtable_obj.BOOSTERSTATUS_LO >> 8) & 255) == 1)
    return './image/aeg/prtblue/inverter_warn_off.png';

    //(stati (1) green)
    inv_status_val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    if (inv_status_val == 20 ||
      inv_status_val == 15 ||
      inv_status_val == 21 ||
      inv_status_val >= 10 ||
      inv_status_val == 9)
    return './image/aeg/prtblue/inverter_ok_off.png';

    //(stati (2) green)
    inv_status_val = (valtable_obj.BOOSTERSTATUS_LO >> 8) & 255;
    if (inv_status_val == 10 ||
      inv_status_val == 20)
    return './image/aeg/prtblue/inverter_ok_off.png';

    return './image/aeg/prtblue/inverter_warn_off.png'; //yellow
  }

  function create_rec_img() {
    var fragment = document.createDocumentFragment(),
    inv_img_div;
    css_obj = { position: 'absolute', top: 122, left: 58, width: 80, height: 80, overflow: 'hidden', 'z-index': 3 };
    attr_obj = { id: 'rec_img_div_id' };
    inv_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    rec_img = $('<img />', { id: 'rec_img_id', src: get_rec_img(), width: 80, height: 80 }).css('cursor', 'pointer').appendTo(inv_img_div);
    rec_img.click(function (event) {
      toggle_divs(rectifier_div);
      toggle_imgs();
    });
    fragment.appendChild(inv_img_div[0]);
    document.body.appendChild(fragment);
  }

  function set_rec_img() {
    rec_img.attr({ src: get_rec_img() });
  }

  function get_rec_img() {
    var rec_status_val = null,
    value, id = 0;

    if (get_general_failure_color(32))
    return './image/aeg/prtblue/rectifier_error_off.png';

    if (((valtable_obj.GRSTATUS_LO >> 8) & 255) >= 128) //(stati (2) red)
    return './image/aeg/prtblue/rectifier_error_off.png'; //red
    if (((valtable_obj.BATTSTATUS_LO >> 8) & 255) >= 128) //(stati (3) red)
    return './image/aeg/prtblue/rectifier_error_off.png'; //red

    if (valtable_obj.GR_COMMLOST == 1)
    return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow

    if (number == 1 || ups_id == 0) {
      for (; id <= 7; ++id) {
        value = (id > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * id)) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * id)) & 255);
        if (value & 4)
        return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow
      }
    } else {
      value = ((ups_id - 1) > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * (ups_id - 1))) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * (ups_id - 1))) & 255);
      if (value & 4)
      return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow
    }

    //(stati (1) yellow)
    if (((valtable_obj.SBSSTATUS_LO >> 8) & 255) >= 224 ||
      ((valtable_obj.SBSSTATUS_LO & 1) == 1))
    return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow

    //(stati (2) yellow)
    rec_status_val = ((valtable_obj.GRSTATUS_LO >> 8) & 255);
    if (rec_status_val == 5 ||
      rec_status_val == 4 ||
      rec_status_val == 3 ||
      rec_status_val == 2 ||
      rec_status_val == 1)
    return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow

    //(stati (3) yellow)
    rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 8) & 255));
    if (rec_status_val == 20) {
      rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 16) & 255));
      if (rec_status_val == 9 ||
        rec_status_val == 8 ||
        rec_status_val == 7)
      return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow
    }
    if (((valtable_obj.BATTSTATUS_LO >> 8) & 255) == 1)
    return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow

    //(stati (1) green)
    if (((valtable_obj.SBSSTATUS_LO >> 8) & 255) == 1)
    return './image/aeg/prtblue/rectifier_ok_off.png'; //green

    //(stati (2) green)
    rec_status_val = ((valtable_obj.GRSTATUS_LO >> 8) & 255);
    if (rec_status_val == 20 ||
      rec_status_val >= 10 ||
      rec_status_val == 9)
    return './image/aeg/prtblue/rectifier_ok_off.png'; //green

    //(stati (3) green)
    rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 8) & 255));
    if (rec_status_val == 20) {
      rec_status_val = (((valtable_obj.BATTSTATUS_LO >> 16) & 255));
      if (rec_status_val == 6 ||
        rec_status_val == 5 ||
        rec_status_val == 4 ||
        rec_status_val == 3 ||
        rec_status_val == 2)
      return './image/aeg/prtblue/rectifier_ok_off.png'; //green
    }
    if (((valtable_obj.BATTSTATUS_LO >> 8) & 255) == 10)
    return './image/aeg/prtblue/rectifier_ok_off.png'; //green

    return './image/aeg/prtblue/rectifier_warn_off.png'; //yellow
  }

  function create_batt_img() {
    var fragment = document.createDocumentFragment(),
    batt_img_div, batt_img_val_div;
    css_obj = { position: 'absolute', top: 230, left: 142, width: 84, height: 57, overflow: 'hidden', 'z-index': 1 };
    attr_obj = { id: 'batt_img_div_id' };
    batt_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(batt_img_div[0]);
    batt_img = $('<img />', { id: 'batt_img_id', src: get_batt_img(), width: 84, height: 57 }).css('cursor', 'pointer').appendTo(batt_img_div);
    batt_img.click(function (event) {
      toggle_divs(battery_div);
      toggle_imgs();
    });

    css_obj = { position: 'absolute', top: 253, left: 161, width: 60, height: 30, overflow: 'hidden', 'z-index': 10, cursor: 'pointer' };
    attr_obj = { id: 'batt_img_val_div_id' };
    batt_img_val_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(batt_img_val_div[0]);
    batt_img_val_div.click(function (event) {
      toggle_divs(battery_div);
      toggle_imgs();
    });

    table = $('<table/>', { 'class': 'XBold_white', cellpadding: 0, cellspacing: 0, width: '74%', height: '100%', align: 'center' }).appendTo(batt_img_val_div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'batt_img_val_cap' }).append(valtable_obj.BATTCAP.toFixed(0)).appendTo(tr);
    td = $('<td />').append('%').appendTo(tr);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { id: 'batt_img_val_time' }).append(valtable_obj.AUTONOMTIME.toFixed(0)).appendTo(tr);
    td = $('<td />').append('Min').appendTo(tr);
    document.body.appendChild(fragment);
  }

  function set_batt_img() {
    batt_img.attr({ src: get_batt_img() });
    $('#batt_img_val_cap').text(valtable_obj.BATTCAP.toFixed(0));
    $('#batt_img_val_time').text(valtable_obj.AUTONOMTIME.toFixed(0));
  }

  function get_batt_img() {
    var batt_status_val = valtable_obj.BATTSTATUS_HI;

    if (valtable_obj.GR_COMMLOST == 1)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow

    if ((batt_status_val & 255) > 0)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow

    if (((batt_status_val >> 8) & 255) > 0)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow

    batt_status_val = (valtable_obj.WRSTATUS_LO >> 16) & 255;
    if ((batt_status_val & 64) == 64)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow

    batt_status_val = (valtable_obj.BATTSTATUS_LO >> 16) & 255;
    if ((batt_status_val == 1) && ((valtable_obj.BOOSTERSTATUS_LO >> 8) & 255) == 20)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow
    if (batt_status_val == 0)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow
    if (batt_status_val == 1)
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow

    if ((batt_status_val >= 7) && (batt_status_val <= 10))
    return './image/aeg/prtblue/battery_warn_off.png'; //yellow

    return './image/aeg/prtblue/battery_ok_off.png'; //green
  }

  function create_byp_img() {
    var fragment = document.createDocumentFragment(),
    byp_img_div;
    css_obj = { position: 'absolute', top: 310, left: 236, width: 80, height: 80, overflow: 'hidden', 'z-index': 3 };
    attr_obj = { id: 'byp_img_div_id' };
    byp_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    byp_img = $('<img />', { id: 'byp_img_id', src: get_byp_img(), width: 80, height: 80 }).css('cursor', 'pointer').appendTo(byp_img_div);
    byp_img.click(function (event) {
      toggle_divs(bypass_div);
      toggle_imgs();
    });
    fragment.appendChild(byp_img_div[0]);
    document.body.appendChild(fragment);
  }

  function set_byp_img() {
    byp_img.attr({ src: get_byp_img() });
  }

  function get_byp_img() {
    var byp_status_val = null,
    id = 0,
    value;

    if (get_general_failure_color(128))
    return './image/aeg/prtblue/bypass_error_off.png';

    //(stati (2) red)
    if (((valtable_obj.SBS2STATUS_HI >> 16) & 255) >= 128)
    return './image/aeg/prtblue/bypass_error_off.png';

    if (valtable_obj.WR_COMMLOST == 1)
    return './image/aeg/prtblue/bypass_warn_off.png';

    if (number == 1 || ups_id == 0) {
      for (; id <= 7; ++id) {
        value = (id > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * id)) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * id)) & 255);
        if (value & 16)
        return './image/aeg/prtblue/bypass_warn_off.png'; //yellow
      }
    } else {
      value = ((ups_id - 1) > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * (ups_id - 1))) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * (ups_id - 1))) & 255);
      if (value & 16)
      return './image/aeg/prtblue/bypass_warn_off.png'; //yellow
    }

    //(stati (1) yellow)
    if ((((valtable_obj.SBS2STATUS_LO) >> 24) & 255) >= 224 ||
      ((((valtable_obj.SBS2STATUS_LO) >> 16) & 255) & 1) == 1)
    return './image/aeg/prtblue/bypass_warn_off.png';

    //(stati (2) yellow)
    byp_status_val = (valtable_obj.SBS2STATUS_HI >> 16) & 255;
    if (byp_status_val == 1 ||
      byp_status_val == 2 ||
      byp_status_val == 3 ||
      byp_status_val == 4 ||
      byp_status_val == 5)
    return './image/aeg/prtblue/bypass_warn_off.png';

    //(stati (1) green)
    if ((((valtable_obj.SBS2STATUS_LO) >> 24) & 255) == 1)
    return './image/aeg/prtblue/bypass_ok_off.png';

    //(stati (2) green)
    byp_status_val = (valtable_obj.SBS2STATUS_HI >> 16) & 255;
    if (byp_status_val == 10 ||
      byp_status_val == 20)
    return './image/aeg/prtblue/bypass_ok_off.png'; //green

    return './image/aeg/prtblue/bypass_warn_off.png'; //yellow
  }

  function toggle_divs(div) {
    $([inverter_div, rectifier_div, bypass_div, battery_div]).each(function (index, elem) {
      if (elem !== div) elem.css('display', 'none');
    });
    div.css('display') == 'none' ? div.css('display', 'block') : div.css('display', 'none');
  }

  function toggle_imgs() {
    var display,
    imgs = [inv_img, rec_img, byp_img, batt_img];
    $([inverter_div, rectifier_div, bypass_div, battery_div]).each(function (index, div) {
      display = div.css('display');
      img_src = imgs[index].attr('src');
      imgs[index].attr('src', img_src.replace('_on', '_off'));
      if (display == 'block') {
        imgs[index].attr('src', img_src.replace('_off', '_on'));
      }
    });
  }

  function create_rectifier_flowcharts() {
    var fragment = document.createDocumentFragment(),
    rec_in_img_div, rec_in_img, rec_out_img_div, rec_out_img, rec_out_obj;
    css_obj = { position: 'absolute', top: 150, left: 20, width: 74, height: 22, overflow: 'hidden', 'z-index': 0 };
    attr_obj = { id: 'rec_in_img_div_id' };
    rec_in_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    rec_in_img = $('<img />', { id: 'rec_in_img_id', src: get_rect_flowchart_in_img(), width: 74, height: 22 }).appendTo(rec_in_img_div);

    rec_out_obj = get_rect_flowchart_out_img();
    css_obj = { position: 'absolute', top: 150, left: 117, width: 78, height: 22, overflow: 'hidden', 'z-index': rec_out_obj['z-index'] };
    attr_obj = { id: 'rec_out_img_div_id' };
    rec_out_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    rec_out_img = $('<img />', { id: 'rec_out_img_id', src: rec_out_obj.src, width: 78, height: 22 }).appendTo(rec_out_img_div);

    fragment.appendChild(rec_in_img_div[0]);
    fragment.appendChild(rec_out_img_div[0]);
    document.body.appendChild(fragment);
  }

  function set_rectifier_flowcharts() {
    var rec_out_obj = get_rect_flowchart_out_img();
    $('#rec_out_img_div_id').css('z-index', rec_out_obj['z-index']);
    $('#rec_out_img_id').attr('src', rec_out_obj.src);

    $('#rec_in_img_id').attr('src', get_rect_flowchart_in_img());
  }

  function get_rect_flowchart_in_img() {
    var val = (valtable_obj.SBSSTATUS_LO >> 8) & 255;
    if ((val == 1) && c)
    return './image/aeg/prtblue/running_flow_rectifier_in.png'; //running
    if (val == 1)
    return './image/aeg/prtblue/static_flow_rectifier_in.png'; //static
    return './image/aeg/prtblue/no_flow_rectifier_in.png';
  }

  function get_rect_flowchart_out_img() {
    var val = (valtable_obj.GRSTATUS_LO >> 8) & 255;
    if ((val == 20) && (a || b))
    return { src: './image/aeg/prtblue/running_flow_rectifier_out.png', 'z-index': 2 }; //running
    if (val == 20)
    return { src: './image/aeg/prtblue/static_flow_rectifier_out.png', 'z-index': 1 } //static
    return { src: './image/aeg/prtblue/no_flow_rectifier_out.png', 'z-index': 1 }
  }

  function create_inverter_flowcharts() {
    var fragment = document.createDocumentFragment(),
    inv_in_img_div, inv_in_img, inv_out_img_div, inv_out_img,
    inv_flowchart_out_obj, inv_flowchart_in_obj;
    css_obj = { position: 'absolute', top: 150, left: 173, width: 79, height: 22, overflow: 'hidden', 'z-index': 0 }; //left:173
    attr_obj = { id: 'inv_in_img_div_id' };

    inv_flowchart_in_obj = get_inv_flowchart_in_img();
    inv_in_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    inv_in_img = $('<img />', { id: 'inv_in_img_id', src: inv_flowchart_in_obj.src, width: 79, height: 22, 'z-index': inv_flowchart_in_obj['z-index'] }).appendTo(inv_in_img_div);

    inv_flowchart_out_obj = get_inv_flowchart_out_img();
    css_obj = { position: 'absolute', top: 150, left: 302, width: 108, height: 117, overflow: 'hidden', 'z-index': inv_flowchart_out_obj['z-index'] };
    attr_obj = { id: 'inv_out_img_div_id' };
    inv_out_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    inv_out_img = $('<img />', { id: 'inv_out_img_id', src: inv_flowchart_out_obj.src, width: 108, height: 117 }).appendTo(inv_out_img_div);

    fragment.appendChild(inv_in_img_div[0]);
    fragment.appendChild(inv_out_img_div[0]);
    document.body.appendChild(fragment);
  }

  function set_inverter_flowcharts() {
    var inv_flowchart_out_obj = get_inv_flowchart_out_img(),
    inv_flowchart_in_obj = get_inv_flowchart_in_img();

    $('#inv_out_img_div_id').css('z-index', inv_flowchart_out_obj['z-index']);
    $('#inv_out_img_id').attr('src', inv_flowchart_out_obj.src);

    $('#inv_in_img_div_id').css('z-index', inv_flowchart_in_obj['z-index']);
    $('#inv_in_img_id').attr('src', inv_flowchart_in_obj.src);
  }

  function get_inv_flowchart_in_img() {
    var val_111 = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    var val_110 = (valtable_obj.GRSTATUS_LO >> 8) & 255;

    var val_331 = (valtable_obj.BOOSTERSTATUS_LO >> 8) & 255;
    var val_330 = valtable_obj.BATTSTATUS_HI & 255;

    if (b)
    return { src: './image/aeg/prtblue/running_flow_inverter_in.png', 'z-index': 2 }; //running
    if (((val_111 != 224) && (val_111 != 225)) && ((val_110 == 20) || (val_331 == 20) || ((val_330 & 4) != 4)))
    return { src: './image/aeg/prtblue/static_flow_inverter_in.png', 'z-index': 1 }; //static
    return { src: './image/aeg/prtblue/no_flow_inverter_in.png', 'z-index': 1 };
  }

  function get_inv_flowchart_out_img() {
    var val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    if (b)
    return { src: './image/aeg/prtblue/running_flow_inverter_out.png', 'z-index': 2 }; //running
    if (val == 15)
    return { src: './image/aeg/prtblue/static_flow_inverter_out.png', 'z-index': 1 }; //static
    return { src: './image/aeg/prtblue/no_flow_inverter_out.png', 'z-index': 1 };
  }

  function create_battery_flowcharts() {
    var fragment = document.createDocumentFragment(),
    batt_in_img_div, batt_in_img;
    css_obj = { position: 'absolute', top: 170, left: 173, width: 22, height: 84, overflow: 'hidden', 'z-index': 0 };
    attr_obj = { id: 'batt_in_img_div_id' };
    batt_in_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    batt_in_img = $('<img />', { id: 'batt_in_img_id', src: get_batt_flowchart_img(), width: 22, height: 84 }).appendTo(batt_in_img_div);
    fragment.appendChild(batt_in_img_div[0]);
    document.body.appendChild(fragment);
  }

  function set_battery_flowcharts() {
    $('#batt_in_img_id').attr('src', get_batt_flowchart_img());
  }

  function get_batt_flowchart_img() {
    var val = (valtable_obj.BATTSTATUS_LO >> 16) & 255;
    if (a)
    return './image/aeg/prtblue/running_flow_battery.png'; //running
    if (val > 0)
    return './image/aeg/prtblue/static_flow_battery.png'; //static
    return './image/aeg/prtblue/no_flow_battery.png';
  }

  function create_bypass_flowcharts() {
    var fragment = document.createDocumentFragment(),
    byp_in_img_div, byp_in_img, byp_out_img_div, byp_out_img, byp_flowchart_out_obj;
    css_obj = { position: 'absolute', top: 336, left: 20, width: 253, height: 22, overflow: 'hidden', 'z-index': 0 };
    attr_obj = { id: 'byp_in_img_div_id' };
    byp_in_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    byp_in_img = $('<img />', { id: 'byp_in_img_id', src: get_byp_flowchart_in_img(), width: 253, height: 22 }).appendTo(byp_in_img_div);

    byp_flowchart_out_obj = get_byp_flowchart_out_img();
    css_obj = { position: 'absolute', top: 242, left: 302, width: 108, height: 117, overflow: 'hidden', 'z-index': byp_flowchart_out_obj['z-index'] }; //flow
    attr_obj = { id: 'byp_out_img_div_id' };
    byp_out_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    byp_out_img = $('<img />', { id: 'byp_out_img_id', src: byp_flowchart_out_obj.src, width: 108, height: 117 }).appendTo(byp_out_img_div); //flow

    fragment.appendChild(byp_in_img_div[0]);
    fragment.appendChild(byp_out_img_div[0]);
    document.body.appendChild(fragment);
  }

  function set_bypass_flowcharts() {
    var byp_flowchart_out_obj = get_byp_flowchart_out_img();
    $('#byp_out_img_div_id').css('z-index', byp_flowchart_out_obj['z-index']);
    $('#byp_out_img_id').attr({ src: byp_flowchart_out_obj.src });

    $('#byp_in_img_id').attr('src', get_byp_flowchart_in_img());
  }

  function get_byp_flowchart_out_img() {
    var val_F1_5 = (valtable_obj.SBS2STATUS_HI >> 40) & 255;
    if (val_F1_5 == 20)
    return { src: './image/aeg/prtblue/running_flow_byp_out.png', 'z-index': 2 }; //running
    //if(val_F1_5 == 21)
    //return './image/aeg/prtblue/static_flow_byp_out.png';//static
    return { src: './image/aeg/prtblue/no_flow_byp_out.png', 'z-index': 1 };
  }

  function get_byp_flowchart_out_end_img() {
    return './image/aeg/prtblue/running_flow_byp_out_end.png'; //running
    var val_F1_5 = (valtable_obj.SBS2STATUS_HI >> 40) & 255;
    if (val_F1_5 == 20)
    return './image/aeg/prtblue/running_flow_byp_out_end.png'; //running
    //if(val_F1_5 == 21)
    //return './image/aeg/prtblue/static_flow_byp_out.png';//static
    return './image/aeg/prtblue/no_flow_byp_out_end.png';
  }

  function get_byp_flowchart_in_img() {
    var val_F1_3 = (valtable_obj.SBS2STATUS_LO >> 24) & 255;
    var val_F1_5 = (valtable_obj.SBS2STATUS_HI >> 40) & 255;
    if ((val_F1_3 == 1) && (val_F1_5 == 20))
    return './image/aeg/prtblue/running_flow_byp_in.png'; //running
    if (val_F1_3 == 1)
    return './image/aeg/prtblue/static_flow_byp_in.png'; //static
    return './image/aeg/prtblue/no_flow_byp_in.png';
  }

  function set_a_b_c() {
    var val;

    val = (valtable_obj.BATTSTATUS_LO >> 8) & 255;
    a = ((val == 20) || (val == 21) || (((valtable_obj.BOOSTERSTATUS_LO >> 8) & 255) == 20));

    val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    b = ((val == 20) || (val == 21))

    val = (valtable_obj.GRSTATUS_LO >> 8) & 255;
    c = ((val == 20) && (a || b));
  }

  function create_up_down_panel() {
    var fragment = document.createDocumentFragment(),
    div, img;
    css_obj = { position: 'absolute', top: 150, left: 648, width: 98, height: 98, overflow: 'hidden', 'z-index': 0 };
    div = $('<div/>').attr(attr_obj).css(css_obj);
    img = $('<img />', { id: 'power_up_img_id', src: get_power_up_img(), width: 98, height: 98 }).appendTo(div);
    fragment.appendChild(div[0]);

    css_obj.top = 264;
    div = $('<div/>').attr(attr_obj).css(css_obj);
    img = $('<img />', { id: 'power_down_img_id', src: get_power_down_img(), width: 98, height: 98 }).appendTo(div);
    fragment.appendChild(div[0]);
    document.body.appendChild(fragment);
  }

  function set_up_down_img() {
    $('#power_up_img_id').attr('src', get_power_up_img());
    $('#power_down_img_id').attr('src', get_power_down_img());
  }

  function get_power_up_img() {
    var val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    if ((val >= 9) && (val <= 21))
    return './image/aeg/prtblue/power_up_on.png';
    return './image/aeg/prtblue/power_up_off.png';
  }

  function get_power_down_img() {
    var val = (valtable_obj.WRSTATUS_LO >> 8) & 255;
    if (val < 9)
    return './image/aeg/prtblue/power_down_on.png';
    return './image/aeg/prtblue/power_down_off.png';
  }

  function create_settings_panel() {
    var fragment = document.createDocumentFragment(),
    settings_img_div, settings_img, settings_title_div, history_img, time_img, div,
    table, tbody, tr, td;
    css_obj = { position: 'absolute', top: 0, left: 0, width: 94, height: 65, overflow: 'hidden', 'z-index': 1 };
    attr_obj = { id: 'settings_img_div_id' };
    settings_img_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(settings_img_div[0]);

    settings_img = $('<img />', { id: 'settings_img_id', src: './image/aeg/prtblue/settings_off.png', width: 94, height: 65 }).appendTo(settings_img_div);
    settings_img.css('cursor', 'pointer');
    settings_img.click(function (event) { toggle_setting(); });

    //settings div
    css_obj = {
      position: 'absolute',
      top: 70,
      left: 0,
      width: 800,
      height: 344,
      'z-index': 11,
      'background-color': '#DDDEDD',
      display: 'none',
      overflow: 'hidden',
      align: 'center'
    };
    attr_obj = { id: 'settings_div_id', 'class': 'XBold_black' };
    settings_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(settings_div[0]);

    //settings div title
    css_obj = { position: 'absolute', top: 24, left: 10, width: 100, height: 20, overflow: 'hidden' };
    attr_obj = { id: 'settings_title_div_id', 'class': 'XLargeBold_black' };
    settings_title_div = panes_api.create_div(attr_obj, css_obj, settings_div);
    settings_title_div.html('Preferences');

    css_obj = {
      position: 'absolute',
      top: 110,
      left: 180,
      width: 400,
      height: 200,
      'z-index': 0,
      display: 'block',
      overflow: 'hidden'
    };
    attr_obj = { 'class': 'XLargeBold_black' };
    div = panes_api.create_div(attr_obj, css_obj, settings_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 6, cellspacing: 10, align: 'center' }).appendTo(div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />').appendTo(tr);
    history_img = $('<img />', { id: 'history_img_id', src: './image/aeg/prtblue/history_off.png', width: 82, height: 80 }).appendTo(td);
    history_img.css('cursor', 'pointer');
    history_img.click(function (event) {
      if (plattform == utils_api.plattform_ups_view) {
        settings_history_div.css('display', 'block');
        settings_history_text.css('cursor', 'wait');
        settings_history_text.attr('value', 'Loading History...');
      }
      get_history();
    });

    td = $('<td />').appendTo(tr);
    time_img = $('<img />', { id: 's_time_img_id', src: './image/aeg/prtblue/date-time_off.png', width: 82, height: 80 }).appendTo(td);
    time_img.css('cursor', 'pointer');
    time_img.click(function (event) { settings_date_time_div.css('display', 'block'); });

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'center' }).append(i18n('History')).appendTo(tr);
    td = $('<td />', { align: 'center' }).append(i18n('Time/Date')).appendTo(tr);
    document.body.appendChild(fragment);
  }

  function create_settings_date_time_panel() {
    var fragment = document.createDocumentFragment(),
    img, input, div, table, tbody, tr, td;

    //settings date time div
    css_obj = {
      position: 'absolute',
      top: 70,
      left: 0,
      width: 800,
      height: 410,
      'z-index': 12,
      'background-color': '#DDDEDD',
      display: 'none',
      overflow: 'hidden',
      align: 'center'
    };
    attr_obj = { id: 'settings_date_time_div_id', 'class': 'XBold_black' };
    settings_date_time_div = $('<div/>').attr(attr_obj).css(css_obj);

    //settings date time title
    css_obj = { position: 'absolute', top: 24, left: 10, width: 100, height: 20, overflow: 'hidden' };
    attr_obj = { 'class': 'XLargeBold_black' };
    div = panes_api.create_div(attr_obj, css_obj, settings_date_time_div);
    div.html(i18n('Date/Time'));

    css_obj = {
      position: 'absolute',
      top: 110,
      left: 60,
      width: 400,
      height: 400,
      'z-index': 0,
      display: 'block',
      overflow: 'hidden'
    };
    attr_obj = { 'class': 'XLargeBold_black' };
    div = panes_api.create_div(attr_obj, css_obj, settings_date_time_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 12, cellspacing: 0, align: 'center' }).appendTo(div);
    tbody = $('<tbody />').appendTo(table);

    //settings date
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />').appendTo(tr);
    input = $('<input />', { id: 'settings_date_input_id', type: 'text', readonly: true, size: 20, maxlength: 20, value: '' })
    .css({ 'text-align': 'center', width: 200, height: 48, cursor: 'pointer' }).appendTo(td);
    //input.datepicker({dateFormat: 'mm.dd.yy', showButtonPanel: true});

    td = $('<td />').appendTo(tr);
    img = $('<img />', { id: 'date_img_id', src: './image/aeg/prtblue/date_off.png', width: 82, height: 80 }).appendTo(td);
    img.css('cursor', 'pointer');
    img.click(function (event) {
      $("#settings_date_input_id").focus();
      this.src = './image/aeg/prtblue/date_on.png'
    });
    input.datepicker({
      dateFormat: 'dd.mm.yy',
      showButtonPanel: true,
      onClose: function () { $('#date_img_id').attr('src', './image/aeg/prtblue/date_off.png'); }
    });
    input.click(function (event) {
      $('#date_img_id').attr('src', './image/aeg/prtblue/date_on.png');
      $('#time_img_id').attr('src', './image/aeg/prtblue/time_off.png');
    });

    //settings time
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />').appendTo(tr);
    input = $('<input />', { id: 'settings_time_input_id', type: 'text', readonly: true, size: 20, maxlength: 20, value: '' })
    .css({ 'text-align': 'center', width: 200, height: 48, cursor: 'pointer' }).appendTo(td);

    td = $('<td />').appendTo(tr);
    img = $('<img />', { id: 'time_img_id', src: './image/aeg/prtblue/time_off.png', width: 82, height: 80 }).appendTo(td);
    img.css('cursor', 'pointer');
    img.click(function (event) {
      $("#settings_time_input_id").focus();
      this.src = './image/aeg/prtblue/time_on.png'
    });
    input.timepicker({ onClose: function () { $('#time_img_id').attr('src', './image/aeg/prtblue/time_off.png'); } });
    input.click(function (event) {
      $('#time_img_id').attr('src', './image/aeg/prtblue/time_on.png');
      $('#date_img_id').attr('src', './image/aeg/prtblue/date_off.png');
    });

    //settings date ok/cancel
    css_obj = {
      position: 'absolute',
      top: 110,
      left: 600,
      width: 100,
      height: 400,
      'z-index': 0,
      display: 'block',
      overflow: 'hidden'
    };
    attr_obj = { 'class': 'XLargeBold_black' };
    div = panes_api.create_div(attr_obj, css_obj, settings_date_time_div);

    table = $('<table/>', { 'class': 'XBold_black', cellpadding: 12, cellspacing: 0, align: 'center' }).appendTo(div);
    tbody = $('<tbody />').appendTo(table);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />').appendTo(tr);
    img = $('<img />', { id: 'cancel_time_img_id', src: './image/aeg/prtblue/cancel_off.png', width: 82, height: 80 }).appendTo(td);
    img.css('cursor', 'pointer');
    img.click(function (event) { settings_date_time_div.css('display', 'none'); });

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />').appendTo(tr);
    img = $('<img />', { id: 'ok_time_img_id', src: './image/aeg/prtblue/ok_off.png', width: 82, height: 80 }).appendTo(td);
    img.css('cursor', 'pointer');
    img.click(function (event) {
      var time = $('#settings_time_input_id');
      var date = $('#settings_date_input_id');
      if (time.attr('value') == '' || date.attr('value') == '')
      return false;

      if (plattform != utils_api.plattform_cs141) {
        var url = oid ? get_url("script/nmsView.dll?" + oid +
          "&json=ups_cmd&cmd=UPS_EXE_COMMAND&p1=2010&p2=" + date.attr('value') + '|' + time.attr('value')) : get_url("data.cgi"),
        time_option = {
          data: oid ? {} : { "json": "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2010, p2: date.attr('value') + '|' + time.attr('value') + ':00' },
          data_type: 'json',
          success: null,
          error: null
        };
        jqmodule.ajax(url, time_option);
      } else {
        cs141_set_ups_time(date.attr('value'), time.attr('value'));
      }

      settings_date_time_div.css('display', 'none');
    });

    fragment.appendChild(settings_date_time_div[0]);
    document.body.appendChild(fragment);
  }

  function cs141_set_ups_time(date, time) {
    var cs141_cmd_option = {
      data: {},
      data_type: 'text',
      success: null,
      error: null
    },

    cs141_cmd_settings = { methode: "POST", xhttp_methode_override: 'PUT', req_payload_json: true },
    ctl_url = get_url("api/devices/ups/control");

    cs141_cmd_option.data = { code: 'upsExeCommand', params: { cmdId: 2010, params: date + '|' + time + ':00' } };
    jqmodule.ajax(ctl_url, cs141_cmd_option, cs141_cmd_settings);
  }

  function set_settings_date_time_panel() {
    if (settings_date_time_div.css('display') == 'block')
    return;
    $('#settings_time_input_id').attr('value', valtable_obj.CBSER_TIME);
    $('#settings_date_input_id').attr('value', valtable_obj.CBSER_DATE_SND);
  }

  function create_settings_history_panel() {
    fragment = document.createDocumentFragment();
    css_obj = {
      position: 'absolute',
      top: 70,
      left: 0,
      width: 800,
      height: 410,
      'z-index': 12,
      'background-color': '#DDDEDD',
      display: 'none',
      overflow: 'hidden',
      align: 'center',
      'text-align': 'center'
    };
    attr_obj = { id: 'settings_history_div_id', 'class': 'XBold_black' };
    settings_history_div = $('<div/>').attr(attr_obj).css(css_obj);
    settings_history_text = $('<textarea />', { id: 'settings_history_text_id', readonly: true, width: '100%', height: '100%' });
    settings_history_text.appendTo(settings_history_div);
    fragment.appendChild(settings_history_div[0]);
    document.body.appendChild(fragment);
  }

  function get_history() {
    if (plattform != utils_api.plattform_cs141) {
      var url = oid ? get_url("script/nmsView.dll?" + oid + "&json=ups_cmd&cmd=UPS_EXE_COMMAND&p1=3333&p2=||||2") : get_url("data.cgi"),
      history_option = {
        data: oid ? {} : { "json": "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 3333, p2: '||||1' },
        data_type: 'text',
        success: history_update,
        error: history_err
      };
      if (plattform != utils_api.plattform_ups_view) {
        var cmd = "type=ups_cmd&cmd=UPS_EXE_COMMAND&p1=3333&p2=||||2";
        var ups_evt_win = utils_api.openCmdWin("600", "500", "title", ups_evt_win, cmd);
      } else
      jqmodule.ajax(url, history_option);
    } else {
      return get_alarm_page_from_ups({ unitid: '', priority: '', sortmode: '', outputtype: 0, inputtype: 0, filename: '', lines: '' }, { open_window: false });
    }
  }

  function history_err(data) {
    settings_history_text.css('cursor', 'default');
    settings_history_text.text(data);
  }

  function history_update(data) {
    settings_history_text.css('cursor', 'default');
    settings_history_text.attr('value', data);
  }

  function toggle_setting() {
    if (settings_date_time_div.css('display') == 'block') {
      settings_date_time_div.css('display', 'none');
      return false;
    }

    if (settings_history_div.css('display') == 'block') {
      settings_history_div.css('display', 'none');
      return false;
    }

    var settings_img = $('#settings_img_id');
    if (settings_div.css('display') == 'block') {
      settings_div.css('display', 'none');
      settings_img.attr('src', './image/aeg/prtblue/settings_off.png');
      return false;
    }
    settings_div.css('display', 'block');
    settings_img.attr('src', './image/aeg/prtblue/settings_on.png');
  }


  function create_modules_panel() {
    var fragment = document.createDocumentFragment(),
    module_div, table, tbody, td, tr, img,
    dist = 96;
    css_obj = {
      position: 'absolute',
      top: 415,
      left: 0,
      width: 92,
      height: 63,
      'align': 'center',
      overflow: 'hidden'
    };

    attr_obj = { id: 'module_sys_div_id' };
    module_div = $('<div/>').attr(attr_obj).css(css_obj);
    fragment.appendChild(module_div[0]);

    img = $('<img />', { id: 'module_sys_img_id', alt: 0, src: get_sys_module_img(), width: 92, height: 63 }).appendTo(module_div);
    img.css('cursor', 'pointer');

    img.click(set_act_modul);

    css_obj.width = 68;
    css_obj.left = 96;

    if (number > 1)
    for (var i = 0; i < valtable_obj.PBNUMBER; i += 1) {

      attr_obj = { id: 'module_' + i + '_div_id' };
      if (i != 0)
      css_obj.left += 72;
      module_div = $('<div/>').attr(attr_obj).css(css_obj);
      fragment.appendChild(module_div[0]);
      img = $('<img />', { id: 'module_' + i + '_img_id', alt: i + 1, src: get_module_img(i), width: 68, height: 63 }).appendTo(module_div);
      img.click(set_act_modul);
      img.css('cursor', 'pointer');
    }
    document.body.appendChild(fragment);
  }

  function set_modules() {
    var id;
    if (number > 1)
    for (var i = 0; i <= valtable_obj.PBNUMBER; ++i) {
      id = '#module_' + i + '_img_id';
      $(id).attr({ src: get_module_img(i) });
    }
    $('#module_sys_img_id').attr({ src: get_sys_module_img(i) });
  }

  function set_act_modul(event) {
    get_module_values(parseInt(this.alt));
    var settings_img = $('#settings_img_id');
    settings_div.css('display', 'none');
    settings_img.attr('src', './image/aeg/prtblue/settings_off.png');
  }

  function get_sys_module_img() {
    var postfix = ups_id == 0 ? '_on.png' : '_off.png',
    value = 0,
    src = './image/aeg/prtblue/block_0',
    status = '',
    id = 0;

    for (; id <= valtable_obj.PBNUMBER; ++id) {
      value = (id > 3) ? (valtable_obj.PBSTATUS_HI >> (8 * id)) & 255 : (valtable_obj.PBSTATUS_LO >> (8 * id)) & 255;
      if (value & 224) {
        status = '_error';
        break;
      } else if (value & 28)
      status = '_warn';
    }
    return src += status + postfix;
  }

  function get_module_img(id) {
    var postfix = (ups_id == id + 1) ? '_on.png' : '_off.png',
    value = (id > 3) ? (valtable_obj.PBSTATUS_HI >> 8 * id) & 255 : (valtable_obj.PBSTATUS_LO >> 8 * id) & 255,
    src = './image/aeg/prtblue/block_' + (id + 1);

    if (value & 224)
    src += '_error';
    else if (value & 28)
    src += '_warn';
    return src += postfix;
  }

  function get_general_failure_color(red_val, yellow_val) {
    var id = 0,
    value;

    if (number == 1 || ups_id == 0) {
      for (; id <= 7; ++id) {
        value = (id > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * id)) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * id)) & 255);
        if (value & red_val)
        return '#E61D1F'; //red
        else if (value & yellow_val)
        return '#F8B53F'; //yellow
      }
    } else {
      value = ((ups_id - 1) > 3) ? ((valtable_obj.PBSTATUS_HI >> (8 * (ups_id - 1))) & 255) : ((valtable_obj.PBSTATUS_LO >> (8 * (ups_id - 1))) & 255);
      if (value & red_val)
      return '#E61D1F'; //red
      else if (value & yellow_val)
      return '#F8B53F'; //yellow
    }
    return null;
  }

  //TODO Check
  function create_footer_pane() {
    if (!oid || !unms_obj)
    return true;
    footer_api.create({ //Attr
        id: 'panel2'
      }, { //css
        position: 'absolute',
        top: '520px'
      },
      unms_obj
    );
  }

  function set_footer() {
    if (!oid || !unms_obj)
    return true;
    footer_api.set(unms_obj);
  }

}(jQuery));