<?xml version="1.0"?>
<!--
   siteman.xsl - OEM UPS screen for BREKOM@UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:import href="./../language.xsl"/>
  <xsl:import href="./../xsl_util.xsl"/>
  <xsl:import href="./../js_util.xsl"/>
  <xsl:import href="./../web_common.xsl"/>
  <xsl:import href="./../panes.xsl"/>
  <xsl:import href="./../valuebar.xsl"/>
  <xsl:import href="./../ups/xseriescommon.xsl"/>
  <xsl:import href="./../app/common.xsl"/>
  <xsl:import href="./siteman_panel.xsl"/>


  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>

  <xsl:variable name="headerY" select="227"/>

  <xsl:template match="/">

    <html>
      <head>
        <meta http-equiv="content-type" contEnt="text/html; charset=ISO-8859-1" />
        <meta http-equiv="expires" content="0" />
        <meta name="robots" content="noindex" />
        <meta name="generator" content="GENEREX Network Management System" />
        <link rel="stylesheet" type="text/css" href="./lib/css.css" />
        <script type="text/javascript" src="./lib/app/app_utils.js"></script>
        <title>NMS Web Client</title>
        <xsl:call-template name="set_css"/>
        <xsl:call-template name="IEpixelBugfixDef">
          <xsl:with-param name="pixels" select="0"/>
        </xsl:call-template>
        <xsl:call-template name="popup"/>
        <xsl:call-template name="js_refresh_def"/>
        <xsl:call-template name="js_tooltips_def"/>
        <xsl:call-template name="js_selection">
          <xsl:with-param name="pageCount" select="3"/>
        </xsl:call-template>
        <script type="text/javascript">
          <xsl:comment>
            <![CDATA[
      function setBrekomSelection(newSelection)
      {
        setSelection(newSelection);

        for(i = 0; i<3; ++i){
          panel = document.getElementById("screen" + eval(i + 1));
          if(panel){

            if(i == newSelection){
             panel.style.backgroundColor = "#ffffff";
            }
            else{
             panel.style.backgroundColor = "#3F5987";
            }
          }
         }

        for(i = 0; ;++i){
          a = document.getElementsByTagName("a")[i];
          if(!a) break;
          hr = a.getAttribute("id");
          if(hr && hr.indexOf("sel") == 0 && hr.length == 4){
            idx = hr.substr(3,1);
            if(idx == newSelection){
              a.style.color = "#3F5987";
            }
            else{
              a.style.color = "#ffffff";
            }

          }
        }

      }
      function escapeQuestionMark(str)
      {
        var ret = ""
        for (i = 0; i< str.length; ++i){
          if(str.charAt(i) == '?'){
            ret += "%3F";
          }
          else{
            ret += str.charAt(i);
          }
        }
        return ret;
      }
      function sm2cmd(cmd, num, val, refoid, cmdmsg, bWithComment, user)
      {
      	cmdmsg =escape(cmdmsg);
        var href;

        user = user != ""?user:"admin";
				if(!bWithComment){
	        href= "nmsView.dll?upscmd=UPS_EXE_COMMAND [" + cmd + "][" + num + "," + val + "]&user=" + user  + "&pass=&refoid="+ refoid+"&cmdmsg="+cmdmsg;
				}
				else{
	        href= "nmsView.dll?atxt&type=cmd&upscmd=UPS_EXE_COMMAND [" + cmd + "][" + num + "," + val + "]&user=" + user + "&pass=&refoid="+ refoid+"&cmdmsg="+cmdmsg;

				}

				location.replace(href);
      }
      /*
      function sm2cmd(cmd, num, val, ip)
      {
        var href= "cmd=" + cmd + "&num=" + num + "&val=" + val + "&ip="+ ip;
        //alert(dummy);
        //location.href = href;
        sm2cmdPopup(href);
      }
      */
      var fenster = 0;
			function sm2cmdPopup(query)
			{
				fenster=window.open("sm2cmd.htm?"+query,"sm2cmd","width=280,height=230,status=no,resizable=no");
			  fenster.focus();
			}
    	]]>
          </xsl:comment>
        </script>

      </head>

      <body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0">

        <!-- Appliction notifier -->
        <xsl:call-template name="app-notifier"/>
        <!--Body-->
        <xsl:call-template name="siteman_panel-body"/>
        <!--Header-->
        <xsl:call-template name="siteman_panel-header"/>
        <!--Footer-->
        <xsl:call-template name="siteman_panel-footer"/>
        <!--Menu-->
        <xsl:call-template name="siteman_panel-menu"/>

      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>









