<?xml version="1.0"?>
<!--
   snmp_panel.xsl - Standard UPS screen @UNMS-II.
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="snmp_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="3"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="snmp_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="top" select="440"/>
      <xsl:with-param name="left" select="20"/>
      <xsl:with-param name="width" select="758"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="snmp_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>

  <!--Body-->
  <xsl:template name="snmp_panel-body">
    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>
    <xsl:apply-templates />
  </xsl:template>

  <!-- Implementation -->
  <xsl:template match="values">
    <xsl:call-template name="background">
      <xsl:with-param name="imagepath" select="'./lib/ups/image/ups/Standard_d.png'"/>
      <xsl:with-param name="x" select="'0'"/>
      <xsl:with-param name="y" select="'0'"/>
      <xsl:with-param name="w" select="'788'"/>
      <xsl:with-param name="h" select="'487'"/>
      <xsl:with-param name="border" select="'0'"/>
      <xsl:with-param name="id" select="'background'"/>
    </xsl:call-template>

    <!-- In phases -->
    <xsl:variable name="inphases" select="value[@name='upsInputNumLines']/@val"/>
    <!-- Out phases -->
    <xsl:variable name="outphases" select="value[@name='upsOutputNumLines']/@val"/>
    <!-- MODEL -->
    <div class="LargeBold" style="position: absolute; left: 60px; top: 110px; width: 163px; height: 17px; text-align:center">
      <xsl:value-of select="value[@name='upsIdentModel']/@val" />
    </div>

    <!-- STATUS -->
    <xsl:variable name="state" select="value[@name='upsGenerexState']/@val"/>


    <!-- Bits masked -->
    <xsl:variable name="bypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="shutdown">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="active">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="powerfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterylow">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="overtemp">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="testact">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outputhigh">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batterybad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="ecomode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="inverterwarn">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="upsfailed">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit13"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="commlost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit14"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="dvgalarm">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- BATTERY-->
    <div style="position: absolute; left: 371Px; top: 293px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/Batgrv.gif" />
        </xsl:when>
        <xsl:when test="1=$batterylow or 1=$batterybad">
          <img src="./lib/ups/image/ups/Batrv.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/Batgev.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- RECTIFIER-->
    <div style="position: absolute; left: 277px; top: 217px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/grw.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/grgr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <xsl:variable name="outpower" select="value[@name='upsOutputPercentLoad']/@val"/>

    <xsl:variable name="overload">
      <xsl:choose>
        <xsl:when test="$outphases=3">
          <xsl:variable name="outpower0" select="value[@name='upsOutputPercentLoad']/@val"/>
          <xsl:variable name="outpower1" select="value[@name='upsOutputPercentLoad']/@val2"/>
          <xsl:variable name="outpower2" select="value[@name='upsOutputPercentLoad']/@val3"/>
          <xsl:choose>
            <xsl:when test="$outpower0>100 or $outpower1>100 or $outpower2>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:when>
        <xsl:otherwise>
          <xsl:choose>
            <xsl:when test="$outpower>100">1</xsl:when>
            <xsl:otherwise>0</xsl:otherwise>
          </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg" select="value[@name='upsBatteryTemperature']/@val"/>
    <xsl:variable name="tempmax" select="50"/>

    <xsl:variable name="overtemp1">
      <xsl:choose>
        <xsl:when test="$tempdeg>200">0</xsl:when>
        <xsl:when test="$tempdeg>$tempmax">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- TESTVAL-->
    <!--
	<div class="LargeBold" style="position: absolute; left: 60px; top: 310px; width: 163px; height: 17px; text-align:center">
		<xsl:value-of select="$overtemp1" />
	</div>
	-->
    <!-- INVERTER-->
    <div style="position: absolute; left: 470px; top: 217px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$inverterfail or 1=$inverterwarn or 1=$outputhigh or 1=$overload or 1=$overtemp or 1=$overtemp1">
          <img src="./lib/ups/image/ups/wrr.gif" />
        </xsl:when>
        <xsl:when test="1=$bypass ">
          <img src="./lib/ups/image/ups/wrge.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/wrgr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- SSI-->
    <div style="position: absolute; left: 371px; top: 139px; width: 50px; height: 50px">
      <xsl:choose>
        <xsl:when test="1=$powerfail">
          <img src="./lib/ups/image/ups/ssww.gif" />
        </xsl:when>
        <xsl:when test="1=$bypass">
          <img src="./lib/ups/image/ups/sswgr.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/ups/sswge.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>


    <!-- IRE -->
    <div style="position: absolute; left: 205px; top: 236px; width: 22px; height: 8px">
      <xsl:choose>
        <xsl:when test="1=$powerfail or 1=$inputhigh">
          <img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- IBY -->
    <div style="position: absolute; left: 565px; top: 236px; width: 22px; height: 8px">
      <xsl:choose>
        <xsl:when test="1!=$active  and 1!=$commlost">
          <img border="1" src="./lib/ups/image/ups/led20x4red.gif" width="22" height="8"/>
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led20x4gr.gif" width="22" height="8"/>
        </xsl:otherwise>
      </xsl:choose>
    </div>


    <!-- COMMON ALARM -->
    <div id="alarm_id" style="position: absolute; left: 610px; top: 110px; width: 33px; height: 12px; color:#3341AA; font-weight:bold; font-size:9pt">
      <script type="text/javascript"> translate_text('alarm_id', 'Alarm');</script>
    </div>
    <div style="position: absolute; left: 610px; top: 130px; width: 33px; height: 12px">
      <xsl:choose>
        <xsl:when test="4!=$state and 1!=$testact">
          <img border="1" src="./lib/ups/image/ups/led33x12red.gif" />
        </xsl:when>
        <xsl:otherwise>
          <img border="1" src="./lib/ups/image/ups/led33x12gr.gif" />
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- Input -->
    <xsl:choose>
      <xsl:when test="$inphases=3">
        <xsl:call-template name="paneTab3r1c">
          <xsl:with-param name="xT" select="62" />
          <xsl:with-param name="yT" select="222" />
          <xsl:with-param name="wT" select="18" />
          <xsl:with-param name="hT" select="11" />
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="w" select="30"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L'" />
          <xsl:with-param name="value" select="value[@name='upsInputVoltage']" />
          <xsl:with-param name="unit" select="'V'" />
          <xsl:with-param name="precision" select="0" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <!-- Input Freq-->
        <xsl:call-template name="paneValue">
          <xsl:with-param name="x" select="122"/>
          <xsl:with-param name="y" select="222"/>
          <xsl:with-param name="w" select="18"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="value" select="value[@name='upsInputFrequency']/@val" />
          <xsl:with-param name="unit" select="'Hz'" />
          <xsl:with-param name="precision" select="1" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'div_Text'" />
        </xsl:call-template>
      </xsl:when>
      <xsl:when test="$inphases=2">
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="60"/>
          <xsl:with-param name="yT" select="224"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="30"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='upsInputVoltage']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="60"/>
          <xsl:with-param name="yT" select="242"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="30"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L2'" />
          <xsl:with-param name="value"  select="value[@name='upsInputVoltage']/@val2" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <!-- Input Freq-->
        <xsl:call-template name="paneValue">
          <xsl:with-param name="x" select="130"/>
          <xsl:with-param name="y" select="224"/>
          <xsl:with-param name="w" select="18"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="align" select="'left'" />
          <xsl:with-param name="value" select="value[@name='upsInputFrequency']/@val" />
          <xsl:with-param name="unit" select="'Hz'" />
          <xsl:with-param name="precision" select="1" />
          <xsl:with-param name="visibility" select="'visible'" />
          <xsl:with-param name="name" select="'div_Text'" />
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <xsl:call-template name="paneRow2">
          <xsl:with-param name="xT" select="62"/>
          <xsl:with-param name="yT" select="234"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="14"/>
          <xsl:with-param name="w" select="30"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='upsInputVoltage']/@val" />
          <xsl:with-param name="unit" select="'V'"/>
          <xsl:with-param name="value2" select="value[@name='upsInputFrequency']/@val" />
          <xsl:with-param name="unit2" select="'Hz'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="precision2" select="1"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
      </xsl:otherwise>
    </xsl:choose>


    <!-- Output Power variables-->
    <xsl:variable name="outpower0" select="value[@name='upsOutputPercentLoad']/@val"/>
    <xsl:variable name="outpower1" select="value[@name='upsOutputPercentLoad']/@val2"/>
    <xsl:variable name="outpower2" select="value[@name='upsOutputPercentLoad']/@val3"/>

    <xsl:variable name="title_bar1">
      <xsl:choose>
        <xsl:when test="value[@name='upsOutputPercentLoad']/@val &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='upsOutputPercentLoad']/@val,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar2">
      <xsl:choose>
        <xsl:when test="value[@name='upsOutputPercentLoad']/@val2 &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='upsOutputPercentLoad']/@val2,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="title_bar3">
      <xsl:choose>
        <xsl:when test="value[@name='upsOutputPercentLoad']/@val3 &gt; -1">
          <xsl:value-of select="concat(substring-before(value[@name='upsOutputPercentLoad']/@val3,'.'), '%')" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="''" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Output Power Load BAR 1,2 and 3 -->
    <xsl:call-template name="Loadbar1">
      <xsl:with-param name="load1" select="$outpower0"/>
      <xsl:with-param name="load2" select="$outpower1"/>
      <xsl:with-param name="load3" select="$outpower2"/>
      <xsl:with-param name="x1" select="'640'"/>
      <xsl:with-param name="x2" select="'675'"/>
      <xsl:with-param name="x3" select="'710'"/>
      <xsl:with-param name="y" select="300"/>
      <xsl:with-param name="yOffset" select="5"/>
      <xsl:with-param name="border" select="1"/>
      <xsl:with-param name="scale" select="1"/>
      <xsl:with-param name="outphases" select="$outphases"/>
      <xsl:with-param name="textcolor" select="'#3341AA'"/>
      <xsl:with-param name="title_bar1" select="$title_bar1"/>
      <xsl:with-param name="title_bar2" select="$title_bar2"/>
      <xsl:with-param name="title_bar3" select="$title_bar3"/>
    </xsl:call-template>

    <!-- OUTPUT-->
    <xsl:variable name="outputvolt_available">
      <xsl:choose>
        <xsl:when test="string-length(value[@name='upsOutputVoltage']/@val) &gt; 0 and value[@name='upsOutputVoltage']/@val &gt; 0">
          <xsl:value-of select="'1'" />
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'" />
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- OUTPUT-->
    <xsl:choose>
      <xsl:when test="$outphases=3">
        <xsl:choose>
          <xsl:when test="$outputvolt_available &gt; 0">
            <xsl:call-template name="paneTab3r2c">
              <xsl:with-param name="xT" select="630" />
              <xsl:with-param name="yT" select="222" />
              <xsl:with-param name="wT" select="18" />
              <xsl:with-param name="hT" select="11" />
              <xsl:with-param name="alignT" select="'left'" />
              <xsl:with-param name="text" select="'L'" />
              <xsl:with-param name="xOff" select="0" />
              <xsl:with-param name="xOff2" select="14" />
              <xsl:with-param name="w" select="32" />
              <xsl:with-param name="h" select="11" />
              <xsl:with-param name="align" select="'right'" />
              <xsl:with-param name="value" select="value[@name='upsOutputPercentLoad']" />
              <xsl:with-param name="unit" select="'%'" />
              <xsl:with-param name="precision" select="0" />
              <xsl:with-param name="value2" select="value[@name='upsOutputVoltage']" />
              <xsl:with-param name="unit2" select="'V'" />
              <xsl:with-param name="precision2" select="0" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:call-template name="paneTab3r1c">
              <xsl:with-param name="xT" select="630" />
              <xsl:with-param name="yT" select="222" />
              <xsl:with-param name="wT" select="18" />
              <xsl:with-param name="hT" select="11" />
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="w" select="30"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L'" />
              <xsl:with-param name="value" select="value[@name='upsOutputPercentLoad']" />
              <xsl:with-param name="unit" select="'%'" />
              <xsl:with-param name="precision" select="'0'" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
            <!-- Output Freq-->
            <xsl:if test="string-length(value[@name='upsOutputFrequency']/@val) &gt; 0 and value[@name='upsOutputFrequency']/@val &gt; 0">
              <xsl:call-template name="paneValue">
                <xsl:with-param name="x" select="690"/>
                <xsl:with-param name="y" select="222"/>
                <xsl:with-param name="w" select="18"/>
                <xsl:with-param name="h" select="11"/>
                <xsl:with-param name="align" select="'left'" />
                <xsl:with-param name="value" select="value[@name='upsOutputFrequency']/@val" />
                <xsl:with-param name="unit" select="'Hz'" />
                <xsl:with-param name="precision" select="1" />
                <xsl:with-param name="visibility" select="'visible'" />
                <xsl:with-param name="name" select="'div_Text'" />
              </xsl:call-template>
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$outphases=2">
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="626"/>
          <xsl:with-param name="yT" select="222"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="30"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L1'" />
          <xsl:with-param name="value"  select="value[@name='upsOutputPercentLoad']/@val" />
          <xsl:with-param name="unit" select="'%'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>
        <xsl:call-template name="paneRow">
          <xsl:with-param name="xT" select="626"/>
          <xsl:with-param name="yT" select="242"/>
          <xsl:with-param name="wT" select="18"/>
          <xsl:with-param name="hT" select="11"/>
          <xsl:with-param name="xOff" select="0"/>
          <xsl:with-param name="xOff2" select="2"/>
          <xsl:with-param name="w" select="30"/>
          <xsl:with-param name="h" select="11"/>
          <xsl:with-param name="text" select="'L2'" />
          <xsl:with-param name="value"  select="value[@name='upsOutputPercentLoad']/@val2" />
          <xsl:with-param name="unit" select="'%'"/>
          <xsl:with-param name="precision" 	select="0"/>
          <xsl:with-param name="visibility" select="'visible'"/>
          <xsl:with-param name="name" select="'page1'"/>
        </xsl:call-template>

        <xsl:choose>
          <xsl:when test="$outputvolt_available &gt; 0">
            <xsl:call-template name="paneValue">
              <xsl:with-param name="x" select="692"/>
              <xsl:with-param name="y" select="222"/>
              <xsl:with-param name="w" select="18"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="align" select="'left'" />
              <xsl:with-param name="value" select="value[@name='upsOutputVoltage']/@val" />
              <xsl:with-param name="unit" select="'V'" />
              <xsl:with-param name="precision" select="0" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'div_Text'" />
            </xsl:call-template>
            <xsl:call-template name="paneValue">
              <xsl:with-param name="x" select="692"/>
              <xsl:with-param name="y" select="242"/>
              <xsl:with-param name="w" select="18"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="align" select="'left'" />
              <xsl:with-param name="value" select="value[@name='upsOutputVoltage']/@val2" />
              <xsl:with-param name="unit" select="'V'" />
              <xsl:with-param name="precision" select="0" />
              <xsl:with-param name="visibility" select="'visible'" />
              <xsl:with-param name="name" select="'div_T'" />
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:if test="string-length(value[@name='upsOutputFrequency']/@val) &gt; 0 and value[@name='upsOutputFrequency']/@val &gt; 0">
              <!-- Output Freq-->
              <xsl:call-template name="paneValue">
                <xsl:with-param name="x" select="692"/>
                <xsl:with-param name="y" select="222"/>
                <xsl:with-param name="w" select="18"/>
                <xsl:with-param name="h" select="11"/>
                <xsl:with-param name="align" select="'left'" />
                <xsl:with-param name="value" select="value[@name='upsOutputFrequency']/@val" />
                <xsl:with-param name="unit" select="'Hz'" />
                <xsl:with-param name="precision" select="1" />
                <xsl:with-param name="visibility" select="'visible'" />
                <xsl:with-param name="name" select="'div_Text'" />
              </xsl:call-template>
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="$outputvolt_available &gt; 0">
            <xsl:call-template name="paneRow2">
              <xsl:with-param name="xT" select="628"/>
              <xsl:with-param name="yT" select="235"/>
              <xsl:with-param name="wT" select="18"/>
              <xsl:with-param name="hT" select="11"/>
              <xsl:with-param name="xOff" select="0"/>
              <xsl:with-param name="xOff2" select="14"/>
              <xsl:with-param name="w" select="30"/>
              <xsl:with-param name="h" select="11"/>
              <xsl:with-param name="text" select="'L1'" />
              <xsl:with-param name="value"  select="value[@name='upsOutputVoltage']/@val" />
              <xsl:with-param name="unit" select="'V'"/>
              <xsl:with-param name="value2" select="value[@name='upsOutputFrequency']/@val" />
              <xsl:with-param name="unit2" select="'Hz'"/>
              <xsl:with-param name="precision" 	select="0"/>
              <xsl:with-param name="precision2" select="0"/>
              <xsl:with-param name="visibility" select="'visible'"/>
              <xsl:with-param name="name" select="'page1'"/>
            </xsl:call-template>
          </xsl:when>
          <xsl:otherwise>
            <xsl:if test="string-length(value[@name='upsOutputFrequency']/@val) &gt; 0 and value[@name='upsOutputFrequency']/@val = 0">
              <xsl:call-template name="paneRow1">
                <xsl:with-param name="xT" select="628"/>
                <xsl:with-param name="yT" select="235"/>
                <xsl:with-param name="wT" select="18"/>
                <xsl:with-param name="hT" select="11"/>
                <xsl:with-param name="xOff" select="0"/>
                <xsl:with-param name="w" select="30"/>
                <xsl:with-param name="h" select="11"/>
                <xsl:with-param name="text" select="'L1'" />
                <xsl:with-param name="value"  select="value[@name='upsOutputPercentLoad']/@val" />
                <xsl:with-param name="unit" select="'%'"/>
                <xsl:with-param name="precision" 	select="0"/>
              </xsl:call-template>
            </xsl:if>
            <xsl:if test="string-length(value[@name='upsOutputFrequency']/@val) &gt; 0 and value[@name='upsOutputFrequency']/@val &gt; 0">
              <xsl:call-template name="paneRow2">
                <xsl:with-param name="xT" select="628"/>
                <xsl:with-param name="yT" select="235"/>
                <xsl:with-param name="wT" select="18"/>
                <xsl:with-param name="hT" select="11"/>
                <xsl:with-param name="xOff" select="0"/>
                <xsl:with-param name="xOff2" select="14"/>
                <xsl:with-param name="w" select="30"/>
                <xsl:with-param name="h" select="11"/>
                <xsl:with-param name="text" select="'L1'" />
                <xsl:with-param name="value"  select="value[@name='upsOutputPercentLoad']/@val" />
                <xsl:with-param name="unit" select="'%'"/>
                <xsl:with-param name="value2" select="value[@name='upsOutputFrequency']/@val" />
                <xsl:with-param name="unit2" select="'Hz'"/>
                <xsl:with-param name="precision" 	select="0"/>
                <xsl:with-param name="precision2" select="1"/>
                <xsl:with-param name="visibility" select="'visible'"/>
                <xsl:with-param name="name" select="'page1'"/>
              </xsl:call-template>
            </xsl:if>
          </xsl:otherwise>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>

    <xsl:variable name="autonomtime">
      <xsl:choose>
        <xsl:when test="value[@name='upsEstimatedMinutesRemaining']/@val = -1.0 or value[@name='upsEstimatedMinutesRemaining']/@val &gt; 4294967294 " >
          <xsl:value-of select="'N/A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="round-decimal">
            <xsl:with-param  name="value" select="value[@name='upsEstimatedMinutesRemaining']/@val"/>
            <xsl:with-param name="precision" select="0"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg_">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0 or value[@name='upsBatteryTemperature']/@val = -1.0 or value[@name='upsBatteryTemperature']/@val &gt; 200 " >
          <xsl:value-of select="'N/A'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:call-template name="getTemperature">
            <xsl:with-param name="value" select="value[@name='upsBatteryTemperature']/@val" />
            <xsl:with-param name="precision" select="1"/>
          </xsl:call-template>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="tempdeg-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>&#176;C </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="battvolt">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0 or string-length(value[@name='upsBatteryVoltage']/@val) = 0 or value[@name='upsBatteryVoltage']/@val = -1.0 or value[@name='upsBatteryVoltage']/@val &gt; 20000 ">
          <xsl:value-of select="'N/A '"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="value[@name='upsBatteryVoltage']/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="battvolt-unit">
      <xsl:choose>
        <xsl:when test="value[@name='LEVEL']/@val = 0"></xsl:when>
        <xsl:otherwise>V </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- BATTERY;AUTONOMTIME,Capacity-->
    <xsl:call-template name="battery-values">

      <xsl:with-param name="batt-txt" select="$lang-Battery" />
      <xsl:with-param name="batt-volt" select="$battvolt" />
      <xsl:with-param name="battvolt-unit" select="$battvolt-unit" />

      <xsl:with-param name="time-txt" select="$lang-Time" />
      <xsl:with-param name="time-val" select="$autonomtime" />
      <xsl:with-param name="time-unit" select="'Min'" />

      <xsl:with-param name="capacity-txt" select="$lang-Temperature-short" />
      <xsl:with-param name="capacity-val" select="$tempdeg_" />
      <xsl:with-param name="capacity-unit" select="''" />

    </xsl:call-template>


    <!-- Pane humidity-Temp -->
    <xsl:call-template name="humidity_temp">
      <xsl:with-param name="humid" select="value[@name='xupsEnvRemoteHumidity']/@val" />
      <xsl:with-param name="temp" select="value[@name='xupsEnvRemoteTemp']/@val" />
    </xsl:call-template>

  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>