<?xml version="1.0"?>
<!--
   sts.xsl - Error screen for @UNMS-II.
   Language: English
   Copyright (c) 2010, Generex GmbH. All rights reserved.
   Said
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <!-- Methods -->
  <!--Header-->
  <xsl:template name="sts_panel-header">
    <xsl:call-template name="app-header">
      <xsl:with-param name="top" select="10"/>
      <xsl:with-param name="left" select="20"/>
    </xsl:call-template>
  </xsl:template>

  <!--Footer-->
  <xsl:template name="sts_panel-footer" >
    <xsl:call-template name="app-footer" >
      <xsl:with-param name="left" select="24"/>
      <xsl:with-param name="top" select="650"/>
      <xsl:with-param name="width" select="752"/>
      <xsl:with-param name="height" select="62"/>
    </xsl:call-template>
  </xsl:template>
  <!--Menu-->
  <xsl:template name="sts_panel-menu">
    <xsl:call-template name="app-menu">
      <xsl:with-param name="top" select="428"/>
      <xsl:with-param name="left" select="0"/>
      <xsl:with-param name="width" select="0"/>
      <xsl:with-param name="height" select="0"/>
      <xsl:with-param name="class" select="'XBold_black'"/>
    </xsl:call-template>
  </xsl:template>



  <!--Body-->
  <xsl:template name="sts_panel-body">
    <!--
      <xsl:call-template name="background">
         <xsl:with-param name="imagepath" select="'./lib/ups/image/sts/back_sts.png'"/>
         <xsl:with-param name="x" select="'0'"/>
         <xsl:with-param name="y" select="0"/>
         <xsl:with-param name="w" select="'792'"/>
         <xsl:with-param name="h" select="'642'"/>
         <xsl:with-param name="border" select="0"/>
         <xsl:with-param name="id" select="'background'"/>
      </xsl:call-template>-->
    <xsl:apply-templates />

    <div id="bg_id" class="rounded" style="position:absolute; left:20px; top:20px; width:700px; height:500px; border: 3px solid #FFFFFF;
            border-radius: 20px 20px 20px 20px; box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.8), 2px 2px 5px rgba(0, 0, 0, 0.8) inset; padding: 20px;
            position: absolute;z-index: 10; overflow:auto;">
    </div>


    <xsl:call-template name="IEpixelBugfixCall"/>
    <xsl:call-template name="js_refresh_call">
      <xsl:with-param	 name="timeout" select="1000*//report/@refresh"/>
    </xsl:call-template>

  </xsl:template>

  <xsl:template match="values">
    <!-- Implementation -->
    <!-- STS Image position-->
    <xsl:variable name="sts_img_x" select="100"/>
    <xsl:variable name="sts_img_y" select="140"/>
    <!-- Model -->
    <xsl:variable name="model" select="value[@name='MODEL']/@val"/>
    <xsl:if test="string-length($model) !=0">
      <div id="model_id" class="XLargeBold" style="position:absolute; left:{$sts_img_x - 48}px; top:90px; width:300px; height:60px">
        <script type="text/javascript"> translate_text('model_id', ['Model', ':&#160;&#160;', '<xsl:value-of select="$model"/>']);</script>
      </div>
    </xsl:if>
    <!-- STS Image -->
    <div id="sts_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x}px; top:{$sts_img_y}px; ">
      <img src="./lib/ups/image/sts/sts_d.png" alt="" border=""/>
      <!-- 340, 350-->
    </div>
    <!-- STS-STATUS -->
    <xsl:variable name="sts_state" select="value[@name='STS_STATUS']/@val"/>
    <!-- Bits masked -->
    <xsl:variable name="atsSourcesAsynchronous">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsStaticSwitchAFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsStaticSwitchBFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsOnStaticSwitchA">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsOnStaticSwitchB">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsOnManualBypassA">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsOnManualBypassB">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsSourceAFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsSourceBFailure">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit8"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsGeneralFault">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsRedundancyLost">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit10"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsOutputOverload">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="atsOutputFail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$sts_state"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- Text switch source A and B-->
    <div id="srs_a_id" class="XLargeBold" style="position:absolute; left:{$sts_img_x - 48}px; top:{$sts_img_y+54}px; width:100px; height:60px">
      <script type="text/javascript"> translate_text('srs_a_id', ['Source', ' A']);</script>
    </div>
    <div id="srs_b_id" class="XLargeBold" style="position:absolute; left:{$sts_img_x - 48}px; top:{$sts_img_y+238}px; width:100px; height:40px">
      <script type="text/javascript"> translate_text('srs_b_id', ['Source', ' B']);</script>
    </div>

    <!-- source A -->
    <div id="sourceA_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x+45}px; top:{$sts_img_y+44}px;">
      <xsl:choose>
        <xsl:when test="1=$atsSourceAFailure">
          <img src="./lib/ups/image/sts/red-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/sts/green-on-32.png" alt="" border=""/>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <!-- source B -->
    <div id="sourceB_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x+45}px; top:{$sts_img_y+226}px;">
      <xsl:choose>
        <xsl:when test="1=$atsSourceBFailure">
          <img src="./lib/ups/image/sts/red-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/sts/green-on-32.png" alt="" border=""/>
        </xsl:otherwise>
      </xsl:choose>
    </div>


    <!-- StaticSwitch A  -->
    <div id="switchA_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x+300}px; top:{$sts_img_y+44}px; width:55px; height:55px">
      <xsl:choose>
        <xsl:when test="1=$atsOnStaticSwitchA and 1=$atsStaticSwitchAFailure">
          <img src="./lib/ups/image/sts/red-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:when test="1=$atsOnStaticSwitchA ">
          <img src="./lib/ups/image/sts/green-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:when test="1=$atsStaticSwitchAFailure ">
          <img src="./lib/ups/image/sts/yellow-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/sts/white-off-32.png" alt="" border=""/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- StaticSwitch B  -->
    <div id="switchB_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x+300}px; top:{$sts_img_y+226}px; width:55px; height:55px">
      <xsl:choose>
        <xsl:when test="1=$atsOnStaticSwitchB and 1=$atsStaticSwitchBFailure">
          <img src="./lib/ups/image/sts/red-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:when test="1=$atsOnStaticSwitchB">
          <img src="./lib/ups/image/sts/green-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:when test="1=$atsStaticSwitchBFailure ">
          <img src="./lib/ups/image/sts/yellow-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/sts/white-off-32.png" alt="" border=""/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- Output  -->
    <!-- Text Output-->
    <div id="switchA_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x+480}px; top:{$sts_img_y+170}px; width:40px; height:40px">
      <xsl:value-of select="$lang-Output"/>
    </div>
    <div id="output_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x+542}px; top:{$sts_img_y+136}px; width:23px; height:23px">
      <xsl:choose>
        <xsl:when test="1=$atsOutputOverload or 1=$atsOutputFail">
          <img src="./lib/ups/image/sts/red-on-32.png" alt="" border=""/>
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/sts/green-on-32.png" alt="" border=""/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!-- General Fault  -->
    <!-- Text General Fault-->
    <div id="general_fault_id" class="XLarge" style="position:absolute; left:{$sts_img_x - 28}px; top:{$sts_img_y+370}px; width:40px; height:40px">
      <script type="text/javascript"> translate_text('general_fault_id', '<xsl:value-of select="$lang-general-fault"/>');</script>
    </div>
    <div id="g_f_img" class="XLargeBold" style="position:absolute; left:{$sts_img_x - 48}px; top:{$sts_img_y+371}px; width:12px; height:12px">
      <xsl:choose>
        <xsl:when test="1=$atsGeneralFault">
          <img src="./lib/ups/image/sts/red-on-16.png" alt="" border=""/>
        </xsl:when>
        <xsl:otherwise>
          <img src="./lib/ups/image/sts/white-off-16.png" alt="" border=""/>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <!--Source A and B Input-->
    <xsl:variable name="involt_a">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='INVOLT']/@val"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'V'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="involt_b">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='INVOLT']/@val2"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'V'"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="infreq_a">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='INFREQ']/@val"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'Hz'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="infreq_b">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='INFREQ']/@val2"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'Hz'"/>
      </xsl:call-template>
    </xsl:variable>

    <div id="in_src_a" style="position:absolute; left:{$sts_img_x - 48}px; top:{$sts_img_y + 80}px; width:120px; height:60px">
      <table cellspacing="1" cellpadding="1"  width="100%" class="MediumBold" style="color:#000000">
        <tr>
          <td id="in_src_a_volt" align="left">
            <script type="text/javascript"> translate_text('in_src_a_volt', 'Voltage');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$involt_a"/>
          </td>
        </tr>
        <tr>
          <td id="in_src_a_freq" align="left">
            <script type="text/javascript"> translate_text('in_src_a_freq', 'Frequency');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$infreq_a"/>
          </td>
        </tr>

      </table>
    </div>

    <div id="in_src_b" style="position:absolute; left:{$sts_img_x - 48}px; top:{$sts_img_y+264}px; width:120px; height:60px">
      <table cellspacing="1" cellpadding="1"  width="100%" class="MediumBold" style="color:#000000">
        <tr>
          <td id="in_src_b_volt" align="left">
            <script type="text/javascript"> translate_text('in_src_b_volt', 'Voltage');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$involt_b"/>
          </td>
        </tr>
        <tr>
          <td id="in_src_b_freq" align="left">
            <script type="text/javascript"> translate_text('in_src_b_freq', 'Frequency');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$infreq_b"/>
          </td>
        </tr>

      </table>
    </div>


    <!--Output-->
    <xsl:variable name="out_freq">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='OUTFREQ']/@val"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'Hz'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="out_volt">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='OUTPUT_VOLT']/@val"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'V'"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="out_curr">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='EX_OUT_CURR']/@val"/>
        <xsl:with-param name="precision"    select="2"/>
        <xsl:with-param name="unit"         select="'A'"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="load">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value"        select="value[@name='OUTPOWER']/@val"/>
        <xsl:with-param name="precision"    select="0"/>
        <xsl:with-param name="unit"         select="'%'"/>
      </xsl:call-template>
    </xsl:variable>

    <div id="output" style="position:absolute; left:{$sts_img_x+480}px; top:336px; width:120px; height:60px">
      <table cellspacing="1" cellpadding="1"  width="100%" class="MediumBold" style="color:#000000">
        <tr>
          <td id="out_volt" align="left">
            <script type="text/javascript"> translate_text('out_volt', 'Voltage');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$out_volt"/>
          </td>
        </tr>
        <tr>
          <td id="out_freq" align="left">
            <script type="text/javascript"> translate_text('out_freq', 'Frequency');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$out_freq"/>
          </td>
        </tr>
        <tr>
          <td id="out_curr" align="left">
            <script type="text/javascript"> translate_text('out_curr', 'Current');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$out_curr"/>
          </td>
        </tr>
        <tr>
          <td id="out_load" align="left">
            <script type="text/javascript"> translate_text('out_load', 'Load');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$load"/>
          </td>
        </tr>
      </table>
    </div>


    <!-- TEMPDEG -->
    <xsl:variable name="temperature">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="value[@name='TEMPDEG']" />
        <xsl:with-param name="precision" select="0"/>
      </xsl:call-template>
    </xsl:variable>

    <div id="temperature" style="position:absolute; left:530px; top:{$sts_img_y+370}px; width:200px; height:60px">
      <table cellspacing="1" cellpadding="1"  width="100%" class="MediumBold" style="color:#000000">
        <tr>
          <td id="temperature_id" align="left">
            <script type="text/javascript"> translate_text('temperature_id', 'ATS system temperature');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$temperature"/>
          </td>
        </tr>
      </table>
    </div>


  </xsl:template>
  <!-- EOS -->
</xsl:stylesheet>
