var trimod_api = (function ($) {
  var oid = get_oid_from_url(),
  cb = null,
  pannes_created = false,
  err_div = null,
  check_bowser = true,
  css_obj,
  valtable_obj, report_obj, unms_obj, module_obj,
  inphases = null,
  outphases = null,
  x_pos = 10,
  y_pos = 10,
  bg_width = 860,

  ups_cmd_option = {
    data: {},
    data_type: 'text',
    success: ups_cmd_update,
    error: cmd_err_funct
  },
  ups_cmd_settings = { methode: "POST", xhttp_methode_override: 'PUT', req_payload_json: true },
  curr_ups_cmd = { id: '', value: '', is_toggle_cmd: false },
  ctl_url = get_url("api/devices/ups/control");

  var req_params = null;
  var current_page = 'Status';
  var current_page_idx = 0;
  var current_module = -1;
  var mod_selector = "";
  var trimod_pages = [{
      'name': 'Status',
      'template': '<h3 class="left">UPS Status</h3>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">UPS Status</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      ' <tr><td class="maina">UPS Model</td><td class="mainb" width="100%"><span id="MODEL"></span> <span id="TRIMOD_NOMPOWER"></span> KVA</td></tr>' +
      ' <tr><td class="maina">Firmware Version</td><td class="mainb" id="TRIMOD_VERSIONSTR"></td></tr>' +
      ' <tr><td class="maina">Serial Number</td><td class="mainb" id="TRIMOD_SERIAL"></td></tr>' +
      ' <tr><td class="maina">Location</td><td class="mainb" id="LOCATION"></td></tr>' +
      ' <tr><td class="maina">Nominal Apparent Power</td><td class="mainb"><span id="TRIMOD_NOMVA" data-dec="0"></span>&nbsp;VA</td></tr>' +
      ' <tr><td class="maina">Nominal Active Power</td><td class="mainb"><span id="TRIMOD_NOMWATT" data-dec="0"></span>&nbsp;W</td></tr>' +
      ' <tr><td class="maina">Output Configuration</td><td class="mainb" id="out_config"></td></tr>' +
      ' <tr><td class="maina" id="mod1hdr"></td><td class="mainb" id="mod1txt"></td></tr>' +
      ' <tr><td class="maina" id="mod2hdr"></td><td class="mainb" id="mod2txt"></td></tr>' +
      ' <tr><td class="maina" id="mod3hdr"></td><td class="mainb" id="mod3txt"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      ' <tr><td class="maina">Status</td><td class="mainb" width="100%" id="_state"></td></tr>' +
      ' <tr><td class="maina">Fault</td><td class="mainb" id="_fault"></td></tr>' +
      ' <tr><td class="maina">Load</td><td class="mainb" id="OUTPOWER"></td></tr>' +
      ' <tr><td class="maina">Battery Capacity</td><td class="mainb"><span id="BATTCAP">#</span>&nbsp;%</td></tr>' +
      ' <tr><td class="maina">Autonomy Time</td><td class="mainb" id="AUTONOMTIMESECS"></td></tr>' +
      ' <tr><td class="maina">Reserve Time</td><td class="mainb" id="TRIMOD_RESERVESEC"></td></tr>' +
      ' <tr><td class="maina">Seconds on Battery</td><td class="mainb" id="SECSONBATT" data-dec="0"></td></tr>' +
      ' <tr><td class="maina">Battery Charger</td><td class="mainb" id="_charger"></td></tr>' +
      ' <tr><td class="maina">UPS Temperature</td><td class="mainb" id="TEMPDEG"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>'
    },
    {
      'name': 'Main Data',
      'template': '<h3 class="left">Main Data</h3>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Input</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr data-type="row3" data-unit="VA" data-dec="1" data-name="Apparent Power" id="TRIMOD_INAPPPWR"></tr>' +
      '  <tr data-type="row3" data-unit="W" data-dec="1" data-name="Active Power" id="TRIMOD_INACTPWR"></tr>' +
      '  <tr data-type="row3" data-unit="V" data-dec="1" data-name="Voltage" id="INVOLT"></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr data-type="row3" data-unit="Hz" data-dec="0" data-name="Frequency" id="INFREQ"></tr>' +
      '  <tr data-type="row3" data-unit="Arms" data-dec="1" data-name="Current" id="TRIMOD_INCURR"></tr>' +
      '  <tr data-type="row3" data-unit="A" data-dec="1" data-name="Peak Current" id="TRIMOD_INPEAKCURR"></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Output</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr data-type="row3" data-unit="VA" data-dec="1" data-name="Apparent Power" id="TRIMOD_OUTAPPPWR"></tr>' +
      '  <tr data-type="row3" data-unit="W" data-dec="1" data-name="Active Power" id="TRIMOD_OUTACTPWR"></tr>' +
      '  <tr data-type="row3" data-unit="V" data-dec="1" data-name="Voltage" id="OUTPUT_VOLT"></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr data-type="row3" data-unit="Hz" data-dec="0" data-name="Frequency" id="OUTFREQ"></tr>' +
      '  <tr data-type="row3" data-unit="Arms" data-dec="1" data-name="Current" id="TRIMOD_OUTCURR"></tr>' +
      '  <tr data-type="row3" data-unit="A" data-dec="1" data-name="Peak Current" id="TRIMOD_OUTPEAKCURR"></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Battery</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Status</td><td class="mainb" width="100%" id="_battstat"></td></tr>' +
      '  <tr><td class="maina">Voltage</td><td class="mainb" id="BATTVOLT" data-unit="V"></td></tr>' +
      '  <tr><td class="maina">Total Current</td><td class="mainb" id="TRIMOD_BATTCURR"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Battery Capacity</td><td class="mainb" width="100%" id="TRIMOD_BATTCAPAH" data-unit="Ah"></td></tr>' +
      '  <tr><td class="maina">Batteries in a KB</td><td class="mainb" id="TRIMOD_NUMBATT" data-dec="0"></td></tr>' +
      '  <tr><td class="maina">Installed KB</td><td class="mainb" id="TRIMOD_NUMKB" data-dec="0"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">History</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '<tr><td class="maina">Total Run Time</td><td class="mainb" width="100%" id="TRIMOD_TOTALRUNTIME"></td></tr>' +
      '<tr><td class="maina">On Battery Run Time</td><td class="mainb" id="TRIMOD_BATTRUNTIME">histo_brt</td></tr>' +
      '<tr><td class="maina">Charger Time</td><td class="mainb" id="TRIMOD_CHRGRUNTIME">histo_crt</td></tr>' +
      '<tr><td class="maina">Bypass Interventions</td><td class="mainb" data-dec="0" id="TRIMOD_BYPINTERVENTS"></td></tr>' +
      '<tr><td class="maina">Battery Interventions</td><td class="mainb" data-dec="0" id="TRIMOD_BATTINTERVENTS"></td></tr>' +
      '<tr><td class="maina">Drained Out Counter</td><td class="mainb" data-dec="0" id="TRIMOD_DRAINEDOUTCNT"></td></tr>' +
      '<tr><td class="maina">Battery Calibrations</td><td class="mainb" data-dec="0" id="TRIMOD_BATTCALCNT"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '<tr><td class="maina">Charger Cycles Completed</td><td class="mainb" width="100%" data-dec="0" id="TRIMOD_CHRGCYCLES"></td></tr>' +
      '<tr><td class="maina">Battery Equalization Cycles</td><td class="mainb" data-dec="0" id="TRIMOD_BATTEQCNT"></td></tr>' +
      '<tr><td class="maina">Load Over 80% Count</td><td class="mainb" data-dec="0" id="TRIMOD_LOADGT80CNT"></td></tr>' +
      '<tr><td class="maina">Load Over 80% Time</td><td class="mainb" id="TRIMOD_LOADGT80TIME"></td></tr>' +
      '<tr><td class="maina">Load Over 100% Count</td><td class="mainb" data-dec="0" id="TRIMOD_LOADGT100CNT"></td></tr>' +
      '<tr><td class="maina">Load Over 100% Time</td><td class="mainb" id="TRIMOD_LOADGT100TIME"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>'
    },
    {
      'name': 'Miscellaneous Data',
      'template': '<h3 class="left">Miscellaneous Data</h3>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Input</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td class="maina">PLL Enabled</td><td class="mainb" width="30%" data-type="yesno" id="TRIMOD_NOPLL"></td>' +
      '<td class="maina">Extended PLL Range</td><td class="mainb" width="30%" data-type="yesno" id="TRIMOD_EXTFREQRANGE"></td>' +
      '<td class="maina">Line Frequency Autosense</td><td class="mainb" width="30%" data-type="yesno" id="TRIMOD_FREQAUTOSENSE"></td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Output</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td class="maina">Automatic Bypass Enabled</td><td class="mainb" width="40%" data-type="yesno" id="TRIMOD_BYPINHIBITED"></td>' +
      '<td class="maina">Bypass Dip Speed</td><td class="mainb" width="40%" id="TRIMOD_BYPDIPSPEED"></td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Battery</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td class="maina">Autorestart Enabled</td><td class="mainb" width="80%" data-type="yesno" id="TRIMOD_AUTORESTART"></td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Startup</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Startup on Battery Allowed</td><td class="mainb" width="80%" data-type="yesno" id="TRIMOD_STARTUPONBATT"></td></tr>' +
      '  <tr><td class="maina">Startup on min. Battery Charge</td><td class="mainb" id="TRIMOD_STARTUPMINCHRG"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Bypass enabled during startup</td><td class="mainb" width="80%" data-type="yesno" id="TRIMOD_BYPDURSTARTUP"></td></tr>' +
      '  <tr><td class="maina">Charger enabled with UPS in Stand-by</td><td class="mainb" data-type="yesno" id="TRIMOD_CHRGSTANDBY"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>'
    },
    {
      'name': 'Power Modules Main Data',
      'is_modpage': true,
      'template': '<h3 class="left">Power Modules Main Data</h3>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Status &amp; Info</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Status</td><td class="mainb" width="100%" id="TRIMOD_MOD_STATE"></td></tr>' +
      '  <tr><td class="maina">Fault</td><td class="mainb" id="TRIMOD_MOD_FAULT"></td></tr>' +
      '  <tr><td class="maina">Phase</td><td class="mainb" id="TRIMOD_MOD_PHASEID"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Max Apparent Power</td><td class="mainb" width="100%" data-dec="0" data-unit="VA" id="TRIMOD_MOD_INFAPPPWR"></td></tr>' +
      '  <tr><td class="maina">Max Active Power</td><td class="mainb" data-dec="0" data-unit="VA" id="TRIMOD_MOD_INFACTPWR"></td></tr>' +
      '  <tr><td class="maina">Max Charger Current</td><td class="mainb" data-unit="A" id="TRIMOD_MOD_INFCHRGCURR"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Input</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Apparent Power</td><td class="mainb" width="100%" data-dec="0" data-unit="VA" id="TRIMOD_MOD_INAPPPWR"></td></tr>' +
      '  <tr><td class="maina">Active Power</td><td class="mainb" data-dec="0" data-unit="W" id="TRIMOD_MOD_INACTPWR"></td></tr>' +
      '  <tr><td class="maina">Voltage</td><td class="mainb" data-dec="0" data-unit="V" id="TRIMOD_MOD_INVOLT"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Current</td><td class="mainb" width="100%" data-unit="Arms" id="TRIMOD_MOD_INCURR"></td></tr>' +
      '  <tr><td class="maina">Peak Current</td><td class="mainb" data-unit="A" id="TRIMOD_MOD_INPEAKCURR"></td></tr>' +
      '  <tr><td class="maina">Voltage Bypass Line</td><td class="mainb" data-dec="0" data-unit="V" id="TRIMOD_MOD_BYPVOLT"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Output</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Apparent Power</td><td class="mainb" width="100%" data-dec="0" data-unit="VA" id="TRIMOD_MOD_OUTAPPPWR"></td></tr>' +
      '  <tr><td class="maina">Active Power</td><td class="mainb" data-dec="0" data-unit="W" id="TRIMOD_MOD_OUTACTPWR"></td></tr>' +
      '  <tr><td class="maina">Voltage</td><td class="mainb" data-dec="0" data-unit="V" id="TRIMOD_MOD_OUTVOLT"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Current</td><td class="mainb" width="100%" data-unit="Arms" id="TRIMOD_MOD_OUTCURR"></td></tr>' +
      '  <tr><td class="maina">Peak Current</td><td class="mainb" data-unit="A" id="TRIMOD_MOD_OUTPEAKCURR"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Battery</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Status</td><td class="mainb" width="100%" id="_mod_batt_state"></td></tr>' +
      '  <tr><td class="maina">Voltage</td><td class="mainb" id="TRIMOD_MOD_BATTVOLT" data-unit="V"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina" colspan=2>&nbsp;</td></tr>' +
      '  <tr><td class="maina">Current</td><td class="mainb" width="100%" id="TRIMOD_MOD_BATTCURR"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>'
    },
    {
      'name': 'Power Modules Miscellaneous Data',
      'is_modpage': true,
      'template': '<h3 class="left">Power Modules Miscellaneous Data</h3>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">History</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Total Run Time</td><td class="mainb" width="100%" id="TRIMOD_MOD_TOTALRUNTIME"></td></tr>' +
      '  <tr><td class="maina">On Battery Run Time</td><td class="mainb" id="TRIMOD_MOD_BATTRUNTIME"></td></tr>' +
      '  <tr><td class="maina">Charger Run Time</td><td class="mainb" id="TRIMOD_MOD_CHRGRUNTIME"></td></tr>' +
      '  <tr><td class="maina">Bypass Interventions</td><td class="mainb" data-dec="0" id="TRIMOD_MOD_BYPINTERVENTS"></td></tr>' +
      '  <tr><td class="maina">Battery Interventions</td><td class="mainb" data-dec="0" id="TRIMOD_MOD_BATTINTERVENTS"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Overheats</td><td class="mainb" width="100%" data-dec="0" id="TRIMOD_MOD_OVERHEATCNT"></td></tr>' +
      '  <tr><td class="maina">Overloads</td><td class="mainb" data-dec="0" id="TRIMOD_MOD_OVERLOADCNT"></td></tr>' +
      '  <tr><td class="maina">HV Bus Runaway</td><td class="mainb" data-dec="0" id="TRIMOD_MOD_RUNAWAYCNT"></td></tr>' +
      '  <tr><td class="maina">Output DC Level</td><td class="mainb" data-dec="0" id="TRIMOD_MOD_OUTDCLEVELCNT"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>' +

      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" id="screen_name">Other</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Positive Bus Voltage</td><td class="mainb" width="100%" data-dec="0" data-unit="V" id="TRIMOD_MOD_MISCPOSVOLT"></td></tr>' +
      '  <tr><td class="maina">Negative Bus Voltage</td><td class="mainb" data-dec="0" data-unit="V" id="TRIMOD_MOD_MISCNEGVOLT"></td></tr>' +
      ' </table>' +
      '</td>' +
      '<td>' +
      ' <table class="table table-condensed table-hover">' +
      '  <tr><td class="maina">Inverter Temperature</td><td class="mainb" width="100%" id="TRIMOD_MOD_MISC1TEMP"></td></tr>' +
      '  <tr><td class="maina">Booster Temperature</td><td class="mainb" id="TRIMOD_MOD_MISC2TEMP"></td></tr>' +
      '  <tr><td class="maina">Fan Speed</td><td class="mainb" data-dec="0" data-unit="%" id="TRIMOD_MOD_MISCFAN"></td></tr>' +
      ' </table>' +
      '</td>' +
      '</tr></table>' +
      '</div>'
    },
    {
      'name': 'UPS Setup',
      'template': '<h3 class="left">UPS Setup</h3>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Input</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td class="maina" width="10%" style="vertical-align:middle" align="left">PLL Enabled</td><td class="mainb" style="vertical-align:middle" width="2%" data-type="yesno" id="TRIMOD_NOPLL"></td>' +
      '<td class="mainb" width="22%" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_NOPLL\', 2011, \'4|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '<td class="maina" width="10%" style="vertical-align:middle" align="left">Extended PLL Range</td><td class="mainb" style="vertical-align:middle"  width="2%" data-type="yesno" id="TRIMOD_EXTFREQRANGE"></td>' +
      '<td class="mainb" width="22%" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_EXTFREQRANGE\', 2011, \'5|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '<td class="maina" width="10%" style="vertical-align:middle" align="left">Line Frequency Autosense</td><td class="mainb"  width="2%" data-type="yesno" style="vertical-align:middle" id="TRIMOD_FREQAUTOSENSE"></td>' +
      '<td class="mainb" width="15%" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_FREQAUTOSENSE\', 2011, \'10|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '</tr></table>' +
      '</div>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active" >Output</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left">Output Voltage</td><td class="mainb" width="1%" style="vertical-align:middle" align="left">' +
      '<input type="text" name="sine_level" id="TRIMOD_SINELEVEL" value="0" size="2" maxlength="3" style="vertical-align:middle" align="left"/></td>' +
      '<td class="mainb" width="1%" style="vertical-align:middle" align="left">V</td>' +
      '<td class="mainb" width="70%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_cmd_with_inp(\'TRIMOD_SINELEVEL\', 2011, \'45|\');" class="btn btn-default btn-sm">Set</button> </td>' +
      '<td class="maina" width="1%" style="vertical-align:middle" align="left">60 Hz Frequency</td><td class="mainb"  width="1%" data-type="yesno" style="vertical-align:middle" id="TRIMOD_FREQ60HZ"></td>' +
      '<td class="mainb" width="2%" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_FREQ60HZ\', 2011, \'3|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '</tr>' +
      '<tr><td class="maina" width="10%" style="vertical-align:middle" align="left">Bypass Enabled</td><td class="mainb" style="vertical-align:middle" width="2%" data-type="yesno" id="TRIMOD_BYPINHIBITED"></td>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left"/>' +
      '<td class="mainb" width="2%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_BYPINHIBITED\', 2011, \'44|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left">Bypass Dip Speed</td><td class="mainb" width="1%" style="vertical-align:middle" align="left">' +
      '<select id="bypdipspeed" name="bypdipspeed" class="ctrl3"><option value="1">Fast</option><option value="2">Standard</option><option value="3">Slow</option></select></td>' +
      '<td class="mainb" width="20%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_cmd_with_inp(\'bypdipspeed\', 2011, \'25|\');" class="btn btn-default btn-sm">Set</button> </td>' +
      '</tr></table></div>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Battery</a></div>' +
      '<table class="table table-condensed"><tr>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left">Reserve Time</td><td class="mainb" width="1%" style="vertical-align:middle" align="left">' +
      '<input type="text" name="batt_reserve_Time" id="TRIMOD_RESERVETIME" value="0" size="2" maxlength="3" style="vertical-align:middle" align="left"/></td>' +
      '<td class="mainb" width="1%" style="vertical-align:middle" align="left">Min</td>' +
      '<td class="mainb" width="80%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_cmd_with_inp(\'TRIMOD_RESERVETIME\', 2011, \'29|\');" class="btn btn-default btn-sm">Set</button> </td>' +
      '<td class="maina" width="1%" style="vertical-align:middle" align="left">Autorestart Enabled</td><td class="mainb"  width="1%" data-type="yesno" style="vertical-align:middle" id="TRIMOD_AUTORESTART"></td>' +
      '<td class="mainb" width="2%" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_AUTORESTART\', 2011, \'2|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '</tr><tr><td class="maina" width="2%" style="vertical-align:middle" align="left"></td><td class="mainb" width="1%" style="vertical-align:middle" align="left">' +
      '</td><td class="mainb" width="1%" style="vertical-align:middle" align="left"></td>' +
      '<td class="maina" width="70%" style="vertical-align:middle" align="left"></td>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left">Battery Kit Installed</td><td class="mainb" width="1%" style="vertical-align:middle" align="left">' +
      '<input type="text" name="batt_kitt_installed" id="TRIMOD_TOTALKB" value="0" size="2" maxlength="3" style="vertical-align:middle" align="left"/></td>' +
      '<td class="mainb" width="20%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_cmd_with_inp(\'TRIMOD_TOTALKB\', 2011, \'35|\');" class="btn btn-default btn-sm">Set</button> </td>' +
      '</tr></table></div>' +
      '<div class="img-rounded" style="width:' + bg_width + 'px; border:1px solid #808080; margin-bottom:12px;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' + bg_width + 'px; z-index:40;"><a class="list-group-item active">Startup</a></div>' +
      '<table class="table table-condensed">' +
      '<tr><td class="maina" width="1%" style="vertical-align:middle" align="left">Startup on Battery Allowed</td><td class="mainb" style="vertical-align:middle" width="2%" data-type="yesno" id="TRIMOD_STARTUPONBATT"></td>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left"/>' +
      '<td class="mainb" width="70%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_STARTUPONBATT\', 2011, \'22|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '<td class="maina" width="2%" style="vertical-align:middle" align="left">Bypass enabled during startup</td><td class="mainb" style="vertical-align:middle" width="2%" data-type="yesno" id="TRIMOD_BYPDURSTARTUP"></td>' +
      '<td class="mainb" width="2%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_BYPDURSTARTUP\', 2011, \'13|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '</tr><tr><td class="maina" width="2%" style="vertical-align:middle" align="left">Startup on min. Battery Charge</td><td class="mainb" width="1%" style="vertical-align:middle" align="left">' +
      '<input type="text" name="startupminchr" id="startupminchr" value="0" size="2" maxlength="3" style="vertical-align:middle" align="left"/></td>' +
      '<td class="mainb" width="1%" style="vertical-align:middle" align="left">%</td>' +
      '<td class="mainb" width="70%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_cmd_with_inp(\'startupminchr\', 2011, \'34|\');" class="btn btn-default btn-sm">Set</button> </td>' +
      '<td class="maina" width="1%" style="vertical-align:middle" align="left">Charger enabled with UPS in Stand-by</td><td class="mainb" style="vertical-align:middle" width="2%" data-type="yesno" id="TRIMOD_CHRGSTANDBY"></td>' +
      '<td class="mainb" width="16%" style="vertical-align:middle" align="left"><button onclick="trimod_api.send_toggle_cmd(\'TRIMOD_CHRGSTANDBY\', 2011, \'14|\');" class="btn btn-default btn-sm">Toggle</button> </td>' +
      '</tr></table></div>'
    },
    {
      'name': 'Current Alarms',
      'template': '<div class="img-rounded" style="margin-top:30px;width:' + (bg_width + 10) + 'px; height:700px;background-color:#EEEEEE">' +
      '<iframe name="ups_curr_alarm" id="id_ups_curr_alarm_iframe" align="center" scrolling="auto" width="100%" height="90%" frameborder="0" src="./../history.html?upsEvtHistCaps=1&upsProtocol=2&inputType=1"/>' +
      '</div>'

      //'<center><table cellpadding="4" cellspacing="4" width="85%"><tbody><tr>' + 
      //'<tr><td class="mainbc" align="center"><button type="button" onclick="trimod_api.get_curr_alarm_page();" class="btn btn-default btn-sm">Show</button>&nbsp;&nbsp;&nbsp;' +
      //'</tr></tbody></table></center></div>'


      /*'<div class="img-rounded" style="margin-top:30px;width:' +bg_width+ 'px; border:1px solid #808080;">' +
      '<div class="list-group" style="top:0px; left:0px; width:' +bg_width+ 'px; z-index:40;"><a class="list-group-item active">Current Alarms</a></div>' +
      '<center><table cellpadding="4" cellspacing="4" width="85%"><tbody><tr>' +
      '<td class="maina" width="25%" align="center" style="text-align:center">All</td>' +
      '<td class="maina" width="25%" align="center" style="text-align:center">Critical</td>' +
      '<td class="maina" width="25%" align="center" style="text-align:center">Warning</td>' +
      '<td class="maina" width="25%" align="center" style="text-align:center">Info</td></tr>' +
      '<tr><td class="mainbc" align="center"><button type="button" onclick="trimod_api.get_ups_events(0,2)" class="btn btn-default btn-sm">Show</button>&nbsp;&nbsp;&nbsp;' +
      '<button type="button" onclick="trimod_api.get_ups_events(0,0)" class="btn btn-default btn-sm">CSV</button></td>' +
      '<td class="mainbc" align="center"><button type="button" onclick="trimod_api.get_ups_events(1,2)" class="btn btn-default btn-sm">Show</button>&nbsp;&nbsp;&nbsp;' +
      '<button type="button" onclick="trimod_api.get_ups_events(1,0)" class="btn btn-default btn-sm">CSV</button></td>' +
      '<td class="mainbc" align="center"><button type="button" onclick="trimod_api.get_ups_events(2,2)" class="btn btn-default btn-sm">Show</button>&nbsp;&nbsp;&nbsp;' +
      '<button type="button" onclick="trimod_api.get_ups_events(2,0)" class="btn btn-default btn-sm">CSV</button></td>' +
      '<td class="mainbc" align="center"><button type="button" onclick="trimod_api.get_ups_events(3,2)" class="btn btn-default btn-sm">Show</button>&nbsp;&nbsp;&nbsp;' +
      '<button type="button" onclick="trimod_api.get_ups_events(3,0)" class="btn btn-default btn-sm">CSV</button></td></tr>' +
      '<tr><td class="mainbc" align="center"><button type="button" onclick="trimod_api.send_del_ups_event_cmd(0)" class="btn btn-default btn-sm">Delete</button></td>' +
      '<td class="mainbc" align="center"><button type="button" onclick="trimod_api.send_del_ups_event_cmd(1)" class="btn btn-default btn-sm">Delete</button></td>' +
      '<td class="mainbc" align="center"><button type="button" onclick="trimod_api.send_del_ups_event_cmd(2)" class="btn btn-default btn-sm">Delete</button></td>' +
      '<td class="mainbc" align="center"><button type="button" onclick="trimod_api.send_del_ups_event_cmd(3)" class="btn btn-default btn-sm">Delete</button></td>' +
      '</tr></tbody></table></center></div>'*/
    }
  ];

  /*public functions*/
  return {
    init: init,
    send_toggle_cmd: send_toggle_cmd,
    send_cmd_with_inp: send_cmd_with_inp,
    get_ups_events: get_ups_events,
    send_del_ups_event_cmd: send_del_ups_event_cmd,
    get_curr_alarm_page: get_curr_alarm_page
  };

  function send_toggle_cmd(var_name, cmdId, p1) {
    var val;
    if (var_name == 'TRIMOD_NOPLL' || var_name == 'TRIMOD_BYPINHIBITED' || var_name == 'TRIMOD_AUTORESTART') {
      val = $('#' + var_name).text() == 'Yes' ? 1 : 0;
    } else {
      val = $('#' + var_name).text() == 'Yes' ? 0 : 1;
    }

    ups_cmd_option.data = { code: 'upsExeCommand', params: { cmdId: cmdId, params: p1 + val } };
    disable_bnt();

    curr_ups_cmd.id = '#' + var_name;
    curr_ups_cmd.value = $('#' + var_name).text();
    curr_ups_cmd.is_toggle_cmd = true;

    jqmodule.ajax(ctl_url, ups_cmd_option, ups_cmd_settings);
  }

  function send_cmd_with_inp(input_id, cmdId, p1) {
    var val = $('#' + input_id).val();
    ups_cmd_option.data = { code: 'upsExeCommand', params: { cmdId: cmdId, params: p1 + val } };
    disable_bnt();

    curr_ups_cmd.is_toggle_cmd = false;

    jqmodule.ajax(ctl_url, ups_cmd_option, ups_cmd_settings);
  }

  function get_curr_alarm_page() {
    return get_alarm_page_from_ups({ unitid: '', priority: '', sortmode: '', outputtype: 2, inputtype: 1, filename: '', lines: '' }, { open_window: true, title: 'Current Alarms' });
  }

  function get_ups_events(priority, outputType) {
    return get_alarm_page_from_ups({ unitid: '', priority: priority, sortmode: '', outputtype: outputType, inputtype: '', filename: '', lines: '' }, { open_window: true });
  }

  function send_del_ups_event_cmd(priority) {
    ups_cmd_option.data = { code: 'upsExeCommand', params: { cmdId: 2008, params: '' + priority } };
    disable_bnt();
    jqmodule.ajax(ctl_url, ups_cmd_option, ups_cmd_settings);
  }

  function ups_cmd_update(data) {
    if (err_div)
    err_div.css('display', 'none');
    enable_bnt();

    //curr_ups_cmd = {id:'', value:'', is_toggle_cmd:false},
    if (curr_ups_cmd.is_toggle_cmd) {
      curr_ups_cmd.value == 'Yes' ? $(curr_ups_cmd.id).text('No') : $(curr_ups_cmd.id).text('Yes');
    }
  }

  function enable_bnt() {
    //if(err_div)
    //err_div.css('display', 'none');
    document.body.style.cursor = 'auto';
    //$("span").removeAttr("disabled");
    $("input").removeAttr("disabled");
    $("button").removeAttr("disabled");
  }

  function disable_bnt() {
    if (err_div)
    err_div.css('display', 'none');
    //$("span").attr("disabled", "disabled");
    $("input").attr("disabled", "disabled");
    $("button").attr("disabled", "disabled");
    $('#ups_test_260').removeAttr("disabled");
    document.body.disable = true;
    document.body.style.cursor = 'wait';
  }

  function init() {
    if (check_bowser && !utils_api.check_bowser()) {
      $('#loading_id').css('display', 'none');
      panes_api.create_br_check_panel(this, browser_check_ok);
      return true;
    }
    create_err_msg_panel();

    req_params = utils_api.get_req_params(utils_api.device_ups, oid);
    cb = jqmodule.subscribe(this, { update: update, error: err_funct }, req_params);
  }

  function browser_check_ok() {
    check_bowser = false;
    init();
  }

  function create_err_msg_panel() {
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, width: 791, display: 'none', 'z-index': 22 };
    err_div = panes_api.create_err_panel({ id: 'error_div', 'class': 'alert alert-danger' }, css_obj);
  }

  function err_funct(response) {
    enable_bnt();
    jqmodule.refresh(cb, 10 * 1000);
    panes_api.display_err({ response: response, oid: oid, err_div: err_div, err_msg_div_id: 'error_msg_div' });
  }

  function cmd_err_funct(response) {
    err_funct(response);

    if (!curr_ups_cmd.is_toggle_cmd) {
      update_values();
    }
  }

  function update(data) {
    if (data.ups == null) {
      return;
    }

    set_variable(data);
    jqmodule.refresh(cb, report_obj.refresh * 1000);
    if (err_div)
    err_div.css('display', 'none');
    enable_bnt();

    if (window.menu_api != null)
    menu_api.update(data);


    unms_obj = get_unms_obj(data);
    if (unms_obj != null) {
      info_head_api.update(unms_obj);
    }

    if (!pannes_created) {
      pannes_created = true;
      create_panes();
      return false;
    }

    if (current_page == 'UPS Setup') {
      return;
    }

    update_values();
    set_footer();
  }

  function create_footer_pane() {
    if (!oid || !unms_obj)
    return true;
    footer_api.create({ //Attr
        id: 'panel2'
        //'class':'unmsFooter'
      }, { //css
        position: 'absolute',
        top: '490px',
        left: '74px'
      },
      unms_obj
    );
  }

  function set_footer() {
    if (!oid || !unms_obj)
    return true;
    footer_api.set(unms_obj);
  }

  function set_variable(data) {
    valtable_obj = data.ups.valtable;
    report_obj = data.report;
    module_obj = data.ups.modules;

    if (valtable_obj.INPHASES != null)
    inphases = valtable_obj.INPHASES;
    else
    inphases = valtable_obj.PHASES;

    if (valtable_obj.OUTPHASES != null)
    outphases = valtable_obj.OUTPHASES;
    else
    outphases = valtable_obj.PHASES;

    valtable_obj._tempUnit = valtable_obj._tempUnit || 0; //0 = Celsius
  }

  function create_panes() {
    utils_api.setTitle(valtable_obj._platform);
    create_footer_pane();
    create_page_selector()
    $("body").append('<span id="id_page"></span>');
    load_page(current_page);
  }

  function create_page_selector() {
    var txt = '<div style="text-align: left;"><b>Select page:</b> <select id="id_page_select">';
    for (var i = 0; i < trimod_pages.length; i++) {
      txt += '<option value="' + i + '">' + trimod_pages[i]['name'] + '</option>';
    }
    txt += '</select></div>';
    $("body").append(txt);
    $('#id_page_select').change(function () {
      current_page = trimod_pages[$('#id_page_select').val()]['name'];
      load_page(current_page);
    });
  }

  function get_module_selector() {
    var txt = '<div style="text-align: left; margin: 4px 0px;"><b>Select module:</b> <select id="id_mod_select">';
    var sel;

    if (module_obj == null) {
      return false;
    }

    $.each(module_obj, function (index, module) {
      sel = module._moduleIndex == current_module ? ' selected="selected"' : '';
      txt += '<option value="' + module._moduleIndex + '"' + sel + '>Module ' + module._moduleIndex + '</option>';
    });

    txt += '</select></div>';
    return txt;
  }

  function load_page(pagename) {
    var page = 'Unknown page name: &quot;' + pagename + '&quot;';

    for (var i = 0; i < trimod_pages.length; i++) {
      if (trimod_pages[i]['name'] == pagename) {
        page = '';
        if (trimod_pages[i]['is_modpage']) {
          page = get_module_selector();
        }
        page += trimod_pages[i]['template'];
        current_page_idx = i;
        break;
      }
    }
    $("#id_page").html(page);

    //Translate text
    $.each($('.maina'), function (index, element) {
      $(element).text(i18n($(element).text()));
    });

    $.each($('.mainB'), function (index, element) {
      $(element).text(i18n($(element).text()));
    });

    $.each($('.left'), function (index, element) {
      $(element).text(i18n($(element).text()));
    });

    $('#id_mod_select').change(function () {
      current_module = $('#id_mod_select').val();
      update_values();
    });
    update_values();
  }

  function update_values() {
    var val, txt;
    for (var name in valtable_obj) {
      txt = '';
      val = valtable_obj[name];
      if (trimod_pages[current_page_idx]['is_modpage']) {
        if (module_obj == null) {
          return false;
        }

        if (current_module == -1) {
          current_module = module_obj[0]._moduleIndex;
        }
        $.each(module_obj, function (index, module) {
          if (current_module == module._moduleIndex) {
            val = module_obj[index][name];
            return false;
          }
        });
      }

      if (name == "OUTPOWER") {
        if (outphases == 3) {
          txt = sprintf('<b>L1:</b> %.1f&nbsp;%% <b>L2:</b> %.1f&nbsp;%% <b>L3:</b> %.1f&nbsp;%%', val[0], val[1], val[2]);
        } else {
          txt = sprintf('%.1f&nbsp;%%', val[0]);
        }
        $('#OUTPOWER').html(txt);
      } else if (name == "TEMPDEG") {
        $('#' + name).html(panes_api.get_temperature(valtable_obj.TEMPDEG, valtable_obj._tempUnit, 1));
      } else if (name == "TRIMOD_TOTALRUNTIME" || name == "TRIMOD_BATTRUNTIME" || name == "TRIMOD_CHRGRUNTIME" || name == "AUTONOMTIMESECS" || name == "TRIMOD_LOADGT80TIME" ||
        name == "TRIMOD_LOADGT100TIME" || name == "TRIMOD_MOD_TOTALRUNTIME" || name == "TRIMOD_MOD_BATTRUNTIME" || name == "TRIMOD_MOD_CHRGRUNTIME") {
        val = patch_value(val);
        if (is_patched(val)) {
          txt = val;
        } else {
          var is_mins = false;
          txt = get_runtime_string(val, is_mins);
        }
        $('#' + name).html(txt);
      } else if (name == "TRIMOD_MOD_MISC1TEMP") {
        txt = panes_api.get_temperature(val, valtable_obj._tempUnit, 0);
        $('#' + name).html(txt);
      } else if (name == "TRIMOD_MOD_MISC2TEMP") {
        txt = panes_api.get_temperature(val, valtable_obj._tempUnit, 0);
        $('#' + name).html(txt);
      } else if (name == "TRIMOD_STATUS") {
        var n = parseInt(valtable_obj["TRIMOD_STATUS"]);
        if (n & 0x80)
        txt = 'Charging';
        else if (n & 1)
        txt = 'Discharging';
        else
        txt = 'Stand-by';
        $('#_battstat').html(i18n(txt));
        $('#_charger').html(i18n(txt));

        if (n & 0x20)
        txt = i18n('UPS is ON. UPS is testing.');
        else {
          txt = '';
          if (n & 0x200) txt += i18n('CM is in Hot-Swap') + '.<br>';
          if (n & 0x100) txt += i18n('Alarm is active') + '.<br>';
          if (n & 0x80) txt += i18n('Battery charger ON') + '.<br>';
          if (n & 0x40) txt += i18n('UPS is in Running Mode') + '.<br>';
          if (n & 0x10) txt += i18n('Manual or forced bypass active') + '.<br>';
          if (n & 0x08) txt += i18n('Input bad') + '.<br>';
          if (n & 0x04) txt += i18n('Battery low') + '.<br>';
          if (n & 0x02) txt += i18n('UPS on bypass') + '.<br>';
          if (n & 0x01) txt += i18n('UPS on battery') + '.<br>';
        }
        $('#_state').html(txt);
      } else if (name == "TRIMOD_FAULT") {
        var n;
        txt = '';
        if (valtable_obj["TRIMOD_USEALARMFLAG"]) {
          n = parseInt(valtable_obj["TRIMOD_ALARMFLAG"]);
          if (n & 0x01) txt += i18n('Inverter fault') + '.<br>';
          if (n & 0x02) txt += i18n('Booster/PFC fault') + '.<br>';
          if (n & 0x04) txt += i18n('Battery Charger fault') + '.<br>';
          if (n & 0x08) txt += i18n('Overheat') + '.<br>';
          if (n & 0x10) txt += i18n('Overload') + '.<br>';
          if (n & 0x20) txt += i18n('HVBUS high voltage') + '.<br>';
          if (n & 0x40) txt += i18n('Output DC Level') + '.<br>';
          if (n & 0x80) txt += i18n('Battery high voltage') + '.<br>';
          if (n & 0x0100) txt += i18n('PM Communication fail') + '.<br>';
          if (n & 0x0200) txt += i18n('Battery wiring fail') + '.<br>';
          if (n & 0x0400) txt += i18n('Mains wiring fail') + '.<br>';
          if (n & 0x0800) txt += i18n('HVBUS wiring fail') + '.<br>';
          if (n & 0x1000) txt += i18n('CM Communication fail') + '.<br>';
          if (n & 0x2000) txt += i18n('Overload on CM') + '.<br>';
          if (n & 0x4000) txt += i18n('Unprotected Load') + '.<br>';
          if (n & 0x8000) txt += i18n('Make Maintenance') + '.<br>';
          if (n & 0x10000) txt += i18n('Check Batteries') + '.<br>';
          if (n & 0x20000) txt += i18n('Reference integrity') + '.<br>';
          if (n & 0x40000) txt += i18n('CM consistency') + '.<br>';
          if (n & 0x80000) txt += i18n('Backfeed protection') + '.<br>';
        } else {
          n = parseInt(valtable_obj["TRIMOD_FAULT"]);
          if (n & 0x40) txt += i18n('Maintenance required') + '.<br>';
          if (n & 0x10) txt += i18n('Check Batteries') + '.<br>';
          if (n & 0x08) txt += i18n('Battery Charger') + '.<br>';
          if (n & 0x04) txt += i18n('Hardware N') + '.<br>';
          if (n & 0x02) txt += i18n('Overheat') + '.<br>';
          if (n & 0x01) txt += i18n('Overload') + '.<br>';
        }
        if (txt.empty()) {
          txt = 'None';
        }
        $('#_fault').html(txt);
      } else if (name == "TRIMOD_RESERVESEC") {
        val = patch_value(val);
        if (is_patched(val)) {
          txt = val;
        } else {
          txt = sprintf("%.1f&nbsp;minutes", val / 60);
        }
        $('#TRIMOD_RESERVESEC').html(txt);
      } else if (name == "TRIMOD_CONFIG") {
        var m1hdr, m2hdr, m3hdr, m1txt, m2txt, m3txt;
        var cfg = val & 3;
        if (cfg == 3)
        txt = 'Three phases';
        else if (cfg == 1)
        txt = 'Three single phases';
        else if (cfg == 0)
        txt = 'Single phase';
        $('#out_config').html(txt);
        if (outphases == 3) {
          $('#mod1hdr').html('Modules on L1 Phase');
          $('#mod2hdr').html('Modules on L2 Phase');
          $('#mod3hdr').html('Modules on L3 Phase');
          $('#mod1txt').html(valtable_obj['TRIMOD_NUMPHASE_A'] == 254 ? 'N/A' : valtable_obj['TRIMOD_NUMPHASE_A']);
          $('#mod2txt').html(valtable_obj['TRIMOD_NUMPHASE_B'] == 254 ? 'N/A' : valtable_obj['TRIMOD_NUMPHASE_B']);
          $('#mod3txt').html(valtable_obj['TRIMOD_NUMPHASE_C'] == 254 ? 'N/A' : valtable_obj['TRIMOD_NUMPHASE_C']);
        } else {
          $('#mod1hdr').html('Total Power Modules');
          $('#mod2hdr').html('');
          $('#mod3hdr').html('');
          $('#mod1txt').html(valtable_obj['TRIMOD_NUMPHASE_A']);
          $('#mod2txt').html('');
          $('#mod3txt').html('');
        }
      } else if (name == "TRIMOD_BATTCURR") {
        var numkb = patch_value(valtable_obj["TRIMOD_NUMKB"]);
        val = patch_value(val);
        if (is_patched(val)) {
          txt = val;
        } else if (is_patched(numkb)) {
          txt = numkb;
        } else {
          var bc = valtable_obj["TRIMOD_BATTCURR"] * valtable_obj["TRIMOD_NUMKB"];
          if (bc < 0) bc *= -1;
          txt = sprintf("%.1f&nbsp;A", bc);
        }
        $('#TRIMOD_BATTCURR').html(txt);
      } else if (name == "TRIMOD_BYPDIPSPEED") {
        val = patch_value(val);
        if (is_patched(val)) {
          txt = val;
        } else if (parseInt(val) == 1) {
          txt = "Fast";
        } else if (parseInt(val) == 2) {
          txt = "Standard";
        } else if (parseInt(val) == 3) {
          txt = "Slow";
        } else {
          txt = sprintf("%d", val);
        }

        $('#TRIMOD_BYPDIPSPEED').text(i18n(txt));
        $('#bypdipspeed').val('' + val);
      } else if (name == "TRIMOD_STARTUPMINCHRG") {
        if (parseInt(val) == 0) {
          txt = "Disabled";
        } else {
          txt = sprintf("%d&nbsp;%%", val);
        }
        $('#TRIMOD_STARTUPMINCHRG').html(txt);
        $('#startupminchr').val(val);
      } //TRIMOD_MOD_BATTCURR
      else if (name == "TRIMOD_MOD_BATTCURR") {
        val = patch_value(val);
        if (is_patched(val)) {
          txt = val;
        } else {
          if (val < 0) val *= -1;
          txt = sprintf("%.2f&nbsp;A", val);
        }
        $('#TRIMOD_MOD_BATTCURR').html(txt);
      } else if (name == "TRIMOD_MOD_PHASEID") {
        var n = parseInt(val);
        if (n == 0) {
          txt = "L1";
        } else if (n == 1) {
          txt = "L2";
        } else if (n == 2) {
          txt = "L3";
        }
        $('#TRIMOD_MOD_PHASEID').html(txt);
      } else if (name == "TRIMOD_MOD_STATE") {
        n = parseInt(val);
        if (n & 0x01) txt += i18n('Power input on battery') + '.<br>';
        else txt += i18n('Mains') + '.<br>';
        if (n & 0x02) txt += i18n('Bypass is closed') + '.<br>';
        if (n & 0x04) txt += i18n('Charger stage is on') + '.<br>';
        if (n & 0x08) txt += i18n('Mains input fails') + '.<br>';
        $('#TRIMOD_MOD_STATE').html(txt);

        if (n & 0x01)
        txt = 'Discharging';
        else if (n & 0x04)
        txt = 'Charging';
        else
        txt = 'Stand-by';
        $('#_mod_batt_state').html(txt);
      } else if (name == "TRIMOD_MOD_FAULT") {
        n = parseInt(val);
        if (n & 0x01) txt += i18n('Overload') + '.<br>';
        if (n & 0x02) txt += i18n('Overheat') + '.<br>';
        if (n & 0x04) txt += i18n('Charger failure') + '.<br>';
        if (n & 0x100) txt += i18n('Booster error') + '.<br>';
        if (n & 0x200) txt += i18n('Inverter error') + '.<br>';
        if (n & 0x400) txt += i18n('Charger error') + '.<br>';
        if (txt.length == 0) txt = 'None.';
        $('#TRIMOD_MOD_FAULT').html(txt);
      } else if (name == "TRIMOD_SINELEVEL") {
        $('#TRIMOD_SINELEVEL').val(val);
      } else if (name == "TRIMOD_RESERVETIME") {
        $('#TRIMOD_RESERVETIME').val(val);
      } else if (name == "TRIMOD_TOTALKB") {
        $('#TRIMOD_TOTALKB').val(val);
      }

      // default: find HTML element with id like valtable name and fill it
      else {
        var elem = $('#' + name);
        if (elem.length) {
          var ddec = elem.data('dec'); // number: decimal places, default: 1
          var dcheck = elem.data('check'); // boolean: check for na/overrange, default: false
          var dtype = elem.data('type');
          var dunit = elem.data('unit') || '';

          var typ = typeof val;
          if (typ == 'number') {
            val = patch_value(val);
            if (is_patched(val)) {
              txt = val;
            } else if (dtype == 'yesno') {
              if (name == 'TRIMOD_NOPLL' || name == 'TRIMOD_BYPINHIBITED' || name == 'TRIMOD_AUTORESTART') {
                txt = (parseInt(val) == 0) ? "Yes" : "No";
              } else {
                txt = (parseInt(val) == 0) ? "No" : "Yes";
              }

            } else {
              var fmt;
              if (typeof ddec === 'number')
              fmt = sprintf('%%.%df', ddec);
              else
              fmt = '%.1f';
              txt = sprintf(fmt, val);
              if (dunit.length)
              txt += '&nbsp;' + dunit;
            }
          } else if (typ == 'string') {
            txt = val;
          } else {
            if (dtype == 'row3') {
              txt = '<td class="maina">' + elem.data('name') + '</td>';
              for (var i = 0; i < 3; i++) {
                var nval = val[i];
                if (parseInt(nval) == -9998 || parseInt(nval) == 55538) {
                  nval = '<span class="red mini">Overrange</span>';
                  dunit = '';
                } else if (parseInt(nval) == -9999 || parseInt(nval) == 55537 || parseInt(nval) == 4294957297) {
                  nval = '<span class="red mini">N/A</span>';
                  dunit = '';
                } else {
                  var fmt = sprintf('%%.%df', ddec);
                  nval = sprintf(fmt, val[i]);
                }
                txt += '<td class="mainb"><b>L' + (i + 1) + ':&nbsp;</b>' + nval + '&nbsp;' + dunit + '</td>';
              }
            } else
            txt = JSON.stringify(val);
          }

          elem.html(i18n(txt));
        }
      }
    }
  }

  function patch_value(val) {
    if (val === -9998) {
      val = '<span class="red mini">Overrange</span>';
    }
    if (val === -9999) {
      val = '<span class="red mini">N/A</span>';
    }
    return val;
  }

  function is_patched(val) {
    return (typeof val === 'string') && val.indexOf('<span class="red mini">') > -1;
  }

  function get_runtime_string(rt, is_mins) {
    var ret, days, hours, mins, secs;
    if (is_mins) {
      days = parseInt(rt / (60 * 24));
      rt %= (60 * 24);
      hours = parseInt(rt / (60));
      rt %= (60);
      mins = parseInt(rt);
    } else {
      days = parseInt(rt / (60 * 60 * 24));
      rt %= (60 * 60 * 24);
      hours = parseInt(rt / (60 * 60));
      rt %= (60 * 60);
      mins = parseInt(rt / 60);
      rt %= 60;
    }
    secs = Math.floor(rt);

    if (days)
    ret = sprintf("%u days %u hours %u minutes %u seconds", days, hours, mins, secs);
    else if (hours)
    ret = sprintf("%u hours %u minutes %u seconds", hours, mins, secs);
    else
    ret = sprintf("%u minutes %u seconds", mins, secs);
    return ret;
  }

}(jQuery));