<?xml version="1.0"?>
<!--
   brekomcommon.xsl - common XSL-templates for brekom@UNMSII
   Copyright (c) 2005, Generex GmbH. All rights reserved.
   klaus
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" indent="yes" omit-xml-declaration="yes" encoding="ISO-8859-1"/>

  <!-- SITEMAN-LED -->

  <xsl:template name="tooltip">
    <xsl:param name="id" select="1"/>
    <xsl:param name="name" select="''"/>
    <xsl:param name="type" select="'digiout'"/>
    <xsl:choose>
      <xsl:when test="$type = 'digiout'">
        <div class="tooltip" id="{concat($type, $id)}">
          <xsl:value-of select="$name"/>
          <br/>
          <table border="0" cellspacing="1" cellpadding="1">
            <tr>
              <td>
                <img src="lib/img/status_gray.gif"  height="16" width="16" alt="gray"/>
              </td>
              <td id="inactive_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('inactive_id', '<xsl:value-of select="$lang-Inactive"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_green.gif" height="16" width="16" alt="green"/>
              </td>
              <td id="active_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('active_id', '<xsl:value-of select="$lang-Active"/>');</script>
              </td>
            </tr>
          </table>
        </div>
      </xsl:when>
      <xsl:when test="$type = 'digiin'">
        <div class="tooltip"  id="{concat($type, $id)}">
          <xsl:value-of select="$name"/>
          <br/>
          <table border="0" cellspacing="1" cellpadding="1">
            <tr>
              <td>
                <img src="lib/img/status_gray.gif"   height="16" width="16" alt="gray"/>
              </td>
              <td id="inactive_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('inactive_id', '<xsl:value-of select="$lang-Inactive"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_green.gif"  height="16" width="16" alt="green"/>
              </td>
              <td id="no_alarm_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('no_alarm_id', '<xsl:value-of select="$lang-No-alarm"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_fuchsia.gif" height="16" width="16" alt="yellow"/>
              </td>
              <td id="alarm_ack_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('alarm_ack_id', '<xsl:value-of select="$lang-Alarm-ack"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_red.gif"    height="16" width="16" alt="red"/>
              </td>
              <td id="alarm_active_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('alarm_active_id', '<xsl:value-of select="$lang-Alarm-active"/>');</script>
              </td>
            </tr>
          </table>
        </div>
      </xsl:when>
      <xsl:when test="$type = 'analogalarm'">
        <div class="tooltip"  id="{concat($type, $id)}">
          <xsl:value-of select="$name"/>
          <br/>
          <table border="0" cellspacing="1" cellpadding="1">
            <tr>
              <td>
                <img src="lib/img/status_gray.gif"   height="16" width="16" alt="gray"/>
              </td>
              <td id="inactive_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('inactive_id', '<xsl:value-of select="$lang-Inactive"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_green.gif"  height="16" width="16" alt="green"/>
              </td>
              <td id="no_alarm_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('no_alarm_id', '<xsl:value-of select="$lang-No-alarm"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_fuchsia.gif" height="16" width="16"  alt="yellow"/>
              </td>
              <td id="alarm_ack_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('alarm_ack_id', '<xsl:value-of select="$lang-Alarm-ack"/>');</script>
              </td>
            </tr>
            <tr>
              <td>
                <img src="lib/img/status_red.gif"    height="16" width="16" alt="red"/>
              </td>
              <td id="alarm_active_id" class="MediumSmall">
                <script type="text/javascript"> translate_text('alarm_active_id', '<xsl:value-of select="$lang-Alarm-active"/>');</script>
              </td>
            </tr>
          </table>
        </div>
      </xsl:when>
    </xsl:choose>
    <script type="text/javascript"> translate_text('<xsl:value-of select="concat($type, $id)"/>', '<xsl:value-of select="$name"/>');</script>
  </xsl:template>

  <xsl:template name="analogthres">
    <xsl:param name="id" select="1"/>
    <xsl:param name="hi" select="100"/>
    <xsl:param name="lo" select="0"/>
    <xsl:param name="val" select="0"/>
    <xsl:param name="unit" select="''"/>
    <xsl:param name="name" select="'Analog input 1'"/>
    <div class="tooltip" id="{concat('analogthres', $id)}">
      <table border="0" cellspacing="1" cellpadding="1">
        <tr>
          <td class="MediumSmallBold">
            <xsl:value-of select="$name"/>
          </td>
          <td class="MediumSmall">
            <xsl:value-of select="$val"/>&#160;<xsl:value-of select="$unit"/>
          </td>
        </tr>
        <tr>
          <td class="MediumSmall">
            <xsl:value-of select="$lang-High-threshold"/>:
          </td>
          <td class="MediumSmall">
            <xsl:value-of select="$hi"/>&#160;<xsl:value-of select="$unit"/>
          </td>
        </tr>
        <tr>
          <td class="MediumSmall">
            <xsl:value-of select="$lang-Low-threshold"/>:
          </td>
          <td class="MediumSmall">
            <xsl:value-of select="$lo"/>&#160;<xsl:value-of select="$unit"/>
          </td>
        </tr>
      </table>
    </div>
  </xsl:template>

  <xsl:template name="siteman-led">
    <xsl:param name="x" select="0"/>
    <xsl:param name="y" select="0"/>
    <xsl:param name="use" select="0"/>
    <xsl:param name="val" select="0"/>
    <xsl:param name="bit" select="0"/>
    <xsl:param name="logic" select="1"/>
    <xsl:param name="type" select="'digiout'"/>

    <xsl:variable name="bitstring">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="$val"/>
        <xsl:with-param name="places" select="16"/>
        <xsl:with-param name="dir" select="-1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="usebits">
      <xsl:call-template name="getfixedbitstring">
        <xsl:with-param name="val" select="$use"/>
        <xsl:with-param name="places" select="8"/>
        <xsl:with-param name="dir" select="-1"/>
      </xsl:call-template>
    </xsl:variable>


    <xsl:variable name="ledBit">
      <xsl:choose>
        <xsl:when test="$logic = 1">
          <xsl:value-of select="substring($bitstring, $bit,1)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="ackBit">
      <xsl:choose>
        <xsl:when test="$logic=1">
          <xsl:value-of select="substring($bitstring, $bit + 8,1)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="on">
      <xsl:choose>
        <xsl:when test="$logic=1">
          <xsl:value-of select="substring($usebits, $bit, 1)"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="substring($bitstring, $bit, 1)"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="ledText">
      <xsl:choose>
        <xsl:when test="$on = '0' and $logic = 0">
          <xsl:value-of select="$lang-Off"/>
        </xsl:when>
        <xsl:when test="$on = '1' and $logic = 0">
          <xsl:value-of select="$lang-On"/>
        </xsl:when>
        <xsl:when test="$ledBit = '1' and $ackBit = '0' and $on='1'">Ack</xsl:when>
        <xsl:otherwise></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="cmdText">
      <xsl:choose>
        <xsl:when test="$on = '0' and $logic = 0">On</xsl:when>
        <xsl:when test="$on = '1' and $logic = 0">Off</xsl:when>
        <xsl:when test="$ledBit = '1' and $ackBit = '0' and $on='1'">Ack</xsl:when>
        <xsl:otherwise></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <xsl:variable name="ip">
      <xsl:value-of select="//host/@address"/>
    </xsl:variable>
    <xsl:variable name="refoid">
      <xsl:value-of select="//service/@oid"/>
    </xsl:variable>
    <xsl:variable name="cmd">
      <xsl:choose>
        <xsl:when test="$type = 'digiin'">20001</xsl:when>
        <xsl:when test="$type = 'digiout'">20000</xsl:when>
        <xsl:otherwise>20002</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cmdmsg">
      <xsl:choose>
        <xsl:when test="$type = 'digiin'">
          <xsl:variable name="varname" select="concat('SM_D', concat(string($bit),'NAME'))"/>
          <xsl:value-of select="//values//value[@name=$varname]/@val"/>
        </xsl:when>
        <xsl:when test="$type = 'digiout'">
          <xsl:variable name="varname" select="concat('SM_O', concat(string($bit),'NAME'))"/>
          <xsl:value-of select="//values//value[@name=$varname]/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:variable name="varname" select="concat('SM_A', concat(string($bit),'NAME'))"/>
          <xsl:value-of select="//values//value[@name=$varname]/@val"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="with-comment">
      <xsl:choose>
        <xsl:when test="$type = 'digiin'">
          <xsl:value-of select="//report/@flags"/>
        </xsl:when>
        <xsl:when test="$type = 'digiout'">0</xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="//report/@flags"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="href">
      <xsl:choose>
        <xsl:when test="$on = '0' and $logic = 0">
          javascript:sm2cmd('<xsl:value-of select="$cmd"/>', '<xsl:value-of select="$bit"/>', '1', '<xsl:value-of select="$refoid"/>', '<xsl:value-of select="$cmdmsg"/>', <xsl:value-of select="$with-comment"/>, '<xsl:value-of select="//user/text()"/>')
        </xsl:when>
        <xsl:when test="$on = '1' and $logic = 0">
          javascript:sm2cmd('<xsl:value-of select="$cmd"/>', '<xsl:value-of select="$bit"/>', '0', '<xsl:value-of select="$refoid"/>', '<xsl:value-of select="$cmdmsg"/>', <xsl:value-of select="$with-comment"/>, '<xsl:value-of select="//user/text()"/>')
        </xsl:when>
        <xsl:when test="$ledBit = '1' and $ackBit = '0' and $on='1'">
          javascript:sm2cmd('<xsl:value-of select="$cmd"/>', '<xsl:value-of select="$bit"/>', '1', '<xsl:value-of select="$refoid"/>', '<xsl:value-of select="$cmdmsg"/>', <xsl:value-of select="$with-comment"/>, '<xsl:value-of select="//user/text()"/>')
        </xsl:when>
        <xsl:otherwise>javascript:void(0)</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="src">
      <xsl:choose>
        <xsl:when test="$on = '0'">lib/img/status_gray.gif</xsl:when>
        <xsl:when test="$ledBit = '1' and $ackBit = '0'">lib/img/status_red.gif</xsl:when>
        <xsl:when test="$ledBit = '1' and $ackBit = '1'">lib/img/status_fuchsia.gif</xsl:when>
        <xsl:otherwise>lib/img/status_green.gif</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--
    <xsl:message>Called siteman-led with x=<xsl:value-of select="$x"/>, y=<xsl:value-of select="$y"/>, bit=<xsl:value-of select="$bit"/>, logic=<xsl:value-of select="$logic"/>
    val=<xsl:value-of select="$bitstring"/>, use=<xsl:value-of select="$usebits"/>
    led=<xsl:value-of select="$ledBit"/>, ack=<xsl:value-of select="$ackBit"/>, on =<xsl:value-of select="$on"/>
    src="<xsl:value-of select="$src"/>
      </xsl:message>
  -->
    <div style="position:absolute;left:{$x}px;top:{$y}px; text-align:center; z-index:1" class="SmallBold">
      <a href="{$href}" border="0">
        <img border="0" src="{$src}" alt="" width="32" height="32" onMouseOver="TTshow('{concat($type, $bit)}')" onMouseOut="TThide()"/>
      </a>
      <br/>
      <xsl:value-of select="$bit"/>
    </div>
    <div style="position:absolute;left:{$x}px;top:{$y + 9 }px; width:32px; height:32px; text-align:center; z-index:2; color:#ffffff; font-size:11px" class="MediumBold">
      <a class="MediumBold" style="text-decoration:none;color:#ffffff; font-size:11px" href="{$href}" border="0" onMouseOver="TTshow('{concat($type, $bit)}')" onMouseOut="TThide()">
        <xsl:value-of select="$ledText"/>
      </a>
    </div>
  </xsl:template>


  <xsl:template name="siteman-led-group">
    <xsl:param name="x" select="0"/>
    <xsl:param name="y" select="0"/>
    <xsl:param name="use" select="0"/>
    <xsl:param name="val" select="0"/>
    <xsl:param name="xOffset"    select="50"/>
    <xsl:param name="yOffset"    select="50"/>
    <xsl:param name="count"      select="0"/>
    <xsl:param name="maxcount"   select="8"/>
    <xsl:param name="rowcount"   select="4"/>
    <xsl:param name="headline"   select="''"/>
    <xsl:param name="logic"   select="1"/>
    <xsl:param name="type"   select="'digiout'"/>
    <xsl:param name="id"   select="'id'"/>

    <xsl:variable name="row"    select="floor($count div $rowcount)"/>
    <xsl:variable name="column" select="floor($count mod $rowcount)"/>
    <xsl:variable name="realX" select="$x + $column * $xOffset"/>
    <xsl:variable name="realY" select="$y + 20 + $row    * $yOffset"/>
    <!--
      <xsl:message>Called siteman-led-group with count=<xsl:value-of select="$count"/>, maxcount=<xsl:value-of select="$maxcount"/>, rowcount=<xsl:value-of select="$rowcount"/>,
      x=<xsl:value-of select="$x"/>, realX=<xsl:value-of select="$realX"/>, y=<xsl:value-of select="$y"/>, realY=<xsl:value-of select="$realY"/>
      yOffset=<xsl:value-of select="$yOffset"/>, head=<xsl:value-of select="$headline"/>
      </xsl:message>
      -->
    <xsl:variable name="totalWidth"  select="($rowcount)* $xOffset"/>

    <xsl:choose>
      <xsl:when test="$count &lt; $maxcount">

        <xsl:call-template name="siteman-led">
          <xsl:with-param name="x" select="$realX"/>
          <xsl:with-param name="y" select="$realY"/>
          <xsl:with-param name="val" select="$val"/>
          <xsl:with-param name="use" select="$use"/>
          <xsl:with-param name="bit" select="$count + 1"/>
          <xsl:with-param name="logic" select="$logic"/>
          <xsl:with-param name="type" select="$type"/>
        </xsl:call-template>
        <xsl:call-template name="siteman-led-group">
          <xsl:with-param name="x" select="$x"/>
          <xsl:with-param name="y" select="$y"/>
          <xsl:with-param name="xOffset" select="$xOffset"/>
          <xsl:with-param name="yOffset" select="$yOffset"/>
          <xsl:with-param name="val" select="$val"/>
          <xsl:with-param name="use" select="$use"/>
          <xsl:with-param name="count" select="$count + 1"/>
          <xsl:with-param name="maxcount" select="$maxcount"/>
          <xsl:with-param name="rowcount" select="$rowcount"/>
          <xsl:with-param name="headline"   select="$headline"/>
          <xsl:with-param name="logic" select="$logic"/>
          <xsl:with-param name="type" select="$type"/>
          <xsl:with-param name="id"   select="$id"/>
        </xsl:call-template>
      </xsl:when>
      <xsl:otherwise>
        <div id= "{$id}" style="position:absolute;left:{$x}px;top:{$y}px; width:{$totalWidth}px;text-align:center;" class="MediumBold">
          <xsl:value-of select="$headline"/>
          <script type="text/javascript"> translate_text('<xsl:value-of select="$id"/>', '<xsl:value-of select="$headline"/>');</script>
        </div>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!-- EOS -->
</xsl:stylesheet>

