/*
   zintoe_funct_panel.js - Zinto E functions screen.
   Copyright (c) 2014, Generex GmbH. All rights reserved.
   Said.
*/
var zintoe_func_api = (function ($) {
  var cb = null,
  cb_update_test_result = null,
  req_params = null,
  valtable_obj, report_obj,
  oid = null,
  err_div = null,
  pannes_created = false,
  check_bowser = true,
  css_obj, attr_obj,
  curr_ups_cmd = null,
  curr_ups_test = null,
  x_pos = 10,
  y_pos = 10,
  plattform = get_plattform(),
  ups_test_objs = [
    { name: i18n(lang_Battery_Test), id: 257 },
    { name: i18n('Self Test'), id: 268 },
    { name: i18n('Full Test'), id: 102 }
  ],
  //CS141 Command Variables:
  ups_cmd_option = {
    data: {},
    data_type: 'text',
    success: plattform == utils_api.plattform_cs141 ? null : ups_cmd_update, //Callback on successnull
    error: err_funct //Callback on error
  },
  ups_cmd_settings = {
    methode: "POST",
    xhttp_methode_override: 'PUT',
    req_payload_json: true
  },
  ctl_url = get_url("api/devices/ups/control"),
  update_test_result_req_params = {
    url: ctl_url + '?code=updateUpsFunct',
    data: {},
    data_type: 'json',
    methode: "GET",
    refresh_tm: 4000
  },
  isTestResultPending = false;

  /*public functions*/
  return {
    init: init
  };

  function init() {
    if (check_bowser && !utils_api.check_bowser()) {
      $('#loading_id').css('display', 'none');
      panes_api.create_br_check_panel(this, browser_check_ok);
      return true;
    }
    create_err_msg_panel();
    req_params = utils_api.get_req_params(utils_api.device_ups, oid);
    cb = jqmodule.subscribe(this, { update: update, error: err_funct }, req_params);

    if (plattform == utils_api.plattform_cs141) {
      cb_update_test_result = jqmodule.subscribe(this, { update: update_test_result, error: err_funct }, update_test_result_req_params);
    }

  }

  function browser_check_ok() {
    check_bowser = false;
    init();
  }

  function create_err_msg_panel() {
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, width: 360, height: 42, display: 'none', 'z-index': 10 };
    err_div = panes_api.create_err_panel({ id: 'error_div', 'class': 'alert alert-error' }, css_obj);
  }

  function err_funct(response) {
    jqmodule.refresh(cb, 10 * 1000);
    panes_api.display_err({ response: response, oid: oid, err_div: err_div, err_msg_div_id: 'error_msg_div' });
  }

  function update(data) {
    if (data.ups == null) {
      return;
    }

    valtable_obj = data.ups.valtable;
    report_obj = data.report;

    if (err_div)
    err_div.css('display', 'none');

    jqmodule.refresh(cb, report_obj.refresh * 1000);
    if (!pannes_created) {
      window.resizeTo(840, 800);
      pannes_created = true;
      utils_api.setTitle(valtable_obj._platform);
      create_pannes(); //create screen.
      return false;
    }

    document.body.style.cursor = 'auto';
    $("span").removeAttr("disabled");
    $("input").removeAttr("disabled");
    $("button").removeAttr("disabled");

    if (is_zinte_800()) {
      $("#full_test_id").attr('disabled', 'disabled');
      $("#cancel_test_id").attr('disabled', 'disabled');
    }
    set_values(); //set values.
  }

  function ups_cmd_update(data) //only ups_view
  {
    set_cmd_info(data.ups_cmd.error); //set UPS command info
  }

  function set_cmd_info(error) //set UPS command info (//only ups_view)
  {
    var cmd_state_info_div = $('#cmd_state_div_id');

    if (error != 0) {
      curr_ups_test = null;
      cmd_state_info_div.removeClass('alert-success');
      cmd_state_info_div.addClass('alert-danger');
    } else {
      cmd_state_info_div.removeClass('alert-danger');
      cmd_state_info_div.addClass('alert-success');
      $('#test_result_id').text(i18n(curr_ups_test) + ':' + i18n('pending'));
    }
    cmd_state_info_div.text(curr_ups_cmd);
    cmd_state_info_div.css({ 'display': 'block' });

    setTimeout(function () { cmd_state_info_div.css({ 'display': 'none' }); }, 6000);
  }

  function create_cmd_info_panel() //create UPS command info panel(//only ups_view)
  {
    var cmd_state_info_div, cmd_txt_info_div;

    css_obj = { position: 'absolute', 'top': y_pos + 508, 'left': x_pos + 20, 'width': 740, 'text-align': 'center', display: 'none', 'z-index': 10 };
    attr_obj = { id: 'cmd_state_div_id', 'class': 'alert alert-error' };
    cmd_state_info_div = panes_api.create_div(attr_obj, css_obj);
    cmd_state_info_div.append(i18n('Infos'));
  }

  function create_bg() {
    var fragment = document.createDocumentFragment(),
    img_div;
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, width: 780, height: 640, border: 'solid 1px #808080' };
    img_div = $('<div/>', { 'class': 'img-rounded' }).css(css_obj);
    fragment.appendChild(img_div[0]);
    document.body.appendChild(fragment);
  }

  function create_funct_title() {
    var title_div, a;
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, align: 'center', width: 780 }; // 'background-color': '#3a87ad'
    attr_obj = { id: 'model_div_id', 'class': 'list-group' };
    title_div = panes_api.create_div(attr_obj, css_obj);
    a = $('<a/>', { 'class': 'list-group-item active' }).append(i18n(lang_UPS_Remote_Control)).appendTo(title_div);
  }

  function create_pannes() //create screen.
  {
    create_bg();
    create_funct_title();
    create_switch_off_on_ups_panel(); //create switch off on ups panel
    create_outlets_panel(); //create outlets panel
    create_ups_func_panel(); //create create ups functions panel
    if (plattform == utils_api.plattform_cs141) {
      create_test_result_panel();
    } else {
      create_cmd_info_panel(); //create UPS command info panel
    }
    create_ups_settings_panel(); //create ups setting panel
  }

  function set_values() //set values.
  {
    set_outlets_status(); //set outlets status
    set_ups_buzzer();
    set_ups_settings(); //set ups setting panel

    if (plattform != utils_api.plattform_cs141) {
      set_test_result();
    }

  }

  function is_zinte_800() //zinte 800.
  {
    return valtable_obj.SMALLZINTOE;
  }

  function create_err_msg_panel() {
    css_obj = { position: 'absolute', top: 10, left: 10, width: 740, height: 62, display: 'none', 'z-index': 10 };
    err_div = panes_api.create_err_panel({ id: 'error_div', 'class': 'alert alert-error' }, css_obj);
  }

  function send_ups_cmd(ups_cmd_parameters) //send UPS Command
  {
    $("span").attr("disabled", "disabled");
    $("input").attr("disabled", "disabled");
    $("button").attr("disabled", "disabled");

    if (!is_zinte_800()) {
      $("#cancel_test_id").removeAttr("disabled");
    }

    document.body.disable = true;
    document.body.style.cursor = 'wait';

    ups_cmd_option.data = ups_cmd_parameters;
    if (report_obj._platform != utils_api.plattform_cs141) {
      var url = get_url("data.cgi");
      ups_cmd_option.data_type = 'json';
      jqmodule.ajax(url, ups_cmd_option);
    } else {
      jqmodule.ajax(ctl_url, ups_cmd_option, ups_cmd_settings);
    }

  }

  function create_switch_off_on_ups_panel() //create switch off on ups panel
  {
    var fragment = document.createDocumentFragment(),
    switch_div, tr, td, table, tbody, thead, button;

    css_obj = {
      'position': 'absolute',
      'top': y_pos + 314,
      'left': x_pos + 18,
      'width': 360,
      'height': 154,
      'text-align': 'center',
      'border': '1px solid black',
      'background-color': 'white'
    };
    switch_div = $('<div/>').attr({ 'id': 'switch_offon_tile_div_id', 'class': 'img-rounded', align: 'center' }).css(css_obj);


    table = $('<table/>', {
      'class': 'table table-condensed',
      'align': 'left',
      cellpadding: 4,
      cellspacing: 1,
      'text-align': 'left',
      'width': '100%'
    }).css({ 'margin-top': '4px' }).appendTo(switch_div);
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);

    tr = $('<tr />').appendTo(thead);
    td = $('<th />', { colspan: 2 }).css({ 'text-align': 'center' }).append(i18n(lang_Toggle_the_UPS)).appendTo(tr);

    //start restart functions button
    //switch off UPS
    tr = $('<tr />').appendTo(tbody);;
    td = $('<td />', { 'align': 'left' }).css('vertical-align', 'middle').append(i18n(lang_Switch_off_UPS_without_restart)).appendTo(tr);
    td = $('<td />', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "ups_shutdown_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_off_UPS)).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n(lang_Switch_off_UPS) + " \"?")) {
        return false;
      }

      curr_ups_cmd = i18n(lang_Switch_off_UPS_without_restart);

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_SHUTDOWN', p1: 1 });
      } else {
        send_ups_cmd({ code: 'upsCtl', params: { cmdId: 261, params: "1" } });
      }
      event.preventDefault();
    });

    //switch On UPS
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left' }).css('vertical-align', 'middle').append(i18n('Switch On UPS')).appendTo(tr);
    td = $('<td />', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "ups_on_id", 'class': "btn btn-default btn-sm" }).append(i18n('Switch On UPS')).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Switch On UPS') + " \"?")) {
        return false;
      }

      curr_ups_cmd = i18n('Switch On UPS');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: '2100' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2100, params: "" } });
      }
      event.preventDefault();
    });

    //switch UPS On load and restart
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left' }).css('vertical-align', 'middle').append(i18n(lang_Switch_off_UPS_load_and_restart)).appendTo(tr);
    td = $('<td />', { 'align': 'right' }).appendTo(tr);

    button = $('<button>', { id: "ups_shutdown_restart_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Restart_the_UPS)).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n(lang_Restart_the_UPS) + " \"?")) {
        return false;
      }

      curr_ups_cmd = lang_Switch_off_UPS_load_and_restart;

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_SHUTDOWNRESTORE', p1: 1, p2: 5 });
      } else {
        send_ups_cmd({ code: 'upsCtl', params: { cmdId: 773, shutdownDelay: 1, restoreDelay: 5 } });
      }

      event.preventDefault();
    });

    fragment.appendChild(switch_div[0]);
    document.body.appendChild(fragment);
  }

  function create_outlets_panel() //create outlets panel
  {
    var fragment = document.createDocumentFragment(),
    outlets_div, tr, td, table, tbody, button, thead;

    css_obj = {
      'position': 'absolute',
      'top': y_pos + 374,
      'left': x_pos + 400,
      'width': 360,
      'height': 98,
      'text-align': 'center',
      'border': '1px solid black',
      'background-color': 'white'
    };
    outlets_div = $('<div/>', { 'id': 'switch_tile_div_id', 'class': 'img-rounded', align: 'center' }).css(css_obj);

    table = $('<table/>', {
      'class': 'table table-condensed',
      'align': 'center',
      cellpadding: 1,
      cellspacing: 12,
      'text-align': 'center'
    }).css('margin-top', '10px').appendTo(outlets_div);
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);

    tr = $('<tr />').appendTo(thead);
    td = $('<th />', { colspan: 2 }).css({ 'text-align': 'center' }).append(i18n(lang_Toggle_the_outlets)).appendTo(tr);

    //outlets buttons
    tr = $('<tr />');
    if (valtable_obj.OUTLET_EXISTMASK == null || valtable_obj.OUTLET_EXISTMASK == 0) {
      td = $('<td/>', { 'align': 'center' }).append(i18n('There are no outlets that can be switched on or off')).appendTo(tr);
    } else {
      if ((valtable_obj.OUTLET_EXISTMASK & 1) == 1) //outlet 1
      {
        td = $('<td/>', { 'align': 'center' });

        if ((valtable_obj.OUTLET_ONOFFMASK & 1) == 1)
        button = $('<button>', { id: "outlet1_id", 'class': "btn btn-success btn-sm" }).append('1').appendTo(td);
        else
        button = $('<button>', { id: "outlet1_id", 'class': "btn btn-default btn-sm" }).append('1').appendTo(td);
        td.appendTo(tr);

        button.click(function (event) {
          var on_off = (valtable_obj.OUTLET_ONOFFMASK & 1) == 1 ? "1|0" : "1|1";

          if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('outlet') + ' 1 ' + i18n('on/off') + " \"?")) {
            return false;
          }

          if (report_obj._platform != utils_api.plattform_cs141) {
            send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2224, p2: on_off });
          } else {
            send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2224, params: on_off } });
          }
          curr_ups_cmd = i18n(lang_Toggle_the_outlets) + " '1'";

          event.preventDefault();
        });
      }

      if ((valtable_obj.OUTLET_EXISTMASK & 2) == 2) //outlet 2
      {
        td = $('<td/>', { 'align': 'center' });
        if ((valtable_obj.OUTLET_ONOFFMASK & 2) == 2)
        button = $('<button>', { id: "outlet2_id", 'class': "btn btn-success btn-sm" }).append('2').appendTo(td);
        else
        button = $('<button>', { id: "outlet2_id", 'class': "btn btn-default btn-sm" }).append('2').appendTo(td);
        td.appendTo(tr);

        button.click(function (event) {
          var on_off = (valtable_obj.OUTLET_ONOFFMASK & 2) == 2 ? "2|0" : "2|1";

          if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('outlet') + ' 2 ' + i18n('on/off') + " \"?")) {
            return false;
          }

          if (report_obj._platform != utils_api.plattform_cs141) {
            send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2224, p2: on_off });
          } else {
            send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2224, params: on_off } });
          }
          curr_ups_cmd = i18n(lang_Toggle_the_outlets) + " '2'";

          event.preventDefault();
        });
      }
    }
    tr.appendTo(tbody);

    fragment.appendChild(outlets_div[0]);
    document.body.appendChild(fragment);
  }

  function set_outlets_status() //set outlets status
  {
    var button;
    if (valtable_obj.OUTLET_EXISTMASK == null || valtable_obj.OUTLET_EXISTMASK == 0)
    return false;
    button = $('#outlet1_id');
    if ((valtable_obj.OUTLET_EXISTMASK & 1) == 1) //outlet 1
    {
      if ((valtable_obj.OUTLET_ONOFFMASK & 1) == 1) {
        button.removeClass('btn-default');
        button.addClass('btn-success');
      } else {
        button.removeClass('btn-success');
        button.addClass('btn-default');
      }
    }
    button = $('#outlet2_id');
    if ((valtable_obj.OUTLET_EXISTMASK & 2) == 2) //outlet 2
    {
      if ((valtable_obj.OUTLET_ONOFFMASK & 2) == 2) {
        button.removeClass('btn-default');
        button.addClass('btn-success');
      } else {
        button.removeClass('btn-success');
        button.addClass('btn-default');
      }
    }
  }

  function create_ups_func_panel() //create ups functions panel
  {
    var fragment = document.createDocumentFragment(),
    func_div, tr, td, table, tbody, thead, button;

    css_obj = {
      'position': 'absolute',
      'top': y_pos + 42,
      'left': x_pos + 18,
      'width': 360,
      'height': 258,
      'text-align': 'center',
      'border': '1px solid black',
      'background-color': 'white'
    };

    func_div = $('<div/>').attr({ 'id': 'ups_func_div_id', 'class': 'img-rounded', align: 'center' }).css(css_obj);

    table = $('<table/>', {
      'class': 'table table-condensed',
      'align': 'left',
      cellpadding: 4,
      cellspacing: 1,
      'text-align': 'left',
      'width': '100%'
    }).css({ 'margin-top': '4px' }).appendTo(func_div);

    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);

    tr = $('<tr />').appendTo(thead);
    td = $('<th />', { colspan: 3 }).css({ 'text-align': 'center' }).append(i18n(lang_UPS_Functions)).appendTo(tr);

    //Start battery test
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 2 }).append(i18n(i18n(lang_Battery_Test))).appendTo(tr);
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "batt_test_id", 'class': "btn btn-default btn-sm" }).css('vertical-align', 'middle').append(i18n('Start')).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      curr_ups_cmd = curr_ups_test = i18n(lang_Battery_Test);

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_TEST', p1: 'BATTERY_TEST' });
      } else {
        send_ups_cmd({ code: 'upsTest', params: { cmdId: 257, params: "" } });
      }

      event.preventDefault();
    });

    //Start self test
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 2 }).append(i18n('Self Test')).appendTo(tr);
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "self_test_id", 'class': "btn btn-default btn-sm" }).css('vertical-align', 'middle').append(i18n('Start')).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      curr_ups_cmd = curr_ups_test = i18n('Self Test');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_TEST', p1: 'SELF_TEST' });
      } else {
        send_ups_cmd({ code: 'upsTest', params: { cmdId: 268, params: "" } });
      }

      event.preventDefault();
    });

    //Start full Test
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 2 }).css('vertical-align', 'middle').append(i18n('Full Test')).appendTo(tr);
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "full_test_id", 'class': "btn btn-default btn-sm" }).append(i18n('Start')).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      curr_ups_cmd = curr_ups_test = i18n('Full Test');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_TEST', p1: 'FULL_TEST' });
      } else {
        send_ups_cmd({ code: 'upsTest', params: { cmdId: 102, params: "" } });
      }
      event.preventDefault();
    });

    if (is_zinte_800())
    button.attr('disabled', 'disabled');

    //cancel Test
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 2 }).css('vertical-align', 'middle').append(i18n('Cancel Test')).appendTo(tr);
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "cancel_test_id", 'class': "btn btn-default btn-sm" }).append(i18n('Cancel Test')).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (curr_ups_test == null)
      return;
      curr_ups_cmd = curr_ups_test = i18n('Cancel') + ' ' + i18n(curr_ups_test);

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_TEST', p1: 'CANCEL_TEST' });
      } else {
        send_ups_cmd({ code: 'upsTest', params: { cmdId: 260, params: "" } });
      }
      event.preventDefault();
    });
    if (is_zinte_800())
    button.attr('disabled', 'disabled');

    //UPS Buzzer
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 1 }).css('vertical-align', 'middle').append(i18n(lang_UPS_Buzzer)).appendTo(tr);

    //UPS Buzzer On
    td = $('<td/>', { 'align': 'left' }).appendTo(tr);
    button = $('<button>', { id: "ups_buzzer_on_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_ON)).appendTo(td);
    button.css({ width: 115 });

    button.click(function (event) {
      curr_ups_cmd = i18n(lang_UPS_Buzzer) + ' ' + i18n(lang_Switch_ON);
      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: '2108', p2: '1' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2108, params: "1" } });
      }
      event.preventDefault();
    });
    if (valtable_obj.V_AUDIBLE_ALARM == 1)
    button.attr('disabled', 'disabled');

    //UPS Buzzer Off
    td = $('<td/>', { 'align': 'center' }).appendTo(tr);
    button = $('<button>', { id: "ups_buzzer_off_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_OFF)).appendTo(td);
    button.css({ width: 115 });

    button.click(function (event) {
      curr_ups_cmd = i18n(lang_UPS_Buzzer) + ' ' + i18n(lang_Switch_OFF);

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: '2108', p2: '0' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2108, params: "0" } });
      }
      event.preventDefault();
    });
    if (valtable_obj.V_AUDIBLE_ALARM == 0)
    button.attr('disabled', 'disabled');

    if (plattform != utils_api.plattform_cs141) {
      tr = $('<tr />').appendTo(tbody);
      td = $('<td />', { id: 'test_result_id', 'class': 'img-rounded', 'align': 'center', 'colspan': 3 }).css({ 'background-color': '#D9EDF7', 'margin-left': '40px' }).
      append(i18n('Last Test Result')).appendTo(tr);
    }

    fragment.appendChild(func_div[0]);
    document.body.appendChild(fragment);
  }

  function set_test_result() //only for ups_view
  {
    var td, status = i18n("pending"),
    test_result;
    if (curr_ups_test == null)
    return;

    test_result = valtable_obj.BATTTSTRESULT;
    if (test_result == 1)
    status = i18n("pending");
    else if (test_result == 2)
    status = i18n("running");
    else if (test_result == 4)
    status = i18n("success");
    else if (test_result == 8)
    status = i18n("cancelled");
    else if (test_result == 16)
    status = i18n("failed");

    $('#test_result_id').text(i18n(curr_ups_test) + ':' + status);
  }

  function set_ups_buzzer() {
    if (valtable_obj.V_AUDIBLE_ALARM == 0) {
      $('#ups_buzzer_on_id').removeAttr('disabled');
      $('#ups_buzzer_off_id').attr('disabled', 'disabled');
    } else {
      $('#ups_buzzer_off_id').removeAttr('disabled');
      $('#ups_buzzer_on_id').attr('disabled', 'disabled');
    }
  }

  function create_test_result_panel() {
    var fragment = document.createDocumentFragment(),
    ups_test_result_div, input, tr, td, th, table, tbody, thead,
    result, holdtime;

    ups_test_result_div = $('<div/>', { id: 'ups_test_result_div_id', 'class': 'img-rounded', align: 'center' }).
    css({ 'position': 'absolute', 'top': y_pos + 484, 'left': x_pos + 18, width: 484, height: 140, 'text-align': 'center', 'border': '1px solid black', 'background-color': 'white' });

    table = $('<table/>', { id: 'table_ups_test_result_id', 'class': 'table-condensed table-hover ', align: 'center' }).
    css({ 'margin': '6px', width: '96%' });
    table.appendTo(ups_test_result_div);
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);

    tr = $('<tr />').append($('<th />', { colspan: 5 }).css({ 'text-align': 'center' }).append(i18n('Last UPS Test Result'))).appendTo(thead);

    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { align: 'left' }).append(i18n('Name')).appendTo(tr);
    td = $('<td />', { align: 'left' }).append(i18n('Status')).appendTo(tr);
    td = $('<td />', { align: 'left' }).append(i18n('Result')).appendTo(tr);
    td = $('<td />', { align: 'left' }).append(i18n('Holdtime[Min]')).appendTo(tr);
    td = $('<td />', { align: 'left' }).append(i18n('Start Time')).appendTo(tr);

    $.each(ups_test_objs, (function (j, ups_test_obj) {
      tr = $('<tr />').appendTo(tbody);
      td = $('<td />', { id: 'test_name_' + ups_test_obj.id, align: 'left' }).
      append(ups_test_obj.name).appendTo(tr);

      td = $('<td />', { id: 'test_status_' + ups_test_obj.id, align: 'left' }).appendTo(tr);

      td = $('<td />', { id: 'test_result_' + ups_test_obj.id, align: 'left' }).
      append(result).appendTo(tr);

      td = $('<td />', { id: 'test_holdtime_' + ups_test_obj.id, align: 'center' }).
      append(holdtime).appendTo(tr);

      td = $('<td />', { id: 'test_begin_' + ups_test_obj.id, align: 'left' }).
      append('').appendTo(tr);
    }));

    fragment.appendChild(ups_test_result_div[0]);
    document.body.appendChild(fragment);
  }

  function update_test_result(test_data) {
    var result, holdtime,
    test_result = test_data.updateUpsFunct.upsTest;
    cur_test_id = test_result.id,

    isTestResultPending = test_result.isTestResultPending;

    if (test_result.status == 0x4 || test_result.status == 0x10) //UPSTST_FINISHED | UPSTST_FAILED
    {
      result = test_result.result ? i18n('success') : i18n('failed');
    } else {
      result = '';
    }

    if ((test_result.status == 0x4 && test_result.result) //UPSTST_FINISHED && result == 1
      ||
      test_result.status == 0x08) //UPSTST_CANCELED
    {
      holdtime = test_result.holdtime != 0 ? test_result.holdtime.toFixed(2) : '---';
    } else if (test_result.status == 0x10) //UPSTST_FAILED
    {
      holdtime = '---';
    } else {
      holdtime = '';
    }

    $('#test_status_' + cur_test_id).text(get_test_status(test_result.status));

    $('#test_holdtime_' + cur_test_id).text(holdtime);
    $('#test_result_' + cur_test_id).text(result);

    if (test_result.timeBeg != 0) {
      $('#test_begin_' + cur_test_id).text(utils_api.formatDate(new Date(test_result.timeBeg * 1000), "dd.MM.yyyy hh:nn:ss"));
    } else {
      $('#test_begin_' + cur_test_id).text('');
    }

  }

  function get_test_status(status) {
    if (status == 1)
    return i18n("pending");
    else if (status == 2)
    return i18n("running");
    else if (status == 4)
    return i18n("finished");
    else if (status == 8)
    return i18n("cancelled");
    else if (status == 16)
    return i18n("failed");
    return '';
  }

  function create_ups_settings_panel() //create ups setting panel
  {
    var fragment = document.createDocumentFragment(),
    settings_div, tr, td, table, tbody, thead, button,
    val;

    css_obj = {
      'position': 'absolute',
      'top': y_pos + 42,
      'left': x_pos + 400,
      'width': 360,
      'height': 320,
      'text-align': 'center',
      'border': '1px solid black',
      'background-color': 'white'
    };

    settings_div = $('<div/>').attr({ 'id': 'ups_settings_div_id', 'class': 'img-rounded', align: 'center' }).css(css_obj);

    table = $('<table/>', {
      'class': 'table table-condensed',
      'align': 'left',
      cellpadding: 4,
      cellspacing: 1,
      'text-align': 'left',
      'width': '100%'
    }).css({ 'margin-top': '4px' }).appendTo(settings_div);
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);

    tr = $('<tr />').appendTo(thead);
    td = $('<th />', { colspan: 3 }).css({ 'text-align': 'center' }).append(i18n('UPS Settings')).appendTo(tr);

    //UPS Autotest
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 1 }).css('vertical-align', 'middle').append(i18n('Auto test')).appendTo(tr);

    //UPS Autotest On
    td = $('<td/>', { 'align': 'center' }).appendTo(tr);
    button = $('<button>', { id: "ups_autotest_on_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_ON)).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Auto Test On') + " \"?")) {
        return false;
      }

      curr_ups_cmd = i18n('Auto Test On');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2012, p2: 'AT1' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2012, params: 'AT1' } });
      }
      event.preventDefault();
    });
    if (valtable_obj.AUTOTEST == 1)
    button.attr('disabled', 'disabled');

    //UPS Autotest Off
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "ups_autotest_off_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_OFF)).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Auto Test Off') + " \"?")) {
        return false;
      }

      curr_ups_cmd = i18n('Auto Test Off');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2012, p2: 'AT0' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2012, params: "AT0" } });
      }
      event.preventDefault();
    });
    if (valtable_obj.AUTOTEST == 0)
    button.attr('disabled', 'disabled');

    //UPS Autorestart
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 1 }).css('vertical-align', 'middle').append(i18n('Auto restart')).appendTo(tr);

    //UPS Autorestart On
    td = $('<td/>', { 'align': 'center' }).appendTo(tr);
    button = $('<button>', { id: "ups_autorestart_on_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_ON)).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Auto restart') + ' ' + i18n('on') + " \"?")) {
        return false;
      }

      curr_ups_cmd = i18n('Auto restart') + ' ' + i18n('On');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2011, p2: 'AR1' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2011, params: 'AR1' } });
      }
      event.preventDefault();
    });
    if (valtable_obj.AUTORESTART == 1)
    button.attr('disabled', 'disabled');

    //UPS Autorestart Off
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "ups_autorestart_off_id", 'class': "btn btn-default btn-sm" }).append(i18n(lang_Switch_OFF)).appendTo(td);
    button.css({ width: 115 });
    button.click(function (event) {
      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Auto restart') + ' ' + i18n('off') + " \"?")) {
        return false;
      }

      curr_ups_cmd = i18n('Auto restart') + ' ' + i18n('Off');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2011, p2: 'AR0' });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2011, params: 'AR0' } });
      }
      event.preventDefault();
    });
    if (valtable_obj.AUTORESTART == 0)
    button.attr('disabled', 'disabled');


    tr = $('<tr />');
    td = $('<td />', { 'align': 'center', colspan: 3 }).append('&nbsp;&nbsp;&nbsp;&nbsp;').appendTo(tr);
    tr.appendTo(tbody);

    //Inputvolt mode
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 2 }).css('vertical-align', 'top').append(i18n('Inputvolt mode')).appendTo(tr);


    //Set Inputvolt mode button
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "ups_inpmode_id", 'class': "btn btn-default btn-sm" }).append(i18n('Set')).appendTo(td);
    button.css({ width: 115 });

    button.click(function (event) {
      var text = i18n('Normal'),
      r_butt = $('input[name=inputvolt_mode]:checked');

      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Set inputvolt') + ' ' + i18n('mode') + " \"?")) {
        return false;
      }

      if (r_butt.length == 0)
      return;
      if (r_butt.attr('value') == 'IPG')
      text = i18n('Generator');
      if (r_butt.attr('value') == 'IPW')
      text = i18n('Wide');

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: 2013, p2: r_butt.attr('value') });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: 2013, params: r_butt.attr('value') } });
      }

      curr_ups_cmd = i18n('Set') + ' ' + i18n('Inputvolt mode') + ' ' + i18n(text);
      event.preventDefault();
    });


    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left' }).appendTo(tr);
    $('<label><input type="radio" id ="inpvoltage_mode_78" name="inputvolt_mode" value="IPN" />' + i18n('Normal') + '</label>').appendTo(td);

    td = $('<td />', { 'align': 'center' }).appendTo(tr);
    if (!is_zinte_800())
    $('<label><input type="radio" id ="inpvoltage_mode_87" name="inputvolt_mode" value="IPW" />' + i18n('Wide') + '</label>').appendTo(td);
    else
    td.append(' ');

    td = $('<td />', { 'align': 'left' }).appendTo(tr);
    $('<label><input type="radio" id ="inpvoltage_mode_71" name="inputvolt_mode" value="IPG" />' + i18n('Generator') + '</label>').appendTo(td);

    tr = $('<tr />');
    td = $('<td />', { 'align': 'center', colspan: 3 }).append('&nbsp;&nbsp;&nbsp;&nbsp;').appendTo(tr);
    tr.appendTo(tbody);

    //Outputvolt set
    tr = $('<tr />').appendTo(tbody);
    td = $('<td />', { 'align': 'left', colspan: 2 }).css('vertical-align', 'top').append(i18n('Outputvolt')).appendTo(tr);
    //Set Outputvolt  button
    td = $('<td/>', { 'align': 'right' }).appendTo(tr);
    button = $('<button>', { id: "ups_Outputvolt_id", 'class': "btn btn-default btn-sm" }).append(i18n('Set')).appendTo(td);
    button.css({ width: 115 });

    button.click(function (event) {
      var r_butt = $('input[name=outputvolt_set]:checked');
      if (r_butt.length == 0)
      return;

      if (!utils_api.confirm_action(i18n("Are you sure you want to execute the command") + ":\"" + i18n('Set outputvolt') + ' ' + i18n('value') + " \"?")) {
        return false;
      }

      if (report_obj._platform != utils_api.plattform_cs141) {
        send_ups_cmd({ type: "ups_cmd", cmd: 'UPS_EXE_COMMAND', p1: -1000, p2: r_butt.attr('value') });
      } else {
        send_ups_cmd({ code: 'upsExeCommand', params: { cmdId: -1000, params: r_butt.attr('value') } });
      }
      curr_ups_cmd = i18n('Outputvolt Set to') + ' ' + r_butt.attr('value') + ' V';
      event.preventDefault();
    });

    tr = $('<tr />').appendTo(tbody);

    td = $('<td />', { 'align': 'right' }).appendTo(tr);
    $('<label><input type="radio" id ="outputvolt_set_220" name="outputvolt_set" value="220" />220</label>').appendTo(td);

    td = $('<td />', { 'align': 'center' }).appendTo(tr);
    $('<label><input type="radio" id ="outputvolt_set_230" name="outputvolt_set" value="230" />230&nbsp;&nbsp;</label>').appendTo(td);

    td = $('<td />', { 'align': 'left' }).appendTo(tr);
    $('<label><input type="radio" id ="outputvolt_set_240" name="outputvolt_set" value="240" />240</label>').appendTo(td);

    fragment.appendChild(settings_div[0]);
    //document.body.appendChild(fragment);

    css_obj = {
      'position': 'absolute',
      'top': y_pos + 196,
      'left': x_pos + 408,
      'width': 360,
      'height': 16,
      'text-align': 'left',
      'background-color': 'transparent',
      color: 'red',
      'z-index': '20'
    };

    div = $('<div/>').append(i18n('(Configure in Standby mode)')).css(css_obj);
    fragment.appendChild(div[0]);

    css_obj.top = y_pos + 296;
    div = $('<div/>').append(i18n('(Configure in Standby mode)')).css(css_obj);
    fragment.appendChild(div[0]);

    document.body.appendChild(fragment);

    //Inputvolt mode
    val = valtable_obj.INPUTVOLTMODE.toFixed(0);
    $('#inpvoltage_mode_' + val).attr('checked', true);
    //Outputvolt set
    val = valtable_obj.OUTVOLTSET.toFixed(0);
    $('#outputvolt_set_' + val).attr('checked', true);
  }

  function set_ups_settings() //set ups setting panel
  {
    var val;
    if (valtable_obj.AUTOTEST == 0) {
      $('#ups_autotest_on_id').removeAttr('disabled');
      $('#ups_autotest_off_id').attr('disabled', 'disabled');
    } else {
      $('#ups_autotest_off_id').removeAttr('disabled');
      $('#ups_autotest_on_id').attr('disabled', 'disabled');
    }

    if (valtable_obj.AUTORESTART == 0) {
      $('#ups_autorestart_on_id').removeAttr('disabled');
      $('#ups_autorestart_off_id').attr('disabled', 'disabled');
    } else {
      $('#ups_autorestart_off_id').removeAttr('disabled');
      $('#ups_autorestart_on_id').attr('disabled', 'disabled');
    }

    //Inputvolt mode
    $('input[name=inputvolt_mode]:checked').removeAttr('checked');
    val = valtable_obj.INPUTVOLTMODE.toFixed(0);
    $('#inpvoltage_mode_' + val).attr('checked', true);
    //Outputvolt set
    $('input[name=outputvolt_set]:checked').removeAttr('checked');
    val = valtable_obj.OUTVOLTSET.toFixed(0);
    $('#outputvolt_set_' + val).attr('checked', true);
  }

}(jQuery));