/*
   zintoe_panel.js - Zinto E screen.
   Copyright (c) 2014, Generex GmbH. All rights reserved.
   Said.
*/

var zintoe_api = (function ($) {
  var oid = get_oid_from_url(),
  cb = null,
  pannes_created = false,
  err_div = null,
  check_bowser = true,
  outpower_loadbars_created = false,
  css_obj, attr_obj,
  valtable_obj, report_obj, unms_obj,
  inphases = null,
  outphases = null,
  bypphases = null,
  status, tempmax, tempdeg, overload = 0,
  x_pos = 10,
  y_pos = 10;

  var req_params = null;

  /*public functions*/
  return {
    init: init
  };

  function init() {
    if (check_bowser && !utils_api.check_bowser()) {
      $('#loading_id').css('display', 'none');
      panes_api.create_br_check_panel(this, browser_check_ok);
      return true;
    }
    create_err_msg_panel();

    req_params = utils_api.get_req_params(utils_api.device_ups, oid);
    cb = jqmodule.subscribe(this, { update: update, error: err_funct }, req_params);
  }

  function browser_check_ok() {
    check_bowser = false;
    init();
  }

  function create_err_msg_panel() {
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, width: 791, display: 'none', 'z-index': 22 };
    err_div = panes_api.create_err_panel({ id: 'error_div', 'class': 'alert alert-danger' }, css_obj);
  }

  function err_funct(response) {
    jqmodule.refresh(cb, 10 * 1000);
    panes_api.display_err({ response: response, oid: oid, err_div: err_div, err_msg_div_id: 'error_msg_div' });
  }

  function update(data) {
    if (data.ups == null) {
      return;
    }

    set_variable(data);
    jqmodule.refresh(cb, report_obj.refresh * 1000);
    if (err_div)
    err_div.css('display', 'none');

    if (window.menu_api != null)
    menu_api.update(data);

    unms_obj = get_unms_obj(data);
    if (unms_obj != null) {
      info_head_api.update(unms_obj);
    }

    if (!pannes_created) {
      pannes_created = true;
      create_panes();
      return false;
    }
    set_input_values(); ////Input values
    set_output_values(); //Output values
    set_battery_value(); //Battery value
    set_iby_ire_ssi_inv_rec_batt(); //SET IBY, IRE, SSI, INVERTER, RECTIFIER and BATTERY	pannes
    set_ups_status(); //set UPS status
    set_ups_mode(); //Set Mode
    set_outpower_loadbars(); //outpower loadbars
    if (valtable_obj._platform !== "ups_view")
    panes_api.set_rom_temp_values(valtable_obj); //set rom temp values
    set_footer();
  }

  function create_footer_pane() {
    if (!oid || !unms_obj)
    return true;
    footer_api.create({ //Attr
        id: 'panel2'
        //'class':'unmsFooter'
      }, { //css
        position: 'absolute',
        top: '490px',
        left: '74px'
      },
      unms_obj
    );
  }

  function set_footer() {
    if (!oid || !unms_obj)
    return true;
    footer_api.set(unms_obj);
  }

  function set_variable(data) {
    valtable_obj = data.ups.valtable;
    report_obj = data.report;

    status = valtable_obj.STATUS;
    tempmax = valtable_obj.TMPMAX;
    tempdeg = valtable_obj.TEMPDEG;
    level = valtable_obj.LEVEL;

    if (valtable_obj.INPHASES != null)
    inphases = valtable_obj.INPHASES;
    else
    inphases = valtable_obj.PHASES;

    if (valtable_obj.OUTPHASES != null)
    outphases = valtable_obj.OUTPHASES;
    else
    outphases = valtable_obj.PHASES;

    if (valtable_obj.EX_BYP_NUMLINES != null && valtable_obj.EX_BYP_NUMLINES != -9999)
    bypphases = valtable_obj.EX_BYP_NUMLINES;
    else
    bypphases = inphases;

    if (valtable_obj.OUTPOWER != null) {
      if (outphases > 2) {
        if ((valtable_obj.OUTPOWER[0] > 100) || (valtable_obj.OUTPOWER[1] > 100) || (valtable_obj.OUTPOWER[2] > 100))
        overload = 1;
      } else {
        if (valtable_obj.OUTPOWER[0] > 100)
        overload = 1;
      }
    }
  }

  function create_panes() {
    utils_api.setTitle(valtable_obj._platform);
    create_bg(); //background
    create_input_pane(); //Input table
    create_output_pane(); //Outnput	panel
    create_battery_pane(); //Battery panel
    create_ups_mode_pane(); //UPS Mode panel
    create_iby_ire_ssi_inv_rec_batt(); //create IBY, IRE, SSI, INVERTER, RECTIFIER and BATTERY	pannes
    create_status_pane(); //UPS status
    create_model_panes();
    create_outpower_loadbars(); //outpower loadbars
    if (valtable_obj._platform !== "ups_view")
    create_rom_temp(); //rom temp
    create_footer_pane();
  }

  function create_bg() {
    var fragment = document.createDocumentFragment(),
    img_div;
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, width: 818, height: 460, border: 'solid 1px #808080' };
    img_div = $('<div/>', { 'class': 'img-rounded' }).css(css_obj);
    $('<img />').attr({ 'id': 'bg_img_id', 'class': 'img-rounded', width: 816, 'height': 459, src: './image/ups/zintoe.png' }).
    css({ 'margin-top': -56 }).appendTo(img_div);
    fragment.appendChild(img_div[0]);
    document.body.appendChild(fragment);
  }

  function create_model_panes() {
    var model_div, a;
    css_obj = { position: 'absolute', top: y_pos, left: x_pos, align: 'center', width: 818 }; // 'background-color': '#3a87ad'
    attr_obj = { id: 'model_div_id', 'class': 'list-group' };
    model_div = panes_api.create_div(attr_obj, css_obj);
    a = $('<a/>', { 'class': 'list-group-item active' }).append(valtable_obj.MODEL).appendTo(model_div);
  }

  function create_input_pane() //Input table
  {
    var input_val = get_ph_1_3_vals(valtable_obj.INVOLT, valtable_obj.INCURR, valtable_obj.INFREQ, inphases),
    fragment = document.createDocumentFragment(),
    val, tr, table, tbody, thead, in_div;

    if (input_val.availables[0] == 0 & input_val.availables[1] == 0 & input_val.availables[2] == 0)
    return true;

    css_obj = { position: 'absolute', top: y_pos + 86, left: x_pos + 8 };

    in_div = $('<div/>', { id: 'input_div_id' }).css(css_obj);
    table = $('<table />', { 'class': 'table table-condensed table-hover' }).appendTo(in_div); // table-hover
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);

    tr = $('<tr />').append($('<th />', { colspan: 4 }).append(lang_Input)).appendTo(thead);

    if (input_val.availables[0] != 0) {
      tr = $('<tr />').append($('<td />').append("L1:")).appendTo(tbody);
      if (!input_val.val_objs[0].values[0].empty())
      $('<td />', { id: 'input_volt1_id' }).append(input_val.val_objs[0].values[0]).appendTo(tr);

      if (!input_val.val_objs[1].values[0].empty())
      $('<td />', { id: 'input_cur1_id' }).append(input_val.val_objs[1].values[0]).appendTo(tr);

      if (!input_val.val_objs[2].values[0].empty())
      $('<td />', { id: 'input_freq1_id' }).append(input_val.val_objs[2].values[0]).appendTo(tr);
    }

    if (input_val.availables[1] != 0) {
      tr = $('<tr />').append($('<td />').append("L2:")).appendTo(tbody);
      if (!input_val.val_objs[0].values[1].empty())
      $('<td />', { id: 'input_volt2_id' }).append(input_val.val_objs[0].values[1]).appendTo(tr);

      if (!input_val.val_objs[1].values[1].empty())
      $('<td />', { id: 'input_cur2_id' }).append(input_val.val_objs[1].values[1]).appendTo(tr);
    }
    if (input_val.availables[2] != 0) {
      tr = $('<tr />').append($('<td />').append("L3:")).appendTo(tbody);
      if (!input_val.val_objs[0].values[2].empty())
      $('<td />', { id: 'input_volt3_id' }).append(input_val.val_objs[0].values[2]).appendTo(tr);

      if (!input_val.val_objs[1].values[2].empty())
      $('<td />', { id: 'input_cur3_id' }).append(input_val.val_objs[1].values[2]).appendTo(tr);
    }

    fragment.appendChild(in_div[0]);
    document.body.appendChild(fragment);
  }

  function set_input_values() {
    var input_val = get_ph_1_3_vals(valtable_obj.INVOLT, valtable_obj.INCURR, valtable_obj.INFREQ, inphases);
    if (input_val.availables[0] == 0 & input_val.availables[1] == 0 & input_val.availables[2] == 0)
    return true;

    if (input_val.availables[0] != 0) {
      $('#input_volt1_id').text(input_val.val_objs[0].values[0]);
      $('#input_cur1_id').text(input_val.val_objs[1].values[0]);
      $('#input_freq1_id').text(input_val.val_objs[2].values[0]);
    }
    if (input_val.availables[1] != 0) {
      $('#input_volt2_id').text(input_val.val_objs[0].values[1]);
      $('#input_cur2_id').text(input_val.val_objs[1].values[1]);
    }
    if (input_val.availables[2] != 0) {
      $('#input_volt3_id').text(input_val.val_objs[0].values[2]);
      $('#input_cur3_id').text(input_val.val_objs[1].values[2]);
    }
  }

  function create_output_pane() //Output
  {
    var output_val = get_ph_1_3_vals(valtable_obj.OUTPUT_VOLT, valtable_obj.EX_OUT_CURR, valtable_obj.OUTFREQ, outphases),
    output_div = null,
    val, tr, table, tbody, thead,
    fragment = document.createDocumentFragment();
    if (output_val.availables[0] == 0 & output_val.availables[1] == 0 & output_val.availables[2] == 0)
    return true;

    css_obj = { position: 'absolute', top: y_pos + 86, left: x_pos + 650 };

    output_div = $('<div/>', { id: 'output_div_id' }).css(css_obj);
    table = $('<table />', { 'class': 'table table-condensed table-hover' }).appendTo(output_div);

    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);
    tr = $('<tr />').append($('<th />', { colspan: 4 }).append(lang_Output)).appendTo(thead);

    if (output_val.availables[0] != 0) {
      tr = $('<tr />').append($('<td />').append("L1:")).appendTo(tbody);
      if (!output_val.val_objs[0].values[0].empty())
      $('<td />', { 'id': 'out_volt1_id' }).append(output_val.val_objs[0].values[0]).appendTo(tr);

      if (!output_val.val_objs[1].values[0].empty())
      $('<td />', { id: 'out_cur1_id' }).append(output_val.val_objs[1].values[0]).appendTo(tr);

      if (!output_val.val_objs[2].values[0].empty())
      $('<td />', { id: 'out_freq1_id' }).append(output_val.val_objs[2].values[0]).appendTo(tr);
    }
    if (output_val.availables[1] != 0) {
      tr = $('<tr />').append($('<td />').append("L2:")).appendTo(tbody);
      if (!output_val.val_objs[0].values[1].empty())
      $('<td />', { id: 'out_volt2_id' }).append(output_val.val_objs[0].values[1]).appendTo(tr);

      if (!output_val.val_objs[1].values[1].empty())
      $('<td />', { id: 'out_cur2_id' }).append(output_val.val_objs[1].values[1]).appendTo(tr);
    }
    if (output_val.availables[2] != 0) {
      tr = $('<tr />').append($('<td />').append("L3:")).appendTo(tbody);
      if (!output_val.val_objs[0].values[2].empty())
      $('<td />', { id: 'out_volt3_id' }).append(output_val.val_objs[0].values[2]).appendTo(tr);

      if (!output_val.val_objs[1].values[2].empty())
      $('<td />', { id: 'out_cur3_id' }).append(output_val.val_objs[1].values[2]).appendTo(tr);
    }

    fragment.appendChild(output_div[0]);
    document.body.appendChild(fragment);
  }

  function set_output_values() //Output values
  {
    var output_val = get_ph_1_3_vals(valtable_obj.OUTPUT_VOLT, valtable_obj.EX_OUT_CURR, valtable_obj.OUTFREQ, outphases);
    if (output_val.availables[0] == 0 & output_val.availables[1] == 0 & output_val.availables[2] == 0)
    return true;

    if (output_val.availables[0] != 0) {
      $('#out_volt1_id').text(output_val.val_objs[0].values[0]);
      $('#out_cur1_id').text(output_val.val_objs[1].values[0]);
      $('#out_freq1_id').text(output_val.val_objs[2].values[0]);
    }
    if (output_val.availables[1] != 0) {
      $('#out_volt2_id').text(output_val.val_objs[0].values[1]);
      $('#out_cur2_id').text(output_val.val_objs[1].values[1]);
    }
    if (output_val.availables[2] != 0) {
      $('#out_volt3_id').text(output_val.val_objs[0].values[2]);
      $('#out_cur3_id').text(output_val.val_objs[1].values[2]);
    }
  }

  function create_ups_mode_pane() //UPS Mode panel
  {
    var txt_value,
    ups_mode_div, tr, table, tbody, thead,
    fragment = document.createDocumentFragment();

    css_obj = { position: 'absolute', top: y_pos + 290, left: x_pos + 544 };
    ups_mode_div = $('<div/>', { id: 'bypass_div_id' }).css(css_obj);
    table = table = $('<table />', { 'class': 'table table-condensed table-hover' }).appendTo(ups_mode_div);
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);
    tr = $('<tr />').append($('<th />', { colspan: 2 }).append(lang_UPS)).appendTo(thead);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append('Autorestart:')).appendTo(tbody);
    td = $('<td />', { id: 'ups_autorestart_id', align: 'left' }).appendTo(tr);
    if (valtable_obj.AUTORESTART === 1)
    txt_value = "enabled";
    else if (valtable_obj.AUTORESTART === 0)
    txt_value = "disabled";
    else
    txt_value = "N/A";
    td.append(txt_value);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append('Autotest:')).appendTo(tbody);
    td = $('<td />', { id: 'ups_autotest_id', align: 'left' }).appendTo(tr);
    if (valtable_obj.AUTOTEST === 1)
    txt_value = "enabled";
    else if (valtable_obj.AUTOTEST === 0)
    txt_value = "disabled";
    else
    txt_value = "N/A";
    td.append(txt_value);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append('Input volt mode:')).appendTo(tbody);
    td = $('<td />', { id: 'ups_inpvoltmode_id', align: 'left' }).appendTo(tr);
    if (valtable_obj.INPUTVOLTMODE == 78)
    txt_value = "Normal";
    else if (valtable_obj.INPUTVOLTMODE == 87)
    txt_value = "Wide";
    else if (valtable_obj.INPUTVOLTMODE == 71)
    txt_value = "Generator";
    else
    txt_value = "N/A";
    td.append(txt_value);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append('Output volt set:')).appendTo(tbody);
    td = $('<td />', { id: 'ups_outvoltset_id', align: 'left' }).appendTo(tr);
    if (valtable_obj.OUTVOLTSET != null)
    txt_value = valtable_obj.OUTVOLTSET;
    else
    txt_value = "N/A";
    td.append(txt_value);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append('Serial number:')).appendTo(tbody);
    td = $('<td />', { id: 'ups_seriennummer_id', align: 'left' }).appendTo(tr);
    if (valtable_obj.CP4_SERIALNO != null)
    txt_value = valtable_obj.CP4_SERIALNO;
    else
    txt_value = "N/A";
    td.append(txt_value);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append('Working mode')).appendTo(tbody);
    td = $('<td />', { id: 'ups_Workingmode_id', align: 'left' }).append(get_workingmode()).appendTo(tr);


    fragment.appendChild(ups_mode_div[0]);
    document.body.appendChild(fragment);
  }

  function set_ups_mode() //Set Mode
  {
    var txt_value, td;

    td = $('#ups_autorestart_id');
    if (valtable_obj.AUTORESTART === 1)
    txt_value = "enabled";
    else if (valtable_obj.AUTORESTART === 0)
    txt_value = "disabled";
    else
    txt_value = "N/A";
    td.text(txt_value);

    td = $('#ups_autotest_id');
    if (valtable_obj.AUTOTEST === 1)
    txt_value = "enabled";
    else if (valtable_obj.AUTOTEST === 0)
    txt_value = "disabled";
    else
    txt_value = "N/A";
    td.text(txt_value);

    td = $('#ups_inpvoltmode_id');
    if (valtable_obj.INPUTVOLTMODE == 78)
    txt_value = "Normal";
    else if (valtable_obj.INPUTVOLTMODE == 87)
    txt_value = "Wide";
    else if (valtable_obj.INPUTVOLTMODE == 71)
    txt_value = "Generator";
    else
    txt_value = "N/A";
    td.text(txt_value);

    td = $('#ups_outvoltset_id');
    if (valtable_obj.OUTVOLTSET != null)
    txt_value = valtable_obj.OUTVOLTSET;
    else
    txt_value = "N/A";
    td.text(txt_value);

    td = $('#ups_seriennummer_id');
    if (valtable_obj.CP4_SERIALNO != null)
    txt_value = valtable_obj.CP4_SERIALNO;
    else
    txt_value = "N/A";
    td.text(txt_value);

    $('#ups_Workingmode_id').text(get_workingmode());

  }

  function create_battery_pane() //Battery panel
  {
    var val, tr, table, tbody, thead, batt_div,
    fragment = document.createDocumentFragment();

    css_obj = { position: 'absolute', top: y_pos + 290, left: x_pos + 244 };
    attr_obj = { id: 'battery_div_id' };
    batt_div = $('<div/>').attr(attr_obj).css(css_obj);
    table = table = $('<table />', { 'class': 'table table-condensed table-hover' }).appendTo(batt_div);
    tbody = $('<tbody />').appendTo(table);
    thead = $('<thead />').appendTo(table);
    tr = $('<tr />').append($('<th />', { colspan: 2 }).append(lang_Battery)).appendTo(thead);

    if ((valtable_obj.EX_BATT_VOLTPOS != null && valtable_obj.EX_BATT_VOLTNEG != null) &&
      (valtable_obj.EX_BATT_VOLTPOS != -9999 && valtable_obj.EX_BATT_VOLTNEG != -9999)) {
      tr = $('<tr />').append($('<td />', { align: 'left' }).append('Pos.' + lang_Voltage + ":")).appendTo(tbody);
      $('<td />', { id: 'batt_volt_pos_id' }).
      append(get_value({ values: [valtable_obj.EX_BATT_VOLTPOS], index: 0, unit: ' V', precision: 1 })).appendTo(tr);

      tr = $('<tr />').append($('<td />', { align: 'left' }).append('Neg.' + lang_Voltage + ":")).appendTo(tbody);
      $('<td />', { id: 'batt_volt_neg_id' }).
      append(get_value({ values: [valtable_obj.EX_BATT_VOLTNEG], index: 0, unit: ' V', precision: 1 })).appendTo(tr);
    } else {
      tr = $('<tr />').append($('<td />', { align: 'left' }).append(lang_Voltage + ":")).appendTo(tbody);
      $('<td />', { id: 'batt_volt_id' }).
      append(get_value({ values: [valtable_obj.BATTVOLT], index: 0, unit: ' V', precision: 0 })).appendTo(tr);
    }

    tr = $('<tr />').append($('<td />', { align: 'left' }).append("Autonomy Time:")).appendTo(tbody);
    $('<td />', { id: 'batt_autotime_id' }).
    append(get_value({ values: [valtable_obj.AUTONOMTIME], index: 0, unit: ' Min', precision: 0 })).appendTo(tr);

    tr = $('<tr />').append($('<td />', { align: 'left' }).append(lang_Battery_Capacity_short + ":")).appendTo(tbody);
    $('<td />', { id: 'batt_cap_id' }).
    append(get_value({ values: [valtable_obj.BATTCAP], index: 0, unit: ' %', precision: 0 })).appendTo(tr);

    if (valtable_obj.EX_BATT_SECONBATT != null) {
      tr = $('<tr />').append($('<td />', { align: 'left' }).append('Time in Battery Mode' + ":")).appendTo(tbody);
      $('<td />', { id: 'batt_seconds_id' }).
      append(get_value({ values: [valtable_obj.EX_BATT_SECONBATT], index: 0, unit: ' Sec', precision: 0 })).appendTo(tr);
    }
    fragment.appendChild(batt_div[0]);
    document.body.appendChild(fragment);
  }

  function set_battery_value() //set Battery value
  {
    if ((valtable_obj.EX_BATT_VOLTPOS != null && valtable_obj.EX_BATT_VOLTNEG != null) &&
      (valtable_obj.EX_BATT_VOLTPOS != -9999 && valtable_obj.EX_BATT_VOLTNEG != -9999)) {
      $('#batt_volt_pos_id').text(get_value({ values: [valtable_obj.EX_BATT_VOLTPOS], index: 0, unit: ' V', precision: 1 }));
      $('#batt_volt_neg_id').text(get_value({ values: [valtable_obj.EX_BATT_VOLTNEG], index: 0, unit: ' V', precision: 1 }));
    } else
    $('#batt_volt_id').text(get_value({ values: [valtable_obj.BATTVOLT], index: 0, unit: ' V', precision: 0 }));

    $('#batt_autotime_id').text(get_value({ values: [valtable_obj.AUTONOMTIME], index: 0, unit: ' Min', precision: 0 }));
    $('#batt_cap_id').text(get_value({ values: [valtable_obj.BATTCAP], index: 0, unit: ' %', precision: 0 }));

    if (valtable_obj.EX_BATT_SECONBATT != null)
    $('#batt_seconds_id').text(get_value({ values: [valtable_obj.EX_BATT_SECONBATT], index: 0, unit: ' Sec', precision: 0 }));
  }

  function get_ph_1_3_vals(volt, cur, freq, phases) {
    var val_obj, val;
    l_1_3_vals = {
      availables: [0, 0, 0], //L1-L3
      val_objs: [
        { unit: ' V', precision: 0, values: ['', '', ''] },
        { unit: ' A', precision: 2, values: ['', '', ''] },
        { unit: ' Hz', precision: 2, values: ['', '', ''] }
      ]
    };
    volt = volt || [];
    cur = cur || [], freq = freq || [];
    $.each([volt, cur, freq], function (index, values) {
      val_obj = l_1_3_vals.val_objs[index];
      $.each(values, function (i, val) {
        if (i < phases) {
          val = values[i];
          if (val != -9999) {
            if (values === freq & (i == 1 || i == 2)) {

            } else
            l_1_3_vals.availables[i] = 1;

            if (Math.round(val) == val)
            val = val.toString();
            else
            val = val.toFixed(val_obj.precision);
            val += val_obj.unit;
            val_obj.values[i] = val;
          }
        }
      });
    });
    return l_1_3_vals;
  }

  function get_value(val_obj) {
    if (!val_obj.values || (val_obj.values.length <= val_obj.index))
    return 'N/A';
    var val = val_obj.values[val_obj.index];
    if (val == null || val_obj.values[val_obj.index] == -9999)
    return 'N/A';

    if (Math.round(val) == val)
    val = val.toString();
    else
    val = val.toFixed(val_obj.precision);
    val += val_obj.unit;
    return val;
  }

  function create_iby_ire_ssi_inv_rec_batt() //create IBY, IRE, SSI, INVERTER, RECTIFIER and BATTERY	pannes
  {
    var div, fragment = document.createDocumentFragment();

    //input
    css_obj = { position: 'absolute', top: y_pos + 94, left: x_pos + 130, width: 24, height: 10, overflow: 'hidden', 'background-color': get_inp_bg_color(), border: '1px solid black' };
    div = $('<div/>').attr({ id: 'inp_id', 'class': 'img-rounded' }).css(css_obj);
    fragment.appendChild(div[0]);

    //output
    css_obj = { position: 'absolute', top: y_pos + 94, left: x_pos + 574, width: 24, height: 10, overflow: 'hidden', 'background-color': get_outp_bg_color(), border: '1px solid black' };
    div = $('<div/>').attr({ id: 'outp_id', 'class': 'img-rounded' }).css(css_obj);
    fragment.appendChild(div[0]);

    //Buck & Boost
    css_obj = { position: 'absolute', top: y_pos + 76, left: x_pos + 182, width: 50, height: 50, overflow: 'hidden' };
    div = $('<div/>').attr({ id: 'buck_boost_div_id' }).css(css_obj);
    $('<img />').attr({ 'id': 'buck_boost_img_id', width: 50, 'height': 50, src: get_buck_boost_img() }).appendTo(div);
    fragment.appendChild(div[0]);

    //Charger
    css_obj = { position: 'absolute', top: y_pos + 152, left: x_pos + 308, width: 50, height: 50, overflow: 'hidden' };
    div = $('<div/>').attr({ id: 'charger_div_id' }).css(css_obj);
    $('<img />').attr({ 'id': 'charger_img_id', width: 50, 'height': 50, src: get_charger_img() }).appendTo(div);
    fragment.appendChild(div[0]);

    //Inverter
    css_obj = { position: 'absolute', top: y_pos + 152, left: x_pos + 434, width: 50, height: 50, overflow: 'hidden' };
    div = $('<div/>').attr({ id: 'inverter_div_id' }).css(css_obj);
    $('<img />').attr({ 'id': 'inverter_img_id', width: 50, 'height': 50, src: get_inverter_img() }).appendTo(div);
    fragment.appendChild(div[0]);

    //Battery
    css_obj = { position: 'absolute', top: y_pos + 230, left: x_pos + 370, width: 50, height: 50, overflow: 'hidden' };
    div = $('<div/>').attr({ id: 'battery_div_id' }).css(css_obj);
    $('<img />').attr({ 'id': 'battery_img_id', width: 50, 'height': 50, src: get_battery_img() }).appendTo(div);
    fragment.appendChild(div[0]);

    document.body.appendChild(fragment);
  }

  function set_iby_ire_ssi_inv_rec_batt() //SET IBY, IRE, SSI, INVERTER, RECTIFIER and BATTERY	pannes
  {
    //input
    $('#inp_id').css({ 'background-color': get_inp_bg_color() });
    //output
    $('#outp_id').css({ 'background-color': get_outp_bg_color() });
    //Buck & Boost
    $('#buck_boost_img_id').attr({ src: get_buck_boost_img() });
    //Charger
    $('#charger_img_id').attr({ src: get_charger_img() });
    //Inverter
    $('#inverter_img_id').attr({ src: get_inverter_img() });
    //Battery
    $('#battery_img_id').attr({ src: get_battery_img() });

  }

  function get_battery_img() {
    if (valtable_obj.OPERATIONMODE == 1) //UPS is in Standby mode
    return './image/piller/battgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 3) //UPS is in Line mode(n mode)
    return './image/piller/battgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 4) //UPS is in Battery mode
    return './image/piller/battgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 5) //UPS is in Battery Test mode
    return './image/piller/battgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 6) //UPS is in Fault mode
    return './image/piller/battr.gif'; //red
    if (valtable_obj.OPERATIONMODE == 10) //UPS is in boost state
    return './image/piller/battgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 11) //UPS is in buck state
    return './image/piller/battgr.gif'; //green
    return './image/piller/battgr.gif'; //green
  }


  function get_inverter_img() {
    if (valtable_obj.OPERATIONMODE == 1) //UPS is in Standby mode
    return './image/piller/wrw.gif'; //white
    if (valtable_obj.OPERATIONMODE == 3) //UPS is in Line mode(n mode)
    return './image/piller/wrw.gif'; //white
    if (valtable_obj.OPERATIONMODE == 4) //UPS is in Battery mode
    return './image/piller/wrgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 5) //UPS is in Battery Test mode
    return './image/piller/wrgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 6) //UPS is in Fault mode
    return './image/piller/wrr.gif'; //red
    if (valtable_obj.OPERATIONMODE == 10) //UPS is in boost state
    return './image/piller/wrw.gif'; //white
    if (valtable_obj.OPERATIONMODE == 11) //UPS is in buck state
    return './image/piller/wrw.gif'; //white
    return './image/piller/wrw.gif'; //white
  }

  function get_charger_img() {
    if (valtable_obj.OPERATIONMODE == 1) //UPS is in Standby mode
    return './image/piller/grgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 3) //UPS is in Line mode(n mode)
    return './image/piller/grgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 4) //UPS is in Battery mode
    return './image/piller/grw.gif'; //white
    if (valtable_obj.OPERATIONMODE == 5) //UPS is in Battery Test mode
    return './image/piller/grw.gif'; //white
    if (valtable_obj.OPERATIONMODE == 6) //UPS is in Fault mode
    return './image/piller/grr.gif'; //red
    if (valtable_obj.OPERATIONMODE == 10) //UPS is in boost state
    return './image/piller/grgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 11) //UPS is in buck state
    return './image/piller/grgr.gif'; //green
    return './image/piller/grw.gif'; //white
  }

  function get_buck_boost_img() {
    if (valtable_obj.OPERATIONMODE == 1) //UPS is in Standby mode
    return './image/piller/ssww.gif'; //white
    if (valtable_obj.OPERATIONMODE == 3) //UPS is in Line mode(n mode)
    return './image/piller/ssww.gif'; //white
    if (valtable_obj.OPERATIONMODE == 4) //UPS is in Battery mode
    return './image/piller/ssww.gif'; //white
    if (valtable_obj.OPERATIONMODE == 5) //UPS is in Battery Test mode
    return './image/piller/ssww.gif'; //white
    if (valtable_obj.OPERATIONMODE == 6) //UPS is in Fault mode
    return './image/piller/sswr.gif'; //red
    if (valtable_obj.OPERATIONMODE == 10) //UPS is in boost state
    return './image/piller/sswgr.gif'; //green
    if (valtable_obj.OPERATIONMODE == 11) //UPS is in buck state
    return './image/piller/sswgr.gif'; //green
    return './image/piller/ssww.gif'; //white
  }

  function get_inp_bg_color() {
    if (valtable_obj.OPERATIONMODE == 1) //UPS is in Standby mode
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 3) //UPS is in Line mode(n mode)
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 4) //UPS is in Battery mode
    return '#DC3632'; //red
    if (valtable_obj.OPERATIONMODE == 5) //UPS is in Battery Test mode
    return '#FFF500'; //gelb
    if (valtable_obj.OPERATIONMODE == 6) //UPS is in Fault mode
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 10) //UPS is in boost state
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 11) //UPS is in buck state
    return '#00FF00'; //green
    return 'white';
  }

  function get_outp_bg_color() {
    if (valtable_obj.OPERATIONMODE == 1) //UPS is in Standby mode
    return '#FFF500'; //gelb
    if (valtable_obj.OPERATIONMODE == 3) //UPS is in Line mode(n mode)
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 4) //UPS is in Battery mode
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 5) //UPS is in Battery Test mode
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 6) //UPS is in Fault mode
    return '#FF0000'; //red
    if (valtable_obj.OPERATIONMODE == 10) //UPS is in boost state
    return '#00FF00'; //green
    if (valtable_obj.OPERATIONMODE == 11) //UPS is in buck state
    return '#00FF00'; //green
    return 'white';
  }

  function create_status_pane() //UPS status
  {
    var status_div = $('<div/>');
    css_obj = { position: 'absolute', top: y_pos + 44, left: x_pos + 20, align: 'center', overflow: 'hidden' };
    $(status_div).css(css_obj);
    $('<h4 />').append($('<span />', { id: 'ups_status_id', 'class': 'label label-success' }).css({ 'background-color': get_status_bg() })
      .append('Status')).appendTo(status_div);
    status_div.appendTo(document.body);
  }

  function set_ups_status() //set UPS status
  {
    $('#ups_status_id').css('background-color', get_status_bg());
  }

  function get_status_bg() {
    if (valtable_obj.OPERATIONMODE == 1 || valtable_obj.OPERATIONMODE == 5)
    return '#FFF500';
    if (valtable_obj.OPERATIONMODE == 4 || valtable_obj.OPERATIONMODE == 6)
    return '#FF0000';
    if (status == 4)
    return '#00FF00';
    return '#FF0000';
  }

  function set_outpower_loadbars() //outpower loadbars
  {
    if (valtable_obj.OUTPOWER == null)
    return true;
    if (valtable_obj.OUTPOWER[0] != -9999)
    panes_api.set_loabar_value(valtable_obj.OUTPOWER[0], 'loadbar1_id');
  }

  function create_outpower_loadbars() //outpower loadbars
  {
    if (valtable_obj.OUTPOWER == null)
    return true;
    outpower_loadbars_created = true;
    left: x_pos + 544

    if (valtable_obj.OUTPOWER[0] != -9999.00)
    panes_api.create_loadbar_pane({ value: valtable_obj.OUTPOWER[0], id: 'loadbar1_id', left: x_pos + 598, top: y_pos + 200, title: 'L1', scaler: 1 });
  }

  function create_rom_temp() //rom temp
  {
    var fragment = document.createDocumentFragment(),
    rom_temp_div;
    css_obj = { position: 'absolute', top: y_pos + 290, left: x_pos + 8 };
    rom_temp_div = $('<div/>').attr({ id: 'rom_temp_div_id' }).css(css_obj);
    panes_api.create_rom_temp_pane(valtable_obj, { id: 'rom_temp_table_id', 'class': 'table table-condensed table-hover' }).appendTo(rom_temp_div);
    fragment.appendChild(rom_temp_div[0]);
    document.body.appendChild(fragment);
  }

  function get_workingmode() {
    if (valtable_obj.OPERATIONMODE == 0)
    return 'UPS is in Power On mode';
    if (valtable_obj.OPERATIONMODE == 1)
    return 'UPS is in Standby mode';
    if (valtable_obj.OPERATIONMODE == 2)
    return 'UPS is in Bypass mode';
    if (valtable_obj.OPERATIONMODE == 3)
    return 'UPS is in Line mode';
    if (valtable_obj.OPERATIONMODE == 4)
    return 'UPS is in Battery mode';
    if (valtable_obj.OPERATIONMODE == 5)
    return 'UPS is in Battery Test mode';
    if (valtable_obj.OPERATIONMODE == 6)
    return 'UPS is in Fault mode';
    if (valtable_obj.OPERATIONMODE == 7)
    return 'UPS is in Converter mode';
    if (valtable_obj.OPERATIONMODE == 8)
    return 'UPS is in ECO mode';
    if (valtable_obj.OPERATIONMODE == 9)
    return 'UPS is in Shut Down mode';
    if (valtable_obj.OPERATIONMODE == 10)
    return 'UPS is in boost state';
    if (valtable_obj.OPERATIONMODE == 11)
    return 'UPS is in buck state';
    return 'N/A';
  }

}(jQuery));