<?xml version="1.0"?>
<!--
   aeg_common.xsl - XSL-template for AEG specific elements.
   Copyright (c) 2010-2015, Generex GmbH. All rights reserved.
   Said Raqui/UW
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" indent="yes" omit-xml-declaration="yes" encoding="iso-8859-1"/>
  <!-- AEG LOGO -->

  <xsl:template name="logo-pane">
    <xsl:param name="x" select="52" />
    <xsl:param name="y" select="32" />
    <xsl:param name="w" select="120" />
    <xsl:param name="h" select="90" />
    <xsl:param name="img" select="'./lib/img/logos.gif'" />
    <xsl:param name="align" select="'center'" />
    <xsl:param name="visibility" select="'visible'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="name" select="'logo_div'" />

    <xsl:variable name="location">
      <xsl:choose>
        <xsl:when test="string-length(//values/value[@name='LOCATION']/@val)!=0" >
          <xsl:value-of select="//values/value[@name='LOCATION']/@val"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'Unknown'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <script type="text/javascript">
    </script>
    <!--<div id="logo_div" class="{$class}" align="left" style="border: 1px solid #3f5987;background-color:red;position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;text-align:left;">	-->
    <xsl:choose>
      <xsl:when test="string-length(//upsview)&gt;0">
        <div id="logo_div" class="{$class}" align="left" style="position:absolute;left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;text-align:left;">
          <img border="0" src="{$img}" width="{$w}" height="{$h}"/>
        </div>
      </xsl:when>
      <xsl:otherwise>
        <div id="model_div" class="{$class}" align="left" style="position:absolute; left:{$x - 32}px; top:{$y}px; width:{$w + 70}px; height:{$h}px;text-align:left;">
          <table cellspacing="4" cellpadding="1" border="0"  class="{$class}" style="color:#000000">
            <tr style="text-decoration: underline;">
              <td>
                <xsl:value-of select="'UPS'"/>
              </td>
            </tr>
            <tr>
              <td>
                <xsl:choose>
                  <xsl:when test="string(value[@name='_oemViewName']/@val)='mdelta' or string(value[@name='_oemViewName']/@val)='mdelta'">
                    <xsl:value-of select="value[@name='CP4_MODEL']/@val"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="value[@name='MODEL']/@val"/>
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
            <tr style="text-decoration: underline;">
              <td>
                <xsl:value-of select="$lang-Location"/>
              </td>
            </tr>
            <tr>
              <td>
                <xsl:value-of select="$location"/>
              </td>
            </tr>
          </table>
          <!--<xsl:value-of select=""/>-->
        </div>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <!-- USV Status -->
  <xsl:template name="usv-status-pane">
    <xsl:param name="x" select="22" />
    <xsl:param name="y" select="50" />
    <xsl:param name="w" select="180" />
    <xsl:param name="h" select="404" />
    <xsl:param name="date_time" select="'Date_Time'" />
    <xsl:param name="state" select="'4'" />
    <xsl:param name="ups_off" select="'0'" />
    <xsl:param name="in_volt" select="'0'" />
    <xsl:param name="in_volt_unit" select="'V'" />
    <xsl:param name="in_volt_precision" select="'0'" />
    <xsl:param name="in_freq" select="'0'" />
    <xsl:param name="in_freq_unit" select="'Hz'" />
    <xsl:param name="in_freq_precision" select="'1'" />
    <xsl:param name="batt_status" select="'0'" />
    <xsl:param name="batt_autonomy_time" select="'0'" />
    <xsl:param name="batt_autonomy_time_precision" select="'0'" />
    <xsl:param name="batt_autonomy_time_unit" select="'Min'" />
    <xsl:param name="batt_capacity" select="'0'" />
    <xsl:param name="batt_capacity_precision" select="'0'" />
    <xsl:param name="batt_capacity_unit" select="'%'" />
    <xsl:param name="batt_volt" select="'0'" />
    <xsl:param name="batt_volt_precision" select="'1'" />
    <xsl:param name="batt_volt_unit" select="'V'" />
    <xsl:param name="batt_temp" select="'0'" />
    <xsl:param name="batt_temp_precision" select="'1'" />
    <xsl:param name="batt_temp_unit" select="'&#176;C'" />
    <xsl:param name="out_volt" select="'0'" />
    <xsl:param name="out_volt_unit" select="'V'" />
    <xsl:param name="out_volt_precision" select="'0'" />
    <xsl:param name="out_power" select="0" />
    <xsl:param name="out_power_unit" select="'%'" />
    <xsl:param name="out_power_precision" select="0" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="visibility" select="'visible'" />
    <xsl:param name="name" select="'usv_status_div'" />
    <xsl:param name="txt_color" select="'#3032BF'" />

    <!--  oem View Name-->
    <xsl:variable name="oem_view_name" select="value[@name='_oemViewName']/@val"/>
    <!-- Bits masked (USV Status)-->
    <xsl:variable name="bypass_mode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="shutdown_mode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="output_active">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="backup_mode">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="battery_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="test_active">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;visibility:<xsl:value-of select="$visibility"/>; text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>
      <!-- Date_Time -->
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td id="usv_status_date_time">
            <script type="text/javascript"> translate_text('usv_status_date_time', ['<xsl:value-of select="$lang-Date"/>', 
               '/', '<xsl:value-of select="$lang-Time"/>'], ':');</script>
          </td>
          <td align="right">
            <xsl:value-of select="$date_time"/>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>

      <!-- UPS Status -->
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td id="ups_status_id">
            <script type="text/javascript"> translate_text('ups_status_id', ['<xsl:value-of select="$lang-UPS-Status"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:choose>
              <xsl:when test="string($oem_view_name)='PRT0F24' or string($oem_view_name)='prtof24'
					      	or string($oem_view_name)='PRT0F48' or string($oem_view_name)='prtof48' or string($oem_view_name)='PRT0F12'
					      	or string($oem_view_name)='prtof12' or string($oem_view_name)='PRT0F96' or string($oem_view_name)='prtof96'">
                <xsl:choose>
                  <xsl:when test="$shutdown_mode=1">
                    <span style="background: #ee0000;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-Off"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$backup_mode=1">
                    <span style="background: #eeee00;">
                      <b id="ups_status_txt_id">
                       <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Battery-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$output_active=1">
                    <span style="background: #52B245;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:otherwise>
                    <span style="background: #52B245;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:when test="string($oem_view_name)='PRT0N36' or string($oem_view_name)='prton36'
					      	or string($oem_view_name)='ATSER36' or string($oem_view_name)='atser36' or string($oem_view_name)='ATSER96'
					      	or string($oem_view_name)='atser96' or string($oem_view_name)='ATSER240' or string($oem_view_name)='atser240'
					      	or string($oem_view_name)='PROTBLCD' or string($oem_view_name)='protblcd'">
                <xsl:choose>
                  <xsl:when test="$backup_mode=1">
                    <span style="background: #eeee00;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Battery-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$bypass_mode=1">
                    <span style="background: #eeee00;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Bypass-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$output_active=1">
                    <span style="background: #52B245;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$shutdown_mode=1">
                    <span style="background: #ee0000;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-Off"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$ups_off=1">
                    <span style="background: #ee0000;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-Off"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:when test="$bypass_mode=0 and $output_active=0 and $backup_mode=0 and $test_active=0 ">
                    <span style="background: #ee0000;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-Off"/>');</script>
                      </b>
                    </span>
                  </xsl:when>
                  <xsl:otherwise>
                    <span style="background: #52B245;">
                      <b id="ups_status_txt_id">
                        <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                      </b>
                    </span>
                  </xsl:otherwise>
                </xsl:choose>
              </xsl:when>
              <xsl:otherwise>
               <span >
                  <b id="ups_status_txt_id">
                     <script type="text/javascript"> translate_text('ups_status_txt_id', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                  </b>
               </span>
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Mains Input -->
      <div id="mains_input" class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_input', '<xsl:value-of select="$lang-Mains-Input"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td id="input_volt">
            <script type="text/javascript"> translate_text('input_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <!-- Input Voltage-->
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_volt"/>
              <xsl:with-param name="precision" 	select="$in_volt_precision"/>
              <xsl:with-param name="unit" 			select="$in_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Input Frequency-->
          <td id="input_freq">
            <script type="text/javascript"> translate_text('input_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_freq"/>
              <xsl:with-param name="precision" 	select="$in_freq_precision"/>
              <xsl:with-param name="unit" 			select="$in_freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Battery -->
      <div id="battery_id" class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('battery_id', '<xsl:value-of select="$lang-Battery"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Battery-Status -->
          <td id="batt_status">
            <script type="text/javascript"> translate_text('batt_status', ['<xsl:value-of select="$lang-Status"/>', ':']);</script>
          </td>
          <xsl:choose>
            <xsl:when test="string($oem_view_name)='PRT0F24' or string($oem_view_name)='prtof24'
				      	or string($oem_view_name)='PRT0F48' or string($oem_view_name)='prtof48' or string($oem_view_name)='PRT0F12'
				      	or string($oem_view_name)='prtof12' or string($oem_view_name)='PRT0F96' or string($oem_view_name)='prtof96'
								or string($oem_view_name)='PRT0N36' or string($oem_view_name)='prton36'
				      	or string($oem_view_name)='ATSER36' or string($oem_view_name)='atser36' or string($oem_view_name)='ATSER96'
				      	or string($oem_view_name)='atser96' or string($oem_view_name)='ATSER240' or string($oem_view_name)='atser240'
				      	or string($oem_view_name)='PROTBLCD' or string($oem_view_name)='protblcd'">
              <xsl:choose>
                <xsl:when test="$output_active=1 and $battery_low=1 ">
                  <td id="batt_status_txt" align="right" style="color:#ee0000">
                    <script type="text/javascript"> translate_text('batt_status_txt', '<xsl:value-of select="$lang-Low"/>');</script>
                  </td>
                </xsl:when>
                <xsl:otherwise>
                  <td id="batt_status_txt" align="right" style="color:#52B245">
                    <script type="text/javascript"> translate_text('batt_status_txt', '<xsl:value-of select="$lang-Battery-Normal"/>');</script>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
            </xsl:when>
            <xsl:otherwise>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
      </table>

      <!-- Battery-Test-Status -->
      <xsl:variable name="batt_test_passed">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="$batt_status"/>
          <xsl:with-param name="bit" select="$bit0"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="batt_test_notpossible">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="$batt_status"/>
          <xsl:with-param name="bit" select="$bit1"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="batt_test_failed">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="$batt_status"/>
          <xsl:with-param name="bit" select="$bit2"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="batt_test_running">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="$batt_status"/>
          <xsl:with-param name="bit" select="$bit4"/>
        </xsl:call-template>
      </xsl:variable>
      <xsl:variable name="batt_test_cancelled">
        <xsl:call-template name="bit">
          <xsl:with-param name="val" select="$batt_status"/>
          <xsl:with-param name="bit" select="$bit5"/>
        </xsl:call-template>
      </xsl:variable>

      <xsl:choose>
        <xsl:when test="string($oem_view_name)='ATSER36' or string($oem_view_name)='atser36' or string($oem_view_name)='ATSER96'
		      	or string($oem_view_name)='atser96' or string($oem_view_name)='ATSER240' or string($oem_view_name)='atser240'
		      	or string($oem_view_name)='PROTBLCD' or string($oem_view_name)='protblcd'">
          <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
            <tr>
              <!-- Battery-Test-Status -->
              <td id="batt_test_status_id">
                <script type="text/javascript"> translate_text('batt_test_status_id', ['<xsl:value-of select="$lang-Test-Status"/>', ':']);</script>
              </td>
              <xsl:choose>
                <xsl:when test="$batt_test_passed=1">
                  <td id="batt_test_status_txt_id" align="right" style="color:#52B245">
                    <script type="text/javascript"> translate_text('batt_test_status_txt_id', '<xsl:value-of select="$lang-Test-Passed"/>');</script>
                  </td>
                </xsl:when>
                <xsl:when test="$batt_test_notpossible=1">
                  <td id="batt_test_status_txt_id" align="right" style="color:#ee0000">
                    <script type="text/javascript"> translate_text('batt_test_status_txt_id', '<xsl:value-of select="$lang-Test-NotPossible"/>');</script>
                  </td>
                </xsl:when>
                <xsl:when test="$batt_test_running=1">
                  <td id="batt_test_status_txt_id" align="right" style="color:#52B245">
                    <script type="text/javascript"> translate_text('batt_test_status_txt_id', '<xsl:value-of select="$lang-Test-Running"/>');</script>
                  </td>
                </xsl:when>
                <xsl:when test="$batt_test_cancelled=1">
                  <td id="batt_test_status_txt_id" align="right" style="color:#000000">
                    <script type="text/javascript"> translate_text('batt_test_status_txt_id', '<xsl:value-of select="$lang-Test-Cancelled"/>');</script>
                  </td>
                </xsl:when>
                <xsl:when test="$batt_test_failed=1">
                  <td id="batt_test_status_txt_id" align="right" style="color:#ee0000">
                    <script type="text/javascript"> translate_text('batt_test_status_txt_id', '<xsl:value-of select="$lang-Test-Failed"/>');</script>
                  </td>
                </xsl:when>
                <xsl:otherwise>
                  <td id="batt_test_status_txt_id" align="right" style="color:#000000">
                    <script type="text/javascript"> translate_text('batt_test_status_txt_id', '<xsl:value-of select="$lang-Test-NA"/>');</script>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
            </tr>
          </table>
        </xsl:when>
        <xsl:otherwise>
        </xsl:otherwise>
      </xsl:choose>

      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Battery- Autonomy Time-->
          <td id="batt_auto_time">
            <script type="text/javascript"> translate_text('batt_auto_time', ['<xsl:value-of select="$lang-Autonomy-time"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_autonomy_time"/>
              <xsl:with-param name="precision" 	select="$batt_autonomy_time_precision"/>
              <xsl:with-param name="unit" 			select="$batt_autonomy_time_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Capacity-->
          <td id="batt_cap">
            <script type="text/javascript"> translate_text('batt_cap', ['<xsl:value-of select="$lang-Battery-Capacity-short"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_capacity"/>
              <xsl:with-param name="precision" 	select="$batt_capacity_precision"/>
              <xsl:with-param name="unit" 			select="$batt_capacity_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Voltage -->
          <td id="batt_volt">
            <script type="text/javascript"> translate_text('batt_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_volt"/>
              <xsl:with-param name="precision" 	select="$batt_volt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <!--<tr> Battery- Temperature
					<td><xsl:value-of select="concat($lang-Temperature,':')"/></td>
					<td align="right">
						<xsl:call-template name="get-value">
							<xsl:with-param name="value" 			select="$batt_temp"/>
							<xsl:with-param name="precision" 	select="$batt_temp_precision"/>
							<xsl:with-param name="unit" 			select="$batt_temp_unit"/>
						</xsl:call-template>
					</td>
				</tr>-->
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Output -->
      <div id="output_id" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('output_id', '<xsl:value-of select="$lang-Output"/>');</script>
      </div>

      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Output Voltage-->
          <td id="output_volt">
            <script type="text/javascript"> translate_text('output_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_volt"/>
              <xsl:with-param name="precision" 	select="$out_volt_precision"/>
              <xsl:with-param name="unit" 			select="$out_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Out power-->
          <td id="output_load">
            <script type="text/javascript"> translate_text('output_load', ['<xsl:value-of select="$lang-Load"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>

    </xsl:element>
  </xsl:template>
  <!-- modules status pane -->
  <xsl:template name="modules-status-pane">
    <xsl:param name="x" select="18" />
    <xsl:param name="y" select="84" />
    <xsl:param name="w" select="200" />
    <xsl:param name="h" select="404" />
    <xsl:param name="state" select="'4'" />
    <xsl:param name="count_ups" select="'6'" />
    <xsl:param name="num_ups_output" select="'0'" />
    <xsl:param name="num_ups_redundant" select="'0'" />
    <xsl:param name="ups_off" select="'4'" />
    <xsl:param name="in_phases" select="'1'" />
    <xsl:param name="out_phases" select="'1'" />
    <xsl:param name="in_volt" select="'0'" />
    <xsl:param name="in_volt_unit" select="'V'" />
    <xsl:param name="in_volt_precision" select="'0'" />
    <xsl:param name="in_freq" select="'0'" />
    <xsl:param name="in_freq_unit" select="'Hz'" />
    <xsl:param name="in_freq_precision" select="'1'" />
    <xsl:param name="batt_status" select="'0'" />
    <xsl:param name="batt_autonomy_time" select="'0'" />
    <xsl:param name="batt_autonomy_time_precision" select="'0'" />
    <xsl:param name="batt_autonomy_time_unit" select="'Min'" />
    <xsl:param name="batt_capacity" select="'0'" />
    <xsl:param name="batt_capacity_precision" select="'0'" />
    <xsl:param name="batt_capacity_unit" select="'%'" />
    <xsl:param name="batt_volt" select="'0'" />
    <xsl:param name="batt_volt_precision" select="'1'" />
    <xsl:param name="batt_volt_unit" select="'V'" />
    <xsl:param name="batt_temp" select="'0'" />
    <xsl:param name="batt_temp_precision" select="'1'" />
    <xsl:param name="batt_temp_unit" select="'&#176;C'" />
    <xsl:param name="out_volt" select="'0'" />
    <xsl:param name="out_volt_unit" select="'V'" />
    <xsl:param name="out_volt_precision" select="'0'" />
    <xsl:param name="out_power" select="0" />
    <xsl:param name="out_power_unit" select="'%'" />
    <xsl:param name="out_power_precision" select="0" />
    <xsl:param name="out_current" select="'0'" />
    <xsl:param name="out_current_unit" select="'A'" />
    <xsl:param name="out_current_precision" select="'0'" />
    <xsl:param name="power" select="'0'" />
    <xsl:param name="power_unit" select="'KW'" />
    <xsl:param name="power_precision" select="'1'" />
    <xsl:param name="complex_power" select="'0'" />
    <xsl:param name="complex_power_unit" select="'KVA'" />
    <xsl:param name="complex_power_precision" select="'1'" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="visibility" select="'visible'" />
    <xsl:param name="name" select="'modules_status_div'" />
    <xsl:param name="txt_color" select="'#3032BF'" />


    <!-- Bits masked (USV Status)-->
    <xsl:variable name="powerfail">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="bypass">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    
    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;visibility:<xsl:value-of select="$visibility"/>; text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>
      <!-- modules status-->
      <hr size="2" align="left" width="98%" color="#3F5987"/>
      <table cellspacing="0" cellpadding="0" border="0"  width="98%" class="{$class}" style="color:#000000">
        <tr>
          <td id="ups_status_id">
            <script type="text/javascript"> translate_text('ups_status_id', ['<xsl:value-of select="$lang-UPS-Status"/>', ':&#160;']);</script>
          </td>
          <td ><!-- UPS Status -->
            <xsl:choose>
            <xsl:when test="$ups_off=1">
               <span id="ups_status_txt" style="background: #ee0000;">
                  <script type="text/javascript"> translate_text('ups_status_txt', '<xsl:value-of select="$lang-Off"/>');</script>
               </span>
            </xsl:when>
            <xsl:when test="$state=6">
               <span id="ups_status_txt" style="background: #ee0000;">
                  <script type="text/javascript"> translate_text('ups_status_txt', '<xsl:value-of select="$lang-Off"/>');</script>
               </span>
               <!--if(! (state & (0x01 | 0x04 | 0x08 | 0x40)))-->
            </xsl:when>
            <xsl:when test="$bypass=1">
               <span id="ups_status_txt" style="background: #eeee00;">
                  <script type="text/javascript"> translate_text('ups_status_txt', '<xsl:value-of select="$lang-UPS-Bypass-Operation"/>');</script>
               </span>
            </xsl:when>
            <xsl:when test="$powerfail=1">
               <span id="ups_status_txt" style="background: #eeee00;">
                  <script type="text/javascript"> translate_text('ups_status_txt', '<xsl:value-of select="$lang-UPS-Bypass-Operation"/>');</script>
               </span>
            </xsl:when>
            <xsl:when test="$state=4">
               <span id="ups_status_txt" style="background: #52B245;">
                  <script type="text/javascript"> translate_text('ups_status_txt', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
               </span>
            </xsl:when>
            <xsl:otherwise>
               <span id="ups_status_txt" style="background: #52B245;">
                  <script type="text/javascript"> translate_text('ups_status_txt', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
               </span>
            </xsl:otherwise>
            </xsl:choose>
          </td>    
         <xsl:if test="$count_ups = 8">
            <td>
               <xsl:value-of select="concat(concat('&#160;&#160;&#160;&#160;', concat($num_ups_output,'+')),$num_ups_redundant) "/>
            </td>
         </xsl:if>          

        </tr>
      </table>

      <hr size="2" align="left" width="98%" color="#3F5987"/>
      <!-- Mains Input -->
      <div id="mains_inp_id" class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_inp_id', '<xsl:value-of select="$lang-Mains-Input"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="98%" class="{$class}" style="color:#000000">
        <tr>
          <td id="mains_inp_volt">
            <script type="text/javascript"> translate_text('mains_inp_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <!-- Input Voltage (1)-->
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_volt/@val"/>
              <xsl:with-param name="precision" 	select="$in_volt_precision"/>
              <xsl:with-param name="unit" 			select="$in_volt_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$in_phases &gt;1">
            <td align="right">
              <!-- Input Voltage (2)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$in_volt_precision"/>
                <xsl:with-param name="unit" 			select="$in_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$in_phases &gt;2">
            <td align="right">
              <!-- Input Voltage (3)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$in_volt_precision"/>
                <xsl:with-param name="unit" 			select="$in_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>

        </tr>
        <tr>
          <!-- Input Frequency-->
          <td id="mains_inp_freq">
            <script type="text/javascript"> translate_text('mains_inp_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_freq"/>
              <xsl:with-param name="precision" 	select="$in_freq_precision"/>
              <xsl:with-param name="unit" 			select="$in_freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="98%" color="#3F5987"/>
      <!-- Battery -->
      <div id="mains_inp_batt_id" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_inp_batt_id', '<xsl:value-of select="$lang-Battery"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="98%" class="{$class}" style="color:#000000">
        <tr>
          <!-- Battery-Status -->
          <td id="mains_inp_status">
            <script type="text/javascript"> translate_text('mains_inp_status', ['<xsl:value-of select="$lang-Status"/>', ':']);</script>
          </td>
          <xsl:choose>
            <xsl:when test="$batt_status=20">
              <td id="mains_inp_status_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mains_inp_status_txt', '<xsl:value-of select="$lang-Battery-Low"/>');</script>
              </td>
            </xsl:when>
            <xsl:when test="$batt_status=4">
              <td id="mains_inp_status_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mains_inp_status_txt', '<xsl:value-of select="$lang-Battery-Fault"/>');</script>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td id="mains_inp_status_txt" align="right" style="color:#52B245">
                <script type="text/javascript"> translate_text('mains_inp_status_txt', '<xsl:value-of select="$lang-Battery-Normal"/>');</script>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <tr>
          <!-- Battery- Autonomy Time-->
          <td id="mains_inp_aut_time">
            <script type="text/javascript"> translate_text('mains_inp_aut_time', ['<xsl:value-of select="$lang-Autonomy-time"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_autonomy_time"/>
              <xsl:with-param name="precision" 	select="$batt_autonomy_time_precision"/>
              <xsl:with-param name="unit" 			select="$batt_autonomy_time_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Capacity-->
          <td id="mains_inp_batt_cap">
            <script type="text/javascript"> translate_text('mains_inp_batt_cap', ['<xsl:value-of select="$lang-Battery-Capacity-short"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_capacity"/>
              <xsl:with-param name="precision" 	select="$batt_capacity_precision"/>
              <xsl:with-param name="unit" 			select="$batt_capacity_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Voltage -->
          <td id="mains_inp_batt_volt">
            <script type="text/javascript"> translate_text('mains_inp_batt_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_volt"/>
              <xsl:with-param name="precision" 	select="$batt_volt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <!--<tr> Battery- Temperature
					<td><xsl:value-of select="concat($lang-Temperature,':')"/></td>
					<td align="right">
						<xsl:call-template name="get-value">
							<xsl:with-param name="value" 			select="$batt_temp"/>
							<xsl:with-param name="precision" 	select="$batt_temp_precision"/>
							<xsl:with-param name="unit" 			select="$batt_temp_unit"/>
						</xsl:call-template>
					</td>
				</tr>	-->
      </table>
      <hr size="2" align="left" width="98%" color="#3F5987"/>
      <!-- Output -->
      <div id="mains_output_id" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_output_id', '<xsl:value-of select="$lang-Output"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="98%" class="{$class}" style="color:#000000">
        <tr>
          <!-- Output Power-->
          <td id="mains_output_load">
            <script type="text/javascript"> translate_text('mains_output_load', ['<xsl:value-of select="$lang-Load"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Output Voltage-->
          <td id="mains_output_volt">
            <script type="text/javascript"> translate_text('mains_output_volt', ['<xsl:value-of select="$lang-Voltage"/>', '(V)', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_volt/@val"/>
              <xsl:with-param name="precision" 	select="$out_volt_precision"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$out_volt_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$out_volt_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Output Current-->
          <td id="mains_output_curr">
            <script type="text/javascript"> translate_text('mains_output_curr', ['<xsl:value-of select="$lang-Current"/>', '(A)', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_current/@val"/>
              <xsl:with-param name="precision" 	select="$out_current_precision"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_current/@val2"/>
                <xsl:with-param name="precision" 	select="$out_current_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_current/@val3"/>
                <xsl:with-param name="precision" 	select="$out_current_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Power-->
          <td id="mains_output_power">
            <script type="text/javascript"> translate_text('mains_output_power', ['<xsl:value-of select="$lang-Power"/>', '(KW)', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$power/@val"/>
              <xsl:with-param name="precision" 	select="$power_precision"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$power/@val2"/>
                <xsl:with-param name="precision" 	select="$power_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$power/@val3"/>
                <xsl:with-param name="precision" 	select="$power_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Complex Power-->
          <td id="mains_output_compl_power">
            <script type="text/javascript"> translate_text('mains_output_compl_power', ['<xsl:value-of select="$lang-Complex-Power"/>', '(KVA)', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$complex_power/@val"/>
              <xsl:with-param name="precision" 	select="$complex_power_precision"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$complex_power/@val2"/>
                <xsl:with-param name="precision" 	select="$complex_power_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$complex_power/@val3"/>
                <xsl:with-param name="precision" 	select="$complex_power_precision"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
      </table>
    </xsl:element>
  </xsl:template>

  <!-- Log events pane -->
  <xsl:template name="events-pane">
    <xsl:param name="x" select="235" />
    <xsl:param name="y" select="28" />
    <xsl:param name="w" select="529" />
    <xsl:param name="h" select="106" />
    <xsl:param name="name" select="events_pane" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'tdMediumWhite'" />

    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>

      <div style="overflow-x:scroll; overflow-y:scroll;width:{$w}px;height:{$h}px ;">

        <table class="{$class}" align="{$align}" cellpadding="0"  cellspacing="0" style="text-align:{$align};">
          <tr id="evt_pane_date" class="tdMediumWhiteBold2">
            <td align="{$align}" >
              <script type="text/javascript"> translate_text('evt_pane_date', ['&#160;&#160;&#160;&#160;&#160;', '<xsl:value-of select="$lang-Date" />']);</script> 
            </td>
            <td id="evt_pane_time" align="{$align}">
              <script type="text/javascript"> translate_text('evt_pane_time', ['&#160;&#160;&#160;&#160;&#160;&#160;', '<xsl:value-of select="$lang-Time" />']);</script>
            </td>
            <td id="evt_pane_evt" align="{$align}">
              <script type="text/javascript"> translate_text('evt_pane_evt', ['&#160;&#160;&#160;&#160;&#160;&#160;&#160;&#160;', '<xsl:value-of select="$lang-Event" />']);</script>
            </td>
          </tr>

          <xsl:for-each select="value[@name='event']">
            <xsl:sort select="position()" data-type="number" order="descending"/>
            <tr>
              <!--<td align="left">&#160;<xsl:value-of select="@date" /></td>-->
              <td align="left">
                &#160;<xsl:value-of select="concat(concat(substring-before(substring-after(@date,'/'),'/'),'.'), concat(substring-before(@date,'/'),concat('.',substring-after(substring-after(@date,'/'),'/'))))" />
              </td>
              <td align="left">
                &#160;&#160;&#160;<xsl:value-of select="@time" />
              </td>
              <td id="{concat('aeg_evt_txt_', position())}" nowrap="yes" align="left" style="padding-left: 16px">
                <xsl:value-of select="text()" />
              </td>
              <script type="text/javascript">utils_api.rem_category_from_evt('<xsl:value-of select="concat('aeg_evt_txt_', position())" />');</script>
            </tr>
          </xsl:for-each>
        </table>
      </div>
    </xsl:element>
  </xsl:template>

  <!--select pages -->
  <xsl:template name="select-page">
    <xsl:param name="left" select="'640'" />
    <xsl:param name="top" select="'127'" />
    <xsl:param name="class" select ="'XLarge_black'"/>
    <xsl:param name="border" select ="'1'"/>
    <div id="button_1" class='{$class}' align="center" style="align:center;text-align:center; position:absolute; top:{$top +20}px;left:{$left}px;width:26px;height:15px;background-color:white;border: 1px solid #3f5987;color:#3341AA; font-weight:bold; font-size:14px; cursor:pointer" onclick ="javascript:setSelection(0);">
      <xsl:value-of select="1"/>
    </div>
    <div id="button_2" class='{$class}' align="center" style="align:center;text-align:center; position:absolute; top:{$top +20}px;left:{$left + 34}px;width:26px;height:15px;background-color:white;border: 1px solid #3f5987;color:#3341AA; font-weight:bold; font-size:14px; cursor:pointer" onclick ="javascript:setSelection(1);">
      <xsl:value-of select="2"/>
    </div>
    <div id="button_3" class='{$class}' align="center" style="align:center;text-align:center; position:absolute; top:{$top +20}px;left:{$left + 68}px;width:26px;height:15px;background-color:white;border: 1px solid #3f5987;color:#3341AA; font-weight:bold; font-size:14px; cursor:pointer" onclick ="javascript:setSelection(2);">
      <xsl:value-of select="3"/>
    </div>     
  </xsl:template>

  <!--select modules -->
  <xsl:template name="select-modules">
    <xsl:param name="num_units" select="'0'" />
    <xsl:param name="is_multi" select="'0'" />
    <xsl:param name="act_ups_id" select="'0'" />
    <xsl:param name="module_mask" select="'0'" />
    <xsl:param name="selected_ups_id" select="'0'" />
    <xsl:param name="count_ups" select="'6'" />
    <xsl:param name="ups_off" select="'1'" />
    <xsl:param name="faultcode_A" select="'0'" />
    <xsl:param name="faultcode_B" select="'0'" />
    <xsl:param name="faultcode_C" select="'0'" />
    <xsl:param name="faultcode_D" select="'0'" />
    <xsl:param name="faultcode_E" select="'0'" />
    <xsl:param name="faultcode_F" select="'0'" />
    <xsl:param name="faultcode_G" select="'0'" />
    <xsl:param name="faultcode_H" select="'0'" />

    <xsl:param name="module_state_A" select="'0'" />
    <xsl:param name="module_state_B" select="'0'" />
    <xsl:param name="module_state_C" select="'0'" />
    <xsl:param name="module_state_D" select="'0'" />
    <xsl:param name="module_state_E" select="'0'" />
    <xsl:param name="module_state_F" select="'0'" />
    <xsl:param name="module_state_G" select="'0'" />
    <xsl:param name="module_state_H" select="'0'" />


    <xsl:param name="module_warn_A" select="'0'" />
    <xsl:param name="module_warn_B" select="'0'" />
    <xsl:param name="module_warn_C" select="'0'" />
    <xsl:param name="module_warn_D" select="'0'" />
    <xsl:param name="module_warn_E" select="'0'" />
    <xsl:param name="module_warn_F" select="'0'" />
    <xsl:param name="module_warn_G" select="'0'" />
    <xsl:param name="module_warn_H" select="'0'" />

    <xsl:param name="left" select="'4'" />
    <xsl:param name="top" select="'30'" />
    <xsl:param name="class" select ="'XLarge_black'"/>
    <xsl:param name="border" select ="'1'"/>
    <xsl:param name="status_txt" select="$lang-Modul-Status" />



    <!-- Bits masked (module mask)-->
    <xsl:variable name="maske_m1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="maske_m8">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_mask"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- Bits masked (module  state)-->
    <xsl:variable name="state_m1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_A"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_B"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_C"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_D"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_E"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_F"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_G"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="state_m8">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$module_state_H"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>

    <!--modules state img-->
    <xsl:variable name="img_m1">
      <xsl:choose>
        <xsl:when test="$maske_m1 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>

        <xsl:when test="$faultcode_A/@val != 0 or $faultcode_A/@val2 != 0 or $faultcode_A/@val3 != 0 or $faultcode_A/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m1 = 1 or $module_warn_A != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m2">
      <xsl:choose>
        <xsl:when test="$maske_m2 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_B/@val != 0 or $faultcode_B/@val2 != 0 or $faultcode_B/@val3 != 0 or $faultcode_B/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m2 = 1 or $module_warn_B != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m3">
      <xsl:choose>
        <xsl:when test="$maske_m3 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_C/@val != 0 or $faultcode_C/@val2 != 0 or $faultcode_C/@val3 != 0 or $faultcode_C/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m3 = 1 or $module_warn_C != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m4">
      <xsl:choose>
        <xsl:when test="$maske_m4 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_D/@val != 0 or $faultcode_D/@val2 != 0 or $faultcode_D/@val3 != 0 or $faultcode_D/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m4 = 1 or $module_warn_D != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m5">
      <xsl:choose>
        <xsl:when test="$maske_m5 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_E/@val != 0 or $faultcode_E/@val2 != 0 or $faultcode_E/@val3 != 0 or $faultcode_E/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m5 = 1 or $module_warn_E != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m6">
      <xsl:choose>
        <xsl:when test="$maske_m6 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_F/@val != 0 or $faultcode_F/@val2 != 0 or $faultcode_F/@val3 != 0 or $faultcode_F/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m6 = 1 or $module_warn_F != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m7">
      <xsl:choose>
        <xsl:when test="$maske_m7 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_G/@val != 0 or $faultcode_G/@val2 != 0 or $faultcode_G/@val3 != 0 or $faultcode_G/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m7 = 1 or $module_warn_G != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m8">
      <xsl:choose>
        <xsl:when test="$maske_m8 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$ups_off = 1">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$faultcode_H/@val != 0 or $faultcode_H/@val2 != 0 or $faultcode_H/@val3 != 0 or $faultcode_H/@val4 != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledrot10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state_m8 = 1 or $module_warn_H != 0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!--Selected Modules-->
    <xsl:variable name="font_m1">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 1">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m2">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 2">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m3">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 3">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m4">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 4">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m5">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 5">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m6">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 6">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m7">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 7">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="font_m8">
      <xsl:choose>
        <xsl:when test="$selected_ups_id = 8">
          <xsl:value-of select="'bolder'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'normal'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>


    <script type="text/javascript">

      function set_active_ups_id(ups_id)
      {
        var is_multi_ups = '1',
          plattform = get_plattform(),
          oid = get_oid_from_url();

        if(plattform == utils_api.plattform_cs141)
        {
          xsl_ajax_api.set_active_ups_id(ups_id);
        }
        else
        {
          multi_ups_switch(ups_id, is_multi_ups, oid);
        }
      }

    </script>

    <!-- modules status -->
    <div id="module_status_txt_id" class='XBold_black' align="center" style="text-align:center; position:absolute; top:{$top}px;left:{$left}px;width:95px;height:10px;">
      <script type="text/javascript"> translate_text('module_status_txt_id', '<xsl:value-of select="$status_txt" />');</script>
    </div>
    <!--modules buttons-->
    <div id="mod_button_1" class='{$class}' style="align:center;text-align:center; position:absolute; top:{$top + 20}px;left:{$left - 20}px;width:95px;height:18px">
      <xsl:choose>
        <xsl:when test="$maske_m1 = 1">
          <button onclick ="javascript:set_active_ups_id('1')" style="text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m1}; font-size:10pt;cursor:pointer">1</button>
        </xsl:when>
        <xsl:otherwise>
          <button disabled="disabled" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m1}; font-size:10pt">1</button>
        </xsl:otherwise>
      </xsl:choose>
    </div>

    <div id="mod_button_2" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left+2}px;width:95px;height:10px;">
      <xsl:choose>
        <xsl:when test="$maske_m2 = 1">
          <button onclick ="javascript:set_active_ups_id('2')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m2}; font-size:10pt;cursor:pointer">2</button>
        </xsl:when>
        <xsl:otherwise>
          <button disabled="disabled" name="button2" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m2}; font-size:10pt">2</button>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="mod_button_3" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left + 24}px;width:95px;height:10px;">
      <xsl:choose>
        <xsl:when test="$maske_m3 = 1">
          <button onclick ="javascript:set_active_ups_id('3')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m3}; font-size:10pt;cursor:pointer">3</button>
        </xsl:when>
        <xsl:otherwise>
          <button disabled="disabled" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m3}; font-size:10pt">3</button>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="mod_button_4" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left + 46}px;width:95px;height:10px;">
      <xsl:choose>
        <xsl:when test="$maske_m4 = 1">
          <button onclick ="javascript:set_active_ups_id('4')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m4}; font-size:10pt;cursor:pointer">4</button>
        </xsl:when>
        <xsl:otherwise>
          <button disabled="disabled" name="button4" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m4}; font-size:10pt">4</button>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="mod_button_5" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left + 68}px;width:95px;height:10px;">
      <xsl:choose>
        <xsl:when test="$maske_m5 = 1">
          <button onclick ="javascript:set_active_ups_id('5')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m5}; font-size:10pt;cursor:pointer">5</button>
        </xsl:when>
        <xsl:otherwise>
          <button disabled="disabled" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m5}; font-size:10pt">5</button>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <div id="mod_button_6" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left + 90}px;width:95px;height:10px;">
      <xsl:choose>
        <xsl:when test="$maske_m6 = 1">
          <button onclick ="javascript:set_active_ups_id('6')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m6}; font-size:10pt;cursor:pointer">6</button>
        </xsl:when>
        <xsl:otherwise>
          <button disabled="disabled" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m6}; font-size:10pt">6</button>
        </xsl:otherwise>
      </xsl:choose>
    </div>
    <xsl:if test="$count_ups = 8">
      <div id="mod_button_7" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left + 112}px;width:95px;height:10px;">
        <xsl:choose>
          <xsl:when test="$maske_m7 = 1">
            <button onclick ="javascript:set_active_ups_id('7')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m7}; font-size:10pt;cursor:pointer">7</button>
          </xsl:when>
          <xsl:otherwise>
            <button disabled="disabled" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m7}; font-size:10pt">7</button>
          </xsl:otherwise>
        </xsl:choose>
      </div>
      <div id="mod_button_8" class='{$class}' style="align:center; text-align:center; position:absolute; top:{$top + 20}px;left:{$left + 134}px;width:95px;height:10px;">
        <xsl:choose>
          <xsl:when test="$maske_m8 = 1">
            <button onclick ="javascript:set_active_ups_id('8')" style="align:center; text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m8}; font-size:10pt;cursor:pointer">8</button>
          </xsl:when>
          <xsl:otherwise>
            <button disabled="disabled" style="align:center;text-align:center;width:20px;height:18px;background-color:#C0C0C0;border: 1px solid #3f5987;color:#3341AA; font-weight:{$font_m8}; font-size:10pt">8</button>
          </xsl:otherwise>
        </xsl:choose>
      </div>
    </xsl:if>

    <!-- modules state left pos-->
    <xsl:variable name="modules_state_left">
      <xsl:choose>
        <xsl:when test="$count_ups = 6">
          <xsl:value-of select="$left - 16"/>
        </xsl:when>
        <xsl:when test="$count_ups = 8">
          <xsl:value-of select="$left + 4"/>
        </xsl:when>
        <xsl:otherwise></xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!--modules state -->
    <div id="module_state_img" class='{$class}' align="center" style="text-align:center; position:absolute; top:{$top +42}px;left:{$modules_state_left}px;width:200px;height:20px;">
      <img border="0" src="{$img_m1}" width="10" height="10"/>
      <xsl:value-of select="'&#160;&#160;&#160;'"/>
      <img border="0" src="{$img_m2}" width="10" height="10"/>
      <xsl:value-of select="'&#160;&#160;&#160;'"/>
      <img border="0" src="{$img_m3}" width="10" height="10"/>
      <xsl:value-of select="'&#160;&#160;&#160;'"/>
      <img border="0" src="{$img_m4}" width="10" height="10"/>
      <xsl:value-of select="'&#160;&#160;&#160;'"/>
      <img border="0" src="{$img_m5}" width="10" height="10"/>
      <xsl:value-of select="'&#160;&#160;&#160;'"/>
      <img border="0" src="{$img_m6}" width="10" height="10"/>
      <xsl:if test="$count_ups = 8">
        <xsl:value-of select="'&#160;&#160;&#160;'"/>
        <img border="0" src="{$img_m7}" width="10" height="10"/>
        <xsl:value-of select="'&#160;&#160;&#160;'"/>
        <img border="0" src="{$img_m8}" width="10" height="10"/>
      </xsl:if>
    </div>
  </xsl:template>

  <!-- Identification pane -->
  <xsl:template name="Identification-pane">
    <xsl:param name="x" select="14" />
    <xsl:param name="y" select="26" />
    <xsl:param name="w" select="200" />
    <xsl:param name="h" select="200" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'identification_id'" />
    <xsl:param name="ups_typ" select="''" />
    <xsl:param name="firmware" select="''" />
    <xsl:param name="location" select="''" />
    <xsl:param name="has_location" select="'1'" />

    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;">
      <table cellspacing="0" cellpadding="0" border="0"  class="{$class}" style="color:#000000">
        <tr>
          <td id="ident_ups_type">
            <script type="text/javascript"> translate_text('ident_ups_type', ['<xsl:value-of select="concat($lang-UPS-Typ,':')"/>', ':']);</script>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:call-template name="cut-string">
              <xsl:with-param name="input-string" select="concat('&#160;&#160;', $ups_typ)"/>
              <xsl:with-param name="length" select="26"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="ident_firmware">
            <script type="text/javascript"> translate_text('ident_firmware', ['<xsl:value-of select="concat($lang-Firmware,':')"/>', ':']);</script>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:call-template name="cut-string">
              <xsl:with-param name="input-string" select="concat('&#160;&#160;', $firmware)"/>
              <xsl:with-param name="length" select="26"/>
            </xsl:call-template>
          </td>
        </tr>
        <xsl:if test="$has_location &gt;0">
          <tr>
            <td id="ident_location">
              <script type="text/javascript"> translate_text('ident_location', ['<xsl:value-of select="concat($lang-Location,':')"/>', ':']);</script>
            </td>
          </tr>
          <tr>
            <xsl:choose>
              <xsl:when test="string-length($location)!=0" >
                <td>
                  <xsl:call-template name="cut-string">
                    <xsl:with-param name="input-string" select="concat('&#160;&#160;', $location)"/>
                    <xsl:with-param name="length" select="26"/>
                  </xsl:call-template>
                </td>
              </xsl:when>
              <xsl:otherwise>
                <td id="ident_location_txt">
                  <script type="text/javascript"> translate_text('ident_location_txt', ['&#160;&#160;', 'Unknown']);</script>
                </td>
              </xsl:otherwise>
            </xsl:choose>
          </tr>
        </xsl:if>
      </table>
    </div>
  </xsl:template>

  <!-- Input 1 pane -->
  <xsl:template name="input-1-pane">
    <xsl:param name="x" select="14" />
    <xsl:param name="y" select="150" />
    <xsl:param name="w" select="155" />
    <xsl:param name="h" select="200" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'input-1_id'" />
    <xsl:param name="input_volt" select="''" />
    <xsl:param name="input_volt_precision" select="'0'" />
    <xsl:param name="input_volt_unit" select="'V'" />
    <xsl:param name="frequency" select="''" />
    <xsl:param name="freq_precision" select="'1'" />
    <xsl:param name="freq_unit" select="'Hz'" />
    <xsl:param name="error" select="'0'" />

    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;">
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td >
            <xsl:value-of select="concat('L1-L2',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="concat('L2-L3',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val2"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td >
            <xsl:value-of select="concat('L3-L1',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val3"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="inp_freq_1">
            <script type="text/javascript"> translate_text('inp_freq_1', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$frequency"/>
              <xsl:with-param name="precision" 	select="$freq_precision"/>
              <xsl:with-param name="unit" 			select="$freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="mainsfault_counter" >
            <script type="text/javascript"> translate_text('mainsfault_counter', ['<xsl:value-of select="$lang-Mainsfault-counter"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="$error"/>
          </td>
        </tr>
      </table>
    </div>
  </xsl:template>

  <!-- Battery pane -->
  <xsl:template name="battery-pane">
    <xsl:param name="x" select="14" />
    <xsl:param name="y" select="272" />
    <xsl:param name="w" select="155" />
    <xsl:param name="h" select="200" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'battery_id'" />
    <xsl:param name="batt_status" select="'0'" />
    <xsl:param name="autonomy_time" 			select="0"/>
    <xsl:param name="autonomy_time_precision" 	select="0"/>
    <xsl:param name="autonomy_time_unit" 			select="'Min'"/>
    <xsl:param name="batt_cap" 			select="0"/>
    <xsl:param name="batt_precision" select="'0'" />
    <xsl:param name="batt_unit" select="'%'" />
    <xsl:param name="batt_volt" 			select="0"/>
    <xsl:param name="batt_volt_precision" select="'0'" />
    <xsl:param name="batt_volt_unit" select="'V'" />
    <xsl:param name="batt_curr" 			select="0"/>
    <xsl:param name="batt_curr_precision" select="'0'" />
    <xsl:param name="batt_curr_unit" select="'A'" />
    <xsl:param name="batt_temp" 			select="0"/>
    <xsl:param name="batt_temp_precision" select="'1'" />
    <xsl:param name="batt_temp_unit" select="'&#176;C'" />

    <!-- Bits masked (Battery Status)-->
    <xsl:variable name="fault">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="discharging">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- Battery status text color-->
    <xsl:variable name="batt_status_color">
      <xsl:choose>
        <xsl:when test="$fault=1">
          <xsl:value-of select="'#ee0000'"/>
        </xsl:when>
        <xsl:when test="$discharging=1">
          <xsl:value-of select="'#eeee00'"/>
        </xsl:when>
        <xsl:when test="$low=1">
          <xsl:value-of select="'#eeee00'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#52B245'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;">
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">

        <tr>
          <td id="batt_status">
            <script type="text/javascript"> translate_text('batt_status', ['<xsl:value-of select="$lang-Status"/>', ':']);</script>
          </td>
          <td id="batt_status_txt" align="right" style="color: {$batt_status_color}">
            <xsl:choose>
              <xsl:when test="$fault=1">
                <script type="text/javascript"> translate_text('batt_status_txt', '<xsl:value-of select="$lang-Error"/>');</script>
              </xsl:when>
              <xsl:when test="$discharging=1">
               <script type="text/javascript"> translate_text('batt_status_txt', '<xsl:value-of select="$lang-Discharging"/>');</script>
              </xsl:when>
              <xsl:when test="$low=1">
                <script type="text/javascript"> translate_text('batt_status_txt', '<xsl:value-of select="$lang-Low"/>');</script>
              </xsl:when>
              <xsl:otherwise>
                <script type="text/javascript"> translate_text('batt_status_txt', '<xsl:value-of select="$lang-Battery-Normal"/>');</script>
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
        <tr>
          <td id="batt_aut_time">
            <script type="text/javascript"> translate_text('batt_aut_time', ['<xsl:value-of select="$lang-Autonomy-Time"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$autonomy_time"/>
              <xsl:with-param name="precision" 	select="$autonomy_time_precision"/>
              <xsl:with-param name="unit" 			select="$autonomy_time_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="batt_cap">
            <script type="text/javascript"> translate_text('batt_cap', ['<xsl:value-of select="$lang-Battery-Capacity-short"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_cap"/>
              <xsl:with-param name="precision" 	select="$batt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="batt_volt">
            <script type="text/javascript"> translate_text('batt_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_volt"/>
              <xsl:with-param name="precision" 	select="$batt_volt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td id="batt_curr">
            <script id="batt_curr" type="text/javascript"> translate_text('batt_curr', ['<xsl:value-of select="$lang-Current"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_curr"/>
              <xsl:with-param name="precision" 	select="$batt_curr_precision"/>
              <xsl:with-param name="unit" 			select="$batt_curr_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <!--<tr>
					<td ><xsl:value-of select="concat($lang-Temperature,':')"/></td>
					<td align="right">
						<xsl:call-template name="get-value">
							<xsl:with-param name="value" 			select="$batt_temp"/>
							<xsl:with-param name="precision" 	select="$batt_temp_precision"/>
							<xsl:with-param name="unit" 			select="$batt_temp_unit"/>
						</xsl:call-template>
					</td>
				</tr>-->
      </table>
    </div>
  </xsl:template>

  <!-- Input 2 pane -->
  <xsl:template name="input-2-pane">
    <xsl:param name="x" select="14" />
    <xsl:param name="y" select="406" />
    <xsl:param name="w" select="155" />
    <xsl:param name="h" select="100" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'input-2_id'" />
    <xsl:param name="out_phases" select="'3'" />
    <xsl:param name="input_volt" select="''" />
    <xsl:param name="input_volt_precision" select="'0'" />
    <xsl:param name="input_volt_unit" select="'V'" />
    <xsl:param name="frequency" select="''" />
    <xsl:param name="freq_precision" select="'1'" />
    <xsl:param name="freq_unit" select="'Hz'" />

    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;">
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td >
            <xsl:value-of select="concat('L1',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <xsl:if test="$out_phases &gt;1">
          <tr>
            <td>
              <xsl:value-of select="concat('L2',':')"/>
            </td>
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$input_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$input_volt_precision"/>
                <xsl:with-param name="unit" 			select="$input_volt_unit"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:if test="$out_phases &gt;2">
          <tr>
            <td >
              <xsl:value-of select="concat('L3',':')"/>
            </td>
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$input_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$input_volt_precision"/>
                <xsl:with-param name="unit" 			select="$input_volt_unit"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <tr>
          <td id="main_inp2_freq">
            <script id="main_inp2_freq" type="text/javascript"> translate_text('main_inp2_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$frequency"/>
              <xsl:with-param name="precision" 	select="$freq_precision"/>
              <xsl:with-param name="unit" 			select="$freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </div>
  </xsl:template>

  <!-- Output pane -->
  <xsl:template name="output-pane">
    <xsl:param name="x" select="200" />
    <xsl:param name="y" select="388" />
    <xsl:param name="w" select="280" />
    <xsl:param name="h" select="140" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'output_pane_id'" />
    <xsl:param name="out_phases" select="'3'" />

    <xsl:param name="output_volt" select="''" />
    <xsl:param name="output_volt2" select="''" />
    <xsl:param name="output_volt3" select="''" />
    <xsl:param name="output_volt_precision" select="'0'" />
    <xsl:param name="output_volt_unit" select="'V'" />

    <xsl:param name="output_curr" select="''" />
    <xsl:param name="output_curr2" select="''" />
    <xsl:param name="output_curr3" select="''" />
    <xsl:param name="output_curr_precision" select="'0'" />
    <xsl:param name="output_curr_unit" select="'A'" />
    <xsl:param name="outpower" select="''" />
    <xsl:param name="outpower2" select="''" />
    <xsl:param name="outpower3" select="''" />
    <xsl:param name="outpower_precision" select="'0'" />
    <xsl:param name="outpower_unit" select="'%'" />
    <xsl:param name="outputpower" select="''" />
    <xsl:param name="outputpower2" select="''" />
    <xsl:param name="outputpower3" select="''" />
    <xsl:param name="outputpower_precision" select="'0'" />
    <xsl:param name="outputpower_unit" select="'W'" />
    <xsl:param name="outfreq" select="''" />
    <xsl:param name="outfreq_precision" select="'1'" />
    <xsl:param name="outfreq_unit" select="'Hz'" />

    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;">
      <table cellspacing="2" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr style="text-decoration: underline;">
          <td id="output_2">
            <script id="batt_curr" type="text/javascript"> translate_text('output_2', '<xsl:value-of select="$lang-Output"/>');</script>
          </td>
          <td id="output_volt2" style="text-align:center">
            <script id="output_volt2" type="text/javascript"> translate_text('output_volt2', '<xsl:value-of select="$lang-Voltage"/>');</script>
          </td>
          <td id="output_curr2" style="text-align:center">
            <script id="output_curr2" type="text/javascript"> translate_text('output_curr2', '<xsl:value-of select="$lang-Current"/>');</script>
          </td>
          <td id="output_load2" style="text-align:center">
            <script id="output_load2" type="text/javascript"> translate_text('output_load2', '<xsl:value-of select="$lang-Load"/>');</script>
          </td>
          <td id="output_power2" style="text-align:center">
            <script id="output_power2" type="text/javascript"> translate_text('output_power2', '<xsl:value-of select="$lang-Power"/>');</script>
          </td>
        </tr>

        <tr style="text-align:center">
          <td id="out_phase_l1" style="text-align:left">
            <script id="out_phase_l2" type="text/javascript"> translate_text('out_phase_l1', ['Phase', ' L1', ':']);</script>
          </td>
          <td> 
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$output_volt"/>
              <xsl:with-param name="precision" 	   select="$output_volt_precision"/>
              <xsl:with-param name="unit" 			select="$output_volt_unit"/>
            </xsl:call-template>
          </td>
          <td style="text-align:center">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$output_curr"/>
              <xsl:with-param name="precision" 	   select="$output_curr_precision"/>
              <xsl:with-param name="unit" 			select="$output_curr_unit"/>
            </xsl:call-template>
          </td>
          <td style="text-align:center">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$outpower"/>
              <xsl:with-param name="precision" 	   select="$outpower_precision"/>
              <xsl:with-param name="unit" 			select="$outpower_unit"/>
            </xsl:call-template>
          </td>
          <td style="text-align:center">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$outputpower"/>
              <xsl:with-param name="precision" 	   select="$outputpower_precision"/>
              <xsl:with-param name="unit" 			select="$outputpower_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <xsl:if test="$out_phases &gt;1">
          <tr style="text-align:center">
            <td id="out_phase_l2" style="text-align:left">
               <script id="out_phase_l2" type="text/javascript"> translate_text('out_phase_l2', ['Phase', ' L2', ':']);</script>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$output_volt2"/>
                <xsl:with-param name="precision" 	select="$output_volt_precision"/>
                <xsl:with-param name="unit" 			select="$output_volt_unit"/>
              </xsl:call-template>
            </td>
            <td style="text-align:center">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$output_curr2"/>
                <xsl:with-param name="precision" 	select="$output_curr_precision"/>
                <xsl:with-param name="unit" 			select="$output_curr_unit"/>
              </xsl:call-template>
            </td>
            <td style="text-align:center">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$outpower2"/>
                <xsl:with-param name="precision" 	select="$outpower_precision"/>
                <xsl:with-param name="unit" 			select="$outpower_unit"/>
              </xsl:call-template>
            </td>
            <td style="text-align:center">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$outputpower2"/>
                <xsl:with-param name="precision" 	select="$outputpower_precision"/>
                <xsl:with-param name="unit" 			select="$outputpower_unit"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <xsl:if test="$out_phases &gt;2">
          <tr style="text-align:center">
            <td id="out_phase_l3" style="text-align:left">
              <script id="out_phase_l3" type="text/javascript"> translate_text('out_phase_l3', ['Phase', ' L3', ':']);</script>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$output_volt3"/>
                <xsl:with-param name="precision" 	select="$output_volt_precision"/>
                <xsl:with-param name="unit" 			select="$output_volt_unit"/>
              </xsl:call-template>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$output_curr3"/>
                <xsl:with-param name="precision" 	select="$output_curr_precision"/>
                <xsl:with-param name="unit" 			select="$output_curr_unit"/>
              </xsl:call-template>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$outpower3"/>
                <xsl:with-param name="precision" 	select="$outpower_precision"/>
                <xsl:with-param name="unit" 			select="$outpower_unit"/>
              </xsl:call-template>
            </td>
            <td style="text-align:center">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 		select="$outputpower3"/>
                <xsl:with-param name="precision" 	select="$outputpower_precision"/>
                <xsl:with-param name="unit" 			select="$outputpower_unit"/>
              </xsl:call-template>
            </td>
          </tr>
        </xsl:if>
        <tr style="text-align:center">
          <td id="out_freq_3" style="text-align:left">
            <script id="out_phase_l3" type="text/javascript"> translate_text('out_freq_3', ['Frequency', ':']);</script>
          </td>
          <td style="text-align:center">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$outfreq"/>
              <xsl:with-param name="precision" 	   select="$outfreq_precision"/>
              <xsl:with-param name="unit" 			select="$outfreq_unit"/>
            </xsl:call-template>
          </td>
          <td >
            <xsl:value-of select="'&#160;&#160;'"/>
          </td>
          <td >
            <xsl:value-of select="'&#160;&#160;'"/>
          </td>
          <td >
            <xsl:value-of select="'&#160;&#160;'"/>
          </td>
        </tr>

      </table>
    </div>
  </xsl:template>

  <!-- CBSER panel -->
  <xsl:template name="cbser-pane">
    <xsl:param name="x" select="198" />
    <xsl:param name="y" select="127" />
    <xsl:param name="w" select="327" />
    <xsl:param name="h" select="241" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'cbser_id'" />
    <xsl:param name="fkt_status" select="'0'" />
    <xsl:param name="comlost" select="'0'" />
    <xsl:param name="line_w_h" select="'6'" />
    <xsl:param name="line1_color" select="'#5A5A5A'" />
    <xsl:param name="line2_color" select="'#5A5A5A'" />
    <xsl:param name="line3_color" select="'#5A5A5A'" />
    <xsl:param name="line4_color" select="'#5A5A5A'" />
    <xsl:param name="line5_color" select="'#5A5A5A'" />
    <xsl:param name="line6_color" select="'#5A5A5A'" />
    <xsl:param name="line7_color" select="'#5A5A5A'" />
    <xsl:param name="line8_color" select="'#5A5A5A'" />
    <xsl:param name="line9_color" select="'#5A5A5A'" />
    <xsl:param name="line10_color" select="'#5A5A5A'" />
    <!--Battery 1 -->
    <xsl:variable name="batt1_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt1_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt1_img">
      <xsl:choose>
        <xsl:when test="$batt1_cond1=1">
          <xsl:value-of select="'./lib/ups/image/ups/grr.gif'"/>
        </xsl:when>
        <xsl:when test="$batt1_cond2=1">
          <xsl:value-of select="'./lib/ups/image/ups/grge.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/ups/grgr.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Battery 2 -->
    <xsl:variable name="batt2_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_cond2_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_cond2_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit15"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_img">
      <xsl:choose>
        <xsl:when test="$batt2_cond1=1">
          <xsl:value-of select="'./lib/ups/image/ups/wrr.gif'"/>
        </xsl:when>
        <xsl:when test="$batt2_cond2_1=1 or $batt2_cond2_2=1">
          <xsl:value-of select="'./lib/ups/image/ups/wrge.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/ups/wrgr.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Battery 3 -->
    <xsl:variable name="batt3_cond1_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt3_cond1_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt3_cond2_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt3_cond2_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt3_img">
      <xsl:choose>
        <xsl:when test="$batt3_cond1_1=1 or $batt3_cond1_2=1">
          <xsl:value-of select="'./lib/ups/image/ups/Batrv.gif'"/>
        </xsl:when>
        <xsl:when test="$batt3_cond2_1=1 or $batt3_cond2_2=1">
          <xsl:value-of select="'./lib/ups/image/ups/Batgev.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/ups/Batgrv.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Battery 4 -->
    <xsl:variable name="batt4_cond1">
      <xsl:choose>
        <xsl:when test="$comlost = 1">
          <xsl:value-of select="'1'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'0'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="batt4_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt4_img">
      <xsl:choose>
        <xsl:when test="$batt4_cond1=1">
          <xsl:value-of select="'./lib/ups/image/ups/sswge.gif'"/>
        </xsl:when>
        <xsl:when test="$batt4_cond2=1">
          <xsl:value-of select="'./lib/ups/image/ups/sswge.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/ups/sswgr.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y + 4}px; width:{$w}px; height:{$h}px;overflow:hidden;">
      <!--Battery 1,2,3 and 4-->
      <div id="batt_1" class="{$class}" style="position:absolute; left:30px; top:10px; width:50px; height:50px;">
        <!-- batt 1-->
        <img border="0" src="{$batt1_img}" width="50" height="50"/>
      </div>
      <div id="batt_2" class="{$class}" style="position:absolute; left:200px; top:10px; width:50px; height:50px;">
        <!-- batt 2-->
        <img border="0" src="{$batt2_img}" width="50" height="50"/>
      </div>
      <div id="batt_3" class="{$class}" style="position:absolute; left:112px; top:80px; width:50px; height:50px;">
        <!--batt 3-->
        <img border="0" src="{$batt3_img}" width="50" height="50"/>
      </div>
      <div id="batt_4" class="{$class}" style="position:absolute; left:200px; top:171px; width:50px; height:50px;">
        <!--batt 4 overflow:hidden;-->
        <img border="0" src="{$batt4_img}" width="50" height="50"/>
      </div>
    </div>
    <!--Lines -->
    <!--Line 1-->
    <div id="l_1_id" style="position:absolute; left:208px; top:162px; width:20px; height:{$line_w_h}px; background-color:{$line1_color};overflow:hidden;" />
    <!--Line 2-->
    <div id="l_2_id" style="position:absolute; left:278px; top:162px; width:60px; height:{$line_w_h}px;background-color:{$line2_color};overflow:hidden;" />
    <!--Line 3-->
    <div id="l_3_id" style="position:absolute; left:332px; top:162px; width:{$line_w_h}px; height:49px;background-color:{$line3_color};overflow:hidden;" />
    <!--Line 4-->
    <div id="l_4_id" style="position:absolute; left:338px; top:162px; width:60px; height:{$line_w_h}px;background-color:{$line4_color};overflow:hidden;" />
    <!--Line 5-->
    <div id="l_5_id" style="position:absolute; left:448px; top:162px; width:20px; height:{$line_w_h}px;background-color:{$line5_color};overflow:hidden;" />
    <!--Line 6-->
    <div id="l_6_id" style="position:absolute; left:468px; top:162px; width:{$line_w_h}px; height:84px;background-color:{$line6_color};overflow:hidden;" />
    <!--Line 7-->
    <div id="l_7_id" style="position:absolute; left:468px; top:246px; width:50px; height:{$line_w_h}px;background-color:{$line7_color};overflow:hidden;" />
    <!--Line 8-->
    <div id="l_8_id" style="position:absolute; left:468px; top:252px; width:{$line_w_h}px; height:78px;background-color:{$line8_color};overflow:hidden;" />
    <!--Line 9-->
    <div id="l_9_id" style="position:absolute; left:448px; top:326px; width:26px; height:{$line_w_h}px;background-color:{$line9_color};overflow:hidden;" />
    <!--Line 10-->
    <div id="l_10_id" style="position:absolute; left:210px; top:326px; width:190px; height:{$line_w_h}px;background-color:{$line10_color};overflow:hidden;" />
  </xsl:template>

  <!--Segments state -->
  <xsl:template name="segments-state">
    <xsl:param name="left" select="'22'" />
    <xsl:param name="top" select="'30'" />
    <xsl:param name="w" select="180" />
    <xsl:param name="h" select="10" />
    <xsl:param name="class" select ="'XBold_black'"/>
    <xsl:param name="border" select ="'1'"/>
    <xsl:param name="outlet_onmaske" select ="'0'"/>
    <xsl:param name="outlet_existmaske" select ="'0'"/>
    <xsl:param name="status_txt" select="$lang-Load-segment" />

    <!-- Bits masked (outlets exist mask)-->
    <xsl:variable name="exist_m1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_existmaske"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_existmaske"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- Bits masked (outlet onmaske)-->
    <xsl:variable name="outleton_m1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_onmaske"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="outleton_m2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_onmaske"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="bg_outleton_m1">
      <xsl:choose>
        <xsl:when test="$outleton_m1 = 1 ">
          <xsl:value-of select="'#33FF00'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="bg_outleton_m2">
      <xsl:choose>
        <xsl:when test="$outleton_m2 = 1 ">
          <xsl:value-of select="'#33FF00'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#FFFF00'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!-- modules status -->
    <xsl:if test="$exist_m1=1 or $exist_m1=1 ">
      <div id="modules_status_id" align="center" style="text-align:center; position:absolute; top:{$top}px;left:{$left}px;width:{$w};height:{$h};">
        <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
          <tr>
            <td id="modules_status_txt_id" align="left">
               <script type="text/javascript"> translate_text('modules_status_txt_id', '<xsl:value-of select="$status_txt"/>');</script>
            </td>
            <xsl:if test="$exist_m1=1">
              <td align="right">
                <span style="background:{$bg_outleton_m1}">
                  <xsl:value-of select="'&#160;1&#160;'"/>
                </span>
              </td>
            </xsl:if>
            <xsl:if test="$exist_m2=1">
              <td align="right">
                <span style="background:{$bg_outleton_m2}">
                  <xsl:value-of select="'&#160;2&#160;'"/>
                </span>
              </td>
            </xsl:if>
          </tr>
        </table>
      </div>
    </xsl:if>
  </xsl:template>

  <!-- Segments status pane -->
  <xsl:template name="segments-status-pane">
    <xsl:param name="x" select="22" />
    <xsl:param name="y" select="50" />
    <xsl:param name="w" select="186" />
    <xsl:param name="h" select="404" />
    <xsl:param name="state" select="'0'" />
    <xsl:param name="aeg_qsstate" select="'0'" />
    <xsl:param name="aeg_pue" select="'0'" />
    <xsl:param name="count_ups" select="'6'" />
    <xsl:param name="num_ups_output" select="'0'" />
    <xsl:param name="num_ups_redundant" select="'0'" />
    <xsl:param name="ups_off" select="'0'" />
    <xsl:param name="in_phases" select="'1'" />
    <xsl:param name="out_phases" select="'1'" />
    <xsl:param name="in_volt" select="'0'" />
    <xsl:param name="in_volt_unit" select="'V'" />
    <xsl:param name="in_volt_precision" select="'0'" />
    <xsl:param name="in_freq" select="'0'" />
    <xsl:param name="in_freq_unit" select="'Hz'" />
    <xsl:param name="in_freq_precision" select="'1'" />
    <xsl:param name="batt_status" select="'0'" />
    <xsl:param name="batt_autonomy_time" select="'0'" />
    <xsl:param name="batt_autonomy_time_precision" select="'0'" />
    <xsl:param name="batt_autonomy_time_unit" select="'Min'" />
    <xsl:param name="batt_capacity" select="'0'" />
    <xsl:param name="batt_capacity_precision" select="'0'" />
    <xsl:param name="batt_capacity_unit" select="'%'" />
    <xsl:param name="batt_volt" select="'0'" />
    <xsl:param name="batt_volt_precision" select="'1'" />
    <xsl:param name="batt_volt_unit" select="'V'" />
    <xsl:param name="batt_temp" select="'0'" />
    <xsl:param name="batt_temp_precision" select="'1'" />
    <xsl:param name="batt_temp_unit" select="'&#176;C'" />
    <xsl:param name="out_volt" select="'0'" />
    <xsl:param name="out_volt_unit" select="'V'" />
    <xsl:param name="out_volt_precision" select="'0'" />
    <xsl:param name="out_power" select="0" />
    <xsl:param name="out_power_unit" select="'%'" />
    <xsl:param name="out_power_precision" select="0" />
    <xsl:param name="out_freq" select="'0'" />
    <xsl:param name="out_freq_unit" select="'Hz'" />
    <xsl:param name="out_freq_precision" select="'1'" />
    <xsl:param name="power" select="'0'" />
    <xsl:param name="power_unit" select="'kW'" />
    <xsl:param name="power_precision" select="'1'" />
    <xsl:param name="complex_power" select="'0'" />
    <xsl:param name="complex_power_unit" select="'kVA'" />
    <xsl:param name="complex_power_precision" select="'1'" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="visibility" select="'visible'" />
    <xsl:param name="name" select="'modules_status_div'" />
    <xsl:param name="txt_color" select="'#3032BF'" />
    <xsl:param name="status_txt" select="$lang-Modul-Status" />
    <xsl:param name="is_6000_10000_va_usv" select="0" />

    <!-- power and complex power unit and factor-->
    <xsl:variable name="p_unit">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='PROTC' or string($oem_view_name)='protc'">
          <xsl:value-of select="'W'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$power_unit"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="cp_unit">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='PROTC' or string($oem_view_name)='protc'">
          <xsl:value-of select="'VA'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$complex_power_unit"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:variable name="p_factor">
      <xsl:choose>
        <xsl:when test="string($oem_view_name)='PROTC' or string($oem_view_name)='protc'">
          <xsl:value-of select="1"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="1000"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- Battery temp  ADR134-->
    <xsl:variable name="batt-temperature">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$batt_temp" />
        <xsl:with-param name="precision" select="$batt_temp_precision"/>
      </xsl:call-template>
    </xsl:variable>


    <!-- Bits masked (Segments state)-->
    <xsl:variable name="seg_state_cond3_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="seg_state_cond3_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="seg_state_cond3_3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="seg_state_cond3_4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="seg_state_bit4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <!-- UPS Status text-->
    <xsl:variable name="seg_state_txt">
      <xsl:choose>
        <xsl:when test="$ups_off=1">
          <xsl:value-of select="$lang-Off "/>
        </xsl:when>
        <xsl:when test="$seg_state_cond3_1 = 0 and $seg_state_cond3_2 = 0 and $seg_state_cond3_3 = 0 and $seg_state_cond3_4 = 0">
          <xsl:value-of select="$lang-Off"/>
        </xsl:when>
        <xsl:when test="$seg_state_cond3_3=1">
          <xsl:value-of select="$lang-UPS-Battery-Operation"/>
        </xsl:when>
        <xsl:when test="$aeg_qsstate=7">
          <xsl:value-of select="$lang-Converter-mode "/>
        </xsl:when>
        <xsl:when test="$aeg_qsstate=12 and $is_6000_10000_va_usv = 0">
          <xsl:value-of select="$lang-ECO-plus-mode"/>
        </xsl:when>
        <xsl:when test="$aeg_qsstate=8">
          <xsl:value-of select="$lang-ECO-mode"/>
        </xsl:when>
        <xsl:when test="$seg_state_cond3_1=1">
          <xsl:value-of select="$lang-UPS-Bypass-Operation"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="$lang-UPS-Normal-Operation"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;visibility:<xsl:value-of select="$visibility"/>; text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>
      <!-- segments status -->
      <!--<xsl:if test="$is_6000_10000_va_usv = 0">
				<xsl:value-of select="concat($status_txt,':')"/>
				<hr size="2" align="left" width="100%" color="#3F5987"/>
			</xsl:if>-->
      <!-- UPS Status -->
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">

        <tr>
          <td id="seg_ups_status">
            <script type="text/javascript"> translate_text('seg_ups_status', ['<xsl:value-of select="$lang-UPS-Status"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:choose>
              <xsl:when test="$aeg_qsstate=8 or $aeg_qsstate=12">
                <span style="background: #eeee00;">
                  <b id="seg_ups_status_txt">
                    <script type="text/javascript"> translate_text('seg_ups_status_txt', '<xsl:value-of select="$seg_state_txt"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$ups_off=1">
                <span style="background: #ee0000;">
                  <b id="seg_ups_status_txt">
                    <script type="text/javascript"> translate_text('seg_ups_status_txt', '<xsl:value-of select="$seg_state_txt"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$seg_state_cond3_1 = 0 and $seg_state_cond3_2 = 0 and $seg_state_cond3_3 = 0 and $seg_state_cond3_4 = 0">
                <span style="background: #ee0000;">
                  <b id="seg_ups_status_txt">
                    <script type="text/javascript"> translate_text('seg_ups_status_txt', '<xsl:value-of select="$seg_state_txt"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$seg_state_cond3_1=1">
                <span style="background: #eeee00;">
                  <b id="seg_ups_status_txt">
                   <script type="text/javascript"> translate_text('seg_ups_status_txt', '<xsl:value-of select="$seg_state_txt"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$seg_state_cond3_3=1">
                <span style="background: #eeee00;">
                  <b id="seg_ups_status_txt">
                    <script type="text/javascript"> translate_text('seg_ups_status_txt', '<xsl:value-of select="$seg_state_txt"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:otherwise>
                <span style="background: #52B245;">
                  <b id="seg_ups_status_txt">
                    <script type="text/javascript"> translate_text('seg_ups_status_txt', '<xsl:value-of select="$seg_state_txt"/>');</script>
                  </b>
                </span>
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
        <tr>
          <td >
            <xsl:value-of select="concat('PUE',':')"/>
          </td>
          <td align="right">
            <!-- Input Voltage (1)-->
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$aeg_pue"/>
              <xsl:with-param name="precision" 	select="'0'"/>
              <xsl:with-param name="unit" 			select="'%'"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>

      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Mains Input -->
      <div id="mains_inp_title" class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_inp_title', '<xsl:value-of select="$lang-Mains-Input"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td id="mains_inp_volt">
            <script type="text/javascript"> translate_text('mains_inp_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <!-- Input Voltage (1)-->
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_volt/@val"/>
              <xsl:with-param name="precision" 	select="$in_volt_precision"/>
              <xsl:with-param name="unit" 			select="$in_volt_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$in_phases &gt;1">
            <td align="right">
              <!-- Input Voltage (2)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$in_volt_precision"/>
                <xsl:with-param name="unit" 			select="$in_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$in_phases &gt;2">
            <td align="right">
              <!-- Input Voltage (3)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$in_volt_precision"/>
                <xsl:with-param name="unit" 			select="$in_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>

        </tr>
        <tr>
          <!-- Input Frequency-->
          <td id ="mains_inp_freq">
            <script type="text/javascript"> translate_text('mains_inp_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_freq"/>
              <xsl:with-param name="precision" 	select="$in_freq_precision"/>
              <xsl:with-param name="unit" 			select="$in_freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Battery -->
      <div id="mains_inp_batt" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_inp_batt','<xsl:value-of select="$lang-Battery"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Battery-Status -->
          <td id="mains_inp_batt_st">
            <script type="text/javascript"> translate_text('mains_inp_batt_st', ['<xsl:value-of select="$lang-Status"/>', ':']);</script>
          </td>
          <xsl:choose>
            <xsl:when test="$seg_state_cond3_2 = 1 and $seg_state_bit4 = 1">
              <td id="mains_inp_batt_st_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mains_inp_batt_st_txt','<xsl:value-of select="$lang-Battery-Low"/>');</script>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td id="mains_inp_batt_st_txt" align="right" style="color:#52B245">
                <script type="text/javascript"> translate_text('mains_inp_batt_st_txt','<xsl:value-of select="$lang-Battery-Normal"/>');</script>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <tr>
          <!-- Battery- Autonomy Time-->
          <td id="mains_inp_batt_time" >
            <script type="text/javascript"> translate_text('mains_inp_batt_time', ['<xsl:value-of select="$lang-Autonomy-time"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_autonomy_time"/>
              <xsl:with-param name="precision" 	select="$batt_autonomy_time_precision"/>
              <xsl:with-param name="unit" 			select="$batt_autonomy_time_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Capacity-->
          <td id="mains_inp_batt_cap" >
            <script type="text/javascript"> translate_text('mains_inp_batt_cap', ['<xsl:value-of select="$lang-Battery-Capacity-short"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_capacity"/>
              <xsl:with-param name="precision" 	select="$batt_capacity_precision"/>
              <xsl:with-param name="unit" 			select="$batt_capacity_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Voltage -->
          <td id="mains_inp_batt_volt">
            <script type="text/javascript"> translate_text('mains_inp_batt_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_volt"/>
              <xsl:with-param name="precision" 	select="$batt_volt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <xsl:if test="string-length(//upsview)=0">
          <tr>
            <!--Battery- Temperature -->
            <td id="mains_inp_batt_tmp">
               <script type="text/javascript"> translate_text('mains_inp_batt_tmp', ['<xsl:value-of select="$lang-Temperature"/>', ':']);</script>
            </td>
            <td align="right">
              <xsl:value-of select="$batt-temperature"/>
            </td>
          </tr>
        </xsl:if>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Output -->
      <div id="mains_out_id" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mains_out_id', '<xsl:value-of select="$lang-Output"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Output Voltage-->
          <td id="mains_out_volt">
            <script type="text/javascript"> translate_text('mains_out_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_volt/@val"/>
              <xsl:with-param name="precision" 	select="$out_volt_precision"/>
              <xsl:with-param name="unit" 			select="$out_volt_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$out_volt_precision"/>
                <xsl:with-param name="unit" 			select="$out_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$out_volt_precision"/>
                <xsl:with-param name="unit" 			select="$out_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Output Frequency-->
          <td id="mains_out_freq">
            <script  type="text/javascript"> translate_text('mains_out_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_freq"/>
              <xsl:with-param name="precision" 	select="$out_freq_precision"/>
              <xsl:with-param name="unit" 			select="$out_freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Output Power-->
          <td id="mains_out_load">
            <script type="text/javascript"> translate_text('mains_out_load', ['<xsl:value-of select="$lang-Load"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Power-->
          <td id="mains_out_power">
            <script type="text/javascript"> translate_text('mains_out_power', ['<xsl:value-of select="$lang-Power"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$power/@val div $p_factor"/>
              <xsl:with-param name="precision" 	select="$power_precision"/>
              <xsl:with-param name="unit" 			select="$p_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$power/@val2 div $p_factor"/>
                <xsl:with-param name="precision" 	select="$power_precision"/>
                <xsl:with-param name="unit" 			select="$p_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$power/@val3 div $p_factor"/>
                <xsl:with-param name="precision" 	select="$power_precision"/>
                <xsl:with-param name="unit" 			select="$p_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- complex Power-->
          <td id="mains_out_complex_power">
            <script id="mains_out_complex_power" type="text/javascript"> translate_text('mains_out_complex_power', ['<xsl:value-of select="$lang-Complex-Power"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$complex_power/@val div $p_factor"/>
              <xsl:with-param name="precision" 	select="$complex_power_precision"/>
              <xsl:with-param name="unit" 			select="$cp_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$complex_power/@val2 div $p_factor"/>
                <xsl:with-param name="precision" 	select="$complex_power_precision"/>
                <xsl:with-param name="unit" 			select="$cp_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$complex_power/@val3 div $p_factor"/>
                <xsl:with-param name="precision" 	select="$complex_power_precision"/>
                <xsl:with-param name="unit" 			select="$cp_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>

      </table>
    </xsl:element>
  </xsl:template>


  <!-- DC-power supply values -->
  <xsl:template name="dc-power-supply-values">
    <xsl:param name="x" select="22" />
    <xsl:param name="y" select="30" />
    <xsl:param name="w" select="180" />
    <xsl:param name="h" select="404" />
    <xsl:param name="date_time" select="'Date_Time'" />
    <xsl:param name="state" select="'4'" />
    <xsl:param name="input_volt" select="''" />
    <xsl:param name="input_volt_precision" select="'0'" />
    <xsl:param name="input_volt_unit" select="'V'" />
    <xsl:param name="frequency" select="''" />
    <xsl:param name="freq_precision" select="'1'" />
    <xsl:param name="freq_unit" select="'Hz'" />
    <xsl:param name="batt_volt" select="'0'" />
    <xsl:param name="batt_volt_precision" select="'1'" />
    <xsl:param name="batt_volt_unit" select="'V'" />
    <xsl:param name="batt_curr" select="'0'" />
    <xsl:param name="batt_curr_precision" select="'0'" />
    <xsl:param name="batt_curr_unit" select="'A'" />
    <xsl:param name="out_volt" select="'0'" />
    <xsl:param name="out_volt_unit" select="'V'" />
    <xsl:param name="out_volt_precision" select="'0'" />
    <xsl:param name="out_curr" 			select="'0'"/>
    <xsl:param name="out_curr_precision" 	select="'0'"/>
    <xsl:param name="out_curr_unit" 			select="'V'"/>


    <xsl:param name="out_power" select="0" />
    <xsl:param name="out_power_unit" select="'W'" />
    <xsl:param name="out_power_precision" select="0" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="visibility" select="'visible'" />
    <xsl:param name="name" select="'dc_power_supply_div'" />
    <xsl:param name="txt_color" select="'#3032BF'" />


    <!-- Bits masked (ups state)-->
    <xsl:variable name="batt_cond1_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_cond1_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$state"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;visibility:<xsl:value-of select="$visibility"/>; text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>
      <!-- Date_Time -->
      <xsl:value-of select="concat(concat(concat($lang-Date,'/'),$lang-Time), concat(':&#160;&#160;&#160;&#160;',$date_time))"/>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Mains Input -->
      <div class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <xsl:value-of select="$lang-Mains-Input"/>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <td >
            <xsl:value-of select="concat('L1-L2',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td>
            <xsl:value-of select="concat('L2-L3',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val2"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td >
            <xsl:value-of select="concat('L3-L1',':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$input_volt/@val3"/>
              <xsl:with-param name="precision" 	select="$input_volt_precision"/>
              <xsl:with-param name="unit" 			select="$input_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <td >
            <xsl:value-of select="concat($lang-Frequency,':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$frequency"/>
              <xsl:with-param name="precision" 	select="$freq_precision"/>
              <xsl:with-param name="unit" 			select="$freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Battery -->
      <div class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <xsl:value-of select="$lang-Battery"/>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Battery-Status -->
          <td >
            <xsl:value-of select="concat($lang-Status,':')"/>
          </td>
          <xsl:choose>
            <xsl:when test="$batt_cond1_1 = 1 and batt_cond1_2 = 1">
              <td align="right" style="color:#ee0000">
                <xsl:value-of select="$lang-Discharging"/>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td align="right" style="color:#52B245">
                <xsl:value-of select="$lang-Battery-Normal"/>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <tr>
          <!-- Battery- Voltage -->
          <td>
            <xsl:value-of select="concat($lang-Voltage,':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_volt"/>
              <xsl:with-param name="precision" 	select="$batt_volt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Current -->
          <td >
            <xsl:value-of select="concat($lang-Current,':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_curr"/>
              <xsl:with-param name="precision" 	select="$batt_curr_precision"/>
              <xsl:with-param name="unit" 			select="$batt_curr_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Output -->
      <div style="text-align:left;text-decoration: underline;">
        <xsl:value-of select="$lang-Output"/>
      </div>

      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Output Voltage-->
          <td >
            <xsl:value-of select="concat($lang-Voltage,':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_volt"/>
              <xsl:with-param name="precision" 	select="$out_volt_precision"/>
              <xsl:with-param name="unit" 			select="$out_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Output Voltage-->
          <td >
            <xsl:value-of select="concat($lang-Current,':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_curr"/>
              <xsl:with-param name="precision" 	select="$out_curr_precision"/>
              <xsl:with-param name="unit" 			select="$out_curr_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Out power-->
          <td>
            <xsl:value-of select="concat($lang-Power,':')"/>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </xsl:element>
  </xsl:template>

  <!-- DC-power supply panel -->
  <xsl:template name="dc-power-supply-pane">
    <xsl:param name="x" select="198" />
    <xsl:param name="y" select="127" />
    <xsl:param name="w" select="327" />
    <xsl:param name="h" select="241" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="id" select="'dc_power-suppply_id'" />
    <xsl:param name="fkt_status" select="'0'" />
    <xsl:param name="comlost" select="'0'" />
    <xsl:param name="line_w_h" select="'6'" />
    <xsl:param name="line1_color" select="'#5A5A5A'" />
    <xsl:param name="line2_color" select="'#5A5A5A'" />
    <xsl:param name="line3_color" select="'#5A5A5A'" />
    <xsl:param name="line4_color" select="'#5A5A5A'" />

    <!--Battery 1 -->
    <xsl:variable name="batt1_cond1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit12"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt1_cond2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt1_img">
      <xsl:choose>
        <xsl:when test="$batt1_cond1=1">
          <xsl:value-of select="'./lib/ups/image/ups/grr.gif'"/>
        </xsl:when>
        <xsl:when test="$batt1_cond2=1">
          <xsl:value-of select="'./lib/ups/image/ups/grge.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/ups/grgr.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <!--Battery 2 -->
    <xsl:variable name="batt2_cond1_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_cond1_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_cond2_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_cond2_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$fkt_status"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt2_img">
      <xsl:choose>
        <xsl:when test="$batt2_cond1_1=1 or $batt2_cond1_2=1">
          <xsl:value-of select="'./lib/ups/image/ups/batrv.gif'"/>
        </xsl:when>
        <xsl:when test="$batt2_cond2_1=1 or $batt2_cond2_2=1">
          <xsl:value-of select="'./lib/ups/image/ups/batgev.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/ups/batgrv.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <div id="{$id}" class="{$class}" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;">
      <!--Battery 1,2,3 and 4-->
      <div id="batt_1" class="{$class}" style="position:absolute; left:152px; top:170px; width:50px; height:50px;">
        <!-- batt 1-->
        <img border="0" src="{$batt1_img}" width="50" height="50"/>
      </div>
      <div id="batt_2" class="{$class}" style="position:absolute; left:238px; top:241px; width:50px; height:50px;">
        <!-- batt 2-->
        <img border="0" src="{$batt2_img}" width="50" height="50"/>
      </div>
    </div>
    <!--Lines <div id="l_1_id" style="position:absolute; left:208px; top:158px; width:20px; height:{$line_w_h}px; background-color:{$line1_color};overflow:hidden;" />-->
    <!--Line 1-->
    <div id="l_1_id" style="position:absolute; left:330px; top:320px; width:20px; height:{$line_w_h}px;background-color:{$line1_color};overflow:hidden;" />
    <!--Line 2-->
    <div id="l_2_id" style="position:absolute; left:400px; top:320px; width:60px; height:{$line_w_h}px;background-color:{$line2_color};overflow:hidden;" />
    <!--Line 3-->
    <div id="l_3_id" style="position:absolute; left:460px; top:324px; width:{$line_w_h}px; height:46px;background-color:{$line3_color};overflow:hidden;" />
    <!--Line 4-->
    <div id="l_4_id" style="position:absolute; left:460px; top:320px; width:60px; height:{$line_w_h}px;background-color:{$line4_color};overflow:hidden;" />
  </xsl:template>

  <!--AEG commands -->
  <xsl:template name="aeg-commands">
    <script type="text/javascript">
      <xsl:comment>
        <![CDATA[

	   			log_win = null;
	   			ups_test_win = null;

					function open_ups_test_win(w,h,args)
					{
						x=screen.availWidth/2-w/2;
						y=screen.availHeight/2-h/2;
						index = location.href.indexOf("?");
						if (index != -1)
						{
							href =location.href.substring(0, index+1 );
							href = href.concat(args);
							if(ups_test_win!=null && !ups_test_win.closed)
								ups_test_win.close();
							var size = 'width='+w+',height='+h;
							var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
							ups_test_win = window.open(href,"",size+pos);
							ups_test_win.focus();
						}
					}

					function disable_link(el)
					{
						el.style.cursor='wait';
				    el.onclick = function ()
				    {
				      return false;
				    }
					}

					function disable_links(className)
					{
				    var links = document.getElementsByTagName('A'),
				        linksLen = links.length,
				        link,i;

				    for (i = 0; i < linksLen; ++i)
				    {
				        link = links[i];
				        if (link.className == className)
				        {
				          disable_link(link);
				        }
				    }
					}

					function set_spans_cursor(cursor)
					{
				    var spans = document.getElementsByTagName('span'),
				        spansLen = spans.length,
				        span,i;
				    for (i = 0; i < spansLen; ++i)
				    {
				      span = spans[i];
				      span.style.cursor = cursor;
				    }
					}

					function ups_command(titel,w,h,args, confirm_txt)
					{
						document.body.style.cursor='wait';
						disable_links('btn');
						set_spans_cursor('wait');
						x=screen.availWidth/2-w/2;
						y=screen.availHeight/2-h/2;
						index = location.href.indexOf("?");
						if(confirm_txt!=null)
							if(!confirm(confirm_txt))
								return;

						if(index != -1)
						{
							href =location.href.substring(0, index+1 );
							href = href.concat(args);
							var size = 'width='+w+',height='+h;
							var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
							win = location.replace(href,'titel',size+pos);
						}
					}

					function toggle_outlet(titel,w,h,args, outlet_on_off, outlet_id)
					{
						var F_OUTLET_ON	 = "2102";
						var F_OUTLET_OFF = "2103";
						x=screen.availWidth/2-w/2;
						y=screen.availHeight/2-h/2;
						index = location.href.indexOf("?");
						if(index != -1)
						{
							href =location.href.substring(0, index+1 );
							href = href.concat(args);
							if(outlet_on_off == 1)
								href += F_OUTLET_OFF;
							else
								href += F_OUTLET_ON;
							href += " " + outlet_id;
							var size = 'width='+w+',height='+h;
							var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
							location.replace(href,'titel',size+pos);
						}
					}

					function aeg_download_cmd(titel,w,h,args, confirm_txt)
					{

						var charge_volt_list = document.getElementsByName("charge_voltage_list")[0];
						var down_complete_log_butt = document.getElementsByName("down_b")[0];
						var down_last_log_butt = document.getElementsByName("down_b")[1];
						var entries_value = document.getElementsByName("entries_txt")[0].value;

						if(down_complete_log_butt.checked)
						{
							args += " 2003 "+" -1";
						}
						else if(down_last_log_butt.checked)
						{
							if(entries_value=="")
							{
								alert("Please type entries!");
								return;
							}
							args += " 2003 "+ entries_value;
						}
						else
						{
							alert("Please select download!");
							return;
						}

						x=screen.availWidth/2-w/2;
						y=screen.availHeight/2-h/2;
						index = location.href.indexOf("?");
						if(confirm_txt!=null)
							if(!confirm(confirm_txt))
								return;

						if(index != -1)
						{
							href =location.href.substring(0, index+1 );
							href = href.concat(args);
							var size = 'width='+w+',height='+h;
							var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
							location.replace(href,'titel',size+pos);
						}
					}

		      	var tmp_w,tmp_h,tmp_args;
		      	function openWin()
					{
						x=screen.availWidth/2-tmp_w/2;
						y=screen.availHeight/2-tmp_h/2;
	    			var custom_time = document.getElementsByName("custom_test_time")[0];
	    			if(custom_time)
	    				tmp_args += " "+ custom_time.value;
	    			else
	    				tmp_args += " "+ "3";
						index = location.href.indexOf("?");
						if (index != -1)
						{
							href =location.href.substring(0, index+1 );
							href = href.concat(tmp_args);
							var size = 'width='+tmp_w+',height='+tmp_h;
							var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
							location.replace(href,'title',size+pos);
						}
					}
		     	function startRefreshTimer(w,h,args,timeout)
		    	{
		    		tmp_w = w; tmp_h = h; tmp_args = args;
		    		window.setTimeout("openWin()",timeout);
		    	}

				function set_select_batt_charge_volt(value)
				{
					var list = document.getElementsByName("charge_voltage_list")[0].options;
					var list_cnt = list.length;
					for(var i = 0; i < list_cnt; ++i)
						if(list[i].value == value)
						{
							list[i].selected = true;
							return;
						}
				}

				function openLogWin(w,h,args,title)
				{
					 x=screen.availWidth/2-w/2;
					 y=screen.availHeight/2-h/2;
					 index = location.href.indexOf("?");
					if (index != -1)
					{
						href =location.href.substring(0, index+1 );
						href = href.concat(args);
						if(log_win!=null && !log_win.closed)
							log_win.close();
						var size = 'width='+w+',height='+h;
						var pos = 'left='+x+',top='+y+',screenX='+x+',screenY='+y;
						//log_win = window.open(href,'title',size+pos);
						log_win = window.open(href,'titel','width='+w+',height='+h+',left='+x+',top='+y+',screenX='+x+',screenY='+y+',resizable=yes'+',scrollbars=yes,menubar=no,location=no,directories=no,toolbar=yes,status=yes')
						log_win.focus();
					}
				}

	   	]]>
      </xsl:comment>
    </script>
  </xsl:template>

  <!--PRTOF battery test panel-->
  <xsl:template name="prtof-battery-test-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'XLarge'"/>
    <xsl:param name="title" select="'Battery&#160;Test'"/>
    <xsl:param name="title2" select="'Restart&#160;UPS'"/>
    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h div 2}px;border: {$border}px solid black;background-color:white">
      <div id="div_1" class ="{$class}" style="position:absolute; top:8px;left:10px;width:80px;height:40px;text-align:center;text-decoration: underline;">
        <xsl:value-of select="$title"/>
      </div>
      <div id="div_2" class ="{$class}" style="position:absolute; top:40px;left:50px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',368,334,'-aeg_prtof_test BATTERY_TEST','Start short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_3" class ="Medium" style="position:absolute; top:40px;left:200px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',368,334,'-aeg_prtof_cancel_test Battery Test', 'Cancel short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
    </div>

    <div id="restart_id" style="position:absolute; top:{$top + $h div 2 + 6}px;left:{$left}px;width:{$w}px;height:{$h div 2 + 30}px;border: {$border}px solid black;background-color:white">
      <div id="div_4" class ="{$class}" style="position:absolute; top:8px;left:10px;width:80px;height:40px;text-align:center;text-decoration: underline;">
        <xsl:value-of select="$title2"/>
      </div>
      <div id="div_5" class ="{$class}" style="position:absolute; top:40px;left:50px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',368,334,'-aeg_prtof_shutdown_restore 60 120','Do you really want to restart UPS?!')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_6" class ="Medium" style="position:absolute; top:40px;left:200px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',368,334,'-aeg_prtof_cancel_shutdownrestore', 'Cancel restart of UPS?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>

      <div id="div_6" class ="Medium" style="position:absolute; top:72px;left:3px;width:80px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="'Attention:&#160;Power&#160;up&#160;reset&#160;of&#160;load&#160;is&#160;being&#160;carried&#160;out!'"/>
      </div>

      <div id="div_6" class ="Medium" style="position:absolute; top:88px;left:36px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="'UPS&#160;OFF&#160;in&#160;1&#160;min.&#160;/&#160;UPS&#160;ON&#160;in&#160;2&#160;min.!'"/>
      </div>
    </div>
  </xsl:template>

  <!-- ATSER UPS configuration, buzzer action and fault log panel-->
  <xsl:template name="atser-ups-conf-buzzer-action-log-panel">
    <xsl:param name="v_audible_alarm" select="'0'"/>

    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'UPS Configuration'"/>
    <xsl:param name="title2" select="'Enable/Disable Buzzer Action'"/>
    <xsl:param name="title3" select="'E/D the cancelling of buzzer by key control'"/>
    <xsl:param name="title4" select="'Fault Log of UPS'"/>
    <xsl:param name="txt1" select="'Enable Auto-Reboot'"/>
    <xsl:param name="txt2" select="'Enable Bypass if UPS off'"/>
    <xsl:param name="txt3" select="'General off'"/>
    <xsl:param name="txt4" select="'Bypass operation'"/>
    <xsl:param name="txt5" select="'Battery operation'"/>
    <xsl:param name="txt6" select="'Bypass operation'"/>
    <xsl:param name="txt7" select="'Battery operation'"/>
    <xsl:param name="id" select="'id'"/>

    <!--v_audible_alarm variables-->
    <xsl:variable name="v_audible_alarm_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$v_audible_alarm"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>

    <!--v_audible_alarm color variables-->
    <xsl:variable name="v_audible_alarm_c1">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_1=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_c2">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_2=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_c3">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_3=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_c4">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_4=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_c5">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_5=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_c6">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_6=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="v_audible_alarm_c7">
      <xsl:choose>
        <xsl:when test="$v_audible_alarm_7=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- ATSER UPS Configuration panel-->
    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_conf" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_conf_1" class ="MediumBold" style="text-align:center;">
          <xsl:value-of select="$title1"/>
        </div>
        <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
          <tr class ="{$class}">
            <td id="text1_id">
              <script type="text/javascript"> translate_text('text1_id', '<xsl:value-of select="$txt1"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c1};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PER',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDR',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td id="text2_id">
              <script type="text/javascript"> translate_text('text2_id', '<xsl:value-of select="$txt2"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c2};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PEO',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDO',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
      <!-- ATSER UPS buzzer action panel-->
      <div id="div_buzzer" class ="MediumBold" style="position:relative; top:14px;left:0px;width:{$w}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_buzzer_1" class ="MediumBold" style="text-align:center;"/>
        <script type="text/javascript"> translate_text('div_buzzer_1', '<xsl:value-of select="$title2"/>');</script>

        <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
          <tr class ="{$class}">
            <td id="text3_id">
              <script type="text/javascript"> translate_text('text3_id', '<xsl:value-of select="$txt3"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c3};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PEA',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDA',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td id="text4_id">
              <script type="text/javascript"> translate_text('text4_id', '<xsl:value-of select="$txt4"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c4}">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PEP',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDP',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td id="text5_id">
              <script type="text/javascript"> translate_text('text5_id', '<xsl:value-of select="$txt5"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c5}">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PEB',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDB',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
        <div id="div_buzzer_2" class ="MediumBold" style="text-align:center;"/>
        <script type="text/javascript"> translate_text('div_buzzer_2', '<xsl:value-of select="$title3"/>');</script>

        <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
          <tr class ="{$class}">
            <td id="txt6_id">
              <script type="text/javascript"> translate_text('txt6_id', '<xsl:value-of select="$txt6"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c6};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PEK',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDK',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td id="txt7_id">
              <script type="text/javascript"> translate_text('txt7_id', '<xsl:value-of select="$txt7"/>');</script>
            </td>
            <td align="right">
              <span style="background: {$v_audible_alarm_c7}">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PEC',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_cmd PDC',null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
      <!--Fault log panel-->
      <div id="div_fault_log" class ="MediumBold" style="position:relative; top:28px;left:0px;width:{$w}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
          <tr class ="MediumBold">
            <td id="title4_id">
              <script type="text/javascript"> translate_text('title4_id', '<xsl:value-of select="$title4"/>');</script>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_atser_receive_fault_log',null)" class="btn">
                <span>
                  <span id="receive_id">
                    <script type="text/javascript"> translate_text('receive_id', 'Receive');</script>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:openLogWin(706,534,'-aeg_atser_print_fault_log','UPS Fault log File');" class="btn">
                <span>
                  <span id="show_id">
                    <script type="text/javascript"> translate_text('show_id', 'Show');</script>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </xsl:template>

  <!--ATSER battery test panel-->
  <xsl:template name="atser-battery-test-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery&#160;Tests'"/>
    <xsl:param name="title2" select="'Restart&#160;UPS'"/>
    <xsl:param name="txt1" select="'Short&#160;Test'"/>
    <xsl:param name="txt2" select="'Custom&#160;Test'"/>
    <xsl:param name="txt3" select="'Long&#160;Test'"/>
    <xsl:param name="comment_1" select="'Batteries of UPS will be tested for some seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries of UPS will be tested for the time above!'"/>
    <xsl:param name="comment_3" select="'Batteries of UPS will be tested until battery low appears!'"/>
    <xsl:param name="comment_4" select="'Attention:Power up reset of load is being carried out!'"/>
    <xsl:param name="comment_5" select="'UPS OFF in 1 min/UPS ON in 2 min!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>
    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 240}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;"/>
      <script type="text/javascript"> translate_text('div_battery_test_1', '<xsl:value-of select="$title1"/>');</script>

      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_battery_test_2', '<xsl:value-of select="$txt1"/>');</script>

      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_test BATTERY_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start short battery test?')" class="btn">
          <span>
            <span id="start1_id">
              <script type="text/javascript"> translate_text('start1_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_cancel_test Battery Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel short battery test?')" class="btn">
          <span>
            <span id="cancel1_id">
              <script type="text/javascript"> translate_text('cancel1_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:58px;left:20px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_battery_test_5', '<xsl:value-of select="$comment_1"/>');</script>
      
      <!--Custom Test-->
      <div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_battery_test_6', '<xsl:value-of select="$txt2"/>');</script>
      
      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;">
        <input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="10" />
      </div>

      <div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_test CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start custom test?');" class="btn">
          <span>
            <span id="start2_id">
              <script type="text/javascript"> translate_text('start2_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
        <xsl:value-of select="'Min.'"/>
      </div>
      <div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_cancel_test Custom Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel custom battery test?')" class="btn">
          <span>
            <span id="cancel2_id">
              <script type="text/javascript"> translate_text('cancel2_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:118px;left:20px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_battery_test_10', '<xsl:value-of select="$comment_2"/>');</script>

      <!--Long Test-->
      <div id="div_long_batt_test_1" class ="{$class}" style="position:absolute; top:156px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_long_batt_test_1', '<xsl:value-of select="$txt3"/>');</script>

      <div id="div_long_batt_test_2" class ="{$class}" style="position:absolute; top:150px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_test FULL_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Do you really want to start long battery test?')" class="btn">
          <span>
            <span id="start3_id">
              <script type="text/javascript"> translate_text('start3_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_long_batt_test_3" class ="{$class}" style="position:absolute; top:150px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_cancel_test Full Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel long battery test?')" class="btn">
          <span>
            <span id="cancel3_id">
              <script type="text/javascript"> translate_text('cancel3_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_4" class ="{$class}" style="position:absolute; top:176px;left:2px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_long_batt_test_4', '<xsl:value-of select="$comment_3"/>');</script>

    </div>
    <!--Restart UPS-->
    <div id="restart_id" style="position:absolute; top:{$top + 216}px;left:{$left}px;width:{$w}px;height:{$h - 336}px;border: {$border}px solid black;background-color:white">
      <div id="restart_id_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title2"/>
      </div>
      <div id="restart_id_2" class ="{$class}" style="position:absolute; top:30px;left:50px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_shutdown_restore 60 120'+' '+document.getElementsByName('custom_test_time')[0].value,'Do you really want to restart UPS?!')" class="btn">
          <span>
            <span id="start4_id">
              <script type="text/javascript"> translate_text('start4_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="restart_id_3" class ="{$class}" style="position:absolute; top:30px;left:200px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_atser_cancel_shutdownrestore'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel restart of UPS?')" class="btn">
          <span>
            <span id="cancel4_id">
              <script type="text/javascript"> translate_text('cancel4_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="restart_id_4" class ="{$class}" style="position:absolute; top:62px;left:3px;width:80px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('restart_id_4', '<xsl:value-of select="$comment_4"/>');</script>

      <div id="restart_id_5" class ="{$class}" style="position:absolute; top:78px;left:36px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('restart_id_5', '<xsl:value-of select="$comment_5"/>');</script>
    </div>
  </xsl:template>


  <!--Mdelta battery test panel-->
  <xsl:template name="mdelta-battery-test-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'140'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery&#160;Tests'"/>
    <xsl:param name="title2" select="'Restart&#160;UPS'"/>
    <xsl:param name="txt1" select="'Short&#160;Test'"/>
    <xsl:param name="txt2" select="'Custom&#160;Test'"/>
    <xsl:param name="txt3" select="'Long&#160;Test'"/>
    <xsl:param name="comment_1" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;some&#160;seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;the&#160;time&#160;above!'"/>
    <xsl:param name="comment_3" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;until&#160;battery&#160;low&#160;appears!'"/>
    <xsl:param name="comment_4" select="'Attention:&#160;Power&#160;up&#160;reset&#160;of&#160;load&#160;is&#160;being&#160;carried&#160;out!'"/>
    <xsl:param name="comment_5" select="'UPS&#160;OFF&#160;in&#160;1&#160;min.&#160;/&#160;UPS&#160;ON&#160;in&#160;2&#160;min.!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>
    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt1"/>
      </div>
      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,470,'-aeg_mdelta_test BATTERY_TEST Battery Test','Start battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,470,'-aeg_mdelta_cancel_test Battery Test', 'Cancel battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:64px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_1"/>
      </div>
      <!--Custom Test-->
      <!--<div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;">
					<xsl:value-of select="$txt2"/>
				</div>
				<div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;">
					<input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="10" />
				</div>

				<div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
					<a href="javascript:ups_command('UPS&#160;Commands',706,554,'-aeg_mdelta_test CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start custom test?');" class="btn"><span><span>
						<xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/></span></span>
					</a>
				</div>

				<div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
					<xsl:value-of select="'Min.'"/>
				</div>
				<div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
		    	<a href="javascript:ups_command('UPS&#160;Commands',706,554,'-aeg_mdelta_cancel_test Custom Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel custom battery test?')" class="btn"><span><span>
		    		<xsl:value-of select="'&#160;Cancel&#160;'"/></span></span>
		   		</a>
				</div>
				<div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:118px;left:20px;width:180px;height:40px;text-align:left;color:red;">
		    		<xsl:value-of select="$comment_2"/>
				</div>-->
      <!--Long Test-->
      <!--<div id="div_long_batt_test_1" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;">
				<xsl:value-of select="$txt3"/>
			</div>
			<div id="div_long_batt_test_2" class ="{$class}" style="position:absolute; top:96px;left:150px;width:80px;height:40px;text-align:left;">
				<a href="javascript:ups_command('UPS&#160;Commands',706,470,'-aeg_mdelta_test FULL_TEST Long Test','Do you really want to start long battery test?')" class="btn"><span><span>
					<xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/></span></span>
				</a>
			</div>
			<div id="div_long_batt_test_3" class ="{$class}" style="position:absolute; top:96px;left:230px;width:80px;height:40px;text-align:left;">
	    	<a href="javascript:ups_command('UPS&#160;Commands',706,470,'-aeg_mdelta_cancel_test Long Test', 'Cancel long battery test?')" class="btn"><span><span>
	    		<xsl:value-of select="'&#160;Cancel&#160;'"/></span></span>
	   		</a>
			</div>
			<div id="div_long_batt_test_4" class ="{$class}" style="position:absolute; top:126px;left:2px;width:180px;height:40px;text-align:left;color:red;">
	    		<xsl:value-of select="$comment_3"/>
			</div>-->
    </div>
    <!--Restart UPS-->
    <!--<div id="restart_id" style="position:absolute; top:{$top +180}px;left:{$left}px;width:{$w}px;height:{$h -50}px;border: {$border}px solid black;background-color:white">
				<div id="restart_id_1" class ="MediumBold" style="text-align:center;">
					<xsl:value-of select="$title2"/>
				</div>
				<div id="restart_id_2" class ="{$class}" style="position:absolute; top:30px;left:50px;width:80px;height:40px;text-align:left;">
					<a href="javascript:ups_command('UPS&#160;Commands',706,470,'-aeg_mdelta_shutdown_restore 60 120','Do you really want to restart UPS?!')" class="btn"><span><span>
						<xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/></span></span>
					</a>
				</div>
				<div id="restart_id_3" class ="{$class}" style="position:absolute; top:30px;left:200px;width:80px;height:40px;text-align:left;">
		    	<a href="javascript:ups_command('UPS&#160;Commands',706,470,'-aeg_mdelta_cancel_shutdownrestore', 'Cancel restart of UPS?')" class="btn"><span><span>
		    		<xsl:value-of select="'&#160;Cancel&#160;'"/></span></span>
		   		</a>
				</div>

				<div id="restart_id_4" class ="{$class}" style="position:absolute; top:62px;left:3px;width:80px;height:40px;text-align:left;color:red;">
		    		<xsl:value-of select="$comment_4"/>
				</div>

				<div id="restart_id_5" class ="{$class}" style="position:absolute; top:78px;left:36px;width:80px;height:40px;text-align:left;">
		    		<xsl:value-of select="$comment_5"/>
				</div>
			</div>-->
  </xsl:template>

  <!-- CBSR time panel-->
  <xsl:template name="cbsr-time-panel">
    <xsl:param name="local_date" select="'0'"/>
    <xsl:param name="local_time" select="'0'"/>
    <xsl:param name="cbser_date" select="'0'"/>
    <xsl:param name="cbser_time" select="'0'"/>
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'Set Real Time Clock of UPS'"/>
    <xsl:param name="txt1" select="'Current time network'"/>
    <xsl:param name="txt2" select="'Current time UPS'"/>
    <xsl:param name="txt3" select="'Synchronize UPS time now'"/>
    <xsl:param name="id" select="'id'"/>

    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_conf" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px;height:{$h}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_conf_1" class ="MediumBold" style="text-align:center;"/>
        <script type="text/javascript"> translate_text('div_conf_1', '<xsl:value-of select="$title1"/>');</script>

        <table cellspacing="3" cellpadding="4" border="0" width="{$w}" class="{$class}" style="position:relative; top:10px;">
          <tr class ="{$class}">
            <td id="txt1_id">
              <script type="text/javascript"> translate_text('txt1_id', '<xsl:value-of select="$txt1"/>');</script>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_date"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_time"/>
            </td>
          </tr>
          <tr class ="{$class}">
            <td id="txt2_id">
              <script type="text/javascript"> translate_text('txt2_id', '<xsl:value-of select="$txt2"/>');</script>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <!--<xsl:value-of select="$cbser_date"/>-->
              <xsl:value-of select="concat(concat(substring-before(substring-after($cbser_date,'.'),'.'),'.'), concat(substring-before($cbser_date,'.'),concat('.',substring-after(substring-after($cbser_date,'.'),'.'))))" />
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$cbser_time"/>
            </td>
          </tr>
        </table>
        <table cellspacing="2" cellpadding="3" border="0" width="{$w}" class="{$class}" style="position:relative; top:14px;">
          <tr class ="{$class}">
            <td align="center">
              <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd 2010 Synchronize-UPS-time', null);" class="btn">
                <span>
                  <span id="txt3_id">
                    <script type="text/javascript"> translate_text('txt3_id', '<xsl:value-of select="$txt3"/>');</script>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </xsl:template>

  <!-- MDELTA time panel-->
  <xsl:template name="mdelta-time-panel">
    <xsl:param name="sync_ups_time" select="'0'"/>
    <xsl:param name="local_date" select="'0'"/>
    <xsl:param name="local_time" select="'0'"/>
    <xsl:param name="cbser_date" select="'0'"/>
    <xsl:param name="cbser_time" select="'0'"/>
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'Set&#160;RealTimeClock&#160;of&#160;UPS'"/>
    <xsl:param name="txt1" select="'Current&#160;time&#160;network'"/>
    <xsl:param name="txt2" select="'Current&#160;time&#160;UPS'"/>
    <xsl:param name="txt3" select="'Synchronize&#160;UPS&#160;time&#160;now'"/>
    <xsl:param name="id" select="'id'"/>

    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_conf" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px;height:{$h}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_conf_1" class ="MediumBold" style="text-align:center;">
          <xsl:value-of select="$title1"/>
        </div>
        <table cellspacing="3" cellpadding="4" border="0" width="{$w}" class="{$class}" style="position:relative; top:10px;">
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt1"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_date"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_time"/>
            </td>
          </tr>
          <xsl:if test="value[@name='_sync_ups_time']/@val =1">
            <tr class ="{$class}">
              <td>
                <xsl:value-of select="$txt2"/>
              </td>
              <td align="left" style="background: #DDDDDD;">
                <xsl:choose>
                  <xsl:when test="string-length($cbser_date) !=0 ">
                    <xsl:value-of select="concat(concat(substring-before(substring-after($cbser_date,'.'),'.'),'.'), concat(substring-before($cbser_date,'.'),concat('.',substring-after(substring-after($cbser_date,'.'),'.'))))"/>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="'&#160;'"/>
                  </xsl:otherwise>
                </xsl:choose>
              </td>
              <td align="left" style="background: #DDDDDD;">
                <xsl:value-of select="$cbser_time"/>
              </td>
            </tr>
          </xsl:if>
          <xsl:if test="value[@name='_sync_ups_time']/@val =0">
            <tr>
              <td>
                <xsl:value-of select="'&#160;&#160;'"/>
              </td>
            </tr>
          </xsl:if>
        </table>
        <table cellspacing="2" cellpadding="3" border="0" width="{$w}" class="{$class}" style="position:relative; top:14px;">
          <tr class ="{$class}">
            <td align="center">
              <a href="javascript:ups_command('UPS&#160;Commands',706,470,'aeg_mdelta_time 2010' + ' '+'{$local_date}'+';'+'{$local_time}'+':00'+ ' Synchronize-UPS-time', null);" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="$txt3"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </xsl:template>

  <!-- CBSR download datalog  panel-->
  <xsl:template name="cbsr-download-datalog">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'Download UPS Datalogger'"/>
    <xsl:param name="txt1" select="'Download complete log'"/>
    <xsl:param name="txt2" select="'Download the last:'"/>
    <xsl:param name="txt3" select="'entries'"/>
    <xsl:param name="txt4" select="'Download'"/>
    <xsl:param name="txt5" select="'Status'"/>
    <xsl:param name="status_txt" select="' '"/>

    <xsl:param name="id" select="'id'"/>

    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_download-datalog" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px;height:{$h}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_download-datalog_1" class ="MediumBold" style="text-align:center;">
          <xsl:value-of select="$title1"/>
        </div>
        <table cellspacing="0" cellpadding="0" border="0" width="{$w}" class="{$class}" style="position:relative; top:10px;">
          <tr class ="{$class}">
            <td align="left" >
              <input id="txt1_id" type="radio" name="down_b" value="down_b1" />
            </td>
          </tr>
          <tr class ="{$class}">
            <td align="left" >
              <input type="radio" name="down_b" value="down_b2" />
              <xsl:value-of select="$txt2"/>
            </td>
            <td align="left" >
              <input name="entries_txt" type="text" value="" size="2" maxlength="10" />
            </td>
            <td align="left" >
              <xsl:value-of select="$txt3"/>
            </td>
          </tr>
        </table>
        <table cellspacing="2" cellpadding="3" border="0" width="{$w}" class="{$class}" style="position:relative; left:6px;top:12px;">
          <tr class ="{$class}">
            <td align="center">
              <a href="javascript:aeg_download_cmd('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd',null);" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="$txt4"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td align="left" >
              <xsl:value-of select="$txt5"/>
            </td>
            <td align="left" >
              <xsl:value-of select="$status_txt"/>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </xsl:template>

  <!--CBSR battery test panel-->
  <xsl:template name="cbsr-battery-test-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery Tests'"/>
    <xsl:param name="title2" select="'Restart UPS'"/>
    <xsl:param name="txt1" select="'Short Test'"/>
    <xsl:param name="txt2" select="'Custom Test'"/>
    <xsl:param name="txt3" select="'Long Test'"/>
    <xsl:param name="comment_1" select="'Batteries of UPS will be tested for some seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries of UPS will be tested for the time above!'"/>
    <xsl:param name="comment_3" select="'Batteries of UPS will be tested until battery low appears!'"/>
    <xsl:param name="comment_4" select="'Attention:Power up reset of load is being carried out!'"/>
    <xsl:param name="comment_5" select="'Achtung: Einschalten der Last wird durchgeführt!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>

    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 240}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;"/>
      <script type="text/javascript"> translate_text('div_battery_test_1', '<xsl:value-of select="$title1"/>');</script>

      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_battery_test_2', '<xsl:value-of select="$txt1"/>');</script>

      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd BATTERY_TEST Battery-Test','Start short battery test?')" class="btn">
          <span>
            <span id="start1_id">
              <script type="text/javascript"> translate_text('start1_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd CANCEL_TEST Cancel-short-battery-test', 'Cancel short battery test?')" class="btn">
          <span>
            <span id="cancel1_id">
              <script type="text/javascript"> translate_text('cancel1_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:58px;left:20px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_battery_test_5', '<xsl:value-of select="$comment_1"/>');</script>

      <!--Custom Test-->
      <div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_battery_test_6', '<xsl:value-of select="$txt2"/>');</script>

      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;">
        <input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="10" />
      </div>

      <div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value+' custom_test','Start custom test?');" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
        <xsl:value-of select="'Min.'"/>
      </div>

      <div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd CANCEL_TEST Cancel-Custom-battery-test', 'Cancel custom battery test?')" class="btn">
          <span>
            <span id="cancel2_id">
              <script type="text/javascript"> translate_text('cancel2_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:118px;left:20px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_battery_test_10', '<xsl:value-of select="$comment_2"/>');</script>

      <!--Long Test-->
      <div id="div_long_batt_test_1" class ="{$class}" style="position:absolute; top:156px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_long_batt_test_1', '<xsl:value-of select="$txt3"/>');</script>

      <div id="div_long_batt_test_2" class ="{$class}" style="position:absolute; top:150px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd FULL_TEST full-battery-test','Do you really want to start long battery test?')" class="btn">
          <span>
            <span id="start2_id">
              <script type="text/javascript"> translate_text('start2_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_3" class ="{$class}" style="position:absolute; top:150px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cmd CANCEL_TEST Cancel-Full-Test', 'Cancel long battery test?')" class="btn">
          <span>
            <span id="cancel3_id">
              <script type="text/javascript"> translate_text('cancel3_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_4" class ="{$class}" style="position:absolute; top:176px;left:2px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_3"/>
      </div>
    </div>
    <!--Restart UPS-->
    <div id="restart_id" style="position:absolute; top:{$top + 216}px;left:{$left}px;width:{$w}px;height:{$h - 336}px;border: {$border}px solid black;background-color:white">
      <div id="restart_id_1" class ="MediumBold" style="text-align:center;"/>
      <script type="text/javascript"> translate_text('restart_id_1', '<xsl:value-of select="$title2"/>');</script>

      <div id="restart_id_2" class ="{$class}" style="position:absolute; top:30px;left:50px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_shutdown_restore 60 120','Do you really want to restart UPS?!')" class="btn">
          <span>
            <span id="start3_id">
              <script type="text/javascript"> translate_text('start3_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="restart_id_3" class ="{$class}" style="position:absolute; top:30px;left:200px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_cbsr_cancel_shutdownrestore', 'Cancel restart of UPS?')" class="btn">
          <span>
            <span id="cancel4_id">
              <script type="text/javascript"> translate_text('cancel4_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="restart_id_4" class ="{$class}" style="position:absolute; top:62px;left:3px;width:80px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('restart_id_4', '<xsl:value-of select="$comment_4"/>');</script>

      <div id="restart_id_5" class ="{$class}" style="position:absolute; top:78px;left:36px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('restart_id_5', '<xsl:value-of select="$comment_5"/>');</script>
    </div>
  </xsl:template>

  <!--aeser battery test panel-->
  <xsl:template name="aeser-battery-test-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery Tests'"/>
    <xsl:param name="title2" select="'Restart UPS'"/>
    <xsl:param name="txt1" select="'Short Test'"/>
    <xsl:param name="txt2" select="'Custom Test'"/>
    <xsl:param name="txt3" select="'Long Test'"/>
    <xsl:param name="comment_1" select="'Batteries of UPS will be tested for some seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries of UPS will be tested for the time above!'"/>
    <xsl:param name="comment_3" select="'Batteries of UPS will be tested until battery low appears!'"/>
    <xsl:param name="comment_4" select="'Attention:Power up reset of load is being carried out!'"/>
    <xsl:param name="comment_5" select="'UPS OFF in 1 min/UPS ON in 2 min!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>

    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 240}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
       <script type="text/javascript"> translate_text('div_battery_test_1', '<xsl:value-of select="$title1"/>');</script>
      
      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;">
      </div>
      <script type="text/javascript"> translate_text('div_battery_test_2', '<xsl:value-of select="$txt1"/>');</script>

      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cmd BATTERY_TEST Battery-Test','Start short battery test?')" class="btn">
          <span>
            <span id="start_sp_id">
              <script type="text/javascript"> translate_text('cancel_sp_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cmd CANCEL_TEST Cancel-short-battery-test', 'Cancel short battery test?')" class="btn">
          <span>
            <span id="cancel_sp_id">
              <script type="text/javascript"> translate_text('cancel_sp_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:58px;left:20px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_battery_test_5', '<xsl:value-of select="$comment_1"/>');</script>

      <!--Custom Test-->
      <div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_battery_test_6', '<xsl:value-of select="$txt2"/>');</script>

      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;">
        <input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="10" />
      </div>

      <div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cmd CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value+' custom_test','Start custom test?');" class="btn">
          <span>
            <span id="start_sp2_id">
              <script type="text/javascript"> translate_text('start_sp2_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
        <xsl:value-of select="'Min.'"/>
      </div>
      <div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cmd CANCEL_TEST Cancel-Custom-battery-test', 'Cancel custom battery test?')" class="btn">
          <span>
            <span id="cancel_sp2_id">
              <script type="text/javascript"> translate_text('cancel_sp2_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:118px;left:20px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_battery_test_10', '<xsl:value-of select="$comment_2"/>');</script>

      <!--Long Test-->
      <div id="div_long_batt_test_1" class ="{$class}" style="position:absolute; top:156px;left:10px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('div_long_batt_test_1', '<xsl:value-of select="$txt3"/>');</script>

      <div id="div_long_batt_test_2" class ="{$class}" style="position:absolute; top:150px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cmd FULL_TEST full-battery-test','Do you really want to start long battery test?')" class="btn">
          <span>
            <span id="start_sp3_id">
              <script type="text/javascript"> translate_text('start_sp3_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="div_long_batt_test_3" class ="{$class}" style="position:absolute; top:150px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cmd CANCEL_TEST Cancel-Full-Test', 'Cancel long battery test?')" class="btn">
          <span>
            <span id="cancel_sp3_id">
              <script type="text/javascript"> translate_text('cancel_sp3_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="" class ="{$class}" style="position:absolute; top:176px;left:2px;width:180px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('div_long_batt_test_4', '<xsl:value-of select="$comment_3"/>');</script>
    </div>
    <!--Restart UPS-->
    <div id="restart_id" style="position:absolute; top:{$top + 216}px;left:{$left}px;width:{$w}px;height:{$h - 336}px;border: {$border}px solid black;background-color:white">
      <div id="restart_id_1" class ="MediumBold" style="text-align:center;"/>
      <script type="text/javascript"> translate_text('restart_id_1', '<xsl:value-of select="$title2"/>');</script>

      <div id="restart_id_2" class ="{$class}" style="position:absolute; top:30px;left:50px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_shutdown_restore 60 120','Do you really want to restart UPS?!')" class="btn">
          <span>
            <span id="restart_sp2_id" >
              <script type="text/javascript"> translate_text('restart_sp2_id', ['   ', 'Start', '   ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="restart_id_3" class ="{$class}" style="position:absolute; top:30px;left:200px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_aeser_cancel_shutdownrestore', 'Cancel restart of UPS?')" class="btn">
          <span>
            <span id="restart_sp3_id">
               <script type="text/javascript"> translate_text('restart_sp3_id', [' ', 'Cancel', ' ']);</script>
            </span>
          </span>
        </a>
      </div>

      <div id="restart_id_4" class ="{$class}" style="position:absolute; top:62px;left:3px;width:80px;height:40px;text-align:left;color:red;"/>
      <script type="text/javascript"> translate_text('restart_id_4', '<xsl:value-of select="$comment_4"/>');</script>

      <div id="restart_id_5" class ="{$class}" style="position:absolute; top:78px;left:36px;width:80px;height:40px;text-align:left;"/>
      <script type="text/javascript"> translate_text('restart_id_4', '<xsl:value-of select="$comment_5"/>');</script>
    </div>
  </xsl:template>


  <!--gripow battery test panel-->
  <xsl:template name="gripow-battery-test-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery&#160;Tests'"/>
    <xsl:param name="title2" select="'Restart&#160;UPS'"/>
    <xsl:param name="txt1" select="'Short&#160;Test'"/>
    <xsl:param name="txt2" select="'Custom&#160;Test'"/>
    <xsl:param name="txt3" select="'Long&#160;Test'"/>
    <xsl:param name="comment_1" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;some&#160;seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;the&#160;time&#160;above!'"/>
    <xsl:param name="comment_3" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;until&#160;battery&#160;low&#160;appears!'"/>
    <xsl:param name="comment_4" select="'Attention:&#160;Power&#160;up&#160;reset&#160;of&#160;load&#160;is&#160;being&#160;carried&#160;out!'"/>
    <xsl:param name="comment_5" select="'UPS&#160;OFF&#160;in&#160;1&#160;min.&#160;/&#160;UPS&#160;ON&#160;in&#160;2&#160;min.!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>

    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 240}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt1"/>
      </div>
      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cmd BATTERY_TEST Battery-Test','Start short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cmd CANCEL_TEST Cancel-short-battery-test', 'Cancel short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:58px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_1"/>
      </div>
      <!--Custom Test-->
      <div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt2"/>
      </div>
      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;">
        <input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="10" />
      </div>

      <div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cmd CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value+' custom_test','Start custom test?');" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
        <xsl:value-of select="'Min.'"/>
      </div>
      <div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cmd CANCEL_TEST Cancel-Custom-battery-test', 'Cancel custom battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:118px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_2"/>
      </div>
      <!--Long Test-->
      <div id="div_long_batt_test_1" class ="{$class}" style="position:absolute; top:156px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt3"/>
      </div>
      <div id="div_long_batt_test_2" class ="{$class}" style="position:absolute; top:150px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cmd FULL_TEST full-battery-test','Do you really want to start long battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_3" class ="{$class}" style="position:absolute; top:150px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cmd CANCEL_TEST Cancel-Full-Test', 'Cancel long battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_4" class ="{$class}" style="position:absolute; top:176px;left:2px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_3"/>
      </div>
    </div>
    <!--Restart UPS-->
    <div id="restart_id" style="position:absolute; top:{$top + 216}px;left:{$left}px;width:{$w}px;height:{$h - 336}px;border: {$border}px solid black;background-color:white">
      <div id="restart_id_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title2"/>
      </div>
      <div id="restart_id_2" class ="{$class}" style="position:absolute; top:30px;left:50px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_shutdown_restore 60 120','Do you really want to restart UPS?!')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="restart_id_3" class ="{$class}" style="position:absolute; top:30px;left:200px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_gripow_cancel_shutdownrestore', 'Cancel restart of UPS?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>

      <div id="restart_id_4" class ="{$class}" style="position:absolute; top:62px;left:3px;width:80px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_4"/>
      </div>

      <div id="restart_id_5" class ="{$class}" style="position:absolute; top:78px;left:36px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$comment_5"/>
      </div>
    </div>
  </xsl:template>

  <!-- PROTD UPS configuration and segments panel-->
  <xsl:template name="protd-ups-conf-segments-panel">
    <xsl:param name="aeg_functs_alarm" select="'0'"/>
    <xsl:param name="sel_batt_charge_volt" select="'2.22'"/>
    <xsl:param name="is_6000_10000_va_usv" select="0"/>
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'UPS&#160;Configuration'"/>
    <xsl:param name="title2" select="'Load&#160;segments'"/>
    <xsl:param name="txt1" select="'Enable&#160;Auto-Reboot'"/>
    <xsl:param name="txt2" select="'Enable&#160;Bypass&#160;Mode'"/>
    <xsl:param name="txt3" select="'Enable&#160;cyclic&#160;Battery&#160;Test'"/>
    <xsl:param name="txt4" select="'Enable&#160;ECO&#160;mode'"/>
    <xsl:param name="txt5" select="'Enable&#160;ECO&#43;mode'"/>
    <xsl:param name="txt6" select="'Enable&#160;Audible&#160;alarm'"/>
    <xsl:param name="txt7" select="'Segment&#160;1:'"/>
    <xsl:param name="txt8" select="'Segment&#160;2:'"/>
    <xsl:param name="txt9" select="'Battery&#160;charge&#160;voltage'"/>

    <xsl:param name="id" select="'id'"/>

    <!--v_audible_alarm variables-->
    <xsl:variable name="aeg_functs_alarm_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit9"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit11"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_4_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_4_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_5_1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_5_2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$aeg_functs_alarm"/>
        <xsl:with-param name="bit" select="$bit19"/>
      </xsl:call-template>
    </xsl:variable>

    <!--aeg_functs_alarm color variables-->
    <xsl:variable name="aeg_functs_alarm_c1">
      <xsl:choose>
        <xsl:when test="$aeg_functs_alarm_1=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_c2">
      <xsl:choose>
        <xsl:when test="$aeg_functs_alarm_2=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_c3">
      <xsl:choose>
        <xsl:when test="$aeg_functs_alarm_3=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_c4">
      <xsl:choose>
        <xsl:when test="$aeg_functs_alarm_4_1=1 and $aeg_functs_alarm_4_2=0">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_c5">
      <xsl:choose>
        <xsl:when test="$aeg_functs_alarm_5_1=1 and $aeg_functs_alarm_5_2=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="aeg_functs_alarm_c6">
      <xsl:choose>
        <xsl:when test="$aeg_functs_alarm_6=1">
          <xsl:value-of select="'#52B245'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'#eeeeee'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- ATSER UPS Configuration panel-->
    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_conf" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_conf_1" class ="MediumBold" style="text-align:center;">
          <xsl:value-of select="$title1"/>
        </div>
        <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
          <tr class ="{$class}">
            <td >
              <xsl:value-of select="$txt1"/>
            </td>
            <td align="right">
              <span style="background: {$aeg_functs_alarm_c1};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,4,1 Enable-Auto-Reboot' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 D,4,1 Disable-Auto-Reboot' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt2"/>
            </td>
            <td align="right">
              <span style="background: {$aeg_functs_alarm_c2};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,9,1 Enable-Bypass-Mode' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 D,9,1 Disable-Bypass-Mode' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td >
              <xsl:value-of select="$txt3"/>
            </td>
            <td align="right">
              <span style="background: {$aeg_functs_alarm_c3};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,11,1 Enable-cyclic-Battery Test' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 D,11,1 Disable-cyclic-Battery Test' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt4"/>
            </td>
            <td align="right">
              <span style="background: {$aeg_functs_alarm_c4};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,0,1 Enable-ECO-mode' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,0,0 Disable-ECO-mode' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>

          <xsl:if test="$is_6000_10000_va_usv = 0">
            <tr class ="{$class}">
              <td >
                <xsl:value-of select="$txt5"/>
              </td>
              <td align="right">
                <span style="background: {$aeg_functs_alarm_c5};">
                  <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
                </span>
              </td>
              <td align="right">
                <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,0,3 Enable-ECO&#43;mode' +' '+document.getElementsByName('custom_test_time')[0].value ,null)" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'E'"/>
                    </span>
                  </span>
                </a>
              </td>
              <td align="right">
                <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,0,0 Disable-ECO&#43;mode' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'D'"/>
                    </span>
                  </span>
                </a>
              </td>
            </tr>
          </xsl:if>
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt6"/>
            </td>
            <td align="right">
              <span style="background: {$aeg_functs_alarm_c6};">
                <xsl:value-of select="'&#160;&#160;&#160;&#160;'"/>
              </span>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 E,19,1 Enable-Audible-alarm' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'E'"/>
                  </span>
                </span>
              </a>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_enable_cmd 2002 D,19,1 Disable-Audible-alarm' +' '+document.getElementsByName('custom_test_time')[0].value , null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'D'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>

          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt9"/>
            </td>
            <td align="right">
              <xsl:value-of select="'&#160;'"/>
            </td>
            <td align="right">
              <select name="charge_voltage_list" size="1">
                <option value="2.22">2.22</option>
                <option value="2.23">2.23</option>
                <option value="2.24">2.24</option>
                <option value="2.25">2.25</option>
                <option value="2.26">2.26</option>
                <option value="2.27">2.27</option>
                <option value="2.28">2.28</option>
                <option value="2.29">2.29</option>
                <option value="2.30">2.30</option>
                <option value="2.31">2.31</option>
              </select>
            </td>
            <td align="right">
              <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_exe_cmd 2105 ' + document.getElementsByName('charge_voltage_list')[0].options[document.getElementsByName('charge_voltage_list')[0].selectedIndex].value + ' Set-battery-charge-voltage' +' '+document.getElementsByName('custom_test_time')[0].value , null)" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="'Set'"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
        <script type="text/javascript">
          set_select_batt_charge_volt('<xsl:value-of select="$sel_batt_charge_volt"/>');
        </script>
      </div>

      <xsl:if test="$is_6000_10000_va_usv = 0">
        <!--Segment panel-->
        <div id="seg_panel" class ="MediumBold" style="position:relative; top:20px;left:0px;width:{$w}px; text-align:center;border: {$border}px solid black;background-color:white;">
          <div id="seg_panel_1" class ="MediumBold" style="text-align:center;">
            <xsl:value-of select="$title2"/>
          </div>
          <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
            <tr class ="{$class}">
              <td >
                <xsl:value-of select="$txt7"/>
              </td>
              <td align="right">
                <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_exe_cmd 2102 1 Segment1-On' +' '+document.getElementsByName('custom_test_time')[0].value , null)" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'On'"/>
                    </span>
                  </span>
                </a>
              </td>
              <td align="right">
                <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_exe_cmd 2103 1 Segment1-Off' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'Off'"/>
                    </span>
                  </span>
                </a>
              </td>
            </tr>

            <tr class ="{$class}">
              <td >
                <xsl:value-of select="$txt8"/>
              </td>
              <td align="right">
                <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_exe_cmd 2102 2 Segment2-On' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'On'"/>
                    </span>
                  </span>
                </a>
              </td>
              <td align="right">
                <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_exe_cmd 2103 2 Segment2-Off' +' '+document.getElementsByName('custom_test_time')[0].value, null)" class="btn">
                  <span>
                    <span>
                      <xsl:value-of select="'Off'"/>
                    </span>
                  </span>
                </a>
              </td>
            </tr>
          </table>
        </div>
      </xsl:if>

    </div>
  </xsl:template>

  <!--protd battery test fault log panel-->
  <xsl:template name="protd-battery-test-fault-log-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery&#160;Test'"/>
    <xsl:param name="title2" select="'Fault&#160;Log&#160;of&#160;UPS'"/>
    <xsl:param name="comment_1" select="'Only&#160;supported&#160;via&#160;RS232&#160;port!'"/>
    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 390}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
      <!--Battery Test-->
      <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
        <tr class ="MediumBold">
          <td align="left">
            <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_test BATTERY_TEST' +' '+document.getElementsByName('custom_test_time')[0].value,'Start short battery test?')" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
                </span>
              </span>
            </a>
          </td>
          <td align="right">
            <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_cancel_test Battery Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel short battery test?')" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'&#160;Cancel&#160;'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>


      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;display:none;">
        <input name="custom_test_time" type="text" value="3" size="2" maxlength="10" />
      </div>

    </div>

    <!--Fault log panel-->
    <div id="div_fault_log" class ="MediumBold" style="position:absolute; top:{$top + 70}px;left:{$left}px;width:{$w}px;height:{$h - 370}px; text-align:center;border: {$border}px solid black;background-color:white;">
      <div id="div_fault_log1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title2"/>
      </div>
      <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
        <tr class ="MediumBold">
          <td align="left">
            <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_receive_fault_log'+' '+document.getElementsByName('custom_test_time')[0].value,null)" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Receive'"/>
                </span>
              </span>
            </a>
          </td>
          <td align="right">
            <a href="javascript:openLogWin(706,534,'-aeg_protd_print_fault_log','UPS Fault log File');" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Show'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>
      <div id="div_fault_log2" class ="tdSmall9" style="position:absolute; top:{$top}px;left:76px;width:{$w}px;height:20px;text-align:left;color:red;">
        <xsl:value-of select="$comment_1"/>
      </div>
    </div>
  </xsl:template>

  <!--PROTD 6000-10000 battery test panel-->
  <xsl:template name="protd-6000-10000-batt-test-fault-log-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery&#160;Tests'"/>
    <xsl:param name="title2" select="'Restart&#160;UPS'"/>
    <xsl:param name="txt1" select="'Short&#160;Test'"/>
    <xsl:param name="txt2" select="'Custom&#160;Test'"/>
    <xsl:param name="txt3" select="'Long&#160;Test'"/>
    <xsl:param name="comment_1" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;some&#160;seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;the&#160;time&#160;above!'"/>
    <xsl:param name="comment_3" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;until&#160;battery&#160;low&#160;appears!'"/>
    <xsl:param name="comment_4" select="'Attention:&#160;Power&#160;up&#160;reset&#160;of&#160;load&#160;is&#160;being&#160;carried&#160;out!'"/>
    <xsl:param name="comment_5" select="'UPS&#160;OFF&#160;in&#160;1&#160;min.&#160;/&#160;UPS&#160;ON&#160;in&#160;2&#160;min.!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>
    <xsl:param name="title3" select="'Fault&#160;Log&#160;of&#160;UPS'"/>
    <xsl:param name="comment_6" select="'Only&#160;supported&#160;via&#160;RS232&#160;port!'"/>
    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 240}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt1"/>
      </div>
      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">

        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_test BATTERY_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_cancel_test Battery Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:58px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_1"/>
      </div>
      <!--Custom Test-->
      <div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt2"/>
      </div>
      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:10px;height:40px;text-align:left;">
        <input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="10" />
      </div>

      <div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_test CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start custom test?');" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
        <xsl:value-of select="'Min.'"/>
      </div>
      <div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_cancel_test Custom Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel custom battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:118px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_2"/>
      </div>
      <!--Long Test-->
      <div id="div_long_batt_test_1" class ="{$class}" style="position:absolute; top:156px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt3"/>
      </div>
      <div id="div_long_batt_test_2" class ="{$class}" style="position:absolute; top:150px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_test FULL_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Do you really want to start long battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_3" class ="{$class}" style="position:absolute; top:150px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_cancel_test Full Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel long battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_long_batt_test_4" class ="{$class}" style="position:absolute; top:176px;left:2px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_3"/>
      </div>
    </div>
    <!--Fault log panel-->
    <div id="div_fault_log" class ="MediumBold" style="position:relative; top:{$top + 220}px;left:{$left}px;width:{$w}px;height:{$h - 370}px; text-align:center;border: {$border}px solid black;background-color:white;">
      <div id="div_fault_log1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title3"/>
      </div>
      <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
        <tr class ="MediumBold">
          <td align="left">
            <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_receive_fault_log'+' '+document.getElementsByName('custom_test_time')[0].value,null)" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Receive'"/>
                </span>
              </span>
            </a>
          </td>
          <td align="right">
            <a href="javascript:openLogWin(706,534,'-aeg_protd_print_fault_log','UPS Fault log File');" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Show'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>
      <div id="div_fault_log2" class ="tdSmall9" style="position:absolute; top:{$top}px;left:76px;width:{$w}px;height:20px;text-align:left;color:red;">
        <xsl:value-of select="$comment_6"/>
      </div>
    </div>
  </xsl:template>

  <!-- PROTD time panel-->
  <xsl:template name="protd-time-panel">
    <xsl:param name="local_date" select="'0'"/>
    <xsl:param name="local_time" select="'0'"/>
    <xsl:param name="cbser_date" select="'0'"/>
    <xsl:param name="cbser_time" select="'0'"/>
    <xsl:param name="top" select="'50'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'Set&#160;RealTimeClock&#160;of&#160;UPS'"/>
    <xsl:param name="txt1" select="'Current&#160;time&#160;network'"/>
    <xsl:param name="txt2" select="'Time&#160;UPS&#160;after&#160;Sync'"/>
    <xsl:param name="txt3" select="'Synchronize&#160;UPS&#160;time&#160;now'"/>
    <xsl:param name="id" select="'id'"/>

    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_conf" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px;height:{$h}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_conf_1" class ="MediumBold" style="text-align:center;">
          <xsl:value-of select="$title1"/>
        </div>
        <table cellspacing="3" cellpadding="4" border="0" width="{$w}" class="{$class}" style="position:relative; top:10px;">
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt1"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_date"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_time"/>
            </td>
          </tr>
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt2"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <!--<xsl:value-of select="$cbser_date"/>-->
              <xsl:value-of select="concat(concat(substring-before(substring-after($cbser_date,'.'),'.'),'.'), concat(substring-before($cbser_date,'.'),concat('.',substring-after(substring-after($cbser_date,'.'),'.'))))" />
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$cbser_time"/>
            </td>
          </tr>
        </table>
        <table cellspacing="2" cellpadding="3" border="0" width="{$w}" class="{$class}" style="position:relative; top:14px;">
          <tr class ="{$class}">
            <td align="center">
              <!--TODO  remove param 0-->
              <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protd_exe_cmd 2107 0 Synchronize&#160;UPS&#160;time' +' '+document.getElementsByName('custom_test_time')[0].value, null);" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="$txt3"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </xsl:template>

  <!-- PROTC time panel-->
  <xsl:template name="protc-time-panel">
    <xsl:param name="local_date" select="'0'"/>
    <xsl:param name="local_time" select="'0'"/>
    <xsl:param name="cbser_date" select="'0'"/>
    <xsl:param name="cbser_time" select="'0'"/>
    <xsl:param name="top" select="'50'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title1" select="'Set&#160;RealTimeClock&#160;of&#160;UPS'"/>
    <xsl:param name="txt1" select="'Current&#160;time&#160;network'"/>
    <xsl:param name="txt2" select="'Time&#160;UPS&#160;after&#160;Sync'"/>
    <xsl:param name="txt3" select="'Synchronize&#160;UPS&#160;time&#160;now'"/>
    <xsl:param name="id" select="'id'"/>

    <div id="{$id}" class="{$class}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h}px;">
      <div id="div_conf" class ="MediumBold" style="position:relative; top:0px;left:0px;width:{$w}px;height:{$h}px; text-align:center;border: {$border}px solid black;background-color:white;">
        <div id="div_conf_1" class ="MediumBold" style="text-align:center;">
          <xsl:value-of select="$title1"/>
        </div>
        <table cellspacing="3" cellpadding="4" border="0" width="{$w}" class="{$class}" style="position:relative; top:10px;">
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt1"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_date"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$local_time"/>
            </td>
          </tr>
          <tr class ="{$class}">
            <td>
              <xsl:value-of select="$txt2"/>
            </td>
            <td align="left" style="background: #DDDDDD;">
              <!--<xsl:value-of select="$cbser_date"/>-->
              <xsl:value-of select="concat(concat(substring-before(substring-after($cbser_date,'.'),'.'),'.'), concat(substring-before($cbser_date,'.'),concat('.',substring-after(substring-after($cbser_date,'.'),'.'))))" />
            </td>
            <td align="left" style="background: #DDDDDD;">
              <xsl:value-of select="$cbser_time"/>
            </td>
          </tr>
        </table>
        <table cellspacing="2" cellpadding="3" border="0" width="{$w}" class="{$class}" style="position:relative; top:14px;">
          <tr class ="{$class}">
            <td align="center">
              <!--TODO  remove param 0-->
              <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protc_exe_cmd 2107 0 Synchronize&#160;UPS&#160;time' +' '+document.getElementsByName('custom_test_time')[0].value, null);" class="btn">
                <span>
                  <span>
                    <xsl:value-of select="$txt3"/>
                  </span>
                </span>
              </a>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </xsl:template>


  <!--protc battery test faultlog panel-->
  <xsl:template name="protc-battery-test-fault-log-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'"/>
    <xsl:param name="title1" select="'Battery&#160;Tests'"/>
    <xsl:param name="title2" select="'Restart&#160;UPS'"/>
    <xsl:param name="txt1" select="'Short&#160;Test'"/>
    <xsl:param name="txt2" select="'Custom&#160;Test'"/>
    <xsl:param name="txt3" select="'Long&#160;Test'"/>
    <xsl:param name="comment_1" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;some&#160;seconds!'"/>
    <xsl:param name="comment_2" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;for&#160;the&#160;time&#160;above!'"/>
    <xsl:param name="comment_3" select="'Batteries&#160;of&#160;UPS&#160;will&#160;be&#160;tested&#160;until&#160;battery&#160;low&#160;appears!'"/>
    <xsl:param name="comment_4" select="'Attention:&#160;Power&#160;up&#160;reset&#160;of&#160;load&#160;is&#160;being&#160;carried&#160;out!'"/>
    <xsl:param name="comment_5" select="'UPS&#160;OFF&#160;in&#160;1&#160;min.&#160;/&#160;UPS&#160;ON&#160;in&#160;2&#160;min.!'"/>
    <xsl:param name="custom_test_time" select="'3'"/>
    <xsl:param name="title3" select="'Fault&#160;Log&#160;of&#160;UPS'"/>
    <xsl:param name="comment_6" select="'Only&#160;supported&#160;via&#160;RS232&#160;port!'"/>
    <xsl:param name="id" select="'c'"/>

    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 286}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
      <!--Short Test-->
      <div id="div_battery_test_2" class ="{$class}" style="position:absolute; top:36px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt1"/>
      </div>
      <div id="div_battery_test_3" class ="{$class}" style="position:absolute; top:34px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protc_test BATTERY_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_4" class ="{$class}" style="position:absolute; top:34px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protc_cancel_test Battery Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel short battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_5" class ="{$class}" style="position:absolute; top:68px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_1"/>
      </div>
      <!--Custom Test-->
      <div id="div_battery_test_6" class ="{$class}" style="position:absolute; top:96px;left:10px;width:80px;height:40px;text-align:left;">
        <xsl:value-of select="$txt2"/>
      </div>
      <div id="div_custom_test_time"  class ="{$class}" style="position:absolute; top:94px;left:84px;width:6px;height:40px;text-align:center;align:center;">
        <input name="custom_test_time" type="text" value="{$custom_test_time}" size="2" maxlength="6" style="position:relative; top:0px;left:0px;width:36px;height:20px;text-align:center;align:center;" />
      </div>

      <div id="div_battery_test_7" class ="{$class}" style="position:absolute; top:94px;left:150px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protc_test CUSTOM_TEST'+' '+document.getElementsByName('custom_test_time')[0].value,'Start custom test?');" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;&#160;&#160;Start&#160;&#160;&#160;'"/>
            </span>
          </span>
        </a>
      </div>

      <div id="div_battery_test_8" class ="{$class}" style="position:absolute; top:96px;left:124px;width:10px;height:40px;text-align:left;">
        <xsl:value-of select="'Min.'"/>
      </div>
      <div id="div_battery_test_9" class ="{$class}" style="position:absolute; top:94px;left:230px;width:80px;height:40px;text-align:left;">
        <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-aeg_protc_cancel_test Custom Test'+' '+document.getElementsByName('custom_test_time')[0].value, 'Cancel custom battery test?')" class="btn">
          <span>
            <span>
              <xsl:value-of select="'&#160;Cancel&#160;'"/>
            </span>
          </span>
        </a>
      </div>
      <div id="div_battery_test_10" class ="{$class}" style="position:absolute; top:128px;left:20px;width:180px;height:40px;text-align:left;color:red;">
        <xsl:value-of select="$comment_2"/>
      </div>

    </div>
    <!--Fault log panel-->
    <div id="div_fault_log" class ="MediumBold" style="position:relative; top:{$top + 180}px;left:{$left}px;width:{$w}px;height:{$h - 370}px; text-align:center;border: {$border}px solid black;background-color:white;">
      <div id="div_fault_log1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title3"/>
      </div>
      <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
        <tr class ="MediumBold">
          <td align="left">
            <a href="javascript:ups_command('AEG&#160;UPS&#160;Commands',706,534,'-aeg_protd_receive_fault_log'+' '+document.getElementsByName('custom_test_time')[0].value,null)" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Receive'"/>
                </span>
              </span>
            </a>
          </td>
          <td align="right">
            <a href="javascript:openLogWin(706,534,'-aeg_protd_print_fault_log','UPS Fault log File');" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Show'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>
      <div id="div_fault_log2" class ="tdSmall9" style="position:absolute; top:{$top}px;left:76px;width:{$w}px;height:20px;text-align:left;color:red;">
        <xsl:value-of select="$comment_6"/>
      </div>
    </div>
  </xsl:template>

  <!--def battery test panel-->
  <xsl:template name="def-aeg-test-panel">
    <xsl:param name="outlet_exist_mask" select="'0'"/>
    <xsl:param name="outlet_on_off_mask" select="'0'"/>
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'410'"/>
    <xsl:param name="h" select="'40'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9_black'"/>
    <xsl:param name="title1" select="'Switch&#160;off&#160;or&#160;restart&#160;UPS'"/>
    <xsl:param name="title2" select="'Toggle&#160;the&#160;outlets'"/>
    <xsl:param name="title3" select="'Test&#160;Functions'"/>
    <xsl:param name="comment_1" select="'Switch&#160;off&#160;the&#160;UPS&#160;without&#160;restart:'"/>
    <xsl:param name="comment_2" select="'Switch&#160;off&#160;the&#160;UPS&#160;load&#160;and&#160;restart:'"/>
    <xsl:param name="comment_3" select="'UPS&#160;Test:'"/>
    <xsl:param name="id" select="'c'"/>
    <xsl:param name="oemViewName" select="' '"/>
    <xsl:param name="audsettings" select="' '"/>
    <xsl:param name="hemode" select="' '"/>

    <!-- Bits masked (outlets exist mask)-->
    <xsl:variable name="exist_m1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="exist_m8">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_exist_mask"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>


    <!-- Bits masked (outlets on-off mask)-->
    <xsl:variable name="on_off_m1">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m2">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit1"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m3">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m4">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m5">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit4"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m6">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit5"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m7">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit6"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="on_off_m8">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$outlet_on_off_mask"/>
        <xsl:with-param name="bit" select="$bit7"/>
      </xsl:call-template>
    </xsl:variable>


    <!--outlets state img-->
    <xsl:variable name="img_m1">
      <xsl:choose>
        <xsl:when test="$on_off_m1 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m2">
      <xsl:choose>
        <xsl:when test="$on_off_m2 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m3">
      <xsl:choose>
        <xsl:when test="$on_off_m3 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m4">
      <xsl:choose>
        <xsl:when test="$on_off_m4 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m5">
      <xsl:choose>
        <xsl:when test="$on_off_m5 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m6">
      <xsl:choose>
        <xsl:when test="$on_off_m6 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m7">
      <xsl:choose>
        <xsl:when test="$on_off_m7 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m8">
      <xsl:choose>
        <xsl:when test="$on_off_m8 = 0 ">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>



    <div id="{$id}" style="position:absolute; top:{$top}px;left:{$left}px;width:{$w}px;height:{$h - 390}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title1"/>
      </div>
      <!--Battery Test-->
      <table cellspacing="3" cellpadding="5" border="0" width="{$w}" class ="{$class}">
        <tr >
          <td align="left">
            <xsl:value-of select="$comment_1"/>
          </td>
          <td align="right">
            <a href="javascript:ups_command('UPS&#160;Commands',706,534, 'def_shutdown_cmd 1 UPS-shutdown',null)" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Switch&#160;off&#160;UPS&#160;'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
        <tr >
          <td align="left">
            <xsl:value-of select="$comment_2"/>
          </td>
          <td align="right">
            <a href="javascript:ups_command('UPS&#160;Commands',706,534,'-def_shutdownrestore_cmd 1 5 shutdownrestore', null)" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Restart&#160;the&#160;UPS'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>
    </div>


    <div id="{$id}" style="position:absolute; top:{$top + 110}px;left:{$left}px;width:{$w}px;height:{$h - 390}px;border: {$border}px solid black;background-color:white">
      <div id="div_battery_test_1" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title3"/>
      </div>
      <!--UPS Test-->
      <table cellspacing="3" cellpadding="5" border="0" width="{$w}" class ="{$class}">
        <tr >
          <td align="left">
            <xsl:value-of select="$comment_3"/>
          </td>
          <td align="right">
            <a href="javascript:open_ups_test_win(370,400,'getUPSTest_data')" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'&#160;&#160;&#160;&#160;&#160;Functions&#160;&#160;&#160;&#160;'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>
    </div>

    <!--outlets panel-->
    <div id="div_fault_log" class ="MediumBold" style="position:absolute; top:{$top + 186}px;left:{$left}px;width:{$w}px;height:{$h - 370}px; text-align:center;border: {$border}px solid black;background-color:white;">
      <div id="div_outlets" class ="MediumBold" style="text-align:center;">
        <xsl:value-of select="$title2"/>
      </div>
      <table align="center" cellspacing="2" cellpadding="5" border="0" width="{$w}" class="{$class}">
        <xsl:choose>
          <xsl:when test="$outlet_exist_mask &gt;0 ">
            <tr>
              <xsl:if test="$exist_m1=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m1}', 1)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'1'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m2=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m2}', 2)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'2'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m3=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m3}', 3)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'3'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m4=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m4}', 4)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'4'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m5=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m5}', 5)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'5'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m6=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m6}', 6)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'6'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m7=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m7}', 7)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'7'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m8=1">
                <td align="center">
                  <a href="javascript:toggle_outlet('UPS&#160;Commands',706,534,'-def_exe_cmd ', '{$on_off_m8}', 8)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'8'"/>
                      </span>
                    </span>
                  </a>
                </td>
              </xsl:if>
            </tr>
            <tr>
              <xsl:if test="$exist_m1=1">
                <td align="center">
                  <img border="0" src="{$img_m1}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m2=1">
                <td align="center">
                  <img border="0" src="{$img_m2}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m3=1">
                <td align="center">
                  <img border="0" src="{$img_m3}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m4=1">
                <td align="center">
                  <img border="0" src="{$img_m4}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m5=1">
                <td align="center">
                  <img border="0" src="{$img_m5}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m6=1">
                <td align="center">
                  <img border="0" src="{$img_m6}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m7=1">
                <td align="center">
                  <img border="0" src="{$img_m7}" width="10" height="10"/>
                </td>
              </xsl:if>
              <xsl:if test="$exist_m8=1">
                <td align="center">
                  <img border="0" src="{$img_m8}" width="10" height="10"/>
                </td>
              </xsl:if>
            </tr>
          </xsl:when>
          <xsl:otherwise>
            <tr>
              <td align="center">
                <xsl:value-of select="'There&#160;are&#160;no&#160;outlets&#160;that&#160;can&#160;be&#160;switched&#160;on&#160;or&#160;off.'"/>
              </td>
            </tr>
          </xsl:otherwise>
        </xsl:choose>
      </table>
    </div>


    <xsl:if test="$oemViewName = 'xonl' and string-length($hemode) != 0">
      <script type="text/javascript">
        window.resizeTo(460,600);
        //alert('<xsl:value-of select="$hemode"/>');
      </script>

      <div id="{$id}" style="position:absolute; top:{$top + 280}px;left:{$left}px;width:{$w}px;height:{$h - 390}px;border: {$border}px solid black;background-color:white">
        <div id="he_mode_buzzer_id" class ="MediumBold" style="text-align:center;">
          <xsl:if test="string-length($hemode)">
            <xsl:value-of select="'HE-Mode | Buzzer'"/>
          </xsl:if>
          <xsl:if test="string-length($hemode)= 0">
            <xsl:value-of select="'Buzzer'"/>
          </xsl:if>
        </div>
        <!--UPS Test-->
        <table cellspacing="3" cellpadding="5" border="0" width="{$w}" class ="{$class}">
          <xsl:if test="string-length($hemode)">
            <tr >
              <!--HE-mode-->
              <td align="left">
                <xsl:value-of select="'HE Mode'"/>
              </td>
              <td align="right">
                <xsl:if test="$hemode = 0">
                  <a href="javascript:ups_command(370,370,'hemode', 'UPS_EXE_COMMAND 2106 17|1', null)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'&#160;&#160;&#160;&#160;&#160;Switch ON&#160;&#160;&#160;&#160;'"/>
                      </span>
                    </span>
                  </a>
                </xsl:if>

                <xsl:if test="$hemode = 1">
                  <a href="javascript:javascript:ups_command(370,370,'hemode', 'UPS_EXE_COMMAND 2106 17|0', null)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'&#160;&#160;&#160;Switch OFF&#160;&#160;&#160;&#160;'"/>
                      </span>
                    </span>
                  </a>
                </xsl:if>
              </td>
            </tr>
          </xsl:if>

          <tr >
            <!--Buzzer-->
            <td align="left">
              <xsl:value-of select="'UPS Buzzer'"/>
            </td>
            <td align="right">
              <!--Buzzer -->

              <xsl:choose>
                <xsl:when test="$audsettings = 0">
                  <a href="javascript:ups_command(370,370,'Buzzer', 'UPS_BUZZER OFF', null)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'&#160;&#160;&#160;&#160;&#160;Switch ON&#160;&#160;&#160;&#160;'"/>
                      </span>
                    </span>
                  </a>
                </xsl:when>
                <xsl:otherwise>
                  <a href="javascript:ups_command(370,370,'Buzzer','UPS_BUZZER OFF', null)" class="btn">
                    <span>
                      <span>
                        <xsl:value-of select="'&#160;&#160;&#160;Switch OFF&#160;&#160;&#160;&#160;'"/>
                      </span>
                    </span>
                  </a>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </tr>
        </table>
      </div>
    </xsl:if>
  </xsl:template>


  <!-- mdelta status pane -->
  <xsl:template name="mdelta-status-pane">
    <xsl:param name="x" select="22" />
    <xsl:param name="y" select="90" />
    <xsl:param name="w" select="180" />
    <xsl:param name="h" select="404" />
    <xsl:param name="state" select="'4'" />
    <xsl:param name="in_phases" select="'1'" />
    <xsl:param name="out_phases" select="'1'" />
    <xsl:param name="in_volt" select="'0'" />
    <xsl:param name="in_volt_unit" select="'V'" />
    <xsl:param name="in_volt_precision" select="'0'" />
    <xsl:param name="in_freq" select="'0'" />
    <xsl:param name="in_freq_unit" select="'Hz'" />
    <xsl:param name="in_freq_precision" select="'1'" />
    <xsl:param name="batt_status" select="'0'" />
    <xsl:param name="batt_autonomy_time" select="'0'" />
    <xsl:param name="batt_autonomy_time_precision" select="'0'" />
    <xsl:param name="batt_autonomy_time_unit" select="'Min'" />
    <xsl:param name="batt_capacity" select="'0'" />
    <xsl:param name="batt_capacity_precision" select="'0'" />
    <xsl:param name="batt_capacity_unit" select="'%'" />
    <xsl:param name="batt_volt" select="'0'" />
    <xsl:param name="batt_volt_precision" select="'1'" />
    <xsl:param name="batt_volt_unit" select="'V'" />
    <xsl:param name="batt_temp" select="'0'" />
    <xsl:param name="batt_temp_precision" select="'1'" />
    <xsl:param name="batt_temp_unit" select="'&#176;C'" />
    <xsl:param name="batt_current" select="'0'" />
    <xsl:param name="batt_current_precision" select="'1'" />
    <xsl:param name="batt_current_unit" select="'A'" />
    <xsl:param name="out_volt" select="'0'" />
    <xsl:param name="out_volt_unit" select="'V'" />
    <xsl:param name="out_volt_precision" select="'0'" />
    <xsl:param name="out_power" select="0" />
    <xsl:param name="out_power_unit" select="'kW'" />
    <xsl:param name="out_power_precision" select="'1'" />
    <xsl:param name="out_current" select="'0'" />
    <xsl:param name="out_current2" select="'0'" />
    <xsl:param name="out_current_unit" select="'A'" />
    <xsl:param name="out_current_precision" select="'1'" />
    <xsl:param name="out_freq" select="'0'" />
    <xsl:param name="total_power" select="'0'" />
    <xsl:param name="total_power_precision" select="1" />
    <xsl:param name="total_power_unit" select="'kW'" />
    <xsl:param name="total_compl_power" select="'0'" />
    <xsl:param name="total_compl_power_unit" select="'kVA'" />

    <xsl:param name="in_current" select="'0'" />
    <xsl:param name="in_current_precision" select="'1'" />
    <xsl:param name="load" select="'0'" />
    <xsl:param name="load_unit" select="'%'" />
    <xsl:param name="load_precision" select="'0'" />
    <xsl:param name="align" select="'left'" />
    <xsl:param name="class" select="'XBold_black'" />
    <xsl:param name="visibility" select="'visible'" />
    <xsl:param name="name" select="'mdelta_status_pane_div'" />
    <xsl:param name="txt_color" select="'#3032BF'" />
    <xsl:param name="status_txt" select="$lang-Status" />
    <xsl:param name="amb_temp" select="'0'" />

    <!-- amb_temp temp-->
    <xsl:variable name="amb_temp-temperature">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$amb_temp" />
        <xsl:with-param name="precision" select="$batt_temp_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- Bits masked (Battery Status)-->
    <xsl:variable name="batt_testing">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit23"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_depleted">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit3"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_low">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit2"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="batt_bad">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit0"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="epo_act">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit27"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- output current -->
    <xsl:variable name="oc1">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value" 			select="$out_current/@val"/>
        <xsl:with-param name="precision" 	select="$out_current_precision"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="oc2">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value" 			select="$out_current/@val2"/>
        <xsl:with-param name="precision" 	select="$out_current_precision"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="oc3">
      <xsl:call-template name="get-value">
        <xsl:with-param name="value" 			select="$out_current/@val3"/>
        <xsl:with-param name="precision" 	select="$out_current_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:element name="div">
      <xsl:attribute name="id">
        <xsl:value-of select="$name"/>
      </xsl:attribute>
      <xsl:attribute name="class">
        <xsl:value-of select="$class"/>
      </xsl:attribute>
      <xsl:attribute name="style">
        position:absolute;left:<xsl:value-of select="$x"/>px;top:<xsl:value-of select="$y - 6"/>px;width:<xsl:value-of select="$w"/>px;height:<xsl:value-of select="$h"/>px;visibility:<xsl:value-of select="$visibility"/>; text-align:<xsl:value-of select="$align"/>;
      </xsl:attribute>
      <!-- modules status
			<xsl:value-of select="concat($status_txt,':')"/>-->
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- UPS Status -->

      <table cellspacing="0" cellpadding="0" border="0"  width="100%" class="{$class}" style="color:#000000">
        <tr>
          <td id="mdelta_ups_status">
            <script type="text/javascript"> translate_text('mdelta_ups_status', ['<xsl:value-of select="$lang-UPS-Status"/>', ':&#160;&#160;&#160;&#160;']);</script>
          </td>
          <td >
            <xsl:choose>
              <xsl:when test="$state=2">
                <span style="background: #FFFF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-UPS-Bypass-Operation"/>');</script> 
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$state=1 and $batt_testing=0">
                <span style="background: #FFFF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-UPS-Battery-Operation"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$state=0">
                <span style="background: #00FF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$state=5">
                <span style="background: #FFFF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-UPS-Manual-Bypass-Operation"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$epo_act=1">
                <span style="background: #FFFF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-EPO-active"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:when test="$state=7">
                <span style="background: #FFFF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-NO-Output"/>');</script>
                  </b>
                </span>
              </xsl:when>
              <xsl:otherwise>
                <span style="background: #00FF00;">
                  <b id="mdelta_byp_op">
                    <script type="text/javascript"> translate_text('mdelta_byp_op', '<xsl:value-of select="$lang-UPS-Normal-Operation"/>');</script>
                  </b>
                </span>
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
        <tr>
          <!-- amb_temp- Temperature -->
          <td id="mdelta_tmp_txt">
            <script type="text/javascript"> translate_text('mdelta_tmp_txt', ['<xsl:value-of select="$lang-Temperature"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:value-of select="$amb_temp-temperature"/>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Mains Input -->
      <div id="mdelta_main_inp1" class="XSmall_black" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mdelta_main_inp1', '<xsl:value-of select="$lang-Mains-Input"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="100%" class="{$class}" style="color:#000000">
        <tr>
          <td id="mdelta_main_inp_volt">
            <script type="text/javascript"> translate_text('mdelta_main_inp_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <!-- Input Voltage (1)-->
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_volt/@val"/>
              <xsl:with-param name="precision" 	select="$in_volt_precision"/>
              <xsl:with-param name="unit" 			select="$in_volt_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$in_phases &gt;1">
            <td align="right">
              <!-- Input Voltage (2)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$in_volt_precision"/>
                <xsl:with-param name="unit" 			select="$in_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$in_phases &gt;2">
            <td align="right">
              <!-- Input Voltage (3)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$in_volt_precision"/>
                <xsl:with-param name="unit" 			select="$in_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <td id="mdelta_main_inp_curr">
            <script type="text/javascript"> translate_text('mdelta_main_inp_curr', ['<xsl:value-of select="$lang-Current"/>', ':']);</script>
          </td>
          <td align="right">
            <!-- Input Current (1)-->
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_current/@val"/>
              <xsl:with-param name="precision" 	select="$in_current_precision"/>
              <xsl:with-param name="unit" 			select="$out_current_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$in_phases &gt;1">
            <td align="right">
              <!-- Input Current (2)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_current/@val2"/>
                <xsl:with-param name="precision" 	select="$in_current_precision"/>
                <xsl:with-param name="unit" 			select="$out_current_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$in_phases &gt;2">
            <td align="right">
              <!-- Input Current (3)-->
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$in_current/@val3"/>
                <xsl:with-param name="precision" 	select="$in_current_precision"/>
                <xsl:with-param name="unit" 			select="$out_current_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Input Frequency-->
          <td id="mdelta_main_inp_freq">
            <script type="text/javascript"> translate_text('mdelta_main_inp_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$in_freq"/>
              <xsl:with-param name="precision" 	select="$in_freq_precision"/>
              <xsl:with-param name="unit" 			select="$in_freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Battery -->
      <div id="mdelta_main_inp_batt" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mdelta_main_inp_batt', ['<xsl:value-of select="$lang-Battery"/>', ':']);</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="100%" class="{$class}" style="color:#000000">
        <tr>
          <!-- Battery-Status -->
          <td id="mdelta_main_inp_batt_status">
            <script type="text/javascript"> translate_text('mdelta_main_inp_batt_status', ['<xsl:value-of select="$lang-Status"/>', ':']);</script>
          </td>
          <xsl:choose>
            <xsl:when test="$batt_testing=1">
              <td id="mdelta_main_inp_batt_status_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mdelta_main_inp_batt_status_txt', '<xsl:value-of select="$lang-Battery-Testing"/>');</script>
              </td>
            </xsl:when>
            <xsl:when test="$batt_low=1">
              <td id="mdelta_main_inp_batt_status_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mdelta_main_inp_batt_status_txt', '<xsl:value-of select="$lang-Battery-Low"/>');</script>
              </td>
            </xsl:when>
            <xsl:when test="$batt_bad=1">
              <td id="mdelta_main_inp_batt_status_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mdelta_main_inp_batt_status_txt', '<xsl:value-of select="$lang-Battery-Bad"/>');</script>
              </td>
            </xsl:when>
            <xsl:when test="$batt_depleted=1">
              <td id="mdelta_main_inp_batt_status_txt" align="right" style="color:#ee0000">
                <script type="text/javascript"> translate_text('mdelta_main_inp_batt_status_txt', '<xsl:value-of select="$lang-Battery-Depleted"/>');</script>
              </td>
            </xsl:when>
            <xsl:otherwise>
              <td id="mdelta_main_inp_batt_status_txt" align="right" style="color:#52B245">
                <script type="text/javascript"> translate_text('mdelta_main_inp_batt_status_txt', '<xsl:value-of select="$lang-Battery-Normal"/>');</script>
              </td>
            </xsl:otherwise>
          </xsl:choose>
        </tr>
        <tr>
          <!-- Battery- Autonomy Time-->
          <td id="mdelta_batt_auto_time">
            <script type="text/javascript"> translate_text('mdelta_batt_auto_time', ['<xsl:value-of select="$lang-Autonomy-time"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_autonomy_time"/>
              <xsl:with-param name="precision" 	select="$batt_autonomy_time_precision"/>
              <xsl:with-param name="unit" 			select="$batt_autonomy_time_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Capacity-->
          <td id="mdelta_batt_cap">
            <script type="text/javascript"> translate_text('mdelta_batt_cap', ['<xsl:value-of select="$lang-Battery-Capacity-short"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_capacity"/>
              <xsl:with-param name="precision" 	select="$batt_capacity_precision"/>
              <xsl:with-param name="unit" 			select="$batt_capacity_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Voltage -->
          <td id="mdelta_batt_volt">
            <script type="text/javascript"> translate_text('mdelta_batt_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_volt"/>
              <xsl:with-param name="precision" 	select="$batt_volt_precision"/>
              <xsl:with-param name="unit" 			select="$batt_volt_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Battery- Current -->
          <td id="mdelta_batt_curr">
            <script type="text/javascript"> translate_text('mdelta_batt_curr', ['<xsl:value-of select="$lang-Current"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$batt_current"/>
              <xsl:with-param name="precision" 	select="$batt_current_precision"/>
              <xsl:with-param name="unit" 			select="$batt_current_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <!--<tr> Battery- Temperature
					<td><xsl:value-of select="concat($lang-Temperature,':')"/></td>
					<td align="right">
						<xsl:call-template name="get-value">
							<xsl:with-param name="value" 			select="$batt_temp"/>
							<xsl:with-param name="precision" 	select="$batt_temp_precision"/>
							<xsl:with-param name="unit" 			select="$batt_temp_unit"/>
						</xsl:call-template>
					</td>
				</tr>	-->
      </table>
      <hr size="2" align="left" width="100%" color="#3F5987"/>
      <!-- Output -->
      <div id="mdelta_output" style="text-align:left;text-decoration: underline;">
        <script type="text/javascript"> translate_text('mdelta_output', '<xsl:value-of select="$lang-Output"/>');</script>
      </div>
      <table cellspacing="0" cellpadding="0" border="0"  width="{$w}" class="{$class}" style="color:#000000">
        <tr>
          <!-- Output Voltage-->
          <td id="mdelta_output_volt">
            <script type="text/javascript"> translate_text('mdelta_output_volt', ['<xsl:value-of select="$lang-Voltage"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_volt/@val"/>
              <xsl:with-param name="precision" 	select="$out_volt_precision"/>
              <xsl:with-param name="unit" 			select="$out_volt_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_volt/@val2"/>
                <xsl:with-param name="precision" 	select="$out_volt_precision"/>
                <xsl:with-param name="unit" 			select="$out_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$out_volt/@val3"/>
                <xsl:with-param name="precision" 	select="$out_volt_precision"/>
                <xsl:with-param name="unit" 			select="$out_volt_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- output Frequency-->
          <td id="mdelta_output_freq">
            <script type="text/javascript"> translate_text('mdelta_output_freq', ['<xsl:value-of select="$lang-Frequency"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_freq"/>
              <xsl:with-param name="precision" 	select="$in_freq_precision"/>
              <xsl:with-param name="unit" 			select="$in_freq_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- Load-->
          <td id="mdelta_output_load">
            <script type="text/javascript"> translate_text('mdelta_output_load', ['<xsl:value-of select="$lang-Load"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$load/@val"/>
              <xsl:with-param name="precision" 	select="$load_precision"/>
              <xsl:with-param name="unit" 			select="$load_unit"/>
            </xsl:call-template>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$load/@val2"/>
                <xsl:with-param name="precision" 	select="$load_precision"/>
                <xsl:with-param name="unit" 			select="$load_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" 			select="$load/@val3"/>
                <xsl:with-param name="precision" 	select="$load_precision"/>
                <xsl:with-param name="unit" 			select="$load_unit"/>
              </xsl:call-template>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Output Current-->
          <td id="mdelta_output_curr">
            <script type="text/javascript"> translate_text('mdelta_output_curr', ['<xsl:value-of select="$lang-Current"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:choose>
              <xsl:when test="$oc1 = 'N/A'">
                <xsl:call-template name="get-value">
                  <xsl:with-param name="value" 			select="$out_current2/@val"/>
                  <xsl:with-param name="precision" 	select="$out_current_precision"/>
                  <xsl:with-param name="unit" 			select="$out_current_unit"/>
                </xsl:call-template>
              </xsl:when>
              <xsl:otherwise>
                <xsl:call-template name="get-value">
                  <xsl:with-param name="value" 			select="$oc1"/>
                  <xsl:with-param name="precision" 	select="$out_current_precision"/>
                  <xsl:with-param name="unit" 			select="$out_current_unit"/>
                </xsl:call-template>

              </xsl:otherwise>
            </xsl:choose>
          </td>
          <xsl:if test="$out_phases &gt;1">
            <td align="right">
              <xsl:choose>
                <xsl:when test="$oc2 = 'N/A'">
                  <xsl:call-template name="get-value">
                    <xsl:with-param name="value" 			select="$out_current2/@val2"/>
                    <xsl:with-param name="precision" 	select="$out_current_precision"/>
                    <xsl:with-param name="unit" 			select="$out_current_unit"/>
                  </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="get-value">
                    <xsl:with-param name="value" 			select="$oc2"/>
                    <xsl:with-param name="precision" 	select="$out_current_precision"/>
                    <xsl:with-param name="unit" 			select="$out_current_unit"/>
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </xsl:if>
          <xsl:if test="$out_phases &gt;2">
            <td align="right">
              <xsl:choose>
                <xsl:when test="$oc3 = 'N/A'">
                  <xsl:call-template name="get-value">
                    <xsl:with-param name="value" 			select="$out_current2/@val3"/>
                    <xsl:with-param name="precision" 	select="$out_current_precision"/>
                    <xsl:with-param name="unit" 			select="$out_current_unit"/>
                  </xsl:call-template>
                </xsl:when>
                <xsl:otherwise>
                  <xsl:call-template name="get-value">
                    <xsl:with-param name="value" 			select="$oc3"/>
                    <xsl:with-param name="precision" 	select="$out_current_precision"/>
                    <xsl:with-param name="unit" 			select="$out_current_unit"/>
                  </xsl:call-template>
                </xsl:otherwise>
              </xsl:choose>
            </td>
          </xsl:if>
        </tr>
        <tr>
          <!-- Output Power-->
          <td id="mdelta_output_pow">
            <script type="text/javascript"> translate_text('mdelta_output_pow', ['<xsl:value-of select="$lang-Power"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power/@val div 1000"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power/@val2 div 1000"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$out_power/@val3 div 1000"/>
              <xsl:with-param name="precision" 	select="$out_power_precision"/>
              <xsl:with-param name="unit" 			select="$out_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
      <table cellspacing="0" cellpadding="0" border="0"  width="100%" class="{$class}" style="color:#000000">
        <tr>
          <!-- total_power-->
          <td id="mdelta_output_total_pow">
            <script type="text/javascript"> translate_text('mdelta_output_total_pow', ['<xsl:value-of select="$lang-Total-Power"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$total_power"/>
              <xsl:with-param name="precision" 	select="$total_power_precision"/>
              <xsl:with-param name="unit" 			select="$total_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
        <tr>
          <!-- total Complex power-->
          <td id="mdelta_output_total_compl_pow">
            <script type="text/javascript"> translate_text('mdelta_output_total_compl_pow', ['<xsl:value-of select="$lang-Total-Complex-Power"/>', ':']);</script>
          </td>
          <td align="right">
            <xsl:call-template name="get-value">
              <xsl:with-param name="value" 			select="$total_compl_power"/>
              <xsl:with-param name="precision" 	select="$total_power_precision"/>
              <xsl:with-param name="unit" 			select="$total_compl_power_unit"/>
            </xsl:call-template>
          </td>
        </tr>
      </table>
    </xsl:element>
  </xsl:template>

  <!--mdelta select modules -->
  <xsl:template name="mdelta-select-modules">
    <xsl:param name="batt_status" select="'0'" />
    <xsl:param name="state" select="'4'" />
    <xsl:param name="num_units" select="'0'" />
    <xsl:param name="is_multi" select="'0'" />
    <xsl:param name="power_modules_exist" select="'0'" />
    <xsl:param name="left" select="'20'" />
    <xsl:param name="top" select="'30'" />
    <xsl:param name="class" select ="'XLarge_black'"/>
    <xsl:param name="border" select ="'1'"/>
    <xsl:param name="status_txt" select="$lang-Modul-Status" />

    <!-- Bits masked (module mask)-->
    <xsl:variable name="m1_exist" select="$power_modules_exist/@val"/>
    <xsl:variable name="m2_exist" select="$power_modules_exist/@val2"/>
    <xsl:variable name="m3_exist" select="$power_modules_exist/@val3"/>
    <xsl:variable name="m4_exist" select="$power_modules_exist/@val4"/>
    <xsl:variable name="m5_exist" select="$power_modules_exist/@val5"/>
    <xsl:variable name="m6_exist" select="$power_modules_exist/@val6"/>
    <xsl:variable name="m7_exist" select="$power_modules_exist/@val7"/>
    <xsl:variable name="m8_exist" select="$power_modules_exist/@val8"/>
    <xsl:variable name="m9_exist" select="$power_modules_exist/@val9"/>
    <xsl:variable name="m10_exist" select="$power_modules_exist/@val10"/>

    <xsl:variable name="batt_testing">
      <xsl:call-template name="bit">
        <xsl:with-param name="val" select="$batt_status"/>
        <xsl:with-param name="bit" select="$bit23"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="mod_stat_img">
      <xsl:choose>
        <xsl:when test="$state=2">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state=1 and $batt_testing=0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state=0">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state=5">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:when test="$state=7">
          <xsl:value-of select="'./lib/ups/image/aeg/ledgelb10x10.gif'"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgruen10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!--modules exist img-->
    <xsl:variable name="img_m1">
      <xsl:choose>
        <xsl:when test="$m1_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m2">
      <xsl:choose>
        <xsl:when test="$m2_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m3">
      <xsl:choose>
        <xsl:when test="$m3_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m4">
      <xsl:choose>
        <xsl:when test="$m4_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m5">
      <xsl:choose>
        <xsl:when test="$m5_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m6">
      <xsl:choose>
        <xsl:when test="$m6_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m7">
      <xsl:choose>
        <xsl:when test="$m7_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m8">
      <xsl:choose>
        <xsl:when test="$m8_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m9">
      <xsl:choose>
        <xsl:when test="$m9_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="img_m10">
      <xsl:choose>
        <xsl:when test="$m10_exist = 1 ">
          <xsl:value-of select="$mod_stat_img"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:value-of select="'./lib/ups/image/aeg/ledgrau10x10.gif'"/>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:variable>

    <!-- modules status -->
    <div id="module_status_txt_id" class='XBold_black' align="center" style="text-align:left; position:absolute; top:{$top}px;left:{$left}px;width:95px;height:10px;">
      <xsl:value-of select="$status_txt"/>
    </div>
    <!--modules buttons-->
    <div id="mod_buttons" class='{$class}' align="center" style="text-align:center; position:absolute; top:{$top +18}px;left:{$left}px;width:95px;height:10px;">
      <table border="0" width="100">
        <tr>
          <td>
            <a href="javascript:show('module1_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="1"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module2_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="2"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module3_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="3"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module4_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="4"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module5_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="5"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module6_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="6"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module7_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="7"/>
                </span>
              </span>
            </a>
          </td>
          <td>
            <a href="javascript:show('module8_id')" class="btn" style="font-size:9px;">
              <span>
                <span>
                  <xsl:value-of select="8"/>
                </span>
              </span>
            </a>
          </td>
          <!--
	  			<td>
	  				<a href="javascript:show('module9_id')" class="btn" style="font-size:9px;"><span><span><xsl:value-of select="9"/></span></span></a>
	  			</td>
	  			<td>
	  				<a href="javascript:show('module10_id')" class="btn" style="font-size:9px;"><span><span><xsl:value-of select="10"/></span></span></a>
	  			</td>-->
        </tr>

        <tr align="center">
          <!--modules exist state -->
          <td>
            <img border="0" src="{$img_m1}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m2}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m3}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m4}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m5}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m6}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m7}" width="10" height="10"/>
          </td>
          <td>
            <img border="0" src="{$img_m8}" width="10" height="10"/>
          </td>
          <!--
	  			<td>
	  				<img border="0" src="{$img_m9}" width="10" height="10"/>
	  			</td>
	  			<td>
	  				<img border="0" src="{$img_m10}" width="10" height="10"/>
	  			</td>-->
        </tr>
      </table>
    </div>

  </xsl:template>

  <!-- Module values pane-->
  <xsl:template name="module-values-pane">
    <xsl:param name="x" select="160" />
    <xsl:param name="y" select="90" />
    <xsl:param name="w" select="360" />
    <xsl:param name="h" select="300" />
    <xsl:param name="align" select="'center'" />
    <xsl:param name="visibility" select="'hidden'" />
    <xsl:param name="class" select="'XBold_black'" />
    <!--tdSmall9-->
    <xsl:param name="title" select="'Module&#160;1'" />
    <xsl:param name="id" select="'div_id'" />
    <xsl:param name="txt1" select="'Attributes'" />
    <xsl:param name="txt2" select="'PFC Status'" />
    <xsl:param name="txt3" select="'Inverter Status'" />
    <xsl:param name="txt4" select="'Charger Status'" />
    <xsl:param name="txt5" select="'Temperature-PFC'" />
    <xsl:param name="txt6" select="'Temperature-TBD'" />
    <xsl:param name="txt7" select="'Temperature-Inverter'" />
    <xsl:param name="txt8" select="'Temperature-Inverter R'" />
    <xsl:param name="txt9" select="'Temperature-Inverter S'" />
    <xsl:param name="txt10" select="'Temperature-Inverter T'" />
    <xsl:param name="txt11" select="'Voltage-Inverter R'" />
    <xsl:param name="txt12" select="'Voltage-Inverter S'" />
    <xsl:param name="txt13" select="'Voltage-Inverter T'" />
    <xsl:param name="attributes" select="'0'" />
    <xsl:param name="pfc_status" select="'0'" />
    <xsl:param name="pis_status" select="'0'" />
    <xsl:param name="pcs_status" select="'0'" />
    <xsl:param name="temp_precision" select="'1'" />
    <xsl:param name="temperature_pfc" select="'0'" />
    <xsl:param name="temperature_tbd" select="'0'" />
    <xsl:param name="temperature_inv" select="'0'" />
    <xsl:param name="temperature_inv_r" select="'0'" />
    <xsl:param name="temperature_inv_s" select="'0'" />
    <xsl:param name="temperature_inv_t" select="'0'" />
    <xsl:param name="volt_precision" select="'1'" />
    <xsl:param name="volt_inv_r" select="'0'" />
    <xsl:param name="volt_inv_s" select="'0'" />
    <xsl:param name="volt_inv_t" select="'0'" />

    <xsl:variable name="temperaturepfc">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$temperature_pfc" />
        <xsl:with-param name="precision" select="$temp_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="temperaturetbd">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$temperature_tbd" />
        <xsl:with-param name="precision" select="$temp_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="temperatureinv">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$temperature_inv" />
        <xsl:with-param name="precision" select="$temp_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="temperatureinvr">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$temperature_inv_r" />
        <xsl:with-param name="precision" select="$temp_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="temperatureinvs">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$temperature_inv_s" />
        <xsl:with-param name="precision" select="$temp_precision"/>
      </xsl:call-template>
    </xsl:variable>

    <xsl:variable name="temperatureinvt">
      <xsl:call-template name="getTemperature">
        <xsl:with-param name="value" select="$temperature_inv_t" />
        <xsl:with-param name="precision" select="$temp_precision"/>
      </xsl:call-template>
    </xsl:variable>


    <script type="text/javascript">
      <xsl:comment>
        <![CDATA[

				function get_mod_attributes(attributes)
	   		{
	   			var attr_txt = "";
	   			if((attributes & 1) == 1)
	   			{
	   				attr_txt = "PFC"
	   			}
	   			if((attributes & 2) == 2)
	   			{
	   				if(attributes != "")
	   					attr_txt += "<br>" + "Rectifier" + "</br>";
	   				else
	   					attr_txt += "Rectifier";
	   			}
	   			if((attributes & 4) == 4)
	   			{
	   				if(attributes != "")
	   					attr_txt += "<br>" + "Charger";
	   				else
	   					attr_txt += "Charger";
	   			}
	   			if((attributes & 8) == 8)
	   			{
	   				if(attributes != "")
	   					attr_txt += "<br>" + "Inverter";
	   				else
	   					attr_txt += "Inverter";
	   			}
	   			if((attributes & 16) == 16)
	   			{
	   				if(attributes != "")
	   					attr_txt += "<br>" + "Bypass";
	   				else
	   					attr_txt += "Bypass";
	   			}
	   			if((attributes & 32) == 32 || (attributes & 64) == 64 || (attributes & 128) == 128)
	   			{
	   				if(attributes != "")
	   					attr_txt += "<br>" + "TBD";
	   				else
	   					attr_txt += "TBD";
	   			}
	   			return attr_txt;
	   		}

				function get_pfs_status(pfs)
	   		{
	   			var pfs_status = "";
	   			if((pfs & 1) == 1)
	   			{
	   				pfs_status = "PFC fuse open fault"
	   			}
	   			if((pfs & 2) == 2)
	   			{
	   				if(pfs_status != "")
	   					pfs_status += "<br>" + "PFC over temperature warning";
	   				else
	   					pfs_status += "PFC over temperature warning";
	   			}
	   			if((pfs & 4) == 4)
	   			{
	   				if(pfs_status != "")
	   					pfs_status += "<br>" + "PFC over temperature shutdown";
	   				else
	   					pfs_status += "PFC over temperature shutdown";
	   			}
	   			if((pfs & 8) == 8)
	   			{
	   				if(pfs_status != "")
	   					pfs_status += "<br>" + "DC bus over voltage warning";
	   				else
	   					pfs_status += "DC bus over voltage warning";
	   			}
	   			if((pfs_status & 16) == 16)
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "DC bus over voltage shutdown";
	   				else
	   					pfs_status += "DC bus over voltage shutdown";
	   			}
	   			if((pfs_status & 32) == 32)
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "DC bus under voltage warning";
	   				else
	   					pfs_status += "DC bus under voltage warning";
	   			}
	   			if((pfs_status & 64) == 64)
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "DC bus under voltage shutdown";
	   				else
	   					pfs_status += "DC bus under voltage shutdown";
	   			}
	   			if((pfs_status & 128) == 128 )
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "PFC circuit general Fault";
	   				else
	   					pfs_status += "PFC circuit general Fault";
	   			}
	   			if((pfs_status & 256) == 256 )
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "Fan failure";
	   				else
	   					pfs_status += "Fan failure";
	   			}
	   			if((pfs_status & 512) == 512 || (pfs_status & 1024) == 1024 ||
	   			(pfs_status & 2048) == 2048 || (pfs_status & 8192) == 8192 || (pfs_status & 16384) == 16384	)
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "TBD";
	   				else
	   					pfs_status += "TBD";
	   			}

	   			if((pfs_status & 4096) == 4096 )
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "Inner communication failure";
	   				else
	   					pfs_status += "Inner communication failure";
	   			}
	   			if((pfs_status & 32768) == 32768 )
	   			{
	   				if(pfs != "")
	   					pfs_status += "<br>" + "Not calibrated";
	   				else
	   					pfs_status += "Not calibrated";
	   			}
	   			return pfs_status;
	   		}


				function get_pis_status(pis)
	   		{
	   			var pis_status = "";
	   			if((pis & 1) == 1)
	   			{
	   				pis_status = "Inverter fuse open"
	   			}
	   			if((pis & 2) == 2)
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "Inverter over temperature warning";
	   				else
	   					pis_status += "Inverter over temperature warning";
	   			}
	   			if((pis & 4) == 4)
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "Inverter over temperature shutdown";
	   				else
	   					pis_status += "Inverter over temperature shutdown";
	   			}
	   			if((pis & 8) == 8)
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "Fan failure";
	   				else
	   					pis_status += "Fan failure";
	   			}
	   			if((pis & 16) == 16)
	   			{
	   			}
	   			if((pis & 32) == 32)
	   			{
	   				if(pis != "")
	   					pis_status += "<br>" + "Inverter short circuit";
	   				else
	   					pis_status += "Inverter short circuit";
	   			}
	   			if((pis & 64) == 64)
	   			{
	   				if(pis != "")
	   					pis_status += "<br>" + "Inverter STS failure";
	   				else
	   					pis_status += "Inverter STS failure";
	   			}
	   			if((pis & 128) == 128 )
	   			{
	   				if(pis != "")
	   					pis_status += "<br>" + "Inverter voltage abnormal";
	   				else
	   					pis_status += "Inverter voltage abnormal";
	   			}
	   			if((pis & 256) == 256 )
	   			{
	   				if(pis != "")
	   					pis_status += "<br>" + "Inverter circuit general fault shutdown";
	   				else
	   					pis_status += "Inverter circuit general fault shutdown";
	   			}
	   			if((pis & 512) == 512)
	   			{
	   				if(pis != "")
	   					pis_status += "<br>" + "DC bus over voltage shutdown";
	   				else
	   					pis_status += "TBD";
	   			}
	   			if((pis & 1024) == 1024 )
	   			{
	   				if(pis != "")
	   					pis_status += "<br>" + "Inverter overload";
	   				else
	   					pis_status += "Inverter overload";
	   			}

	   			if((pis & 2048) == 2048)
	   			{
	   			}
	   			if((pis & 4096) == 4096 )
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "Inner communication loss";
	   				else
	   					pis_status += "Inner communication loss";
	   			}
	   			if((pis & 8192) == 8192 )
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "EPO shutdown";
	   				else
	   					pis_status += "EPO shutdown";
	   			}
	   			if((pis & 16384) == 16384 )
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "Inverter parallel communication failur";
	   				else
	   					pis_status += "Inverter parallel communication failur";
	   			}
	   			if((pis & 65536) == 65536 || (pis & 131072) == 131072 || (pis & 262144) == 262144
	   			|| (pis & 524288) == 524288 || (pis & 1048576) == 1048576 || (pis & 2097152) == 2097152 || (pis & 4194304) == 4194304)
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "TBD";
	   				else
	   					pis_status += "TBD";
	   			}
	   			if((pis & 8388608) == 8388608 )
	   			{
	   				if(pis_status != "")
	   					pis_status += "<br>" + "Not calibrated";
	   				else
	   					pis_status += "Not calibrated";
	   			}
	   			return pis_status;
	   		}

	   	]]>
      </xsl:comment>
    </script>

    <div id="{$id}" onmousedown="dragstart(this)" onclick="bring_to_front('{$id}')" class="XBold_black" align="left" style="position:absolute; left:{$x}px; top:{$y}px; width:{$w}px; height:{$h}px;text-align:left;visibility:{$visibility};z-index:1;">
      <table cellspacing="0" cellpadding="0" border="0"  class="XBold_black" style="position:absolute;top:{$y - 90}px;width:{$w}px;height:20px; color:white;background-color:#405080;">
        <thead>
          <tr>
            <th>
              <xsl:value-of select="$title"/>
            </th>
            <th>
              <xsl:value-of select="'&#160;'"/>
            </th>
            <th align="right">
              <a href="javascript:show('{$id}');" class="btn">
                <span>
                  <span  style="color:white; background-color:#405080;">
                    <xsl:value-of select="'X'"/>
                  </span>
                </span>
              </a>
            </th>
          </tr>
        </thead>
      </table>
      <!--border 1px solid black;border-collapse:collapse;-->

      <table border="1" cellspacing="0" cellpadding="2" class="{$class}" style="position:absolute;top:{$y - 70}px;width:{$w}px;color:black;background-color:white;text-align:center;">
        <tbody>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt1"/>
            </td>
            <td >
              <script type="text/javascript">
                document.write(get_mod_attributes('<xsl:value-of select="$attributes"/>'));
              </script>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt2"/>
            </td>
            <td>
              <script type="text/javascript">
                document.write(get_pis_status('<xsl:value-of select="$pfc_status"/>'));
              </script>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt3"/>
            </td>
            <td>
              <script type="text/javascript">
                document.write(get_pis_status('<xsl:value-of select="$pis_status"/>'));
              </script>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt4"/>
            </td>
            <td>
              <script type="text/javascript">
                if('<xsl:value-of select="$pcs_status"/>' &gt; 0)
                document.write("Charger circuit general fault");
              </script>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt5"/>
            </td>
            <td>
              <xsl:value-of select="$temperaturepfc"/>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt6"/>
            </td>
            <td>
              <xsl:value-of select="$temperaturetbd"/>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt7"/>
            </td>
            <td>
              <xsl:value-of select="$temperatureinv"/>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt8"/>
            </td>
            <td>
              <xsl:value-of select="$temperatureinvr"/>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt9"/>
            </td>
            <td>
              <xsl:value-of select="$temperatureinvs"/>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt10"/>
            </td>
            <td>
              <xsl:value-of select="$temperatureinvt"/>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt11"/>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" select="$volt_inv_r"/>
                <xsl:with-param name="precision" 	select="$volt_precision"/>
                <xsl:with-param name="unit" 	select="'V'"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt12"/>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" select="$volt_inv_s"/>
                <xsl:with-param name="precision" 	select="$volt_precision"/>
                <xsl:with-param name="unit" 	select="'V'"/>
              </xsl:call-template>
            </td>
          </tr>
          <tr align="left">
            <td>
              <xsl:value-of select="$txt13"/>
            </td>
            <td>
              <xsl:call-template name="get-value">
                <xsl:with-param name="value" select="$volt_inv_t"/>
                <xsl:with-param name="precision" 	select="$volt_precision"/>
                <xsl:with-param name="unit" 	select="'V'"/>
              </xsl:call-template>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </xsl:template>

  <!-- UPS fault log panel-->
  <xsl:template name="ups-fault-log-panel">
    <xsl:param name="top" select="'70'"/>
    <xsl:param name="left" select="'40'"/>
    <xsl:param name="w" select="'480'"/>
    <xsl:param name="h" select="'80'"/>
    <xsl:param name="border" select="'1'"/>
    <xsl:param name="class" select="'tdSmall9'" />
    <xsl:param name="title" select="'Fault&#160;Log&#160;of&#160;UPS'"/>
    <xsl:param name="id" select="'fault_log_id'"/>

    <!--Fault log panel-->
    <div id="$id" class ="MediumBold" style="position:relative; top:{$top}px;left:{$left}px;width:{$w}px; text-align:center;border: {$border}px solid black;background-color:white;">
      <table cellspacing="4" cellpadding="3" border="0" width="{$w}" class="{$class}">
        <tr class ="MediumBold">
          <td >
            <xsl:value-of select="$title"/>
          </td>
          <td align="right">
            <a href="javascript:get_alarm_page_from_ups(706,470,'2')" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Receive'"/>
                </span>
              </span>
            </a>
          </td>
          <td align="right">
            <a href="javascript:get_alarm_page_from_ups(706,470,'0')" class="btn">
              <span>
                <span>
                  <xsl:value-of select="'Save'"/>
                </span>
              </span>
            </a>
          </td>
        </tr>
      </table>
    </div>
  </xsl:template>

</xsl:stylesheet>
